#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractArray.h"

//@@Signature
//sfunction @vtkAbstractArray:vtkAbstractArray vtkAbstractArrayConstructorFunction
//input a
//output p
//@@Parents vtkAbstractArray vtkObject 
ArrayVector vtkAbstractArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractArray::New(),"vtkAbstractArray",eval);
  } else if (arg[0].className() == "vtkAbstractArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractArray");
    vtkAbstractArray*q = reinterpret_cast<vtkAbstractArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractArray:GetClassName vtkAbstractArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:IsA vtkAbstractArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractArray requires 2 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:NewInstance vtkAbstractArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:SafeDownCast vtkAbstractArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractArray requires 2 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:Allocate vtkAbstractArrayAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractArrayAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Allocate (vtkIdType sz, vtkIdType ext) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkAbstractArray requires 3 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:Initialize vtkAbstractArrayInitializeFunction
//input a0 
//output none
ArrayVector vtkAbstractArrayInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetDataType vtkAbstractArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataType () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetDataTypeSize__1 vtkAbstractArrayGetDataTypeSize__1Function
//input a0 
//output y
ArrayVector vtkAbstractArrayGetDataTypeSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataTypeSize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeSize__1 for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataTypeSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetDataTypeSize__2 vtkAbstractArrayGetDataTypeSize__2Function
//input a0 a1 
//output y
ArrayVector vtkAbstractArrayGetDataTypeSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetDataTypeSize (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataTypeSize__2 for class vtkAbstractArray requires 2 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDataTypeSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetElementComponentSize vtkAbstractArrayGetElementComponentSizeFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetElementComponentSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetElementComponentSize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetElementComponentSize for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetElementComponentSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:SetNumberOfComponents vtkAbstractArraySetNumberOfComponentsFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractArraySetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfComponents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfComponents for class vtkAbstractArray requires 2 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetNumberOfComponentsMinValue vtkAbstractArrayGetNumberOfComponentsMinValueFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetNumberOfComponentsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponentsMinValue for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponentsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetNumberOfComponentsMaxValue vtkAbstractArrayGetNumberOfComponentsMaxValueFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetNumberOfComponentsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponentsMaxValue for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponentsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetNumberOfComponents vtkAbstractArrayGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents ();return this NumberOfComponents  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:SetNumberOfTuples vtkAbstractArraySetNumberOfTuplesFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractArraySetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfTuples (vtkIdType number) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTuples for class vtkAbstractArray requires 2 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTuples(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetNumberOfTuples vtkAbstractArrayGetNumberOfTuplesFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTuples ();return this MaxId this NumberOfComponents  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTuples for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTuples();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:SetTuple vtkAbstractArraySetTupleFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAbstractArraySetTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function SetTuple for class vtkAbstractArray requires 4 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->SetTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:InsertTuple vtkAbstractArrayInsertTupleFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAbstractArrayInsertTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function InsertTuple for class vtkAbstractArray requires 4 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->InsertTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:InsertNextTuple vtkAbstractArrayInsertNextTupleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractArrayInsertNextTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextTuple for class vtkAbstractArray requires 3 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  temp20 = (vtk_pointer)->InsertNextTuple(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetTuples__1 vtkAbstractArrayGetTuples__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkAbstractArrayGetTuples__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTuples (vtkIdList *ptIds, vtkAbstractArray *output); */
  if (arg.size() < 3) 
    throw Exception("Function GetTuples__1 for class vtkAbstractArray requires 3 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  vtkAbstractArray  *temp1;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  vtk_pointer->GetTuples(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetTuples__2 vtkAbstractArrayGetTuples__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAbstractArrayGetTuples__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTuples (vtkIdType p1, vtkIdType p2, vtkAbstractArray *output); */
  if (arg.size() < 4) 
    throw Exception("Function GetTuples__2 for class vtkAbstractArray requires 4 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->GetTuples(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:DeepCopy vtkAbstractArrayDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractArrayDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkAbstractArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkAbstractArray requires 2 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:InterpolateTuple__1 vtkAbstractArrayInterpolateTuple__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkAbstractArrayInterpolateTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateTuple (vtkIdType i, vtkIdList *ptIndices, vtkAbstractArray *source, double *weights) = 0; */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateTuple__1 for class vtkAbstractArray requires 5 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkAbstractArray  *temp2;
  double  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateTuple(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:InterpolateTuple__2 vtkAbstractArrayInterpolateTuple__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkAbstractArrayInterpolateTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t) = 0; */
  if (arg.size() < 7) 
    throw Exception("Function InterpolateTuple__2 for class vtkAbstractArray requires 7 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  vtkIdType   temp3;
  vtkAbstractArray  *temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkAbstractArray>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:Squeeze vtkAbstractArraySqueezeFunction
//input a0 
//output none
ArrayVector vtkAbstractArraySqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Squeeze () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:Resize vtkAbstractArrayResizeFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractArrayResizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Resize (vtkIdType numTuples) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function Resize for class vtkAbstractArray requires 2 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->Resize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:Reset vtkAbstractArrayResetFunction
//input a0 
//output none
ArrayVector vtkAbstractArrayResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset ();this MaxId  */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetSize vtkAbstractArrayGetSizeFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetSize ();return this Size  */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetMaxId vtkAbstractArrayGetMaxIdFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetMaxIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaxId ();return this MaxId  */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxId for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaxId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetActualMemorySize vtkAbstractArrayGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetActualMemorySize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:SetName vtkAbstractArraySetNameFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractArraySetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetName for class vtkAbstractArray requires 2 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetName vtkAbstractArrayGetNameFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetName for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetDataTypeAsString vtkAbstractArrayGetDataTypeAsStringFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetDataTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDataTypeAsString (void );return vtkImageScalarTypeNameMacro this GetDataType  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeAsString for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDataTypeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:CreateArray vtkAbstractArrayCreateArrayFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractArrayCreateArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkAbstractArray *CreateArray (int dataType); */
  if (arg.size() < 2) 
    throw Exception("Function CreateArray for class vtkAbstractArray requires 2 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  int      temp0;
  vtkAbstractArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->CreateArray(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:IsNumeric vtkAbstractArrayIsNumericFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayIsNumericFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsNumeric () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function IsNumeric for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsNumeric();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:NewIterator vtkAbstractArrayNewIteratorFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayNewIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkArrayIterator *NewIterator () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function NewIterator for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkArrayIterator  *temp20;
  temp20 = (vtk_pointer)->NewIterator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetDataSize vtkAbstractArrayGetDataSizeFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetDataSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetDataSize ();return this GetNumberOfComponents this GetNumberOfTuples  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSize for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetDataSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:DataChanged vtkAbstractArrayDataChangedFunction
//input a0 
//output none
ArrayVector vtkAbstractArrayDataChangedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DataChanged () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function DataChanged for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtk_pointer->DataChanged();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:ClearLookup vtkAbstractArrayClearLookupFunction
//input a0 
//output none
ArrayVector vtkAbstractArrayClearLookupFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ClearLookup () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function ClearLookup for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtk_pointer->ClearLookup();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetInformation vtkAbstractArrayGetInformationFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayGetInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInformation for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  vtkInformation  *temp20;
  temp20 = (vtk_pointer)->GetInformation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:HasInformation vtkAbstractArrayHasInformationFunction
//input a0 
//output y
ArrayVector vtkAbstractArrayHasInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool HasInformation ();return this Information  */
  if (arg.size() < 1) 
    throw Exception("Function HasInformation for class vtkAbstractArray requires 1 argument(s)");
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasInformation();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractArray:GetDataTypeSize vtkAbstractArrayGetDataTypeSizeFunction
//input varargin
//output varargout
ArrayVector vtkAbstractArrayGetDataTypeSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkAbstractArrayGetDataTypeSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkAbstractArrayGetDataTypeSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractArrayGetDataTypeSize");
}

//@@Signature
//sfunction @vtkAbstractArray:GetTuples vtkAbstractArrayGetTuplesFunction
//input varargin
//output varargout
ArrayVector vtkAbstractArrayGetTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkIdList") && VTKIsClass(arg[2],"vtkAbstractArray"))
    return vtkAbstractArrayGetTuples__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray"))
    return vtkAbstractArrayGetTuples__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractArrayGetTuples");
}

//@@Signature
//sfunction @vtkAbstractArray:InterpolateTuple vtkAbstractArrayInterpolateTupleFunction
//input varargin
//output varargout
ArrayVector vtkAbstractArrayInterpolateTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkAbstractArray") && VTKIsVectorArg(arg[4]))
    return vtkAbstractArrayInterpolateTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray") && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkAbstractArray") && VTKIsScalarArg(arg[6]))
    return vtkAbstractArrayInterpolateTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractArrayInterpolateTuple");
}

//@@Signature
//sfunction @vtkAbstractArray:display vtkAbstractArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractArray* vtk_pointer = GetVTKPointer<vtkAbstractArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractArray:delete vtkAbstractArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractArray
//@@Section VTKCommon
//@@Usage
//
// vtkAbstractArray is an abstract superclass for data array objects.
// This class defines an API that all subclasses must support.  The
// data type must be assignable and copy-constructible, but no other
// assumptions about its type are made.  Most of the subclasses of
// this array deal with numeric data either as scalars or tuples of
// scalars.  A program can use the IsNumeric() method to check whether
// an instance of vtkAbstractArray contains numbers.  It is also
// possible to test for this by attempting to SafeDownCast an array to
// an instance of vtkDataArray, although this assumes that all numeric
// arrays will always be descended from vtkDataArray.
//
// <p>
//
// Every array has a character-string name. The naming of the array
// occurs automatically when it is instantiated, but you are free to
// change this name using the SetName() method.  (The array name is
// used for data manipulation.)
//
//
//To create an instance of class vtkAbstractArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractArray
//@]
//@@Methods
//The class vtkAbstractArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractArray = obj.NewInstance ()|
// \item @|vtkAbstractArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Allocate (vtkIdType sz, vtkIdType ext)| -  Allocate memory for this array. Delete old storage only if necessary.
// Note that ext is no longer used.
//// \item @|obj.Initialize ()| -  Release storage and reset array to initial state.
//// \item @|int = obj.GetDataType ()| -  Return the underlying data type. An integer indicating data type is 
// returned as specified in vtkSetGet.h.
//// \item @|int = obj.GetDataTypeSize ()| -  Return the size of the underlying data type.  For a bit, 0 is
// returned.  For string 0 is returned. Arrays with variable length
// components return 0.
//// \item @|int = obj.GetElementComponentSize ()| -  Return the size, in bytes, of the lowest-level element of an
// array.  For vtkDataArray and subclasses this is the size of the
// data type.  For vtkStringArray, this is
// sizeof(vtkStdString::value_type), which winds up being
// sizeof(char).  
//// \item @|obj.SetNumberOfComponents (int )| -  Set/Get the dimention (n) of the components. Must be >= 1. Make sure that
// this is set before allocation.
//// \item @|int = obj.GetNumberOfComponentsMinValue ()| -  Set/Get the dimention (n) of the components. Must be >= 1. Make sure that
// this is set before allocation.
//// \item @|int = obj.GetNumberOfComponentsMaxValue ()| -  Set/Get the dimention (n) of the components. Must be >= 1. Make sure that
// this is set before allocation.
//// \item @|int = obj.GetNumberOfComponents ()| -  Set the number of tuples (a component group) in the array. Note that 
// this may allocate space depending on the number of components.
// Also note that if allocation is performed no copy is performed so
// existing data will be lost (if data conservation is sought, one may
// use the Resize method instead).
//// \item @|obj.SetNumberOfTuples (vtkIdType number)| -  Set the number of tuples (a component group) in the array. Note that 
// this may allocate space depending on the number of components.
// Also note that if allocation is performed no copy is performed so
// existing data will be lost (if data conservation is sought, one may
// use the Resize method instead).
//// \item @|vtkIdType = obj.GetNumberOfTuples ()| -  Set the tuple at the ith location using the jth tuple in the source array.
// This method assumes that the two arrays have the same type
// and structure. Note that range checking and memory allocation is not 
// performed; use in conjunction with SetNumberOfTuples() to allocate space.
//// \item @|obj.SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)| -  Set the tuple at the ith location using the jth tuple in the source array.
// This method assumes that the two arrays have the same type
// and structure. Note that range checking and memory allocation is not 
// performed; use in conjunction with SetNumberOfTuples() to allocate space.
//// \item @|obj.InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)| -  Insert the jth tuple in the source array, at ith location in this array. 
// Note that memory allocation is performed as necessary to hold the data.
//// \item @|vtkIdType = obj.InsertNextTuple (vtkIdType j, vtkAbstractArray source)| -  Insert the jth tuple in the source array, at the end in this array. 
// Note that memory allocation is performed as necessary to hold the data.
// Returns the location at which the data was inserted.
//// \item @|obj.GetTuples (vtkIdList ptIds, vtkAbstractArray output)| -  Given a list of point ids, return an array of tuples.
// You must insure that the output array has been previously 
// allocated with enough space to hold the data.
//// \item @|obj.GetTuples (vtkIdType p1, vtkIdType p2, vtkAbstractArray output)| -  Get the tuples for the range of points ids specified 
// (i.e., p1->p2 inclusive). You must insure that the output array has 
// been previously allocated with enough space to hold the data.
//// \item @|obj.DeepCopy (vtkAbstractArray da)| -  Deep copy of data. Implementation left to subclasses, which
// should support as many type conversions as possible given the
// data type.
//
// Subclasses should call vtkAbstractArray::DeepCopy() so that the
// information object (if one exists) is copied from \a da.
//// \item @|obj.InterpolateTuple (vtkIdType i, vtkIdList ptIndices, vtkAbstractArray source, double weights)| -  Set the ith tuple in this array as the interpolated tuple value,
// given the ptIndices in the source array and associated 
// interpolation weights.
// This method assumes that the two arrays are of the same type
// and strcuture.
//// \item @|obj.InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray source1, vtkIdType id2, vtkAbstractArray source2, double t)|
// \item @|obj.Squeeze ()| -  Resize object to just fit data requirement. Reclaims extra memory.
//// \item @|int = obj.Resize (vtkIdType numTuples)| -  Resize the array while conserving the data.  Returns 1 if
// resizing succeeded and 0 otherwise.
//// \item @|obj.Reset ()| -  Return the size of the data.
//// \item @|vtkIdType = obj.GetSize ()| -  What is the maximum id currently in the array.
//// \item @|vtkIdType = obj.GetMaxId ()| -  This method lets the user specify data to be held by the array.  The 
// array argument is a pointer to the data.  size is the size of 
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data 
// from the supplied array.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the memory in kilobytes consumed by this data array. Used to
// support streaming and reading/writing data. The value returned is
// guaranteed to be greater than or equal to the memory required to
// actually represent the data represented by this object. The 
// information returned is valid only after the pipeline has 
// been updated.
//// \item @|obj.SetName (string )| -  Set/get array's name
//// \item @|string = obj.GetName ()| -  Set/get array's name
//// \item @|string = obj.GetDataTypeAsString (void )| -  Creates an array for dataType where dataType is one of
// VTK_BIT, VTK_CHAR, VTK_UNSIGNED_CHAR, VTK_SHORT,
// VTK_UNSIGNED_SHORT, VTK_INT, VTK_UNSIGNED_INT, VTK_LONG,
// VTK_UNSIGNED_LONG, VTK_DOUBLE, VTK_DOUBLE, VTK_ID_TYPE,
// VTK_STRING.
// Note that the data array returned has be deleted by the
// user.
//// \item @|int = obj.IsNumeric ()| -  This method is here to make backward compatibility easier.  It
// must return true if and only if an array contains numeric data.
//// \item @|vtkArrayIterator = obj.NewIterator ()| -  Subclasses must override this method and provide the right 
// kind of templated vtkArrayIteratorTemplate.
//// \item @|vtkIdType = obj.GetDataSize ()| -  Tell the array explicitly that the data has changed.
// This is only necessary to call when you modify the array contents
// without using the array's API (i.e. you retrieve a pointer to the
// data and modify the array contents).  You need to call this so that
// the fast lookup will know to rebuild itself.  Otherwise, the lookup
// functions will give incorrect results.
//// \item @|obj.DataChanged ()| -  Tell the array explicitly that the data has changed.
// This is only necessary to call when you modify the array contents
// without using the array's API (i.e. you retrieve a pointer to the
// data and modify the array contents).  You need to call this so that
// the fast lookup will know to rebuild itself.  Otherwise, the lookup
// functions will give incorrect results.
//// \item @|obj.ClearLookup ()| -  Delete the associated fast lookup data structure on this array,
// if it exists.  The lookup will be rebuilt on the next call to a lookup
// function.
//// \item @|vtkInformation = obj.GetInformation ()| -  Get an information object that can be used to annotate the array.
// This will always return an instance of vtkInformation, if one is
// not currently associated with the array it will be created.
//// \item @|bool = obj.HasInformation ()|
//\end{itemize}
//!
