#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractTransform.h"

//@@Signature
//sfunction @vtkAbstractTransform:vtkAbstractTransform vtkAbstractTransformConstructorFunction
//input a
//output p
//@@Parents vtkAbstractTransform vtkObject 
ArrayVector vtkAbstractTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractTransform::New(),"vtkAbstractTransform",eval);
  } else if (arg[0].className() == "vtkAbstractTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractTransform");
    vtkAbstractTransform*q = reinterpret_cast<vtkAbstractTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractTransform:GetClassName vtkAbstractTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractTransform requires 1 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:IsA vtkAbstractTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractTransform requires 2 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:NewInstance vtkAbstractTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractTransform requires 1 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:SafeDownCast vtkAbstractTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractTransform requires 2 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformPoint__1 vtkAbstractTransformTransformPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkAbstractTransformTransformPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformPoint (const float in[3], float out[3]);this Update this InternalTransformPoint in out  */
  if (arg.size() < 3) 
    throw Exception("Function TransformPoint__1 for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->TransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformPoint__2 vtkAbstractTransformTransformPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkAbstractTransformTransformPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformPoint (const double in[3], double out[3]);this Update this InternalTransformPoint in out  */
  if (arg.size() < 3) 
    throw Exception("Function TransformPoint__2 for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->TransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformPoint__3 vtkAbstractTransformTransformPoint__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkAbstractTransformTransformPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformPoint (double x, double y, double z);return this TransformDoublePoint x y z  */
  if (arg.size() < 4) 
    throw Exception("Function TransformPoint__3 for class vtkAbstractTransform requires 4 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->TransformPoint(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformPoint__4 vtkAbstractTransformTransformPoint__4Function
//input a0 a1 
//output y
ArrayVector vtkAbstractTransformTransformPoint__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformPoint (const double point[3]);return this TransformPoint point point point  */
  if (arg.size() < 2) 
    throw Exception("Function TransformPoint__4 for class vtkAbstractTransform requires 2 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformPoint(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformFloatPoint__1 vtkAbstractTransformTransformFloatPoint__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkAbstractTransformTransformFloatPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *TransformFloatPoint (float x, float y, float z);this InternalFloatPoint x this InternalFloatPoint y this InternalFloatPoint z this TransformPoint this InternalFloatPoint this InternalFloatPoint return this InternalFloatPoint  */
  if (arg.size() < 4) 
    throw Exception("Function TransformFloatPoint__1 for class vtkAbstractTransform requires 4 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  float   *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->TransformFloatPoint(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformFloatPoint__2 vtkAbstractTransformTransformFloatPoint__2Function
//input a0 a1 
//output y
ArrayVector vtkAbstractTransformTransformFloatPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *TransformFloatPoint (const float point[3]);return this TransformFloatPoint point point point  */
  if (arg.size() < 2) 
    throw Exception("Function TransformFloatPoint__2 for class vtkAbstractTransform requires 2 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float   *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformFloatPoint(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformDoublePoint__1 vtkAbstractTransformTransformDoublePoint__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkAbstractTransformTransformDoublePoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformDoublePoint (double x, double y, double z);this InternalDoublePoint x this InternalDoublePoint y this InternalDoublePoint z this TransformPoint this InternalDoublePoint this InternalDoublePoint return this InternalDoublePoint  */
  if (arg.size() < 4) 
    throw Exception("Function TransformDoublePoint__1 for class vtkAbstractTransform requires 4 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->TransformDoublePoint(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformDoublePoint__2 vtkAbstractTransformTransformDoublePoint__2Function
//input a0 a1 
//output y
ArrayVector vtkAbstractTransformTransformDoublePoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformDoublePoint (const double point[3]);return this TransformDoublePoint point point point  */
  if (arg.size() < 2) 
    throw Exception("Function TransformDoublePoint__2 for class vtkAbstractTransform requires 2 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformDoublePoint(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformNormalAtPoint__1 vtkAbstractTransformTransformNormalAtPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAbstractTransformTransformNormalAtPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformNormalAtPoint (const float point[3], const float in[3], float out[3]); */
  if (arg.size() < 4) 
    throw Exception("Function TransformNormalAtPoint__1 for class vtkAbstractTransform requires 4 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  vtk_pointer->TransformNormalAtPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformNormalAtPoint__2 vtkAbstractTransformTransformNormalAtPoint__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAbstractTransformTransformNormalAtPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformNormalAtPoint (const double point[3], const double in[3], double out[3]); */
  if (arg.size() < 4) 
    throw Exception("Function TransformNormalAtPoint__2 for class vtkAbstractTransform requires 4 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->TransformNormalAtPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformNormalAtPoint__3 vtkAbstractTransformTransformNormalAtPoint__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractTransformTransformNormalAtPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformNormalAtPoint (const double point[3], const double normal[3]);this TransformNormalAtPoint point normal this InternalDoublePoint return this InternalDoublePoint  */
  if (arg.size() < 3) 
    throw Exception("Function TransformNormalAtPoint__3 for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformNormalAtPoint(temp0,temp1);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformDoubleNormalAtPoint vtkAbstractTransformTransformDoubleNormalAtPointFunction
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractTransformTransformDoubleNormalAtPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformDoubleNormalAtPoint (const double point[3], const double normal[3]);this TransformNormalAtPoint point normal this InternalDoublePoint return this InternalDoublePoint  */
  if (arg.size() < 3) 
    throw Exception("Function TransformDoubleNormalAtPoint for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformDoubleNormalAtPoint(temp0,temp1);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformFloatNormalAtPoint vtkAbstractTransformTransformFloatNormalAtPointFunction
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractTransformTransformFloatNormalAtPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *TransformFloatNormalAtPoint (const float point[3], const float normal[3]);this TransformNormalAtPoint point normal this InternalFloatPoint return this InternalFloatPoint  */
  if (arg.size() < 3) 
    throw Exception("Function TransformFloatNormalAtPoint for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float   *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformFloatNormalAtPoint(temp0,temp1);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformVectorAtPoint__1 vtkAbstractTransformTransformVectorAtPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAbstractTransformTransformVectorAtPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformVectorAtPoint (const float point[3], const float in[3], float out[3]); */
  if (arg.size() < 4) 
    throw Exception("Function TransformVectorAtPoint__1 for class vtkAbstractTransform requires 4 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  vtk_pointer->TransformVectorAtPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformVectorAtPoint__2 vtkAbstractTransformTransformVectorAtPoint__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAbstractTransformTransformVectorAtPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformVectorAtPoint (const double point[3], const double in[3], double out[3]); */
  if (arg.size() < 4) 
    throw Exception("Function TransformVectorAtPoint__2 for class vtkAbstractTransform requires 4 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->TransformVectorAtPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformVectorAtPoint__3 vtkAbstractTransformTransformVectorAtPoint__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractTransformTransformVectorAtPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformVectorAtPoint (const double point[3], const double vector[3]);this TransformVectorAtPoint point vector this InternalDoublePoint return this InternalDoublePoint  */
  if (arg.size() < 3) 
    throw Exception("Function TransformVectorAtPoint__3 for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformVectorAtPoint(temp0,temp1);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformDoubleVectorAtPoint vtkAbstractTransformTransformDoubleVectorAtPointFunction
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractTransformTransformDoubleVectorAtPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformDoubleVectorAtPoint (const double point[3], const double vector[3]);this TransformVectorAtPoint point vector this InternalDoublePoint return this InternalDoublePoint  */
  if (arg.size() < 3) 
    throw Exception("Function TransformDoubleVectorAtPoint for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformDoubleVectorAtPoint(temp0,temp1);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformFloatVectorAtPoint vtkAbstractTransformTransformFloatVectorAtPointFunction
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractTransformTransformFloatVectorAtPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *TransformFloatVectorAtPoint (const float point[3], const float vector[3]);this TransformVectorAtPoint point vector this InternalFloatPoint return this InternalFloatPoint  */
  if (arg.size() < 3) 
    throw Exception("Function TransformFloatVectorAtPoint for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float   *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformFloatVectorAtPoint(temp0,temp1);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformPoints vtkAbstractTransformTransformPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkAbstractTransformTransformPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TransformPoints (vtkPoints *inPts, vtkPoints *outPts); */
  if (arg.size() < 3) 
    throw Exception("Function TransformPoints for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  vtk_pointer->TransformPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformPointsNormalsVectors vtkAbstractTransformTransformPointsNormalsVectorsFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkAbstractTransformTransformPointsNormalsVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TransformPointsNormalsVectors (vtkPoints *inPts, vtkPoints *outPts, vtkDataArray *inNms, vtkDataArray *outNms, vtkDataArray *inVrs, vtkDataArray *outVrs); */
  if (arg.size() < 7) 
    throw Exception("Function TransformPointsNormalsVectors for class vtkAbstractTransform requires 7 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  vtkDataArray  *temp2;
  vtkDataArray  *temp3;
  vtkDataArray  *temp4;
  vtkDataArray  *temp5;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp3 = GetVTKPointer<vtkDataArray>(arg[4]);
  temp4 = GetVTKPointer<vtkDataArray>(arg[5]);
  temp5 = GetVTKPointer<vtkDataArray>(arg[6]);
  vtk_pointer->TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:GetInverse vtkAbstractTransformGetInverseFunction
//input a0 
//output y
ArrayVector vtkAbstractTransformGetInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetInverse (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInverse for class vtkAbstractTransform requires 1 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetInverse();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:SetInverse vtkAbstractTransformSetInverseFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractTransformSetInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInverse (vtkAbstractTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function SetInverse for class vtkAbstractTransform requires 2 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetInverse(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:Inverse vtkAbstractTransformInverseFunction
//input a0 
//output none
ArrayVector vtkAbstractTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Inverse () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkAbstractTransform requires 1 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:DeepCopy vtkAbstractTransformDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractTransformDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkAbstractTransform *); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkAbstractTransform requires 2 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:Update vtkAbstractTransformUpdateFunction
//input a0 
//output none
ArrayVector vtkAbstractTransformUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkAbstractTransform requires 1 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:InternalTransformPoint__1 vtkAbstractTransformInternalTransformPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkAbstractTransformInternalTransformPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalTransformPoint (const float in[3], float out[3]) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__1 for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:InternalTransformPoint__2 vtkAbstractTransformInternalTransformPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkAbstractTransformInternalTransformPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalTransformPoint (const double in[3], double out[3]) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__2 for class vtkAbstractTransform requires 3 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:MakeTransform vtkAbstractTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkAbstractTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractTransform *MakeTransform () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkAbstractTransform requires 1 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:CircuitCheck vtkAbstractTransformCircuitCheckFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractTransformCircuitCheckFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CircuitCheck (vtkAbstractTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function CircuitCheck for class vtkAbstractTransform requires 2 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  temp20 = (vtk_pointer)->CircuitCheck(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:GetMTime vtkAbstractTransformGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAbstractTransformGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAbstractTransform requires 1 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:UnRegister vtkAbstractTransformUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractTransformUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *O); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkAbstractTransform requires 2 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:Identity vtkAbstractTransformIdentityFunction
//input a0 
//output none
ArrayVector vtkAbstractTransformIdentityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Identity (); */
  if (arg.size() < 1) 
    throw Exception("Function Identity for class vtkAbstractTransform requires 1 argument(s)");
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  Array retval;
  vtk_pointer->Identity();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformPoint vtkAbstractTransformTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkAbstractTransformTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkAbstractTransformTransformPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkAbstractTransformTransformPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAbstractTransformTransformPoint__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAbstractTransformTransformPoint__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractTransformTransformPoint");
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformFloatPoint vtkAbstractTransformTransformFloatPointFunction
//input varargin
//output varargout
ArrayVector vtkAbstractTransformTransformFloatPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAbstractTransformTransformFloatPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAbstractTransformTransformFloatPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractTransformTransformFloatPoint");
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformDoublePoint vtkAbstractTransformTransformDoublePointFunction
//input varargin
//output varargout
ArrayVector vtkAbstractTransformTransformDoublePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAbstractTransformTransformDoublePoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAbstractTransformTransformDoublePoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractTransformTransformDoublePoint");
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformNormalAtPoint vtkAbstractTransformTransformNormalAtPointFunction
//input varargin
//output varargout
ArrayVector vtkAbstractTransformTransformNormalAtPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkAbstractTransformTransformNormalAtPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkAbstractTransformTransformNormalAtPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkAbstractTransformTransformNormalAtPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractTransformTransformNormalAtPoint");
}

//@@Signature
//sfunction @vtkAbstractTransform:TransformVectorAtPoint vtkAbstractTransformTransformVectorAtPointFunction
//input varargin
//output varargout
ArrayVector vtkAbstractTransformTransformVectorAtPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkAbstractTransformTransformVectorAtPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkAbstractTransformTransformVectorAtPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkAbstractTransformTransformVectorAtPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractTransformTransformVectorAtPoint");
}

//@@Signature
//sfunction @vtkAbstractTransform:InternalTransformPoint vtkAbstractTransformInternalTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkAbstractTransformInternalTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkAbstractTransformInternalTransformPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkAbstractTransformInternalTransformPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractTransformInternalTransformPoint");
}

//@@Signature
//sfunction @vtkAbstractTransform:InternalTransformDerivative vtkAbstractTransformInternalTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkAbstractTransformInternalTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractTransformInternalTransformDerivative");
}

//@@Signature
//sfunction @vtkAbstractTransform:display vtkAbstractTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractTransform* vtk_pointer = GetVTKPointer<vtkAbstractTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractTransform:delete vtkAbstractTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractTransform
//@@Section VTKCommon
//@@Usage
// vtkAbstractTransform is the superclass for all VTK geometric 
// transformations.  The VTK transform hierarchy is split into two
// major branches: warp transformations and homogeneous (including linear)
// transformations.  The latter can be represented in terms of a 4x4
// transformation matrix, the former cannot.  
// <p>Transformations can be pipelined through two mechanisms:  
// <p>1) GetInverse() returns the pipelined
// inverse of a transformation i.e. if you modify the original transform,
// any transform previously returned by the GetInverse() method will
// automatically update itself according to the change.
// <p>2) You can do pipelined concatenation of transformations through 
// the vtkGeneralTransform class, the vtkPerspectiveTransform class,
// or the vtkTransform class. 
//
//To create an instance of class vtkAbstractTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractTransform
//@]
//@@Methods
//The class vtkAbstractTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractTransform = obj.NewInstance ()|
// \item @|vtkAbstractTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.TransformPoint (float in[3], float out[3])| -  Apply the transformation to a coordinate.  You can use the same 
// array to store both the input and output point.
//// \item @|obj.TransformPoint (double in[3], double out[3])| -  Apply the transformation to a double-precision coordinate.  
// You can use the same array to store both the input and output point.
//// \item @|double = obj.TransformPoint (double x, double y, double z)| -  Apply the transformation to a double-precision coordinate.  
// Use this if you are programming in Python, tcl or Java.
//// \item @|double = obj.TransformPoint (double point[3])| -  Apply the transformation to a double-precision coordinate.  
// Use this if you are programming in Python, tcl or Java.
//// \item @|float = obj.TransformFloatPoint (float x, float y, float z)| -  Apply the transformation to an (x,y,z) coordinate.
// Use this if you are programming in Python, tcl or Java.
//// \item @|float = obj.TransformFloatPoint (float point[3])| -  Apply the transformation to an (x,y,z) coordinate.
// Use this if you are programming in Python, tcl or Java.
//// \item @|double = obj.TransformDoublePoint (double x, double y, double z)| -  Apply the transformation to a double-precision (x,y,z) coordinate.
// Use this if you are programming in Python, tcl or Java.
//// \item @|double = obj.TransformDoublePoint (double point[3])| -  Apply the transformation to a double-precision (x,y,z) coordinate.
// Use this if you are programming in Python, tcl or Java.
//// \item @|obj.TransformNormalAtPoint (float point[3], float in[3], float out[3])| -  Apply the transformation to a normal at the specified vertex.  If the
// transformation is a vtkLinearTransform, you can use TransformNormal()
// instead.
//// \item @|obj.TransformNormalAtPoint (double point[3], double in[3], double out[3])| -  Apply the transformation to a normal at the specified vertex.  If the
// transformation is a vtkLinearTransform, you can use TransformNormal()
// instead.
//// \item @|double = obj.TransformNormalAtPoint (double point[3], double normal[3])|
// \item @|double = obj.TransformDoubleNormalAtPoint (double point[3], double normal[3])| -  Apply the transformation to a double-precision normal at the specified
// vertex.  If the transformation is a vtkLinearTransform, you can use
// TransformDoubleNormal() instead.
//// \item @|float = obj.TransformFloatNormalAtPoint (float point[3], float normal[3])| -  Apply the transformation to a single-precision normal at the specified
// vertex.  If the transformation is a vtkLinearTransform, you can use
// TransformFloatNormal() instead.
//// \item @|obj.TransformVectorAtPoint (float point[3], float in[3], float out[3])| -  Apply the transformation to a vector at the specified vertex.  If the
// transformation is a vtkLinearTransform, you can use TransformVector()
// instead.
//// \item @|obj.TransformVectorAtPoint (double point[3], double in[3], double out[3])| -  Apply the transformation to a vector at the specified vertex.  If the
// transformation is a vtkLinearTransform, you can use TransformVector()
// instead.
//// \item @|double = obj.TransformVectorAtPoint (double point[3], double vector[3])|
// \item @|double = obj.TransformDoubleVectorAtPoint (double point[3], double vector[3])| -  Apply the transformation to a double-precision vector at the specified
// vertex.  If the transformation is a vtkLinearTransform, you can use
// TransformDoubleVector() instead.
//// \item @|float = obj.TransformFloatVectorAtPoint (float point[3], float vector[3])| -  Apply the transformation to a single-precision vector at the specified
// vertex.  If the transformation is a vtkLinearTransform, you can use
// TransformFloatVector() instead.
//// \item @|obj.TransformPoints (vtkPoints inPts, vtkPoints outPts)| -  Apply the transformation to a series of points, and append the
// results to outPts.  
//// \item @|obj.TransformPointsNormalsVectors (vtkPoints inPts, vtkPoints outPts, vtkDataArray inNms, vtkDataArray outNms, vtkDataArray inVrs, vtkDataArray outVrs)| -  Apply the transformation to a combination of points, normals
// and vectors.  
//// \item @|vtkAbstractTransform = obj.GetInverse ()| -  Get the inverse of this transform.  If you modify this transform,
// the returned inverse transform will automatically update.  If you
// want the inverse of a vtkTransform, you might want to use
// GetLinearInverse() instead which will type cast the result from
// vtkAbstractTransform to vtkLinearTransform.
//// \item @|obj.SetInverse (vtkAbstractTransform transform)| -  Set a transformation that this transform will be the inverse of.
// This transform will automatically update to agree with the 
// inverse transform that you set.
//// \item @|obj.Inverse ()| -  Invert the transformation.
//// \item @|obj.DeepCopy (vtkAbstractTransform )| -  Copy this transform from another of the same type.
//// \item @|obj.Update ()| -  Update the transform to account for any changes which
// have been made.  You do not have to call this method 
// yourself, it is called automatically whenever the
// transform needs an update.
//// \item @|obj.InternalTransformPoint (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformPoint (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make another transform of the same type.
//// \item @|int = obj.CircuitCheck (vtkAbstractTransform transform)| -  Check for self-reference.  Will return true if concatenating
// with the specified transform, setting it to be our inverse,
// or setting it to be our input will create a circular reference.
// CircuitCheck is automatically called by SetInput(), SetInverse(),
// and Concatenate(vtkXTransform *).  Avoid using this function,
// it is experimental.
//// \item @|long = obj.GetMTime ()| -  Override GetMTime necessary because of inverse transforms.
//// \item @|obj.UnRegister (vtkObjectBase O)| -  Needs a special UnRegister() implementation to avoid
// circular references.
//// \item @|obj.Identity ()| -  @deprecated This method is deprecated in the base class.  It is 
// still valid to use it on many of the specialized classes.
////\end{itemize}
//!
