#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAmoebaMinimizer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAmoebaMinimizer.h"

//@@Signature
//sfunction @vtkAmoebaMinimizer:vtkAmoebaMinimizer vtkAmoebaMinimizerConstructorFunction
//input a
//output p
//@@Parents vtkAmoebaMinimizer vtkObject 
ArrayVector vtkAmoebaMinimizerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAmoebaMinimizer::New(),"vtkAmoebaMinimizer",eval);
  } else if (arg[0].className() == "vtkAmoebaMinimizer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAmoebaMinimizer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAmoebaMinimizer");
    vtkAmoebaMinimizer*q = reinterpret_cast<vtkAmoebaMinimizer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAmoebaMinimizer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAmoebaMinimizer:GetClassName vtkAmoebaMinimizerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAmoebaMinimizerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:IsA vtkAmoebaMinimizerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAmoebaMinimizerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAmoebaMinimizer requires 2 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:NewInstance vtkAmoebaMinimizerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAmoebaMinimizerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAmoebaMinimizer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  vtkAmoebaMinimizer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAmoebaMinimizer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:SafeDownCast vtkAmoebaMinimizerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAmoebaMinimizerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAmoebaMinimizer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAmoebaMinimizer requires 2 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAmoebaMinimizer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAmoebaMinimizer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:SetParameterValue__1 vtkAmoebaMinimizerSetParameterValue__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkAmoebaMinimizerSetParameterValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParameterValue (const char *name, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetParameterValue__1 for class vtkAmoebaMinimizer requires 3 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetParameterValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:SetParameterValue__2 vtkAmoebaMinimizerSetParameterValue__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkAmoebaMinimizerSetParameterValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParameterValue (int i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetParameterValue__2 for class vtkAmoebaMinimizer requires 3 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetParameterValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:SetParameterScale__1 vtkAmoebaMinimizerSetParameterScale__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkAmoebaMinimizerSetParameterScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParameterScale (const char *name, double scale); */
  if (arg.size() < 3) 
    throw Exception("Function SetParameterScale__1 for class vtkAmoebaMinimizer requires 3 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetParameterScale(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetParameterScale__1 vtkAmoebaMinimizerGetParameterScale__1Function
//input a0 a1 
//output y
ArrayVector vtkAmoebaMinimizerGetParameterScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetParameterScale (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetParameterScale__1 for class vtkAmoebaMinimizer requires 2 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetParameterScale(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:SetParameterScale__2 vtkAmoebaMinimizerSetParameterScale__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkAmoebaMinimizerSetParameterScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParameterScale (int i, double scale); */
  if (arg.size() < 3) 
    throw Exception("Function SetParameterScale__2 for class vtkAmoebaMinimizer requires 3 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetParameterScale(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetParameterScale__2 vtkAmoebaMinimizerGetParameterScale__2Function
//input a0 a1 
//output y
ArrayVector vtkAmoebaMinimizerGetParameterScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetParameterScale (int i);return this ParameterScales i  */
  if (arg.size() < 2) 
    throw Exception("Function GetParameterScale__2 for class vtkAmoebaMinimizer requires 2 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetParameterScale(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetParameterValue__1 vtkAmoebaMinimizerGetParameterValue__1Function
//input a0 a1 
//output y
ArrayVector vtkAmoebaMinimizerGetParameterValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetParameterValue (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetParameterValue__1 for class vtkAmoebaMinimizer requires 2 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetParameterValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetParameterValue__2 vtkAmoebaMinimizerGetParameterValue__2Function
//input a0 a1 
//output y
ArrayVector vtkAmoebaMinimizerGetParameterValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetParameterValue (int i);return this ParameterValues i  */
  if (arg.size() < 2) 
    throw Exception("Function GetParameterValue__2 for class vtkAmoebaMinimizer requires 2 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetParameterValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetParameterName vtkAmoebaMinimizerGetParameterNameFunction
//input a0 a1 
//output y
ArrayVector vtkAmoebaMinimizerGetParameterNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetParameterName (int i);return this ParameterNames i  */
  if (arg.size() < 2) 
    throw Exception("Function GetParameterName for class vtkAmoebaMinimizer requires 2 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetParameterName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetNumberOfParameters vtkAmoebaMinimizerGetNumberOfParametersFunction
//input a0 
//output y
ArrayVector vtkAmoebaMinimizerGetNumberOfParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfParameters ();return this NumberOfParameters  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfParameters for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfParameters();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:Initialize vtkAmoebaMinimizerInitializeFunction
//input a0 
//output none
ArrayVector vtkAmoebaMinimizerInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:Minimize vtkAmoebaMinimizerMinimizeFunction
//input a0 
//output none
ArrayVector vtkAmoebaMinimizerMinimizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Minimize (); */
  if (arg.size() < 1) 
    throw Exception("Function Minimize for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  vtk_pointer->Minimize();
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:Iterate vtkAmoebaMinimizerIterateFunction
//input a0 
//output y
ArrayVector vtkAmoebaMinimizerIterateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Iterate (); */
  if (arg.size() < 1) 
    throw Exception("Function Iterate for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Iterate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:SetFunctionValue vtkAmoebaMinimizerSetFunctionValueFunction
//input a0 a1 
//output none
ArrayVector vtkAmoebaMinimizerSetFunctionValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFunctionValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFunctionValue for class vtkAmoebaMinimizer requires 2 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFunctionValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetFunctionValue vtkAmoebaMinimizerGetFunctionValueFunction
//input a0 
//output y
ArrayVector vtkAmoebaMinimizerGetFunctionValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFunctionValue ();return this FunctionValue  */
  if (arg.size() < 1) 
    throw Exception("Function GetFunctionValue for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFunctionValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:SetTolerance vtkAmoebaMinimizerSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkAmoebaMinimizerSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkAmoebaMinimizer requires 2 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetTolerance vtkAmoebaMinimizerGetToleranceFunction
//input a0 
//output y
ArrayVector vtkAmoebaMinimizerGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:SetMaxIterations vtkAmoebaMinimizerSetMaxIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkAmoebaMinimizerSetMaxIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxIterations for class vtkAmoebaMinimizer requires 2 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetMaxIterations vtkAmoebaMinimizerGetMaxIterationsFunction
//input a0 
//output y
ArrayVector vtkAmoebaMinimizerGetMaxIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxIterations for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetIterations vtkAmoebaMinimizerGetIterationsFunction
//input a0 
//output y
ArrayVector vtkAmoebaMinimizerGetIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIterations for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetFunctionEvaluations vtkAmoebaMinimizerGetFunctionEvaluationsFunction
//input a0 
//output y
ArrayVector vtkAmoebaMinimizerGetFunctionEvaluationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFunctionEvaluations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFunctionEvaluations for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFunctionEvaluations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:EvaluateFunction vtkAmoebaMinimizerEvaluateFunctionFunction
//input a0 
//output none
ArrayVector vtkAmoebaMinimizerEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function EvaluateFunction for class vtkAmoebaMinimizer requires 1 argument(s)");
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  Array retval;
  vtk_pointer->EvaluateFunction();
  return retval;
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:SetParameterValue vtkAmoebaMinimizerSetParameterValueFunction
//input varargin
//output varargout
ArrayVector vtkAmoebaMinimizerSetParameterValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkAmoebaMinimizerSetParameterValue__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkAmoebaMinimizerSetParameterValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAmoebaMinimizerSetParameterValue");
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:SetParameterScale vtkAmoebaMinimizerSetParameterScaleFunction
//input varargin
//output varargout
ArrayVector vtkAmoebaMinimizerSetParameterScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkAmoebaMinimizerSetParameterScale__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkAmoebaMinimizerSetParameterScale__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAmoebaMinimizerSetParameterScale");
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetParameterScale vtkAmoebaMinimizerGetParameterScaleFunction
//input varargin
//output varargout
ArrayVector vtkAmoebaMinimizerGetParameterScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkAmoebaMinimizerGetParameterScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkAmoebaMinimizerGetParameterScale__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAmoebaMinimizerGetParameterScale");
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:GetParameterValue vtkAmoebaMinimizerGetParameterValueFunction
//input varargin
//output varargout
ArrayVector vtkAmoebaMinimizerGetParameterValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkAmoebaMinimizerGetParameterValue__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkAmoebaMinimizerGetParameterValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAmoebaMinimizerGetParameterValue");
}

//@@Signature
//sfunction @vtkAmoebaMinimizer:display vtkAmoebaMinimizerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAmoebaMinimizerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAmoebaMinimizer* vtk_pointer = GetVTKPointer<vtkAmoebaMinimizer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAmoebaMinimizer:delete vtkAmoebaMinimizerDeleteFunction
//input varargin
//output none
ArrayVector vtkAmoebaMinimizerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAmoebaMinimizer
//@@Section VTKCommon
//@@Usage
// vtkAmoebaMinimizer will modify a set of parameters in order to find
// the minimum of a specified function.  The method used is commonly
// known as the amoeba method, it constructs an n-dimensional simplex
// in parameter space (i.e. a tetrahedron if the number or parameters
// is 3) and moves the vertices around parameter space until a local
// minimum is found.  The amoeba method is robust, reasonably efficient,
// but is not guaranteed to find the global minimum if several local
// minima exist.
//
//To create an instance of class vtkAmoebaMinimizer, simply
//invoke its constructor as follows
//@[
//  obj = vtkAmoebaMinimizer
//@]
//@@Methods
//The class vtkAmoebaMinimizer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAmoebaMinimizer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAmoebaMinimizer = obj.NewInstance ()|
// \item @|vtkAmoebaMinimizer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetParameterValue (string name, double value)| -  Set the initial value for the specified parameter.  Calling
// this function for any parameter will reset the Iterations
// and the FunctionEvaluations counts to zero.  You must also
// use SetParameterScale() to specify the step size by which the
// parameter will be modified during the minimization.  It is
// preferable to specify parameters by name, rather than by
// number.
//// \item @|obj.SetParameterValue (int i, double value)| -  Set the initial value for the specified parameter.  Calling
// this function for any parameter will reset the Iterations
// and the FunctionEvaluations counts to zero.  You must also
// use SetParameterScale() to specify the step size by which the
// parameter will be modified during the minimization.  It is
// preferable to specify parameters by name, rather than by
// number.
//// \item @|obj.SetParameterScale (string name, double scale)| -  Set the scale to use when modifying a parameter, i.e. the
// initial amount by which the parameter will be modified
// during the search for the minimum.  It is preferable to
// identify scalars by name rather than by number.
//// \item @|double = obj.GetParameterScale (string name)| -  Set the scale to use when modifying a parameter, i.e. the
// initial amount by which the parameter will be modified
// during the search for the minimum.  It is preferable to
// identify scalars by name rather than by number.
//// \item @|obj.SetParameterScale (int i, double scale)| -  Set the scale to use when modifying a parameter, i.e. the
// initial amount by which the parameter will be modified
// during the search for the minimum.  It is preferable to
// identify scalars by name rather than by number.
//// \item @|double = obj.GetParameterScale (int i)| -  Set the scale to use when modifying a parameter, i.e. the
// initial amount by which the parameter will be modified
// during the search for the minimum.  It is preferable to
// identify scalars by name rather than by number.
//// \item @|double = obj.GetParameterValue (string name)| -  Get the value of a parameter at the current stage of the minimization.
// Call this method within the function that you are minimizing in order
// to get the current parameter values.  It is preferable to specify
// parameters by name rather than by index. 
//// \item @|double = obj.GetParameterValue (int i)| -  Get the value of a parameter at the current stage of the minimization.
// Call this method within the function that you are minimizing in order
// to get the current parameter values.  It is preferable to specify
// parameters by name rather than by index. 
//// \item @|string = obj.GetParameterName (int i)| -  For completeness, an unchecked method to get the name for particular
// parameter (the result will be NULL if no name was set).  
//// \item @|int = obj.GetNumberOfParameters ()| -  Get the number of parameters that have been set.
//// \item @|obj.Initialize ()| -  Initialize the minimizer.  This will reset the number of parameters to
// zero so that the minimizer can be reused.
//// \item @|obj.Minimize ()| -  Iterate until the minimum is found to within the specified tolerance,
// or until the MaxIterations has been reached. 
//// \item @|int = obj.Iterate ()| -  Perform one iteration of minimization.  Returns zero if the tolerance
// stopping criterion has been met.  
//// \item @|obj.SetFunctionValue (double )| -  Get the function value resulting from the minimization.
//// \item @|double = obj.GetFunctionValue ()| -  Get the function value resulting from the minimization.
//// \item @|obj.SetTolerance (double )| -  Specify the fractional tolerance to aim for during the minimization.
//// \item @|double = obj.GetTolerance ()| -  Specify the fractional tolerance to aim for during the minimization.
//// \item @|obj.SetMaxIterations (int )| -  Specify the maximum number of iterations to try before giving up.
//// \item @|int = obj.GetMaxIterations ()| -  Specify the maximum number of iterations to try before giving up.
//// \item @|int = obj.GetIterations ()| -  Return the number of interations that have been performed.  This
// is not necessarily the same as the number of function evaluations.
//// \item @|int = obj.GetFunctionEvaluations ()| -  Return the number of times that the function has been evaluated.
//// \item @|obj.EvaluateFunction ()| -  Evaluate the function.  This is usually called internally by the
// minimization code, but it is provided here as a public method.
////\end{itemize}
//!
