#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAnimationScene object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAnimationScene.h"

//@@Signature
//sfunction @vtkAnimationScene:vtkAnimationScene vtkAnimationSceneConstructorFunction
//input a
//output p
//@@Parents vtkAnimationScene vtkAnimationCue 
ArrayVector vtkAnimationSceneConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAnimationScene::New(),"vtkAnimationScene",eval);
  } else if (arg[0].className() == "vtkAnimationScene") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAnimationScene"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAnimationScene");
    vtkAnimationScene*q = reinterpret_cast<vtkAnimationScene*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAnimationScene");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAnimationScene:GetClassName vtkAnimationSceneGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAnimationSceneGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:IsA vtkAnimationSceneIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAnimationSceneIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAnimationScene requires 2 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:NewInstance vtkAnimationSceneNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAnimationSceneNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnimationScene *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  vtkAnimationScene  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnimationScene",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:SafeDownCast vtkAnimationSceneSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAnimationSceneSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnimationScene *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAnimationScene requires 2 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAnimationScene  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnimationScene",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:SetPlayMode vtkAnimationSceneSetPlayModeFunction
//input a0 a1 
//output none
ArrayVector vtkAnimationSceneSetPlayModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlayMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlayMode for class vtkAnimationScene requires 2 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPlayMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:SetModeToSequence vtkAnimationSceneSetModeToSequenceFunction
//input a0 
//output none
ArrayVector vtkAnimationSceneSetModeToSequenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModeToSequence ();this SetPlayMode PLAYMODE_SEQUENCE  */
  if (arg.size() < 1) 
    throw Exception("Function SetModeToSequence for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  vtk_pointer->SetModeToSequence();
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:SetModeToRealTime vtkAnimationSceneSetModeToRealTimeFunction
//input a0 
//output none
ArrayVector vtkAnimationSceneSetModeToRealTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModeToRealTime ();this SetPlayMode PLAYMODE_REALTIME  */
  if (arg.size() < 1) 
    throw Exception("Function SetModeToRealTime for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  vtk_pointer->SetModeToRealTime();
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:GetPlayMode vtkAnimationSceneGetPlayModeFunction
//input a0 
//output y
ArrayVector vtkAnimationSceneGetPlayModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlayMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlayMode for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlayMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:SetFrameRate vtkAnimationSceneSetFrameRateFunction
//input a0 a1 
//output none
ArrayVector vtkAnimationSceneSetFrameRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFrameRate (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrameRate for class vtkAnimationScene requires 2 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFrameRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:GetFrameRate vtkAnimationSceneGetFrameRateFunction
//input a0 
//output y
ArrayVector vtkAnimationSceneGetFrameRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFrameRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrameRate for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFrameRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:AddCue vtkAnimationSceneAddCueFunction
//input a0 a1 
//output none
ArrayVector vtkAnimationSceneAddCueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCue (vtkAnimationCue *cue); */
  if (arg.size() < 2) 
    throw Exception("Function AddCue for class vtkAnimationScene requires 2 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  vtkAnimationCue  *temp0;
  temp0 = GetVTKPointer<vtkAnimationCue>(arg[1]);
  vtk_pointer->AddCue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:RemoveCue vtkAnimationSceneRemoveCueFunction
//input a0 a1 
//output none
ArrayVector vtkAnimationSceneRemoveCueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveCue (vtkAnimationCue *cue); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveCue for class vtkAnimationScene requires 2 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  vtkAnimationCue  *temp0;
  temp0 = GetVTKPointer<vtkAnimationCue>(arg[1]);
  vtk_pointer->RemoveCue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:RemoveAllCues vtkAnimationSceneRemoveAllCuesFunction
//input a0 
//output none
ArrayVector vtkAnimationSceneRemoveAllCuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllCues (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllCues for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllCues();
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:GetNumberOfCues vtkAnimationSceneGetNumberOfCuesFunction
//input a0 
//output y
ArrayVector vtkAnimationSceneGetNumberOfCuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCues for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:Play vtkAnimationScenePlayFunction
//input a0 
//output none
ArrayVector vtkAnimationScenePlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Play (); */
  if (arg.size() < 1) 
    throw Exception("Function Play for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  vtk_pointer->Play();
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:Stop vtkAnimationSceneStopFunction
//input a0 
//output none
ArrayVector vtkAnimationSceneStopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Stop (); */
  if (arg.size() < 1) 
    throw Exception("Function Stop for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  vtk_pointer->Stop();
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:SetLoop vtkAnimationSceneSetLoopFunction
//input a0 a1 
//output none
ArrayVector vtkAnimationSceneSetLoopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLoop (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLoop for class vtkAnimationScene requires 2 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLoop(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:GetLoop vtkAnimationSceneGetLoopFunction
//input a0 
//output y
ArrayVector vtkAnimationSceneGetLoopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLoop (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLoop for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLoop();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:SetAnimationTime vtkAnimationSceneSetAnimationTimeFunction
//input a0 a1 
//output none
ArrayVector vtkAnimationSceneSetAnimationTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnimationTime (double time); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnimationTime for class vtkAnimationScene requires 2 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAnimationTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:GetAnimationTime vtkAnimationSceneGetAnimationTimeFunction
//input a0 
//output y
ArrayVector vtkAnimationSceneGetAnimationTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAnimationTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnimationTime for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAnimationTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:SetTimeMode vtkAnimationSceneSetTimeModeFunction
//input a0 a1 
//output none
ArrayVector vtkAnimationSceneSetTimeModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTimeMode (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeMode for class vtkAnimationScene requires 2 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:IsInPlay vtkAnimationSceneIsInPlayFunction
//input a0 
//output y
ArrayVector vtkAnimationSceneIsInPlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsInPlay ();return this InPlay  */
  if (arg.size() < 1) 
    throw Exception("Function IsInPlay for class vtkAnimationScene requires 1 argument(s)");
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsInPlay();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnimationScene:display vtkAnimationSceneDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAnimationSceneDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAnimationScene* vtk_pointer = GetVTKPointer<vtkAnimationScene>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAnimationScene:delete vtkAnimationSceneDeleteFunction
//input varargin
//output none
ArrayVector vtkAnimationSceneDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAnimationScene
//@@Section VTKCommon
//@@Usage
// vtkAnimationCue and vtkAnimationScene provide the framework to support
// animations in VTK. vtkAnimationCue represents an entity that changes/
// animates with time, while vtkAnimationScene represents scene or setup 
// for the animation, which consists of individual cues or other scenes.
//
// A scene can be played in real time mode, or as a seqence of frames
// 1/frame rate apart in time.
//
//To create an instance of class vtkAnimationScene, simply
//invoke its constructor as follows
//@[
//  obj = vtkAnimationScene
//@]
//@@Methods
//The class vtkAnimationScene has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAnimationScene class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAnimationScene = obj.NewInstance ()|
// \item @|vtkAnimationScene = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPlayMode (int )| -  Get/Set the PlayMode for running/playing the animation scene.
// In the Sequence mode, all the frames are generated one after the other.
// The time reported to each Tick of the constituent cues (during Play) is
// incremented by 1/frame rate, irrespective of the current time.
// In the RealTime mode, time indicates the instance in time. 
//// \item @|obj.SetModeToSequence ()| -  Get/Set the PlayMode for running/playing the animation scene.
// In the Sequence mode, all the frames are generated one after the other.
// The time reported to each Tick of the constituent cues (during Play) is
// incremented by 1/frame rate, irrespective of the current time.
// In the RealTime mode, time indicates the instance in time. 
//// \item @|obj.SetModeToRealTime ()| -  Get/Set the PlayMode for running/playing the animation scene.
// In the Sequence mode, all the frames are generated one after the other.
// The time reported to each Tick of the constituent cues (during Play) is
// incremented by 1/frame rate, irrespective of the current time.
// In the RealTime mode, time indicates the instance in time. 
//// \item @|int = obj.GetPlayMode ()| -  Get/Set the PlayMode for running/playing the animation scene.
// In the Sequence mode, all the frames are generated one after the other.
// The time reported to each Tick of the constituent cues (during Play) is
// incremented by 1/frame rate, irrespective of the current time.
// In the RealTime mode, time indicates the instance in time. 
//// \item @|obj.SetFrameRate (double )| -  Get/Set the frame rate (in frames per second).
// This parameter affects only in the Sequence mode. The time interval
// indicated to each cue on every tick is progressed by 1/frame-rate seconds.
//// \item @|double = obj.GetFrameRate ()| -  Get/Set the frame rate (in frames per second).
// This parameter affects only in the Sequence mode. The time interval
// indicated to each cue on every tick is progressed by 1/frame-rate seconds.
//// \item @|obj.AddCue (vtkAnimationCue cue)| -  Add/Remove an AnimationCue to/from the Scene.
// It's an error to add a cue twice to the Scene.
//// \item @|obj.RemoveCue (vtkAnimationCue cue)| -  Add/Remove an AnimationCue to/from the Scene.
// It's an error to add a cue twice to the Scene.
//// \item @|obj.RemoveAllCues ()| -  Add/Remove an AnimationCue to/from the Scene.
// It's an error to add a cue twice to the Scene.
//// \item @|int = obj.GetNumberOfCues ()| -  Add/Remove an AnimationCue to/from the Scene.
// It's an error to add a cue twice to the Scene.
//// \item @|obj.Play ()| -  Starts playing the animation scene. Fires a vtkCommand::StartEvent
// before play beings and vtkCommand::EndEvent after play ends.
//// \item @|obj.Stop ()| -  Stops the animation scene that is running.
//// \item @|obj.SetLoop (int )| -  Enable/Disable animation loop.
//// \item @|int = obj.GetLoop ()| -  Enable/Disable animation loop.
//// \item @|obj.SetAnimationTime (double time)| -  Makes the state of the scene same as the given time.
//// \item @|double = obj.GetAnimationTime ()| -  Makes the state of the scene same as the given time.
//// \item @|obj.SetTimeMode (int mode)| -  Overridden to allow change to Normalized mode only
// if none of the constituent cues is in Relative time mode.
//// \item @|int = obj.IsInPlay ()|
//\end{itemize}
//!
