#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArray.h"

//@@Signature
//sfunction @vtkArray:vtkArray vtkArrayConstructorFunction
//input a
//output p
//@@Parents vtkArray vtkObject 
ArrayVector vtkArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArray::New(),"vtkArray",eval);
  } else if (arg[0].className() == "vtkArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArray");
    vtkArray*q = reinterpret_cast<vtkArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArray:GetClassName vtkArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArray requires 1 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArray:IsA vtkArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArray requires 2 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArray:NewInstance vtkArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArray requires 1 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArray:SafeDownCast vtkArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArray requires 2 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArray:CreateArray vtkArrayCreateArrayFunction
//input a0 a1 a2 
//output y
ArrayVector vtkArrayCreateArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkArray *CreateArray (int StorageType, int ValueType); */
  if (arg.size() < 3) 
    throw Exception("Function CreateArray for class vtkArray requires 3 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->CreateArray(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArray:IsDense vtkArrayIsDenseFunction
//input a0 
//output y
ArrayVector vtkArrayIsDenseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool IsDense () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function IsDense for class vtkArray requires 1 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsDense();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkArray:Resize__1 vtkArrayResize__1Function
//input a0 a1 
//output none
ArrayVector vtkArrayResize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Resize (const vtkIdType i); */
  if (arg.size() < 2) 
    throw Exception("Function Resize__1 for class vtkArray requires 2 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Resize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArray:Resize__2 vtkArrayResize__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkArrayResize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Resize (const vtkIdType i, const vtkIdType j); */
  if (arg.size() < 3) 
    throw Exception("Function Resize__2 for class vtkArray requires 3 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Resize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkArray:Resize__3 vtkArrayResize__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkArrayResize__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Resize (const vtkIdType i, const vtkIdType j, const vtkIdType k); */
  if (arg.size() < 4) 
    throw Exception("Function Resize__3 for class vtkArray requires 4 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Resize(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkArray:GetDimensions vtkArrayGetDimensionsFunction
//input a0 
//output y
ArrayVector vtkArrayGetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensions for class vtkArray requires 1 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetDimensions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArray:GetSize vtkArrayGetSizeFunction
//input a0 
//output y
ArrayVector vtkArrayGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkArray requires 1 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArray:GetNonNullSize vtkArrayGetNonNullSizeFunction
//input a0 
//output y
ArrayVector vtkArrayGetNonNullSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNonNullSize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNonNullSize for class vtkArray requires 1 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNonNullSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArray:SetName vtkArraySetNameFunction
//input a0 a1 
//output none
ArrayVector vtkArraySetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetName (const vtkStdString &name); */
  if (arg.size() < 2) 
    throw Exception("Function SetName for class vtkArray requires 2 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArray:GetName vtkArrayGetNameFunction
//input a0 
//output y
ArrayVector vtkArrayGetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStdString GetName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetName for class vtkArray requires 1 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArray:SetDimensionLabel vtkArraySetDimensionLabelFunction
//input a0 a1 a2 
//output none
ArrayVector vtkArraySetDimensionLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionLabel (vtkIdType i, const vtkStdString &label); */
  if (arg.size() < 3) 
    throw Exception("Function SetDimensionLabel for class vtkArray requires 3 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetDimensionLabel(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkArray:GetDimensionLabel vtkArrayGetDimensionLabelFunction
//input a0 a1 
//output y
ArrayVector vtkArrayGetDimensionLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStdString GetDimensionLabel (vtkIdType i); */
  if (arg.size() < 2) 
    throw Exception("Function GetDimensionLabel for class vtkArray requires 2 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDimensionLabel(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArray:DeepCopy vtkArrayDeepCopyFunction
//input a0 
//output y
ArrayVector vtkArrayDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkArray *DeepCopy () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function DeepCopy for class vtkArray requires 1 argument(s)");
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  Array retval;
  vtkArray  *temp20;
  temp20 = (vtk_pointer)->DeepCopy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArray:Resize vtkArrayResizeFunction
//input varargin
//output varargout
ArrayVector vtkArrayResizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkArrayResize__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkArrayResize__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkArrayResize__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkArrayResize");
}

//@@Signature
//sfunction @vtkArray:display vtkArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArray* vtk_pointer = GetVTKPointer<vtkArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArray:delete vtkArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArray
//@@Section VTKCommon
//@@Usage
// vtkArray is the root of a hierarchy of arrays that can be used to store data with
// any number of dimensions.  It provides an abstract interface for retrieving and
// setting array attributes that are independent of the type of values stored in the
// array - such as the number of dimensions, extents along each dimension, and number
// of values stored in the array.
//
// To get and set array values, the vtkTypedArray template class derives from vtkArray
// and provides type-specific methods for retrieval and update.
//
// Two concrete derivatives of vtkTypedArray are provided at the moment: vtkDenseArray
// and vtkSparseArray, which provide dense and sparse storage for arbitrary-dimension
// data, respectively.  Toolkit users can create their own concrete derivatives that
// implement alternative storage strategies, such as compressed-sparse-row, etc.  You
// could also create an array that provided read-only access to 'virtual' data, such
// as an array that returned a Fibonacci sequence, etc.
//
//
//To create an instance of class vtkArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkArray
//@]
//@@Methods
//The class vtkArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArray = obj.NewInstance ()|
// \item @|vtkArray = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.IsDense ()| -  Returns true iff the underlying array storage is "dense", i.e. that GetSize() and
// GetNonNullSize() will always return the same value.  If not, the array is "sparse".
//// \item @|obj.Resize (vtkIdType i)| -  Resizes the array to the given extents (number of dimensions and size of each dimension).
// Note that concrete implementations of vtkArray may place constraints on the the extents
// that they will store, so you cannot assume that GetExtents() will always return the same
// value passed to Resize().
//
// The contents of the array are undefined after calling Resize() - you should
// initialize its contents accordingly.  In particular, dimension-labels will be
// undefined, dense array values will be undefined, and sparse arrays will be
// empty.
//// \item @|obj.Resize (vtkIdType i, vtkIdType j)| -  Resizes the array to the given extents (number of dimensions and size of each dimension).
// Note that concrete implementations of vtkArray may place constraints on the the extents
// that they will store, so you cannot assume that GetExtents() will always return the same
// value passed to Resize().
//
// The contents of the array are undefined after calling Resize() - you should
// initialize its contents accordingly.  In particular, dimension-labels will be
// undefined, dense array values will be undefined, and sparse arrays will be
// empty.
//// \item @|obj.Resize (vtkIdType i, vtkIdType j, vtkIdType k)| -  Resizes the array to the given extents (number of dimensions and size of each dimension).
// Note that concrete implementations of vtkArray may place constraints on the the extents
// that they will store, so you cannot assume that GetExtents() will always return the same
// value passed to Resize().
//
// The contents of the array are undefined after calling Resize() - you should
// initialize its contents accordingly.  In particular, dimension-labels will be
// undefined, dense array values will be undefined, and sparse arrays will be
// empty.
//// \item @|vtkIdType = obj.GetDimensions ()| -  Returns the number of dimensions stored in the array.  Note that this is the same as
// calling GetExtents().GetDimensions().
//// \item @|vtkIdType = obj.GetSize ()| -  Returns the number of values stored in the array.  Note that this is the same as calling
// GetExtents().GetSize(), and represents the maximum number of values that could ever
// be stored using the current extents.  This is equal to the number of values stored in a
// dense array, but may be larger than the number of values stored in a sparse array.
//// \item @|vtkIdType = obj.GetNonNullSize ()| -  Returns the number of non-null values stored in the array.  Note that this
// value will equal GetSize() for dense arrays, and will be less-than-or-equal
// to GetSize() for sparse arrays.
//// \item @|obj.SetName (vtkStdString &name)| -  Sets the array name.
//// \item @|vtkStdString = obj.GetName ()| -  Returns the array name.
//// \item @|obj.SetDimensionLabel (vtkIdType i, vtkStdString &label)| -  Sets the label for the i-th array dimension.
//// \item @|vtkStdString = obj.GetDimensionLabel (vtkIdType i)| -  Returns the label for the i-th array dimension.
//// \item @|vtkArray = obj.DeepCopy ()| -  Returns a new array that is a deep copy of this array.
////\end{itemize}
//!
