#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArrayIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArrayIterator.h"

//@@Signature
//sfunction @vtkArrayIterator:vtkArrayIterator vtkArrayIteratorConstructorFunction
//input a
//output p
//@@Parents vtkArrayIterator vtkObject 
ArrayVector vtkArrayIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArrayIterator::New(),"vtkArrayIterator",eval);
  } else if (arg[0].className() == "vtkArrayIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArrayIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArrayIterator");
    vtkArrayIterator*q = reinterpret_cast<vtkArrayIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArrayIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArrayIterator:GetClassName vtkArrayIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArrayIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArrayIterator requires 1 argument(s)");
  vtkArrayIterator* vtk_pointer = GetVTKPointer<vtkArrayIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayIterator:IsA vtkArrayIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArrayIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArrayIterator requires 2 argument(s)");
  vtkArrayIterator* vtk_pointer = GetVTKPointer<vtkArrayIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayIterator:NewInstance vtkArrayIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArrayIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArrayIterator requires 1 argument(s)");
  vtkArrayIterator* vtk_pointer = GetVTKPointer<vtkArrayIterator>(arg[0]);
  Array retval;
  vtkArrayIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayIterator:SafeDownCast vtkArrayIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArrayIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArrayIterator requires 2 argument(s)");
  vtkArrayIterator* vtk_pointer = GetVTKPointer<vtkArrayIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArrayIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayIterator:Initialize vtkArrayIteratorInitializeFunction
//input a0 a1 
//output none
ArrayVector vtkArrayIteratorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (vtkAbstractArray *array) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function Initialize for class vtkArrayIterator requires 2 argument(s)");
  vtkArrayIterator* vtk_pointer = GetVTKPointer<vtkArrayIterator>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->Initialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayIterator:GetDataType vtkArrayIteratorGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkArrayIteratorGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataType () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkArrayIterator requires 1 argument(s)");
  vtkArrayIterator* vtk_pointer = GetVTKPointer<vtkArrayIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayIterator:display vtkArrayIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArrayIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArrayIterator* vtk_pointer = GetVTKPointer<vtkArrayIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArrayIterator:delete vtkArrayIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkArrayIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArrayIterator
//@@Section VTKCommon
//@@Usage
// vtkArrayIterator is used to iterate over elements in any vtkAbstractArray
// subclass.
// The vtkArrayIteratorTemplateMacro is used to centralize the set of types
// supported by Execute methods.  It also avoids duplication of long
// switch statement case lists.
// Note that in this macro VTK_TT is defined to be the type of the iterator
// for the given type of array. One must include the 
// vtkArrayIteratorIncludes.h header file to provide for extending of this macro
// by addition of new iterators.
//
// Example usage:
// \begin{verbatim}
// vtkArrayIter* iter = array->NewIterator();
// switch(array->GetDataType())
//   {
//   vtkArrayIteratorTemplateMacro(myFunc(static_cast<VTK_TT*>(iter), arg2));
//   }
// iter->Delete();
// \end{verbatim}
//
//To create an instance of class vtkArrayIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkArrayIterator
//@]
//@@Methods
//The class vtkArrayIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArrayIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArrayIterator = obj.NewInstance ()|
// \item @|vtkArrayIterator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize (vtkAbstractArray array)| -  Set the array this iterator will iterate over.
// After Initialize() has been called, the iterator is valid
// so long as the Array has not been modified 
// (except using the iterator itself).
// If the array is modified, the iterator must be re-intialized.
//// \item @|int = obj.GetDataType ()|
//\end{itemize}
//!
