#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAssemblyNode object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAssemblyNode.h"

//@@Signature
//sfunction @vtkAssemblyNode:vtkAssemblyNode vtkAssemblyNodeConstructorFunction
//input a
//output p
//@@Parents vtkAssemblyNode vtkObject 
ArrayVector vtkAssemblyNodeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAssemblyNode::New(),"vtkAssemblyNode",eval);
  } else if (arg[0].className() == "vtkAssemblyNode") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAssemblyNode"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAssemblyNode");
    vtkAssemblyNode*q = reinterpret_cast<vtkAssemblyNode*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAssemblyNode");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAssemblyNode:GetClassName vtkAssemblyNodeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAssemblyNodeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAssemblyNode requires 1 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:IsA vtkAssemblyNodeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblyNodeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAssemblyNode requires 2 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:NewInstance vtkAssemblyNodeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAssemblyNodeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyNode *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAssemblyNode requires 1 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  vtkAssemblyNode  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:SafeDownCast vtkAssemblyNodeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblyNodeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyNode *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAssemblyNode requires 2 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAssemblyNode  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:SetViewProp vtkAssemblyNodeSetViewPropFunction
//input a0 a1 
//output none
ArrayVector vtkAssemblyNodeSetViewPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetViewProp (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewProp for class vtkAssemblyNode requires 2 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->SetViewProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:GetViewProp vtkAssemblyNodeGetViewPropFunction
//input a0 
//output y
ArrayVector vtkAssemblyNodeGetViewPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp *GetViewProp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewProp for class vtkAssemblyNode requires 1 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  vtkProp  *temp20;
  temp20 = (vtk_pointer)->GetViewProp();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:SetMatrix vtkAssemblyNodeSetMatrixFunction
//input a0 a1 
//output none
ArrayVector vtkAssemblyNodeSetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMatrix (vtkMatrix4x4 *matrix); */
  if (arg.size() < 2) 
    throw Exception("Function SetMatrix for class vtkAssemblyNode requires 2 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:GetMatrix vtkAssemblyNodeGetMatrixFunction
//input a0 
//output y
ArrayVector vtkAssemblyNodeGetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetMatrix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMatrix for class vtkAssemblyNode requires 1 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetMatrix();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:GetMTime vtkAssemblyNodeGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAssemblyNodeGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAssemblyNode requires 1 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:SetProp vtkAssemblyNodeSetPropFunction
//input a0 a1 
//output none
ArrayVector vtkAssemblyNodeSetPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetProp (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function SetProp for class vtkAssemblyNode requires 2 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->SetProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:GetProp vtkAssemblyNodeGetPropFunction
//input a0 
//output y
ArrayVector vtkAssemblyNodeGetPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkProp *GetProp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProp for class vtkAssemblyNode requires 1 argument(s)");
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  Array retval;
  vtkProp  *temp20;
  temp20 = (vtk_pointer)->GetProp();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyNode:display vtkAssemblyNodeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAssemblyNodeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAssemblyNode* vtk_pointer = GetVTKPointer<vtkAssemblyNode>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAssemblyNode:delete vtkAssemblyNodeDeleteFunction
//input varargin
//output none
ArrayVector vtkAssemblyNodeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAssemblyNode
//@@Section VTKCommon
//@@Usage
// vtkAssemblyNode represents a node in an assembly. It is used by
// vtkAssemblyPath to create hierarchical assemblies of props. The
// props can be either 2D or 3D.
//
// An assembly node refers to a vtkProp, and possibly a vtkMatrix4x4.
// Nodes are used by vtkAssemblyPath to build fully evaluated path
// (matrices are concatenated through the path) that is used by picking
// and other operations involving assemblies.
//
//To create an instance of class vtkAssemblyNode, simply
//invoke its constructor as follows
//@[
//  obj = vtkAssemblyNode
//@]
//@@Methods
//The class vtkAssemblyNode has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAssemblyNode class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAssemblyNode = obj.NewInstance ()|
// \item @|vtkAssemblyNode = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetViewProp (vtkProp prop)| -  Set/Get the prop that this assembly node refers to.
//// \item @|vtkProp = obj.GetViewProp ()| -  Set/Get the prop that this assembly node refers to.
//// \item @|obj.SetMatrix (vtkMatrix4x4 matrix)| -  Specify a transformation matrix associated with the prop.
// Note: if the prop is not a type of vtkProp3D, then the
// transformation matrix is ignored (and expected to be NULL).
// Also, internal to this object the matrix is copied because
// the matrix is used for computation by vtkAssemblyPath.
//// \item @|vtkMatrix4x4 = obj.GetMatrix ()| -  Specify a transformation matrix associated with the prop.
// Note: if the prop is not a type of vtkProp3D, then the
// transformation matrix is ignored (and expected to be NULL).
// Also, internal to this object the matrix is copied because
// the matrix is used for computation by vtkAssemblyPath.
//// \item @|long = obj.GetMTime ()| -  Override the standard GetMTime() to check for the modified times
// of the prop and matrix.
//// \item @|obj.SetProp (vtkProp prop)| -  @deprecated Replaced by vtkAssemblyNode::SetViewProp() as of VTK 5.0.
//// \item @|vtkProp = obj.GetProp ()| -  @deprecated Replaced by vtkAssemblyNode::GetViewProp() as of VTK 5.0.
////\end{itemize}
//!
