#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAssemblyPath object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAssemblyPath.h"

//@@Signature
//sfunction @vtkAssemblyPath:vtkAssemblyPath vtkAssemblyPathConstructorFunction
//input a
//output p
//@@Parents vtkAssemblyPath vtkCollection 
ArrayVector vtkAssemblyPathConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAssemblyPath::New(),"vtkAssemblyPath",eval);
  } else if (arg[0].className() == "vtkAssemblyPath") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAssemblyPath"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAssemblyPath");
    vtkAssemblyPath*q = reinterpret_cast<vtkAssemblyPath*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAssemblyPath");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAssemblyPath:GetClassName vtkAssemblyPathGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAssemblyPathGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAssemblyPath requires 1 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:IsA vtkAssemblyPathIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblyPathIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAssemblyPath requires 2 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:NewInstance vtkAssemblyPathNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAssemblyPathNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPath *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAssemblyPath requires 1 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:SafeDownCast vtkAssemblyPathSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblyPathSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPath *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAssemblyPath requires 2 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAssemblyPath  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:AddNode__1 vtkAssemblyPathAddNode__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkAssemblyPathAddNode__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddNode (vtkProp *p, vtkMatrix4x4 *m); */
  if (arg.size() < 3) 
    throw Exception("Function AddNode__1 for class vtkAssemblyPath requires 3 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  vtkMatrix4x4  *temp1;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  temp1 = GetVTKPointer<vtkMatrix4x4>(arg[2]);
  vtk_pointer->AddNode(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:GetNextNode vtkAssemblyPathGetNextNodeFunction
//input a0 
//output y
ArrayVector vtkAssemblyPathGetNextNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyNode *GetNextNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextNode for class vtkAssemblyPath requires 1 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  vtkAssemblyNode  *temp20;
  temp20 = (vtk_pointer)->GetNextNode();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:GetFirstNode vtkAssemblyPathGetFirstNodeFunction
//input a0 
//output y
ArrayVector vtkAssemblyPathGetFirstNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyNode *GetFirstNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFirstNode for class vtkAssemblyPath requires 1 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  vtkAssemblyNode  *temp20;
  temp20 = (vtk_pointer)->GetFirstNode();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:GetLastNode vtkAssemblyPathGetLastNodeFunction
//input a0 
//output y
ArrayVector vtkAssemblyPathGetLastNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyNode *GetLastNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastNode for class vtkAssemblyPath requires 1 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  vtkAssemblyNode  *temp20;
  temp20 = (vtk_pointer)->GetLastNode();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:DeleteLastNode vtkAssemblyPathDeleteLastNodeFunction
//input a0 
//output none
ArrayVector vtkAssemblyPathDeleteLastNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteLastNode (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteLastNode for class vtkAssemblyPath requires 1 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  vtk_pointer->DeleteLastNode();
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:ShallowCopy vtkAssemblyPathShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAssemblyPathShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkAssemblyPath *path); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkAssemblyPath requires 2 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp0;
  temp0 = GetVTKPointer<vtkAssemblyPath>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:GetMTime vtkAssemblyPathGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAssemblyPathGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAssemblyPath requires 1 argument(s)");
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPath:AddNode vtkAssemblyPathAddNodeFunction
//input varargin
//output varargout
ArrayVector vtkAssemblyPathAddNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkProp") && VTKIsClass(arg[2],"vtkMatrix4x4"))
    return vtkAssemblyPathAddNode__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAssemblyPathAddNode");
}

//@@Signature
//sfunction @vtkAssemblyPath:display vtkAssemblyPathDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAssemblyPathDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAssemblyPath* vtk_pointer = GetVTKPointer<vtkAssemblyPath>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAssemblyPath:delete vtkAssemblyPathDeleteFunction
//input varargin
//output none
ArrayVector vtkAssemblyPathDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAssemblyPath
//@@Section VTKCommon
//@@Usage
// vtkAssemblyPath represents an ordered list of assembly nodes that
// represent a fully evaluated assembly path. This class is used primarily
// for picking. Note that the use of this class is to add one or more
// assembly nodes to form the path. (An assembly node consists of an instance
// of vtkProp and vtkMatrix4x4, the matrix may be NULL.) As each node is
// added, the matrices are concatenated to create a final, evaluated matrix.
//
//To create an instance of class vtkAssemblyPath, simply
//invoke its constructor as follows
//@[
//  obj = vtkAssemblyPath
//@]
//@@Methods
//The class vtkAssemblyPath has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAssemblyPath class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAssemblyPath = obj.NewInstance ()|
// \item @|vtkAssemblyPath = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddNode (vtkProp p, vtkMatrix4x4 m)| -  Convenience method adds a prop and matrix together,
// creating an assembly node transparently. The matrix
// pointer m may be NULL. Note: that matrix is the one,
// if any, associated with the prop. 
//// \item @|vtkAssemblyNode = obj.GetNextNode ()| -  Get the next assembly node in the list. The node returned
// contains a pointer to a prop and a 4x4 matrix. The matrix
// is evaluated based on the preceding assembly hierarchy
// (i.e., the matrix is not necessarily as the same as the
// one that was added with AddNode() because of the 
// concatenation of matrices in the assembly hierarchy).
//// \item @|vtkAssemblyNode = obj.GetFirstNode ()| -  Get the first assembly node in the list. See the comments for
// GetNextNode() regarding the contents of the returned node. (Note: This
// node corresponds to the vtkProp associated with the vtkRenderer.
//// \item @|vtkAssemblyNode = obj.GetLastNode ()| -  Get the last assembly node in the list. See the comments
// for GetNextNode() regarding the contents of the returned node.
//// \item @|obj.DeleteLastNode ()| -  Delete the last assembly node in the list. This is like
// a stack pop.
//// \item @|obj.ShallowCopy (vtkAssemblyPath path)| -  Perform a shallow copy (reference counted) on the
// incoming path.
//// \item @|long = obj.GetMTime ()| -  Override the standard GetMTime() to check for the modified times
// of the nodes in this path.
////\end{itemize}
//!
