#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAssemblyPaths object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAssemblyPaths.h"

//@@Signature
//sfunction @vtkAssemblyPaths:vtkAssemblyPaths vtkAssemblyPathsConstructorFunction
//input a
//output p
//@@Parents vtkAssemblyPaths vtkCollection 
ArrayVector vtkAssemblyPathsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAssemblyPaths::New(),"vtkAssemblyPaths",eval);
  } else if (arg[0].className() == "vtkAssemblyPaths") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAssemblyPaths"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAssemblyPaths");
    vtkAssemblyPaths*q = reinterpret_cast<vtkAssemblyPaths*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAssemblyPaths");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAssemblyPaths:GetClassName vtkAssemblyPathsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAssemblyPathsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAssemblyPaths requires 1 argument(s)");
  vtkAssemblyPaths* vtk_pointer = GetVTKPointer<vtkAssemblyPaths>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPaths:IsA vtkAssemblyPathsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblyPathsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAssemblyPaths requires 2 argument(s)");
  vtkAssemblyPaths* vtk_pointer = GetVTKPointer<vtkAssemblyPaths>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPaths:NewInstance vtkAssemblyPathsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAssemblyPathsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPaths *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAssemblyPaths requires 1 argument(s)");
  vtkAssemblyPaths* vtk_pointer = GetVTKPointer<vtkAssemblyPaths>(arg[0]);
  Array retval;
  vtkAssemblyPaths  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPaths",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPaths:SafeDownCast vtkAssemblyPathsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblyPathsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPaths *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAssemblyPaths requires 2 argument(s)");
  vtkAssemblyPaths* vtk_pointer = GetVTKPointer<vtkAssemblyPaths>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAssemblyPaths  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPaths",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPaths:AddItem__1 vtkAssemblyPathsAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkAssemblyPathsAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkAssemblyPath *p); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkAssemblyPaths requires 2 argument(s)");
  vtkAssemblyPaths* vtk_pointer = GetVTKPointer<vtkAssemblyPaths>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp0;
  temp0 = GetVTKPointer<vtkAssemblyPath>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPaths:RemoveItem__1 vtkAssemblyPathsRemoveItem__1Function
//input a0 a1 
//output none
ArrayVector vtkAssemblyPathsRemoveItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveItem (vtkAssemblyPath *p); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveItem__1 for class vtkAssemblyPaths requires 2 argument(s)");
  vtkAssemblyPaths* vtk_pointer = GetVTKPointer<vtkAssemblyPaths>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp0;
  temp0 = GetVTKPointer<vtkAssemblyPath>(arg[1]);
  vtk_pointer->RemoveItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPaths:IsItemPresent__1 vtkAssemblyPathsIsItemPresent__1Function
//input a0 a1 
//output y
ArrayVector vtkAssemblyPathsIsItemPresent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsItemPresent (vtkAssemblyPath *p); */
  if (arg.size() < 2) 
    throw Exception("Function IsItemPresent__1 for class vtkAssemblyPaths requires 2 argument(s)");
  vtkAssemblyPaths* vtk_pointer = GetVTKPointer<vtkAssemblyPaths>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkAssemblyPath>(arg[1]);
  temp20 = (vtk_pointer)->IsItemPresent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPaths:GetNextItem vtkAssemblyPathsGetNextItemFunction
//input a0 
//output y
ArrayVector vtkAssemblyPathsGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPath *GetNextItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkAssemblyPaths requires 1 argument(s)");
  vtkAssemblyPaths* vtk_pointer = GetVTKPointer<vtkAssemblyPaths>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPaths:GetMTime vtkAssemblyPathsGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAssemblyPathsGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAssemblyPaths requires 1 argument(s)");
  vtkAssemblyPaths* vtk_pointer = GetVTKPointer<vtkAssemblyPaths>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssemblyPaths:AddItem vtkAssemblyPathsAddItemFunction
//input varargin
//output varargout
ArrayVector vtkAssemblyPathsAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAssemblyPath"))
    return vtkAssemblyPathsAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAssemblyPathsAddItem");
}

//@@Signature
//sfunction @vtkAssemblyPaths:RemoveItem vtkAssemblyPathsRemoveItemFunction
//input varargin
//output varargout
ArrayVector vtkAssemblyPathsRemoveItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAssemblyPath"))
    return vtkAssemblyPathsRemoveItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAssemblyPathsRemoveItem");
}

//@@Signature
//sfunction @vtkAssemblyPaths:IsItemPresent vtkAssemblyPathsIsItemPresentFunction
//input varargin
//output varargout
ArrayVector vtkAssemblyPathsIsItemPresentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAssemblyPath"))
    return vtkAssemblyPathsIsItemPresent__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAssemblyPathsIsItemPresent");
}

//@@Signature
//sfunction @vtkAssemblyPaths:display vtkAssemblyPathsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAssemblyPathsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAssemblyPaths* vtk_pointer = GetVTKPointer<vtkAssemblyPaths>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAssemblyPaths:delete vtkAssemblyPathsDeleteFunction
//input varargin
//output none
ArrayVector vtkAssemblyPathsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAssemblyPaths
//@@Section VTKCommon
//@@Usage
// vtkAssemblyPaths represents an assembly hierarchy as a list of 
// vtkAssemblyPath. Each path represents the complete path from the
// top level assembly (if any) down to the leaf prop.
//
//To create an instance of class vtkAssemblyPaths, simply
//invoke its constructor as follows
//@[
//  obj = vtkAssemblyPaths
//@]
//@@Methods
//The class vtkAssemblyPaths has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAssemblyPaths class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAssemblyPaths = obj.NewInstance ()|
// \item @|vtkAssemblyPaths = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkAssemblyPath p)| -  Add a path to the list.
//// \item @|obj.RemoveItem (vtkAssemblyPath p)| -  Remove a path from the list.
//// \item @|int = obj.IsItemPresent (vtkAssemblyPath p)| -  Determine whether a particular path is present. Returns its position
// in the list.
//// \item @|vtkAssemblyPath = obj.GetNextItem ()| -  Get the next path in the list.
//// \item @|long = obj.GetMTime ()| -  Override the standard GetMTime() to check for the modified times
// of the paths.
////\end{itemize}
//!
