#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBitArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBitArray.h"

//@@Signature
//sfunction @vtkBitArray:vtkBitArray vtkBitArrayConstructorFunction
//input a
//output p
//@@Parents vtkBitArray vtkDataArray 
ArrayVector vtkBitArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBitArray::New(),"vtkBitArray",eval);
  } else if (arg[0].className() == "vtkBitArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBitArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBitArray");
    vtkBitArray*q = reinterpret_cast<vtkBitArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBitArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBitArray:GetClassName vtkBitArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBitArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:IsA vtkBitArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBitArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:NewInstance vtkBitArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBitArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBitArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkBitArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBitArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:SafeDownCast vtkBitArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBitArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBitArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBitArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBitArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:Allocate vtkBitArrayAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkBitArrayAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Allocate (vtkIdType sz, vtkIdType ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkBitArray requires 3 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:Initialize vtkBitArrayInitializeFunction
//input a0 
//output none
ArrayVector vtkBitArrayInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:GetDataType vtkBitArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkBitArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType ();return VTK_BIT  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:GetDataTypeSize vtkBitArrayGetDataTypeSizeFunction
//input a0 
//output y
ArrayVector vtkBitArrayGetDataTypeSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataTypeSize ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeSize for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataTypeSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:SetNumberOfTuples vtkBitArraySetNumberOfTuplesFunction
//input a0 a1 
//output none
ArrayVector vtkBitArraySetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfTuples (vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTuples for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTuples(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:SetTuple__1 vtkBitArraySetTuple__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBitArraySetTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source); */
  if (arg.size() < 4) 
    throw Exception("Function SetTuple__1 for class vtkBitArray requires 4 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->SetTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:InsertTuple__1 vtkBitArrayInsertTuple__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBitArrayInsertTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source); */
  if (arg.size() < 4) 
    throw Exception("Function InsertTuple__1 for class vtkBitArray requires 4 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->InsertTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:InsertNextTuple__1 vtkBitArrayInsertNextTuple__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkBitArrayInsertNextTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextTuple__1 for class vtkBitArray requires 3 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  temp20 = (vtk_pointer)->InsertNextTuple(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:GetTuple__2 vtkBitArrayGetTuple__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkBitArrayGetTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTuple (vtkIdType i, double *tuple); */
  if (arg.size() < 3) 
    throw Exception("Function GetTuple__2 for class vtkBitArray requires 3 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->GetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:SetTuple__2 vtkBitArraySetTuple__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkBitArraySetTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTuple (vtkIdType i, const float *tuple); */
  if (arg.size() < 3) 
    throw Exception("Function SetTuple__2 for class vtkBitArray requires 3 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  vtk_pointer->SetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:SetTuple__3 vtkBitArraySetTuple__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkBitArraySetTuple__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTuple (vtkIdType i, const double *tuple); */
  if (arg.size() < 3) 
    throw Exception("Function SetTuple__3 for class vtkBitArray requires 3 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->SetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:InsertTuple__2 vtkBitArrayInsertTuple__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkBitArrayInsertTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTuple (vtkIdType i, const float *tuple); */
  if (arg.size() < 3) 
    throw Exception("Function InsertTuple__2 for class vtkBitArray requires 3 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  vtk_pointer->InsertTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:InsertTuple__3 vtkBitArrayInsertTuple__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkBitArrayInsertTuple__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTuple (vtkIdType i, const double *tuple); */
  if (arg.size() < 3) 
    throw Exception("Function InsertTuple__3 for class vtkBitArray requires 3 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InsertTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:InsertNextTuple__2 vtkBitArrayInsertNextTuple__2Function
//input a0 a1 
//output y
ArrayVector vtkBitArrayInsertNextTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextTuple (const float *tuple); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextTuple__2 for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->InsertNextTuple(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:InsertNextTuple__3 vtkBitArrayInsertNextTuple__3Function
//input a0 a1 
//output y
ArrayVector vtkBitArrayInsertNextTuple__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextTuple (const double *tuple); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextTuple__3 for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdType   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->InsertNextTuple(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:RemoveTuple vtkBitArrayRemoveTupleFunction
//input a0 a1 
//output none
ArrayVector vtkBitArrayRemoveTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveTuple (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveTuple for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveTuple(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:RemoveFirstTuple vtkBitArrayRemoveFirstTupleFunction
//input a0 
//output none
ArrayVector vtkBitArrayRemoveFirstTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveFirstTuple (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveFirstTuple for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtk_pointer->RemoveFirstTuple();
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:RemoveLastTuple vtkBitArrayRemoveLastTupleFunction
//input a0 
//output none
ArrayVector vtkBitArrayRemoveLastTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveLastTuple (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveLastTuple for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtk_pointer->RemoveLastTuple();
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:SetComponent vtkBitArraySetComponentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBitArraySetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponent (vtkIdType i, int j, double c); */
  if (arg.size() < 4) 
    throw Exception("Function SetComponent for class vtkBitArray requires 4 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:Squeeze vtkBitArraySqueezeFunction
//input a0 
//output none
ArrayVector vtkBitArraySqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze (); */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:Resize vtkBitArrayResizeFunction
//input a0 a1 
//output y
ArrayVector vtkBitArrayResizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Resize (vtkIdType numTuples); */
  if (arg.size() < 2) 
    throw Exception("Function Resize for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->Resize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:GetValue vtkBitArrayGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkBitArrayGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetValue (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:SetNumberOfValues vtkBitArraySetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkBitArraySetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:SetValue vtkBitArraySetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBitArraySetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (vtkIdType id, int value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkBitArray requires 3 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:InsertValue vtkBitArrayInsertValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBitArrayInsertValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertValue (vtkIdType id, int i); */
  if (arg.size() < 3) 
    throw Exception("Function InsertValue for class vtkBitArray requires 3 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->InsertValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:InsertNextValue vtkBitArrayInsertNextValueFunction
//input a0 a1 
//output y
ArrayVector vtkBitArrayInsertNextValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextValue for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:InsertComponent vtkBitArrayInsertComponentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBitArrayInsertComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertComponent (vtkIdType i, int j, double c); */
  if (arg.size() < 4) 
    throw Exception("Function InsertComponent for class vtkBitArray requires 4 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->InsertComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:DeepCopy__1 vtkBitArrayDeepCopy__1Function
//input a0 a1 
//output none
ArrayVector vtkBitArrayDeepCopy__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkDataArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy__1 for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:DeepCopy__2 vtkBitArrayDeepCopy__2Function
//input a0 a1 
//output none
ArrayVector vtkBitArrayDeepCopy__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkAbstractArray *aa);this Superclass DeepCopy aa  */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy__2 for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:SetArray vtkBitArraySetArrayFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBitArraySetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArray (unsigned char *array, vtkIdType size, int save); */
  if (arg.size() < 4) 
    throw Exception("Function SetArray for class vtkBitArray requires 4 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  vtkIdType   temp1;
  int      temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetArray(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:NewIterator vtkBitArrayNewIteratorFunction
//input a0 
//output y
ArrayVector vtkBitArrayNewIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayIterator *NewIterator (); */
  if (arg.size() < 1) 
    throw Exception("Function NewIterator for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtkArrayIterator  *temp20;
  temp20 = (vtk_pointer)->NewIterator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:LookupValue__1 vtkBitArrayLookupValue__1Function
//input a0 a1 
//output y
ArrayVector vtkBitArrayLookupValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType LookupValue (int value); */
  if (arg.size() < 2) 
    throw Exception("Function LookupValue__1 for class vtkBitArray requires 2 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->LookupValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:LookupValue__2 vtkBitArrayLookupValue__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkBitArrayLookupValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LookupValue (int value, vtkIdList *ids); */
  if (arg.size() < 3) 
    throw Exception("Function LookupValue__2 for class vtkBitArray requires 3 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->LookupValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:DataChanged vtkBitArrayDataChangedFunction
//input a0 
//output none
ArrayVector vtkBitArrayDataChangedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DataChanged (); */
  if (arg.size() < 1) 
    throw Exception("Function DataChanged for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtk_pointer->DataChanged();
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:ClearLookup vtkBitArrayClearLookupFunction
//input a0 
//output none
ArrayVector vtkBitArrayClearLookupFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ClearLookup (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearLookup for class vtkBitArray requires 1 argument(s)");
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  Array retval;
  vtk_pointer->ClearLookup();
  return retval;
}

//@@Signature
//sfunction @vtkBitArray:SetTuple vtkBitArraySetTupleFunction
//input varargin
//output varargout
ArrayVector vtkBitArraySetTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray"))
    return vtkBitArraySetTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkBitArraySetTuple__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkBitArraySetTuple__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBitArraySetTuple");
}

//@@Signature
//sfunction @vtkBitArray:InsertTuple vtkBitArrayInsertTupleFunction
//input varargin
//output varargout
ArrayVector vtkBitArrayInsertTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray"))
    return vtkBitArrayInsertTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkBitArrayInsertTuple__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkBitArrayInsertTuple__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBitArrayInsertTuple");
}

//@@Signature
//sfunction @vtkBitArray:InsertNextTuple vtkBitArrayInsertNextTupleFunction
//input varargin
//output varargout
ArrayVector vtkBitArrayInsertNextTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkAbstractArray"))
    return vtkBitArrayInsertNextTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBitArrayInsertNextTuple__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBitArrayInsertNextTuple__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBitArrayInsertNextTuple");
}

//@@Signature
//sfunction @vtkBitArray:GetTuple vtkBitArrayGetTupleFunction
//input varargin
//output varargout
ArrayVector vtkBitArrayGetTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkBitArrayGetTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBitArrayGetTuple");
}

//@@Signature
//sfunction @vtkBitArray:DeepCopy vtkBitArrayDeepCopyFunction
//input varargin
//output varargout
ArrayVector vtkBitArrayDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataArray"))
    return vtkBitArrayDeepCopy__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAbstractArray"))
    return vtkBitArrayDeepCopy__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBitArrayDeepCopy");
}

//@@Signature
//sfunction @vtkBitArray:LookupValue vtkBitArrayLookupValueFunction
//input varargin
//output varargout
ArrayVector vtkBitArrayLookupValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkBitArrayLookupValue__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList"))
    return vtkBitArrayLookupValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBitArrayLookupValue");
}

//@@Signature
//sfunction @vtkBitArray:display vtkBitArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBitArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBitArray* vtk_pointer = GetVTKPointer<vtkBitArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBitArray:delete vtkBitArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkBitArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBitArray
//@@Section VTKCommon
//@@Usage
// vtkBitArray is an array of bits (0/1 data value). The array is packed 
// so that each byte stores eight bits. vtkBitArray provides methods
// for insertion and retrieval of bits, and will automatically resize 
// itself to hold new data.
//
//To create an instance of class vtkBitArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkBitArray
//@]
//@@Methods
//The class vtkBitArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBitArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBitArray = obj.NewInstance ()|
// \item @|vtkBitArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Allocate (vtkIdType sz, vtkIdType ext)| -  Allocate memory for this array. Delete old storage only if necessary.
// Note that ext is no longer used.
//// \item @|obj.Initialize ()| -  Release storage and reset array to initial state.
//// \item @|int = obj.GetDataType ()|
// \item @|int = obj.GetDataTypeSize ()| -  Set the number of n-tuples in the array.
//// \item @|obj.SetNumberOfTuples (vtkIdType number)| -  Set the number of n-tuples in the array.
//// \item @|obj.SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)| -  Set the tuple at the ith location using the jth tuple in the source array.
// This method assumes that the two arrays have the same type
// and structure. Note that range checking and memory allocation is not 
// performed; use in conjunction with SetNumberOfTuples() to allocate space.
//// \item @|obj.InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)| -  Insert the jth tuple in the source array, at ith location in this array. 
// Note that memory allocation is performed as necessary to hold the data.
//// \item @|vtkIdType = obj.InsertNextTuple (vtkIdType j, vtkAbstractArray source)| -  Insert the jth tuple in the source array, at the end in this array. 
// Note that memory allocation is performed as necessary to hold the data.
// Returns the location at which the data was inserted.
//// \item @|obj.GetTuple (vtkIdType i, double tuple)| -  Copy the tuple value into a user-provided array.
//// \item @|obj.SetTuple (vtkIdType i, float tuple)| -  Set the tuple value at the ith location in the array.
//// \item @|obj.SetTuple (vtkIdType i, double tuple)| -  Set the tuple value at the ith location in the array.
//// \item @|obj.InsertTuple (vtkIdType i, float tuple)| -  Insert (memory allocation performed) the tuple into the ith location
// in the array.
//// \item @|obj.InsertTuple (vtkIdType i, double tuple)| -  Insert (memory allocation performed) the tuple into the ith location
// in the array.
//// \item @|vtkIdType = obj.InsertNextTuple (float tuple)| -  Insert (memory allocation performed) the tuple onto the end of the array.
//// \item @|vtkIdType = obj.InsertNextTuple (double tuple)| -  Insert (memory allocation performed) the tuple onto the end of the array.
//// \item @|obj.RemoveTuple (vtkIdType id)| -  These methods remove tuples from the data array. They shift data and
// resize array, so the data array is still valid after this operation. Note,
// this operation is fairly slow.
//// \item @|obj.RemoveFirstTuple ()| -  These methods remove tuples from the data array. They shift data and
// resize array, so the data array is still valid after this operation. Note,
// this operation is fairly slow.
//// \item @|obj.RemoveLastTuple ()| -  These methods remove tuples from the data array. They shift data and
// resize array, so the data array is still valid after this operation. Note,
// this operation is fairly slow.
//// \item @|obj.SetComponent (vtkIdType i, int j, double c)| -  Set the data component at the ith tuple and jth component location.
// Note that i is less then NumberOfTuples and j is less then 
// NumberOfComponents. Make sure enough memory has been allocated (use 
// SetNumberOfTuples() and  SetNumberOfComponents()).
//// \item @|obj.Squeeze ()| -  Free any unneeded memory.
//// \item @|int = obj.Resize (vtkIdType numTuples)| -  Resize the array while conserving the data.
//// \item @|int = obj.GetValue (vtkIdType id)| -  Get the data at a particular index.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Fast method based setting of values without memory checks. First
// use SetNumberOfValues then use SetValue to actually set them.
// Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|obj.SetValue (vtkIdType id, int value)| -  Set the data at a particular index. Does not do range checking. Make sure
// you use the method SetNumberOfValues() before inserting data.
//// \item @|obj.InsertValue (vtkIdType id, int i)| -  Insets values and checks to make sure there is enough memory
//// \item @|vtkIdType = obj.InsertNextValue (int i)|
// \item @|obj.InsertComponent (vtkIdType i, int j, double c)| -  Insert the data component at ith tuple and jth component location. 
// Note that memory allocation is performed as necessary to hold the data.
//// \item @|obj.DeepCopy (vtkDataArray da)| -  Deep copy of another bit array.
//// \item @|obj.DeepCopy (vtkAbstractArray aa)| -  This method lets the user specify data to be held by the array.  The 
// array argument is a pointer to the data.  size is the size of 
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data 
// from the suppled array. If save 0, the array must have been allocated
// with new[] not malloc.
//// \item @|obj.SetArray (string array, vtkIdType size, int save)| -  This method lets the user specify data to be held by the array.  The 
// array argument is a pointer to the data.  size is the size of 
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data 
// from the suppled array. If save 0, the array must have been allocated
// with new[] not malloc.
//// \item @|vtkArrayIterator = obj.NewIterator ()| -  Returns a new vtkBitArrayIterator instance.
//// \item @|vtkIdType = obj.LookupValue (int value)|
// \item @|obj.LookupValue (int value, vtkIdList ids)|
// \item @|obj.DataChanged ()| -  Tell the array explicitly that the data has changed.
// This is only necessary to call when you modify the array contents
// without using the array's API (i.e. you retrieve a pointer to the
// data and modify the array contents).  You need to call this so that
// the fast lookup will know to rebuild itself.  Otherwise, the lookup
// functions will give incorrect results.
//// \item @|obj.ClearLookup ()| -  Delete the associated fast lookup data structure on this array,
// if it exists.  The lookup will be rebuilt on the next call to a lookup
// function.
////\end{itemize}
//!
