#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBitArrayIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBitArrayIterator.h"

//@@Signature
//sfunction @vtkBitArrayIterator:vtkBitArrayIterator vtkBitArrayIteratorConstructorFunction
//input a
//output p
//@@Parents vtkBitArrayIterator vtkArrayIterator 
ArrayVector vtkBitArrayIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBitArrayIterator::New(),"vtkBitArrayIterator",eval);
  } else if (arg[0].className() == "vtkBitArrayIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBitArrayIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBitArrayIterator");
    vtkBitArrayIterator*q = reinterpret_cast<vtkBitArrayIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBitArrayIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBitArrayIterator:GetClassName vtkBitArrayIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBitArrayIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBitArrayIterator requires 1 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:IsA vtkBitArrayIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBitArrayIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBitArrayIterator requires 2 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:NewInstance vtkBitArrayIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBitArrayIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBitArrayIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBitArrayIterator requires 1 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  vtkBitArrayIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBitArrayIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:SafeDownCast vtkBitArrayIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBitArrayIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBitArrayIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBitArrayIterator requires 2 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBitArrayIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBitArrayIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:Initialize vtkBitArrayIteratorInitializeFunction
//input a0 a1 
//output none
ArrayVector vtkBitArrayIteratorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (vtkAbstractArray *array); */
  if (arg.size() < 2) 
    throw Exception("Function Initialize for class vtkBitArrayIterator requires 2 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->Initialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:GetArray vtkBitArrayIteratorGetArrayFunction
//input a0 
//output y
ArrayVector vtkBitArrayIteratorGetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *GetArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArray for class vtkBitArrayIterator requires 1 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp20;
  temp20 = (vtk_pointer)->GetArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:GetValue vtkBitArrayIteratorGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkBitArrayIteratorGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetValue (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkBitArrayIterator requires 2 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:GetNumberOfTuples vtkBitArrayIteratorGetNumberOfTuplesFunction
//input a0 
//output y
ArrayVector vtkBitArrayIteratorGetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTuples (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTuples for class vtkBitArrayIterator requires 1 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTuples();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:GetNumberOfValues vtkBitArrayIteratorGetNumberOfValuesFunction
//input a0 
//output y
ArrayVector vtkBitArrayIteratorGetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfValues for class vtkBitArrayIterator requires 1 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:GetNumberOfComponents vtkBitArrayIteratorGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkBitArrayIteratorGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkBitArrayIterator requires 1 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:GetDataType vtkBitArrayIteratorGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkBitArrayIteratorGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkBitArrayIterator requires 1 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:GetDataTypeSize vtkBitArrayIteratorGetDataTypeSizeFunction
//input a0 
//output y
ArrayVector vtkBitArrayIteratorGetDataTypeSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataTypeSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeSize for class vtkBitArrayIterator requires 1 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataTypeSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:SetValue vtkBitArrayIteratorSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBitArrayIteratorSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (vtkIdType id, int value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkBitArrayIterator requires 3 argument(s)");
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBitArrayIterator:display vtkBitArrayIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBitArrayIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBitArrayIterator* vtk_pointer = GetVTKPointer<vtkBitArrayIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBitArrayIterator:delete vtkBitArrayIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkBitArrayIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
