#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBox object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBox.h"

//@@Signature
//sfunction @vtkBox:vtkBox vtkBoxConstructorFunction
//input a
//output p
//@@Parents vtkBox vtkImplicitFunction 
ArrayVector vtkBoxConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBox::New(),"vtkBox",eval);
  } else if (arg[0].className() == "vtkBox") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBox"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBox");
    vtkBox*q = reinterpret_cast<vtkBox*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBox");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBox:GetClassName vtkBoxGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBoxGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBox requires 1 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBox:IsA vtkBoxIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBoxIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBox requires 2 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBox:NewInstance vtkBoxNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBoxNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBox *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBox requires 1 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  vtkBox  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBox",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBox:SafeDownCast vtkBoxSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBoxSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBox *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBox requires 2 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBox  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBox",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBox:EvaluateFunction__1 vtkBoxEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkBoxEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkBox requires 2 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBox:EvaluateFunction__2 vtkBoxEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkBoxEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkBox requires 4 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBox:EvaluateGradient vtkBoxEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBoxEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double n[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkBox requires 3 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBox:SetXMin__1 vtkBoxSetXMin__1Function
//input a0 a1 
//output none
ArrayVector vtkBoxSetXMin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXMin (double p[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetXMin__1 for class vtkBox requires 2 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetXMin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBox:SetXMin__2 vtkBoxSetXMin__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBoxSetXMin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXMin (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetXMin__2 for class vtkBox requires 4 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetXMin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBox:GetXMin__1 vtkBoxGetXMin__1Function
//input a0 a1 
//output none
ArrayVector vtkBoxGetXMin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetXMin (double p[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetXMin__1 for class vtkBox requires 2 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetXMin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBox:SetXMax__1 vtkBoxSetXMax__1Function
//input a0 a1 
//output none
ArrayVector vtkBoxSetXMax__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXMax (double p[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetXMax__1 for class vtkBox requires 2 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetXMax(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBox:SetXMax__2 vtkBoxSetXMax__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBoxSetXMax__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXMax (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetXMax__2 for class vtkBox requires 4 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetXMax(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBox:GetXMax__1 vtkBoxGetXMax__1Function
//input a0 a1 
//output none
ArrayVector vtkBoxGetXMax__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetXMax (double p[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetXMax__1 for class vtkBox requires 2 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetXMax(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBox:SetBounds__1 vtkBoxSetBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkBoxSetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds__1 for class vtkBox requires 7 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkBox:SetBounds__2 vtkBoxSetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkBoxSetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds__2 for class vtkBox requires 2 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBox:GetBounds__2 vtkBoxGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkBoxGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkBox requires 2 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBox:AddBounds vtkBoxAddBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkBoxAddBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function AddBounds for class vtkBox requires 2 argument(s)");
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->AddBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBox:EvaluateFunction vtkBoxEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkBoxEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBoxEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkBoxEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoxEvaluateFunction");
}

//@@Signature
//sfunction @vtkBox:SetXMin vtkBoxSetXMinFunction
//input varargin
//output varargout
ArrayVector vtkBoxSetXMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBoxSetXMin__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkBoxSetXMin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoxSetXMin");
}

//@@Signature
//sfunction @vtkBox:GetXMin vtkBoxGetXMinFunction
//input varargin
//output varargout
ArrayVector vtkBoxGetXMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBoxGetXMin__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoxGetXMin");
}

//@@Signature
//sfunction @vtkBox:SetXMax vtkBoxSetXMaxFunction
//input varargin
//output varargout
ArrayVector vtkBoxSetXMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBoxSetXMax__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkBoxSetXMax__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoxSetXMax");
}

//@@Signature
//sfunction @vtkBox:GetXMax vtkBoxGetXMaxFunction
//input varargin
//output varargout
ArrayVector vtkBoxGetXMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBoxGetXMax__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoxGetXMax");
}

//@@Signature
//sfunction @vtkBox:SetBounds vtkBoxSetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkBoxSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkBoxSetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBoxSetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoxSetBounds");
}

//@@Signature
//sfunction @vtkBox:GetBounds vtkBoxGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkBoxGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBoxGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoxGetBounds");
}

//@@Signature
//sfunction @vtkBox:display vtkBoxDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBoxDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBox* vtk_pointer = GetVTKPointer<vtkBox>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBox:delete vtkBoxDeleteFunction
//input varargin
//output none
ArrayVector vtkBoxDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBox
//@@Section VTKCommon
//@@Usage
// vtkBox computes the implicit function and/or gradient for a axis-aligned
// bounding box. (The superclasses transform can be used to modify this
// orientation.) Each side of the box is orthogonal to all other sides
// meeting along shared edges and all faces are orthogonal to the x-y-z
// coordinate axes.  (If you wish to orient this box differently, recall that
// the superclass vtkImplicitFunction supports a transformation matrix.)
// vtkCube is a concrete implementation of vtkImplicitFunction.
// 
//
//To create an instance of class vtkBox, simply
//invoke its constructor as follows
//@[
//  obj = vtkBox
//@]
//@@Methods
//The class vtkBox has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBox class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBox = obj.NewInstance ()|
// \item @|vtkBox = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double n[3])|
// \item @|obj.SetXMin (double p[3])| -  Set / get the bounding box using various methods.
//// \item @|obj.SetXMin (double x, double y, double z)| -  Set / get the bounding box using various methods.
//// \item @|obj.GetXMin (double p[3])| -  Set / get the bounding box using various methods.
//// \item @|obj.SetXMax (double p[3])|
// \item @|obj.SetXMax (double x, double y, double z)|
// \item @|obj.GetXMax (double p[3])|
// \item @|obj.SetBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax)|
// \item @|obj.SetBounds (double bounds[6])|
// \item @|obj.GetBounds (double bounds[6])|
// \item @|obj.AddBounds (double bounds[6])| -  A special method that allows union set operation on bounding boxes.
// Start with a SetBounds(). Subsequent AddBounds() methods are union set
// operations on the original bounds. Retrieve the final bounds with a 
// GetBounds() method.
////\end{itemize}
//!
