#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBoxMuellerRandomSequence object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBoxMuellerRandomSequence.h"

//@@Signature
//sfunction @vtkBoxMuellerRandomSequence:vtkBoxMuellerRandomSequence vtkBoxMuellerRandomSequenceConstructorFunction
//input a
//output p
//@@Parents vtkBoxMuellerRandomSequence vtkGaussianRandomSequence 
ArrayVector vtkBoxMuellerRandomSequenceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBoxMuellerRandomSequence::New(),"vtkBoxMuellerRandomSequence",eval);
  } else if (arg[0].className() == "vtkBoxMuellerRandomSequence") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBoxMuellerRandomSequence"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBoxMuellerRandomSequence");
    vtkBoxMuellerRandomSequence*q = reinterpret_cast<vtkBoxMuellerRandomSequence*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBoxMuellerRandomSequence");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBoxMuellerRandomSequence:GetClassName vtkBoxMuellerRandomSequenceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBoxMuellerRandomSequenceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBoxMuellerRandomSequence requires 1 argument(s)");
  vtkBoxMuellerRandomSequence* vtk_pointer = GetVTKPointer<vtkBoxMuellerRandomSequence>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxMuellerRandomSequence:IsA vtkBoxMuellerRandomSequenceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBoxMuellerRandomSequenceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBoxMuellerRandomSequence requires 2 argument(s)");
  vtkBoxMuellerRandomSequence* vtk_pointer = GetVTKPointer<vtkBoxMuellerRandomSequence>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxMuellerRandomSequence:NewInstance vtkBoxMuellerRandomSequenceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBoxMuellerRandomSequenceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoxMuellerRandomSequence *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBoxMuellerRandomSequence requires 1 argument(s)");
  vtkBoxMuellerRandomSequence* vtk_pointer = GetVTKPointer<vtkBoxMuellerRandomSequence>(arg[0]);
  Array retval;
  vtkBoxMuellerRandomSequence  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoxMuellerRandomSequence",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxMuellerRandomSequence:SafeDownCast vtkBoxMuellerRandomSequenceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBoxMuellerRandomSequenceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoxMuellerRandomSequence *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBoxMuellerRandomSequence requires 2 argument(s)");
  vtkBoxMuellerRandomSequence* vtk_pointer = GetVTKPointer<vtkBoxMuellerRandomSequence>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBoxMuellerRandomSequence  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoxMuellerRandomSequence",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxMuellerRandomSequence:GetValue vtkBoxMuellerRandomSequenceGetValueFunction
//input a0 
//output y
ArrayVector vtkBoxMuellerRandomSequenceGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkBoxMuellerRandomSequence requires 1 argument(s)");
  vtkBoxMuellerRandomSequence* vtk_pointer = GetVTKPointer<vtkBoxMuellerRandomSequence>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxMuellerRandomSequence:Next vtkBoxMuellerRandomSequenceNextFunction
//input a0 
//output none
ArrayVector vtkBoxMuellerRandomSequenceNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Next (); */
  if (arg.size() < 1) 
    throw Exception("Function Next for class vtkBoxMuellerRandomSequence requires 1 argument(s)");
  vtkBoxMuellerRandomSequence* vtk_pointer = GetVTKPointer<vtkBoxMuellerRandomSequence>(arg[0]);
  Array retval;
  vtk_pointer->Next();
  return retval;
}

//@@Signature
//sfunction @vtkBoxMuellerRandomSequence:GetUniformSequence vtkBoxMuellerRandomSequenceGetUniformSequenceFunction
//input a0 
//output y
ArrayVector vtkBoxMuellerRandomSequenceGetUniformSequenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRandomSequence *GetUniformSequence (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUniformSequence for class vtkBoxMuellerRandomSequence requires 1 argument(s)");
  vtkBoxMuellerRandomSequence* vtk_pointer = GetVTKPointer<vtkBoxMuellerRandomSequence>(arg[0]);
  Array retval;
  vtkRandomSequence  *temp20;
  temp20 = (vtk_pointer)->GetUniformSequence();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRandomSequence",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxMuellerRandomSequence:SetUniformSequence vtkBoxMuellerRandomSequenceSetUniformSequenceFunction
//input a0 a1 
//output none
ArrayVector vtkBoxMuellerRandomSequenceSetUniformSequenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUniformSequence (vtkRandomSequence *uniformSequence); */
  if (arg.size() < 2) 
    throw Exception("Function SetUniformSequence for class vtkBoxMuellerRandomSequence requires 2 argument(s)");
  vtkBoxMuellerRandomSequence* vtk_pointer = GetVTKPointer<vtkBoxMuellerRandomSequence>(arg[0]);
  Array retval;
  vtkRandomSequence  *temp0;
  temp0 = GetVTKPointer<vtkRandomSequence>(arg[1]);
  vtk_pointer->SetUniformSequence(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxMuellerRandomSequence:display vtkBoxMuellerRandomSequenceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBoxMuellerRandomSequenceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBoxMuellerRandomSequence* vtk_pointer = GetVTKPointer<vtkBoxMuellerRandomSequence>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBoxMuellerRandomSequence:delete vtkBoxMuellerRandomSequenceDeleteFunction
//input varargin
//output none
ArrayVector vtkBoxMuellerRandomSequenceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBoxMuellerRandomSequence
//@@Section VTKCommon
//@@Usage
// vtkGaussianRandomSequence is a sequence of pseudo random numbers
// distributed according to the Gaussian/normal distribution (mean=0 and
// standard deviation=1).
//
// It based is calculation from a uniformly distributed pseudo random sequence.
// The initial sequence is a vtkMinimalStandardRandomSequence.
//
//To create an instance of class vtkBoxMuellerRandomSequence, simply
//invoke its constructor as follows
//@[
//  obj = vtkBoxMuellerRandomSequence
//@]
//@@Methods
//The class vtkBoxMuellerRandomSequence has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBoxMuellerRandomSequence class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBoxMuellerRandomSequence = obj.NewInstance ()|
// \item @|vtkBoxMuellerRandomSequence = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.GetValue ()| -  Current value.
//// \item @|obj.Next ()| -  Move to the next number in the random sequence.
//// \item @|vtkRandomSequence = obj.GetUniformSequence ()| -  Return the uniformly distributed sequence of random numbers.
//// \item @|obj.SetUniformSequence (vtkRandomSequence uniformSequence)| -  Set the uniformly distributed sequence of random numbers.
// Default is a .
////\end{itemize}
//!
