#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCharArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCharArray.h"

//@@Signature
//sfunction @vtkCharArray:vtkCharArray vtkCharArrayConstructorFunction
//input a
//output p
//@@Parents vtkCharArray vtkDataArray 
ArrayVector vtkCharArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCharArray::New(),"vtkCharArray",eval);
  } else if (arg[0].className() == "vtkCharArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCharArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCharArray");
    vtkCharArray*q = reinterpret_cast<vtkCharArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCharArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCharArray:GetClassName vtkCharArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCharArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCharArray requires 1 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:IsA vtkCharArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCharArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCharArray requires 2 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:NewInstance vtkCharArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCharArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCharArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCharArray requires 1 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkCharArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:SafeDownCast vtkCharArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCharArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCharArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCharArray requires 2 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCharArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:GetDataType vtkCharArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkCharArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType ();return VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkCharArray requires 1 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:GetTupleValue vtkCharArrayGetTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCharArrayGetTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTupleValue (vtkIdType i, char *tuple);this RealSuperclass GetTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function GetTupleValue for class vtkCharArray requires 3 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->GetTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:SetTupleValue vtkCharArraySetTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCharArraySetTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTupleValue (vtkIdType i, const char *tuple);this RealSuperclass SetTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function SetTupleValue for class vtkCharArray requires 3 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:InsertTupleValue vtkCharArrayInsertTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCharArrayInsertTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTupleValue (vtkIdType i, const char *tuple);this RealSuperclass InsertTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function InsertTupleValue for class vtkCharArray requires 3 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->InsertTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:InsertNextTupleValue vtkCharArrayInsertNextTupleValueFunction
//input a0 a1 
//output y
ArrayVector vtkCharArrayInsertNextTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextTupleValue (const char *tuple);return this RealSuperclass InsertNextTupleValue tuple  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextTupleValue for class vtkCharArray requires 2 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->InsertNextTupleValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:GetValue vtkCharArrayGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkCharArrayGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char GetValue (vtkIdType id);return this RealSuperclass GetValue id  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkCharArray requires 2 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:SetValue vtkCharArraySetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCharArraySetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (vtkIdType id, char value);this RealSuperclass SetValue id value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkCharArray requires 3 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (char) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:SetNumberOfValues vtkCharArraySetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkCharArraySetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkCharArray requires 2 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:InsertValue vtkCharArrayInsertValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCharArrayInsertValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertValue (vtkIdType id, char f);this RealSuperclass InsertValue id f  */
  if (arg.size() < 3) 
    throw Exception("Function InsertValue for class vtkCharArray requires 3 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (char) arg[2].asDouble();
  vtk_pointer->InsertValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:InsertNextValue vtkCharArrayInsertNextValueFunction
//input a0 a1 
//output y
ArrayVector vtkCharArrayInsertNextValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextValue (char f);return this RealSuperclass InsertNextValue f  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextValue for class vtkCharArray requires 2 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  char     temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (char) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:WritePointer vtkCharArrayWritePointerFunction
//input a0 a1 a2 
//output y
ArrayVector vtkCharArrayWritePointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *WritePointer (vtkIdType id, vtkIdType number);return this RealSuperclass WritePointer id number  */
  if (arg.size() < 3) 
    throw Exception("Function WritePointer for class vtkCharArray requires 3 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->WritePointer(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:GetPointer vtkCharArrayGetPointerFunction
//input a0 a1 
//output y
ArrayVector vtkCharArrayGetPointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPointer (vtkIdType id);return this RealSuperclass GetPointer id  */
  if (arg.size() < 2) 
    throw Exception("Function GetPointer for class vtkCharArray requires 2 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointer(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:SetArray__1 vtkCharArraySetArray__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCharArraySetArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArray (char *array, vtkIdType size, int save);this RealSuperclass SetArray array size save  */
  if (arg.size() < 4) 
    throw Exception("Function SetArray__1 for class vtkCharArray requires 4 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetArray(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:SetArray__2 vtkCharArraySetArray__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkCharArraySetArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArray (char *array, vtkIdType size, int save, int deleteMethod);this RealSuperclass SetArray array size save deleteMethod  */
  if (arg.size() < 5) 
    throw Exception("Function SetArray__2 for class vtkCharArray requires 5 argument(s)");
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetArray(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkCharArray:SetArray vtkCharArraySetArrayFunction
//input varargin
//output varargout
ArrayVector vtkCharArraySetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCharArraySetArray__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCharArraySetArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCharArraySetArray");
}

//@@Signature
//sfunction @vtkCharArray:display vtkCharArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCharArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCharArray* vtk_pointer = GetVTKPointer<vtkCharArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCharArray:delete vtkCharArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkCharArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCharArray
//@@Section VTKCommon
//@@Usage
// vtkCharArray is an array of values of type char.  It provides
// methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkCharArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkCharArray
//@]
//@@Methods
//The class vtkCharArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCharArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCharArray = obj.NewInstance ()|
// \item @|vtkCharArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataType ()| -  Copy the tuple value into a user-provided array.
//// \item @|obj.GetTupleValue (vtkIdType i, string tuple)| -  Set the tuple value at the ith location in the array.
//// \item @|obj.SetTupleValue (vtkIdType i, string tuple)| -  Insert (memory allocation performed) the tuple into the ith location
// in the array.
//// \item @|obj.InsertTupleValue (vtkIdType i, string tuple)| -  Insert (memory allocation performed) the tuple onto the end of the array.
//// \item @|vtkIdType = obj.InsertNextTupleValue (string tuple)| -  Get the data at a particular index.
//// \item @|char = obj.GetValue (vtkIdType id)| -  Set the data at a particular index. Does not do range checking. Make sure
// you use the method SetNumberOfValues() before inserting data.
//// \item @|obj.SetValue (vtkIdType id, char value)| -  Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Insert data at a specified position in the array.
//// \item @|obj.InsertValue (vtkIdType id, char f)| -  Insert data at the end of the array. Return its location in the array.
//// \item @|vtkIdType = obj.InsertNextValue (char f)| -  Get the address of a particular data index. Make sure data is allocated
// for the number of items requested. Set MaxId according to the number of
// data values requested.
//// \item @|string = obj.WritePointer (vtkIdType id, vtkIdType number)| -  Get the address of a particular data index. Performs no checks
// to verify that the memory has been allocated etc.
//// \item @|string = obj.GetPointer (vtkIdType id)| -  This method lets the user specify data to be held by the array.  The
// array argument is a pointer to the data.  size is the size of
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data
// from the suppled array. 
//// \item @|obj.SetArray (string array, vtkIdType size, int save)| -  This method lets the user specify data to be held by the array.  The
// array argument is a pointer to the data.  size is the size of
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data
// from the suppled array. 
//// \item @|obj.SetArray (string array, vtkIdType size, int save, int deleteMethod)|
//\end{itemize}
//!
