#include "VTKWrap.hpp"

// FreeMat wrapper for vtkClientSocket object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkClientSocket.h"

//@@Signature
//sfunction @vtkClientSocket:vtkClientSocket vtkClientSocketConstructorFunction
//input a
//output p
//@@Parents vtkClientSocket vtkSocket 
ArrayVector vtkClientSocketConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkClientSocket::New(),"vtkClientSocket",eval);
  } else if (arg[0].className() == "vtkClientSocket") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkClientSocket"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkClientSocket");
    vtkClientSocket*q = reinterpret_cast<vtkClientSocket*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkClientSocket");
    return ret;
  }
}
//@@Signature
//sfunction @vtkClientSocket:GetClassName vtkClientSocketGetClassNameFunction
//input a0 
//output y
ArrayVector vtkClientSocketGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkClientSocket requires 1 argument(s)");
  vtkClientSocket* vtk_pointer = GetVTKPointer<vtkClientSocket>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClientSocket:IsA vtkClientSocketIsAFunction
//input a0 a1 
//output y
ArrayVector vtkClientSocketIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkClientSocket requires 2 argument(s)");
  vtkClientSocket* vtk_pointer = GetVTKPointer<vtkClientSocket>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClientSocket:NewInstance vtkClientSocketNewInstanceFunction
//input a0 
//output y
ArrayVector vtkClientSocketNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClientSocket *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkClientSocket requires 1 argument(s)");
  vtkClientSocket* vtk_pointer = GetVTKPointer<vtkClientSocket>(arg[0]);
  Array retval;
  vtkClientSocket  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClientSocket",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClientSocket:SafeDownCast vtkClientSocketSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkClientSocketSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClientSocket *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkClientSocket requires 2 argument(s)");
  vtkClientSocket* vtk_pointer = GetVTKPointer<vtkClientSocket>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkClientSocket  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClientSocket",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClientSocket:ConnectToServer vtkClientSocketConnectToServerFunction
//input a0 a1 a2 
//output y
ArrayVector vtkClientSocketConnectToServerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ConnectToServer (const char *hostname, int port); */
  if (arg.size() < 3) 
    throw Exception("Function ConnectToServer for class vtkClientSocket requires 3 argument(s)");
  vtkClientSocket* vtk_pointer = GetVTKPointer<vtkClientSocket>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ConnectToServer(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClientSocket:GetConnectingSide vtkClientSocketGetConnectingSideFunction
//input a0 
//output y
ArrayVector vtkClientSocketGetConnectingSideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetConnectingSide (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConnectingSide for class vtkClientSocket requires 1 argument(s)");
  vtkClientSocket* vtk_pointer = GetVTKPointer<vtkClientSocket>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetConnectingSide();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkClientSocket:display vtkClientSocketDisplayFunction
//input varargin
//output varargout
ArrayVector vtkClientSocketDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkClientSocket* vtk_pointer = GetVTKPointer<vtkClientSocket>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkClientSocket:delete vtkClientSocketDeleteFunction
//input varargin
//output none
ArrayVector vtkClientSocketDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
