#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCollection.h"

//@@Signature
//sfunction @vtkCollection:vtkCollection vtkCollectionConstructorFunction
//input a
//output p
//@@Parents vtkCollection vtkObject 
ArrayVector vtkCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCollection::New(),"vtkCollection",eval);
  } else if (arg[0].className() == "vtkCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCollection");
    vtkCollection*q = reinterpret_cast<vtkCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCollection:GetClassName vtkCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCollection requires 1 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollection:IsA vtkCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCollection requires 2 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollection:NewInstance vtkCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCollection requires 1 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtkCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:SafeDownCast vtkCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCollection requires 2 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:AddItem vtkCollectionAddItemFunction
//input a0 a1 
//output none
ArrayVector vtkCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem for class vtkCollection requires 2 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:InsertItem vtkCollectionInsertItemFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCollectionInsertItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertItem (int i, vtkObject *); */
  if (arg.size() < 3) 
    throw Exception("Function InsertItem for class vtkCollection requires 3 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkObject>(arg[2]);
  vtk_pointer->InsertItem(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:ReplaceItem vtkCollectionReplaceItemFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCollectionReplaceItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceItem (int i, vtkObject *); */
  if (arg.size() < 3) 
    throw Exception("Function ReplaceItem for class vtkCollection requires 3 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkObject>(arg[2]);
  vtk_pointer->ReplaceItem(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:RemoveItem__1 vtkCollectionRemoveItem__1Function
//input a0 a1 
//output none
ArrayVector vtkCollectionRemoveItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveItem (int i); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveItem__1 for class vtkCollection requires 2 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:RemoveItem__2 vtkCollectionRemoveItem__2Function
//input a0 a1 
//output none
ArrayVector vtkCollectionRemoveItem__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveItem (vtkObject *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveItem__2 for class vtkCollection requires 2 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  vtk_pointer->RemoveItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:RemoveAllItems vtkCollectionRemoveAllItemsFunction
//input a0 
//output none
ArrayVector vtkCollectionRemoveAllItemsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllItems (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllItems for class vtkCollection requires 1 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllItems();
  return retval;
}

//@@Signature
//sfunction @vtkCollection:IsItemPresent vtkCollectionIsItemPresentFunction
//input a0 a1 
//output y
ArrayVector vtkCollectionIsItemPresentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsItemPresent (vtkObject *a); */
  if (arg.size() < 2) 
    throw Exception("Function IsItemPresent for class vtkCollection requires 2 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->IsItemPresent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollection:GetNumberOfItems vtkCollectionGetNumberOfItemsFunction
//input a0 
//output y
ArrayVector vtkCollectionGetNumberOfItemsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfItems (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfItems for class vtkCollection requires 1 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfItems();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollection:InitTraversal vtkCollectionInitTraversalFunction
//input a0 
//output none
ArrayVector vtkCollectionInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitTraversal ();this Current this Top  */
  if (arg.size() < 1) 
    throw Exception("Function InitTraversal for class vtkCollection requires 1 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtk_pointer->InitTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkCollection:GetNextItemAsObject vtkCollectionGetNextItemAsObjectFunction
//input a0 
//output y
ArrayVector vtkCollectionGetNextItemAsObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObject *GetNextItemAsObject (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItemAsObject for class vtkCollection requires 1 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtkObject  *temp20;
  temp20 = (vtk_pointer)->GetNextItemAsObject();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:GetItemAsObject vtkCollectionGetItemAsObjectFunction
//input a0 a1 
//output y
ArrayVector vtkCollectionGetItemAsObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObject *GetItemAsObject (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetItemAsObject for class vtkCollection requires 2 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetItemAsObject(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:NewIterator vtkCollectionNewIteratorFunction
//input a0 
//output y
ArrayVector vtkCollectionNewIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollectionIterator *NewIterator (); */
  if (arg.size() < 1) 
    throw Exception("Function NewIterator for class vtkCollection requires 1 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtkCollectionIterator  *temp20;
  temp20 = (vtk_pointer)->NewIterator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollectionIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:Register vtkCollectionRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkCollectionRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkCollection requires 2 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:UnRegister vtkCollectionUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkCollectionUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkCollection requires 2 argument(s)");
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollection:RemoveItem vtkCollectionRemoveItemFunction
//input varargin
//output varargout
ArrayVector vtkCollectionRemoveItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkCollectionRemoveItem__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkObject"))
    return vtkCollectionRemoveItem__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCollectionRemoveItem");
}

//@@Signature
//sfunction @vtkCollection:display vtkCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCollection* vtk_pointer = GetVTKPointer<vtkCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCollection:delete vtkCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCollection
//@@Section VTKCommon
//@@Usage
// vtkCollection is a general object for creating and manipulating lists
// of objects. The lists are unsorted and allow duplicate entries. 
// vtkCollection also serves as a base class for lists of specific types 
// of objects.
//
//To create an instance of class vtkCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkCollection
//@]
//@@Methods
//The class vtkCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCollection = obj.NewInstance ()|
// \item @|vtkCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkObject )| -  Add an object to the list. Does not prevent duplicate entries.
//// \item @|obj.InsertItem (int i, vtkObject )| -  Insert item into the list after the i'th item. Does not prevent duplicate entries.
// If i < 0 the item is placed at the top of the list.
//// \item @|obj.ReplaceItem (int i, vtkObject )| -  Replace the i'th item in the collection with a
//// \item @|obj.RemoveItem (int i)| -  Remove the i'th item in the list.
// Be careful if using this function during traversal of the list using 
// GetNextItemAsObject (or GetNextItem in derived class).  The list WILL
// be shortened if a valid index is given!  If this->Current is equal to the
// element being removed, have it point to then next element in the list.
//// \item @|obj.RemoveItem (vtkObject )| -  Remove an object from the list. Removes the first object found, not
// all occurrences. If no object found, list is unaffected.  See warning
// in description of RemoveItem(int).
//// \item @|obj.RemoveAllItems ()| -  Remove all objects from the list.
//// \item @|int = obj.IsItemPresent (vtkObject a)| -  Search for an object and return location in list. If the return value is
// 0, the object was not found. If the object was found, the location is
// the return value-1.
//// \item @|int = obj.GetNumberOfItems ()| -  Return the number of objects in the list.
//// \item @|obj.InitTraversal ()| -  Initialize the traversal of the collection. This means the data pointer
// is set at the beginning of the list.
//// \item @|vtkObject = obj.GetNextItemAsObject ()| -  Get the next item in the collection. NULL is returned if the collection
// is exhausted.
//// \item @|vtkObject = obj.GetItemAsObject (int i)| -  Get the i'th item in the collection. NULL is returned if i is out
// of range
//// \item @|vtkCollectionIterator = obj.NewIterator ()| -  Get an iterator to traverse the objects in this collection.
//// \item @|obj.Register (vtkObjectBase o)| -  Participate in garbage collection.
//// \item @|obj.UnRegister (vtkObjectBase o)| -  Participate in garbage collection.
////\end{itemize}
//!
