#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCollectionIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCollectionIterator.h"

//@@Signature
//sfunction @vtkCollectionIterator:vtkCollectionIterator vtkCollectionIteratorConstructorFunction
//input a
//output p
//@@Parents vtkCollectionIterator vtkObject 
ArrayVector vtkCollectionIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCollectionIterator::New(),"vtkCollectionIterator",eval);
  } else if (arg[0].className() == "vtkCollectionIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCollectionIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCollectionIterator");
    vtkCollectionIterator*q = reinterpret_cast<vtkCollectionIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCollectionIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCollectionIterator:GetClassName vtkCollectionIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCollectionIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCollectionIterator requires 1 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:IsA vtkCollectionIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCollectionIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCollectionIterator requires 2 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:NewInstance vtkCollectionIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCollectionIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollectionIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCollectionIterator requires 1 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  vtkCollectionIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollectionIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:SafeDownCast vtkCollectionIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCollectionIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollectionIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCollectionIterator requires 2 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCollectionIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollectionIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:SetCollection vtkCollectionIteratorSetCollectionFunction
//input a0 a1 
//output none
ArrayVector vtkCollectionIteratorSetCollectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCollection (vtkCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCollection for class vtkCollectionIterator requires 2 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  vtkCollection  *temp0;
  temp0 = GetVTKPointer<vtkCollection>(arg[1]);
  vtk_pointer->SetCollection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:GetCollection vtkCollectionIteratorGetCollectionFunction
//input a0 
//output y
ArrayVector vtkCollectionIteratorGetCollectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollection *GetCollection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCollection for class vtkCollectionIterator requires 1 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  vtkCollection  *temp20;
  temp20 = (vtk_pointer)->GetCollection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:InitTraversal vtkCollectionIteratorInitTraversalFunction
//input a0 
//output none
ArrayVector vtkCollectionIteratorInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitTraversal ();this GoToFirstItem  */
  if (arg.size() < 1) 
    throw Exception("Function InitTraversal for class vtkCollectionIterator requires 1 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  vtk_pointer->InitTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:GoToFirstItem vtkCollectionIteratorGoToFirstItemFunction
//input a0 
//output none
ArrayVector vtkCollectionIteratorGoToFirstItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GoToFirstItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GoToFirstItem for class vtkCollectionIterator requires 1 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  vtk_pointer->GoToFirstItem();
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:GoToNextItem vtkCollectionIteratorGoToNextItemFunction
//input a0 
//output none
ArrayVector vtkCollectionIteratorGoToNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GoToNextItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GoToNextItem for class vtkCollectionIterator requires 1 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  vtk_pointer->GoToNextItem();
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:IsDoneWithTraversal vtkCollectionIteratorIsDoneWithTraversalFunction
//input a0 
//output y
ArrayVector vtkCollectionIteratorIsDoneWithTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsDoneWithTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function IsDoneWithTraversal for class vtkCollectionIterator requires 1 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsDoneWithTraversal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:GetCurrentObject vtkCollectionIteratorGetCurrentObjectFunction
//input a0 
//output y
ArrayVector vtkCollectionIteratorGetCurrentObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObject *GetCurrentObject (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentObject for class vtkCollectionIterator requires 1 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  vtkObject  *temp20;
  temp20 = (vtk_pointer)->GetCurrentObject();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:GetObject vtkCollectionIteratorGetObjectFunction
//input a0 
//output y
ArrayVector vtkCollectionIteratorGetObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObject *GetObject (); */
  if (arg.size() < 1) 
    throw Exception("Function GetObject for class vtkCollectionIterator requires 1 argument(s)");
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  Array retval;
  vtkObject  *temp20;
  temp20 = (vtk_pointer)->GetObject();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectionIterator:display vtkCollectionIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCollectionIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCollectionIterator* vtk_pointer = GetVTKPointer<vtkCollectionIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCollectionIterator:delete vtkCollectionIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkCollectionIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCollectionIterator
//@@Section VTKCommon
//@@Usage
// vtkCollectionIterator provides an alternative way to traverse
// through the objects in a vtkCollection.  Unlike the collection's
// built in interface, this allows multiple iterators to
// simultaneously traverse the collection.  If items are removed from
// the collection, only the iterators currently pointing to those
// items are invalidated.  Other iterators will still continue to
// function normally.
//
//To create an instance of class vtkCollectionIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkCollectionIterator
//@]
//@@Methods
//The class vtkCollectionIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCollectionIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCollectionIterator = obj.NewInstance ()|
// \item @|vtkCollectionIterator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCollection (vtkCollection )| -  Set/Get the collection over which to iterate.
//// \item @|vtkCollection = obj.GetCollection ()| -  Set/Get the collection over which to iterate.
//// \item @|obj.InitTraversal ()| -  Position the iterator at the first item in the collection.
//// \item @|obj.GoToFirstItem ()| -  Position the iterator at the first item in the collection.
//// \item @|obj.GoToNextItem ()| -  Move the iterator to the next item in the collection.
//// \item @|int = obj.IsDoneWithTraversal ()| -  Test whether the iterator is currently positioned at a valid item.
// Returns 1 for yes, 0 for no.
//// \item @|vtkObject = obj.GetCurrentObject ()| -  Get the item at the current iterator position.  Valid only when
// IsDoneWithTraversal() returns 1.
//// \item @|vtkObject = obj.GetObject ()| -  @deprecated Replaced by vtkCollectionIterator::GetCurrentObject() as
// of VTK 5.0.
////\end{itemize}
//!
