#include "VTKWrap.hpp"

// FreeMat wrapper for vtkConditionVariable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkConditionVariable.h"

//@@Signature
//sfunction @vtkConditionVariable:vtkConditionVariable vtkConditionVariableConstructorFunction
//input a
//output p
//@@Parents vtkConditionVariable vtkObject 
ArrayVector vtkConditionVariableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkConditionVariable::New(),"vtkConditionVariable",eval);
  } else if (arg[0].className() == "vtkConditionVariable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkConditionVariable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkConditionVariable");
    vtkConditionVariable*q = reinterpret_cast<vtkConditionVariable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkConditionVariable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkConditionVariable:GetClassName vtkConditionVariableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkConditionVariableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkConditionVariable requires 1 argument(s)");
  vtkConditionVariable* vtk_pointer = GetVTKPointer<vtkConditionVariable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConditionVariable:IsA vtkConditionVariableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkConditionVariableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkConditionVariable requires 2 argument(s)");
  vtkConditionVariable* vtk_pointer = GetVTKPointer<vtkConditionVariable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConditionVariable:NewInstance vtkConditionVariableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkConditionVariableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConditionVariable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkConditionVariable requires 1 argument(s)");
  vtkConditionVariable* vtk_pointer = GetVTKPointer<vtkConditionVariable>(arg[0]);
  Array retval;
  vtkConditionVariable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConditionVariable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConditionVariable:SafeDownCast vtkConditionVariableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkConditionVariableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConditionVariable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkConditionVariable requires 2 argument(s)");
  vtkConditionVariable* vtk_pointer = GetVTKPointer<vtkConditionVariable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkConditionVariable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConditionVariable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConditionVariable:Signal vtkConditionVariableSignalFunction
//input a0 
//output none
ArrayVector vtkConditionVariableSignalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Signal (); */
  if (arg.size() < 1) 
    throw Exception("Function Signal for class vtkConditionVariable requires 1 argument(s)");
  vtkConditionVariable* vtk_pointer = GetVTKPointer<vtkConditionVariable>(arg[0]);
  Array retval;
  vtk_pointer->Signal();
  return retval;
}

//@@Signature
//sfunction @vtkConditionVariable:Broadcast vtkConditionVariableBroadcastFunction
//input a0 
//output none
ArrayVector vtkConditionVariableBroadcastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Broadcast (); */
  if (arg.size() < 1) 
    throw Exception("Function Broadcast for class vtkConditionVariable requires 1 argument(s)");
  vtkConditionVariable* vtk_pointer = GetVTKPointer<vtkConditionVariable>(arg[0]);
  Array retval;
  vtk_pointer->Broadcast();
  return retval;
}

//@@Signature
//sfunction @vtkConditionVariable:Wait vtkConditionVariableWaitFunction
//input a0 a1 
//output y
ArrayVector vtkConditionVariableWaitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Wait (vtkMutexLock *mutex); */
  if (arg.size() < 2) 
    throw Exception("Function Wait for class vtkConditionVariable requires 2 argument(s)");
  vtkConditionVariable* vtk_pointer = GetVTKPointer<vtkConditionVariable>(arg[0]);
  Array retval;
  vtkMutexLock  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkMutexLock>(arg[1]);
  temp20 = (vtk_pointer)->Wait(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConditionVariable:display vtkConditionVariableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkConditionVariableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkConditionVariable* vtk_pointer = GetVTKPointer<vtkConditionVariable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkConditionVariable:delete vtkConditionVariableDeleteFunction
//input varargin
//output none
ArrayVector vtkConditionVariableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkConditionVariable
//@@Section VTKCommon
//@@Usage
// vtkConditionVariable allows the locking of variables which are accessed 
// through different threads.  This header file also defines 
// vtkSimpleConditionVariable which is not a subclass of vtkObject.
//
// The win32 implementation is based on notes provided by
// Douglas C. Schmidt and Irfan Pyarali,
// Department of Computer Science,
// Washington University, St. Louis, Missouri.
// http://www.cs.wustl.edu/~schmidt/win32-cv-1.html
//
//To create an instance of class vtkConditionVariable, simply
//invoke its constructor as follows
//@[
//  obj = vtkConditionVariable
//@]
//@@Methods
//The class vtkConditionVariable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkConditionVariable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkConditionVariable = obj.NewInstance ()|
// \item @|vtkConditionVariable = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Signal ()| -  Wake one thread waiting for the condition to change.
//// \item @|obj.Broadcast ()| -  Wake all threads waiting for the condition to change.
//// \item @|int = obj.Wait (vtkMutexLock mutex)| -  Wait for the condition to change.
// Upon entry, the mutex must be locked and the lock held by the calling thread.
// Upon exit, the mutex will be locked and held by the calling thread.
// Between entry and exit, the mutex will be unlocked and may be held by other threads.
// 
// @param mutex The mutex that should be locked on entry and will be locked on exit (but not in between)
// @retval Normally, this function returns 0. Should a thread be interrupted by a signal, a non-zero value may be returned.
////\end{itemize}
//!
