#include "VTKWrap.hpp"

// FreeMat wrapper for vtkContourValues object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkContourValues.h"

//@@Signature
//sfunction @vtkContourValues:vtkContourValues vtkContourValuesConstructorFunction
//input a
//output p
//@@Parents vtkContourValues vtkObject 
ArrayVector vtkContourValuesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkContourValues::New(),"vtkContourValues",eval);
  } else if (arg[0].className() == "vtkContourValues") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkContourValues"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkContourValues");
    vtkContourValues*q = reinterpret_cast<vtkContourValues*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkContourValues");
    return ret;
  }
}
//@@Signature
//sfunction @vtkContourValues:GetClassName vtkContourValuesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkContourValuesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkContourValues requires 1 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:IsA vtkContourValuesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkContourValuesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkContourValues requires 2 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:NewInstance vtkContourValuesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkContourValuesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourValues *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkContourValues requires 1 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  vtkContourValues  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourValues",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:SafeDownCast vtkContourValuesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkContourValuesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourValues *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkContourValues requires 2 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkContourValues  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourValues",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:SetValue vtkContourValuesSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkContourValuesSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkContourValues requires 3 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:GetValue vtkContourValuesGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkContourValuesGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkContourValues requires 2 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:GetValues__2 vtkContourValuesGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkContourValuesGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues); */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkContourValues requires 2 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:SetNumberOfContours vtkContourValuesSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkContourValuesSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (const int number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkContourValues requires 2 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:GetNumberOfContours vtkContourValuesGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkContourValuesGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkContourValues requires 1 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:GenerateValues__1 vtkContourValuesGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkContourValuesGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkContourValues requires 3 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:GenerateValues__2 vtkContourValuesGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkContourValuesGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd); */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkContourValues requires 4 argument(s)");
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkContourValues:GetValues vtkContourValuesGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkContourValuesGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourValuesGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourValuesGetValues");
}

//@@Signature
//sfunction @vtkContourValues:GenerateValues vtkContourValuesGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkContourValuesGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkContourValuesGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkContourValuesGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourValuesGenerateValues");
}

//@@Signature
//sfunction @vtkContourValues:display vtkContourValuesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkContourValuesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkContourValues* vtk_pointer = GetVTKPointer<vtkContourValues>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkContourValues:delete vtkContourValuesDeleteFunction
//input varargin
//output none
ArrayVector vtkContourValuesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkContourValues
//@@Section VTKCommon
//@@Usage
// vtkContourValues is a general class to manage the creation, generation,
// and retrieval of contour values. This class serves as a helper class for
// contouring classes, or those classes operating on lists of contour values.
//
//To create an instance of class vtkContourValues, simply
//invoke its constructor as follows
//@[
//  obj = vtkContourValues
//@]
//@@Methods
//The class vtkContourValues has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkContourValues class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkContourValues = obj.NewInstance ()|
// \item @|vtkContourValues = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (int i, double value)| -  Set the ith contour value.
//// \item @|double = obj.GetValue (int i)| -  Get the ith contour value. The return value will be clamped if the
// index i is out of range.
//// \item @|obj.GetValues (double contourValues)| -  Fill a supplied list with contour values. Make sure you've
// allocated memory of size GetNumberOfContours().
//// \item @|obj.SetNumberOfContours (int number)| -  Set the number of contours to place into the list. You only really
// need to use this method to reduce list size. The method SetValue()
// will automatically increase list size as needed.
//// \item @|int = obj.GetNumberOfContours ()| -  Return the number of contours in the
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
////\end{itemize}
//!
