#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCriticalSection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCriticalSection.h"

//@@Signature
//sfunction @vtkCriticalSection:vtkCriticalSection vtkCriticalSectionConstructorFunction
//input a
//output p
//@@Parents vtkCriticalSection vtkObject 
ArrayVector vtkCriticalSectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCriticalSection::New(),"vtkCriticalSection",eval);
  } else if (arg[0].className() == "vtkCriticalSection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCriticalSection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCriticalSection");
    vtkCriticalSection*q = reinterpret_cast<vtkCriticalSection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCriticalSection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCriticalSection:GetClassName vtkCriticalSectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCriticalSectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCriticalSection requires 1 argument(s)");
  vtkCriticalSection* vtk_pointer = GetVTKPointer<vtkCriticalSection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCriticalSection:IsA vtkCriticalSectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCriticalSectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCriticalSection requires 2 argument(s)");
  vtkCriticalSection* vtk_pointer = GetVTKPointer<vtkCriticalSection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCriticalSection:NewInstance vtkCriticalSectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCriticalSectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCriticalSection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCriticalSection requires 1 argument(s)");
  vtkCriticalSection* vtk_pointer = GetVTKPointer<vtkCriticalSection>(arg[0]);
  Array retval;
  vtkCriticalSection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCriticalSection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCriticalSection:SafeDownCast vtkCriticalSectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCriticalSectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCriticalSection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCriticalSection requires 2 argument(s)");
  vtkCriticalSection* vtk_pointer = GetVTKPointer<vtkCriticalSection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCriticalSection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCriticalSection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCriticalSection:Lock vtkCriticalSectionLockFunction
//input a0 
//output none
ArrayVector vtkCriticalSectionLockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Lock (); */
  if (arg.size() < 1) 
    throw Exception("Function Lock for class vtkCriticalSection requires 1 argument(s)");
  vtkCriticalSection* vtk_pointer = GetVTKPointer<vtkCriticalSection>(arg[0]);
  Array retval;
  vtk_pointer->Lock();
  return retval;
}

//@@Signature
//sfunction @vtkCriticalSection:Unlock vtkCriticalSectionUnlockFunction
//input a0 
//output none
ArrayVector vtkCriticalSectionUnlockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Unlock (); */
  if (arg.size() < 1) 
    throw Exception("Function Unlock for class vtkCriticalSection requires 1 argument(s)");
  vtkCriticalSection* vtk_pointer = GetVTKPointer<vtkCriticalSection>(arg[0]);
  Array retval;
  vtk_pointer->Unlock();
  return retval;
}

//@@Signature
//sfunction @vtkCriticalSection:display vtkCriticalSectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCriticalSectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCriticalSection* vtk_pointer = GetVTKPointer<vtkCriticalSection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCriticalSection:delete vtkCriticalSectionDeleteFunction
//input varargin
//output none
ArrayVector vtkCriticalSectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCriticalSection
//@@Section VTKCommon
//@@Usage
// vtkCriticalSection allows the locking of variables which are accessed 
// through different threads.  This header file also defines 
// vtkSimpleCriticalSection which is not a subclass of vtkObject.
// The API is identical to that of vtkMutexLock, and the behavior is
// identical as well, except on Windows 9x/NT platforms. The only difference
// on these platforms is that vtkMutexLock is more flexible, in that
// it works across processes as well as across threads, but also costs
// more, in that it evokes a 600-cycle x86 ring transition. The 
// vtkCriticalSection provides a higher-performance equivalent (on 
// Windows) but won't work across processes. Since it is unclear how,
// in vtk, an object at the vtk level can be shared across processes
// in the first place, one should use vtkCriticalSection unless one has
// a very good reason to use vtkMutexLock. If higher-performance equivalents
// for non-Windows platforms (Irix, SunOS, etc) are discovered, they
// should replace the implementations in this class
//
//To create an instance of class vtkCriticalSection, simply
//invoke its constructor as follows
//@[
//  obj = vtkCriticalSection
//@]
//@@Methods
//The class vtkCriticalSection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCriticalSection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCriticalSection = obj.NewInstance ()|
// \item @|vtkCriticalSection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Lock ()| -  Lock the vtkCriticalSection
//// \item @|obj.Unlock ()| -  Unlock the vtkCriticalSection
////\end{itemize}
//!
