#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCylindricalTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCylindricalTransform.h"

//@@Signature
//sfunction @vtkCylindricalTransform:vtkCylindricalTransform vtkCylindricalTransformConstructorFunction
//input a
//output p
//@@Parents vtkCylindricalTransform vtkWarpTransform 
ArrayVector vtkCylindricalTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCylindricalTransform::New(),"vtkCylindricalTransform",eval);
  } else if (arg[0].className() == "vtkCylindricalTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCylindricalTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCylindricalTransform");
    vtkCylindricalTransform*q = reinterpret_cast<vtkCylindricalTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCylindricalTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCylindricalTransform:GetClassName vtkCylindricalTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCylindricalTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCylindricalTransform requires 1 argument(s)");
  vtkCylindricalTransform* vtk_pointer = GetVTKPointer<vtkCylindricalTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylindricalTransform:IsA vtkCylindricalTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCylindricalTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCylindricalTransform requires 2 argument(s)");
  vtkCylindricalTransform* vtk_pointer = GetVTKPointer<vtkCylindricalTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylindricalTransform:NewInstance vtkCylindricalTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCylindricalTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCylindricalTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCylindricalTransform requires 1 argument(s)");
  vtkCylindricalTransform* vtk_pointer = GetVTKPointer<vtkCylindricalTransform>(arg[0]);
  Array retval;
  vtkCylindricalTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCylindricalTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCylindricalTransform:SafeDownCast vtkCylindricalTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCylindricalTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCylindricalTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCylindricalTransform requires 2 argument(s)");
  vtkCylindricalTransform* vtk_pointer = GetVTKPointer<vtkCylindricalTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCylindricalTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCylindricalTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCylindricalTransform:MakeTransform vtkCylindricalTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkCylindricalTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkCylindricalTransform requires 1 argument(s)");
  vtkCylindricalTransform* vtk_pointer = GetVTKPointer<vtkCylindricalTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCylindricalTransform:ForwardTransformPoint vtkCylindricalTransformForwardTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkCylindricalTransformForwardTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCylindricalTransformForwardTransformPoint");
}

//@@Signature
//sfunction @vtkCylindricalTransform:ForwardTransformDerivative vtkCylindricalTransformForwardTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkCylindricalTransformForwardTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCylindricalTransformForwardTransformDerivative");
}

//@@Signature
//sfunction @vtkCylindricalTransform:InverseTransformPoint vtkCylindricalTransformInverseTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkCylindricalTransformInverseTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCylindricalTransformInverseTransformPoint");
}

//@@Signature
//sfunction @vtkCylindricalTransform:InverseTransformDerivative vtkCylindricalTransformInverseTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkCylindricalTransformInverseTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCylindricalTransformInverseTransformDerivative");
}

//@@Signature
//sfunction @vtkCylindricalTransform:display vtkCylindricalTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCylindricalTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCylindricalTransform* vtk_pointer = GetVTKPointer<vtkCylindricalTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCylindricalTransform:delete vtkCylindricalTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkCylindricalTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCylindricalTransform
//@@Section VTKCommon
//@@Usage
// vtkCylindricalTransform will convert (r,theta,z) coordinates to 
// (x,y,z) coordinates and back again.  The angles are given in radians.
// By default, it converts cylindrical coordinates to rectangular, but
// GetInverse() returns a transform that will do the opposite.  The
// equation that is used is x = r*cos(theta), y = r*sin(theta), z = z.
//
//To create an instance of class vtkCylindricalTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkCylindricalTransform
//@]
//@@Methods
//The class vtkCylindricalTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCylindricalTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCylindricalTransform = obj.NewInstance ()|
// \item @|vtkCylindricalTransform = obj.SafeDownCast (vtkObject o)|
// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make another transform of the same type.
////\end{itemize}
//!
