#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataArray.h"

//@@Signature
//sfunction @vtkDataArray:vtkDataArray vtkDataArrayConstructorFunction
//input a
//output p
//@@Parents vtkDataArray vtkAbstractArray 
ArrayVector vtkDataArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataArray::New(),"vtkDataArray",eval);
  } else if (arg[0].className() == "vtkDataArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataArray");
    vtkDataArray*q = reinterpret_cast<vtkDataArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataArray:GetClassName vtkDataArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:IsA vtkDataArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:NewInstance vtkDataArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SafeDownCast vtkDataArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:IsNumeric vtkDataArrayIsNumericFunction
//input a0 
//output y
ArrayVector vtkDataArrayIsNumericFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsNumeric ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsNumeric for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsNumeric();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetElementComponentSize vtkDataArrayGetElementComponentSizeFunction
//input a0 
//output y
ArrayVector vtkDataArrayGetElementComponentSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetElementComponentSize ();return this GetDataTypeSize  */
  if (arg.size() < 1) 
    throw Exception("Function GetElementComponentSize for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetElementComponentSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetTuple__1 vtkDataArraySetTuple__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataArraySetTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function SetTuple__1 for class vtkDataArray requires 4 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->SetTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertTuple__1 vtkDataArrayInsertTuple__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataArrayInsertTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function InsertTuple__1 for class vtkDataArray requires 4 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->InsertTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertNextTuple__1 vtkDataArrayInsertNextTuple__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkDataArrayInsertNextTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextTuple__1 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  temp20 = (vtk_pointer)->InsertNextTuple(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetTuples__1 vtkDataArrayGetTuples__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArrayGetTuples__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTuples (vtkIdList *ptIds, vtkAbstractArray *output); */
  if (arg.size() < 3) 
    throw Exception("Function GetTuples__1 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  vtkAbstractArray  *temp1;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  vtk_pointer->GetTuples(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetTuples__2 vtkDataArrayGetTuples__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataArrayGetTuples__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTuples (vtkIdType p1, vtkIdType p2, vtkAbstractArray *output); */
  if (arg.size() < 4) 
    throw Exception("Function GetTuples__2 for class vtkDataArray requires 4 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->GetTuples(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InterpolateTuple__1 vtkDataArrayInterpolateTuple__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataArrayInterpolateTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateTuple (vtkIdType i, vtkIdList *ptIndices, vtkAbstractArray *source, double *weights); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateTuple__1 for class vtkDataArray requires 5 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkAbstractArray  *temp2;
  double  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateTuple(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InterpolateTuple__2 vtkDataArrayInterpolateTuple__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkDataArrayInterpolateTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t); */
  if (arg.size() < 7) 
    throw Exception("Function InterpolateTuple__2 for class vtkDataArray requires 7 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  vtkIdType   temp3;
  vtkAbstractArray  *temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkAbstractArray>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetTuple__2 vtkDataArrayGetTuple__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArrayGetTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTuple (vtkIdType i, double *tuple) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetTuple__2 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->GetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetTuple1 vtkDataArrayGetTuple1Function
//input a0 a1 
//output y
ArrayVector vtkDataArrayGetTuple1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTuple1 (vtkIdType i); */
  if (arg.size() < 2) 
    throw Exception("Function GetTuple1 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTuple1(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetTuple2 vtkDataArrayGetTuple2Function
//input a0 a1 
//output y
ArrayVector vtkDataArrayGetTuple2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetTuple2 (vtkIdType i); */
  if (arg.size() < 2) 
    throw Exception("Function GetTuple2 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTuple2(temp0);
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetTuple3 vtkDataArrayGetTuple3Function
//input a0 a1 
//output y
ArrayVector vtkDataArrayGetTuple3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetTuple3 (vtkIdType i); */
  if (arg.size() < 2) 
    throw Exception("Function GetTuple3 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTuple3(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetTuple4 vtkDataArrayGetTuple4Function
//input a0 a1 
//output y
ArrayVector vtkDataArrayGetTuple4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetTuple4 (vtkIdType i); */
  if (arg.size() < 2) 
    throw Exception("Function GetTuple4 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTuple4(temp0);
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetTuple9 vtkDataArrayGetTuple9Function
//input a0 a1 
//output y
ArrayVector vtkDataArrayGetTuple9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetTuple9 (vtkIdType i); */
  if (arg.size() < 2) 
    throw Exception("Function GetTuple9 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTuple9(temp0);
  BasicArray<double> tempResult(NTuple(9,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  tempResult[7] = (double)temp20[6];
  tempResult[8] = (double)temp20[7];
  tempResult[9] = (double)temp20[8];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetTuple__2 vtkDataArraySetTuple__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArraySetTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTuple (vtkIdType i, const float *tuple) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function SetTuple__2 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  vtk_pointer->SetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetTuple__3 vtkDataArraySetTuple__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArraySetTuple__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTuple (vtkIdType i, const double *tuple) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function SetTuple__3 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->SetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetTuple1 vtkDataArraySetTuple1Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArraySetTuple1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTuple1 (vtkIdType i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetTuple1 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetTuple1(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetTuple2 vtkDataArraySetTuple2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataArraySetTuple2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTuple2 (vtkIdType i, double val0, double val1); */
  if (arg.size() < 4) 
    throw Exception("Function SetTuple2 for class vtkDataArray requires 4 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetTuple2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetTuple3 vtkDataArraySetTuple3Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataArraySetTuple3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTuple3 (vtkIdType i, double val0, double val1, double val2); */
  if (arg.size() < 5) 
    throw Exception("Function SetTuple3 for class vtkDataArray requires 5 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetTuple3(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetTuple4 vtkDataArraySetTuple4Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkDataArraySetTuple4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTuple4 (vtkIdType i, double val0, double val1, double val2, double val3); */
  if (arg.size() < 6) 
    throw Exception("Function SetTuple4 for class vtkDataArray requires 6 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->SetTuple4(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetTuple9 vtkDataArraySetTuple9Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkDataArraySetTuple9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTuple9 (vtkIdType i, double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8); */
  if (arg.size() < 11) 
    throw Exception("Function SetTuple9 for class vtkDataArray requires 11 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp8 = (double) arg[9].asDouble();
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (double) arg[10].asDouble();
  vtk_pointer->SetTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertTuple__2 vtkDataArrayInsertTuple__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArrayInsertTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertTuple (vtkIdType i, const float *tuple) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function InsertTuple__2 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  vtk_pointer->InsertTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertTuple__3 vtkDataArrayInsertTuple__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArrayInsertTuple__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertTuple (vtkIdType i, const double *tuple) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function InsertTuple__3 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InsertTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertTuple1 vtkDataArrayInsertTuple1Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArrayInsertTuple1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTuple1 (vtkIdType i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function InsertTuple1 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->InsertTuple1(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertTuple2 vtkDataArrayInsertTuple2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataArrayInsertTuple2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTuple2 (vtkIdType i, double val0, double val1); */
  if (arg.size() < 4) 
    throw Exception("Function InsertTuple2 for class vtkDataArray requires 4 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->InsertTuple2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertTuple3 vtkDataArrayInsertTuple3Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataArrayInsertTuple3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTuple3 (vtkIdType i, double val0, double val1, double val2); */
  if (arg.size() < 5) 
    throw Exception("Function InsertTuple3 for class vtkDataArray requires 5 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->InsertTuple3(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertTuple4 vtkDataArrayInsertTuple4Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkDataArrayInsertTuple4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTuple4 (vtkIdType i, double val0, double val1, double val2, double val3); */
  if (arg.size() < 6) 
    throw Exception("Function InsertTuple4 for class vtkDataArray requires 6 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->InsertTuple4(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertTuple9 vtkDataArrayInsertTuple9Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkDataArrayInsertTuple9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTuple9 (vtkIdType i, double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8); */
  if (arg.size() < 11) 
    throw Exception("Function InsertTuple9 for class vtkDataArray requires 11 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp8 = (double) arg[9].asDouble();
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (double) arg[10].asDouble();
  vtk_pointer->InsertTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertNextTuple__2 vtkDataArrayInsertNextTuple__2Function
//input a0 a1 
//output y
ArrayVector vtkDataArrayInsertNextTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType InsertNextTuple (const float *tuple) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextTuple__2 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->InsertNextTuple(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertNextTuple__3 vtkDataArrayInsertNextTuple__3Function
//input a0 a1 
//output y
ArrayVector vtkDataArrayInsertNextTuple__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType InsertNextTuple (const double *tuple) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextTuple__3 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdType   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->InsertNextTuple(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertNextTuple1 vtkDataArrayInsertNextTuple1Function
//input a0 a1 
//output none
ArrayVector vtkDataArrayInsertNextTuple1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertNextTuple1 (double value); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextTuple1 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->InsertNextTuple1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertNextTuple2 vtkDataArrayInsertNextTuple2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArrayInsertNextTuple2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertNextTuple2 (double val0, double val1); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextTuple2 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->InsertNextTuple2(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertNextTuple3 vtkDataArrayInsertNextTuple3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataArrayInsertNextTuple3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertNextTuple3 (double val0, double val1, double val2); */
  if (arg.size() < 4) 
    throw Exception("Function InsertNextTuple3 for class vtkDataArray requires 4 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->InsertNextTuple3(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertNextTuple4 vtkDataArrayInsertNextTuple4Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataArrayInsertNextTuple4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertNextTuple4 (double val0, double val1, double val2, double val3); */
  if (arg.size() < 5) 
    throw Exception("Function InsertNextTuple4 for class vtkDataArray requires 5 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->InsertNextTuple4(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertNextTuple9 vtkDataArrayInsertNextTuple9Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkDataArrayInsertNextTuple9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertNextTuple9 (double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8); */
  if (arg.size() < 10) 
    throw Exception("Function InsertNextTuple9 for class vtkDataArray requires 10 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp8 = (double) arg[9].asDouble();
  vtk_pointer->InsertNextTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:RemoveTuple vtkDataArrayRemoveTupleFunction
//input a0 a1 
//output none
ArrayVector vtkDataArrayRemoveTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveTuple (vtkIdType id) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function RemoveTuple for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveTuple(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:RemoveFirstTuple vtkDataArrayRemoveFirstTupleFunction
//input a0 
//output none
ArrayVector vtkDataArrayRemoveFirstTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveFirstTuple () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function RemoveFirstTuple for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtk_pointer->RemoveFirstTuple();
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:RemoveLastTuple vtkDataArrayRemoveLastTupleFunction
//input a0 
//output none
ArrayVector vtkDataArrayRemoveLastTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveLastTuple () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function RemoveLastTuple for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtk_pointer->RemoveLastTuple();
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetComponent vtkDataArrayGetComponentFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataArrayGetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetComponent (vtkIdType i, int j); */
  if (arg.size() < 3) 
    throw Exception("Function GetComponent for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetComponent(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetComponent vtkDataArraySetComponentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataArraySetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetComponent (vtkIdType i, int j, double c); */
  if (arg.size() < 4) 
    throw Exception("Function SetComponent for class vtkDataArray requires 4 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:InsertComponent vtkDataArrayInsertComponentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataArrayInsertComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertComponent (vtkIdType i, int j, double c); */
  if (arg.size() < 4) 
    throw Exception("Function InsertComponent for class vtkDataArray requires 4 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->InsertComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetData vtkDataArrayGetDataFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkDataArrayGetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetData (vtkIdType tupleMin, vtkIdType tupleMax, int compMin, int compMax, vtkDoubleArray *data); */
  if (arg.size() < 6) 
    throw Exception("Function GetData for class vtkDataArray requires 6 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  vtkDoubleArray  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkDoubleArray>(arg[5]);
  vtk_pointer->GetData(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:DeepCopy__1 vtkDataArrayDeepCopy__1Function
//input a0 a1 
//output none
ArrayVector vtkDataArrayDeepCopy__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkAbstractArray *aa); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy__1 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:DeepCopy__2 vtkDataArrayDeepCopy__2Function
//input a0 a1 
//output none
ArrayVector vtkDataArrayDeepCopy__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy__2 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:FillComponent vtkDataArrayFillComponentFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataArrayFillComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FillComponent (int j, double c); */
  if (arg.size() < 3) 
    throw Exception("Function FillComponent for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->FillComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:CopyComponent vtkDataArrayCopyComponentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataArrayCopyComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyComponent (int j, vtkDataArray *from, int fromComponent); */
  if (arg.size() < 4) 
    throw Exception("Function CopyComponent for class vtkDataArray requires 4 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataArray  *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetActualMemorySize vtkDataArrayGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkDataArrayGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:CreateDefaultLookupTable vtkDataArrayCreateDefaultLookupTableFunction
//input a0 
//output none
ArrayVector vtkDataArrayCreateDefaultLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLookupTable for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLookupTable();
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetLookupTable vtkDataArraySetLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkDataArraySetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLookupTable (vtkLookupTable *lut); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTable for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkLookupTable  *temp0;
  temp0 = GetVTKPointer<vtkLookupTable>(arg[1]);
  vtk_pointer->SetLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetLookupTable vtkDataArrayGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkDataArrayGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLookupTable *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkLookupTable  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetRange__1 vtkDataArrayGetRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArrayGetRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetRange (double range[2], int comp);this ComputeRange comp memcpy range this Range sizeof double  */
  if (arg.size() < 3) 
    throw Exception("Function GetRange__1 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double temp0[2];
  int      temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[3].asDouble();
  vtk_pointer->GetRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetRange__2 vtkDataArrayGetRange__2Function
//input a0 a1 
//output y
ArrayVector vtkDataArrayGetRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetRange (int comp);this ComputeRange comp return this Range  */
  if (arg.size() < 2) 
    throw Exception("Function GetRange__2 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRange(temp0);
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetRange__3 vtkDataArrayGetRange__3Function
//input a0 
//output y
ArrayVector vtkDataArrayGetRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetRange ();this ComputeRange return this Range  */
  if (arg.size() < 1) 
    throw Exception("Function GetRange__3 for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetRange__4 vtkDataArrayGetRange__4Function
//input a0 a1 
//output none
ArrayVector vtkDataArrayGetRange__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetRange (double range[2]);this GetRange range  */
  if (arg.size() < 2) 
    throw Exception("Function GetRange__4 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetDataTypeRange__1 vtkDataArrayGetDataTypeRange__1Function
//input a0 a1 
//output none
ArrayVector vtkDataArrayGetDataTypeRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDataTypeRange (double range[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataTypeRange__1 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetDataTypeRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetDataTypeMin__1 vtkDataArrayGetDataTypeMin__1Function
//input a0 
//output y
ArrayVector vtkDataArrayGetDataTypeMin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDataTypeMin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeMin__1 for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDataTypeMin();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetDataTypeMax__1 vtkDataArrayGetDataTypeMax__1Function
//input a0 
//output y
ArrayVector vtkDataArrayGetDataTypeMax__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDataTypeMax (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeMax__1 for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDataTypeMax();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetDataTypeRange__2 vtkDataArrayGetDataTypeRange__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataArrayGetDataTypeRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetDataTypeRange (int type, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetDataTypeRange__2 for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetDataTypeRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetDataTypeMin__2 vtkDataArrayGetDataTypeMin__2Function
//input a0 a1 
//output y
ArrayVector vtkDataArrayGetDataTypeMin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double GetDataTypeMin (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataTypeMin__2 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDataTypeMin(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetDataTypeMax__2 vtkDataArrayGetDataTypeMax__2Function
//input a0 a1 
//output y
ArrayVector vtkDataArrayGetDataTypeMax__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double GetDataTypeMax (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataTypeMax__2 for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDataTypeMax(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:GetMaxNorm vtkDataArrayGetMaxNormFunction
//input a0 
//output y
ArrayVector vtkDataArrayGetMaxNormFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetMaxNorm (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNorm for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaxNorm();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:CreateDataArray vtkDataArrayCreateDataArrayFunction
//input a0 a1 
//output y
ArrayVector vtkDataArrayCreateDataArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkDataArray *CreateDataArray (int dataType); */
  if (arg.size() < 2) 
    throw Exception("Function CreateDataArray for class vtkDataArray requires 2 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->CreateDataArray(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:PER_COMPONENT vtkDataArrayPER_COMPONENTFunction
//input a0 
//output y
ArrayVector vtkDataArrayPER_COMPONENTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationInformationVectorKey *PER_COMPONENT (); */
  if (arg.size() < 1) 
    throw Exception("Function PER_COMPONENT for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp20;
  temp20 = (vtk_pointer)->PER_COMPONENT();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationInformationVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:COMPONENT_RANGE vtkDataArrayCOMPONENT_RANGEFunction
//input a0 
//output y
ArrayVector vtkDataArrayCOMPONENT_RANGEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *COMPONENT_RANGE (); */
  if (arg.size() < 1) 
    throw Exception("Function COMPONENT_RANGE for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->COMPONENT_RANGE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:L2_NORM_RANGE vtkDataArrayL2_NORM_RANGEFunction
//input a0 
//output y
ArrayVector vtkDataArrayL2_NORM_RANGEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *L2_NORM_RANGE (); */
  if (arg.size() < 1) 
    throw Exception("Function L2_NORM_RANGE for class vtkDataArray requires 1 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->L2_NORM_RANGE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:CopyInformation vtkDataArrayCopyInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataArrayCopyInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CopyInformation (vtkInformation *infoFrom, int deep); */
  if (arg.size() < 3) 
    throw Exception("Function CopyInformation for class vtkDataArray requires 3 argument(s)");
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->CopyInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArray:SetTuple vtkDataArraySetTupleFunction
//input varargin
//output varargout
ArrayVector vtkDataArraySetTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray"))
    return vtkDataArraySetTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkDataArraySetTuple__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkDataArraySetTuple__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArraySetTuple");
}

//@@Signature
//sfunction @vtkDataArray:InsertTuple vtkDataArrayInsertTupleFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayInsertTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray"))
    return vtkDataArrayInsertTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkDataArrayInsertTuple__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkDataArrayInsertTuple__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayInsertTuple");
}

//@@Signature
//sfunction @vtkDataArray:InsertNextTuple vtkDataArrayInsertNextTupleFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayInsertNextTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkAbstractArray"))
    return vtkDataArrayInsertNextTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataArrayInsertNextTuple__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataArrayInsertNextTuple__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayInsertNextTuple");
}

//@@Signature
//sfunction @vtkDataArray:GetTuples vtkDataArrayGetTuplesFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayGetTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkIdList") && VTKIsClass(arg[2],"vtkAbstractArray"))
    return vtkDataArrayGetTuples__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray"))
    return vtkDataArrayGetTuples__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayGetTuples");
}

//@@Signature
//sfunction @vtkDataArray:InterpolateTuple vtkDataArrayInterpolateTupleFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayInterpolateTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkAbstractArray") && VTKIsVectorArg(arg[4]))
    return vtkDataArrayInterpolateTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray") && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkAbstractArray") && VTKIsScalarArg(arg[6]))
    return vtkDataArrayInterpolateTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayInterpolateTuple");
}

//@@Signature
//sfunction @vtkDataArray:GetTuple vtkDataArrayGetTupleFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayGetTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkDataArrayGetTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayGetTuple");
}

//@@Signature
//sfunction @vtkDataArray:DeepCopy vtkDataArrayDeepCopyFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAbstractArray"))
    return vtkDataArrayDeepCopy__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataArray"))
    return vtkDataArrayDeepCopy__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayDeepCopy");
}

//@@Signature
//sfunction @vtkDataArray:GetRange vtkDataArrayGetRangeFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayGetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkDataArrayGetRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataArrayGetRange__2Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkDataArrayGetRange__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataArrayGetRange__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayGetRange");
}

//@@Signature
//sfunction @vtkDataArray:GetDataTypeRange vtkDataArrayGetDataTypeRangeFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayGetDataTypeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataArrayGetDataTypeRange__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkDataArrayGetDataTypeRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayGetDataTypeRange");
}

//@@Signature
//sfunction @vtkDataArray:GetDataTypeMin vtkDataArrayGetDataTypeMinFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayGetDataTypeMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataArrayGetDataTypeMin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataArrayGetDataTypeMin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayGetDataTypeMin");
}

//@@Signature
//sfunction @vtkDataArray:GetDataTypeMax vtkDataArrayGetDataTypeMaxFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayGetDataTypeMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataArrayGetDataTypeMax__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataArrayGetDataTypeMax__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayGetDataTypeMax");
}

//@@Signature
//sfunction @vtkDataArray:display vtkDataArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataArray* vtk_pointer = GetVTKPointer<vtkDataArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataArray:delete vtkDataArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkDataArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataArray
//@@Section VTKCommon
//@@Usage
//
// vtkDataArray is an abstract superclass for data array objects
// containing numeric data.  It extends the API defined in
// vtkAbstractArray.  vtkDataArray is an abstract superclass for data
// array objects. This class defines an API that all array objects
// must support. Note that the concrete subclasses of this class
// represent data in native form (char, int, etc.) and often have
// specialized more efficient methods for operating on this data (for
// example, getting pointers to data or getting/inserting data in
// native form).  Subclasses of vtkDataArray are assumed to contain
// data whose components are meaningful when cast to and from double.
//
//
//To create an instance of class vtkDataArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataArray
//@]
//@@Methods
//The class vtkDataArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataArray = obj.NewInstance ()|
// \item @|vtkDataArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.IsNumeric ()| -  Return the size, in bytes, of the lowest-level element of an
// array.  For vtkDataArray and subclasses this is the size of the
// data type. 
//// \item @|int = obj.GetElementComponentSize ()| -  Set the tuple at the ith location using the jth tuple in the source array.
// This method assumes that the two arrays have the same type
// and structure. Note that range checking and memory allocation is not 
// performed; use in conjunction with SetNumberOfTuples() to allocate space.
//// \item @|obj.SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)| -  Set the tuple at the ith location using the jth tuple in the source array.
// This method assumes that the two arrays have the same type
// and structure. Note that range checking and memory allocation is not 
// performed; use in conjunction with SetNumberOfTuples() to allocate space.
//// \item @|obj.InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)| -  Insert the jth tuple in the source array, at ith location in this array. 
// Note that memory allocation is performed as necessary to hold the data.
// This pure virtual function is redeclared here to avoid
// declaration hidden warnings. 
//// \item @|vtkIdType = obj.InsertNextTuple (vtkIdType j, vtkAbstractArray source)| -  Insert the jth tuple in the source array, at the end in this array. 
// Note that memory allocation is performed as necessary to hold the data.
// Returns the location at which the data was inserted.
// This pure virtual function is redeclared here to avoid
// declaration hidden warnings. 
//// \item @|obj.GetTuples (vtkIdList ptIds, vtkAbstractArray output)| -  Given a list of point ids, return an array of tuples.
// You must insure that the output array has been previously 
// allocated with enough space to hold the data.
//// \item @|obj.GetTuples (vtkIdType p1, vtkIdType p2, vtkAbstractArray output)| -  Get the tuples for the range of points ids specified 
// (i.e., p1->p2 inclusive). You must insure that the output array has 
// been previously allocated with enough space to hold the data.
//// \item @|obj.InterpolateTuple (vtkIdType i, vtkIdList ptIndices, vtkAbstractArray source, double weights)| -  Set the ith tuple in this array as the interpolated tuple value,
// given the ptIndices in the source array and associated 
// interpolation weights.
// This method assumes that the two arrays are of the same type
// and strcuture.
//// \item @|obj.InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray source1, vtkIdType id2, vtkAbstractArray source2, double t)|
// \item @|obj.GetTuple (vtkIdType i, double tuple)| -  Get the data tuple at ith location by filling in a user-provided array,
// Make sure that your array is large enough to hold the NumberOfComponents
// amount of data being returned.
//// \item @|double = obj.GetTuple1 (vtkIdType i)| -  These methods are included as convenience for the wrappers.
// GetTuple() and SetTuple() which return/take arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|double = obj.GetTuple2 (vtkIdType i)| -  These methods are included as convenience for the wrappers.
// GetTuple() and SetTuple() which return/take arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|double = obj.GetTuple3 (vtkIdType i)| -  These methods are included as convenience for the wrappers.
// GetTuple() and SetTuple() which return/take arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|double = obj.GetTuple4 (vtkIdType i)| -  These methods are included as convenience for the wrappers.
// GetTuple() and SetTuple() which return/take arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|double = obj.GetTuple9 (vtkIdType i)| -  These methods are included as convenience for the wrappers.
// GetTuple() and SetTuple() which return/take arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.SetTuple (vtkIdType i, float tuple)| -  Set the data tuple at ith location. Note that range checking or
// memory allocation is not performed; use this method in conjunction
// with SetNumberOfTuples() to allocate space.
//// \item @|obj.SetTuple (vtkIdType i, double tuple)| -  Set the data tuple at ith location. Note that range checking or
// memory allocation is not performed; use this method in conjunction
// with SetNumberOfTuples() to allocate space.
//// \item @|obj.SetTuple1 (vtkIdType i, double value)| -  These methods are included as convenience for the wrappers.
// GetTuple() and SetTuple() which return/take arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.SetTuple2 (vtkIdType i, double val0, double val1)| -  These methods are included as convenience for the wrappers.
// GetTuple() and SetTuple() which return/take arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.SetTuple3 (vtkIdType i, double val0, double val1, double val2)| -  These methods are included as convenience for the wrappers.
// GetTuple() and SetTuple() which return/take arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.SetTuple4 (vtkIdType i, double val0, double val1, double val2, double val3)| -  These methods are included as convenience for the wrappers.
// GetTuple() and SetTuple() which return/take arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.SetTuple9 (vtkIdType i, double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8)| -  These methods are included as convenience for the wrappers.
// GetTuple() and SetTuple() which return/take arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.InsertTuple (vtkIdType i, float tuple)| -  Insert the data tuple at ith location. Note that memory allocation
// is performed as necessary to hold the data.
//// \item @|obj.InsertTuple (vtkIdType i, double tuple)| -  Insert the data tuple at ith location. Note that memory allocation
// is performed as necessary to hold the data.
//// \item @|obj.InsertTuple1 (vtkIdType i, double value)| -  These methods are included as convenience for the wrappers.
// InsertTuple() which takes arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.InsertTuple2 (vtkIdType i, double val0, double val1)| -  These methods are included as convenience for the wrappers.
// InsertTuple() which takes arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.InsertTuple3 (vtkIdType i, double val0, double val1, double val2)| -  These methods are included as convenience for the wrappers.
// InsertTuple() which takes arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.InsertTuple4 (vtkIdType i, double val0, double val1, double val2, double val3)| -  These methods are included as convenience for the wrappers.
// InsertTuple() which takes arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.InsertTuple9 (vtkIdType i, double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8)| -  These methods are included as convenience for the wrappers.
// InsertTuple() which takes arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|vtkIdType = obj.InsertNextTuple (float tuple)| -  Insert the data tuple at the end of the array and return the location at
// which the data was inserted. Memory is allocated as necessary to hold
// the data.
//// \item @|vtkIdType = obj.InsertNextTuple (double tuple)| -  Insert the data tuple at the end of the array and return the location at
// which the data was inserted. Memory is allocated as necessary to hold
// the data.
//// \item @|obj.InsertNextTuple1 (double value)| -  These methods are included as convenience for the wrappers.
// InsertTuple() which takes arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.InsertNextTuple2 (double val0, double val1)| -  These methods are included as convenience for the wrappers.
// InsertTuple() which takes arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.InsertNextTuple3 (double val0, double val1, double val2)| -  These methods are included as convenience for the wrappers.
// InsertTuple() which takes arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.InsertNextTuple4 (double val0, double val1, double val2, double val3)| -  These methods are included as convenience for the wrappers.
// InsertTuple() which takes arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.InsertNextTuple9 (double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8)| -  These methods are included as convenience for the wrappers.
// InsertTuple() which takes arrays can not be 
// used from wrapped languages. These methods can be used instead.
//// \item @|obj.RemoveTuple (vtkIdType id)| -  These methods remove tuples from the data array. They shift data and
// resize array, so the data array is still valid after this operation. Note,
// this operation is fairly slow.
//// \item @|obj.RemoveFirstTuple ()| -  These methods remove tuples from the data array. They shift data and
// resize array, so the data array is still valid after this operation. Note,
// this operation is fairly slow.
//// \item @|obj.RemoveLastTuple ()| -  These methods remove tuples from the data array. They shift data and
// resize array, so the data array is still valid after this operation. Note,
// this operation is fairly slow.
//// \item @|double = obj.GetComponent (vtkIdType i, int j)| -  Return the data component at the ith tuple and jth component location.
// Note that i is less than NumberOfTuples and j is less than 
// NumberOfComponents.
//// \item @|obj.SetComponent (vtkIdType i, int j, double c)| -  Set the data component at the ith tuple and jth component location.
// Note that i is less than NumberOfTuples and j is less than
//  NumberOfComponents. Make sure enough memory has been allocated 
// (use SetNumberOfTuples() and SetNumberOfComponents()).
//// \item @|obj.InsertComponent (vtkIdType i, int j, double c)| -  Insert the data component at ith tuple and jth component location. 
// Note that memory allocation is performed as necessary to hold the data.
//// \item @|obj.GetData (vtkIdType tupleMin, vtkIdType tupleMax, int compMin, int compMax, vtkDoubleArray data)| -  Get the data as a double array in the range (tupleMin,tupleMax) and
// (compMin, compMax). The resulting double array consists of all data in
// the tuple range specified and only the component range specified. This
// process typically requires casting the data from native form into
// doubleing point values. This method is provided as a convenience for data
// exchange, and is not very fast.
//// \item @|obj.DeepCopy (vtkAbstractArray aa)| -  Deep copy of data. Copies data from different data arrays even if
// they are different types (using doubleing-point exchange).
//// \item @|obj.DeepCopy (vtkDataArray da)| -  Deep copy of data. Copies data from different data arrays even if
// they are different types (using doubleing-point exchange).
//// \item @|obj.FillComponent (int j, double c)| -  Fill a component of a data array with a specified value. This method
// sets the specified component to specified value for all tuples in the
// data array.  This methods can be used to initialize or reinitialize a
// single component of a multi-component array.
//// \item @|obj.CopyComponent (int j, vtkDataArray from, int fromComponent)| -  Copy a component from one data array into a component on this data array.
// This method copies the specified component ("fromComponent") from the
// specified data array ("from") to the specified component ("j") over all
// the tuples in this data array.  This method can be used to extract
// a component (column) from one data array and paste that data into
// a component on this data array.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the memory in kilobytes consumed by this data array. Used to
// support streaming and reading/writing data. The value returned is
// guaranteed to be greater than or equal to the memory required to
// actually represent the data represented by this object. The 
// information returned is valid only after the pipeline has 
// been updated.
//// \item @|obj.CreateDefaultLookupTable ()| -  Create default lookup table. Generally used to create one when none
// is available.
//// \item @|obj.SetLookupTable (vtkLookupTable lut)| -  Set/get the lookup table associated with this scalar data, if any.
//// \item @|vtkLookupTable = obj.GetLookupTable ()| -  Set/get the lookup table associated with this scalar data, if any.
//// \item @|obj.GetRange (double range[2], int comp)| -  Return the range of the array values for the given component.
// Range is copied into the array provided.
// If comp is equal to -1, it returns the range of the magnitude
// (if the number of components is equal to 1 it still returns the range of
// component 0).
//// \item @|double = obj.GetRange (int comp)| -  Return the range of the array values for the 0th component. 
// Range is copied into the array provided.
//// \item @|double = obj.GetRange ()| -  Return the range of the array values for the 0th component. 
// Range is copied into the array provided.
//// \item @|obj.GetRange (double range[2])| -  These methods return the Min and Max possible range of the native
// data type. For example if a vtkScalars consists of unsigned char
// data these will return (0,255). 
//// \item @|obj.GetDataTypeRange (double range[2])| -  These methods return the Min and Max possible range of the native
// data type. For example if a vtkScalars consists of unsigned char
// data these will return (0,255). 
//// \item @|double = obj.GetDataTypeMin ()| -  These methods return the Min and Max possible range of the native
// data type. For example if a vtkScalars consists of unsigned char
// data these will return (0,255). 
//// \item @|double = obj.GetDataTypeMax ()| -  These methods return the Min and Max possible range of the native
// data type. For example if a vtkScalars consists of unsigned char
// data these will return (0,255). 
//// \item @|double = obj.GetMaxNorm ()| -  Return the maximum norm for the tuples.
// Note that the max. is computed everytime GetMaxNorm is called.
//// \item @|int = obj.CopyInformation (vtkInformation infoFrom, int deep)| -  Copy information instance. Arrays use information objects
// in a variety of ways. It is important to have flexibility in
// this regard because certain keys should not be coppied, while
// others must be. NOTE: Up to the implmeneter to make sure that
// keys not inteneded to be coppied are excluded here.
////\end{itemize}
//!
