#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataArrayCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataArrayCollection.h"

//@@Signature
//sfunction @vtkDataArrayCollection:vtkDataArrayCollection vtkDataArrayCollectionConstructorFunction
//input a
//output p
//@@Parents vtkDataArrayCollection vtkCollection 
ArrayVector vtkDataArrayCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataArrayCollection::New(),"vtkDataArrayCollection",eval);
  } else if (arg[0].className() == "vtkDataArrayCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataArrayCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataArrayCollection");
    vtkDataArrayCollection*q = reinterpret_cast<vtkDataArrayCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataArrayCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataArrayCollection:GetClassName vtkDataArrayCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataArrayCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataArrayCollection requires 1 argument(s)");
  vtkDataArrayCollection* vtk_pointer = GetVTKPointer<vtkDataArrayCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollection:IsA vtkDataArrayCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataArrayCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataArrayCollection requires 2 argument(s)");
  vtkDataArrayCollection* vtk_pointer = GetVTKPointer<vtkDataArrayCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollection:NewInstance vtkDataArrayCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataArrayCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArrayCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataArrayCollection requires 1 argument(s)");
  vtkDataArrayCollection* vtk_pointer = GetVTKPointer<vtkDataArrayCollection>(arg[0]);
  Array retval;
  vtkDataArrayCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArrayCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollection:SafeDownCast vtkDataArrayCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataArrayCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArrayCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataArrayCollection requires 2 argument(s)");
  vtkDataArrayCollection* vtk_pointer = GetVTKPointer<vtkDataArrayCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataArrayCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArrayCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollection:AddItem__1 vtkDataArrayCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkDataArrayCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkDataArray *ds);this vtkCollection AddItem ds  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkDataArrayCollection requires 2 argument(s)");
  vtkDataArrayCollection* vtk_pointer = GetVTKPointer<vtkDataArrayCollection>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollection:GetNextItem vtkDataArrayCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkDataArrayCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetNextItem ();return static_cast vtkDataArray this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkDataArrayCollection requires 1 argument(s)");
  vtkDataArrayCollection* vtk_pointer = GetVTKPointer<vtkDataArrayCollection>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollection:GetItem vtkDataArrayCollectionGetItemFunction
//input a0 a1 
//output y
ArrayVector vtkDataArrayCollectionGetItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetItem (int i);return static_cast vtkDataArray this GetItemAsObject i  */
  if (arg.size() < 2) 
    throw Exception("Function GetItem for class vtkDataArrayCollection requires 2 argument(s)");
  vtkDataArrayCollection* vtk_pointer = GetVTKPointer<vtkDataArrayCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetItem(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollection:AddItem vtkDataArrayCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataArray"))
    return vtkDataArrayCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayCollectionAddItem");
}

//@@Signature
//sfunction @vtkDataArrayCollection:display vtkDataArrayCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataArrayCollection* vtk_pointer = GetVTKPointer<vtkDataArrayCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataArrayCollection:delete vtkDataArrayCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkDataArrayCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataArrayCollection
//@@Section VTKCommon
//@@Usage
// vtkDataArrayCollection is an object that creates and manipulates lists of
// datasets. See also vtkCollection and subclasses.
//
//To create an instance of class vtkDataArrayCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataArrayCollection
//@]
//@@Methods
//The class vtkDataArrayCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataArrayCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataArrayCollection = obj.NewInstance ()|
// \item @|vtkDataArrayCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkDataArray ds)| -  Get the next dataarray in the list.
//// \item @|vtkDataArray = obj.GetNextItem ()| -  Get the next dataarray in the list.
//// \item @|vtkDataArray = obj.GetItem (int i)| -  Get the ith dataarray in the list.
////\end{itemize}
//!
