#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataArrayCollectionIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataArrayCollectionIterator.h"

//@@Signature
//sfunction @vtkDataArrayCollectionIterator:vtkDataArrayCollectionIterator vtkDataArrayCollectionIteratorConstructorFunction
//input a
//output p
//@@Parents vtkDataArrayCollectionIterator vtkCollectionIterator 
ArrayVector vtkDataArrayCollectionIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataArrayCollectionIterator::New(),"vtkDataArrayCollectionIterator",eval);
  } else if (arg[0].className() == "vtkDataArrayCollectionIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataArrayCollectionIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataArrayCollectionIterator");
    vtkDataArrayCollectionIterator*q = reinterpret_cast<vtkDataArrayCollectionIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataArrayCollectionIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataArrayCollectionIterator:GetClassName vtkDataArrayCollectionIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataArrayCollectionIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataArrayCollectionIterator requires 1 argument(s)");
  vtkDataArrayCollectionIterator* vtk_pointer = GetVTKPointer<vtkDataArrayCollectionIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollectionIterator:IsA vtkDataArrayCollectionIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataArrayCollectionIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataArrayCollectionIterator requires 2 argument(s)");
  vtkDataArrayCollectionIterator* vtk_pointer = GetVTKPointer<vtkDataArrayCollectionIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollectionIterator:NewInstance vtkDataArrayCollectionIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataArrayCollectionIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArrayCollectionIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataArrayCollectionIterator requires 1 argument(s)");
  vtkDataArrayCollectionIterator* vtk_pointer = GetVTKPointer<vtkDataArrayCollectionIterator>(arg[0]);
  Array retval;
  vtkDataArrayCollectionIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArrayCollectionIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollectionIterator:SafeDownCast vtkDataArrayCollectionIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataArrayCollectionIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArrayCollectionIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataArrayCollectionIterator requires 2 argument(s)");
  vtkDataArrayCollectionIterator* vtk_pointer = GetVTKPointer<vtkDataArrayCollectionIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataArrayCollectionIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArrayCollectionIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollectionIterator:SetCollection__1 vtkDataArrayCollectionIteratorSetCollection__1Function
//input a0 a1 
//output none
ArrayVector vtkDataArrayCollectionIteratorSetCollection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCollection (vtkCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCollection__1 for class vtkDataArrayCollectionIterator requires 2 argument(s)");
  vtkDataArrayCollectionIterator* vtk_pointer = GetVTKPointer<vtkDataArrayCollectionIterator>(arg[0]);
  Array retval;
  vtkCollection  *temp0;
  temp0 = GetVTKPointer<vtkCollection>(arg[1]);
  vtk_pointer->SetCollection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollectionIterator:SetCollection__2 vtkDataArrayCollectionIteratorSetCollection__2Function
//input a0 a1 
//output none
ArrayVector vtkDataArrayCollectionIteratorSetCollection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCollection (vtkDataArrayCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCollection__2 for class vtkDataArrayCollectionIterator requires 2 argument(s)");
  vtkDataArrayCollectionIterator* vtk_pointer = GetVTKPointer<vtkDataArrayCollectionIterator>(arg[0]);
  Array retval;
  vtkDataArrayCollection  *temp0;
  temp0 = GetVTKPointer<vtkDataArrayCollection>(arg[1]);
  vtk_pointer->SetCollection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollectionIterator:GetDataArray vtkDataArrayCollectionIteratorGetDataArrayFunction
//input a0 
//output y
ArrayVector vtkDataArrayCollectionIteratorGetDataArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetDataArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataArray for class vtkDataArrayCollectionIterator requires 1 argument(s)");
  vtkDataArrayCollectionIterator* vtk_pointer = GetVTKPointer<vtkDataArrayCollectionIterator>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetDataArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArrayCollectionIterator:SetCollection vtkDataArrayCollectionIteratorSetCollectionFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayCollectionIteratorSetCollectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCollection"))
    return vtkDataArrayCollectionIteratorSetCollection__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataArrayCollection"))
    return vtkDataArrayCollectionIteratorSetCollection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArrayCollectionIteratorSetCollection");
}

//@@Signature
//sfunction @vtkDataArrayCollectionIterator:display vtkDataArrayCollectionIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataArrayCollectionIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataArrayCollectionIterator* vtk_pointer = GetVTKPointer<vtkDataArrayCollectionIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataArrayCollectionIterator:delete vtkDataArrayCollectionIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkDataArrayCollectionIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataArrayCollectionIterator
//@@Section VTKCommon
//@@Usage
// vtkDataArrayCollectionIterator provides an implementation of
// vtkCollectionIterator which allows the items to be retrieved with
// the proper subclass pointer type for vtkDataArrayCollection.
//
//To create an instance of class vtkDataArrayCollectionIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataArrayCollectionIterator
//@]
//@@Methods
//The class vtkDataArrayCollectionIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataArrayCollectionIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataArrayCollectionIterator = obj.NewInstance ()|
// \item @|vtkDataArrayCollectionIterator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCollection (vtkCollection )| -  Set the collection over which to iterate.
//// \item @|obj.SetCollection (vtkDataArrayCollection )| -  Set the collection over which to iterate.
//// \item @|vtkDataArray = obj.GetDataArray ()| -  Get the item at the current iterator position.  Valid only when
// IsDoneWithTraversal() returns 1.
////\end{itemize}
//!
