#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataArraySelection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataArraySelection.h"

//@@Signature
//sfunction @vtkDataArraySelection:vtkDataArraySelection vtkDataArraySelectionConstructorFunction
//input a
//output p
//@@Parents vtkDataArraySelection vtkObject 
ArrayVector vtkDataArraySelectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataArraySelection::New(),"vtkDataArraySelection",eval);
  } else if (arg[0].className() == "vtkDataArraySelection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataArraySelection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataArraySelection");
    vtkDataArraySelection*q = reinterpret_cast<vtkDataArraySelection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataArraySelection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataArraySelection:GetClassName vtkDataArraySelectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataArraySelectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataArraySelection requires 1 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:IsA vtkDataArraySelectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataArraySelectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:NewInstance vtkDataArraySelectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataArraySelectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArraySelection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataArraySelection requires 1 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  vtkDataArraySelection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArraySelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:SafeDownCast vtkDataArraySelectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataArraySelectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArraySelection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataArraySelection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArraySelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:EnableArray vtkDataArraySelectionEnableArrayFunction
//input a0 a1 
//output none
ArrayVector vtkDataArraySelectionEnableArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableArray (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function EnableArray for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->EnableArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:DisableArray vtkDataArraySelectionDisableArrayFunction
//input a0 a1 
//output none
ArrayVector vtkDataArraySelectionDisableArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableArray (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function DisableArray for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisableArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:ArrayIsEnabled vtkDataArraySelectionArrayIsEnabledFunction
//input a0 a1 
//output y
ArrayVector vtkDataArraySelectionArrayIsEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ArrayIsEnabled (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function ArrayIsEnabled for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->ArrayIsEnabled(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:ArrayExists vtkDataArraySelectionArrayExistsFunction
//input a0 a1 
//output y
ArrayVector vtkDataArraySelectionArrayExistsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ArrayExists (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function ArrayExists for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->ArrayExists(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:EnableAllArrays vtkDataArraySelectionEnableAllArraysFunction
//input a0 
//output none
ArrayVector vtkDataArraySelectionEnableAllArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllArrays for class vtkDataArraySelection requires 1 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllArrays();
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:DisableAllArrays vtkDataArraySelectionDisableAllArraysFunction
//input a0 
//output none
ArrayVector vtkDataArraySelectionDisableAllArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllArrays for class vtkDataArraySelection requires 1 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllArrays();
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:GetNumberOfArrays vtkDataArraySelectionGetNumberOfArraysFunction
//input a0 
//output y
ArrayVector vtkDataArraySelectionGetNumberOfArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfArrays for class vtkDataArraySelection requires 1 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:GetNumberOfArraysEnabled vtkDataArraySelectionGetNumberOfArraysEnabledFunction
//input a0 
//output y
ArrayVector vtkDataArraySelectionGetNumberOfArraysEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfArraysEnabled (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfArraysEnabled for class vtkDataArraySelection requires 1 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfArraysEnabled();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:GetArrayName vtkDataArraySelectionGetArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkDataArraySelectionGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetArrayName for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:GetArrayIndex vtkDataArraySelectionGetArrayIndexFunction
//input a0 a1 
//output y
ArrayVector vtkDataArraySelectionGetArrayIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayIndex (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetArrayIndex for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetArrayIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:GetEnabledArrayIndex vtkDataArraySelectionGetEnabledArrayIndexFunction
//input a0 a1 
//output y
ArrayVector vtkDataArraySelectionGetEnabledArrayIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnabledArrayIndex (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetEnabledArrayIndex for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetEnabledArrayIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:GetArraySetting__1 vtkDataArraySelectionGetArraySetting__1Function
//input a0 a1 
//output y
ArrayVector vtkDataArraySelectionGetArraySetting__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArraySetting (const char *name);return this GetArraySetting this GetArrayIndex name  */
  if (arg.size() < 2) 
    throw Exception("Function GetArraySetting__1 for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetArraySetting(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:GetArraySetting__2 vtkDataArraySelectionGetArraySetting__2Function
//input a0 a1 
//output y
ArrayVector vtkDataArraySelectionGetArraySetting__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArraySetting (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetArraySetting__2 for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetArraySetting(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:RemoveAllArrays vtkDataArraySelectionRemoveAllArraysFunction
//input a0 
//output none
ArrayVector vtkDataArraySelectionRemoveAllArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllArrays for class vtkDataArraySelection requires 1 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllArrays();
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:CopySelections vtkDataArraySelectionCopySelectionsFunction
//input a0 a1 
//output none
ArrayVector vtkDataArraySelectionCopySelectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopySelections (vtkDataArraySelection *selections); */
  if (arg.size() < 2) 
    throw Exception("Function CopySelections for class vtkDataArraySelection requires 2 argument(s)");
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  Array retval;
  vtkDataArraySelection  *temp0;
  temp0 = GetVTKPointer<vtkDataArraySelection>(arg[1]);
  vtk_pointer->CopySelections(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataArraySelection:GetArraySetting vtkDataArraySelectionGetArraySettingFunction
//input varargin
//output varargout
ArrayVector vtkDataArraySelectionGetArraySettingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkDataArraySelectionGetArraySetting__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataArraySelectionGetArraySetting__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataArraySelectionGetArraySetting");
}

//@@Signature
//sfunction @vtkDataArraySelection:display vtkDataArraySelectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataArraySelectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataArraySelection* vtk_pointer = GetVTKPointer<vtkDataArraySelection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataArraySelection:delete vtkDataArraySelectionDeleteFunction
//input varargin
//output none
ArrayVector vtkDataArraySelectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataArraySelection
//@@Section VTKCommon
//@@Usage
// vtkDataArraySelection can be used by vtkSource subclasses to store
// on/off settings for whether each vtkDataArray in its input should
// be passed in the source's output.  This is primarily intended to
// allow file readers to configure what data arrays are read from the
// file.
//
//To create an instance of class vtkDataArraySelection, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataArraySelection
//@]
//@@Methods
//The class vtkDataArraySelection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataArraySelection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataArraySelection = obj.NewInstance ()|
// \item @|vtkDataArraySelection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.EnableArray (string name)| -  Enable the array with the given name.  Creates a new entry if
// none exists.
//// \item @|obj.DisableArray (string name)| -  Disable the array with the given name.  Creates a new entry if
// none exists.
//// \item @|int = obj.ArrayIsEnabled (string name)| -  Return whether the array with the given name is enabled.  If
// there is no entry, the array is assumed to be disabled.
//// \item @|int = obj.ArrayExists (string name)| -  Return whether the array with the given name exists.
//// \item @|obj.EnableAllArrays ()| -  Enable all arrays that currently have an entry.
//// \item @|obj.DisableAllArrays ()| -  Disable all arrays that currently have an entry.
//// \item @|int = obj.GetNumberOfArrays ()| -  Get the number of arrays that currently have an entry.
//// \item @|int = obj.GetNumberOfArraysEnabled ()| -  Get the number of arrays that are enabled.
//// \item @|string = obj.GetArrayName (int index)| -  Get the name of the array entry at the given index.
//// \item @|int = obj.GetArrayIndex (string name)| -  Get an index of the array containing name within the enabled arrays
//// \item @|int = obj.GetEnabledArrayIndex (string name)| -  Get the index of an array with the given name among those
// that are enabled.  Returns -1 if the array is not enabled.
//// \item @|int = obj.GetArraySetting (string name)| -  Get whether the array at the given index is enabled.
//// \item @|int = obj.GetArraySetting (int index)| -  Get whether the array at the given index is enabled.
//// \item @|obj.RemoveAllArrays ()| -  Remove all array entries.
//// \item @|obj.CopySelections (vtkDataArraySelection selections)| -  Copy the selections from the given vtkDataArraySelection instance.
////\end{itemize}
//!
