#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDirectory object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDirectory.h"

//@@Signature
//sfunction @vtkDirectory:vtkDirectory vtkDirectoryConstructorFunction
//input a
//output p
//@@Parents vtkDirectory vtkObject 
ArrayVector vtkDirectoryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDirectory::New(),"vtkDirectory",eval);
  } else if (arg[0].className() == "vtkDirectory") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDirectory"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDirectory");
    vtkDirectory*q = reinterpret_cast<vtkDirectory*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDirectory");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDirectory:GetClassName vtkDirectoryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDirectoryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDirectory requires 1 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:IsA vtkDirectoryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDirectoryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDirectory requires 2 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:NewInstance vtkDirectoryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDirectoryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDirectory *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDirectory requires 1 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  vtkDirectory  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDirectory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:SafeDownCast vtkDirectorySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDirectorySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDirectory *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDirectory requires 2 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDirectory  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDirectory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:Open vtkDirectoryOpenFunction
//input a0 a1 
//output y
ArrayVector vtkDirectoryOpenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Open (const char *dir); */
  if (arg.size() < 2) 
    throw Exception("Function Open for class vtkDirectory requires 2 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->Open(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:GetNumberOfFiles vtkDirectoryGetNumberOfFilesFunction
//input a0 
//output y
ArrayVector vtkDirectoryGetNumberOfFilesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfFiles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFiles for class vtkDirectory requires 1 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfFiles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:GetFile vtkDirectoryGetFileFunction
//input a0 a1 
//output y
ArrayVector vtkDirectoryGetFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFile (vtkIdType index); */
  if (arg.size() < 2) 
    throw Exception("Function GetFile for class vtkDirectory requires 2 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFile(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:FileIsDirectory vtkDirectoryFileIsDirectoryFunction
//input a0 a1 
//output y
ArrayVector vtkDirectoryFileIsDirectoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FileIsDirectory (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function FileIsDirectory for class vtkDirectory requires 2 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->FileIsDirectory(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:GetFiles vtkDirectoryGetFilesFunction
//input a0 
//output y
ArrayVector vtkDirectoryGetFilesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *GetFiles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFiles for class vtkDirectory requires 1 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetFiles();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:GetCurrentWorkingDirectory vtkDirectoryGetCurrentWorkingDirectoryFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDirectoryGetCurrentWorkingDirectoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetCurrentWorkingDirectory (char *buf, unsigned int len); */
  if (arg.size() < 3) 
    throw Exception("Function GetCurrentWorkingDirectory for class vtkDirectory requires 3 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  char    *temp0;
  unsigned int      temp1;
  const char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCurrentWorkingDirectory(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:MakeDirectory vtkDirectoryMakeDirectoryFunction
//input a0 a1 
//output y
ArrayVector vtkDirectoryMakeDirectoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int MakeDirectory (const char *dir); */
  if (arg.size() < 2) 
    throw Exception("Function MakeDirectory for class vtkDirectory requires 2 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->MakeDirectory(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:DeleteDirectory vtkDirectoryDeleteDirectoryFunction
//input a0 a1 
//output y
ArrayVector vtkDirectoryDeleteDirectoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int DeleteDirectory (const char *dir); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteDirectory for class vtkDirectory requires 2 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->DeleteDirectory(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:Rename vtkDirectoryRenameFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDirectoryRenameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int Rename (const char *oldname, const char *newname); */
  if (arg.size() < 3) 
    throw Exception("Function Rename for class vtkDirectory requires 3 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->Rename(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:CreateDirectory vtkDirectoryCreateDirectoryFunction
//input a0 a1 
//output y
ArrayVector vtkDirectoryCreateDirectoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int CreateDirectory (const char *dir); */
  if (arg.size() < 2) 
    throw Exception("Function CreateDirectory for class vtkDirectory requires 2 argument(s)");
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CreateDirectory(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectory:display vtkDirectoryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDirectoryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDirectory* vtk_pointer = GetVTKPointer<vtkDirectory>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDirectory:delete vtkDirectoryDeleteFunction
//input varargin
//output none
ArrayVector vtkDirectoryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDirectory
//@@Section VTKCommon
//@@Usage
// vtkDirectory provides a portable way of finding the names of the files
// in a system directory.  It also provides methods of manipulating directories.
//
//To create an instance of class vtkDirectory, simply
//invoke its constructor as follows
//@[
//  obj = vtkDirectory
//@]
//@@Methods
//The class vtkDirectory has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDirectory class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Return the class name as a string.
//// \item @|int = obj.IsA (string name)| -  Return the class name as a string.
//// \item @|vtkDirectory = obj.NewInstance ()| -  Return the class name as a string.
//// \item @|vtkDirectory = obj.SafeDownCast (vtkObject o)| -  Return the class name as a string.
//// \item @|int = obj.Open (string dir)| -  Open the specified directory and load the names of the files
// in that directory. 0 is returned if the directory can not be 
// opened, 1 if it is opened.   
//// \item @|vtkIdType = obj.GetNumberOfFiles ()| -  Return the number of files in the current directory.
//// \item @|string = obj.GetFile (vtkIdType index)| -  Return the file at the given index, the indexing is 0 based
//// \item @|int = obj.FileIsDirectory (string name)| -  Return true if the file is a directory.  If the file is not an
// absolute path, it is assumed to be relative to the opened
// directory. If no directory has been opened, it is assumed to
// be relative to the current working directory.
//// \item @|vtkStringArray = obj.GetFiles ()| -  Get an array that contains all the file names.
////\end{itemize}
//!
