#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDynamicLoader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDynamicLoader.h"

//@@Signature
//sfunction @vtkDynamicLoader:vtkDynamicLoader vtkDynamicLoaderConstructorFunction
//input a
//output p
//@@Parents vtkDynamicLoader vtkObject 
ArrayVector vtkDynamicLoaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDynamicLoader::New(),"vtkDynamicLoader",eval);
  } else if (arg[0].className() == "vtkDynamicLoader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDynamicLoader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDynamicLoader");
    vtkDynamicLoader*q = reinterpret_cast<vtkDynamicLoader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDynamicLoader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDynamicLoader:GetClassName vtkDynamicLoaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDynamicLoaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDynamicLoader requires 1 argument(s)");
  vtkDynamicLoader* vtk_pointer = GetVTKPointer<vtkDynamicLoader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDynamicLoader:IsA vtkDynamicLoaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDynamicLoaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDynamicLoader requires 2 argument(s)");
  vtkDynamicLoader* vtk_pointer = GetVTKPointer<vtkDynamicLoader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDynamicLoader:NewInstance vtkDynamicLoaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDynamicLoaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDynamicLoader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDynamicLoader requires 1 argument(s)");
  vtkDynamicLoader* vtk_pointer = GetVTKPointer<vtkDynamicLoader>(arg[0]);
  Array retval;
  vtkDynamicLoader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDynamicLoader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDynamicLoader:SafeDownCast vtkDynamicLoaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDynamicLoaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDynamicLoader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDynamicLoader requires 2 argument(s)");
  vtkDynamicLoader* vtk_pointer = GetVTKPointer<vtkDynamicLoader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDynamicLoader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDynamicLoader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDynamicLoader:LibPrefix vtkDynamicLoaderLibPrefixFunction
//input a0 
//output y
ArrayVector vtkDynamicLoaderLibPrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *LibPrefix (); */
  if (arg.size() < 1) 
    throw Exception("Function LibPrefix for class vtkDynamicLoader requires 1 argument(s)");
  vtkDynamicLoader* vtk_pointer = GetVTKPointer<vtkDynamicLoader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->LibPrefix();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDynamicLoader:LibExtension vtkDynamicLoaderLibExtensionFunction
//input a0 
//output y
ArrayVector vtkDynamicLoaderLibExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *LibExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function LibExtension for class vtkDynamicLoader requires 1 argument(s)");
  vtkDynamicLoader* vtk_pointer = GetVTKPointer<vtkDynamicLoader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->LibExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDynamicLoader:LastError vtkDynamicLoaderLastErrorFunction
//input a0 
//output y
ArrayVector vtkDynamicLoaderLastErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *LastError (); */
  if (arg.size() < 1) 
    throw Exception("Function LastError for class vtkDynamicLoader requires 1 argument(s)");
  vtkDynamicLoader* vtk_pointer = GetVTKPointer<vtkDynamicLoader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->LastError();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDynamicLoader:display vtkDynamicLoaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDynamicLoaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDynamicLoader* vtk_pointer = GetVTKPointer<vtkDynamicLoader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDynamicLoader:delete vtkDynamicLoaderDeleteFunction
//input varargin
//output none
ArrayVector vtkDynamicLoaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDynamicLoader
//@@Section VTKCommon
//@@Usage
// vtkDynamicLoader provides a portable interface to loading dynamic
// libraries into a process.
//
//To create an instance of class vtkDynamicLoader, simply
//invoke its constructor as follows
//@[
//  obj = vtkDynamicLoader
//@]
//@@Methods
//The class vtkDynamicLoader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDynamicLoader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDynamicLoader = obj.NewInstance ()|
// \item @|vtkDynamicLoader = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
