#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEdgeTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEdgeTable.h"

//@@Signature
//sfunction @vtkEdgeTable:vtkEdgeTable vtkEdgeTableConstructorFunction
//input a
//output p
//@@Parents vtkEdgeTable vtkObject 
ArrayVector vtkEdgeTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEdgeTable::New(),"vtkEdgeTable",eval);
  } else if (arg[0].className() == "vtkEdgeTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEdgeTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEdgeTable");
    vtkEdgeTable*q = reinterpret_cast<vtkEdgeTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEdgeTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEdgeTable:GetClassName vtkEdgeTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEdgeTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEdgeTable requires 1 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:IsA vtkEdgeTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEdgeTable requires 2 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:NewInstance vtkEdgeTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEdgeTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEdgeTable requires 1 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtkEdgeTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:SafeDownCast vtkEdgeTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEdgeTable requires 2 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEdgeTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:Initialize vtkEdgeTableInitializeFunction
//input a0 
//output none
ArrayVector vtkEdgeTableInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkEdgeTable requires 1 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:InitEdgeInsertion vtkEdgeTableInitEdgeInsertionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkEdgeTableInitEdgeInsertionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InitEdgeInsertion (vtkIdType numPoints, int storeAttributes); */
  if (arg.size() < 3) 
    throw Exception("Function InitEdgeInsertion for class vtkEdgeTable requires 3 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->InitEdgeInsertion(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:InsertEdge__1 vtkEdgeTableInsertEdge__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkEdgeTableInsertEdge__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertEdge (vtkIdType p1, vtkIdType p2); */
  if (arg.size() < 3) 
    throw Exception("Function InsertEdge__1 for class vtkEdgeTable requires 3 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->InsertEdge(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:InsertEdge__2 vtkEdgeTableInsertEdge__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkEdgeTableInsertEdge__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertEdge (vtkIdType p1, vtkIdType p2, vtkIdType attributeId); */
  if (arg.size() < 4) 
    throw Exception("Function InsertEdge__2 for class vtkEdgeTable requires 4 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->InsertEdge(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:IsEdge__1 vtkEdgeTableIsEdge__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkEdgeTableIsEdge__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType IsEdge (vtkIdType p1, vtkIdType p2); */
  if (arg.size() < 3) 
    throw Exception("Function IsEdge__1 for class vtkEdgeTable requires 3 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->IsEdge(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:InitPointInsertion vtkEdgeTableInitPointInsertionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkEdgeTableInitPointInsertionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InitPointInsertion (vtkPoints *newPts, vtkIdType estSize); */
  if (arg.size() < 3) 
    throw Exception("Function InitPointInsertion for class vtkEdgeTable requires 3 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->InitPointInsertion(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:GetNumberOfEdges vtkEdgeTableGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkEdgeTableGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkEdgeTable requires 1 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:InitTraversal vtkEdgeTableInitTraversalFunction
//input a0 
//output none
ArrayVector vtkEdgeTableInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitTraversal for class vtkEdgeTable requires 1 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtk_pointer->InitTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:Reset vtkEdgeTableResetFunction
//input a0 
//output none
ArrayVector vtkEdgeTableResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkEdgeTable requires 1 argument(s)");
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkEdgeTable:InsertEdge vtkEdgeTableInsertEdgeFunction
//input varargin
//output varargout
ArrayVector vtkEdgeTableInsertEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkEdgeTableInsertEdge__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkEdgeTableInsertEdge__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkEdgeTableInsertEdge");
}

//@@Signature
//sfunction @vtkEdgeTable:IsEdge vtkEdgeTableIsEdgeFunction
//input varargin
//output varargout
ArrayVector vtkEdgeTableIsEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkEdgeTableIsEdge__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkEdgeTableIsEdge");
}

//@@Signature
//sfunction @vtkEdgeTable:GetNextEdge vtkEdgeTableGetNextEdgeFunction
//input varargin
//output varargout
ArrayVector vtkEdgeTableGetNextEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkEdgeTableGetNextEdge");
}

//@@Signature
//sfunction @vtkEdgeTable:display vtkEdgeTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEdgeTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEdgeTable* vtk_pointer = GetVTKPointer<vtkEdgeTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEdgeTable:delete vtkEdgeTableDeleteFunction
//input varargin
//output none
ArrayVector vtkEdgeTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEdgeTable
//@@Section VTKCommon
//@@Usage
// vtkEdgeTable is a general object for keeping track of lists of edges. An
// edge is defined by the pair of point id's (p1,p2). Methods are available
// to insert edges, check if edges exist, and traverse the list of edges.
// Also, it's possible to associate attribute information with each edge.
// The attribute information may take the form of vtkIdType id's, void*
// pointers, or points. To store attributes, make sure that
// InitEdgeInsertion() is invoked with the storeAttributes flag set properly.
// If points are inserted, use the methods InitPointInsertion() and 
// InsertUniquePoint().
//
//To create an instance of class vtkEdgeTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkEdgeTable
//@]
//@@Methods
//The class vtkEdgeTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEdgeTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEdgeTable = obj.NewInstance ()|
// \item @|vtkEdgeTable = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Free memory and return to the initially instantiated state.
//// \item @|int = obj.InitEdgeInsertion (vtkIdType numPoints, int storeAttributes)| -  Initialize the edge insertion process. Provide an estimate of the number
// of points in a dataset (the maximum range value of p1 or p2).  The
// storeAttributes variable controls whether attributes are to be stored
// with the edge, and what type of attributes. If storeAttributes==1, then
// attributes of vtkIdType can be stored. If storeAttributes==2, then
// attributes of type void* can be stored. In either case, additional
// memory will be required by the data structure to store attribute data
// per each edge.  This method is used in conjunction with one of the three
// InsertEdge() methods described below (don't mix the InsertEdge()
// methods---make sure that the one used is consistent with the
// storeAttributes flag set in InitEdgeInsertion()).
//// \item @|vtkIdType = obj.InsertEdge (vtkIdType p1, vtkIdType p2)| -  Insert the edge (p1,p2) into the table. It is the user's
// responsibility to check if the edge has already been inserted
// (use IsEdge()). If the storeAttributes flag in InitEdgeInsertion()
// has been set, then the method returns a unique integer id (i.e.,
// the edge id) that can be used to set and get edge
// attributes. Otherwise, the method will return 1. Do not mix this
// method with the InsertEdge() method that follows.
//// \item @|obj.InsertEdge (vtkIdType p1, vtkIdType p2, vtkIdType attributeId)| -  Insert the edge (p1,p2) into the table with the attribute id
// specified (make sure the attributeId >= 0). Note that the
// attributeId is ignored if the storeAttributes variable was set to
// 0 in the InitEdgeInsertion() method. It is the user's
// responsibility to check if the edge has already been inserted
// (use IsEdge()). Do not mix this method with the other two
// InsertEdge() methods.
//// \item @|vtkIdType = obj.IsEdge (vtkIdType p1, vtkIdType p2)| -  Return an integer id for the edge, or an attribute id of the edge
// (p1,p2) if the edge has been previously defined (it depends upon
// which version of InsertEdge() is being used); otherwise -1. The
// unique integer id can be used to set and retrieve attributes to
// the edge.
//// \item @|int = obj.InitPointInsertion (vtkPoints newPts, vtkIdType estSize)| -  Initialize the point insertion process. The newPts is an object
// representing point coordinates into which incremental insertion methods
// place their data. The points are associated with the edge.
//// \item @|vtkIdType = obj.GetNumberOfEdges ()| -  Return the number of edges that have been inserted thus far.
//// \item @|obj.InitTraversal ()| -  Intialize traversal of edges in table.
//// \item @|obj.Reset ()| -  Reset the object and prepare for reinsertion of edges. Does not delete
// memory like the Initialize() method.
////\end{itemize}
//!
