#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtentSplitter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtentSplitter.h"

//@@Signature
//sfunction @vtkExtentSplitter:vtkExtentSplitter vtkExtentSplitterConstructorFunction
//input a
//output p
//@@Parents vtkExtentSplitter vtkObject 
ArrayVector vtkExtentSplitterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtentSplitter::New(),"vtkExtentSplitter",eval);
  } else if (arg[0].className() == "vtkExtentSplitter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtentSplitter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtentSplitter");
    vtkExtentSplitter*q = reinterpret_cast<vtkExtentSplitter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtentSplitter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtentSplitter:GetClassName vtkExtentSplitterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtentSplitterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtentSplitter requires 1 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:IsA vtkExtentSplitterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtentSplitterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtentSplitter requires 2 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:NewInstance vtkExtentSplitterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtentSplitterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtentSplitter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtentSplitter requires 1 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  vtkExtentSplitter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtentSplitter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:SafeDownCast vtkExtentSplitterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtentSplitterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtentSplitter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtentSplitter requires 2 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtentSplitter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtentSplitter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:AddExtentSource__1 vtkExtentSplitterAddExtentSource__1Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output none
ArrayVector vtkExtentSplitterAddExtentSource__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddExtentSource (int id, int priority, int x0, int x1, int y0, int y1, int z0, int z1); */
  if (arg.size() < 9) 
    throw Exception("Function AddExtentSource__1 for class vtkExtentSplitter requires 9 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  int      temp7;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  vtk_pointer->AddExtentSource(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:AddExtentSource__2 vtkExtentSplitterAddExtentSource__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkExtentSplitterAddExtentSource__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddExtentSource (int id, int priority, int *extent); */
  if (arg.size() < 4) 
    throw Exception("Function AddExtentSource__2 for class vtkExtentSplitter requires 4 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int     *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  vtk_pointer->AddExtentSource(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:RemoveExtentSource vtkExtentSplitterRemoveExtentSourceFunction
//input a0 a1 
//output none
ArrayVector vtkExtentSplitterRemoveExtentSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveExtentSource (int id); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveExtentSource for class vtkExtentSplitter requires 2 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveExtentSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:RemoveAllExtentSources vtkExtentSplitterRemoveAllExtentSourcesFunction
//input a0 
//output none
ArrayVector vtkExtentSplitterRemoveAllExtentSourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllExtentSources (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllExtentSources for class vtkExtentSplitter requires 1 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllExtentSources();
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:AddExtent__1 vtkExtentSplitterAddExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkExtentSplitterAddExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddExtent (int x0, int x1, int y0, int y1, int z0, int z1); */
  if (arg.size() < 7) 
    throw Exception("Function AddExtent__1 for class vtkExtentSplitter requires 7 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->AddExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:AddExtent__2 vtkExtentSplitterAddExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkExtentSplitterAddExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddExtent (int *extent); */
  if (arg.size() < 2) 
    throw Exception("Function AddExtent__2 for class vtkExtentSplitter requires 2 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->AddExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:ComputeSubExtents vtkExtentSplitterComputeSubExtentsFunction
//input a0 
//output y
ArrayVector vtkExtentSplitterComputeSubExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ComputeSubExtents (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeSubExtents for class vtkExtentSplitter requires 1 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->ComputeSubExtents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:GetNumberOfSubExtents vtkExtentSplitterGetNumberOfSubExtentsFunction
//input a0 
//output y
ArrayVector vtkExtentSplitterGetNumberOfSubExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSubExtents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubExtents for class vtkExtentSplitter requires 1 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubExtents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:GetSubExtent__1 vtkExtentSplitterGetSubExtent__1Function
//input a0 a1 
//output y
ArrayVector vtkExtentSplitterGetSubExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetSubExtent (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetSubExtent__1 for class vtkExtentSplitter requires 2 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSubExtent(temp0);
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:GetSubExtent__2 vtkExtentSplitterGetSubExtent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExtentSplitterGetSubExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetSubExtent (int index, int *extent); */
  if (arg.size() < 3) 
    throw Exception("Function GetSubExtent__2 for class vtkExtentSplitter requires 3 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->GetSubExtent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:GetSubExtentSource vtkExtentSplitterGetSubExtentSourceFunction
//input a0 a1 
//output y
ArrayVector vtkExtentSplitterGetSubExtentSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubExtentSource (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetSubExtentSource for class vtkExtentSplitter requires 2 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSubExtentSource(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:GetPointMode vtkExtentSplitterGetPointModeFunction
//input a0 
//output y
ArrayVector vtkExtentSplitterGetPointModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMode for class vtkExtentSplitter requires 1 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPointMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:SetPointMode vtkExtentSplitterSetPointModeFunction
//input a0 a1 
//output none
ArrayVector vtkExtentSplitterSetPointModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointMode for class vtkExtentSplitter requires 2 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:PointModeOn vtkExtentSplitterPointModeOnFunction
//input a0 
//output none
ArrayVector vtkExtentSplitterPointModeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointModeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PointModeOn for class vtkExtentSplitter requires 1 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  vtk_pointer->PointModeOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:PointModeOff vtkExtentSplitterPointModeOffFunction
//input a0 
//output none
ArrayVector vtkExtentSplitterPointModeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointModeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PointModeOff for class vtkExtentSplitter requires 1 argument(s)");
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  Array retval;
  vtk_pointer->PointModeOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtentSplitter:AddExtentSource vtkExtentSplitterAddExtentSourceFunction
//input varargin
//output varargout
ArrayVector vtkExtentSplitterAddExtentSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 9) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]) && VTKIsScalarArg(arg[8]))
    return vtkExtentSplitterAddExtentSource__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkExtentSplitterAddExtentSource__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtentSplitterAddExtentSource");
}

//@@Signature
//sfunction @vtkExtentSplitter:AddExtent vtkExtentSplitterAddExtentFunction
//input varargin
//output varargout
ArrayVector vtkExtentSplitterAddExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkExtentSplitterAddExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtentSplitterAddExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtentSplitterAddExtent");
}

//@@Signature
//sfunction @vtkExtentSplitter:GetSubExtent vtkExtentSplitterGetSubExtentFunction
//input varargin
//output varargout
ArrayVector vtkExtentSplitterGetSubExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExtentSplitterGetSubExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkExtentSplitterGetSubExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtentSplitterGetSubExtent");
}

//@@Signature
//sfunction @vtkExtentSplitter:display vtkExtentSplitterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtentSplitterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtentSplitter* vtk_pointer = GetVTKPointer<vtkExtentSplitter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtentSplitter:delete vtkExtentSplitterDeleteFunction
//input varargin
//output none
ArrayVector vtkExtentSplitterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtentSplitter
//@@Section VTKCommon
//@@Usage
// vtkExtentSplitter splits each input extent into non-overlapping
// sub-extents that are completely contained within other "source
// extents".  A source extent corresponds to some resource providing
// an extent.  Each source extent has an integer identifier, integer
// priority, and an extent.  The input extents are split into
// sub-extents according to priority, availability, and amount of
// overlap of the source extents.  This can be used by parallel data
// readers to read as few piece files as possible.
//
//To create an instance of class vtkExtentSplitter, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtentSplitter
//@]
//@@Methods
//The class vtkExtentSplitter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtentSplitter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtentSplitter = obj.NewInstance ()|
// \item @|vtkExtentSplitter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddExtentSource (int id, int priority, int x0, int x1, int y0, int y1, int z0, int z1)| -  Add/Remove a source providing the given extent.  Sources with
// higher priority numbers are favored.  Source id numbers and
// priorities must be non-negative.
//// \item @|obj.AddExtentSource (int id, int priority, int extent)| -  Add/Remove a source providing the given extent.  Sources with
// higher priority numbers are favored.  Source id numbers and
// priorities must be non-negative.
//// \item @|obj.RemoveExtentSource (int id)| -  Add/Remove a source providing the given extent.  Sources with
// higher priority numbers are favored.  Source id numbers and
// priorities must be non-negative.
//// \item @|obj.RemoveAllExtentSources ()| -  Add/Remove a source providing the given extent.  Sources with
// higher priority numbers are favored.  Source id numbers and
// priorities must be non-negative.
//// \item @|obj.AddExtent (int x0, int x1, int y0, int y1, int z0, int z1)| -  Add an extent to the queue of extents to be split among the
// available sources.
//// \item @|obj.AddExtent (int extent)| -  Add an extent to the queue of extents to be split among the
// available sources.
//// \item @|int = obj.ComputeSubExtents ()| -  Split the extents currently in the queue among the available
// sources.  The queue is empty when this returns.  Returns 1 if all
// extents could be read.  Returns 0 if any portion of any extent
// was not available through any source.
//// \item @|int = obj.GetNumberOfSubExtents ()| -  Get the number of sub-extents into which the original set of
// extents have been split across the available sources.  Valid
// after a call to ComputeSubExtents.
//// \item @|int = obj.GetSubExtent (int index)| -  Get the sub-extent associated with the given index.  Use
// GetSubExtentSource to get the id of the source from which this
// sub-extent should be read.  Valid after a call to
// ComputeSubExtents.
//// \item @|obj.GetSubExtent (int index, int extent)| -  Get the sub-extent associated with the given index.  Use
// GetSubExtentSource to get the id of the source from which this
// sub-extent should be read.  Valid after a call to
// ComputeSubExtents.
//// \item @|int = obj.GetSubExtentSource (int index)| -  Get the id of the source from which the sub-extent associated
// with the given index should be read.  Returns -1 if no source
// provides the sub-extent.
//// \item @|int = obj.GetPointMode ()| -  Get/Set whether "point mode" is on.  In point mode, sub-extents
// are generated to ensure every point in the update request is
// read, but not necessarily every cell.  This can be used when
// point data are stored in a planar slice per piece with no cell
// data.  The default is OFF.
//// \item @|obj.SetPointMode (int )| -  Get/Set whether "point mode" is on.  In point mode, sub-extents
// are generated to ensure every point in the update request is
// read, but not necessarily every cell.  This can be used when
// point data are stored in a planar slice per piece with no cell
// data.  The default is OFF.
//// \item @|obj.PointModeOn ()| -  Get/Set whether "point mode" is on.  In point mode, sub-extents
// are generated to ensure every point in the update request is
// read, but not necessarily every cell.  This can be used when
// point data are stored in a planar slice per piece with no cell
// data.  The default is OFF.
//// \item @|obj.PointModeOff ()| -  Get/Set whether "point mode" is on.  In point mode, sub-extents
// are generated to ensure every point in the update request is
// read, but not necessarily every cell.  This can be used when
// point data are stored in a planar slice per piece with no cell
// data.  The default is OFF.
////\end{itemize}
//!
