#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtentTranslator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtentTranslator.h"

//@@Signature
//sfunction @vtkExtentTranslator:vtkExtentTranslator vtkExtentTranslatorConstructorFunction
//input a
//output p
//@@Parents vtkExtentTranslator vtkObject 
ArrayVector vtkExtentTranslatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtentTranslator::New(),"vtkExtentTranslator",eval);
  } else if (arg[0].className() == "vtkExtentTranslator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtentTranslator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtentTranslator");
    vtkExtentTranslator*q = reinterpret_cast<vtkExtentTranslator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtentTranslator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtentTranslator:GetClassName vtkExtentTranslatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtentTranslatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:IsA vtkExtentTranslatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtentTranslatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtentTranslator requires 2 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:NewInstance vtkExtentTranslatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtentTranslatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtentTranslator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  vtkExtentTranslator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SafeDownCast vtkExtentTranslatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtentTranslatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtentTranslator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtentTranslator requires 2 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtentTranslator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetWholeExtent__1 vtkExtentTranslatorSetWholeExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkExtentTranslatorSetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent__1 for class vtkExtentTranslator requires 7 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetWholeExtent__2 vtkExtentTranslatorSetWholeExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkExtentTranslatorSetWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeExtent__2 for class vtkExtentTranslator requires 2 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:GetWholeExtent vtkExtentTranslatorGetWholeExtentFunction
//input a0 
//output y
ArrayVector vtkExtentTranslatorGetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeExtent for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetExtent__1 vtkExtentTranslatorSetExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkExtentTranslatorSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__1 for class vtkExtentTranslator requires 7 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetExtent__2 vtkExtentTranslatorSetExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkExtentTranslatorSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__2 for class vtkExtentTranslator requires 2 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:GetExtent vtkExtentTranslatorGetExtentFunction
//input a0 
//output y
ArrayVector vtkExtentTranslatorGetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtent for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetPiece vtkExtentTranslatorSetPieceFunction
//input a0 a1 
//output none
ArrayVector vtkExtentTranslatorSetPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPiece for class vtkExtentTranslator requires 2 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:GetPiece vtkExtentTranslatorGetPieceFunction
//input a0 
//output y
ArrayVector vtkExtentTranslatorGetPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPiece for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetNumberOfPieces vtkExtentTranslatorSetNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkExtentTranslatorSetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPieces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPieces for class vtkExtentTranslator requires 2 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:GetNumberOfPieces vtkExtentTranslatorGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkExtentTranslatorGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetGhostLevel vtkExtentTranslatorSetGhostLevelFunction
//input a0 a1 
//output none
ArrayVector vtkExtentTranslatorSetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGhostLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGhostLevel for class vtkExtentTranslator requires 2 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGhostLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:GetGhostLevel vtkExtentTranslatorGetGhostLevelFunction
//input a0 
//output y
ArrayVector vtkExtentTranslatorGetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevel for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:PieceToExtent vtkExtentTranslatorPieceToExtentFunction
//input a0 
//output y
ArrayVector vtkExtentTranslatorPieceToExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int PieceToExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceToExtent for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->PieceToExtent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:PieceToExtentByPoints vtkExtentTranslatorPieceToExtentByPointsFunction
//input a0 
//output y
ArrayVector vtkExtentTranslatorPieceToExtentByPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int PieceToExtentByPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceToExtentByPoints for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->PieceToExtentByPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:PieceToExtentThreadSafe vtkExtentTranslatorPieceToExtentThreadSafeFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkExtentTranslatorPieceToExtentThreadSafeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int PieceToExtentThreadSafe (int piece, int numPieces, int ghostLevel, int *wholeExtent, int *resultExtent, int splitMode, int byPoints); */
  if (arg.size() < 8) 
    throw Exception("Function PieceToExtentThreadSafe for class vtkExtentTranslator requires 8 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int     *temp3;
  int     *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new int[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (int)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->PieceToExtentThreadSafe(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetSplitModeToBlock vtkExtentTranslatorSetSplitModeToBlockFunction
//input a0 
//output none
ArrayVector vtkExtentTranslatorSetSplitModeToBlockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSplitModeToBlock ();this SplitMode vtkExtentTranslator BLOCK_MODE  */
  if (arg.size() < 1) 
    throw Exception("Function SetSplitModeToBlock for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  vtk_pointer->SetSplitModeToBlock();
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetSplitModeToXSlab vtkExtentTranslatorSetSplitModeToXSlabFunction
//input a0 
//output none
ArrayVector vtkExtentTranslatorSetSplitModeToXSlabFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSplitModeToXSlab ();this SplitMode vtkExtentTranslator X_SLAB_MODE  */
  if (arg.size() < 1) 
    throw Exception("Function SetSplitModeToXSlab for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  vtk_pointer->SetSplitModeToXSlab();
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetSplitModeToYSlab vtkExtentTranslatorSetSplitModeToYSlabFunction
//input a0 
//output none
ArrayVector vtkExtentTranslatorSetSplitModeToYSlabFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSplitModeToYSlab ();this SplitMode vtkExtentTranslator Y_SLAB_MODE  */
  if (arg.size() < 1) 
    throw Exception("Function SetSplitModeToYSlab for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  vtk_pointer->SetSplitModeToYSlab();
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetSplitModeToZSlab vtkExtentTranslatorSetSplitModeToZSlabFunction
//input a0 
//output none
ArrayVector vtkExtentTranslatorSetSplitModeToZSlabFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSplitModeToZSlab ();this SplitMode vtkExtentTranslator Z_SLAB_MODE  */
  if (arg.size() < 1) 
    throw Exception("Function SetSplitModeToZSlab for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  vtk_pointer->SetSplitModeToZSlab();
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:GetSplitMode vtkExtentTranslatorGetSplitModeFunction
//input a0 
//output y
ArrayVector vtkExtentTranslatorGetSplitModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSplitMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSplitMode for class vtkExtentTranslator requires 1 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSplitMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetSplitPath vtkExtentTranslatorSetSplitPathFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExtentTranslatorSetSplitPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSplitPath (int len, int *splitpath); */
  if (arg.size() < 3) 
    throw Exception("Function SetSplitPath for class vtkExtentTranslator requires 3 argument(s)");
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->SetSplitPath(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExtentTranslator:SetWholeExtent vtkExtentTranslatorSetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkExtentTranslatorSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkExtentTranslatorSetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtentTranslatorSetWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtentTranslatorSetWholeExtent");
}

//@@Signature
//sfunction @vtkExtentTranslator:SetExtent vtkExtentTranslatorSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkExtentTranslatorSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkExtentTranslatorSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtentTranslatorSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtentTranslatorSetExtent");
}

//@@Signature
//sfunction @vtkExtentTranslator:display vtkExtentTranslatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtentTranslatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtentTranslator* vtk_pointer = GetVTKPointer<vtkExtentTranslator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtentTranslator:delete vtkExtentTranslatorDeleteFunction
//input varargin
//output none
ArrayVector vtkExtentTranslatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtentTranslator
//@@Section VTKCommon
//@@Usage
// vtkExtentTranslator generates a structured extent from an unstructured
// extent.  It uses a recursive scheme that splits the largest axis.  A hard
// coded extent can be used for a starting point.
//
//To create an instance of class vtkExtentTranslator, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtentTranslator
//@]
//@@Methods
//The class vtkExtentTranslator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtentTranslator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtentTranslator = obj.NewInstance ()|
// \item @|vtkExtentTranslator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWholeExtent (int , int , int , int , int , int )| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|obj.SetWholeExtent (int  a[6])| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|int = obj. GetWholeExtent ()| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|obj.SetExtent (int , int , int , int , int , int )| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|obj.SetExtent (int  a[6])| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|int = obj. GetExtent ()| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|obj.SetPiece (int )| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|int = obj.GetPiece ()| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|obj.SetNumberOfPieces (int )| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|int = obj.GetNumberOfPieces ()| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|obj.SetGhostLevel (int )| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|int = obj.GetGhostLevel ()| -  Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.
// The result can be obtained from the Extent ivar.
//// \item @|int = obj.PieceToExtent ()| -  These are the main methods that should be called. These methods 
// are responsible for converting a piece to an extent. The signatures
// without arguments are only thread safe when each thread accesses a
// different instance. The signatures with arguements are fully thread
// safe. 
//// \item @|int = obj.PieceToExtentByPoints ()| -  These are the main methods that should be called. These methods 
// are responsible for converting a piece to an extent. The signatures
// without arguments are only thread safe when each thread accesses a
// different instance. The signatures with arguements are fully thread
// safe. 
//// \item @|int = obj.PieceToExtentThreadSafe (int piece, int numPieces, int ghostLevel, int wholeExtent, int resultExtent, int splitMode, int byPoints)| -  These are the main methods that should be called. These methods 
// are responsible for converting a piece to an extent. The signatures
// without arguments are only thread safe when each thread accesses a
// different instance. The signatures with arguements are fully thread
// safe. 
//// \item @|obj.SetSplitModeToBlock ()| -  How should the streamer break up extents. Block mode
// tries to break an extent up into cube blocks.  It always chooses
// the largest axis to split.
// Slab mode first breaks up the Z axis.  If it gets to one slice,
// then it starts breaking up other axes.
//// \item @|obj.SetSplitModeToXSlab ()| -  How should the streamer break up extents. Block mode
// tries to break an extent up into cube blocks.  It always chooses
// the largest axis to split.
// Slab mode first breaks up the Z axis.  If it gets to one slice,
// then it starts breaking up other axes.
//// \item @|obj.SetSplitModeToYSlab ()| -  How should the streamer break up extents. Block mode
// tries to break an extent up into cube blocks.  It always chooses
// the largest axis to split.
// Slab mode first breaks up the Z axis.  If it gets to one slice,
// then it starts breaking up other axes.
//// \item @|obj.SetSplitModeToZSlab ()| -  How should the streamer break up extents. Block mode
// tries to break an extent up into cube blocks.  It always chooses
// the largest axis to split.
// Slab mode first breaks up the Z axis.  If it gets to one slice,
// then it starts breaking up other axes.
//// \item @|int = obj.GetSplitMode ()| -  How should the streamer break up extents. Block mode
// tries to break an extent up into cube blocks.  It always chooses
// the largest axis to split.
// Slab mode first breaks up the Z axis.  If it gets to one slice,
// then it starts breaking up other axes.
//// \item @|obj.SetSplitPath (int len, int splitpath)|
//\end{itemize}
//!
