#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFastNumericConversion object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFastNumericConversion.h"

//@@Signature
//sfunction @vtkFastNumericConversion:vtkFastNumericConversion vtkFastNumericConversionConstructorFunction
//input a
//output p
//@@Parents vtkFastNumericConversion vtkObject 
ArrayVector vtkFastNumericConversionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFastNumericConversion::New(),"vtkFastNumericConversion",eval);
  } else if (arg[0].className() == "vtkFastNumericConversion") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFastNumericConversion"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFastNumericConversion");
    vtkFastNumericConversion*q = reinterpret_cast<vtkFastNumericConversion*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFastNumericConversion");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFastNumericConversion:GetClassName vtkFastNumericConversionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFastNumericConversionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFastNumericConversion requires 1 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:IsA vtkFastNumericConversionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFastNumericConversionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFastNumericConversion requires 2 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:NewInstance vtkFastNumericConversionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFastNumericConversionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFastNumericConversion *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFastNumericConversion requires 1 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  vtkFastNumericConversion  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFastNumericConversion",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:SafeDownCast vtkFastNumericConversionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFastNumericConversionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFastNumericConversion *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFastNumericConversion requires 2 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFastNumericConversion  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFastNumericConversion",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:TestQuickFloor vtkFastNumericConversionTestQuickFloorFunction
//input a0 a1 
//output y
ArrayVector vtkFastNumericConversionTestQuickFloorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int TestQuickFloor (double val); */
  if (arg.size() < 2) 
    throw Exception("Function TestQuickFloor for class vtkFastNumericConversion requires 2 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->TestQuickFloor(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:TestSafeFloor vtkFastNumericConversionTestSafeFloorFunction
//input a0 a1 
//output y
ArrayVector vtkFastNumericConversionTestSafeFloorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int TestSafeFloor (double val); */
  if (arg.size() < 2) 
    throw Exception("Function TestSafeFloor for class vtkFastNumericConversion requires 2 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->TestSafeFloor(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:TestRound vtkFastNumericConversionTestRoundFunction
//input a0 a1 
//output y
ArrayVector vtkFastNumericConversionTestRoundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int TestRound (double val); */
  if (arg.size() < 2) 
    throw Exception("Function TestRound for class vtkFastNumericConversion requires 2 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->TestRound(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:TestConvertFixedPointIntPart vtkFastNumericConversionTestConvertFixedPointIntPartFunction
//input a0 a1 
//output y
ArrayVector vtkFastNumericConversionTestConvertFixedPointIntPartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int TestConvertFixedPointIntPart (double val); */
  if (arg.size() < 2) 
    throw Exception("Function TestConvertFixedPointIntPart for class vtkFastNumericConversion requires 2 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->TestConvertFixedPointIntPart(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:TestConvertFixedPointFracPart vtkFastNumericConversionTestConvertFixedPointFracPartFunction
//input a0 a1 
//output y
ArrayVector vtkFastNumericConversionTestConvertFixedPointFracPartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int TestConvertFixedPointFracPart (double val); */
  if (arg.size() < 2) 
    throw Exception("Function TestConvertFixedPointFracPart for class vtkFastNumericConversion requires 2 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->TestConvertFixedPointFracPart(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:SetReservedFracBits vtkFastNumericConversionSetReservedFracBitsFunction
//input a0 a1 
//output none
ArrayVector vtkFastNumericConversionSetReservedFracBitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReservedFracBits (int bits);bits unsigned long mtime this GetMTime this SetinternalReservedFracBits bits if mtime this GetMTime this InternalRebuild  */
  if (arg.size() < 2) 
    throw Exception("Function SetReservedFracBits for class vtkFastNumericConversion requires 2 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReservedFracBits(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:PerformanceTests vtkFastNumericConversionPerformanceTestsFunction
//input a0 
//output none
ArrayVector vtkFastNumericConversionPerformanceTestsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PerformanceTests (void ); */
  if (arg.size() < 1) 
    throw Exception("Function PerformanceTests for class vtkFastNumericConversion requires 1 argument(s)");
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  Array retval;
  vtk_pointer->PerformanceTests();
  return retval;
}

//@@Signature
//sfunction @vtkFastNumericConversion:display vtkFastNumericConversionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFastNumericConversionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFastNumericConversion* vtk_pointer = GetVTKPointer<vtkFastNumericConversion>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFastNumericConversion:delete vtkFastNumericConversionDeleteFunction
//input varargin
//output none
ArrayVector vtkFastNumericConversionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFastNumericConversion
//@@Section VTKCommon
//@@Usage
// vtkFastNumericConversion uses a portable (assuming IEEE format) method for
// converting single and double precision floating point values to a fixed
// point representation. This allows fast integer floor operations on
// platforms, such as Intel X86, in which CPU floating point conversion
// algorithms are very slow. It is based on the techniques described in Chris
// Hecker's article, "Let's Get to the (Floating) Point", in Game Developer
// Magazine, Feb/Mar 1996, and the techniques described in Michael Herf's
// website, http://www.stereopsis.com/FPU.html.  The Hecker article can be
// found at http://www.d6.com/users/checker/pdfs/gdmfp.pdf.  Unfortunately,
// each of these techniques is incomplete, and doesn't convert properly, in a
// way that depends on how many bits are reserved for fixed point fractional
// use, due to failing to properly account for the default round-towards-even
// rounding mode of the X86. Thus, my implementation incorporates some
// rounding correction that undoes the rounding that the FPU performs during
// denormalization of the floating point value. Note that the rounding affect
// I'm talking about here is not the effect on the fistp instruction, but
// rather the effect that occurs during the denormalization of a value that
// occurs when adding it to a much larger value. The bits must be shifted to
// the right, and when a "1" bit falls off the edge, the rounding mode
// determines what happens next, in order to avoid completely "losing" the
// 1-bit. Furthermore, my implementation works on Linux, where the default
// precision mode is 64-bit extended precision.
//
//To create an instance of class vtkFastNumericConversion, simply
//invoke its constructor as follows
//@[
//  obj = vtkFastNumericConversion
//@]
//@@Methods
//The class vtkFastNumericConversion has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFastNumericConversion class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFastNumericConversion = obj.NewInstance ()|
// \item @|vtkFastNumericConversion = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.TestQuickFloor (double val)| -  Wrappable method for script-testing of correct cross-platform
// functionality
//// \item @|int = obj.TestSafeFloor (double val)| -  Wrappable method for script-testing of correct cross-platform
// functionality
//// \item @|int = obj.TestRound (double val)| -  Wrappable method for script-testing of correct cross-platform
// functionality
//// \item @|int = obj.TestConvertFixedPointIntPart (double val)| -  Wrappable method for script-testing of correct cross-platform
// functionality
//// \item @|int = obj.TestConvertFixedPointFracPart (double val)| -  Wrappable method for script-testing of correct cross-platform
// functionality
//// \item @|obj.SetReservedFracBits (int bits)| -  Set the number of bits reserved for fractional precision that are
// maintained as part of the flooring process. This number affects the
// flooring arithmetic. It may be useful if the factional part is to be
// used to index into a lookup table of some sort. However, if you are only
// interested in knowing the fractional remainder after flooring, there
// doesn't appear to be any advantage to using these bits, either in terms
// of a lookup table, or by directly multiplying by some unit fraction,
// over simply subtracting the floored value from the original value. Note
// that since only 32 bits are used for the entire fixed point
// representation, increasing the number of reserved fractional bits
// reduces the range of integer values that can be floored to.
// Add one to the requested number of fractional bits, to make
// the conversion safe with respect to rounding mode. This is the
// same as the difference between QuickFloor and SafeFloor.
//// \item @|obj.PerformanceTests (void )| -  Conduct timing tests so that the usefulness of this class can be
// ascertained on whatever platform it is being used. Output can be
// retrieved via Print method.
////\end{itemize}
//!
