#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFileOutputWindow object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFileOutputWindow.h"

//@@Signature
//sfunction @vtkFileOutputWindow:vtkFileOutputWindow vtkFileOutputWindowConstructorFunction
//input a
//output p
//@@Parents vtkFileOutputWindow vtkOutputWindow 
ArrayVector vtkFileOutputWindowConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFileOutputWindow::New(),"vtkFileOutputWindow",eval);
  } else if (arg[0].className() == "vtkFileOutputWindow") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFileOutputWindow"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFileOutputWindow");
    vtkFileOutputWindow*q = reinterpret_cast<vtkFileOutputWindow*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFileOutputWindow");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFileOutputWindow:GetClassName vtkFileOutputWindowGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFileOutputWindowGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFileOutputWindow requires 1 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:IsA vtkFileOutputWindowIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFileOutputWindowIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFileOutputWindow requires 2 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:NewInstance vtkFileOutputWindowNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFileOutputWindowNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFileOutputWindow *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFileOutputWindow requires 1 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  vtkFileOutputWindow  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFileOutputWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:SafeDownCast vtkFileOutputWindowSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFileOutputWindowSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFileOutputWindow *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFileOutputWindow requires 2 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFileOutputWindow  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFileOutputWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:DisplayText vtkFileOutputWindowDisplayTextFunction
//input a0 a1 
//output none
ArrayVector vtkFileOutputWindowDisplayTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayText for class vtkFileOutputWindow requires 2 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:SetFileName vtkFileOutputWindowSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkFileOutputWindowSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkFileOutputWindow requires 2 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:GetFileName vtkFileOutputWindowGetFileNameFunction
//input a0 
//output y
ArrayVector vtkFileOutputWindowGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkFileOutputWindow requires 1 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:SetFlush vtkFileOutputWindowSetFlushFunction
//input a0 a1 
//output none
ArrayVector vtkFileOutputWindowSetFlushFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlush (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFlush for class vtkFileOutputWindow requires 2 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFlush(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:GetFlush vtkFileOutputWindowGetFlushFunction
//input a0 
//output y
ArrayVector vtkFileOutputWindowGetFlushFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlush (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlush for class vtkFileOutputWindow requires 1 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlush();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:FlushOn vtkFileOutputWindowFlushOnFunction
//input a0 
//output none
ArrayVector vtkFileOutputWindowFlushOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlushOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FlushOn for class vtkFileOutputWindow requires 1 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  vtk_pointer->FlushOn();
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:FlushOff vtkFileOutputWindowFlushOffFunction
//input a0 
//output none
ArrayVector vtkFileOutputWindowFlushOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlushOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FlushOff for class vtkFileOutputWindow requires 1 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  vtk_pointer->FlushOff();
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:SetAppend vtkFileOutputWindowSetAppendFunction
//input a0 a1 
//output none
ArrayVector vtkFileOutputWindowSetAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAppend (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAppend for class vtkFileOutputWindow requires 2 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAppend(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:GetAppend vtkFileOutputWindowGetAppendFunction
//input a0 
//output y
ArrayVector vtkFileOutputWindowGetAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAppend (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAppend for class vtkFileOutputWindow requires 1 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAppend();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:AppendOn vtkFileOutputWindowAppendOnFunction
//input a0 
//output none
ArrayVector vtkFileOutputWindowAppendOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AppendOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AppendOn for class vtkFileOutputWindow requires 1 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  vtk_pointer->AppendOn();
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:AppendOff vtkFileOutputWindowAppendOffFunction
//input a0 
//output none
ArrayVector vtkFileOutputWindowAppendOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AppendOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AppendOff for class vtkFileOutputWindow requires 1 argument(s)");
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  Array retval;
  vtk_pointer->AppendOff();
  return retval;
}

//@@Signature
//sfunction @vtkFileOutputWindow:display vtkFileOutputWindowDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFileOutputWindowDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFileOutputWindow* vtk_pointer = GetVTKPointer<vtkFileOutputWindow>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFileOutputWindow:delete vtkFileOutputWindowDeleteFunction
//input varargin
//output none
ArrayVector vtkFileOutputWindowDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFileOutputWindow
//@@Section VTKCommon
//@@Usage
// Writes debug/warning/error output to a log file instead of the console.
// To use this class, instantiate it and then call SetInstance(this).
// 
//
//To create an instance of class vtkFileOutputWindow, simply
//invoke its constructor as follows
//@[
//  obj = vtkFileOutputWindow
//@]
//@@Methods
//The class vtkFileOutputWindow has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFileOutputWindow class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFileOutputWindow = obj.NewInstance ()|
// \item @|vtkFileOutputWindow = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DisplayText (string )| -  Put the text into the log file.
// New lines are converted to carriage return new lines.
//// \item @|obj.SetFileName (string )| -  Sets the name for the log file.
//// \item @|string = obj.GetFileName ()| -  Sets the name for the log file.
//// \item @|obj.SetFlush (int )| -  Turns on buffer flushing for the output 
// to the log file.
//// \item @|int = obj.GetFlush ()| -  Turns on buffer flushing for the output 
// to the log file.
//// \item @|obj.FlushOn ()| -  Turns on buffer flushing for the output 
// to the log file.
//// \item @|obj.FlushOff ()| -  Turns on buffer flushing for the output 
// to the log file.
//// \item @|obj.SetAppend (int )| -  Setting append will cause the log file to be
// opened in append mode.  Otherwise, if the log file exists,
// it will be overwritten each time the vtkFileOutputWindow
// is created.
//// \item @|int = obj.GetAppend ()| -  Setting append will cause the log file to be
// opened in append mode.  Otherwise, if the log file exists,
// it will be overwritten each time the vtkFileOutputWindow
// is created.
//// \item @|obj.AppendOn ()| -  Setting append will cause the log file to be
// opened in append mode.  Otherwise, if the log file exists,
// it will be overwritten each time the vtkFileOutputWindow
// is created.
//// \item @|obj.AppendOff ()| -  Setting append will cause the log file to be
// opened in append mode.  Otherwise, if the log file exists,
// it will be overwritten each time the vtkFileOutputWindow
// is created.
////\end{itemize}
//!
