#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFloatArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFloatArray.h"

//@@Signature
//sfunction @vtkFloatArray:vtkFloatArray vtkFloatArrayConstructorFunction
//input a
//output p
//@@Parents vtkFloatArray vtkDataArray 
ArrayVector vtkFloatArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFloatArray::New(),"vtkFloatArray",eval);
  } else if (arg[0].className() == "vtkFloatArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFloatArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFloatArray");
    vtkFloatArray*q = reinterpret_cast<vtkFloatArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFloatArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFloatArray:GetClassName vtkFloatArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFloatArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFloatArray requires 1 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:IsA vtkFloatArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFloatArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFloatArray requires 2 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:NewInstance vtkFloatArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFloatArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFloatArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFloatArray requires 1 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  vtkFloatArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFloatArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:SafeDownCast vtkFloatArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFloatArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFloatArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFloatArray requires 2 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFloatArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFloatArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:GetDataType vtkFloatArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkFloatArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType ();return VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkFloatArray requires 1 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:GetTupleValue vtkFloatArrayGetTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkFloatArrayGetTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTupleValue (vtkIdType i, float *tuple);this RealSuperclass GetTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function GetTupleValue for class vtkFloatArray requires 3 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  vtk_pointer->GetTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:SetTupleValue vtkFloatArraySetTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkFloatArraySetTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTupleValue (vtkIdType i, const float *tuple);this RealSuperclass SetTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function SetTupleValue for class vtkFloatArray requires 3 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  vtk_pointer->SetTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:InsertTupleValue vtkFloatArrayInsertTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkFloatArrayInsertTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTupleValue (vtkIdType i, const float *tuple);this RealSuperclass InsertTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function InsertTupleValue for class vtkFloatArray requires 3 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  vtk_pointer->InsertTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:InsertNextTupleValue vtkFloatArrayInsertNextTupleValueFunction
//input a0 a1 
//output y
ArrayVector vtkFloatArrayInsertNextTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextTupleValue (const float *tuple);return this RealSuperclass InsertNextTupleValue tuple  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextTupleValue for class vtkFloatArray requires 2 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->InsertNextTupleValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:GetValue vtkFloatArrayGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkFloatArrayGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetValue (vtkIdType id);return this RealSuperclass GetValue id  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkFloatArray requires 2 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:SetValue vtkFloatArraySetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkFloatArraySetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (vtkIdType id, float value);this RealSuperclass SetValue id value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkFloatArray requires 3 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float    temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:SetNumberOfValues vtkFloatArraySetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkFloatArraySetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkFloatArray requires 2 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:InsertValue vtkFloatArrayInsertValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkFloatArrayInsertValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertValue (vtkIdType id, float f);this RealSuperclass InsertValue id f  */
  if (arg.size() < 3) 
    throw Exception("Function InsertValue for class vtkFloatArray requires 3 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float    temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->InsertValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:InsertNextValue vtkFloatArrayInsertNextValueFunction
//input a0 a1 
//output y
ArrayVector vtkFloatArrayInsertNextValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextValue (float f);return this RealSuperclass InsertNextValue f  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextValue for class vtkFloatArray requires 2 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  float    temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:SetArray__1 vtkFloatArraySetArray__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFloatArraySetArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArray (float *array, vtkIdType size, int save);this RealSuperclass SetArray array size save  */
  if (arg.size() < 4) 
    throw Exception("Function SetArray__1 for class vtkFloatArray requires 4 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp1;
  int      temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetArray(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:SetArray__2 vtkFloatArraySetArray__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkFloatArraySetArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArray (float *array, vtkIdType size, int save, int deleteMethod);this RealSuperclass SetArray array size save deleteMethod  */
  if (arg.size() < 5) 
    throw Exception("Function SetArray__2 for class vtkFloatArray requires 5 argument(s)");
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetArray(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkFloatArray:SetArray vtkFloatArraySetArrayFunction
//input varargin
//output varargout
ArrayVector vtkFloatArraySetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkFloatArraySetArray__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkFloatArraySetArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFloatArraySetArray");
}

//@@Signature
//sfunction @vtkFloatArray:display vtkFloatArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFloatArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFloatArray* vtk_pointer = GetVTKPointer<vtkFloatArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFloatArray:delete vtkFloatArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkFloatArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFloatArray
//@@Section VTKCommon
//@@Usage
// vtkFloatArray is an array of values of type float.  It provides
// methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkFloatArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkFloatArray
//@]
//@@Methods
//The class vtkFloatArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFloatArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFloatArray = obj.NewInstance ()|
// \item @|vtkFloatArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataType ()| -  Copy the tuple value into a user-provided array.
//// \item @|obj.GetTupleValue (vtkIdType i, float tuple)| -  Set the tuple value at the ith location in the array.
//// \item @|obj.SetTupleValue (vtkIdType i, float tuple)| -  Insert (memory allocation performed) the tuple into the ith location
// in the array.
//// \item @|obj.InsertTupleValue (vtkIdType i, float tuple)| -  Insert (memory allocation performed) the tuple onto the end of the array.
//// \item @|vtkIdType = obj.InsertNextTupleValue (float tuple)| -  Get the data at a particular index.
//// \item @|float = obj.GetValue (vtkIdType id)| -  Set the data at a particular index. Does not do range checking. Make sure
// you use the method SetNumberOfValues() before inserting data.
//// \item @|obj.SetValue (vtkIdType id, float value)| -  Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Insert data at a specified position in the array.
//// \item @|obj.InsertValue (vtkIdType id, float f)| -  Insert data at the end of the array. Return its location in the array.
//// \item @|vtkIdType = obj.InsertNextValue (float f)| -  Get the address of a particular data index. Make sure data is allocated
// for the number of items requested. Set MaxId according to the number of
// data values requested.
//// \item @|obj.SetArray (float array, vtkIdType size, int save)| -  This method lets the user specify data to be held by the array.  The
// array argument is a pointer to the data.  size is the size of
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data
// from the suppled array. 
//// \item @|obj.SetArray (float array, vtkIdType size, int save, int deleteMethod)|
//\end{itemize}
//!
