#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFunctionParser object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFunctionParser.h"

//@@Signature
//sfunction @vtkFunctionParser:vtkFunctionParser vtkFunctionParserConstructorFunction
//input a
//output p
//@@Parents vtkFunctionParser vtkObject 
ArrayVector vtkFunctionParserConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFunctionParser::New(),"vtkFunctionParser",eval);
  } else if (arg[0].className() == "vtkFunctionParser") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFunctionParser"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFunctionParser");
    vtkFunctionParser*q = reinterpret_cast<vtkFunctionParser*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFunctionParser");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFunctionParser:GetClassName vtkFunctionParserGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFunctionParserGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:IsA vtkFunctionParserIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFunctionParserIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:NewInstance vtkFunctionParserNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFunctionParserNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFunctionParser *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  vtkFunctionParser  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFunctionParser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:SafeDownCast vtkFunctionParserSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFunctionParserSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFunctionParser *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFunctionParser  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFunctionParser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:SetFunction vtkFunctionParserSetFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkFunctionParserSetFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFunction (const char *function); */
  if (arg.size() < 2) 
    throw Exception("Function SetFunction for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetFunction vtkFunctionParserGetFunctionFunction
//input a0 
//output y
ArrayVector vtkFunctionParserGetFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFunction for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFunction();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:IsScalarResult vtkFunctionParserIsScalarResultFunction
//input a0 
//output y
ArrayVector vtkFunctionParserIsScalarResultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsScalarResult (); */
  if (arg.size() < 1) 
    throw Exception("Function IsScalarResult for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsScalarResult();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:IsVectorResult vtkFunctionParserIsVectorResultFunction
//input a0 
//output y
ArrayVector vtkFunctionParserIsVectorResultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsVectorResult (); */
  if (arg.size() < 1) 
    throw Exception("Function IsVectorResult for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsVectorResult();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetScalarResult vtkFunctionParserGetScalarResultFunction
//input a0 
//output y
ArrayVector vtkFunctionParserGetScalarResultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScalarResult (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarResult for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScalarResult();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetVectorResult__1 vtkFunctionParserGetVectorResult__1Function
//input a0 
//output y
ArrayVector vtkFunctionParserGetVectorResult__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetVectorResult (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorResult__1 for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetVectorResult();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetVectorResult__2 vtkFunctionParserGetVectorResult__2Function
//input a0 a1 
//output none
ArrayVector vtkFunctionParserGetVectorResult__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetVectorResult (double result[3]);double r this GetVectorResult result r result r result r  */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorResult__2 for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetVectorResult(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:SetScalarVariableValue__1 vtkFunctionParserSetScalarVariableValue__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkFunctionParserSetScalarVariableValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarVariableValue (const char *variableName, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarVariableValue__1 for class vtkFunctionParser requires 3 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetScalarVariableValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:SetScalarVariableValue__2 vtkFunctionParserSetScalarVariableValue__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkFunctionParserSetScalarVariableValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarVariableValue (int i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarVariableValue__2 for class vtkFunctionParser requires 3 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetScalarVariableValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetScalarVariableValue__1 vtkFunctionParserGetScalarVariableValue__1Function
//input a0 a1 
//output y
ArrayVector vtkFunctionParserGetScalarVariableValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScalarVariableValue (const char *variableName); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarVariableValue__1 for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetScalarVariableValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetScalarVariableValue__2 vtkFunctionParserGetScalarVariableValue__2Function
//input a0 a1 
//output y
ArrayVector vtkFunctionParserGetScalarVariableValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScalarVariableValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarVariableValue__2 for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarVariableValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:SetVectorVariableValue__1 vtkFunctionParserSetVectorVariableValue__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkFunctionParserSetVectorVariableValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorVariableValue (const char *variableName, double xValue, double yValue, double zValue); */
  if (arg.size() < 5) 
    throw Exception("Function SetVectorVariableValue__1 for class vtkFunctionParser requires 5 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetVectorVariableValue(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:SetVectorVariableValue__2 vtkFunctionParserSetVectorVariableValue__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkFunctionParserSetVectorVariableValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorVariableValue (const char *variableName, const double values[3]);this SetVectorVariableValue variableName values values values  */
  if (arg.size() < 3) 
    throw Exception("Function SetVectorVariableValue__2 for class vtkFunctionParser requires 3 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  char    *temp0;
  double temp1[3];
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetVectorVariableValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:SetVectorVariableValue__3 vtkFunctionParserSetVectorVariableValue__3Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkFunctionParserSetVectorVariableValue__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorVariableValue (int i, double xValue, double yValue, double zValue); */
  if (arg.size() < 5) 
    throw Exception("Function SetVectorVariableValue__3 for class vtkFunctionParser requires 5 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetVectorVariableValue(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:SetVectorVariableValue__4 vtkFunctionParserSetVectorVariableValue__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkFunctionParserSetVectorVariableValue__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorVariableValue (int i, const double values[3]);this SetVectorVariableValue i values values values  */
  if (arg.size() < 3) 
    throw Exception("Function SetVectorVariableValue__4 for class vtkFunctionParser requires 3 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetVectorVariableValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetVectorVariableValue__1 vtkFunctionParserGetVectorVariableValue__1Function
//input a0 a1 
//output y
ArrayVector vtkFunctionParserGetVectorVariableValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetVectorVariableValue (const char *variableName); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorVariableValue__1 for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  char    *temp0;
  double  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetVectorVariableValue(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetVectorVariableValue__2 vtkFunctionParserGetVectorVariableValue__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkFunctionParserGetVectorVariableValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetVectorVariableValue (const char *variableName, double value[3]);double r this GetVectorVariableValue variableName value r value r value r  */
  if (arg.size() < 3) 
    throw Exception("Function GetVectorVariableValue__2 for class vtkFunctionParser requires 3 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  char    *temp0;
  double temp1[3];
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetVectorVariableValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetVectorVariableValue__3 vtkFunctionParserGetVectorVariableValue__3Function
//input a0 a1 
//output y
ArrayVector vtkFunctionParserGetVectorVariableValue__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetVectorVariableValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorVariableValue__3 for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVectorVariableValue(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetVectorVariableValue__4 vtkFunctionParserGetVectorVariableValue__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkFunctionParserGetVectorVariableValue__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetVectorVariableValue (int i, double value[3]);double r this GetVectorVariableValue i value r value r value r  */
  if (arg.size() < 3) 
    throw Exception("Function GetVectorVariableValue__4 for class vtkFunctionParser requires 3 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetVectorVariableValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetNumberOfScalarVariables vtkFunctionParserGetNumberOfScalarVariablesFunction
//input a0 
//output y
ArrayVector vtkFunctionParserGetNumberOfScalarVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfScalarVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfScalarVariables for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfScalarVariables();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetNumberOfVectorVariables vtkFunctionParserGetNumberOfVectorVariablesFunction
//input a0 
//output y
ArrayVector vtkFunctionParserGetNumberOfVectorVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVectorVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVectorVariables for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVectorVariables();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetScalarVariableName vtkFunctionParserGetScalarVariableNameFunction
//input a0 a1 
//output y
ArrayVector vtkFunctionParserGetScalarVariableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalarVariableName (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarVariableName for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarVariableName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetVectorVariableName vtkFunctionParserGetVectorVariableNameFunction
//input a0 a1 
//output y
ArrayVector vtkFunctionParserGetVectorVariableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVectorVariableName (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorVariableName for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVectorVariableName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:RemoveAllVariables vtkFunctionParserRemoveAllVariablesFunction
//input a0 
//output none
ArrayVector vtkFunctionParserRemoveAllVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllVariables for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllVariables();
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:RemoveScalarVariables vtkFunctionParserRemoveScalarVariablesFunction
//input a0 
//output none
ArrayVector vtkFunctionParserRemoveScalarVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveScalarVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveScalarVariables for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  vtk_pointer->RemoveScalarVariables();
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:RemoveVectorVariables vtkFunctionParserRemoveVectorVariablesFunction
//input a0 
//output none
ArrayVector vtkFunctionParserRemoveVectorVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveVectorVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveVectorVariables for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  vtk_pointer->RemoveVectorVariables();
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:SetReplaceInvalidValues vtkFunctionParserSetReplaceInvalidValuesFunction
//input a0 a1 
//output none
ArrayVector vtkFunctionParserSetReplaceInvalidValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReplaceInvalidValues (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReplaceInvalidValues for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReplaceInvalidValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetReplaceInvalidValues vtkFunctionParserGetReplaceInvalidValuesFunction
//input a0 
//output y
ArrayVector vtkFunctionParserGetReplaceInvalidValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReplaceInvalidValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReplaceInvalidValues for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReplaceInvalidValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:ReplaceInvalidValuesOn vtkFunctionParserReplaceInvalidValuesOnFunction
//input a0 
//output none
ArrayVector vtkFunctionParserReplaceInvalidValuesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceInvalidValuesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReplaceInvalidValuesOn for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  vtk_pointer->ReplaceInvalidValuesOn();
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:ReplaceInvalidValuesOff vtkFunctionParserReplaceInvalidValuesOffFunction
//input a0 
//output none
ArrayVector vtkFunctionParserReplaceInvalidValuesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceInvalidValuesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReplaceInvalidValuesOff for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  vtk_pointer->ReplaceInvalidValuesOff();
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:SetReplacementValue vtkFunctionParserSetReplacementValueFunction
//input a0 a1 
//output none
ArrayVector vtkFunctionParserSetReplacementValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReplacementValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReplacementValue for class vtkFunctionParser requires 2 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetReplacementValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetReplacementValue vtkFunctionParserGetReplacementValueFunction
//input a0 
//output y
ArrayVector vtkFunctionParserGetReplacementValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetReplacementValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReplacementValue for class vtkFunctionParser requires 1 argument(s)");
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetReplacementValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionParser:GetVectorResult vtkFunctionParserGetVectorResultFunction
//input varargin
//output varargout
ArrayVector vtkFunctionParserGetVectorResultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkFunctionParserGetVectorResult__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFunctionParserGetVectorResult__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFunctionParserGetVectorResult");
}

//@@Signature
//sfunction @vtkFunctionParser:SetScalarVariableValue vtkFunctionParserSetScalarVariableValueFunction
//input varargin
//output varargout
ArrayVector vtkFunctionParserSetScalarVariableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkFunctionParserSetScalarVariableValue__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkFunctionParserSetScalarVariableValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFunctionParserSetScalarVariableValue");
}

//@@Signature
//sfunction @vtkFunctionParser:GetScalarVariableValue vtkFunctionParserGetScalarVariableValueFunction
//input varargin
//output varargout
ArrayVector vtkFunctionParserGetScalarVariableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkFunctionParserGetScalarVariableValue__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkFunctionParserGetScalarVariableValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFunctionParserGetScalarVariableValue");
}

//@@Signature
//sfunction @vtkFunctionParser:SetVectorVariableValue vtkFunctionParserSetVectorVariableValueFunction
//input varargin
//output varargout
ArrayVector vtkFunctionParserSetVectorVariableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkFunctionParserSetVectorVariableValue__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[2]))
    return vtkFunctionParserSetVectorVariableValue__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkFunctionParserSetVectorVariableValue__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkFunctionParserSetVectorVariableValue__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFunctionParserSetVectorVariableValue");
}

//@@Signature
//sfunction @vtkFunctionParser:GetVectorVariableValue vtkFunctionParserGetVectorVariableValueFunction
//input varargin
//output varargout
ArrayVector vtkFunctionParserGetVectorVariableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkFunctionParserGetVectorVariableValue__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[2]))
    return vtkFunctionParserGetVectorVariableValue__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkFunctionParserGetVectorVariableValue__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkFunctionParserGetVectorVariableValue__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFunctionParserGetVectorVariableValue");
}

//@@Signature
//sfunction @vtkFunctionParser:display vtkFunctionParserDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFunctionParserDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFunctionParser* vtk_pointer = GetVTKPointer<vtkFunctionParser>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFunctionParser:delete vtkFunctionParserDeleteFunction
//input varargin
//output none
ArrayVector vtkFunctionParserDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFunctionParser
//@@Section VTKCommon
//@@Usage
// vtkFunctionParser is a class that takes in a mathematical expression as
// a char string, parses it, and evaluates it at the specified values of
// the variables in the input string.
//
// You can use the "if" operator to create conditional expressions
// such as if ( test, trueresult, falseresult). These evaluate the boolean
// valued test expression and then evaluate either the trueresult or the 
// falseresult expression to produce a final (scalar or vector valued) value.
// "test" may contain <,>,=,|,&, and () and all three subexpressions can
// evaluate arbitrary function operators (ln, cos, +, if, etc)
//
// .SECTION Thanks
// Thomas Dunne (thomas.dunne@iwr.uni-heidelberg.de) for adding code for
// two-parameter-parsing and a few functions (sign, min, max).
//
// Sid Sydoriak (sxs@lanl.gov) for adding boolean operations and
// conditional expressions and for fixing a variety of bugs.
//
//To create an instance of class vtkFunctionParser, simply
//invoke its constructor as follows
//@[
//  obj = vtkFunctionParser
//@]
//@@Methods
//The class vtkFunctionParser has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFunctionParser class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFunctionParser = obj.NewInstance ()|
// \item @|vtkFunctionParser = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFunction (string function)|
// \item @|string = obj.GetFunction ()|
// \item @|int = obj.IsScalarResult ()| -  Check whether the result is a scalar result.  If it isn't, then
// either the result is a vector or an error has occurred.
//// \item @|int = obj.IsVectorResult ()| -  Check whether the result is a vector result.  If it isn't, then
// either the result is scalar or an error has occurred.
//// \item @|double = obj.GetScalarResult ()| -  Get a scalar result from evaluating the input function.
//// \item @|double = obj.GetVectorResult ()| -  Get a vector result from evaluating the input function.
//// \item @|obj.GetVectorResult (double result[3])| -  Get a vector result from evaluating the input function.
//// \item @|obj.SetScalarVariableValue (string variableName, double value)| -  Set the value of a scalar variable.  If a variable with this name
// exists, then its value will be set to the new value.  If there is not
// already a variable with this name, variableName will be added to the
// list of variables, and its value will be set to the new value.
//// \item @|obj.SetScalarVariableValue (int i, double value)| -  Set the value of a scalar variable.  If a variable with this name
// exists, then its value will be set to the new value.  If there is not
// already a variable with this name, variableName will be added to the
// list of variables, and its value will be set to the new value.
//// \item @|double = obj.GetScalarVariableValue (string variableName)| -  Get the value of a scalar variable.
//// \item @|double = obj.GetScalarVariableValue (int i)| -  Get the value of a scalar variable.
//// \item @|obj.SetVectorVariableValue (string variableName, double xValue, double yValue, double zValue)| -  Set the value of a vector variable.  If a variable with this name
// exists, then its value will be set to the new value.  If there is not
// already a variable with this name, variableName will be added to the
// list of variables, and its value will be set to the new value.
//// \item @|obj.SetVectorVariableValue (string variableName, double values[3])| -  Set the value of a vector variable.  If a variable with this name
// exists, then its value will be set to the new value.  If there is not
// already a variable with this name, variableName will be added to the
// list of variables, and its value will be set to the new value.
//// \item @|obj.SetVectorVariableValue (int i, double xValue, double yValue, double zValue)| -  Set the value of a vector variable.  If a variable with this name
// exists, then its value will be set to the new value.  If there is not
// already a variable with this name, variableName will be added to the
// list of variables, and its value will be set to the new value.
//// \item @|obj.SetVectorVariableValue (int i, double values[3])| -  Set the value of a vector variable.  If a variable with this name
// exists, then its value will be set to the new value.  If there is not
// already a variable with this name, variableName will be added to the
// list of variables, and its value will be set to the new value.
//// \item @|double = obj.GetVectorVariableValue (string variableName)| -  Get the value of a vector variable.
//// \item @|obj.GetVectorVariableValue (string variableName, double value[3])| -  Get the value of a vector variable.
//// \item @|double = obj.GetVectorVariableValue (int i)| -  Get the value of a vector variable.
//// \item @|obj.GetVectorVariableValue (int i, double value[3])| -  Get the value of a vector variable.
//// \item @|int = obj.GetNumberOfScalarVariables ()| -  Get the number of scalar variables.
//// \item @|int = obj.GetNumberOfVectorVariables ()| -  Get the number of vector variables.
//// \item @|string = obj.GetScalarVariableName (int i)| -  Get the ith scalar variable name.
//// \item @|string = obj.GetVectorVariableName (int i)| -  Get the ith vector variable name.
//// \item @|obj.RemoveAllVariables ()| -  Remove all the current variables.
//// \item @|obj.RemoveScalarVariables ()| -  Remove all the scalar variables.
//// \item @|obj.RemoveVectorVariables ()| -  Remove all the vector variables.
//// \item @|obj.SetReplaceInvalidValues (int )| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
//// \item @|int = obj.GetReplaceInvalidValues ()| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
//// \item @|obj.ReplaceInvalidValuesOn ()| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
//// \item @|obj.ReplaceInvalidValuesOff ()| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
//// \item @|obj.SetReplacementValue (double )| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
//// \item @|double = obj.GetReplacementValue ()| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
////\end{itemize}
//!
