#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFunctionSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFunctionSet.h"

//@@Signature
//sfunction @vtkFunctionSet:vtkFunctionSet vtkFunctionSetConstructorFunction
//input a
//output p
//@@Parents vtkFunctionSet vtkObject 
ArrayVector vtkFunctionSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFunctionSet::New(),"vtkFunctionSet",eval);
  } else if (arg[0].className() == "vtkFunctionSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFunctionSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFunctionSet");
    vtkFunctionSet*q = reinterpret_cast<vtkFunctionSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFunctionSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFunctionSet:GetClassName vtkFunctionSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFunctionSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFunctionSet requires 1 argument(s)");
  vtkFunctionSet* vtk_pointer = GetVTKPointer<vtkFunctionSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionSet:IsA vtkFunctionSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFunctionSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFunctionSet requires 2 argument(s)");
  vtkFunctionSet* vtk_pointer = GetVTKPointer<vtkFunctionSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionSet:NewInstance vtkFunctionSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFunctionSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFunctionSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFunctionSet requires 1 argument(s)");
  vtkFunctionSet* vtk_pointer = GetVTKPointer<vtkFunctionSet>(arg[0]);
  Array retval;
  vtkFunctionSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFunctionSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionSet:SafeDownCast vtkFunctionSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFunctionSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFunctionSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFunctionSet requires 2 argument(s)");
  vtkFunctionSet* vtk_pointer = GetVTKPointer<vtkFunctionSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFunctionSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFunctionSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFunctionSet:FunctionValues vtkFunctionSetFunctionValuesFunction
//input a0 a1 a2 
//output y
ArrayVector vtkFunctionSetFunctionValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int FunctionValues (double *x, double *f) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function FunctionValues for class vtkFunctionSet requires 3 argument(s)");
  vtkFunctionSet* vtk_pointer = GetVTKPointer<vtkFunctionSet>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FunctionValues(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionSet:GetNumberOfFunctions vtkFunctionSetGetNumberOfFunctionsFunction
//input a0 
//output y
ArrayVector vtkFunctionSetGetNumberOfFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfFunctions ();return this NumFuncs  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFunctions for class vtkFunctionSet requires 1 argument(s)");
  vtkFunctionSet* vtk_pointer = GetVTKPointer<vtkFunctionSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFunctions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionSet:GetNumberOfIndependentVariables vtkFunctionSetGetNumberOfIndependentVariablesFunction
//input a0 
//output y
ArrayVector vtkFunctionSetGetNumberOfIndependentVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfIndependentVariables ();return this NumIndepVars  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIndependentVariables for class vtkFunctionSet requires 1 argument(s)");
  vtkFunctionSet* vtk_pointer = GetVTKPointer<vtkFunctionSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfIndependentVariables();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFunctionSet:display vtkFunctionSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFunctionSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFunctionSet* vtk_pointer = GetVTKPointer<vtkFunctionSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFunctionSet:delete vtkFunctionSetDeleteFunction
//input varargin
//output none
ArrayVector vtkFunctionSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFunctionSet
//@@Section VTKCommon
//@@Usage
// vtkFunctionSet specifies an abstract interface for set of functions
// of the form F_i = F_i(x_j) where F (with i=1..m) are the functions
// and x (with j=1..n) are the independent variables.
// The only supported operation is the  function evaluation at x_j.
//
//To create an instance of class vtkFunctionSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkFunctionSet
//@]
//@@Methods
//The class vtkFunctionSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFunctionSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFunctionSet = obj.NewInstance ()|
// \item @|vtkFunctionSet = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.FunctionValues (double x, double f)| -  Evaluate functions at x_j.
// x and f have to point to valid double arrays of appropriate 
// sizes obtained with GetNumberOfFunctions() and
// GetNumberOfIndependentVariables.
//// \item @|int = obj.GetNumberOfFunctions ()| -  Return the number of independent variables. Note that this is 
// constant for a given type of set of functions and can not be changed  
// at run time.
//// \item @|int = obj.GetNumberOfIndependentVariables ()|
//\end{itemize}
//!
