#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGarbageCollector object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGarbageCollector.h"

//@@Signature
//sfunction @vtkGarbageCollector:vtkGarbageCollector vtkGarbageCollectorConstructorFunction
//input a
//output p
//@@Parents vtkGarbageCollector vtkObject 
ArrayVector vtkGarbageCollectorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGarbageCollector::New(),"vtkGarbageCollector",eval);
  } else if (arg[0].className() == "vtkGarbageCollector") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGarbageCollector"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGarbageCollector");
    vtkGarbageCollector*q = reinterpret_cast<vtkGarbageCollector*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGarbageCollector");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGarbageCollector:GetClassName vtkGarbageCollectorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGarbageCollectorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGarbageCollector requires 1 argument(s)");
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGarbageCollector:IsA vtkGarbageCollectorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGarbageCollectorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGarbageCollector requires 2 argument(s)");
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGarbageCollector:NewInstance vtkGarbageCollectorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGarbageCollectorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGarbageCollector *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGarbageCollector requires 1 argument(s)");
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  Array retval;
  vtkGarbageCollector  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGarbageCollector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGarbageCollector:SafeDownCast vtkGarbageCollectorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGarbageCollectorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGarbageCollector *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGarbageCollector requires 2 argument(s)");
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGarbageCollector  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGarbageCollector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGarbageCollector:Collect__1 vtkGarbageCollectorCollect__1Function
//input a0 
//output none
ArrayVector vtkGarbageCollectorCollect__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Collect (); */
  if (arg.size() < 1) 
    throw Exception("Function Collect__1 for class vtkGarbageCollector requires 1 argument(s)");
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  Array retval;
  vtk_pointer->Collect();
  return retval;
}

//@@Signature
//sfunction @vtkGarbageCollector:Collect__2 vtkGarbageCollectorCollect__2Function
//input a0 a1 
//output none
ArrayVector vtkGarbageCollectorCollect__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Collect (vtkObjectBase *root); */
  if (arg.size() < 2) 
    throw Exception("Function Collect__2 for class vtkGarbageCollector requires 2 argument(s)");
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Collect(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGarbageCollector:DeferredCollectionPush vtkGarbageCollectorDeferredCollectionPushFunction
//input a0 
//output none
ArrayVector vtkGarbageCollectorDeferredCollectionPushFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void DeferredCollectionPush (); */
  if (arg.size() < 1) 
    throw Exception("Function DeferredCollectionPush for class vtkGarbageCollector requires 1 argument(s)");
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  Array retval;
  vtk_pointer->DeferredCollectionPush();
  return retval;
}

//@@Signature
//sfunction @vtkGarbageCollector:DeferredCollectionPop vtkGarbageCollectorDeferredCollectionPopFunction
//input a0 
//output none
ArrayVector vtkGarbageCollectorDeferredCollectionPopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void DeferredCollectionPop (); */
  if (arg.size() < 1) 
    throw Exception("Function DeferredCollectionPop for class vtkGarbageCollector requires 1 argument(s)");
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  Array retval;
  vtk_pointer->DeferredCollectionPop();
  return retval;
}

//@@Signature
//sfunction @vtkGarbageCollector:SetGlobalDebugFlag vtkGarbageCollectorSetGlobalDebugFlagFunction
//input a0 a1 
//output none
ArrayVector vtkGarbageCollectorSetGlobalDebugFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetGlobalDebugFlag (int flag); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalDebugFlag for class vtkGarbageCollector requires 2 argument(s)");
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlobalDebugFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGarbageCollector:GetGlobalDebugFlag vtkGarbageCollectorGetGlobalDebugFlagFunction
//input a0 
//output y
ArrayVector vtkGarbageCollectorGetGlobalDebugFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalDebugFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalDebugFlag for class vtkGarbageCollector requires 1 argument(s)");
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlobalDebugFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGarbageCollector:Collect vtkGarbageCollectorCollectFunction
//input varargin
//output varargout
ArrayVector vtkGarbageCollectorCollectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkGarbageCollectorCollect__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkObjectBase"))
    return vtkGarbageCollectorCollect__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGarbageCollectorCollect");
}

//@@Signature
//sfunction @vtkGarbageCollector:display vtkGarbageCollectorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGarbageCollectorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGarbageCollector* vtk_pointer = GetVTKPointer<vtkGarbageCollector>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGarbageCollector:delete vtkGarbageCollectorDeleteFunction
//input varargin
//output none
ArrayVector vtkGarbageCollectorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGarbageCollector
//@@Section VTKCommon
//@@Usage
// vtkGarbageCollector is used by VTK classes that may be involved in
// reference counting loops (such as Algorithm <-> Executive).  It
// detects strongly connected components of the reference graph that
// have been leaked deletes them.  The garbage collector uses the
// ReportReferences method to search the reference graph and construct
// a net reference count for each connected component.  If the net
// reference count is zero the entire set of objects is deleted.
// Deleting each component may leak other components, which are then
// collected recursively.
//
// To enable garbage collection for a class, add these members:
//
// \begin{verbatim}
//
//  public:
//   virtual void Register(vtkObjectBase* o)
//     {
//     this->RegisterInternal(o, 1);
//     }
//   virtual void UnRegister(vtkObjectBase* o)
//     {
//     this->UnRegisterInternal(o, 1);
//     }
//
//  protected:
//
//   virtual void ReportReferences(vtkGarbageCollector* collector)
//     {
//     // Report references held by this object that may be in a loop.
//     this->Superclass::ReportReferences(collector);
//     vtkGarbageCollectorReport(collector, this->OtherObject, "Other Object");
//     }
// \end{verbatim}
//
// The implementations should be in the .cxx file in practice.
// It is important that the reference be reported using the real
// pointer or smart pointer instance that holds the reference.  When
// collecting the garbage collector will actually set this pointer to
// NULL.  The destructor of the class should be written to deal with
// this.  It is also expected that an invariant is maintained for any
// reference that is reported.  The variable holding the reference
// must always either be NULL or refer to a fully constructed valid
// object.  Therefore code like "this->Object->UnRegister(this)" must
// be avoided if "this->Object" is a reported reference because it
// is possible that the object is deleted before UnRegister returns
// but then "this->Object" will be left as a dangling pointer.  Instead
// use code like
//
// \begin{verbatim}
//   vtkObjectBase* obj = this->Object;
//   this->Object = 0;
//   obj->UnRegister(this);
// \end{verbatim}
//
// so that the reported reference maintains the invariant.
//
// If subclassing from a class that already supports garbage
// collection, one need only provide the ReportReferences method.
//
//To create an instance of class vtkGarbageCollector, simply
//invoke its constructor as follows
//@[
//  obj = vtkGarbageCollector
//@]
//@@Methods
//The class vtkGarbageCollector has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGarbageCollector class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGarbageCollector = obj.NewInstance ()|
// \item @|vtkGarbageCollector = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
