#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGaussianRandomSequence object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGaussianRandomSequence.h"

//@@Signature
//sfunction @vtkGaussianRandomSequence:vtkGaussianRandomSequence vtkGaussianRandomSequenceConstructorFunction
//input a
//output p
//@@Parents vtkGaussianRandomSequence vtkRandomSequence 
ArrayVector vtkGaussianRandomSequenceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGaussianRandomSequence::New(),"vtkGaussianRandomSequence",eval);
  } else if (arg[0].className() == "vtkGaussianRandomSequence") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGaussianRandomSequence"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGaussianRandomSequence");
    vtkGaussianRandomSequence*q = reinterpret_cast<vtkGaussianRandomSequence*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGaussianRandomSequence");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGaussianRandomSequence:GetClassName vtkGaussianRandomSequenceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGaussianRandomSequenceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGaussianRandomSequence requires 1 argument(s)");
  vtkGaussianRandomSequence* vtk_pointer = GetVTKPointer<vtkGaussianRandomSequence>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianRandomSequence:IsA vtkGaussianRandomSequenceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGaussianRandomSequenceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGaussianRandomSequence requires 2 argument(s)");
  vtkGaussianRandomSequence* vtk_pointer = GetVTKPointer<vtkGaussianRandomSequence>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianRandomSequence:NewInstance vtkGaussianRandomSequenceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGaussianRandomSequenceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGaussianRandomSequence *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGaussianRandomSequence requires 1 argument(s)");
  vtkGaussianRandomSequence* vtk_pointer = GetVTKPointer<vtkGaussianRandomSequence>(arg[0]);
  Array retval;
  vtkGaussianRandomSequence  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGaussianRandomSequence",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianRandomSequence:SafeDownCast vtkGaussianRandomSequenceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGaussianRandomSequenceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGaussianRandomSequence *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGaussianRandomSequence requires 2 argument(s)");
  vtkGaussianRandomSequence* vtk_pointer = GetVTKPointer<vtkGaussianRandomSequence>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGaussianRandomSequence  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGaussianRandomSequence",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianRandomSequence:GetScaledValue vtkGaussianRandomSequenceGetScaledValueFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGaussianRandomSequenceGetScaledValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetScaledValue (double mean, double standardDeviation); */
  if (arg.size() < 3) 
    throw Exception("Function GetScaledValue for class vtkGaussianRandomSequence requires 3 argument(s)");
  vtkGaussianRandomSequence* vtk_pointer = GetVTKPointer<vtkGaussianRandomSequence>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetScaledValue(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianRandomSequence:display vtkGaussianRandomSequenceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGaussianRandomSequenceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGaussianRandomSequence* vtk_pointer = GetVTKPointer<vtkGaussianRandomSequence>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGaussianRandomSequence:delete vtkGaussianRandomSequenceDeleteFunction
//input varargin
//output none
ArrayVector vtkGaussianRandomSequenceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGaussianRandomSequence
//@@Section VTKCommon
//@@Usage
// vtkGaussianRandomSequence is a sequence of pseudo random numbers
// distributed according to the Gaussian/normal distribution (mean=0 and
// standard deviation=1)
//
// This is just an interface.
//
//To create an instance of class vtkGaussianRandomSequence, simply
//invoke its constructor as follows
//@[
//  obj = vtkGaussianRandomSequence
//@]
//@@Methods
//The class vtkGaussianRandomSequence has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGaussianRandomSequence class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGaussianRandomSequence = obj.NewInstance ()|
// \item @|vtkGaussianRandomSequence = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.GetScaledValue (double mean, double standardDeviation)| -  Convenient method to return a value given the mean and standard deviation
// of the Gaussian distribution from the the Gaussian distribution of mean=0
// and standard deviation=1.0. There is an initial implementation that can
// be overridden by a subclass.
////\end{itemize}
//!
