#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeneralTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeneralTransform.h"

//@@Signature
//sfunction @vtkGeneralTransform:vtkGeneralTransform vtkGeneralTransformConstructorFunction
//input a
//output p
//@@Parents vtkGeneralTransform vtkAbstractTransform 
ArrayVector vtkGeneralTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeneralTransform::New(),"vtkGeneralTransform",eval);
  } else if (arg[0].className() == "vtkGeneralTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeneralTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeneralTransform");
    vtkGeneralTransform*q = reinterpret_cast<vtkGeneralTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeneralTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeneralTransform:GetClassName vtkGeneralTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeneralTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:IsA vtkGeneralTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeneralTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:NewInstance vtkGeneralTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeneralTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeneralTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtkGeneralTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeneralTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:SafeDownCast vtkGeneralTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeneralTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeneralTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeneralTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeneralTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Identity vtkGeneralTransformIdentityFunction
//input a0 
//output none
ArrayVector vtkGeneralTransformIdentityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Identity ();this Concatenation Identity this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Identity for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtk_pointer->Identity();
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Inverse vtkGeneralTransformInverseFunction
//input a0 
//output none
ArrayVector vtkGeneralTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Inverse ();this Concatenation Inverse this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Translate__1 vtkGeneralTransformTranslate__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGeneralTransformTranslate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (double x, double y, double z);this Concatenation Translate x y z  */
  if (arg.size() < 4) 
    throw Exception("Function Translate__1 for class vtkGeneralTransform requires 4 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->Translate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Translate__2 vtkGeneralTransformTranslate__2Function
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformTranslate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (const double x[3]);this Translate x x x  */
  if (arg.size() < 2) 
    throw Exception("Function Translate__2 for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Translate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Translate__3 vtkGeneralTransformTranslate__3Function
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformTranslate__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (const float x[3]);this Translate x x x  */
  if (arg.size() < 2) 
    throw Exception("Function Translate__3 for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->Translate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:RotateWXYZ__1 vtkGeneralTransformRotateWXYZ__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkGeneralTransformRotateWXYZ__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateWXYZ (double angle, double x, double y, double z);this Concatenation Rotate angle x y z  */
  if (arg.size() < 5) 
    throw Exception("Function RotateWXYZ__1 for class vtkGeneralTransform requires 5 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->RotateWXYZ(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:RotateWXYZ__2 vtkGeneralTransformRotateWXYZ__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeneralTransformRotateWXYZ__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateWXYZ (double angle, const double axis[3]);this RotateWXYZ angle axis axis axis  */
  if (arg.size() < 3) 
    throw Exception("Function RotateWXYZ__2 for class vtkGeneralTransform requires 3 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->RotateWXYZ(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:RotateWXYZ__3 vtkGeneralTransformRotateWXYZ__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeneralTransformRotateWXYZ__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateWXYZ (double angle, const float axis[3]);this RotateWXYZ angle axis axis axis  */
  if (arg.size() < 3) 
    throw Exception("Function RotateWXYZ__3 for class vtkGeneralTransform requires 3 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double   temp0;
  float  temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->RotateWXYZ(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:RotateX vtkGeneralTransformRotateXFunction
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformRotateXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateX (double angle);this RotateWXYZ angle  */
  if (arg.size() < 2) 
    throw Exception("Function RotateX for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateX(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:RotateY vtkGeneralTransformRotateYFunction
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformRotateYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateY (double angle);this RotateWXYZ angle  */
  if (arg.size() < 2) 
    throw Exception("Function RotateY for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateY(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:RotateZ vtkGeneralTransformRotateZFunction
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformRotateZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateZ (double angle);this RotateWXYZ angle  */
  if (arg.size() < 2) 
    throw Exception("Function RotateZ for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateZ(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Scale__1 vtkGeneralTransformScale__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGeneralTransformScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (double x, double y, double z);this Concatenation Scale x y z  */
  if (arg.size() < 4) 
    throw Exception("Function Scale__1 for class vtkGeneralTransform requires 4 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->Scale(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Scale__2 vtkGeneralTransformScale__2Function
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (const double s[3]);this Scale s s s  */
  if (arg.size() < 2) 
    throw Exception("Function Scale__2 for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Scale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Scale__3 vtkGeneralTransformScale__3Function
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformScale__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (const float s[3]);this Scale s s s  */
  if (arg.size() < 2) 
    throw Exception("Function Scale__3 for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->Scale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Concatenate__1 vtkGeneralTransformConcatenate__1Function
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformConcatenate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Concatenate (vtkMatrix4x4 *matrix);this Concatenate matrix Element  */
  if (arg.size() < 2) 
    throw Exception("Function Concatenate__1 for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->Concatenate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Concatenate__2 vtkGeneralTransformConcatenate__2Function
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformConcatenate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Concatenate (const double elements[16]);this Concatenation Concatenate elements  */
  if (arg.size() < 2) 
    throw Exception("Function Concatenate__2 for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double temp0[16];
  if ( !(arg[1].isVector() && arg[1].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Concatenate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Concatenate__3 vtkGeneralTransformConcatenate__3Function
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformConcatenate__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Concatenate (vtkAbstractTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function Concatenate__3 for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->Concatenate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:PreMultiply vtkGeneralTransformPreMultiplyFunction
//input a0 
//output none
ArrayVector vtkGeneralTransformPreMultiplyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function PreMultiply for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtk_pointer->PreMultiply();
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:PostMultiply vtkGeneralTransformPostMultiplyFunction
//input a0 
//output none
ArrayVector vtkGeneralTransformPostMultiplyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PostMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function PostMultiply for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtk_pointer->PostMultiply();
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:GetNumberOfConcatenatedTransforms vtkGeneralTransformGetNumberOfConcatenatedTransformsFunction
//input a0 
//output y
ArrayVector vtkGeneralTransformGetNumberOfConcatenatedTransformsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfConcatenatedTransforms ();return this Concatenation GetNumberOfTransforms this Input NULL  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfConcatenatedTransforms for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfConcatenatedTransforms();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:GetConcatenatedTransform vtkGeneralTransformGetConcatenatedTransformFunction
//input a0 a1 
//output y
ArrayVector vtkGeneralTransformGetConcatenatedTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetConcatenatedTransform (int i);if this Input NULL return this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms return this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms return this Concatenation GetTransform i else if this GetInverseFlag return this Input GetInverse else return this Input  */
  if (arg.size() < 2) 
    throw Exception("Function GetConcatenatedTransform for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  int      temp0;
  vtkAbstractTransform  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetConcatenatedTransform(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:SetInput vtkGeneralTransformSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkGeneralTransformSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkAbstractTransform *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:GetInput vtkGeneralTransformGetInputFunction
//input a0 
//output y
ArrayVector vtkGeneralTransformGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetInput ();return this Input  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:GetInverseFlag vtkGeneralTransformGetInverseFlagFunction
//input a0 
//output y
ArrayVector vtkGeneralTransformGetInverseFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInverseFlag ();return this Concatenation GetInverseFlag  */
  if (arg.size() < 1) 
    throw Exception("Function GetInverseFlag for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInverseFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Push vtkGeneralTransformPushFunction
//input a0 
//output none
ArrayVector vtkGeneralTransformPushFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Push ();if this Stack NULL this Stack vtkTransformConcatenationStack New this Stack Push this Concatenation this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Push for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtk_pointer->Push();
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Pop vtkGeneralTransformPopFunction
//input a0 
//output none
ArrayVector vtkGeneralTransformPopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Pop ();if this Stack NULL return this Stack Pop this Concatenation this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Pop for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtk_pointer->Pop();
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:InternalTransformPoint__1 vtkGeneralTransformInternalTransformPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeneralTransformInternalTransformPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformPoint (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__1 for class vtkGeneralTransform requires 3 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:InternalTransformPoint__2 vtkGeneralTransformInternalTransformPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeneralTransformInternalTransformPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformPoint (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__2 for class vtkGeneralTransform requires 3 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:CircuitCheck vtkGeneralTransformCircuitCheckFunction
//input a0 a1 
//output y
ArrayVector vtkGeneralTransformCircuitCheckFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CircuitCheck (vtkAbstractTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function CircuitCheck for class vtkGeneralTransform requires 2 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  temp20 = (vtk_pointer)->CircuitCheck(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:MakeTransform vtkGeneralTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkGeneralTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:GetMTime vtkGeneralTransformGetMTimeFunction
//input a0 
//output y
ArrayVector vtkGeneralTransformGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkGeneralTransform requires 1 argument(s)");
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeneralTransform:Translate vtkGeneralTransformTranslateFunction
//input varargin
//output varargout
ArrayVector vtkGeneralTransformTranslateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkGeneralTransformTranslate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeneralTransformTranslate__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeneralTransformTranslate__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeneralTransformTranslate");
}

//@@Signature
//sfunction @vtkGeneralTransform:RotateWXYZ vtkGeneralTransformRotateWXYZFunction
//input varargin
//output varargout
ArrayVector vtkGeneralTransformRotateWXYZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkGeneralTransformRotateWXYZ__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGeneralTransformRotateWXYZ__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGeneralTransformRotateWXYZ__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeneralTransformRotateWXYZ");
}

//@@Signature
//sfunction @vtkGeneralTransform:Scale vtkGeneralTransformScaleFunction
//input varargin
//output varargout
ArrayVector vtkGeneralTransformScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkGeneralTransformScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeneralTransformScale__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeneralTransformScale__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeneralTransformScale");
}

//@@Signature
//sfunction @vtkGeneralTransform:Concatenate vtkGeneralTransformConcatenateFunction
//input varargin
//output varargout
ArrayVector vtkGeneralTransformConcatenateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix4x4"))
    return vtkGeneralTransformConcatenate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeneralTransformConcatenate__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAbstractTransform"))
    return vtkGeneralTransformConcatenate__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeneralTransformConcatenate");
}

//@@Signature
//sfunction @vtkGeneralTransform:InternalTransformPoint vtkGeneralTransformInternalTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkGeneralTransformInternalTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGeneralTransformInternalTransformPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGeneralTransformInternalTransformPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeneralTransformInternalTransformPoint");
}

//@@Signature
//sfunction @vtkGeneralTransform:InternalTransformDerivative vtkGeneralTransformInternalTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkGeneralTransformInternalTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGeneralTransformInternalTransformDerivative");
}

//@@Signature
//sfunction @vtkGeneralTransform:display vtkGeneralTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeneralTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeneralTransform* vtk_pointer = GetVTKPointer<vtkGeneralTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeneralTransform:delete vtkGeneralTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkGeneralTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeneralTransform
//@@Section VTKCommon
//@@Usage
// vtkGeneralTransform is like vtkTransform and vtkPerspectiveTransform,
// but it will work with any vtkAbstractTransform as input.  It is
// not as efficient as the other two, however, because arbitrary
// transformations cannot be concatenated by matrix multiplication.
// Transform concatenation is simulated by passing each input point
// through each transform in turn.  
//
//To create an instance of class vtkGeneralTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeneralTransform
//@]
//@@Methods
//The class vtkGeneralTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeneralTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeneralTransform = obj.NewInstance ()|
// \item @|vtkGeneralTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Identity ()| -  Set this transformation to the identity transformation.  If 
// the transform has an Input, then the transformation will be
// reset so that it is the same as the Input.
//// \item @|obj.Inverse ()| -  Invert the transformation.  This will also set a flag so that
// the transformation will use the inverse of its Input, if an Input
// has been set.
//// \item @|obj.Translate (double x, double y, double z)| -  Create a translation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
//// \item @|obj.Translate (double x[3])| -  Create a translation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
//// \item @|obj.Translate (float x[3])| -  Create a translation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
//// \item @|obj.RotateWXYZ (double angle, double x, double y, double z)| -  Create a rotation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
// The angle is in degrees, and (x,y,z) specifies the axis that the
// rotation will be performed around. 
//// \item @|obj.RotateWXYZ (double angle, double axis[3])| -  Create a rotation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
// The angle is in degrees, and (x,y,z) specifies the axis that the
// rotation will be performed around. 
//// \item @|obj.RotateWXYZ (double angle, float axis[3])| -  Create a rotation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
// The angle is in degrees, and (x,y,z) specifies the axis that the
// rotation will be performed around. 
//// \item @|obj.RotateX (double angle)| -  Create a rotation matrix about the X, Y, or Z axis and concatenate
// it with the current transformation according to PreMultiply or
// PostMultiply semantics.  The angle is expressed in degrees.
//// \item @|obj.RotateY (double angle)| -  Create a rotation matrix about the X, Y, or Z axis and concatenate
// it with the current transformation according to PreMultiply or
// PostMultiply semantics.  The angle is expressed in degrees.
//// \item @|obj.RotateZ (double angle)| -  Create a rotation matrix about the X, Y, or Z axis and concatenate
// it with the current transformation according to PreMultiply or
// PostMultiply semantics.  The angle is expressed in degrees.
//// \item @|obj.Scale (double x, double y, double z)| -  Create a scale matrix (i.e. set the diagonal elements to x, y, z)
// and concatenate it with the current transformation according to
// PreMultiply or PostMultiply semantics.
//// \item @|obj.Scale (double s[3])| -  Create a scale matrix (i.e. set the diagonal elements to x, y, z)
// and concatenate it with the current transformation according to
// PreMultiply or PostMultiply semantics.
//// \item @|obj.Scale (float s[3])| -  Create a scale matrix (i.e. set the diagonal elements to x, y, z)
// and concatenate it with the current transformation according to
// PreMultiply or PostMultiply semantics.
//// \item @|obj.Concatenate (vtkMatrix4x4 matrix)| -  Concatenates the matrix with the current transformation according
// to PreMultiply or PostMultiply semantics.
//// \item @|obj.Concatenate (double elements[16])| -  Concatenates the matrix with the current transformation according
// to PreMultiply or PostMultiply semantics.
//// \item @|obj.Concatenate (vtkAbstractTransform transform)| -  Concatenate the specified transform with the current transformation
// according to PreMultiply or PostMultiply semantics.
// The concatenation is pipelined, meaning that if any of the
// transformations are changed, even after Concatenate() is called,
// those changes will be reflected when you call TransformPoint().
//// \item @|obj.PreMultiply ()| -  Sets the internal state of the transform to PreMultiply. All subsequent
// operations will occur before those already represented in the
// current transformation.  In homogeneous matrix notation, M = M*A where
// M is the current transformation matrix and A is the applied matrix.
// The default is PreMultiply.
//// \item @|obj.PostMultiply ()| -  Sets the internal state of the transform to PostMultiply. All subsequent
// operations will occur after those already represented in the
// current transformation.  In homogeneous matrix notation, M = A*M where
// M is the current transformation matrix and A is the applied matrix.
// The default is PreMultiply.
//// \item @|int = obj.GetNumberOfConcatenatedTransforms ()| -  Get the total number of transformations that are linked into this
// one via Concatenate() operations or via SetInput().
//// \item @|vtkAbstractTransform = obj.GetConcatenatedTransform (int i)|
// \item @|obj.SetInput (vtkAbstractTransform input)| -  Set the input for this transformation.  This will be used as the
// base transformation if it is set.  This method allows you to build
// a transform pipeline: if the input is modified, then this transformation
// will automatically update accordingly.  Note that the InverseFlag,
// controlled via Inverse(), determines whether this transformation
// will use the Input or the inverse of the Input.
//// \item @|vtkAbstractTransform = obj.GetInput ()| -  Set the input for this transformation.  This will be used as the
// base transformation if it is set.  This method allows you to build
// a transform pipeline: if the input is modified, then this transformation
// will automatically update accordingly.  Note that the InverseFlag,
// controlled via Inverse(), determines whether this transformation
// will use the Input or the inverse of the Input.
//// \item @|int = obj.GetInverseFlag ()| -  Get the inverse flag of the transformation.  This controls
// whether it is the Input or the inverse of the Input that
// is used as the base transformation.  The InverseFlag is
// flipped every time Inverse() is called.  The InverseFlag
// is off when a transform is first created.
//// \item @|obj.Push ()| -  Pushes the current transformation onto the transformation stack.
//// \item @|obj.Pop ()| -  Deletes the transformation on the top of the stack and sets the top 
// to the next transformation on the stack.
//// \item @|obj.InternalTransformPoint (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformPoint (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|int = obj.CircuitCheck (vtkAbstractTransform transform)| -  Check for self-reference.  Will return true if concatenating
// with the specified transform, setting it to be our inverse,
// or setting it to be our input will create a circular reference.
// CircuitCheck is automatically called by SetInput(), SetInverse(),
// and Concatenate(vtkXTransform *).  Avoid using this function,
// it is experimental.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make another transform of the same type.
//// \item @|long = obj.GetMTime ()| -  Override GetMTime to account for input and concatenation.
////\end{itemize}
//!
