#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHeap object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHeap.h"

//@@Signature
//sfunction @vtkHeap:vtkHeap vtkHeapConstructorFunction
//input a
//output p
//@@Parents vtkHeap vtkObject 
ArrayVector vtkHeapConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHeap::New(),"vtkHeap",eval);
  } else if (arg[0].className() == "vtkHeap") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHeap"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHeap");
    vtkHeap*q = reinterpret_cast<vtkHeap*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHeap");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHeap:GetClassName vtkHeapGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHeapGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHeap requires 1 argument(s)");
  vtkHeap* vtk_pointer = GetVTKPointer<vtkHeap>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHeap:IsA vtkHeapIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHeapIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHeap requires 2 argument(s)");
  vtkHeap* vtk_pointer = GetVTKPointer<vtkHeap>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHeap:NewInstance vtkHeapNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHeapNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHeap *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHeap requires 1 argument(s)");
  vtkHeap* vtk_pointer = GetVTKPointer<vtkHeap>(arg[0]);
  Array retval;
  vtkHeap  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHeap",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHeap:SafeDownCast vtkHeapSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHeapSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHeap *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHeap requires 2 argument(s)");
  vtkHeap* vtk_pointer = GetVTKPointer<vtkHeap>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHeap  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHeap",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHeap:GetNumberOfBlocks vtkHeapGetNumberOfBlocksFunction
//input a0 
//output y
ArrayVector vtkHeapGetNumberOfBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfBlocks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBlocks for class vtkHeap requires 1 argument(s)");
  vtkHeap* vtk_pointer = GetVTKPointer<vtkHeap>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfBlocks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHeap:GetNumberOfAllocations vtkHeapGetNumberOfAllocationsFunction
//input a0 
//output y
ArrayVector vtkHeapGetNumberOfAllocationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAllocations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAllocations for class vtkHeap requires 1 argument(s)");
  vtkHeap* vtk_pointer = GetVTKPointer<vtkHeap>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAllocations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHeap:Reset vtkHeapResetFunction
//input a0 
//output none
ArrayVector vtkHeapResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkHeap requires 1 argument(s)");
  vtkHeap* vtk_pointer = GetVTKPointer<vtkHeap>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkHeap:StringDup vtkHeapStringDupFunction
//input a0 a1 
//output y
ArrayVector vtkHeapStringDupFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *StringDup (const char *str); */
  if (arg.size() < 2) 
    throw Exception("Function StringDup for class vtkHeap requires 2 argument(s)");
  vtkHeap* vtk_pointer = GetVTKPointer<vtkHeap>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->StringDup(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHeap:display vtkHeapDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHeapDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHeap* vtk_pointer = GetVTKPointer<vtkHeap>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHeap:delete vtkHeapDeleteFunction
//input varargin
//output none
ArrayVector vtkHeapDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHeap
//@@Section VTKCommon
//@@Usage
// This class is a replacement for malloc/free and new/delete for software
// that has inherent memory leak or performance problems. For example,
// external software such as the PLY library (vtkPLY) and VRML importer
// (vtkVRMLImporter) are often written with lots of malloc() calls but
// without the corresponding free() invocations. The class
// vtkOrderedTriangulator may create and delete millions of new/delete calls.
// This class allows the overloading of the C++ new operator (or other memory
// allocation requests) by using the method AllocateMemory(). Memory is
// deleted with an invocation of CleanAll() (which deletes ALL memory; any
// given memory allocation cannot be deleted). Note: a block size can be used
// to control the size of each memory allocation. Requests for memory are
// fulfilled from the block until the block runs out, then a new block is
// created.
//
//
//To create an instance of class vtkHeap, simply
//invoke its constructor as follows
//@[
//  obj = vtkHeap
//@]
//@@Methods
//The class vtkHeap has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHeap class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHeap = obj.NewInstance ()|
// \item @|vtkHeap = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfBlocks ()| -  Get the number of allocations thus far.
//// \item @|int = obj.GetNumberOfAllocations ()| -  Get the number of allocations thus far.
//// \item @|obj.Reset ()| -  This methods resets the current allocation location
// back to the beginning of the heap. This allows
// reuse of previously allocated memory which may be
// beneficial to performance in many cases.
//// \item @|string = obj.StringDup (string str)| -  Convenience method performs string duplication.
////\end{itemize}
//!
