#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHomogeneousTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHomogeneousTransform.h"

//@@Signature
//sfunction @vtkHomogeneousTransform:vtkHomogeneousTransform vtkHomogeneousTransformConstructorFunction
//input a
//output p
//@@Parents vtkHomogeneousTransform vtkAbstractTransform 
ArrayVector vtkHomogeneousTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHomogeneousTransform::New(),"vtkHomogeneousTransform",eval);
  } else if (arg[0].className() == "vtkHomogeneousTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHomogeneousTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHomogeneousTransform");
    vtkHomogeneousTransform*q = reinterpret_cast<vtkHomogeneousTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHomogeneousTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHomogeneousTransform:GetClassName vtkHomogeneousTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHomogeneousTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHomogeneousTransform requires 1 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:IsA vtkHomogeneousTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHomogeneousTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHomogeneousTransform requires 2 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:NewInstance vtkHomogeneousTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHomogeneousTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHomogeneousTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHomogeneousTransform requires 1 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  vtkHomogeneousTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHomogeneousTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:SafeDownCast vtkHomogeneousTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHomogeneousTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHomogeneousTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHomogeneousTransform requires 2 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHomogeneousTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHomogeneousTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:TransformPoints vtkHomogeneousTransformTransformPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkHomogeneousTransformTransformPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformPoints (vtkPoints *inPts, vtkPoints *outPts); */
  if (arg.size() < 3) 
    throw Exception("Function TransformPoints for class vtkHomogeneousTransform requires 3 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  vtk_pointer->TransformPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:TransformPointsNormalsVectors vtkHomogeneousTransformTransformPointsNormalsVectorsFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkHomogeneousTransformTransformPointsNormalsVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TransformPointsNormalsVectors (vtkPoints *inPts, vtkPoints *outPts, vtkDataArray *inNms, vtkDataArray *outNms, vtkDataArray *inVrs, vtkDataArray *outVrs); */
  if (arg.size() < 7) 
    throw Exception("Function TransformPointsNormalsVectors for class vtkHomogeneousTransform requires 7 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  vtkDataArray  *temp2;
  vtkDataArray  *temp3;
  vtkDataArray  *temp4;
  vtkDataArray  *temp5;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp3 = GetVTKPointer<vtkDataArray>(arg[4]);
  temp4 = GetVTKPointer<vtkDataArray>(arg[5]);
  temp5 = GetVTKPointer<vtkDataArray>(arg[6]);
  vtk_pointer->TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:GetMatrix__1 vtkHomogeneousTransformGetMatrix__1Function
//input a0 a1 
//output none
ArrayVector vtkHomogeneousTransformGetMatrix__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetMatrix (vtkMatrix4x4 *m); */
  if (arg.size() < 2) 
    throw Exception("Function GetMatrix__1 for class vtkHomogeneousTransform requires 2 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->GetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:GetMatrix__2 vtkHomogeneousTransformGetMatrix__2Function
//input a0 
//output y
ArrayVector vtkHomogeneousTransformGetMatrix__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetMatrix ();this Update return this Matrix  */
  if (arg.size() < 1) 
    throw Exception("Function GetMatrix__2 for class vtkHomogeneousTransform requires 1 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetMatrix();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:GetHomogeneousInverse vtkHomogeneousTransformGetHomogeneousInverseFunction
//input a0 
//output y
ArrayVector vtkHomogeneousTransformGetHomogeneousInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHomogeneousTransform *GetHomogeneousInverse ();return static_cast vtkHomogeneousTransform this GetInverse  */
  if (arg.size() < 1) 
    throw Exception("Function GetHomogeneousInverse for class vtkHomogeneousTransform requires 1 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  vtkHomogeneousTransform  *temp20;
  temp20 = (vtk_pointer)->GetHomogeneousInverse();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHomogeneousTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:InternalTransformPoint__1 vtkHomogeneousTransformInternalTransformPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkHomogeneousTransformInternalTransformPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformPoint (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__1 for class vtkHomogeneousTransform requires 3 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:InternalTransformPoint__2 vtkHomogeneousTransformInternalTransformPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkHomogeneousTransformInternalTransformPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformPoint (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__2 for class vtkHomogeneousTransform requires 3 argument(s)");
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHomogeneousTransform:GetMatrix vtkHomogeneousTransformGetMatrixFunction
//input varargin
//output varargout
ArrayVector vtkHomogeneousTransformGetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix4x4"))
    return vtkHomogeneousTransformGetMatrix__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkHomogeneousTransformGetMatrix__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHomogeneousTransformGetMatrix");
}

//@@Signature
//sfunction @vtkHomogeneousTransform:InternalTransformPoint vtkHomogeneousTransformInternalTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkHomogeneousTransformInternalTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkHomogeneousTransformInternalTransformPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkHomogeneousTransformInternalTransformPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHomogeneousTransformInternalTransformPoint");
}

//@@Signature
//sfunction @vtkHomogeneousTransform:InternalTransformDerivative vtkHomogeneousTransformInternalTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkHomogeneousTransformInternalTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkHomogeneousTransformInternalTransformDerivative");
}

//@@Signature
//sfunction @vtkHomogeneousTransform:display vtkHomogeneousTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHomogeneousTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkHomogeneousTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHomogeneousTransform:delete vtkHomogeneousTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkHomogeneousTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHomogeneousTransform
//@@Section VTKCommon
//@@Usage
// vtkHomogeneousTransform provides a generic interface for homogeneous 
// transformations, i.e. transformations which can be represented by 
// multiplying a 4x4 matrix with a homogeneous coordinate. 
//
//To create an instance of class vtkHomogeneousTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkHomogeneousTransform
//@]
//@@Methods
//The class vtkHomogeneousTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHomogeneousTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHomogeneousTransform = obj.NewInstance ()|
// \item @|vtkHomogeneousTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.TransformPoints (vtkPoints inPts, vtkPoints outPts)| -  Apply the transformation to a series of points, and append the
// results to outPts.  
//// \item @|obj.TransformPointsNormalsVectors (vtkPoints inPts, vtkPoints outPts, vtkDataArray inNms, vtkDataArray outNms, vtkDataArray inVrs, vtkDataArray outVrs)| -  Apply the transformation to a combination of points, normals
// and vectors.  
//// \item @|obj.GetMatrix (vtkMatrix4x4 m)| -  Get a copy of the internal transformation matrix.  The
// transform is Updated first, to guarantee that the matrix
// is valid.
//// \item @|vtkMatrix4x4 = obj.GetMatrix ()| -  Get a pointer to an internal vtkMatrix4x4 that represents
// the transformation.  An Update() is called on the transform
// to ensure that the matrix is up-to-date when you get it.
// You should not store the matrix pointer anywhere because it
// might become stale.
//// \item @|vtkHomogeneousTransform = obj.GetHomogeneousInverse ()| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformPoint (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformPoint (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
////\end{itemize}
//!
