#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIdList object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIdList.h"

//@@Signature
//sfunction @vtkIdList:vtkIdList vtkIdListConstructorFunction
//input a
//output p
//@@Parents vtkIdList vtkObject 
ArrayVector vtkIdListConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIdList::New(),"vtkIdList",eval);
  } else if (arg[0].className() == "vtkIdList") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIdList"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIdList");
    vtkIdList*q = reinterpret_cast<vtkIdList*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIdList");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIdList:Initialize vtkIdListInitializeFunction
//input a0 
//output none
ArrayVector vtkIdListInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkIdList requires 1 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkIdList:Allocate vtkIdListAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkIdListAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Allocate (const vtkIdType sz, const int strategy); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkIdList requires 3 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdList:GetClassName vtkIdListGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIdListGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIdList requires 1 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdList:IsA vtkIdListIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIdListIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdList:NewInstance vtkIdListNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIdListNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIdList requires 1 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdList  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdList:SafeDownCast vtkIdListSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIdListSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIdList  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdList:GetNumberOfIds vtkIdListGetNumberOfIdsFunction
//input a0 
//output y
ArrayVector vtkIdListGetNumberOfIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfIds ();return this NumberOfIds  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIds for class vtkIdList requires 1 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdList:GetId vtkIdListGetIdFunction
//input a0 a1 
//output y
ArrayVector vtkIdListGetIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetId (const vtkIdType i);return this Ids i  */
  if (arg.size() < 2) 
    throw Exception("Function GetId for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdList:SetNumberOfIds vtkIdListSetNumberOfIdsFunction
//input a0 a1 
//output none
ArrayVector vtkIdListSetNumberOfIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfIds (const vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfIds for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdList:SetId vtkIdListSetIdFunction
//input a0 a1 a2 
//output none
ArrayVector vtkIdListSetIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetId (const vtkIdType i, const vtkIdType vtkid);this Ids i vtkid  */
  if (arg.size() < 3) 
    throw Exception("Function SetId for class vtkIdList requires 3 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetId(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdList:InsertId vtkIdListInsertIdFunction
//input a0 a1 a2 
//output none
ArrayVector vtkIdListInsertIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertId (const vtkIdType i, const vtkIdType vtkid); */
  if (arg.size() < 3) 
    throw Exception("Function InsertId for class vtkIdList requires 3 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->InsertId(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdList:InsertNextId vtkIdListInsertNextIdFunction
//input a0 a1 
//output y
ArrayVector vtkIdListInsertNextIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextId (const vtkIdType vtkid); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextId for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdList:InsertUniqueId vtkIdListInsertUniqueIdFunction
//input a0 a1 
//output y
ArrayVector vtkIdListInsertUniqueIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertUniqueId (const vtkIdType vtkid); */
  if (arg.size() < 2) 
    throw Exception("Function InsertUniqueId for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertUniqueId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdList:GetPointer vtkIdListGetPointerFunction
//input a0 a1 
//output y
ArrayVector vtkIdListGetPointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType *GetPointer (const vtkIdType i);return this Ids i  */
  if (arg.size() < 2) 
    throw Exception("Function GetPointer for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointer(temp0);
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkIdList:WritePointer vtkIdListWritePointerFunction
//input a0 a1 a2 
//output y
ArrayVector vtkIdListWritePointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType *WritePointer (const vtkIdType i, const vtkIdType number); */
  if (arg.size() < 3) 
    throw Exception("Function WritePointer for class vtkIdList requires 3 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->WritePointer(temp0,temp1);
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkIdList:Reset vtkIdListResetFunction
//input a0 
//output none
ArrayVector vtkIdListResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset ();this NumberOfIds  */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkIdList requires 1 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkIdList:Squeeze vtkIdListSqueezeFunction
//input a0 
//output none
ArrayVector vtkIdListSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze ();this Resize this NumberOfIds  */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkIdList requires 1 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkIdList:DeepCopy vtkIdListDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkIdListDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkIdList *ids); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdList:DeleteId vtkIdListDeleteIdFunction
//input a0 a1 
//output none
ArrayVector vtkIdListDeleteIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteId (vtkIdType vtkid); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteId for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DeleteId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdList:IsId vtkIdListIsIdFunction
//input a0 a1 
//output y
ArrayVector vtkIdListIsIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType IsId (vtkIdType vtkid); */
  if (arg.size() < 2) 
    throw Exception("Function IsId for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdList:IntersectWith vtkIdListIntersectWithFunction
//input a0 a1 
//output none
ArrayVector vtkIdListIntersectWithFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntersectWith (vtkIdList &otherIds); */
  if (arg.size() < 2) 
    throw Exception("Function IntersectWith for class vtkIdList requires 2 argument(s)");
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  vtk_pointer->IntersectWith(*(temp0));
  return retval;
}

//@@Signature
//sfunction @vtkIdList:display vtkIdListDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIdListDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIdList* vtk_pointer = GetVTKPointer<vtkIdList>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIdList:delete vtkIdListDeleteFunction
//input varargin
//output none
ArrayVector vtkIdListDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIdList
//@@Section VTKCommon
//@@Usage
// vtkIdList is used to represent and pass data id's between
// objects. vtkIdList may represent any type of integer id, but
// usually represents point and cell ids.
//
//To create an instance of class vtkIdList, simply
//invoke its constructor as follows
//@[
//  obj = vtkIdList
//@]
//@@Methods
//The class vtkIdList has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIdList class.
//\begin{itemize}
// \item @|obj.Initialize ()|
// \item @|int = obj.Allocate (vtkIdType sz, int strategy)|
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIdList = obj.NewInstance ()|
// \item @|vtkIdList = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.GetNumberOfIds ()| -  Return the number of id's in the list.
//// \item @|vtkIdType = obj.GetId (vtkIdType i)| -  Return the id at location i.
//// \item @|obj.SetNumberOfIds (vtkIdType number)| -  Specify the number of ids for this object to hold. Does an
// allocation as well as setting the number of ids.
//// \item @|obj.SetId (vtkIdType i, vtkIdType vtkid)| -  Set the id at location i. Doesn't do range checking so it's a bit
// faster than InsertId. Make sure you use SetNumberOfIds() to allocate
// memory prior to using SetId().
//// \item @|obj.InsertId (vtkIdType i, vtkIdType vtkid)| -  Set the id at location i. Does range checking and allocates memory
// as necessary.
//// \item @|vtkIdType = obj.InsertNextId (vtkIdType vtkid)| -  Add the id specified to the end of the list. Range checking is performed.
//// \item @|vtkIdType = obj.InsertUniqueId (vtkIdType vtkid)| -  If id is not already in list, insert it and return location in
// list. Otherwise return just location in list.
//// \item @|vtkIdType = obj.GetPointer (vtkIdType i)| -  Get a pointer to a particular data index.
//// \item @|vtkIdType = obj.WritePointer (vtkIdType i, vtkIdType number)| -  Get a pointer to a particular data index. Make sure data is allocated
// for the number of items requested. Set MaxId according to the number of
// data values requested.
//// \item @|obj.Reset ()| -  Reset to an empty state.
//// \item @|obj.Squeeze ()| -  Free any unused memory.
//// \item @|obj.DeepCopy (vtkIdList ids)| -  Copy an id list by explicitly copying the internal array.
//// \item @|obj.DeleteId (vtkIdType vtkid)| -  Delete specified id from list. Will remove all occurrences of id in list.
//// \item @|vtkIdType = obj.IsId (vtkIdType vtkid)| -  Return -1 if id specified is not contained in the list; otherwise return
// the position in the list.
//// \item @|obj.IntersectWith (vtkIdList &otherIds)| -  Intersect this list with another vtkIdList. Updates current list according
// to result of intersection operation.
////\end{itemize}
//!
