#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIdListCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIdListCollection.h"

//@@Signature
//sfunction @vtkIdListCollection:vtkIdListCollection vtkIdListCollectionConstructorFunction
//input a
//output p
//@@Parents vtkIdListCollection vtkCollection 
ArrayVector vtkIdListCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIdListCollection::New(),"vtkIdListCollection",eval);
  } else if (arg[0].className() == "vtkIdListCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIdListCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIdListCollection");
    vtkIdListCollection*q = reinterpret_cast<vtkIdListCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIdListCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIdListCollection:GetClassName vtkIdListCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIdListCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIdListCollection requires 1 argument(s)");
  vtkIdListCollection* vtk_pointer = GetVTKPointer<vtkIdListCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdListCollection:IsA vtkIdListCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIdListCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIdListCollection requires 2 argument(s)");
  vtkIdListCollection* vtk_pointer = GetVTKPointer<vtkIdListCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdListCollection:NewInstance vtkIdListCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIdListCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdListCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIdListCollection requires 1 argument(s)");
  vtkIdListCollection* vtk_pointer = GetVTKPointer<vtkIdListCollection>(arg[0]);
  Array retval;
  vtkIdListCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdListCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdListCollection:SafeDownCast vtkIdListCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIdListCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdListCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIdListCollection requires 2 argument(s)");
  vtkIdListCollection* vtk_pointer = GetVTKPointer<vtkIdListCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIdListCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdListCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdListCollection:AddItem__1 vtkIdListCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkIdListCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkIdList *ds);this vtkCollection AddItem ds  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkIdListCollection requires 2 argument(s)");
  vtkIdListCollection* vtk_pointer = GetVTKPointer<vtkIdListCollection>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdListCollection:GetNextItem vtkIdListCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkIdListCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *GetNextItem ();return static_cast vtkIdList this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkIdListCollection requires 1 argument(s)");
  vtkIdListCollection* vtk_pointer = GetVTKPointer<vtkIdListCollection>(arg[0]);
  Array retval;
  vtkIdList  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdListCollection:GetItem vtkIdListCollectionGetItemFunction
//input a0 a1 
//output y
ArrayVector vtkIdListCollectionGetItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *GetItem (int i);return static_cast vtkIdList this GetItemAsObject i  */
  if (arg.size() < 2) 
    throw Exception("Function GetItem for class vtkIdListCollection requires 2 argument(s)");
  vtkIdListCollection* vtk_pointer = GetVTKPointer<vtkIdListCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetItem(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdListCollection:AddItem vtkIdListCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkIdListCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkIdList"))
    return vtkIdListCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIdListCollectionAddItem");
}

//@@Signature
//sfunction @vtkIdListCollection:display vtkIdListCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIdListCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIdListCollection* vtk_pointer = GetVTKPointer<vtkIdListCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIdListCollection:delete vtkIdListCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkIdListCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIdListCollection
//@@Section VTKCommon
//@@Usage
// vtkIdListCollection is an object that creates and manipulates lists of
// datasets. See also vtkCollection and subclasses.
//
//To create an instance of class vtkIdListCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkIdListCollection
//@]
//@@Methods
//The class vtkIdListCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIdListCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIdListCollection = obj.NewInstance ()|
// \item @|vtkIdListCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkIdList ds)| -  Get the next dataset in the list.
//// \item @|vtkIdList = obj.GetNextItem ()| -  Get the next dataset in the list.
//// \item @|vtkIdList = obj.GetItem (int i)| -  Get the ith dataset in the list.
////\end{itemize}
//!
