#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIdTypeArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIdTypeArray.h"

//@@Signature
//sfunction @vtkIdTypeArray:vtkIdTypeArray vtkIdTypeArrayConstructorFunction
//input a
//output p
//@@Parents vtkIdTypeArray vtkDataArray 
ArrayVector vtkIdTypeArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIdTypeArray::New(),"vtkIdTypeArray",eval);
  } else if (arg[0].className() == "vtkIdTypeArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIdTypeArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIdTypeArray");
    vtkIdTypeArray*q = reinterpret_cast<vtkIdTypeArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIdTypeArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIdTypeArray:GetClassName vtkIdTypeArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIdTypeArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIdTypeArray requires 1 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:IsA vtkIdTypeArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIdTypeArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIdTypeArray requires 2 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:NewInstance vtkIdTypeArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIdTypeArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdTypeArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIdTypeArray requires 1 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdTypeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:SafeDownCast vtkIdTypeArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIdTypeArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdTypeArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIdTypeArray requires 2 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIdTypeArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdTypeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:GetDataType vtkIdTypeArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkIdTypeArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType ();return VTK_ID_TYPE  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkIdTypeArray requires 1 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:GetValue vtkIdTypeArrayGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkIdTypeArrayGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetValue (vtkIdType id);return this RealSuperclass GetValue id  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkIdTypeArray requires 2 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:SetValue vtkIdTypeArraySetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkIdTypeArraySetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (vtkIdType id, vtkIdType value);this RealSuperclass SetValue id value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkIdTypeArray requires 3 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:SetNumberOfValues vtkIdTypeArraySetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkIdTypeArraySetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkIdTypeArray requires 2 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:InsertValue vtkIdTypeArrayInsertValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkIdTypeArrayInsertValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertValue (vtkIdType id, vtkIdType f);this RealSuperclass InsertValue id f  */
  if (arg.size() < 3) 
    throw Exception("Function InsertValue for class vtkIdTypeArray requires 3 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->InsertValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:InsertNextValue vtkIdTypeArrayInsertNextValueFunction
//input a0 a1 
//output y
ArrayVector vtkIdTypeArrayInsertNextValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextValue (vtkIdType f);return this RealSuperclass InsertNextValue f  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextValue for class vtkIdTypeArray requires 2 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:WritePointer vtkIdTypeArrayWritePointerFunction
//input a0 a1 a2 
//output y
ArrayVector vtkIdTypeArrayWritePointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType *WritePointer (vtkIdType id, vtkIdType number);return this RealSuperclass WritePointer id number  */
  if (arg.size() < 3) 
    throw Exception("Function WritePointer for class vtkIdTypeArray requires 3 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->WritePointer(temp0,temp1);
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:GetPointer vtkIdTypeArrayGetPointerFunction
//input a0 a1 
//output y
ArrayVector vtkIdTypeArrayGetPointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType *GetPointer (vtkIdType id);return this RealSuperclass GetPointer id  */
  if (arg.size() < 2) 
    throw Exception("Function GetPointer for class vtkIdTypeArray requires 2 argument(s)");
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointer(temp0);
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkIdTypeArray:SetArray vtkIdTypeArraySetArrayFunction
//input varargin
//output varargout
ArrayVector vtkIdTypeArraySetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkIdTypeArraySetArray");
}

//@@Signature
//sfunction @vtkIdTypeArray:display vtkIdTypeArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIdTypeArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIdTypeArray* vtk_pointer = GetVTKPointer<vtkIdTypeArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIdTypeArray:delete vtkIdTypeArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkIdTypeArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIdTypeArray
//@@Section VTKCommon
//@@Usage
// vtkIdTypeArray is an array of values of type vtkIdType.
// It provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkIdTypeArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkIdTypeArray
//@]
//@@Methods
//The class vtkIdTypeArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIdTypeArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIdTypeArray = obj.NewInstance ()|
// \item @|vtkIdTypeArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataType ()| -  Copy the tuple value into a user-provided array.
//// \item @|vtkIdType = obj.GetValue (vtkIdType id)| -  Set the data at a particular index. Does not do range checking. Make sure
// you use the method SetNumberOfValues() before inserting data.
//// \item @|obj.SetValue (vtkIdType id, vtkIdType value)| -  Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Insert data at a specified position in the array.
//// \item @|obj.InsertValue (vtkIdType id, vtkIdType f)| -  Insert data at the end of the array. Return its location in the array.
//// \item @|vtkIdType = obj.InsertNextValue (vtkIdType f)| -  Get the address of a particular data index. Make sure data is allocated
// for the number of items requested. Set MaxId according to the number of
// data values requested.
//// \item @|vtkIdType = obj.WritePointer (vtkIdType id, vtkIdType number)| -  Get the address of a particular data index. Performs no checks
// to verify that the memory has been allocated etc.
//// \item @|vtkIdType = obj.GetPointer (vtkIdType id)| -  This method lets the user specify data to be held by the array.  The
// array argument is a pointer to the data.  size is the size of
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data
// from the suppled array. 
////\end{itemize}
//!
