#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIdentityTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIdentityTransform.h"

//@@Signature
//sfunction @vtkIdentityTransform:vtkIdentityTransform vtkIdentityTransformConstructorFunction
//input a
//output p
//@@Parents vtkIdentityTransform vtkLinearTransform 
ArrayVector vtkIdentityTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIdentityTransform::New(),"vtkIdentityTransform",eval);
  } else if (arg[0].className() == "vtkIdentityTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIdentityTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIdentityTransform");
    vtkIdentityTransform*q = reinterpret_cast<vtkIdentityTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIdentityTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIdentityTransform:GetClassName vtkIdentityTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIdentityTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIdentityTransform requires 1 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:IsA vtkIdentityTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIdentityTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIdentityTransform requires 2 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:NewInstance vtkIdentityTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIdentityTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdentityTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIdentityTransform requires 1 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  vtkIdentityTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdentityTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:SafeDownCast vtkIdentityTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIdentityTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdentityTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIdentityTransform requires 2 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIdentityTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdentityTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:TransformPoints vtkIdentityTransformTransformPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkIdentityTransformTransformPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformPoints (vtkPoints *inPts, vtkPoints *outPts); */
  if (arg.size() < 3) 
    throw Exception("Function TransformPoints for class vtkIdentityTransform requires 3 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  vtk_pointer->TransformPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:TransformNormals vtkIdentityTransformTransformNormalsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkIdentityTransformTransformNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformNormals (vtkDataArray *inNms, vtkDataArray *outNms); */
  if (arg.size() < 3) 
    throw Exception("Function TransformNormals for class vtkIdentityTransform requires 3 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  vtk_pointer->TransformNormals(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:TransformVectors vtkIdentityTransformTransformVectorsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkIdentityTransformTransformVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformVectors (vtkDataArray *inVrs, vtkDataArray *outVrs); */
  if (arg.size() < 3) 
    throw Exception("Function TransformVectors for class vtkIdentityTransform requires 3 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  vtk_pointer->TransformVectors(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:TransformPointsNormalsVectors vtkIdentityTransformTransformPointsNormalsVectorsFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkIdentityTransformTransformPointsNormalsVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformPointsNormalsVectors (vtkPoints *inPts, vtkPoints *outPts, vtkDataArray *inNms, vtkDataArray *outNms, vtkDataArray *inVrs, vtkDataArray *outVrs); */
  if (arg.size() < 7) 
    throw Exception("Function TransformPointsNormalsVectors for class vtkIdentityTransform requires 7 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  vtkDataArray  *temp2;
  vtkDataArray  *temp3;
  vtkDataArray  *temp4;
  vtkDataArray  *temp5;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp3 = GetVTKPointer<vtkDataArray>(arg[4]);
  temp4 = GetVTKPointer<vtkDataArray>(arg[5]);
  temp5 = GetVTKPointer<vtkDataArray>(arg[6]);
  vtk_pointer->TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:Inverse vtkIdentityTransformInverseFunction
//input a0 
//output none
ArrayVector vtkIdentityTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Inverse (); */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkIdentityTransform requires 1 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:InternalTransformPoint__1 vtkIdentityTransformInternalTransformPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkIdentityTransformInternalTransformPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformPoint (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__1 for class vtkIdentityTransform requires 3 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:InternalTransformPoint__2 vtkIdentityTransformInternalTransformPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkIdentityTransformInternalTransformPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformPoint (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__2 for class vtkIdentityTransform requires 3 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:InternalTransformNormal__1 vtkIdentityTransformInternalTransformNormal__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkIdentityTransformInternalTransformNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformNormal (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformNormal__1 for class vtkIdentityTransform requires 3 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformNormal(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:InternalTransformNormal__2 vtkIdentityTransformInternalTransformNormal__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkIdentityTransformInternalTransformNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformNormal (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformNormal__2 for class vtkIdentityTransform requires 3 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformNormal(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:InternalTransformVector__1 vtkIdentityTransformInternalTransformVector__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkIdentityTransformInternalTransformVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformVector (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformVector__1 for class vtkIdentityTransform requires 3 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformVector(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:InternalTransformVector__2 vtkIdentityTransformInternalTransformVector__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkIdentityTransformInternalTransformVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformVector (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformVector__2 for class vtkIdentityTransform requires 3 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformVector(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:MakeTransform vtkIdentityTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkIdentityTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkIdentityTransform requires 1 argument(s)");
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdentityTransform:InternalTransformPoint vtkIdentityTransformInternalTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkIdentityTransformInternalTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkIdentityTransformInternalTransformPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkIdentityTransformInternalTransformPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIdentityTransformInternalTransformPoint");
}

//@@Signature
//sfunction @vtkIdentityTransform:InternalTransformNormal vtkIdentityTransformInternalTransformNormalFunction
//input varargin
//output varargout
ArrayVector vtkIdentityTransformInternalTransformNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkIdentityTransformInternalTransformNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkIdentityTransformInternalTransformNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIdentityTransformInternalTransformNormal");
}

//@@Signature
//sfunction @vtkIdentityTransform:InternalTransformVector vtkIdentityTransformInternalTransformVectorFunction
//input varargin
//output varargout
ArrayVector vtkIdentityTransformInternalTransformVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkIdentityTransformInternalTransformVector__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkIdentityTransformInternalTransformVector__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIdentityTransformInternalTransformVector");
}

//@@Signature
//sfunction @vtkIdentityTransform:InternalTransformDerivative vtkIdentityTransformInternalTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkIdentityTransformInternalTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkIdentityTransformInternalTransformDerivative");
}

//@@Signature
//sfunction @vtkIdentityTransform:display vtkIdentityTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIdentityTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIdentityTransform* vtk_pointer = GetVTKPointer<vtkIdentityTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIdentityTransform:delete vtkIdentityTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkIdentityTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIdentityTransform
//@@Section VTKCommon
//@@Usage
// vtkIdentityTransform is a transformation which will simply pass coordinate
// data unchanged.  All other transform types can also do this, however,
// the vtkIdentityTransform does so with much greater efficiency.
//
//To create an instance of class vtkIdentityTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkIdentityTransform
//@]
//@@Methods
//The class vtkIdentityTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIdentityTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIdentityTransform = obj.NewInstance ()|
// \item @|vtkIdentityTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.TransformPoints (vtkPoints inPts, vtkPoints outPts)| -  Apply the transformation to a series of points, and append the
// results to outPts.  
//// \item @|obj.TransformNormals (vtkDataArray inNms, vtkDataArray outNms)| -  Apply the transformation to a series of normals, and append the
// results to outNms.  
//// \item @|obj.TransformVectors (vtkDataArray inVrs, vtkDataArray outVrs)| -  Apply the transformation to a series of vectors, and append the
// results to outVrs.  
//// \item @|obj.TransformPointsNormalsVectors (vtkPoints inPts, vtkPoints outPts, vtkDataArray inNms, vtkDataArray outNms, vtkDataArray inVrs, vtkDataArray outVrs)| -  Apply the transformation to a combination of points, normals
// and vectors.  
//// \item @|obj.Inverse ()|
// \item @|obj.InternalTransformPoint (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformPoint (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformNormal (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformNormal (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformVector (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformVector (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make a transform of the same type.  This will actually
// return the same transform.
////\end{itemize}
//!
