#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitFunction.h"

//@@Signature
//sfunction @vtkImplicitFunction:vtkImplicitFunction vtkImplicitFunctionConstructorFunction
//input a
//output p
//@@Parents vtkImplicitFunction vtkObject 
ArrayVector vtkImplicitFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitFunction::New(),"vtkImplicitFunction",eval);
  } else if (arg[0].className() == "vtkImplicitFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitFunction");
    vtkImplicitFunction*q = reinterpret_cast<vtkImplicitFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitFunction:GetClassName vtkImplicitFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitFunction requires 1 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:IsA vtkImplicitFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitFunction requires 2 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:NewInstance vtkImplicitFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitFunction requires 1 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:SafeDownCast vtkImplicitFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitFunction requires 2 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:GetMTime vtkImplicitFunctionGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImplicitFunctionGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImplicitFunction requires 1 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:FunctionValue__1 vtkImplicitFunctionFunctionValue__1Function
//input a0 a1 
//output y
ArrayVector vtkImplicitFunctionFunctionValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double FunctionValue (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FunctionValue__1 for class vtkImplicitFunction requires 2 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FunctionValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:FunctionValue__2 vtkImplicitFunctionFunctionValue__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitFunctionFunctionValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double FunctionValue (double x, double y, double z);double xyz x y z return this FunctionValue xyz  */
  if (arg.size() < 4) 
    throw Exception("Function FunctionValue__2 for class vtkImplicitFunction requires 4 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->FunctionValue(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:FunctionGradient__1 vtkImplicitFunctionFunctionGradient__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitFunctionFunctionGradient__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FunctionGradient (const double x[3], double g[3]); */
  if (arg.size() < 3) 
    throw Exception("Function FunctionGradient__1 for class vtkImplicitFunction requires 3 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->FunctionGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:FunctionGradient__2 vtkImplicitFunctionFunctionGradient__2Function
//input a0 a1 
//output y
ArrayVector vtkImplicitFunctionFunctionGradient__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *FunctionGradient (const double x[3]);this FunctionGradient x this ReturnValue return this ReturnValue  */
  if (arg.size() < 2) 
    throw Exception("Function FunctionGradient__2 for class vtkImplicitFunction requires 2 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FunctionGradient(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:FunctionGradient__3 vtkImplicitFunctionFunctionGradient__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitFunctionFunctionGradient__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *FunctionGradient (double x, double y, double z);double xyz x y z return this FunctionGradient xyz  */
  if (arg.size() < 4) 
    throw Exception("Function FunctionGradient__3 for class vtkImplicitFunction requires 4 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->FunctionGradient(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:SetTransform__1 vtkImplicitFunctionSetTransform__1Function
//input a0 a1 
//output none
ArrayVector vtkImplicitFunctionSetTransform__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkAbstractTransform *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform__1 for class vtkImplicitFunction requires 2 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:SetTransform__2 vtkImplicitFunctionSetTransform__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitFunctionSetTransform__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (double elements[16]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform__2 for class vtkImplicitFunction requires 2 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  double temp0[16];
  if ( !(arg[1].isVector() && arg[1].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:GetTransform vtkImplicitFunctionGetTransformFunction
//input a0 
//output y
ArrayVector vtkImplicitFunctionGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkImplicitFunction requires 1 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:EvaluateFunction__1 vtkImplicitFunctionEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkImplicitFunctionEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateFunction (double x[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkImplicitFunction requires 2 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:EvaluateFunction__2 vtkImplicitFunctionEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitFunctionEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);double xyz x y z return this EvaluateFunction xyz  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkImplicitFunction requires 4 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:EvaluateGradient vtkImplicitFunctionEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitFunctionEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EvaluateGradient (double x[3], double g[3]) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkImplicitFunction requires 3 argument(s)");
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunction:FunctionValue vtkImplicitFunctionFunctionValueFunction
//input varargin
//output varargout
ArrayVector vtkImplicitFunctionFunctionValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitFunctionFunctionValue__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitFunctionFunctionValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitFunctionFunctionValue");
}

//@@Signature
//sfunction @vtkImplicitFunction:FunctionGradient vtkImplicitFunctionFunctionGradientFunction
//input varargin
//output varargout
ArrayVector vtkImplicitFunctionFunctionGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkImplicitFunctionFunctionGradient__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitFunctionFunctionGradient__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitFunctionFunctionGradient__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitFunctionFunctionGradient");
}

//@@Signature
//sfunction @vtkImplicitFunction:SetTransform vtkImplicitFunctionSetTransformFunction
//input varargin
//output varargout
ArrayVector vtkImplicitFunctionSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAbstractTransform"))
    return vtkImplicitFunctionSetTransform__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitFunctionSetTransform__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitFunctionSetTransform");
}

//@@Signature
//sfunction @vtkImplicitFunction:EvaluateFunction vtkImplicitFunctionEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkImplicitFunctionEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitFunctionEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitFunctionEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitFunctionEvaluateFunction");
}

//@@Signature
//sfunction @vtkImplicitFunction:display vtkImplicitFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitFunction* vtk_pointer = GetVTKPointer<vtkImplicitFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitFunction:delete vtkImplicitFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitFunction
//@@Section VTKCommon
//@@Usage
// vtkImplicitFunction specifies an abstract interface for implicit
// functions. Implicit functions are real valued functions defined in 3D
// space, w = F(x,y,z). Two primitive operations are required: the ability to
// evaluate the function, and the function gradient at a given point. The 
// implicit function divides space into three regions: on the surface
// (F(x,y,z)=w), outside of the surface (F(x,y,z)>c), and inside the
// surface (F(x,y,z)<c). (When c is zero, positive values are outside,
// negative values are inside, and zero is on the surface. Note also
// that the function gradient points from inside to outside.)
//
// Implicit functions are very powerful. It is possible to represent almost
// any type of geometry with the level sets w = const, especially if you use 
// boolean combinations of implicit functions (see vtkImplicitBoolean).
//
// vtkImplicitFunction provides a mechanism to transform the implicit
// function(s) via a vtkAbstractTransform.  This capability can be used to 
// translate, orient, scale, or warp implicit functions.  For example, 
// a sphere implicit function can be transformed into an oriented ellipse. 
//
//To create an instance of class vtkImplicitFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitFunction
//@]
//@@Methods
//The class vtkImplicitFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImplicitFunction = obj.NewInstance ()|
// \item @|vtkImplicitFunction = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Overload standard modified time function. If Transform is modified,
// then this object is modified as well.
//// \item @|double = obj.FunctionValue (double x[3])| -  Evaluate function at position x-y-z and return value. Point x[3] is
// transformed through transform (if provided).
//// \item @|double = obj.FunctionValue (double x, double y, double z)| -  Evaluate function at position x-y-z and return value. Point x[3] is
// transformed through transform (if provided).
//// \item @|obj.FunctionGradient (double x[3], double g[3])| -  Evaluate function gradient at position x-y-z and pass back vector. Point
// x[3] is transformed through transform (if provided).
//// \item @|double = obj.FunctionGradient (double x[3])| -  Evaluate function gradient at position x-y-z and pass back vector. Point
// x[3] is transformed through transform (if provided).
//// \item @|double = obj.FunctionGradient (double x, double y, double z)| -  Evaluate function gradient at position x-y-z and pass back vector. Point
// x[3] is transformed through transform (if provided).
//// \item @|obj.SetTransform (vtkAbstractTransform )| -  Set/Get a transformation to apply to input points before
// executing the implicit function.
//// \item @|obj.SetTransform (double elements[16])| -  Set/Get a transformation to apply to input points before
// executing the implicit function.
//// \item @|vtkAbstractTransform = obj.GetTransform ()| -  Set/Get a transformation to apply to input points before
// executing the implicit function.
//// \item @|double = obj.EvaluateFunction (double x[3])| -  Evaluate function at position x-y-z and return value.  You should
// generally not call this method directly, you should use 
// FunctionValue() instead.  This method must be implemented by 
// any derived class. 
//// \item @|double = obj.EvaluateFunction (double x, double y, double z)| -  Evaluate function at position x-y-z and return value.  You should
// generally not call this method directly, you should use 
// FunctionValue() instead.  This method must be implemented by 
// any derived class. 
//// \item @|obj.EvaluateGradient (double x[3], double g[3])| -  Evaluate function gradient at position x-y-z and pass back vector. 
// You should generally not call this method directly, you should use 
// FunctionGradient() instead.  This method must be implemented by 
// any derived class. 
////\end{itemize}
//!
