#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitFunctionCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitFunctionCollection.h"

//@@Signature
//sfunction @vtkImplicitFunctionCollection:vtkImplicitFunctionCollection vtkImplicitFunctionCollectionConstructorFunction
//input a
//output p
//@@Parents vtkImplicitFunctionCollection vtkCollection 
ArrayVector vtkImplicitFunctionCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitFunctionCollection::New(),"vtkImplicitFunctionCollection",eval);
  } else if (arg[0].className() == "vtkImplicitFunctionCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitFunctionCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitFunctionCollection");
    vtkImplicitFunctionCollection*q = reinterpret_cast<vtkImplicitFunctionCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitFunctionCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitFunctionCollection:GetClassName vtkImplicitFunctionCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitFunctionCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitFunctionCollection requires 1 argument(s)");
  vtkImplicitFunctionCollection* vtk_pointer = GetVTKPointer<vtkImplicitFunctionCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunctionCollection:IsA vtkImplicitFunctionCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitFunctionCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitFunctionCollection requires 2 argument(s)");
  vtkImplicitFunctionCollection* vtk_pointer = GetVTKPointer<vtkImplicitFunctionCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunctionCollection:NewInstance vtkImplicitFunctionCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitFunctionCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunctionCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitFunctionCollection requires 1 argument(s)");
  vtkImplicitFunctionCollection* vtk_pointer = GetVTKPointer<vtkImplicitFunctionCollection>(arg[0]);
  Array retval;
  vtkImplicitFunctionCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunctionCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunctionCollection:SafeDownCast vtkImplicitFunctionCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitFunctionCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunctionCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitFunctionCollection requires 2 argument(s)");
  vtkImplicitFunctionCollection* vtk_pointer = GetVTKPointer<vtkImplicitFunctionCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitFunctionCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunctionCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunctionCollection:AddItem__1 vtkImplicitFunctionCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkImplicitFunctionCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkImplicitFunctionCollection requires 2 argument(s)");
  vtkImplicitFunctionCollection* vtk_pointer = GetVTKPointer<vtkImplicitFunctionCollection>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunctionCollection:GetNextItem vtkImplicitFunctionCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkImplicitFunctionCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetNextItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkImplicitFunctionCollection requires 1 argument(s)");
  vtkImplicitFunctionCollection* vtk_pointer = GetVTKPointer<vtkImplicitFunctionCollection>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitFunctionCollection:AddItem vtkImplicitFunctionCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkImplicitFunctionCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkImplicitFunction"))
    return vtkImplicitFunctionCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitFunctionCollectionAddItem");
}

//@@Signature
//sfunction @vtkImplicitFunctionCollection:display vtkImplicitFunctionCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitFunctionCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitFunctionCollection* vtk_pointer = GetVTKPointer<vtkImplicitFunctionCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitFunctionCollection:delete vtkImplicitFunctionCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitFunctionCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitFunctionCollection
//@@Section VTKCommon
//@@Usage
// vtkImplicitFunctionCollection is an object that creates and manipulates
// lists of objects of type vtkImplicitFunction. 
//
//To create an instance of class vtkImplicitFunctionCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitFunctionCollection
//@]
//@@Methods
//The class vtkImplicitFunctionCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitFunctionCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImplicitFunctionCollection = obj.NewInstance ()|
// \item @|vtkImplicitFunctionCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkImplicitFunction )| -  Add an implicit function to the list.
//// \item @|vtkImplicitFunction = obj.GetNextItem ()| -  Get the next implicit function in the list.
////\end{itemize}
//!
