#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformation.h"

//@@Signature
//sfunction @vtkInformation:vtkInformation vtkInformationConstructorFunction
//input a
//output p
//@@Parents vtkInformation vtkObject 
ArrayVector vtkInformationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformation::New(),"vtkInformation",eval);
  } else if (arg[0].className() == "vtkInformation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformation");
    vtkInformation*q = reinterpret_cast<vtkInformation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformation:GetClassName vtkInformationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformation requires 1 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:IsA vtkInformationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:NewInstance vtkInformationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformation requires 1 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:SafeDownCast vtkInformationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Modified__1 vtkInformationModified__1Function
//input a0 
//output none
ArrayVector vtkInformationModified__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Modified (); */
  if (arg.size() < 1) 
    throw Exception("Function Modified__1 for class vtkInformation requires 1 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtk_pointer->Modified();
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Modified__2 vtkInformationModified__2Function
//input a0 a1 
//output none
ArrayVector vtkInformationModified__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Modified (vtkInformationKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Modified__2 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationKey>(arg[1]);
  vtk_pointer->Modified(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Clear vtkInformationClearFunction
//input a0 
//output none
ArrayVector vtkInformationClearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clear (); */
  if (arg.size() < 1) 
    throw Exception("Function Clear for class vtkInformation requires 1 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtk_pointer->Clear();
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetNumberOfKeys vtkInformationGetNumberOfKeysFunction
//input a0 
//output y
ArrayVector vtkInformationGetNumberOfKeysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfKeys (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfKeys for class vtkInformation requires 1 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfKeys();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Copy vtkInformationCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Copy (vtkInformation *from, int deep); */
  if (arg.size() < 3) 
    throw Exception("Function Copy for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Copy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__1 vtkInformationCopyEntry__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__1 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__2 vtkInformationCopyEntry__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationDataObjectKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__2 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationDataObjectKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationDataObjectKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__3 vtkInformationCopyEntry__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationDoubleVectorKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__3 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationDoubleVectorKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__4 vtkInformationCopyEntry__4Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationInformationKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__4 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationInformationKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationInformationKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__5 vtkInformationCopyEntry__5Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationInformationVectorKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__5 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationInformationVectorKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationInformationVectorKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__6 vtkInformationCopyEntry__6Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationIntegerKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__6 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationIntegerKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationIntegerKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__7 vtkInformationCopyEntry__7Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationIntegerVectorKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__7 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationIntegerVectorKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__8 vtkInformationCopyEntry__8Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationRequestKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__8 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationRequestKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationRequestKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__9 vtkInformationCopyEntry__9Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationStringKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__9 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationStringKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationStringKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__10 vtkInformationCopyEntry__10Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationStringVectorKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__10 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationStringVectorKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationStringVectorKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntry__11 vtkInformationCopyEntry__11Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntry__11Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntry (vtkInformation *from, vtkInformationUnsignedLongKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntry__11 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationUnsignedLongKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationUnsignedLongKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntry(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:CopyEntries vtkInformationCopyEntriesFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationCopyEntriesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyEntries (vtkInformation *from, vtkInformationKeyVectorKey *key, int deep); */
  if (arg.size() < 4) 
    throw Exception("Function CopyEntries for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationKeyVectorKey  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationKeyVectorKey>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyEntries(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__1 vtkInformationHas__1Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__1 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__1 vtkInformationRemove__1Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__1 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__1 vtkInformationSet__1Function
//input a0 a1 
//output none
ArrayVector vtkInformationSet__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationRequestKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Set__1 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationRequestKey>(arg[1]);
  vtk_pointer->Set(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__2 vtkInformationRemove__2Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationRequestKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__2 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationRequestKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__2 vtkInformationHas__2Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationRequestKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__2 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationRequestKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__2 vtkInformationSet__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationSet__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationIntegerKey *key, int value); */
  if (arg.size() < 3) 
    throw Exception("Function Set__2 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformationIntegerKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__1 vtkInformationGet__1Function
//input a0 a1 
//output y
ArrayVector vtkInformationGet__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Get (vtkInformationIntegerKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Get__1 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationIntegerKey>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__3 vtkInformationRemove__3Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationIntegerKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__3 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationIntegerKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__3 vtkInformationHas__3Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationIntegerKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__3 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationIntegerKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__3 vtkInformationSet__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationSet__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationIdTypeKey *key, vtkIdType value); */
  if (arg.size() < 3) 
    throw Exception("Function Set__3 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIdTypeKey  *temp0;
  vtkIdType   temp1;
  temp0 = GetVTKPointer<vtkInformationIdTypeKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__2 vtkInformationGet__2Function
//input a0 a1 
//output y
ArrayVector vtkInformationGet__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType Get (vtkInformationIdTypeKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Get__2 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIdTypeKey  *temp0;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkInformationIdTypeKey>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__4 vtkInformationRemove__4Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationIdTypeKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__4 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIdTypeKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationIdTypeKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__4 vtkInformationHas__4Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationIdTypeKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__4 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIdTypeKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationIdTypeKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__4 vtkInformationSet__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationSet__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationDoubleKey *key, double value); */
  if (arg.size() < 3) 
    throw Exception("Function Set__4 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleKey  *temp0;
  double   temp1;
  temp0 = GetVTKPointer<vtkInformationDoubleKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__3 vtkInformationGet__3Function
//input a0 a1 
//output y
ArrayVector vtkInformationGet__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double Get (vtkInformationDoubleKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Get__3 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleKey  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkInformationDoubleKey>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__5 vtkInformationRemove__5Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationDoubleKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__5 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationDoubleKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__5 vtkInformationHas__5Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationDoubleKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__5 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationDoubleKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Append__1 vtkInformationAppend__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationAppend__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Append (vtkInformationIntegerVectorKey *key, int value); */
  if (arg.size() < 3) 
    throw Exception("Function Append__1 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Append(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__5 vtkInformationSet__5Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationSet__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationIntegerVectorKey *key, int *value, int length); */
  if (arg.size() < 4) 
    throw Exception("Function Set__5 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp0;
  int     *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__6 vtkInformationSet__6Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkInformationSet__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationIntegerVectorKey *key, int value1, int value2, int value3); */
  if (arg.size() < 5) 
    throw Exception("Function Set__6 for class vtkInformation requires 5 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__7 vtkInformationSet__7Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkInformationSet__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationIntegerVectorKey *key, int value1, int value2, int value3, int value4, int value5, int value6); */
  if (arg.size() < 8) 
    throw Exception("Function Set__7 for class vtkInformation requires 8 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  temp0 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__5 vtkInformationGet__5Function
//input a0 a1 a2 
//output y
ArrayVector vtkInformationGet__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Get (vtkInformationIntegerVectorKey *key, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function Get__5 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Get(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__6 vtkInformationGet__6Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationGet__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Get (vtkInformationIntegerVectorKey *key, int *value); */
  if (arg.size() < 3) 
    throw Exception("Function Get__6 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp0;
  int     *temp1;
  temp0 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->Get(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Length__1 vtkInformationLength__1Function
//input a0 a1 
//output y
ArrayVector vtkInformationLength__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Length (vtkInformationIntegerVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Length__1 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->Length(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__6 vtkInformationRemove__6Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationIntegerVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__6 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__6 vtkInformationHas__6Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationIntegerVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__6 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Append__2 vtkInformationAppend__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationAppend__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Append (vtkInformationStringVectorKey *key, const char *value); */
  if (arg.size() < 3) 
    throw Exception("Function Append__2 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringVectorKey  *temp0;
  char    *temp1;
  temp0 = GetVTKPointer<vtkInformationStringVectorKey>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->Append(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__8 vtkInformationSet__8Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationSet__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationStringVectorKey *key, const char *value, int idx); */
  if (arg.size() < 4) 
    throw Exception("Function Set__8 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringVectorKey  *temp0;
  char    *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformationStringVectorKey>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__7 vtkInformationGet__7Function
//input a0 a1 a2 
//output y
ArrayVector vtkInformationGet__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *Get (vtkInformationStringVectorKey *key, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function Get__7 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringVectorKey  *temp0;
  int      temp1;
  const char    *temp20;
  temp0 = GetVTKPointer<vtkInformationStringVectorKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Get(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Length__2 vtkInformationLength__2Function
//input a0 a1 
//output y
ArrayVector vtkInformationLength__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Length (vtkInformationStringVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Length__2 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringVectorKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationStringVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->Length(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__7 vtkInformationRemove__7Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationStringVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__7 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringVectorKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationStringVectorKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__7 vtkInformationHas__7Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationStringVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__7 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringVectorKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationStringVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__9 vtkInformationSet__9Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationSet__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationIntegerPointerKey *key, int *value, int length); */
  if (arg.size() < 4) 
    throw Exception("Function Set__9 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerPointerKey  *temp0;
  int     *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__9 vtkInformationGet__9Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationGet__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Get (vtkInformationIntegerPointerKey *key, int *value); */
  if (arg.size() < 3) 
    throw Exception("Function Get__9 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerPointerKey  *temp0;
  int     *temp1;
  temp0 = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->Get(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Length__3 vtkInformationLength__3Function
//input a0 a1 
//output y
ArrayVector vtkInformationLength__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Length (vtkInformationIntegerPointerKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Length__3 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerPointerKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[1]);
  temp20 = (vtk_pointer)->Length(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__8 vtkInformationRemove__8Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationIntegerPointerKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__8 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerPointerKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__8 vtkInformationHas__8Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationIntegerPointerKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__8 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerPointerKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__10 vtkInformationSet__10Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationSet__10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationUnsignedLongKey *key, unsigned long value); */
  if (arg.size() < 3) 
    throw Exception("Function Set__10 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationUnsignedLongKey  *temp0;
  unsigned long     temp1;
  temp0 = GetVTKPointer<vtkInformationUnsignedLongKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__10 vtkInformationGet__10Function
//input a0 a1 
//output y
ArrayVector vtkInformationGet__10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long Get (vtkInformationUnsignedLongKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Get__10 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationUnsignedLongKey  *temp0;
  unsigned long     temp20;
  temp0 = GetVTKPointer<vtkInformationUnsignedLongKey>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__9 vtkInformationRemove__9Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationUnsignedLongKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__9 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationUnsignedLongKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationUnsignedLongKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__9 vtkInformationHas__9Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationUnsignedLongKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__9 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationUnsignedLongKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationUnsignedLongKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Append__3 vtkInformationAppend__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationAppend__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Append (vtkInformationDoubleVectorKey *key, double value); */
  if (arg.size() < 3) 
    throw Exception("Function Append__3 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp0;
  double   temp1;
  temp0 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->Append(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__11 vtkInformationSet__11Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationSet__11Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationDoubleVectorKey *key, double *value, int length); */
  if (arg.size() < 4) 
    throw Exception("Function Set__11 for class vtkInformation requires 4 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp0;
  double  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__12 vtkInformationSet__12Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkInformationSet__12Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationDoubleVectorKey *key, double value1, double value2, double value3); */
  if (arg.size() < 5) 
    throw Exception("Function Set__12 for class vtkInformation requires 5 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__13 vtkInformationSet__13Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkInformationSet__13Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationDoubleVectorKey *key, double value1, double value2, double value3, double value4, double value5, double value6); */
  if (arg.size() < 8) 
    throw Exception("Function Set__13 for class vtkInformation requires 8 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  temp0 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__12 vtkInformationGet__12Function
//input a0 a1 a2 
//output y
ArrayVector vtkInformationGet__12Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double Get (vtkInformationDoubleVectorKey *key, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function Get__12 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp0;
  int      temp1;
  double   temp20;
  temp0 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Get(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__13 vtkInformationGet__13Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationGet__13Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Get (vtkInformationDoubleVectorKey *key, double *value); */
  if (arg.size() < 3) 
    throw Exception("Function Get__13 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp0;
  double  *temp1;
  temp0 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->Get(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Length__4 vtkInformationLength__4Function
//input a0 a1 
//output y
ArrayVector vtkInformationLength__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Length (vtkInformationDoubleVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Length__4 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->Length(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__10 vtkInformationRemove__10Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationDoubleVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__10 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__10 vtkInformationHas__10Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationDoubleVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__10 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Append__4 vtkInformationAppend__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationAppend__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Append (vtkInformationKeyVectorKey *key, vtkInformationKey *value); */
  if (arg.size() < 3) 
    throw Exception("Function Append__4 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationKey  *temp1;
  temp0 = GetVTKPointer<vtkInformationKeyVectorKey>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationKey>(arg[2]);
  vtk_pointer->Append(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:AppendUnique vtkInformationAppendUniqueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationAppendUniqueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AppendUnique (vtkInformationKeyVectorKey *key, vtkInformationKey *value); */
  if (arg.size() < 3) 
    throw Exception("Function AppendUnique for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationKey  *temp1;
  temp0 = GetVTKPointer<vtkInformationKeyVectorKey>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationKey>(arg[2]);
  vtk_pointer->AppendUnique(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__11 vtkInformationRemove__11Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationRemove__11Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationKeyVectorKey *key, vtkInformationKey *value); */
  if (arg.size() < 3) 
    throw Exception("Function Remove__11 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationKey  *temp1;
  temp0 = GetVTKPointer<vtkInformationKeyVectorKey>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationKey>(arg[2]);
  vtk_pointer->Remove(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__15 vtkInformationGet__15Function
//input a0 a1 a2 
//output y
ArrayVector vtkInformationGet__15Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationKey *Get (vtkInformationKeyVectorKey *key, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function Get__15 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKeyVectorKey  *temp0;
  int      temp1;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationKeyVectorKey>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Get(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Length__5 vtkInformationLength__5Function
//input a0 a1 
//output y
ArrayVector vtkInformationLength__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Length (vtkInformationKeyVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Length__5 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKeyVectorKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationKeyVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->Length(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__12 vtkInformationRemove__12Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__12Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationKeyVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__12 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKeyVectorKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationKeyVectorKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__11 vtkInformationHas__11Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__11Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationKeyVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__11 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKeyVectorKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationKeyVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__15 vtkInformationSet__15Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationSet__15Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationStringKey *key, const char *); */
  if (arg.size() < 3) 
    throw Exception("Function Set__15 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp0;
  char    *temp1;
  temp0 = GetVTKPointer<vtkInformationStringKey>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__17 vtkInformationGet__17Function
//input a0 a1 
//output y
ArrayVector vtkInformationGet__17Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *Get (vtkInformationStringKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Get__17 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp0;
  const char    *temp20;
  temp0 = GetVTKPointer<vtkInformationStringKey>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__13 vtkInformationRemove__13Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__13Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationStringKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__13 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationStringKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__12 vtkInformationHas__12Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__12Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationStringKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__12 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationStringKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__16 vtkInformationSet__16Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationSet__16Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationInformationKey *key, vtkInformation *); */
  if (arg.size() < 3) 
    throw Exception("Function Set__16 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationInformationKey  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformationInformationKey>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__18 vtkInformationGet__18Function
//input a0 a1 
//output y
ArrayVector vtkInformationGet__18Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *Get (vtkInformationInformationKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Get__18 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationInformationKey  *temp0;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkInformationInformationKey>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__14 vtkInformationRemove__14Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__14Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationInformationKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__14 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationInformationKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationInformationKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__13 vtkInformationHas__13Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__13Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationInformationKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__13 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationInformationKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationInformationKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__17 vtkInformationSet__17Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationSet__17Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationInformationVectorKey *key, vtkInformationVector *); */
  if (arg.size() < 3) 
    throw Exception("Function Set__17 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp0;
  vtkInformationVector  *temp1;
  temp0 = GetVTKPointer<vtkInformationInformationVectorKey>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationVector>(arg[2]);
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__19 vtkInformationGet__19Function
//input a0 a1 
//output y
ArrayVector vtkInformationGet__19Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationVector *Get (vtkInformationInformationVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Get__19 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp0;
  vtkInformationVector  *temp20;
  temp0 = GetVTKPointer<vtkInformationInformationVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationVector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__15 vtkInformationRemove__15Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__15Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationInformationVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__15 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationInformationVectorKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__14 vtkInformationHas__14Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__14Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationInformationVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__14 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationInformationVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__18 vtkInformationSet__18Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationSet__18Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationObjectBaseKey *key, vtkObjectBase *); */
  if (arg.size() < 3) 
    throw Exception("Function Set__18 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp0;
  vtkObjectBase  *temp1;
  temp0 = GetVTKPointer<vtkInformationObjectBaseKey>(arg[1]);
  temp1 = GetVTKPointer<vtkObjectBase>(arg[2]);
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__20 vtkInformationGet__20Function
//input a0 a1 
//output y
ArrayVector vtkInformationGet__20Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObjectBase *Get (vtkInformationObjectBaseKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Get__20 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp0;
  vtkObjectBase  *temp20;
  temp0 = GetVTKPointer<vtkInformationObjectBaseKey>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObjectBase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__16 vtkInformationRemove__16Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__16Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationObjectBaseKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__16 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationObjectBaseKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__15 vtkInformationHas__15Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__15Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationObjectBaseKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__15 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationObjectBaseKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Set__19 vtkInformationSet__19Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationSet__19Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformationDataObjectKey *key, vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function Set__19 for class vtkInformation requires 3 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDataObjectKey  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkInformationDataObjectKey>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Get__21 vtkInformationGet__21Function
//input a0 a1 
//output y
ArrayVector vtkInformationGet__21Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *Get (vtkInformationDataObjectKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Get__21 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDataObjectKey  *temp0;
  vtkDataObject  *temp20;
  temp0 = GetVTKPointer<vtkInformationDataObjectKey>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Remove__17 vtkInformationRemove__17Function
//input a0 a1 
//output none
ArrayVector vtkInformationRemove__17Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformationDataObjectKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Remove__17 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDataObjectKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationDataObjectKey>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Has__16 vtkInformationHas__16Function
//input a0 a1 
//output y
ArrayVector vtkInformationHas__16Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformationDataObjectKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function Has__16 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDataObjectKey  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformationDataObjectKey>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__1 vtkInformationGetKey__1Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationDataObjectKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__1 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDataObjectKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationDataObjectKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__2 vtkInformationGetKey__2Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationDoubleKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__2 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationDoubleKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__3 vtkInformationGetKey__3Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationDoubleVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__3 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__4 vtkInformationGetKey__4Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationInformationKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__4 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationInformationKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationInformationKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__5 vtkInformationGetKey__5Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationInformationVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__5 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationInformationVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__6 vtkInformationGetKey__6Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationIntegerKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__6 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationIntegerKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__7 vtkInformationGetKey__7Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationIntegerVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__7 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationIntegerVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__8 vtkInformationGetKey__8Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationRequestKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__8 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationRequestKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__9 vtkInformationGetKey__9Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationStringKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__9 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationStringKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__10 vtkInformationGetKey__10Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationStringVectorKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__10 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationStringVectorKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationStringVectorKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__11 vtkInformationGetKey__11Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__11Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__11 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetKey__12 vtkInformationGetKey__12Function
//input a0 a1 
//output y
ArrayVector vtkInformationGetKey__12Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKey *GetKey (vtkInformationUnsignedLongKey *key); */
  if (arg.size() < 2) 
    throw Exception("Function GetKey__12 for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationUnsignedLongKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformationUnsignedLongKey>(arg[1]);
  temp20 = (vtk_pointer)->GetKey(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Register vtkInformationRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkInformationRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:UnRegister vtkInformationUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkInformationUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:SetRequest vtkInformationSetRequestFunction
//input a0 a1 
//output none
ArrayVector vtkInformationSetRequestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRequest (vtkInformationRequestKey *request); */
  if (arg.size() < 2) 
    throw Exception("Function SetRequest for class vtkInformation requires 2 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp0;
  temp0 = GetVTKPointer<vtkInformationRequestKey>(arg[1]);
  vtk_pointer->SetRequest(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:GetRequest vtkInformationGetRequestFunction
//input a0 
//output y
ArrayVector vtkInformationGetRequestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationRequestKey *GetRequest (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRequest for class vtkInformation requires 1 argument(s)");
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp20;
  temp20 = (vtk_pointer)->GetRequest();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationRequestKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformation:Modified vtkInformationModifiedFunction
//input varargin
//output varargout
ArrayVector vtkInformationModifiedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkInformationModified__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationKey"))
    return vtkInformationModified__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationModified");
}

//@@Signature
//sfunction @vtkInformation:CopyEntry vtkInformationCopyEntryFunction
//input varargin
//output varargout
ArrayVector vtkInformationCopyEntryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationDataObjectKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationDoubleVectorKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationInformationKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__4Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationInformationVectorKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__5Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationIntegerKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__6Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationIntegerVectorKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__7Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationRequestKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__8Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationStringKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__9Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationStringVectorKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__10Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformationUnsignedLongKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationCopyEntry__11Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationCopyEntry");
}

//@@Signature
//sfunction @vtkInformation:Has vtkInformationHasFunction
//input varargin
//output varargout
ArrayVector vtkInformationHasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationKey"))
    return vtkInformationHas__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationRequestKey"))
    return vtkInformationHas__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerKey"))
    return vtkInformationHas__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIdTypeKey"))
    return vtkInformationHas__4Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDoubleKey"))
    return vtkInformationHas__5Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerVectorKey"))
    return vtkInformationHas__6Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationStringVectorKey"))
    return vtkInformationHas__7Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerPointerKey"))
    return vtkInformationHas__8Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationUnsignedLongKey"))
    return vtkInformationHas__9Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDoubleVectorKey"))
    return vtkInformationHas__10Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationKeyVectorKey"))
    return vtkInformationHas__11Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationStringKey"))
    return vtkInformationHas__12Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationInformationKey"))
    return vtkInformationHas__13Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationInformationVectorKey"))
    return vtkInformationHas__14Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationObjectBaseKey"))
    return vtkInformationHas__15Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDataObjectKey"))
    return vtkInformationHas__16Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationHas");
}

//@@Signature
//sfunction @vtkInformation:Remove vtkInformationRemoveFunction
//input varargin
//output varargout
ArrayVector vtkInformationRemoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationKey"))
    return vtkInformationRemove__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationRequestKey"))
    return vtkInformationRemove__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerKey"))
    return vtkInformationRemove__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIdTypeKey"))
    return vtkInformationRemove__4Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDoubleKey"))
    return vtkInformationRemove__5Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerVectorKey"))
    return vtkInformationRemove__6Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationStringVectorKey"))
    return vtkInformationRemove__7Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerPointerKey"))
    return vtkInformationRemove__8Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationUnsignedLongKey"))
    return vtkInformationRemove__9Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDoubleVectorKey"))
    return vtkInformationRemove__10Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationKeyVectorKey") && VTKIsClass(arg[2],"vtkInformationKey"))
    return vtkInformationRemove__11Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationKeyVectorKey"))
    return vtkInformationRemove__12Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationStringKey"))
    return vtkInformationRemove__13Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationInformationKey"))
    return vtkInformationRemove__14Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationInformationVectorKey"))
    return vtkInformationRemove__15Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationObjectBaseKey"))
    return vtkInformationRemove__16Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDataObjectKey"))
    return vtkInformationRemove__17Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationRemove");
}

//@@Signature
//sfunction @vtkInformation:Set vtkInformationSetFunction
//input varargin
//output varargout
ArrayVector vtkInformationSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationRequestKey"))
    return vtkInformationSet__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationIntegerKey") && VTKIsScalarArg(arg[2]))
    return vtkInformationSet__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationIdTypeKey") && VTKIsScalarArg(arg[2]))
    return vtkInformationSet__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationDoubleKey") && VTKIsScalarArg(arg[2]))
    return vtkInformationSet__4Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformationIntegerVectorKey") && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkInformationSet__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkInformationIntegerVectorKey") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkInformationSet__6Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsClass(arg[1],"vtkInformationIntegerVectorKey") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkInformationSet__7Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformationStringVectorKey") && VTKIsScalarArg(arg[3]))
    return vtkInformationSet__8Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformationIntegerPointerKey") && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkInformationSet__9Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationUnsignedLongKey") && VTKIsScalarArg(arg[2]))
    return vtkInformationSet__10Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkInformationDoubleVectorKey") && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkInformationSet__11Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkInformationDoubleVectorKey") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkInformationSet__12Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsClass(arg[1],"vtkInformationDoubleVectorKey") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkInformationSet__13Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationStringKey"))
    return vtkInformationSet__15Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationInformationKey") && VTKIsClass(arg[2],"vtkInformation"))
    return vtkInformationSet__16Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationInformationVectorKey") && VTKIsClass(arg[2],"vtkInformationVector"))
    return vtkInformationSet__17Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationObjectBaseKey") && VTKIsClass(arg[2],"vtkObjectBase"))
    return vtkInformationSet__18Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationDataObjectKey") && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkInformationSet__19Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationSet");
}

//@@Signature
//sfunction @vtkInformation:Get vtkInformationGetFunction
//input varargin
//output varargout
ArrayVector vtkInformationGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerKey"))
    return vtkInformationGet__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIdTypeKey"))
    return vtkInformationGet__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDoubleKey"))
    return vtkInformationGet__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationIntegerVectorKey") && VTKIsScalarArg(arg[2]))
    return vtkInformationGet__5Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationIntegerVectorKey") && VTKIsVectorArg(arg[2]))
    return vtkInformationGet__6Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationStringVectorKey") && VTKIsScalarArg(arg[2]))
    return vtkInformationGet__7Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationIntegerPointerKey") && VTKIsVectorArg(arg[2]))
    return vtkInformationGet__9Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationUnsignedLongKey"))
    return vtkInformationGet__10Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationDoubleVectorKey") && VTKIsScalarArg(arg[2]))
    return vtkInformationGet__12Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationDoubleVectorKey") && VTKIsVectorArg(arg[2]))
    return vtkInformationGet__13Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationKeyVectorKey") && VTKIsScalarArg(arg[2]))
    return vtkInformationGet__15Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationStringKey"))
    return vtkInformationGet__17Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationInformationKey"))
    return vtkInformationGet__18Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationInformationVectorKey"))
    return vtkInformationGet__19Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationObjectBaseKey"))
    return vtkInformationGet__20Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDataObjectKey"))
    return vtkInformationGet__21Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationGet");
}

//@@Signature
//sfunction @vtkInformation:Append vtkInformationAppendFunction
//input varargin
//output varargout
ArrayVector vtkInformationAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationIntegerVectorKey") && VTKIsScalarArg(arg[2]))
    return vtkInformationAppend__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationStringVectorKey"))
    return vtkInformationAppend__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationDoubleVectorKey") && VTKIsScalarArg(arg[2]))
    return vtkInformationAppend__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationKeyVectorKey") && VTKIsClass(arg[2],"vtkInformationKey"))
    return vtkInformationAppend__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationAppend");
}

//@@Signature
//sfunction @vtkInformation:Length vtkInformationLengthFunction
//input varargin
//output varargout
ArrayVector vtkInformationLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerVectorKey"))
    return vtkInformationLength__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationStringVectorKey"))
    return vtkInformationLength__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerPointerKey"))
    return vtkInformationLength__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDoubleVectorKey"))
    return vtkInformationLength__4Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationKeyVectorKey"))
    return vtkInformationLength__5Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationLength");
}

//@@Signature
//sfunction @vtkInformation:GetKey vtkInformationGetKeyFunction
//input varargin
//output varargout
ArrayVector vtkInformationGetKeyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDataObjectKey"))
    return vtkInformationGetKey__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDoubleKey"))
    return vtkInformationGetKey__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationDoubleVectorKey"))
    return vtkInformationGetKey__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationInformationKey"))
    return vtkInformationGetKey__4Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationInformationVectorKey"))
    return vtkInformationGetKey__5Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerKey"))
    return vtkInformationGetKey__6Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationIntegerVectorKey"))
    return vtkInformationGetKey__7Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationRequestKey"))
    return vtkInformationGetKey__8Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationStringKey"))
    return vtkInformationGetKey__9Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationStringVectorKey"))
    return vtkInformationGetKey__10Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationKey"))
    return vtkInformationGetKey__11Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationUnsignedLongKey"))
    return vtkInformationGetKey__12Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationGetKey");
}

//@@Signature
//sfunction @vtkInformation:display vtkInformationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformation* vtk_pointer = GetVTKPointer<vtkInformation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformation:delete vtkInformationDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformation
//@@Section VTKCommon
//@@Usage
// vtkInformation represents information and/or data for one input or
// one output of a vtkAlgorithm.  It maps from keys to values of
// several data types.  Instances of this class are collected in
// vtkInformationVector instances and passed to
// vtkAlgorithm::ProcessRequest calls.  The information and
// data referenced by the instance on a particular input or output
// define the request made to the vtkAlgorithm instance.
//
//To create an instance of class vtkInformation, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformation
//@]
//@@Methods
//The class vtkInformation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformation = obj.NewInstance ()|
// \item @|vtkInformation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Modified ()| -  Modified signature with no arguments that calls Modified
// on vtkObject superclass.
//// \item @|obj.Modified (vtkInformationKey key)| -  Modified signature that takes an information key as an argument.
// Sets the new MTime and invokes a modified event with the
// information key as call data.
//// \item @|obj.Clear ()| -  Clear all information entries.
//// \item @|int = obj.GetNumberOfKeys ()| -  Return the number of keys in this information object (as would be returned
// by iterating over the keys).
//// \item @|obj.Copy (vtkInformation from, int deep)| -  Copy all information entries from the given vtkInformation
// instance.  Any previously existing entries are removed.  If
// deep==1, a deep copy of the information structure is performed (new
// instances of any contained vtkInformation and vtkInformationVector
// objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationDataObjectKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationDoubleVectorKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationInformationKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationInformationVectorKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationIntegerKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationIntegerVectorKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationRequestKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationStringKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationStringVectorKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntry (vtkInformation from, vtkInformationUnsignedLongKey key, int deep)| -  Copy the key/value pair associated with the given key in the
// given information object.  If deep=1, a deep copy of the information
// structure is performed (new instances of any contained vtkInformation and
// vtkInformationVector objects are created).
//// \item @|obj.CopyEntries (vtkInformation from, vtkInformationKeyVectorKey key, int deep)| -  Use the given key to lookup a list of other keys in the given
// information object.  The key/value pairs associated with these
// other keys will be copied.  If deep==1, a deep copy of the
// information structure is performed.
//// \item @|int = obj.Has (vtkInformationKey key)| -  Check whether the given key appears in this information object.
//// \item @|obj.Remove (vtkInformationKey key)| -  Remove the given key and its data from this information object.
//// \item @|obj.Set (vtkInformationRequestKey key)| -  Get/Set a request-valued entry.
//// \item @|obj.Remove (vtkInformationRequestKey key)| -  Get/Set a request-valued entry.
//// \item @|int = obj.Has (vtkInformationRequestKey key)| -  Get/Set a request-valued entry.
//// \item @|obj.Set (vtkInformationIntegerKey key, int value)| -  Get/Set an integer-valued entry.
//// \item @|int = obj.Get (vtkInformationIntegerKey key)| -  Get/Set an integer-valued entry.
//// \item @|obj.Remove (vtkInformationIntegerKey key)| -  Get/Set an integer-valued entry.
//// \item @|int = obj.Has (vtkInformationIntegerKey key)| -  Get/Set an integer-valued entry.
//// \item @|obj.Set (vtkInformationIdTypeKey key, vtkIdType value)| -  Get/Set a vtkIdType-valued entry.
//// \item @|vtkIdType = obj.Get (vtkInformationIdTypeKey key)| -  Get/Set a vtkIdType-valued entry.
//// \item @|obj.Remove (vtkInformationIdTypeKey key)| -  Get/Set a vtkIdType-valued entry.
//// \item @|int = obj.Has (vtkInformationIdTypeKey key)| -  Get/Set a vtkIdType-valued entry.
//// \item @|obj.Set (vtkInformationDoubleKey key, double value)| -  Get/Set an double-valued entry.
//// \item @|double = obj.Get (vtkInformationDoubleKey key)| -  Get/Set an double-valued entry.
//// \item @|obj.Remove (vtkInformationDoubleKey key)| -  Get/Set an double-valued entry.
//// \item @|int = obj.Has (vtkInformationDoubleKey key)| -  Get/Set an double-valued entry.
//// \item @|obj.Append (vtkInformationIntegerVectorKey key, int value)| -  Get/Set an integer-vector-valued entry.
//// \item @|obj.Set (vtkInformationIntegerVectorKey key, int value, int length)| -  Get/Set an integer-vector-valued entry.
//// \item @|obj.Set (vtkInformationIntegerVectorKey key, int value1, int value2, int value3)| -  Get/Set an integer-vector-valued entry.
//// \item @|obj.Set (vtkInformationIntegerVectorKey key, int value1, int value2, int value3, int value4, int value5, int value6)| -  Get/Set an integer-vector-valued entry.
//// \item @|int = obj.Get (vtkInformationIntegerVectorKey key, int idx)| -  Get/Set an integer-vector-valued entry.
//// \item @|obj.Get (vtkInformationIntegerVectorKey key, int value)| -  Get/Set an integer-vector-valued entry.
//// \item @|int = obj.Length (vtkInformationIntegerVectorKey key)| -  Get/Set an integer-vector-valued entry.
//// \item @|obj.Remove (vtkInformationIntegerVectorKey key)| -  Get/Set an integer-vector-valued entry.
//// \item @|int = obj.Has (vtkInformationIntegerVectorKey key)| -  Get/Set an integer-vector-valued entry.
//// \item @|obj.Append (vtkInformationStringVectorKey key, string value)| -  Get/Set a string-vector-valued entry.
//// \item @|obj.Set (vtkInformationStringVectorKey key, string value, int idx)| -  Get/Set a string-vector-valued entry.
//// \item @|string = obj.Get (vtkInformationStringVectorKey key, int idx)| -  Get/Set a string-vector-valued entry.
//// \item @|int = obj.Length (vtkInformationStringVectorKey key)| -  Get/Set a string-vector-valued entry.
//// \item @|obj.Remove (vtkInformationStringVectorKey key)| -  Get/Set a string-vector-valued entry.
//// \item @|int = obj.Has (vtkInformationStringVectorKey key)| -  Get/Set a string-vector-valued entry.
//// \item @|obj.Set (vtkInformationIntegerPointerKey key, int value, int length)| -  Get/Set an integer-pointer-valued entry.
//// \item @|obj.Get (vtkInformationIntegerPointerKey key, int value)| -  Get/Set an integer-pointer-valued entry.
//// \item @|int = obj.Length (vtkInformationIntegerPointerKey key)| -  Get/Set an integer-pointer-valued entry.
//// \item @|obj.Remove (vtkInformationIntegerPointerKey key)| -  Get/Set an integer-pointer-valued entry.
//// \item @|int = obj.Has (vtkInformationIntegerPointerKey key)| -  Get/Set an integer-pointer-valued entry.
//// \item @|obj.Set (vtkInformationUnsignedLongKey key, long value)| -  Get/Set an unsigned-long-valued entry.
//// \item @|long = obj.Get (vtkInformationUnsignedLongKey key)| -  Get/Set an unsigned-long-valued entry.
//// \item @|obj.Remove (vtkInformationUnsignedLongKey key)| -  Get/Set an unsigned-long-valued entry.
//// \item @|int = obj.Has (vtkInformationUnsignedLongKey key)| -  Get/Set an unsigned-long-valued entry.
//// \item @|obj.Append (vtkInformationDoubleVectorKey key, double value)| -  Get/Set an double-vector-valued entry.
//// \item @|obj.Set (vtkInformationDoubleVectorKey key, double value, int length)| -  Get/Set an double-vector-valued entry.
//// \item @|obj.Set (vtkInformationDoubleVectorKey key, double value1, double value2, double value3)| -  Get/Set an double-vector-valued entry.
//// \item @|obj.Set (vtkInformationDoubleVectorKey key, double value1, double value2, double value3, double value4, double value5, double value6)| -  Get/Set an double-vector-valued entry.
//// \item @|double = obj.Get (vtkInformationDoubleVectorKey key, int idx)| -  Get/Set an double-vector-valued entry.
//// \item @|obj.Get (vtkInformationDoubleVectorKey key, double value)| -  Get/Set an double-vector-valued entry.
//// \item @|int = obj.Length (vtkInformationDoubleVectorKey key)| -  Get/Set an double-vector-valued entry.
//// \item @|obj.Remove (vtkInformationDoubleVectorKey key)| -  Get/Set an double-vector-valued entry.
//// \item @|int = obj.Has (vtkInformationDoubleVectorKey key)| -  Get/Set an double-vector-valued entry.
//// \item @|obj.Append (vtkInformationKeyVectorKey key, vtkInformationKey value)| -  Get/Set an InformationKey-vector-valued entry.
//// \item @|obj.AppendUnique (vtkInformationKeyVectorKey key, vtkInformationKey value)| -  Get/Set an InformationKey-vector-valued entry.
//// \item @|obj.Remove (vtkInformationKeyVectorKey key, vtkInformationKey value)| -  Get/Set an InformationKey-vector-valued entry.
//// \item @|vtkInformationKey = obj.Get (vtkInformationKeyVectorKey key, int idx)| -  Get/Set an InformationKey-vector-valued entry.
//// \item @|int = obj.Length (vtkInformationKeyVectorKey key)| -  Get/Set an InformationKey-vector-valued entry.
//// \item @|obj.Remove (vtkInformationKeyVectorKey key)| -  Get/Set an InformationKey-vector-valued entry.
//// \item @|int = obj.Has (vtkInformationKeyVectorKey key)| -  Get/Set an InformationKey-vector-valued entry.
//// \item @|obj.Set (vtkInformationStringKey key, string )| -  Get/Set a string-valued entry.
//// \item @|string = obj.Get (vtkInformationStringKey key)| -  Get/Set a string-valued entry.
//// \item @|obj.Remove (vtkInformationStringKey key)| -  Get/Set a string-valued entry.
//// \item @|int = obj.Has (vtkInformationStringKey key)| -  Get/Set a string-valued entry.
//// \item @|obj.Set (vtkInformationInformationKey key, vtkInformation )| -  Get/Set an entry storing another vtkInformation instance.
//// \item @|vtkInformation = obj.Get (vtkInformationInformationKey key)| -  Get/Set an entry storing another vtkInformation instance.
//// \item @|obj.Remove (vtkInformationInformationKey key)| -  Get/Set an entry storing another vtkInformation instance.
//// \item @|int = obj.Has (vtkInformationInformationKey key)| -  Get/Set an entry storing another vtkInformation instance.
//// \item @|obj.Set (vtkInformationInformationVectorKey key, vtkInformationVector )| -  Get/Set an entry storing a vtkInformationVector instance.
//// \item @|vtkInformationVector = obj.Get (vtkInformationInformationVectorKey key)| -  Get/Set an entry storing a vtkInformationVector instance.
//// \item @|obj.Remove (vtkInformationInformationVectorKey key)| -  Get/Set an entry storing a vtkInformationVector instance.
//// \item @|int = obj.Has (vtkInformationInformationVectorKey key)| -  Get/Set an entry storing a vtkInformationVector instance.
//// \item @|obj.Set (vtkInformationObjectBaseKey key, vtkObjectBase )| -  Get/Set an entry storing a vtkObjectBase instance.
//// \item @|vtkObjectBase = obj.Get (vtkInformationObjectBaseKey key)| -  Get/Set an entry storing a vtkObjectBase instance.
//// \item @|obj.Remove (vtkInformationObjectBaseKey key)| -  Get/Set an entry storing a vtkObjectBase instance.
//// \item @|int = obj.Has (vtkInformationObjectBaseKey key)| -  Get/Set an entry storing a vtkObjectBase instance.
//// \item @|obj.Set (vtkInformationDataObjectKey key, vtkDataObject )| -  Get/Set an entry storing a vtkDataObject instance.
//// \item @|vtkDataObject = obj.Get (vtkInformationDataObjectKey key)| -  Get/Set an entry storing a vtkDataObject instance.
//// \item @|obj.Remove (vtkInformationDataObjectKey key)| -  Get/Set an entry storing a vtkDataObject instance.
//// \item @|int = obj.Has (vtkInformationDataObjectKey key)| -  Get/Set an entry storing a vtkDataObject instance.
//// \item @|obj.Register (vtkObjectBase o)| -  Initiate garbage collection when a reference is removed.
//// \item @|obj.UnRegister (vtkObjectBase o)| -  Initiate garbage collection when a reference is removed.
//// \item @|obj.SetRequest (vtkInformationRequestKey request)| -  Get/Set the Request ivar
//// \item @|vtkInformationRequestKey = obj.GetRequest ()| -  Get/Set the Request ivar
////\end{itemize}
//!
