#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationDataObjectKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationDataObjectKey.h"

//@@Signature
//sfunction @vtkInformationDataObjectKey:vtkInformationDataObjectKey vtkInformationDataObjectKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationDataObjectKey vtkInformationKey 
ArrayVector vtkInformationDataObjectKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationDataObjectKey::New(),"vtkInformationDataObjectKey",eval);
  } else if (arg[0].className() == "vtkInformationDataObjectKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationDataObjectKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationDataObjectKey");
    vtkInformationDataObjectKey*q = reinterpret_cast<vtkInformationDataObjectKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationDataObjectKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationDataObjectKey:GetClassName vtkInformationDataObjectKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationDataObjectKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationDataObjectKey requires 1 argument(s)");
  vtkInformationDataObjectKey* vtk_pointer = GetVTKPointer<vtkInformationDataObjectKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationDataObjectKey:IsA vtkInformationDataObjectKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationDataObjectKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationDataObjectKey requires 2 argument(s)");
  vtkInformationDataObjectKey* vtk_pointer = GetVTKPointer<vtkInformationDataObjectKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationDataObjectKey:NewInstance vtkInformationDataObjectKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationDataObjectKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationDataObjectKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationDataObjectKey requires 1 argument(s)");
  vtkInformationDataObjectKey* vtk_pointer = GetVTKPointer<vtkInformationDataObjectKey>(arg[0]);
  Array retval;
  vtkInformationDataObjectKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDataObjectKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDataObjectKey:SafeDownCast vtkInformationDataObjectKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationDataObjectKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationDataObjectKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationDataObjectKey requires 2 argument(s)");
  vtkInformationDataObjectKey* vtk_pointer = GetVTKPointer<vtkInformationDataObjectKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationDataObjectKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDataObjectKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDataObjectKey:ShallowCopy vtkInformationDataObjectKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationDataObjectKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationDataObjectKey requires 3 argument(s)");
  vtkInformationDataObjectKey* vtk_pointer = GetVTKPointer<vtkInformationDataObjectKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDataObjectKey:Report vtkInformationDataObjectKeyReportFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationDataObjectKeyReportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Report (vtkInformation *info, vtkGarbageCollector *collector); */
  if (arg.size() < 3) 
    throw Exception("Function Report for class vtkInformationDataObjectKey requires 3 argument(s)");
  vtkInformationDataObjectKey* vtk_pointer = GetVTKPointer<vtkInformationDataObjectKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkGarbageCollector  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkGarbageCollector>(arg[2]);
  vtk_pointer->Report(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDataObjectKey:display vtkInformationDataObjectKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationDataObjectKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationDataObjectKey* vtk_pointer = GetVTKPointer<vtkInformationDataObjectKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationDataObjectKey:delete vtkInformationDataObjectKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationDataObjectKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationDataObjectKey
//@@Section VTKCommon
//@@Usage
// vtkInformationDataObjectKey is used to represent keys in
// vtkInformation for values that are vtkDataObject instances.
//
//To create an instance of class vtkInformationDataObjectKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationDataObjectKey
//@]
//@@Methods
//The class vtkInformationDataObjectKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationDataObjectKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationDataObjectKey = obj.NewInstance ()|
// \item @|vtkInformationDataObjectKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationDataObjectKey = obj.(string name, string location)|
// \item @|~vtkInformationDataObjectKey = obj.()|
// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
//// \item @|obj.Report (vtkInformation info, vtkGarbageCollector collector)| -  Report a reference this key has in the given information object.
////\end{itemize}
//!
