#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationDoubleKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationDoubleKey.h"

//@@Signature
//sfunction @vtkInformationDoubleKey:vtkInformationDoubleKey vtkInformationDoubleKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationDoubleKey vtkInformationKey 
ArrayVector vtkInformationDoubleKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationDoubleKey::New(),"vtkInformationDoubleKey",eval);
  } else if (arg[0].className() == "vtkInformationDoubleKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationDoubleKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationDoubleKey");
    vtkInformationDoubleKey*q = reinterpret_cast<vtkInformationDoubleKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationDoubleKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationDoubleKey:GetClassName vtkInformationDoubleKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationDoubleKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationDoubleKey requires 1 argument(s)");
  vtkInformationDoubleKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleKey:IsA vtkInformationDoubleKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationDoubleKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationDoubleKey requires 2 argument(s)");
  vtkInformationDoubleKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleKey:NewInstance vtkInformationDoubleKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationDoubleKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationDoubleKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationDoubleKey requires 1 argument(s)");
  vtkInformationDoubleKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleKey>(arg[0]);
  Array retval;
  vtkInformationDoubleKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleKey:SafeDownCast vtkInformationDoubleKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationDoubleKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationDoubleKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationDoubleKey requires 2 argument(s)");
  vtkInformationDoubleKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationDoubleKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleKey:Set vtkInformationDoubleKeySetFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationDoubleKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info, double ); */
  if (arg.size() < 3) 
    throw Exception("Function Set for class vtkInformationDoubleKey requires 3 argument(s)");
  vtkInformationDoubleKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  double   temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleKey:Get vtkInformationDoubleKeyGetFunction
//input a0 a1 
//output y
ArrayVector vtkInformationDoubleKeyGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double Get (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Get for class vtkInformationDoubleKey requires 2 argument(s)");
  vtkInformationDoubleKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleKey:ShallowCopy vtkInformationDoubleKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationDoubleKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationDoubleKey requires 3 argument(s)");
  vtkInformationDoubleKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleKey:display vtkInformationDoubleKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationDoubleKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationDoubleKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationDoubleKey:delete vtkInformationDoubleKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationDoubleKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationDoubleKey
//@@Section VTKCommon
//@@Usage
// vtkInformationDoubleKey is used to represent keys for double values
// in vtkInformation.
//
//To create an instance of class vtkInformationDoubleKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationDoubleKey
//@]
//@@Methods
//The class vtkInformationDoubleKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationDoubleKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationDoubleKey = obj.NewInstance ()|
// \item @|vtkInformationDoubleKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationDoubleKey = obj.(string name, string location)|
// \item @|~vtkInformationDoubleKey = obj.()|
// \item @|obj.Set (vtkInformation info, double )| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|double = obj.Get (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
////\end{itemize}
//!
