#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationDoubleVectorKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationDoubleVectorKey.h"

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:vtkInformationDoubleVectorKey vtkInformationDoubleVectorKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationDoubleVectorKey vtkInformationKey 
ArrayVector vtkInformationDoubleVectorKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationDoubleVectorKey::New(),"vtkInformationDoubleVectorKey",eval);
  } else if (arg[0].className() == "vtkInformationDoubleVectorKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationDoubleVectorKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationDoubleVectorKey");
    vtkInformationDoubleVectorKey*q = reinterpret_cast<vtkInformationDoubleVectorKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationDoubleVectorKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationDoubleVectorKey:GetClassName vtkInformationDoubleVectorKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationDoubleVectorKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationDoubleVectorKey requires 1 argument(s)");
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:IsA vtkInformationDoubleVectorKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationDoubleVectorKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationDoubleVectorKey requires 2 argument(s)");
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:NewInstance vtkInformationDoubleVectorKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationDoubleVectorKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationDoubleVectorKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationDoubleVectorKey requires 1 argument(s)");
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:SafeDownCast vtkInformationDoubleVectorKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationDoubleVectorKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationDoubleVectorKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationDoubleVectorKey requires 2 argument(s)");
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationDoubleVectorKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:Append vtkInformationDoubleVectorKeyAppendFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationDoubleVectorKeyAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Append (vtkInformation *info, double value); */
  if (arg.size() < 3) 
    throw Exception("Function Append for class vtkInformationDoubleVectorKey requires 3 argument(s)");
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  double   temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->Append(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:Set vtkInformationDoubleVectorKeySetFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationDoubleVectorKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info, double *value, int length); */
  if (arg.size() < 4) 
    throw Exception("Function Set for class vtkInformationDoubleVectorKey requires 4 argument(s)");
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  double  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:Get__2 vtkInformationDoubleVectorKeyGet__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkInformationDoubleVectorKeyGet__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double Get (vtkInformation *info, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function Get__2 for class vtkInformationDoubleVectorKey requires 3 argument(s)");
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  double   temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Get(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:Get__3 vtkInformationDoubleVectorKeyGet__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationDoubleVectorKeyGet__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Get (vtkInformation *info, double *value); */
  if (arg.size() < 3) 
    throw Exception("Function Get__3 for class vtkInformationDoubleVectorKey requires 3 argument(s)");
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  double  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->Get(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:Length vtkInformationDoubleVectorKeyLengthFunction
//input a0 a1 
//output y
ArrayVector vtkInformationDoubleVectorKeyLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Length (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Length for class vtkInformationDoubleVectorKey requires 2 argument(s)");
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Length(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:ShallowCopy vtkInformationDoubleVectorKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationDoubleVectorKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationDoubleVectorKey requires 3 argument(s)");
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:Get vtkInformationDoubleVectorKeyGetFunction
//input varargin
//output varargout
ArrayVector vtkInformationDoubleVectorKeyGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformation") && VTKIsScalarArg(arg[2]))
    return vtkInformationDoubleVectorKeyGet__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformation") && VTKIsVectorArg(arg[2]))
    return vtkInformationDoubleVectorKeyGet__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationDoubleVectorKeyGet");
}

//@@Signature
//sfunction @vtkInformationDoubleVectorKey:display vtkInformationDoubleVectorKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationDoubleVectorKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationDoubleVectorKey* vtk_pointer = GetVTKPointer<vtkInformationDoubleVectorKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationDoubleVectorKey:delete vtkInformationDoubleVectorKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationDoubleVectorKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationDoubleVectorKey
//@@Section VTKCommon
//@@Usage
// vtkInformationDoubleVectorKey is used to represent keys for double
// vector values in vtkInformation.h
//
//To create an instance of class vtkInformationDoubleVectorKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationDoubleVectorKey
//@]
//@@Methods
//The class vtkInformationDoubleVectorKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationDoubleVectorKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationDoubleVectorKey = obj.NewInstance ()|
// \item @|vtkInformationDoubleVectorKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationDoubleVectorKey = obj.(string name, string location, int length)|
// \item @|~vtkInformationDoubleVectorKey = obj.()|
// \item @|obj.Append (vtkInformation info, double value)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.Set (vtkInformation info, double value, int length)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|double = obj.Get (vtkInformation info, int idx)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.Get (vtkInformation info, double value)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|int = obj.Length (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
////\end{itemize}
//!
