#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationIdTypeKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationIdTypeKey.h"

//@@Signature
//sfunction @vtkInformationIdTypeKey:vtkInformationIdTypeKey vtkInformationIdTypeKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationIdTypeKey vtkInformationKey 
ArrayVector vtkInformationIdTypeKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationIdTypeKey::New(),"vtkInformationIdTypeKey",eval);
  } else if (arg[0].className() == "vtkInformationIdTypeKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationIdTypeKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationIdTypeKey");
    vtkInformationIdTypeKey*q = reinterpret_cast<vtkInformationIdTypeKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationIdTypeKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationIdTypeKey:GetClassName vtkInformationIdTypeKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationIdTypeKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationIdTypeKey requires 1 argument(s)");
  vtkInformationIdTypeKey* vtk_pointer = GetVTKPointer<vtkInformationIdTypeKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIdTypeKey:IsA vtkInformationIdTypeKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIdTypeKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationIdTypeKey requires 2 argument(s)");
  vtkInformationIdTypeKey* vtk_pointer = GetVTKPointer<vtkInformationIdTypeKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIdTypeKey:NewInstance vtkInformationIdTypeKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationIdTypeKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationIdTypeKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationIdTypeKey requires 1 argument(s)");
  vtkInformationIdTypeKey* vtk_pointer = GetVTKPointer<vtkInformationIdTypeKey>(arg[0]);
  Array retval;
  vtkInformationIdTypeKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIdTypeKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIdTypeKey:SafeDownCast vtkInformationIdTypeKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIdTypeKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationIdTypeKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationIdTypeKey requires 2 argument(s)");
  vtkInformationIdTypeKey* vtk_pointer = GetVTKPointer<vtkInformationIdTypeKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationIdTypeKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIdTypeKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIdTypeKey:Set vtkInformationIdTypeKeySetFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationIdTypeKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info, vtkIdType ); */
  if (arg.size() < 3) 
    throw Exception("Function Set for class vtkInformationIdTypeKey requires 3 argument(s)");
  vtkInformationIdTypeKey* vtk_pointer = GetVTKPointer<vtkInformationIdTypeKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkIdType   temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIdTypeKey:Get vtkInformationIdTypeKeyGetFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIdTypeKeyGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType Get (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Get for class vtkInformationIdTypeKey requires 2 argument(s)");
  vtkInformationIdTypeKey* vtk_pointer = GetVTKPointer<vtkInformationIdTypeKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIdTypeKey:ShallowCopy vtkInformationIdTypeKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationIdTypeKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationIdTypeKey requires 3 argument(s)");
  vtkInformationIdTypeKey* vtk_pointer = GetVTKPointer<vtkInformationIdTypeKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIdTypeKey:display vtkInformationIdTypeKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationIdTypeKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationIdTypeKey* vtk_pointer = GetVTKPointer<vtkInformationIdTypeKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationIdTypeKey:delete vtkInformationIdTypeKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationIdTypeKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationIdTypeKey
//@@Section VTKCommon
//@@Usage
// vtkInformationIdTypeKey is used to represent keys for vtkIdType values
// in vtkInformation.
//
//To create an instance of class vtkInformationIdTypeKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationIdTypeKey
//@]
//@@Methods
//The class vtkInformationIdTypeKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationIdTypeKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationIdTypeKey = obj.NewInstance ()|
// \item @|vtkInformationIdTypeKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationIdTypeKey = obj.(string name, string location)|
// \item @|~vtkInformationIdTypeKey = obj.()|
// \item @|obj.Set (vtkInformation info, vtkIdType )| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|vtkIdType = obj.Get (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
////\end{itemize}
//!
