#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationInformationKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationInformationKey.h"

//@@Signature
//sfunction @vtkInformationInformationKey:vtkInformationInformationKey vtkInformationInformationKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationInformationKey vtkInformationKey 
ArrayVector vtkInformationInformationKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationInformationKey::New(),"vtkInformationInformationKey",eval);
  } else if (arg[0].className() == "vtkInformationInformationKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationInformationKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationInformationKey");
    vtkInformationInformationKey*q = reinterpret_cast<vtkInformationInformationKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationInformationKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationInformationKey:GetClassName vtkInformationInformationKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationInformationKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationInformationKey requires 1 argument(s)");
  vtkInformationInformationKey* vtk_pointer = GetVTKPointer<vtkInformationInformationKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationInformationKey:IsA vtkInformationInformationKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationInformationKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationInformationKey requires 2 argument(s)");
  vtkInformationInformationKey* vtk_pointer = GetVTKPointer<vtkInformationInformationKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationInformationKey:NewInstance vtkInformationInformationKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationInformationKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationInformationKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationInformationKey requires 1 argument(s)");
  vtkInformationInformationKey* vtk_pointer = GetVTKPointer<vtkInformationInformationKey>(arg[0]);
  Array retval;
  vtkInformationInformationKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationInformationKey:SafeDownCast vtkInformationInformationKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationInformationKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationInformationKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationInformationKey requires 2 argument(s)");
  vtkInformationInformationKey* vtk_pointer = GetVTKPointer<vtkInformationInformationKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationInformationKey:Set vtkInformationInformationKeySetFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationInformationKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info, vtkInformation *); */
  if (arg.size() < 3) 
    throw Exception("Function Set for class vtkInformationInformationKey requires 3 argument(s)");
  vtkInformationInformationKey* vtk_pointer = GetVTKPointer<vtkInformationInformationKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationInformationKey:Get vtkInformationInformationKeyGetFunction
//input a0 a1 
//output y
ArrayVector vtkInformationInformationKeyGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *Get (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Get for class vtkInformationInformationKey requires 2 argument(s)");
  vtkInformationInformationKey* vtk_pointer = GetVTKPointer<vtkInformationInformationKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationInformationKey:ShallowCopy vtkInformationInformationKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationInformationKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationInformationKey requires 3 argument(s)");
  vtkInformationInformationKey* vtk_pointer = GetVTKPointer<vtkInformationInformationKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationInformationKey:DeepCopy vtkInformationInformationKeyDeepCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationInformationKeyDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function DeepCopy for class vtkInformationInformationKey requires 3 argument(s)");
  vtkInformationInformationKey* vtk_pointer = GetVTKPointer<vtkInformationInformationKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->DeepCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationInformationKey:display vtkInformationInformationKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationInformationKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationInformationKey* vtk_pointer = GetVTKPointer<vtkInformationInformationKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationInformationKey:delete vtkInformationInformationKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationInformationKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationInformationKey
//@@Section VTKCommon
//@@Usage
// vtkInformationInformationKey is used to represent keys in vtkInformation
// for other information objects.
//
//To create an instance of class vtkInformationInformationKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationInformationKey
//@]
//@@Methods
//The class vtkInformationInformationKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationInformationKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationInformationKey = obj.NewInstance ()|
// \item @|vtkInformationInformationKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationInformationKey = obj.(string name, string location)|
// \item @|~vtkInformationInformationKey = obj.()|
// \item @|obj.Set (vtkInformation info, vtkInformation )| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|vtkInformation = obj.Get (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
//// \item @|obj.DeepCopy (vtkInformation from, vtkInformation to)| -  Duplicate (new instance created) the entry associated with this key from
// one information object to another (new instances of any contained
// vtkInformation and vtkInformationVector objects are created).  
////\end{itemize}
//!
