#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationIntegerKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationIntegerKey.h"

//@@Signature
//sfunction @vtkInformationIntegerKey:vtkInformationIntegerKey vtkInformationIntegerKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationIntegerKey vtkInformationKey 
ArrayVector vtkInformationIntegerKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationIntegerKey::New(),"vtkInformationIntegerKey",eval);
  } else if (arg[0].className() == "vtkInformationIntegerKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationIntegerKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationIntegerKey");
    vtkInformationIntegerKey*q = reinterpret_cast<vtkInformationIntegerKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationIntegerKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationIntegerKey:GetClassName vtkInformationIntegerKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationIntegerKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationIntegerKey requires 1 argument(s)");
  vtkInformationIntegerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerKey:IsA vtkInformationIntegerKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIntegerKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationIntegerKey requires 2 argument(s)");
  vtkInformationIntegerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerKey:NewInstance vtkInformationIntegerKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationIntegerKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationIntegerKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationIntegerKey requires 1 argument(s)");
  vtkInformationIntegerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerKey>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerKey:SafeDownCast vtkInformationIntegerKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIntegerKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationIntegerKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationIntegerKey requires 2 argument(s)");
  vtkInformationIntegerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationIntegerKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerKey:Set vtkInformationIntegerKeySetFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationIntegerKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info, int ); */
  if (arg.size() < 3) 
    throw Exception("Function Set for class vtkInformationIntegerKey requires 3 argument(s)");
  vtkInformationIntegerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerKey:Get vtkInformationIntegerKeyGetFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIntegerKeyGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Get (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Get for class vtkInformationIntegerKey requires 2 argument(s)");
  vtkInformationIntegerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerKey:ShallowCopy vtkInformationIntegerKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationIntegerKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationIntegerKey requires 3 argument(s)");
  vtkInformationIntegerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerKey:display vtkInformationIntegerKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationIntegerKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationIntegerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationIntegerKey:delete vtkInformationIntegerKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationIntegerKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationIntegerKey
//@@Section VTKCommon
//@@Usage
// vtkInformationIntegerKey is used to represent keys for integer values
// in vtkInformation.
//
//To create an instance of class vtkInformationIntegerKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationIntegerKey
//@]
//@@Methods
//The class vtkInformationIntegerKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationIntegerKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationIntegerKey = obj.NewInstance ()|
// \item @|vtkInformationIntegerKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationIntegerKey = obj.(string name, string location)|
// \item @|~vtkInformationIntegerKey = obj.()|
// \item @|obj.Set (vtkInformation info, int )| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|int = obj.Get (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
////\end{itemize}
//!
