#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationIntegerPointerKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationIntegerPointerKey.h"

//@@Signature
//sfunction @vtkInformationIntegerPointerKey:vtkInformationIntegerPointerKey vtkInformationIntegerPointerKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationIntegerPointerKey vtkInformationKey 
ArrayVector vtkInformationIntegerPointerKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationIntegerPointerKey::New(),"vtkInformationIntegerPointerKey",eval);
  } else if (arg[0].className() == "vtkInformationIntegerPointerKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationIntegerPointerKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationIntegerPointerKey");
    vtkInformationIntegerPointerKey*q = reinterpret_cast<vtkInformationIntegerPointerKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationIntegerPointerKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationIntegerPointerKey:GetClassName vtkInformationIntegerPointerKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationIntegerPointerKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationIntegerPointerKey requires 1 argument(s)");
  vtkInformationIntegerPointerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerPointerKey:IsA vtkInformationIntegerPointerKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIntegerPointerKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationIntegerPointerKey requires 2 argument(s)");
  vtkInformationIntegerPointerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerPointerKey:NewInstance vtkInformationIntegerPointerKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationIntegerPointerKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationIntegerPointerKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationIntegerPointerKey requires 1 argument(s)");
  vtkInformationIntegerPointerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[0]);
  Array retval;
  vtkInformationIntegerPointerKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerPointerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerPointerKey:SafeDownCast vtkInformationIntegerPointerKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIntegerPointerKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationIntegerPointerKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationIntegerPointerKey requires 2 argument(s)");
  vtkInformationIntegerPointerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationIntegerPointerKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerPointerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerPointerKey:Set vtkInformationIntegerPointerKeySetFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationIntegerPointerKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info, int *value, int length); */
  if (arg.size() < 4) 
    throw Exception("Function Set for class vtkInformationIntegerPointerKey requires 4 argument(s)");
  vtkInformationIntegerPointerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int     *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerPointerKey:Get__2 vtkInformationIntegerPointerKeyGet__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkInformationIntegerPointerKeyGet__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Get (vtkInformation *info, int *value); */
  if (arg.size() < 3) 
    throw Exception("Function Get__2 for class vtkInformationIntegerPointerKey requires 3 argument(s)");
  vtkInformationIntegerPointerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int     *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->Get(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerPointerKey:Length vtkInformationIntegerPointerKeyLengthFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIntegerPointerKeyLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Length (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Length for class vtkInformationIntegerPointerKey requires 2 argument(s)");
  vtkInformationIntegerPointerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Length(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerPointerKey:ShallowCopy vtkInformationIntegerPointerKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationIntegerPointerKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationIntegerPointerKey requires 3 argument(s)");
  vtkInformationIntegerPointerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIntegerPointerKey:Get vtkInformationIntegerPointerKeyGetFunction
//input varargin
//output varargout
ArrayVector vtkInformationIntegerPointerKeyGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformation") && VTKIsVectorArg(arg[2]))
    return vtkInformationIntegerPointerKeyGet__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationIntegerPointerKeyGet");
}

//@@Signature
//sfunction @vtkInformationIntegerPointerKey:display vtkInformationIntegerPointerKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationIntegerPointerKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationIntegerPointerKey* vtk_pointer = GetVTKPointer<vtkInformationIntegerPointerKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationIntegerPointerKey:delete vtkInformationIntegerPointerKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationIntegerPointerKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationIntegerPointerKey
//@@Section VTKCommon
//@@Usage
// vtkInformationIntegerPointerKey is used to represent keys for pointer
// to integer values in vtkInformation.h
//
//To create an instance of class vtkInformationIntegerPointerKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationIntegerPointerKey
//@]
//@@Methods
//The class vtkInformationIntegerPointerKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationIntegerPointerKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationIntegerPointerKey = obj.NewInstance ()|
// \item @|vtkInformationIntegerPointerKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationIntegerPointerKey = obj.(string name, string location, int length)|
// \item @|~vtkInformationIntegerPointerKey = obj.()|
// \item @|obj.Set (vtkInformation info, int value, int length)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.Get (vtkInformation info, int value)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|int = obj.Length (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
////\end{itemize}
//!
