#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationIterator.h"

//@@Signature
//sfunction @vtkInformationIterator:vtkInformationIterator vtkInformationIteratorConstructorFunction
//input a
//output p
//@@Parents vtkInformationIterator vtkObject 
ArrayVector vtkInformationIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationIterator::New(),"vtkInformationIterator",eval);
  } else if (arg[0].className() == "vtkInformationIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationIterator");
    vtkInformationIterator*q = reinterpret_cast<vtkInformationIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationIterator:GetClassName vtkInformationIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationIterator requires 1 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:IsA vtkInformationIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationIterator requires 2 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:NewInstance vtkInformationIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationIterator requires 1 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  vtkInformationIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:SafeDownCast vtkInformationIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationIterator requires 2 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:SetInformation vtkInformationIteratorSetInformationFunction
//input a0 a1 
//output none
ArrayVector vtkInformationIteratorSetInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInformation (vtkInformation *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInformation for class vtkInformationIterator requires 2 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->SetInformation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:GetInformation vtkInformationIteratorGetInformationFunction
//input a0 
//output y
ArrayVector vtkInformationIteratorGetInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInformation for class vtkInformationIterator requires 1 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  vtkInformation  *temp20;
  temp20 = (vtk_pointer)->GetInformation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:InitTraversal vtkInformationIteratorInitTraversalFunction
//input a0 
//output none
ArrayVector vtkInformationIteratorInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitTraversal ();this GoToFirstItem  */
  if (arg.size() < 1) 
    throw Exception("Function InitTraversal for class vtkInformationIterator requires 1 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  vtk_pointer->InitTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:GoToFirstItem vtkInformationIteratorGoToFirstItemFunction
//input a0 
//output none
ArrayVector vtkInformationIteratorGoToFirstItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GoToFirstItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GoToFirstItem for class vtkInformationIterator requires 1 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  vtk_pointer->GoToFirstItem();
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:GoToNextItem vtkInformationIteratorGoToNextItemFunction
//input a0 
//output none
ArrayVector vtkInformationIteratorGoToNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GoToNextItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GoToNextItem for class vtkInformationIterator requires 1 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  vtk_pointer->GoToNextItem();
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:IsDoneWithTraversal vtkInformationIteratorIsDoneWithTraversalFunction
//input a0 
//output y
ArrayVector vtkInformationIteratorIsDoneWithTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsDoneWithTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function IsDoneWithTraversal for class vtkInformationIterator requires 1 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsDoneWithTraversal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:GetCurrentKey vtkInformationIteratorGetCurrentKeyFunction
//input a0 
//output y
ArrayVector vtkInformationIteratorGetCurrentKeyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkInformationKey *GetCurrentKey (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentKey for class vtkInformationIterator requires 1 argument(s)");
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  Array retval;
  vtkInformationKey  *temp20;
  temp20 = (vtk_pointer)->GetCurrentKey();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationIterator:display vtkInformationIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationIterator* vtk_pointer = GetVTKPointer<vtkInformationIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationIterator:delete vtkInformationIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationIterator
//@@Section VTKCommon
//@@Usage
// vtkInformationIterator can be used to iterate over the keys of an
// information object. The corresponding values can then be directly
// obtained from the information object using the keys.
//
//
//To create an instance of class vtkInformationIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationIterator
//@]
//@@Methods
//The class vtkInformationIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationIterator = obj.NewInstance ()|
// \item @|vtkInformationIterator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInformation (vtkInformation )| -  Set/Get the information to iterator over.
//// \item @|vtkInformation = obj.GetInformation ()| -  Set/Get the information to iterator over.
//// \item @|obj.InitTraversal ()| -  Move the iterator to the beginning of the collection.
//// \item @|obj.GoToFirstItem ()| -  Move the iterator to the beginning of the collection.
//// \item @|obj.GoToNextItem ()| -  Move the iterator to the next item in the collection.
//// \item @|int = obj.IsDoneWithTraversal ()| -  Test whether the iterator is currently pointing to a valid
// item. Returns 1 for yes, 0 for no.
//// \item @|vtkInformationKey = obj.GetCurrentKey ()| -  Get the current item. Valid only when IsDoneWithTraversal()
// returns 1.
////\end{itemize}
//!
