#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationKey.h"

//@@Signature
//sfunction @vtkInformationKey:vtkInformationKey vtkInformationKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationKey vtkObjectBase 
ArrayVector vtkInformationKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationKey::New(),"vtkInformationKey",eval);
  } else if (arg[0].className() == "vtkInformationKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationKey");
    vtkInformationKey*q = reinterpret_cast<vtkInformationKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationKey:GetClassName vtkInformationKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationKey requires 1 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:IsA vtkInformationKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationKey requires 2 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:NewInstance vtkInformationKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationKey requires 1 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  vtkInformationKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:SafeDownCast vtkInformationKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationKey requires 2 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:Register vtkInformationKeyRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkInformationKeyRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkInformationKey requires 2 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:UnRegister vtkInformationKeyUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkInformationKeyUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkInformationKey requires 2 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:GetName vtkInformationKeyGetNameFunction
//input a0 
//output y
ArrayVector vtkInformationKeyGetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetName for class vtkInformationKey requires 1 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:GetLocation vtkInformationKeyGetLocationFunction
//input a0 
//output y
ArrayVector vtkInformationKeyGetLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetLocation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocation for class vtkInformationKey requires 1 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLocation();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:ShallowCopy vtkInformationKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationKey requires 3 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:DeepCopy vtkInformationKeyDeepCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationKeyDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkInformation *from, vtkInformation *to);this ShallowCopy from to  */
  if (arg.size() < 3) 
    throw Exception("Function DeepCopy for class vtkInformationKey requires 3 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->DeepCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:Has vtkInformationKeyHasFunction
//input a0 a1 
//output y
ArrayVector vtkInformationKeyHasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Has (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Has for class vtkInformationKey requires 2 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:Remove vtkInformationKeyRemoveFunction
//input a0 a1 
//output none
ArrayVector vtkInformationKeyRemoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Remove (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Remove for class vtkInformationKey requires 2 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:Report vtkInformationKeyReportFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationKeyReportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Report (vtkInformation *info, vtkGarbageCollector *collector); */
  if (arg.size() < 3) 
    throw Exception("Function Report for class vtkInformationKey requires 3 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkGarbageCollector  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkGarbageCollector>(arg[2]);
  vtk_pointer->Report(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:Print__1 vtkInformationKeyPrint__1Function
//input a0 a1 
//output none
ArrayVector vtkInformationKeyPrint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Print (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Print__1 for class vtkInformationKey requires 2 argument(s)");
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->Print(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKey:Print vtkInformationKeyPrintFunction
//input varargin
//output varargout
ArrayVector vtkInformationKeyPrintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformation"))
    return vtkInformationKeyPrint__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationKeyPrint");
}

//@@Signature
//sfunction @vtkInformationKey:display vtkInformationKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationKey* vtk_pointer = GetVTKPointer<vtkInformationKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationKey:delete vtkInformationKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationKey
//@@Section VTKCommon
//@@Usage
// vtkInformationKey is the superclass for all keys used to access the
// map represented by vtkInformation.  The vtkInformation::Set and
// vtkInformation::Get methods of vtkInformation are accessed by
// information keys.  A key is a pointer to an instance of a subclass
// of vtkInformationKey.  The type of the subclass determines the
// overload of Set/Get that is selected.  This ensures that the type
// of value stored in a vtkInformation instance corresponding to a
// given key matches the type expected for that key.
//
//To create an instance of class vtkInformationKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationKey
//@]
//@@Methods
//The class vtkInformationKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationKey = obj.NewInstance ()|
// \item @|vtkInformationKey = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Register (vtkObjectBase )| -  Prevent normal vtkObject reference counting behavior.
//// \item @|obj.UnRegister (vtkObjectBase )| -  Prevent normal vtkObject reference counting behavior.
//// \item @|string = obj.GetName ()| -  Get the name of the key.  This is not the type of the key, but
// the name of the key instance.
//// \item @|string = obj.GetLocation ()| -  Get the location of the key.  This is the name of the class in
// which the key is defined.
//// \item @|vtkInformationKey = obj.(string name, string location)| -  Key instances are static data that need to be created and
// destroyed.  The constructor and destructor must be public.  The
// name of the static instance and the class in which it is defined
// should be passed to the constructor.  They must be string
// literals because the strings are not copied.
//// \item @|~vtkInformationKey = obj.()| -  Key instances are static data that need to be created and
// destroyed.  The constructor and destructor must be public.  The
// name of the static instance and the class in which it is defined
// should be passed to the constructor.  They must be string
// literals because the strings are not copied.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
//// \item @|obj.DeepCopy (vtkInformation from, vtkInformation to)| -  Check whether this key appears in the given information object.
//// \item @|int = obj.Has (vtkInformation info)| -  Check whether this key appears in the given information object.
//// \item @|obj.Remove (vtkInformation info)| -  Remove this key from the given information object.
//// \item @|obj.Report (vtkInformation info, vtkGarbageCollector collector)| -  Report a reference this key has in the given information object.
////\end{itemize}
//!
