#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationKeyVectorKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationKeyVectorKey.h"

//@@Signature
//sfunction @vtkInformationKeyVectorKey:vtkInformationKeyVectorKey vtkInformationKeyVectorKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationKeyVectorKey vtkInformationKey 
ArrayVector vtkInformationKeyVectorKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationKeyVectorKey::New(),"vtkInformationKeyVectorKey",eval);
  } else if (arg[0].className() == "vtkInformationKeyVectorKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationKeyVectorKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationKeyVectorKey");
    vtkInformationKeyVectorKey*q = reinterpret_cast<vtkInformationKeyVectorKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationKeyVectorKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationKeyVectorKey:GetClassName vtkInformationKeyVectorKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationKeyVectorKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationKeyVectorKey requires 1 argument(s)");
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:IsA vtkInformationKeyVectorKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationKeyVectorKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationKeyVectorKey requires 2 argument(s)");
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:NewInstance vtkInformationKeyVectorKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationKeyVectorKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationKeyVectorKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationKeyVectorKey requires 1 argument(s)");
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  Array retval;
  vtkInformationKeyVectorKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKeyVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:SafeDownCast vtkInformationKeyVectorKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationKeyVectorKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationKeyVectorKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationKeyVectorKey requires 2 argument(s)");
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationKeyVectorKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKeyVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:Append vtkInformationKeyVectorKeyAppendFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationKeyVectorKeyAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Append (vtkInformation *info, vtkInformationKey *value); */
  if (arg.size() < 3) 
    throw Exception("Function Append for class vtkInformationKeyVectorKey requires 3 argument(s)");
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationKey  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationKey>(arg[2]);
  vtk_pointer->Append(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:AppendUnique vtkInformationKeyVectorKeyAppendUniqueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationKeyVectorKeyAppendUniqueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AppendUnique (vtkInformation *info, vtkInformationKey *value); */
  if (arg.size() < 3) 
    throw Exception("Function AppendUnique for class vtkInformationKeyVectorKey requires 3 argument(s)");
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationKey  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationKey>(arg[2]);
  vtk_pointer->AppendUnique(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:RemoveItem vtkInformationKeyVectorKeyRemoveItemFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationKeyVectorKeyRemoveItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveItem (vtkInformation *info, vtkInformationKey *value); */
  if (arg.size() < 3) 
    throw Exception("Function RemoveItem for class vtkInformationKeyVectorKey requires 3 argument(s)");
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformationKey  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformationKey>(arg[2]);
  vtk_pointer->RemoveItem(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:Get__2 vtkInformationKeyVectorKeyGet__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkInformationKeyVectorKeyGet__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationKey *Get (vtkInformation *info, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function Get__2 for class vtkInformationKeyVectorKey requires 3 argument(s)");
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  vtkInformationKey  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Get(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:Length vtkInformationKeyVectorKeyLengthFunction
//input a0 a1 
//output y
ArrayVector vtkInformationKeyVectorKeyLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Length (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Length for class vtkInformationKeyVectorKey requires 2 argument(s)");
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Length(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:ShallowCopy vtkInformationKeyVectorKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationKeyVectorKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationKeyVectorKey requires 3 argument(s)");
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:Get vtkInformationKeyVectorKeyGetFunction
//input varargin
//output varargout
ArrayVector vtkInformationKeyVectorKeyGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformation") && VTKIsScalarArg(arg[2]))
    return vtkInformationKeyVectorKeyGet__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInformationKeyVectorKeyGet");
}

//@@Signature
//sfunction @vtkInformationKeyVectorKey:display vtkInformationKeyVectorKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationKeyVectorKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationKeyVectorKey* vtk_pointer = GetVTKPointer<vtkInformationKeyVectorKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationKeyVectorKey:delete vtkInformationKeyVectorKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationKeyVectorKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationKeyVectorKey
//@@Section VTKCommon
//@@Usage
// vtkInformationKeyVectorKey is used to represent keys for
// vector-of-keys values in vtkInformation.
//
//To create an instance of class vtkInformationKeyVectorKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationKeyVectorKey
//@]
//@@Methods
//The class vtkInformationKeyVectorKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationKeyVectorKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationKeyVectorKey = obj.NewInstance ()|
// \item @|vtkInformationKeyVectorKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationKeyVectorKey = obj.(string name, string location)|
// \item @|~vtkInformationKeyVectorKey = obj.()|
// \item @|obj.Append (vtkInformation info, vtkInformationKey value)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.AppendUnique (vtkInformation info, vtkInformationKey value)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.RemoveItem (vtkInformation info, vtkInformationKey value)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|vtkInformationKey = obj.Get (vtkInformation info, int idx)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|int = obj.Length (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
////\end{itemize}
//!
