#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationObjectBaseKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationObjectBaseKey.h"

//@@Signature
//sfunction @vtkInformationObjectBaseKey:vtkInformationObjectBaseKey vtkInformationObjectBaseKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationObjectBaseKey vtkInformationKey 
ArrayVector vtkInformationObjectBaseKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationObjectBaseKey::New(),"vtkInformationObjectBaseKey",eval);
  } else if (arg[0].className() == "vtkInformationObjectBaseKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationObjectBaseKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationObjectBaseKey");
    vtkInformationObjectBaseKey*q = reinterpret_cast<vtkInformationObjectBaseKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationObjectBaseKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationObjectBaseKey:GetClassName vtkInformationObjectBaseKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationObjectBaseKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationObjectBaseKey requires 1 argument(s)");
  vtkInformationObjectBaseKey* vtk_pointer = GetVTKPointer<vtkInformationObjectBaseKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationObjectBaseKey:IsA vtkInformationObjectBaseKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationObjectBaseKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationObjectBaseKey requires 2 argument(s)");
  vtkInformationObjectBaseKey* vtk_pointer = GetVTKPointer<vtkInformationObjectBaseKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationObjectBaseKey:NewInstance vtkInformationObjectBaseKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationObjectBaseKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationObjectBaseKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationObjectBaseKey requires 1 argument(s)");
  vtkInformationObjectBaseKey* vtk_pointer = GetVTKPointer<vtkInformationObjectBaseKey>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationObjectBaseKey:SafeDownCast vtkInformationObjectBaseKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationObjectBaseKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationObjectBaseKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationObjectBaseKey requires 2 argument(s)");
  vtkInformationObjectBaseKey* vtk_pointer = GetVTKPointer<vtkInformationObjectBaseKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationObjectBaseKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationObjectBaseKey:Set vtkInformationObjectBaseKeySetFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationObjectBaseKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info, vtkObjectBase *); */
  if (arg.size() < 3) 
    throw Exception("Function Set for class vtkInformationObjectBaseKey requires 3 argument(s)");
  vtkInformationObjectBaseKey* vtk_pointer = GetVTKPointer<vtkInformationObjectBaseKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkObjectBase  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkObjectBase>(arg[2]);
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationObjectBaseKey:Get vtkInformationObjectBaseKeyGetFunction
//input a0 a1 
//output y
ArrayVector vtkInformationObjectBaseKeyGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObjectBase *Get (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Get for class vtkInformationObjectBaseKey requires 2 argument(s)");
  vtkInformationObjectBaseKey* vtk_pointer = GetVTKPointer<vtkInformationObjectBaseKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkObjectBase  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObjectBase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationObjectBaseKey:ShallowCopy vtkInformationObjectBaseKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationObjectBaseKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationObjectBaseKey requires 3 argument(s)");
  vtkInformationObjectBaseKey* vtk_pointer = GetVTKPointer<vtkInformationObjectBaseKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationObjectBaseKey:Report vtkInformationObjectBaseKeyReportFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationObjectBaseKeyReportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Report (vtkInformation *info, vtkGarbageCollector *collector); */
  if (arg.size() < 3) 
    throw Exception("Function Report for class vtkInformationObjectBaseKey requires 3 argument(s)");
  vtkInformationObjectBaseKey* vtk_pointer = GetVTKPointer<vtkInformationObjectBaseKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkGarbageCollector  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkGarbageCollector>(arg[2]);
  vtk_pointer->Report(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationObjectBaseKey:display vtkInformationObjectBaseKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationObjectBaseKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationObjectBaseKey* vtk_pointer = GetVTKPointer<vtkInformationObjectBaseKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationObjectBaseKey:delete vtkInformationObjectBaseKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationObjectBaseKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationObjectBaseKey
//@@Section VTKCommon
//@@Usage
// vtkInformationObjectBaseKey is used to represent keys in
// vtkInformation for values that are vtkObjectBase instances.
//
//To create an instance of class vtkInformationObjectBaseKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationObjectBaseKey
//@]
//@@Methods
//The class vtkInformationObjectBaseKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationObjectBaseKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationObjectBaseKey = obj.NewInstance ()|
// \item @|vtkInformationObjectBaseKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationObjectBaseKey = obj.(string name, string location, string requiredClass)|
// \item @|~vtkInformationObjectBaseKey = obj.()|
// \item @|obj.Set (vtkInformation info, vtkObjectBase )| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|vtkObjectBase = obj.Get (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
//// \item @|obj.Report (vtkInformation info, vtkGarbageCollector collector)| -  Report a reference this key has in the given information object.
////\end{itemize}
//!
