#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationRequestKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationRequestKey.h"

//@@Signature
//sfunction @vtkInformationRequestKey:vtkInformationRequestKey vtkInformationRequestKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationRequestKey vtkInformationKey 
ArrayVector vtkInformationRequestKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationRequestKey::New(),"vtkInformationRequestKey",eval);
  } else if (arg[0].className() == "vtkInformationRequestKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationRequestKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationRequestKey");
    vtkInformationRequestKey*q = reinterpret_cast<vtkInformationRequestKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationRequestKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationRequestKey:GetClassName vtkInformationRequestKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationRequestKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationRequestKey requires 1 argument(s)");
  vtkInformationRequestKey* vtk_pointer = GetVTKPointer<vtkInformationRequestKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationRequestKey:IsA vtkInformationRequestKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationRequestKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationRequestKey requires 2 argument(s)");
  vtkInformationRequestKey* vtk_pointer = GetVTKPointer<vtkInformationRequestKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationRequestKey:NewInstance vtkInformationRequestKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationRequestKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationRequestKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationRequestKey requires 1 argument(s)");
  vtkInformationRequestKey* vtk_pointer = GetVTKPointer<vtkInformationRequestKey>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationRequestKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationRequestKey:SafeDownCast vtkInformationRequestKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationRequestKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationRequestKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationRequestKey requires 2 argument(s)");
  vtkInformationRequestKey* vtk_pointer = GetVTKPointer<vtkInformationRequestKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationRequestKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationRequestKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationRequestKey:Set vtkInformationRequestKeySetFunction
//input a0 a1 
//output none
ArrayVector vtkInformationRequestKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Set for class vtkInformationRequestKey requires 2 argument(s)");
  vtkInformationRequestKey* vtk_pointer = GetVTKPointer<vtkInformationRequestKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->Set(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationRequestKey:Remove vtkInformationRequestKeyRemoveFunction
//input a0 a1 
//output none
ArrayVector vtkInformationRequestKeyRemoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Remove for class vtkInformationRequestKey requires 2 argument(s)");
  vtkInformationRequestKey* vtk_pointer = GetVTKPointer<vtkInformationRequestKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationRequestKey:Has vtkInformationRequestKeyHasFunction
//input a0 a1 
//output y
ArrayVector vtkInformationRequestKeyHasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Has (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Has for class vtkInformationRequestKey requires 2 argument(s)");
  vtkInformationRequestKey* vtk_pointer = GetVTKPointer<vtkInformationRequestKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Has(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationRequestKey:ShallowCopy vtkInformationRequestKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationRequestKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationRequestKey requires 3 argument(s)");
  vtkInformationRequestKey* vtk_pointer = GetVTKPointer<vtkInformationRequestKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationRequestKey:display vtkInformationRequestKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationRequestKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationRequestKey* vtk_pointer = GetVTKPointer<vtkInformationRequestKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationRequestKey:delete vtkInformationRequestKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationRequestKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationRequestKey
//@@Section VTKCommon
//@@Usage
// vtkInformationRequestKey is used to represent keys for pointer
// to pointer values in vtkInformation.h
//
//To create an instance of class vtkInformationRequestKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationRequestKey
//@]
//@@Methods
//The class vtkInformationRequestKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationRequestKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationRequestKey = obj.NewInstance ()|
// \item @|vtkInformationRequestKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationRequestKey = obj.(string name, string location)|
// \item @|~vtkInformationRequestKey = obj.()|
// \item @|obj.Set (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.Remove (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|int = obj.Has (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
////\end{itemize}
//!
