#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationStringKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationStringKey.h"

//@@Signature
//sfunction @vtkInformationStringKey:vtkInformationStringKey vtkInformationStringKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationStringKey vtkInformationKey 
ArrayVector vtkInformationStringKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationStringKey::New(),"vtkInformationStringKey",eval);
  } else if (arg[0].className() == "vtkInformationStringKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationStringKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationStringKey");
    vtkInformationStringKey*q = reinterpret_cast<vtkInformationStringKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationStringKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationStringKey:GetClassName vtkInformationStringKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationStringKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationStringKey requires 1 argument(s)");
  vtkInformationStringKey* vtk_pointer = GetVTKPointer<vtkInformationStringKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringKey:IsA vtkInformationStringKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationStringKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationStringKey requires 2 argument(s)");
  vtkInformationStringKey* vtk_pointer = GetVTKPointer<vtkInformationStringKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringKey:NewInstance vtkInformationStringKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationStringKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationStringKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationStringKey requires 1 argument(s)");
  vtkInformationStringKey* vtk_pointer = GetVTKPointer<vtkInformationStringKey>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationStringKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringKey:SafeDownCast vtkInformationStringKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationStringKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationStringKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationStringKey requires 2 argument(s)");
  vtkInformationStringKey* vtk_pointer = GetVTKPointer<vtkInformationStringKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationStringKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationStringKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringKey:Set vtkInformationStringKeySetFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationStringKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info, const char *); */
  if (arg.size() < 3) 
    throw Exception("Function Set for class vtkInformationStringKey requires 3 argument(s)");
  vtkInformationStringKey* vtk_pointer = GetVTKPointer<vtkInformationStringKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  char    *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->Set(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringKey:Get vtkInformationStringKeyGetFunction
//input a0 a1 
//output y
ArrayVector vtkInformationStringKeyGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *Get (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Get for class vtkInformationStringKey requires 2 argument(s)");
  vtkInformationStringKey* vtk_pointer = GetVTKPointer<vtkInformationStringKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  const char    *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Get(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringKey:ShallowCopy vtkInformationStringKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationStringKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationStringKey requires 3 argument(s)");
  vtkInformationStringKey* vtk_pointer = GetVTKPointer<vtkInformationStringKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringKey:display vtkInformationStringKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationStringKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationStringKey* vtk_pointer = GetVTKPointer<vtkInformationStringKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationStringKey:delete vtkInformationStringKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationStringKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationStringKey
//@@Section VTKCommon
//@@Usage
// vtkInformationStringKey is used to represent keys for string values
// in vtkInformation.
//
//To create an instance of class vtkInformationStringKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationStringKey
//@]
//@@Methods
//The class vtkInformationStringKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationStringKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationStringKey = obj.NewInstance ()|
// \item @|vtkInformationStringKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationStringKey = obj.(string name, string location)|
// \item @|~vtkInformationStringKey = obj.()|
// \item @|obj.Set (vtkInformation info, string )| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|string = obj.Get (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
////\end{itemize}
//!
