#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationStringVectorKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationStringVectorKey.h"

//@@Signature
//sfunction @vtkInformationStringVectorKey:vtkInformationStringVectorKey vtkInformationStringVectorKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationStringVectorKey vtkInformationKey 
ArrayVector vtkInformationStringVectorKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationStringVectorKey::New(),"vtkInformationStringVectorKey",eval);
  } else if (arg[0].className() == "vtkInformationStringVectorKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationStringVectorKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationStringVectorKey");
    vtkInformationStringVectorKey*q = reinterpret_cast<vtkInformationStringVectorKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationStringVectorKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationStringVectorKey:GetClassName vtkInformationStringVectorKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationStringVectorKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationStringVectorKey requires 1 argument(s)");
  vtkInformationStringVectorKey* vtk_pointer = GetVTKPointer<vtkInformationStringVectorKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringVectorKey:IsA vtkInformationStringVectorKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationStringVectorKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationStringVectorKey requires 2 argument(s)");
  vtkInformationStringVectorKey* vtk_pointer = GetVTKPointer<vtkInformationStringVectorKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringVectorKey:NewInstance vtkInformationStringVectorKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationStringVectorKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationStringVectorKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationStringVectorKey requires 1 argument(s)");
  vtkInformationStringVectorKey* vtk_pointer = GetVTKPointer<vtkInformationStringVectorKey>(arg[0]);
  Array retval;
  vtkInformationStringVectorKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationStringVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringVectorKey:SafeDownCast vtkInformationStringVectorKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationStringVectorKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationStringVectorKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationStringVectorKey requires 2 argument(s)");
  vtkInformationStringVectorKey* vtk_pointer = GetVTKPointer<vtkInformationStringVectorKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationStringVectorKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationStringVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringVectorKey:Append vtkInformationStringVectorKeyAppendFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationStringVectorKeyAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Append (vtkInformation *info, const char *value); */
  if (arg.size() < 3) 
    throw Exception("Function Append for class vtkInformationStringVectorKey requires 3 argument(s)");
  vtkInformationStringVectorKey* vtk_pointer = GetVTKPointer<vtkInformationStringVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  char    *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->Append(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringVectorKey:Set vtkInformationStringVectorKeySetFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationStringVectorKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info, const char *value, int idx); */
  if (arg.size() < 4) 
    throw Exception("Function Set for class vtkInformationStringVectorKey requires 4 argument(s)");
  vtkInformationStringVectorKey* vtk_pointer = GetVTKPointer<vtkInformationStringVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  char    *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringVectorKey:Get vtkInformationStringVectorKeyGetFunction
//input a0 a1 a2 
//output y
ArrayVector vtkInformationStringVectorKeyGetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *Get (vtkInformation *info, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function Get for class vtkInformationStringVectorKey requires 3 argument(s)");
  vtkInformationStringVectorKey* vtk_pointer = GetVTKPointer<vtkInformationStringVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  const char    *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Get(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringVectorKey:Length vtkInformationStringVectorKeyLengthFunction
//input a0 a1 
//output y
ArrayVector vtkInformationStringVectorKeyLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Length (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Length for class vtkInformationStringVectorKey requires 2 argument(s)");
  vtkInformationStringVectorKey* vtk_pointer = GetVTKPointer<vtkInformationStringVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->Length(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringVectorKey:ShallowCopy vtkInformationStringVectorKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationStringVectorKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationStringVectorKey requires 3 argument(s)");
  vtkInformationStringVectorKey* vtk_pointer = GetVTKPointer<vtkInformationStringVectorKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationStringVectorKey:display vtkInformationStringVectorKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationStringVectorKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationStringVectorKey* vtk_pointer = GetVTKPointer<vtkInformationStringVectorKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationStringVectorKey:delete vtkInformationStringVectorKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationStringVectorKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationStringVectorKey
//@@Section VTKCommon
//@@Usage
// vtkInformationStringVectorKey is used to represent keys for String
// vector values in vtkInformation.h
//
//To create an instance of class vtkInformationStringVectorKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationStringVectorKey
//@]
//@@Methods
//The class vtkInformationStringVectorKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationStringVectorKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationStringVectorKey = obj.NewInstance ()|
// \item @|vtkInformationStringVectorKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationStringVectorKey = obj.(string name, string location, int length)|
// \item @|~vtkInformationStringVectorKey = obj.()|
// \item @|obj.Append (vtkInformation info, string value)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.Set (vtkInformation info, string value, int idx)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|string = obj.Get (vtkInformation info, int idx)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|int = obj.Length (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
////\end{itemize}
//!
