#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationVector object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationVector.h"

//@@Signature
//sfunction @vtkInformationVector:vtkInformationVector vtkInformationVectorConstructorFunction
//input a
//output p
//@@Parents vtkInformationVector vtkObject 
ArrayVector vtkInformationVectorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationVector::New(),"vtkInformationVector",eval);
  } else if (arg[0].className() == "vtkInformationVector") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationVector"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationVector");
    vtkInformationVector*q = reinterpret_cast<vtkInformationVector*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationVector");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationVector:GetClassName vtkInformationVectorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationVectorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationVector requires 1 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:IsA vtkInformationVectorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationVectorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationVector requires 2 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:NewInstance vtkInformationVectorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationVectorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationVector *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationVector requires 1 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  vtkInformationVector  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationVector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:SafeDownCast vtkInformationVectorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationVectorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationVector *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationVector requires 2 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationVector  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationVector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:GetNumberOfInformationObjects vtkInformationVectorGetNumberOfInformationObjectsFunction
//input a0 
//output y
ArrayVector vtkInformationVectorGetNumberOfInformationObjectsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfInformationObjects ();return this NumberOfInformationObjects  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfInformationObjects for class vtkInformationVector requires 1 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfInformationObjects();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:SetNumberOfInformationObjects vtkInformationVectorSetNumberOfInformationObjectsFunction
//input a0 a1 
//output none
ArrayVector vtkInformationVectorSetNumberOfInformationObjectsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfInformationObjects (int n); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfInformationObjects for class vtkInformationVector requires 2 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfInformationObjects(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:SetInformationObject vtkInformationVectorSetInformationObjectFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationVectorSetInformationObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInformationObject (int index, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function SetInformationObject for class vtkInformationVector requires 3 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->SetInformationObject(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:GetInformationObject vtkInformationVectorGetInformationObjectFunction
//input a0 a1 
//output y
ArrayVector vtkInformationVectorGetInformationObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetInformationObject (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetInformationObject for class vtkInformationVector requires 2 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInformationObject(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:Append vtkInformationVectorAppendFunction
//input a0 a1 
//output none
ArrayVector vtkInformationVectorAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Append (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Append for class vtkInformationVector requires 2 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->Append(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:Remove vtkInformationVectorRemoveFunction
//input a0 a1 
//output none
ArrayVector vtkInformationVectorRemoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Remove (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function Remove for class vtkInformationVector requires 2 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->Remove(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:Register vtkInformationVectorRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkInformationVectorRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkInformationVector requires 2 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:UnRegister vtkInformationVectorUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkInformationVectorUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkInformationVector requires 2 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:Copy vtkInformationVectorCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationVectorCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Copy (vtkInformationVector *from, int deep); */
  if (arg.size() < 3) 
    throw Exception("Function Copy for class vtkInformationVector requires 3 argument(s)");
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  Array retval;
  vtkInformationVector  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformationVector>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Copy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationVector:display vtkInformationVectorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationVectorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationVector* vtk_pointer = GetVTKPointer<vtkInformationVector>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationVector:delete vtkInformationVectorDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationVectorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationVector
//@@Section VTKCommon
//@@Usage
//
//To create an instance of class vtkInformationVector, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationVector
//@]
//@@Methods
//The class vtkInformationVector has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationVector class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationVector = obj.NewInstance ()|
// \item @|vtkInformationVector = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfInformationObjects ()| -  Get/Set the number of information objects in the vector.  Setting
// the number to larger than the current number will create empty
// vtkInformation instances.  Setting the number to smaller than the
// current number will remove entries from higher indices.
//// \item @|obj.SetNumberOfInformationObjects (int n)| -  Get/Set the number of information objects in the vector.  Setting
// the number to larger than the current number will create empty
// vtkInformation instances.  Setting the number to smaller than the
// current number will remove entries from higher indices.
//// \item @|obj.SetInformationObject (int index, vtkInformation info)| -  Get/Set the vtkInformation instance stored at the given index in
// the vector.  The vector will automatically expand to include the
// index given if necessary.  Missing entries in-between will be
// filled with empty vtkInformation instances.
//// \item @|vtkInformation = obj.GetInformationObject (int index)| -  Get/Set the vtkInformation instance stored at the given index in
// the vector.  The vector will automatically expand to include the
// index given if necessary.  Missing entries in-between will be
// filled with empty vtkInformation instances.
//// \item @|obj.Append (vtkInformation info)| -  Append/Remove an information object.
//// \item @|obj.Remove (vtkInformation info)| -  Append/Remove an information object.
//// \item @|obj.Register (vtkObjectBase o)| -  Initiate garbage collection when a reference is removed.
//// \item @|obj.UnRegister (vtkObjectBase o)| -  Initiate garbage collection when a reference is removed.
//// \item @|obj.Copy (vtkInformationVector from, int deep)| -  Copy all information entries from the given vtkInformation
// instance.  Any previously existing entries are removed.  If 
// deep==1, a deep copy of the information structure is performed (new 
// instances of any contained vtkInformation and vtkInformationVector 
// objects are created).
////\end{itemize}
//!
