#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInitialValueProblemSolver object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInitialValueProblemSolver.h"

//@@Signature
//sfunction @vtkInitialValueProblemSolver:vtkInitialValueProblemSolver vtkInitialValueProblemSolverConstructorFunction
//input a
//output p
//@@Parents vtkInitialValueProblemSolver vtkObject 
ArrayVector vtkInitialValueProblemSolverConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInitialValueProblemSolver::New(),"vtkInitialValueProblemSolver",eval);
  } else if (arg[0].className() == "vtkInitialValueProblemSolver") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInitialValueProblemSolver"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInitialValueProblemSolver");
    vtkInitialValueProblemSolver*q = reinterpret_cast<vtkInitialValueProblemSolver*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInitialValueProblemSolver");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInitialValueProblemSolver:GetClassName vtkInitialValueProblemSolverGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInitialValueProblemSolverGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInitialValueProblemSolver requires 1 argument(s)");
  vtkInitialValueProblemSolver* vtk_pointer = GetVTKPointer<vtkInitialValueProblemSolver>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInitialValueProblemSolver:IsA vtkInitialValueProblemSolverIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInitialValueProblemSolverIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInitialValueProblemSolver requires 2 argument(s)");
  vtkInitialValueProblemSolver* vtk_pointer = GetVTKPointer<vtkInitialValueProblemSolver>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInitialValueProblemSolver:NewInstance vtkInitialValueProblemSolverNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInitialValueProblemSolverNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInitialValueProblemSolver *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInitialValueProblemSolver requires 1 argument(s)");
  vtkInitialValueProblemSolver* vtk_pointer = GetVTKPointer<vtkInitialValueProblemSolver>(arg[0]);
  Array retval;
  vtkInitialValueProblemSolver  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInitialValueProblemSolver",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInitialValueProblemSolver:SafeDownCast vtkInitialValueProblemSolverSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInitialValueProblemSolverSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInitialValueProblemSolver *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInitialValueProblemSolver requires 2 argument(s)");
  vtkInitialValueProblemSolver* vtk_pointer = GetVTKPointer<vtkInitialValueProblemSolver>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInitialValueProblemSolver  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInitialValueProblemSolver",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInitialValueProblemSolver:SetFunctionSet vtkInitialValueProblemSolverSetFunctionSetFunction
//input a0 a1 
//output none
ArrayVector vtkInitialValueProblemSolverSetFunctionSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFunctionSet (vtkFunctionSet *functionset); */
  if (arg.size() < 2) 
    throw Exception("Function SetFunctionSet for class vtkInitialValueProblemSolver requires 2 argument(s)");
  vtkInitialValueProblemSolver* vtk_pointer = GetVTKPointer<vtkInitialValueProblemSolver>(arg[0]);
  Array retval;
  vtkFunctionSet  *temp0;
  temp0 = GetVTKPointer<vtkFunctionSet>(arg[1]);
  vtk_pointer->SetFunctionSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInitialValueProblemSolver:GetFunctionSet vtkInitialValueProblemSolverGetFunctionSetFunction
//input a0 
//output y
ArrayVector vtkInitialValueProblemSolverGetFunctionSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFunctionSet *GetFunctionSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFunctionSet for class vtkInitialValueProblemSolver requires 1 argument(s)");
  vtkInitialValueProblemSolver* vtk_pointer = GetVTKPointer<vtkInitialValueProblemSolver>(arg[0]);
  Array retval;
  vtkFunctionSet  *temp20;
  temp20 = (vtk_pointer)->GetFunctionSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFunctionSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInitialValueProblemSolver:IsAdaptive vtkInitialValueProblemSolverIsAdaptiveFunction
//input a0 
//output y
ArrayVector vtkInitialValueProblemSolverIsAdaptiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsAdaptive ();return this Adaptive  */
  if (arg.size() < 1) 
    throw Exception("Function IsAdaptive for class vtkInitialValueProblemSolver requires 1 argument(s)");
  vtkInitialValueProblemSolver* vtk_pointer = GetVTKPointer<vtkInitialValueProblemSolver>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsAdaptive();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInitialValueProblemSolver:ComputeNextStep vtkInitialValueProblemSolverComputeNextStepFunction
//input varargin
//output varargout
ArrayVector vtkInitialValueProblemSolverComputeNextStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkInitialValueProblemSolverComputeNextStep");
}

//@@Signature
//sfunction @vtkInitialValueProblemSolver:display vtkInitialValueProblemSolverDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInitialValueProblemSolverDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInitialValueProblemSolver* vtk_pointer = GetVTKPointer<vtkInitialValueProblemSolver>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInitialValueProblemSolver:delete vtkInitialValueProblemSolverDeleteFunction
//input varargin
//output none
ArrayVector vtkInitialValueProblemSolverDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInitialValueProblemSolver
//@@Section VTKCommon
//@@Usage
// Given a vtkFunctionSet which returns dF_i(x_j, t)/dt given x_j and
// t, vtkInitialValueProblemSolver computes the value of F_i at t+deltat.
//
//To create an instance of class vtkInitialValueProblemSolver, simply
//invoke its constructor as follows
//@[
//  obj = vtkInitialValueProblemSolver
//@]
//@@Methods
//The class vtkInitialValueProblemSolver has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInitialValueProblemSolver class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInitialValueProblemSolver = obj.NewInstance ()|
// \item @|vtkInitialValueProblemSolver = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFunctionSet (vtkFunctionSet functionset)| -  Set / get the dataset used for the implicit function evaluation.
//// \item @|vtkFunctionSet = obj.GetFunctionSet ()| -  Set / get the dataset used for the implicit function evaluation.
//// \item @|int = obj.IsAdaptive ()|
//\end{itemize}
//!
