#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInstantiator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInstantiator.h"

//@@Signature
//sfunction @vtkInstantiator:vtkInstantiator vtkInstantiatorConstructorFunction
//input a
//output p
//@@Parents vtkInstantiator vtkObject 
ArrayVector vtkInstantiatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInstantiator::New(),"vtkInstantiator",eval);
  } else if (arg[0].className() == "vtkInstantiator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInstantiator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInstantiator");
    vtkInstantiator*q = reinterpret_cast<vtkInstantiator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInstantiator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInstantiator:GetClassName vtkInstantiatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInstantiatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInstantiator requires 1 argument(s)");
  vtkInstantiator* vtk_pointer = GetVTKPointer<vtkInstantiator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInstantiator:IsA vtkInstantiatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInstantiatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInstantiator requires 2 argument(s)");
  vtkInstantiator* vtk_pointer = GetVTKPointer<vtkInstantiator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInstantiator:NewInstance vtkInstantiatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInstantiatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInstantiator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInstantiator requires 1 argument(s)");
  vtkInstantiator* vtk_pointer = GetVTKPointer<vtkInstantiator>(arg[0]);
  Array retval;
  vtkInstantiator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInstantiator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInstantiator:SafeDownCast vtkInstantiatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInstantiatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInstantiator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInstantiator requires 2 argument(s)");
  vtkInstantiator* vtk_pointer = GetVTKPointer<vtkInstantiator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInstantiator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInstantiator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInstantiator:CreateInstance vtkInstantiatorCreateInstanceFunction
//input a0 a1 
//output y
ArrayVector vtkInstantiatorCreateInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkObject *CreateInstance (const char *className); */
  if (arg.size() < 2) 
    throw Exception("Function CreateInstance for class vtkInstantiator requires 2 argument(s)");
  vtkInstantiator* vtk_pointer = GetVTKPointer<vtkInstantiator>(arg[0]);
  Array retval;
  char    *temp0;
  vtkObject  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CreateInstance(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInstantiator:display vtkInstantiatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInstantiatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInstantiator* vtk_pointer = GetVTKPointer<vtkInstantiator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInstantiator:delete vtkInstantiatorDeleteFunction
//input varargin
//output none
ArrayVector vtkInstantiatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInstantiator
//@@Section VTKCommon
//@@Usage
// vtkInstantiator provides an interface to create an instance of any
// VTK class from its name.  Instances are created through registered
// pointers to functions returning the objects.  New classes can also be
// registered with the creator.  VTK libraries automatically register
// their classes with the creator when they are loaded.  Instances are
// created using the static New() method, so the normal vtkObjectFactory
// mechanism is still invoked.
//
// When using this class from language wrappers (Tcl, Python, or Java),
// the vtkInstantiator should be able to create any class from any kit
// that has been loaded.
//
// In C++ code, one should include the header for each kit from which
// one wishes to create instances through vtkInstantiator.  This is
// necessary to ensure proper linking when building static libraries.
// Be careful, though, because including each kit's header means every
// class from that kit will be linked into your executable whether or
// not the class is used.  The headers are:
//
//   vtkCommon          - vtkCommonInstantiator.h
//   vtkFiltering       - vtkFilteringInstantiator.h
//   vtkIO              - vtkIOInstantiator.h
//   vtkImaging         - vtkImagingInstantiator.h
//   vtkGraphics        - vtkGraphicsInstantiator.h
//   vtkRendering       - vtkRenderingInstantiator.h
//   vtkVolumeRendering - vtkVolumeRenderingInstantiator.h
//   vtkHybrid          - vtkHybridInstantiator.h
//   vtkParallel        - vtkParallelInstantiator.h
//
// The VTK_MAKE_INSTANTIATOR() command in CMake is used to automatically
// generate the creator registration for each VTK library.  It can also
// be used to create registration code for VTK-style user libraries
// that are linked to vtkCommon.  After using this command to register
// classes from a new library, the generated header must be included.
//
//
//To create an instance of class vtkInstantiator, simply
//invoke its constructor as follows
//@[
//  obj = vtkInstantiator
//@]
//@@Methods
//The class vtkInstantiator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInstantiator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInstantiator = obj.NewInstance ()|
// \item @|vtkInstantiator = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
