#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLinearTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLinearTransform.h"

//@@Signature
//sfunction @vtkLinearTransform:vtkLinearTransform vtkLinearTransformConstructorFunction
//input a
//output p
//@@Parents vtkLinearTransform vtkHomogeneousTransform 
ArrayVector vtkLinearTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLinearTransform::New(),"vtkLinearTransform",eval);
  } else if (arg[0].className() == "vtkLinearTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLinearTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLinearTransform");
    vtkLinearTransform*q = reinterpret_cast<vtkLinearTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLinearTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLinearTransform:GetClassName vtkLinearTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLinearTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLinearTransform requires 1 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:IsA vtkLinearTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLinearTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLinearTransform requires 2 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:NewInstance vtkLinearTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLinearTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLinearTransform requires 1 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  vtkLinearTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:SafeDownCast vtkLinearTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLinearTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLinearTransform requires 2 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLinearTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformNormal__1 vtkLinearTransformTransformNormal__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformTransformNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformNormal (const float in[3], float out[3]);this Update this InternalTransformNormal in out  */
  if (arg.size() < 3) 
    throw Exception("Function TransformNormal__1 for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->TransformNormal(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformNormal__2 vtkLinearTransformTransformNormal__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformTransformNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformNormal (const double in[3], double out[3]);this Update this InternalTransformNormal in out  */
  if (arg.size() < 3) 
    throw Exception("Function TransformNormal__2 for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->TransformNormal(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformNormal__3 vtkLinearTransformTransformNormal__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLinearTransformTransformNormal__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformNormal (double x, double y, double z);return this TransformDoubleNormal x y z  */
  if (arg.size() < 4) 
    throw Exception("Function TransformNormal__3 for class vtkLinearTransform requires 4 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->TransformNormal(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformNormal__4 vtkLinearTransformTransformNormal__4Function
//input a0 a1 
//output y
ArrayVector vtkLinearTransformTransformNormal__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformNormal (const double normal[3]);return this TransformDoubleNormal normal normal normal  */
  if (arg.size() < 2) 
    throw Exception("Function TransformNormal__4 for class vtkLinearTransform requires 2 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformNormal(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformFloatNormal__1 vtkLinearTransformTransformFloatNormal__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLinearTransformTransformFloatNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *TransformFloatNormal (float x, float y, float z);this InternalFloatPoint x this InternalFloatPoint y this InternalFloatPoint z this TransformNormal this InternalFloatPoint this InternalFloatPoint return this InternalFloatPoint  */
  if (arg.size() < 4) 
    throw Exception("Function TransformFloatNormal__1 for class vtkLinearTransform requires 4 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  float   *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->TransformFloatNormal(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformFloatNormal__2 vtkLinearTransformTransformFloatNormal__2Function
//input a0 a1 
//output y
ArrayVector vtkLinearTransformTransformFloatNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *TransformFloatNormal (const float normal[3]);return this TransformFloatNormal normal normal normal  */
  if (arg.size() < 2) 
    throw Exception("Function TransformFloatNormal__2 for class vtkLinearTransform requires 2 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float   *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformFloatNormal(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformDoubleNormal__1 vtkLinearTransformTransformDoubleNormal__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLinearTransformTransformDoubleNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformDoubleNormal (double x, double y, double z);this InternalDoublePoint x this InternalDoublePoint y this InternalDoublePoint z this TransformNormal this InternalDoublePoint this InternalDoublePoint return this InternalDoublePoint  */
  if (arg.size() < 4) 
    throw Exception("Function TransformDoubleNormal__1 for class vtkLinearTransform requires 4 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->TransformDoubleNormal(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformDoubleNormal__2 vtkLinearTransformTransformDoubleNormal__2Function
//input a0 a1 
//output y
ArrayVector vtkLinearTransformTransformDoubleNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformDoubleNormal (const double normal[3]);return this TransformDoubleNormal normal normal normal  */
  if (arg.size() < 2) 
    throw Exception("Function TransformDoubleNormal__2 for class vtkLinearTransform requires 2 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformDoubleNormal(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformVector__1 vtkLinearTransformTransformVector__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLinearTransformTransformVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformVector (double x, double y, double z);return this TransformDoubleVector x y z  */
  if (arg.size() < 4) 
    throw Exception("Function TransformVector__1 for class vtkLinearTransform requires 4 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->TransformVector(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformVector__2 vtkLinearTransformTransformVector__2Function
//input a0 a1 
//output y
ArrayVector vtkLinearTransformTransformVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformVector (const double normal[3]);return this TransformDoubleVector normal normal normal  */
  if (arg.size() < 2) 
    throw Exception("Function TransformVector__2 for class vtkLinearTransform requires 2 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformVector(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformVector__3 vtkLinearTransformTransformVector__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformTransformVector__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformVector (const float in[3], float out[3]);this Update this InternalTransformVector in out  */
  if (arg.size() < 3) 
    throw Exception("Function TransformVector__3 for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->TransformVector(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformVector__4 vtkLinearTransformTransformVector__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformTransformVector__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformVector (const double in[3], double out[3]);this Update this InternalTransformVector in out  */
  if (arg.size() < 3) 
    throw Exception("Function TransformVector__4 for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->TransformVector(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformFloatVector__1 vtkLinearTransformTransformFloatVector__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLinearTransformTransformFloatVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *TransformFloatVector (float x, float y, float z);this InternalFloatPoint x this InternalFloatPoint y this InternalFloatPoint z this TransformVector this InternalFloatPoint this InternalFloatPoint return this InternalFloatPoint  */
  if (arg.size() < 4) 
    throw Exception("Function TransformFloatVector__1 for class vtkLinearTransform requires 4 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  float   *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->TransformFloatVector(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformFloatVector__2 vtkLinearTransformTransformFloatVector__2Function
//input a0 a1 
//output y
ArrayVector vtkLinearTransformTransformFloatVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *TransformFloatVector (const float vec[3]);return this TransformFloatVector vec vec vec  */
  if (arg.size() < 2) 
    throw Exception("Function TransformFloatVector__2 for class vtkLinearTransform requires 2 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float   *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformFloatVector(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformDoubleVector__1 vtkLinearTransformTransformDoubleVector__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLinearTransformTransformDoubleVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformDoubleVector (double x, double y, double z);this InternalDoublePoint x this InternalDoublePoint y this InternalDoublePoint z this TransformVector this InternalDoublePoint this InternalDoublePoint return this InternalDoublePoint  */
  if (arg.size() < 4) 
    throw Exception("Function TransformDoubleVector__1 for class vtkLinearTransform requires 4 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->TransformDoubleVector(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformDoubleVector__2 vtkLinearTransformTransformDoubleVector__2Function
//input a0 a1 
//output y
ArrayVector vtkLinearTransformTransformDoubleVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *TransformDoubleVector (const double vec[3]);return this TransformDoubleVector vec vec vec  */
  if (arg.size() < 2) 
    throw Exception("Function TransformDoubleVector__2 for class vtkLinearTransform requires 2 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TransformDoubleVector(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformPoints vtkLinearTransformTransformPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformTransformPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformPoints (vtkPoints *inPts, vtkPoints *outPts); */
  if (arg.size() < 3) 
    throw Exception("Function TransformPoints for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  vtk_pointer->TransformPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformNormals vtkLinearTransformTransformNormalsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformTransformNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TransformNormals (vtkDataArray *inNms, vtkDataArray *outNms); */
  if (arg.size() < 3) 
    throw Exception("Function TransformNormals for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  vtk_pointer->TransformNormals(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformVectors vtkLinearTransformTransformVectorsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformTransformVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TransformVectors (vtkDataArray *inVrs, vtkDataArray *outVrs); */
  if (arg.size() < 3) 
    throw Exception("Function TransformVectors for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  vtk_pointer->TransformVectors(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformPointsNormalsVectors vtkLinearTransformTransformPointsNormalsVectorsFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkLinearTransformTransformPointsNormalsVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformPointsNormalsVectors (vtkPoints *inPts, vtkPoints *outPts, vtkDataArray *inNms, vtkDataArray *outNms, vtkDataArray *inVrs, vtkDataArray *outVrs); */
  if (arg.size() < 7) 
    throw Exception("Function TransformPointsNormalsVectors for class vtkLinearTransform requires 7 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  vtkDataArray  *temp2;
  vtkDataArray  *temp3;
  vtkDataArray  *temp4;
  vtkDataArray  *temp5;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp3 = GetVTKPointer<vtkDataArray>(arg[4]);
  temp4 = GetVTKPointer<vtkDataArray>(arg[5]);
  temp5 = GetVTKPointer<vtkDataArray>(arg[6]);
  vtk_pointer->TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:GetLinearInverse vtkLinearTransformGetLinearInverseFunction
//input a0 
//output y
ArrayVector vtkLinearTransformGetLinearInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearTransform *GetLinearInverse ();return static_cast vtkLinearTransform this GetInverse  */
  if (arg.size() < 1) 
    throw Exception("Function GetLinearInverse for class vtkLinearTransform requires 1 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  vtkLinearTransform  *temp20;
  temp20 = (vtk_pointer)->GetLinearInverse();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:InternalTransformPoint__1 vtkLinearTransformInternalTransformPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformInternalTransformPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformPoint (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__1 for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:InternalTransformPoint__2 vtkLinearTransformInternalTransformPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformInternalTransformPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformPoint (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__2 for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:InternalTransformNormal__1 vtkLinearTransformInternalTransformNormal__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformInternalTransformNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalTransformNormal (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformNormal__1 for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformNormal(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:InternalTransformNormal__2 vtkLinearTransformInternalTransformNormal__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformInternalTransformNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalTransformNormal (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformNormal__2 for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformNormal(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:InternalTransformVector__1 vtkLinearTransformInternalTransformVector__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformInternalTransformVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalTransformVector (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformVector__1 for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformVector(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:InternalTransformVector__2 vtkLinearTransformInternalTransformVector__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLinearTransformInternalTransformVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalTransformVector (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformVector__2 for class vtkLinearTransform requires 3 argument(s)");
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformVector(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLinearTransform:TransformNormal vtkLinearTransformTransformNormalFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformTransformNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLinearTransformTransformNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLinearTransformTransformNormal__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLinearTransformTransformNormal__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLinearTransformTransformNormal__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearTransformTransformNormal");
}

//@@Signature
//sfunction @vtkLinearTransform:TransformFloatNormal vtkLinearTransformTransformFloatNormalFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformTransformFloatNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLinearTransformTransformFloatNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLinearTransformTransformFloatNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearTransformTransformFloatNormal");
}

//@@Signature
//sfunction @vtkLinearTransform:TransformDoubleNormal vtkLinearTransformTransformDoubleNormalFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformTransformDoubleNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLinearTransformTransformDoubleNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLinearTransformTransformDoubleNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearTransformTransformDoubleNormal");
}

//@@Signature
//sfunction @vtkLinearTransform:TransformVector vtkLinearTransformTransformVectorFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformTransformVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLinearTransformTransformVector__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLinearTransformTransformVector__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLinearTransformTransformVector__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLinearTransformTransformVector__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearTransformTransformVector");
}

//@@Signature
//sfunction @vtkLinearTransform:TransformFloatVector vtkLinearTransformTransformFloatVectorFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformTransformFloatVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLinearTransformTransformFloatVector__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLinearTransformTransformFloatVector__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearTransformTransformFloatVector");
}

//@@Signature
//sfunction @vtkLinearTransform:TransformDoubleVector vtkLinearTransformTransformDoubleVectorFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformTransformDoubleVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLinearTransformTransformDoubleVector__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLinearTransformTransformDoubleVector__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearTransformTransformDoubleVector");
}

//@@Signature
//sfunction @vtkLinearTransform:InternalTransformPoint vtkLinearTransformInternalTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformInternalTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLinearTransformInternalTransformPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLinearTransformInternalTransformPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearTransformInternalTransformPoint");
}

//@@Signature
//sfunction @vtkLinearTransform:InternalTransformNormal vtkLinearTransformInternalTransformNormalFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformInternalTransformNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLinearTransformInternalTransformNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLinearTransformInternalTransformNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearTransformInternalTransformNormal");
}

//@@Signature
//sfunction @vtkLinearTransform:InternalTransformVector vtkLinearTransformInternalTransformVectorFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformInternalTransformVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLinearTransformInternalTransformVector__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLinearTransformInternalTransformVector__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearTransformInternalTransformVector");
}

//@@Signature
//sfunction @vtkLinearTransform:InternalTransformDerivative vtkLinearTransformInternalTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformInternalTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkLinearTransformInternalTransformDerivative");
}

//@@Signature
//sfunction @vtkLinearTransform:display vtkLinearTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLinearTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLinearTransform* vtk_pointer = GetVTKPointer<vtkLinearTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLinearTransform:delete vtkLinearTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkLinearTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLinearTransform
//@@Section VTKCommon
//@@Usage
// vtkLinearTransform provides a generic interface for linear 
// (affine or 12 degree-of-freedom) geometric transformations. 
//
//To create an instance of class vtkLinearTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkLinearTransform
//@]
//@@Methods
//The class vtkLinearTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLinearTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLinearTransform = obj.NewInstance ()|
// \item @|vtkLinearTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.TransformNormal (float in[3], float out[3])| -  Apply the transformation to a normal.
// You can use the same array to store both the input and output.
//// \item @|obj.TransformNormal (double in[3], double out[3])| -  Apply the transformation to a double-precision normal.
// You can use the same array to store both the input and output.
//// \item @|double = obj.TransformNormal (double x, double y, double z)| -  Synonymous with TransformDoubleNormal(x,y,z).
// Use this if you are programming in python, tcl or Java.
//// \item @|double = obj.TransformNormal (double normal[3])| -  Synonymous with TransformDoubleNormal(x,y,z).
// Use this if you are programming in python, tcl or Java.
//// \item @|float = obj.TransformFloatNormal (float x, float y, float z)| -  Apply the transformation to an (x,y,z) normal.
// Use this if you are programming in python, tcl or Java.
//// \item @|float = obj.TransformFloatNormal (float normal[3])| -  Apply the transformation to an (x,y,z) normal.
// Use this if you are programming in python, tcl or Java.
//// \item @|double = obj.TransformDoubleNormal (double x, double y, double z)| -  Apply the transformation to a double-precision (x,y,z) normal.
// Use this if you are programming in python, tcl or Java.
//// \item @|double = obj.TransformDoubleNormal (double normal[3])| -  Apply the transformation to a double-precision (x,y,z) normal.
// Use this if you are programming in python, tcl or Java.
//// \item @|double = obj.TransformVector (double x, double y, double z)| -  Synonymous with TransformDoubleVector(x,y,z).
// Use this if you are programming in python, tcl or Java.
//// \item @|double = obj.TransformVector (double normal[3])| -  Synonymous with TransformDoubleVector(x,y,z).
// Use this if you are programming in python, tcl or Java.
//// \item @|obj.TransformVector (float in[3], float out[3])| -  Apply the transformation to a vector.
// You can use the same array to store both the input and output.
//// \item @|obj.TransformVector (double in[3], double out[3])| -  Apply the transformation to a double-precision vector.
// You can use the same array to store both the input and output.
//// \item @|float = obj.TransformFloatVector (float x, float y, float z)| -  Apply the transformation to an (x,y,z) vector.
// Use this if you are programming in python, tcl or Java.
//// \item @|float = obj.TransformFloatVector (float vec[3])| -  Apply the transformation to an (x,y,z) vector.
// Use this if you are programming in python, tcl or Java.
//// \item @|double = obj.TransformDoubleVector (double x, double y, double z)| -  Apply the transformation to a double-precision (x,y,z) vector.
// Use this if you are programming in python, tcl or Java.
//// \item @|double = obj.TransformDoubleVector (double vec[3])| -  Apply the transformation to a double-precision (x,y,z) vector.
// Use this if you are programming in python, tcl or Java.
//// \item @|obj.TransformPoints (vtkPoints inPts, vtkPoints outPts)| -  Apply the transformation to a series of points, and append the
// results to outPts.  
//// \item @|obj.TransformNormals (vtkDataArray inNms, vtkDataArray outNms)| -  Apply the transformation to a series of normals, and append the
// results to outNms.  
//// \item @|obj.TransformVectors (vtkDataArray inVrs, vtkDataArray outVrs)| -  Apply the transformation to a series of vectors, and append the
// results to outVrs.  
//// \item @|obj.TransformPointsNormalsVectors (vtkPoints inPts, vtkPoints outPts, vtkDataArray inNms, vtkDataArray outNms, vtkDataArray inVrs, vtkDataArray outVrs)| -  Apply the transformation to a combination of points, normals
// and vectors.  
//// \item @|vtkLinearTransform = obj.GetLinearInverse ()| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformPoint (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformPoint (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformNormal (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformNormal (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformVector (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformVector (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
////\end{itemize}
//!
