#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLogLookupTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLogLookupTable.h"

//@@Signature
//sfunction @vtkLogLookupTable:vtkLogLookupTable vtkLogLookupTableConstructorFunction
//input a
//output p
//@@Parents vtkLogLookupTable vtkLookupTable 
ArrayVector vtkLogLookupTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLogLookupTable::New(),"vtkLogLookupTable",eval);
  } else if (arg[0].className() == "vtkLogLookupTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLogLookupTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLogLookupTable");
    vtkLogLookupTable*q = reinterpret_cast<vtkLogLookupTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLogLookupTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLogLookupTable:GetClassName vtkLogLookupTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLogLookupTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLogLookupTable requires 1 argument(s)");
  vtkLogLookupTable* vtk_pointer = GetVTKPointer<vtkLogLookupTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLogLookupTable:IsA vtkLogLookupTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLogLookupTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLogLookupTable requires 2 argument(s)");
  vtkLogLookupTable* vtk_pointer = GetVTKPointer<vtkLogLookupTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLogLookupTable:NewInstance vtkLogLookupTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLogLookupTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLogLookupTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLogLookupTable requires 1 argument(s)");
  vtkLogLookupTable* vtk_pointer = GetVTKPointer<vtkLogLookupTable>(arg[0]);
  Array retval;
  vtkLogLookupTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLogLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLogLookupTable:SafeDownCast vtkLogLookupTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLogLookupTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLogLookupTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLogLookupTable requires 2 argument(s)");
  vtkLogLookupTable* vtk_pointer = GetVTKPointer<vtkLogLookupTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLogLookupTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLogLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLogLookupTable:display vtkLogLookupTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLogLookupTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLogLookupTable* vtk_pointer = GetVTKPointer<vtkLogLookupTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLogLookupTable:delete vtkLogLookupTableDeleteFunction
//input varargin
//output none
ArrayVector vtkLogLookupTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLogLookupTable
//@@Section VTKCommon
//@@Usage
// This class is an empty shell.  Use vtkLookupTable with SetScaleToLog10()
// instead.
//
//
//To create an instance of class vtkLogLookupTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkLogLookupTable
//@]
//@@Methods
//The class vtkLogLookupTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLogLookupTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLogLookupTable = obj.NewInstance ()|
// \item @|vtkLogLookupTable = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
