#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLongArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLongArray.h"

//@@Signature
//sfunction @vtkLongArray:vtkLongArray vtkLongArrayConstructorFunction
//input a
//output p
//@@Parents vtkLongArray vtkDataArray 
ArrayVector vtkLongArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLongArray::New(),"vtkLongArray",eval);
  } else if (arg[0].className() == "vtkLongArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLongArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLongArray");
    vtkLongArray*q = reinterpret_cast<vtkLongArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLongArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLongArray:GetClassName vtkLongArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLongArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLongArray requires 1 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:IsA vtkLongArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLongArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLongArray requires 2 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:NewInstance vtkLongArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLongArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLongArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLongArray requires 1 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  vtkLongArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLongArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:SafeDownCast vtkLongArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLongArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLongArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLongArray requires 2 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLongArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLongArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:GetDataType vtkLongArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkLongArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType ();return VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkLongArray requires 1 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:GetTupleValue vtkLongArrayGetTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLongArrayGetTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTupleValue (vtkIdType i, long *tuple);this RealSuperclass GetTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function GetTupleValue for class vtkLongArray requires 3 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  long    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (long)data[k+1];
      }
  vtk_pointer->GetTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:SetTupleValue vtkLongArraySetTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLongArraySetTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTupleValue (vtkIdType i, const long *tuple);this RealSuperclass SetTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function SetTupleValue for class vtkLongArray requires 3 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  long    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (long)data[k+1];
      }
  vtk_pointer->SetTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:InsertTupleValue vtkLongArrayInsertTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLongArrayInsertTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTupleValue (vtkIdType i, const long *tuple);this RealSuperclass InsertTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function InsertTupleValue for class vtkLongArray requires 3 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  long    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (long)data[k+1];
      }
  vtk_pointer->InsertTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:InsertNextTupleValue vtkLongArrayInsertNextTupleValueFunction
//input a0 a1 
//output y
ArrayVector vtkLongArrayInsertNextTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextTupleValue (const long *tuple);return this RealSuperclass InsertNextTupleValue tuple  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextTupleValue for class vtkLongArray requires 2 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  long    *temp0;
  vtkIdType   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (long)data[k+1];
      }
  temp20 = (vtk_pointer)->InsertNextTupleValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:GetValue vtkLongArrayGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkLongArrayGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long GetValue (vtkIdType id);return this RealSuperclass GetValue id  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkLongArray requires 2 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  long     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:SetValue vtkLongArraySetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLongArraySetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (vtkIdType id, long value);this RealSuperclass SetValue id value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkLongArray requires 3 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  long     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:SetNumberOfValues vtkLongArraySetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkLongArraySetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkLongArray requires 2 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:InsertValue vtkLongArrayInsertValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLongArrayInsertValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertValue (vtkIdType id, long f);this RealSuperclass InsertValue id f  */
  if (arg.size() < 3) 
    throw Exception("Function InsertValue for class vtkLongArray requires 3 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  long     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->InsertValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:InsertNextValue vtkLongArrayInsertNextValueFunction
//input a0 a1 
//output y
ArrayVector vtkLongArrayInsertNextValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextValue (long f);return this RealSuperclass InsertNextValue f  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextValue for class vtkLongArray requires 2 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  long     temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:SetArray__1 vtkLongArraySetArray__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLongArraySetArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArray (long *array, vtkIdType size, int save);this RealSuperclass SetArray array size save  */
  if (arg.size() < 4) 
    throw Exception("Function SetArray__1 for class vtkLongArray requires 4 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  long    *temp0;
  vtkIdType   temp1;
  int      temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (long)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetArray(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:SetArray__2 vtkLongArraySetArray__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkLongArraySetArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArray (long *array, vtkIdType size, int save, int deleteMethod);this RealSuperclass SetArray array size save deleteMethod  */
  if (arg.size() < 5) 
    throw Exception("Function SetArray__2 for class vtkLongArray requires 5 argument(s)");
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  Array retval;
  long    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (long)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetArray(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkLongArray:SetArray vtkLongArraySetArrayFunction
//input varargin
//output varargout
ArrayVector vtkLongArraySetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLongArraySetArray__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkLongArraySetArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLongArraySetArray");
}

//@@Signature
//sfunction @vtkLongArray:display vtkLongArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLongArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLongArray* vtk_pointer = GetVTKPointer<vtkLongArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLongArray:delete vtkLongArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkLongArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLongArray
//@@Section VTKCommon
//@@Usage
// vtkLongArray is an array of values of type long.  It provides
// methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkLongArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkLongArray
//@]
//@@Methods
//The class vtkLongArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLongArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLongArray = obj.NewInstance ()|
// \item @|vtkLongArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataType ()| -  Copy the tuple value into a user-provided array.
//// \item @|obj.GetTupleValue (vtkIdType i, long tuple)| -  Set the tuple value at the ith location in the array.
//// \item @|obj.SetTupleValue (vtkIdType i, long tuple)| -  Insert (memory allocation performed) the tuple into the ith location
// in the array.
//// \item @|obj.InsertTupleValue (vtkIdType i, long tuple)| -  Insert (memory allocation performed) the tuple onto the end of the array.
//// \item @|vtkIdType = obj.InsertNextTupleValue (long tuple)| -  Get the data at a particular index.
//// \item @|long = obj.GetValue (vtkIdType id)| -  Set the data at a particular index. Does not do range checking. Make sure
// you use the method SetNumberOfValues() before inserting data.
//// \item @|obj.SetValue (vtkIdType id, long value)| -  Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Insert data at a specified position in the array.
//// \item @|obj.InsertValue (vtkIdType id, long f)| -  Insert data at the end of the array. Return its location in the array.
//// \item @|vtkIdType = obj.InsertNextValue (long f)| -  Get the address of a particular data index. Make sure data is allocated
// for the number of items requested. Set MaxId according to the number of
// data values requested.
//// \item @|obj.SetArray (long array, vtkIdType size, int save)| -  This method lets the user specify data to be held by the array.  The
// array argument is a pointer to the data.  size is the size of
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data
// from the suppled array. 
//// \item @|obj.SetArray (long array, vtkIdType size, int save, int deleteMethod)|
//\end{itemize}
//!
