#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLongLongArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLongLongArray.h"

//@@Signature
//sfunction @vtkLongLongArray:vtkLongLongArray vtkLongLongArrayConstructorFunction
//input a
//output p
//@@Parents vtkLongLongArray vtkDataArray 
ArrayVector vtkLongLongArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLongLongArray::New(),"vtkLongLongArray",eval);
  } else if (arg[0].className() == "vtkLongLongArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLongLongArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLongLongArray");
    vtkLongLongArray*q = reinterpret_cast<vtkLongLongArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLongLongArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLongLongArray:GetClassName vtkLongLongArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLongLongArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLongLongArray requires 1 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:IsA vtkLongLongArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLongLongArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLongLongArray requires 2 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:NewInstance vtkLongLongArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLongLongArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLongLongArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLongLongArray requires 1 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  vtkLongLongArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLongLongArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:SafeDownCast vtkLongLongArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLongLongArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLongLongArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLongLongArray requires 2 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLongLongArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLongLongArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:GetDataType vtkLongLongArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkLongLongArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType ();return VTK_LONG_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkLongLongArray requires 1 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:GetValue vtkLongLongArrayGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkLongLongArrayGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long long GetValue (vtkIdType id);return this RealSuperclass GetValue id  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkLongLongArray requires 2 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  long long   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:SetValue vtkLongLongArraySetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLongLongArraySetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (vtkIdType id, long long value);this RealSuperclass SetValue id value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkLongLongArray requires 3 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  long long   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:SetNumberOfValues vtkLongLongArraySetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkLongLongArraySetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkLongLongArray requires 2 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:InsertValue vtkLongLongArrayInsertValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLongLongArrayInsertValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertValue (vtkIdType id, long long f);this RealSuperclass InsertValue id f  */
  if (arg.size() < 3) 
    throw Exception("Function InsertValue for class vtkLongLongArray requires 3 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  long long   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->InsertValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:InsertNextValue vtkLongLongArrayInsertNextValueFunction
//input a0 a1 
//output y
ArrayVector vtkLongLongArrayInsertNextValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextValue (long long f);return this RealSuperclass InsertNextValue f  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextValue for class vtkLongLongArray requires 2 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  long long   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:WritePointer vtkLongLongArrayWritePointerFunction
//input a0 a1 a2 
//output y
ArrayVector vtkLongLongArrayWritePointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long long *WritePointer (vtkIdType id, vtkIdType number);return this RealSuperclass WritePointer id number  */
  if (arg.size() < 3) 
    throw Exception("Function WritePointer for class vtkLongLongArray requires 3 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  long long  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->WritePointer(temp0,temp1);
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:GetPointer vtkLongLongArrayGetPointerFunction
//input a0 a1 
//output y
ArrayVector vtkLongLongArrayGetPointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long long *GetPointer (vtkIdType id);return this RealSuperclass GetPointer id  */
  if (arg.size() < 2) 
    throw Exception("Function GetPointer for class vtkLongLongArray requires 2 argument(s)");
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  long long  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointer(temp0);
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLongLongArray:SetArray vtkLongLongArraySetArrayFunction
//input varargin
//output varargout
ArrayVector vtkLongLongArraySetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkLongLongArraySetArray");
}

//@@Signature
//sfunction @vtkLongLongArray:display vtkLongLongArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLongLongArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLongLongArray* vtk_pointer = GetVTKPointer<vtkLongLongArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLongLongArray:delete vtkLongLongArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkLongLongArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLongLongArray
//@@Section VTKCommon
//@@Usage
// vtkLongLongArray is an array of values of type long long.
// It provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkLongLongArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkLongLongArray
//@]
//@@Methods
//The class vtkLongLongArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLongLongArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLongLongArray = obj.NewInstance ()|
// \item @|vtkLongLongArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataType ()| -  Copy the tuple value into a user-provided array.
//// \item @|long = obj.long GetValue (vtkIdType id)| -  Set the data at a particular index. Does not do range checking. Make sure
// you use the method SetNumberOfValues() before inserting data.
//// \item @|obj.SetValue (vtkIdType id, long long value)| -  Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Insert data at a specified position in the array.
//// \item @|obj.InsertValue (vtkIdType id, long long f)| -  Insert data at the end of the array. Return its location in the array.
//// \item @|vtkIdType = obj.InsertNextValue (long long f)| -  Get the address of a particular data index. Make sure data is allocated
// for the number of items requested. Set MaxId according to the number of
// data values requested.
//// \item @|long = obj.long WritePointer (vtkIdType id, vtkIdType number)| -  Get the address of a particular data index. Performs no checks
// to verify that the memory has been allocated etc.
//// \item @|long = obj.long GetPointer (vtkIdType id)| -  This method lets the user specify data to be held by the array.  The
// array argument is a pointer to the data.  size is the size of
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data
// from the suppled array. 
////\end{itemize}
//!
