#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLookupTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLookupTable.h"

//@@Signature
//sfunction @vtkLookupTable:vtkLookupTable vtkLookupTableConstructorFunction
//input a
//output p
//@@Parents vtkLookupTable vtkScalarsToColors 
ArrayVector vtkLookupTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLookupTable::New(),"vtkLookupTable",eval);
  } else if (arg[0].className() == "vtkLookupTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLookupTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLookupTable");
    vtkLookupTable*q = reinterpret_cast<vtkLookupTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLookupTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLookupTable:GetClassName vtkLookupTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:IsA vtkLookupTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLookupTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:NewInstance vtkLookupTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLookupTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLookupTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkLookupTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SafeDownCast vtkLookupTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLookupTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLookupTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLookupTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:IsOpaque vtkLookupTableIsOpaqueFunction
//input a0 
//output y
ArrayVector vtkLookupTableIsOpaqueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsOpaque (); */
  if (arg.size() < 1) 
    throw Exception("Function IsOpaque for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsOpaque();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:Allocate vtkLookupTableAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkLookupTableAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Allocate (int sz, int ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkLookupTable requires 3 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:Build vtkLookupTableBuildFunction
//input a0 
//output none
ArrayVector vtkLookupTableBuildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Build (); */
  if (arg.size() < 1) 
    throw Exception("Function Build for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtk_pointer->Build();
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:ForceBuild vtkLookupTableForceBuildFunction
//input a0 
//output none
ArrayVector vtkLookupTableForceBuildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ForceBuild (); */
  if (arg.size() < 1) 
    throw Exception("Function ForceBuild for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtk_pointer->ForceBuild();
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetRamp vtkLookupTableSetRampFunction
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetRampFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRamp (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRamp for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRamp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetRampToLinear vtkLookupTableSetRampToLinearFunction
//input a0 
//output none
ArrayVector vtkLookupTableSetRampToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRampToLinear ();this SetRamp VTK_RAMP_LINEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetRampToLinear for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtk_pointer->SetRampToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetRampToSCurve vtkLookupTableSetRampToSCurveFunction
//input a0 
//output none
ArrayVector vtkLookupTableSetRampToSCurveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRampToSCurve ();this SetRamp VTK_RAMP_SCURVE  */
  if (arg.size() < 1) 
    throw Exception("Function SetRampToSCurve for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtk_pointer->SetRampToSCurve();
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetRampToSQRT vtkLookupTableSetRampToSQRTFunction
//input a0 
//output none
ArrayVector vtkLookupTableSetRampToSQRTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRampToSQRT ();this SetRamp VTK_RAMP_SQRT  */
  if (arg.size() < 1) 
    throw Exception("Function SetRampToSQRT for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtk_pointer->SetRampToSQRT();
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetRamp vtkLookupTableGetRampFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetRampFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRamp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRamp for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRamp();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetScale vtkLookupTableSetScaleFunction
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (int scale); */
  if (arg.size() < 2) 
    throw Exception("Function SetScale for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetScaleToLinear vtkLookupTableSetScaleToLinearFunction
//input a0 
//output none
ArrayVector vtkLookupTableSetScaleToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleToLinear ();this SetScale VTK_SCALE_LINEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScaleToLinear for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtk_pointer->SetScaleToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetScaleToLog10 vtkLookupTableSetScaleToLog10Function
//input a0 
//output none
ArrayVector vtkLookupTableSetScaleToLog10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleToLog10 ();this SetScale VTK_SCALE_LOG10  */
  if (arg.size() < 1) 
    throw Exception("Function SetScaleToLog10 for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtk_pointer->SetScaleToLog10();
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetScale vtkLookupTableGetScaleFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetTableRange__1 vtkLookupTableSetTableRange__1Function
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetTableRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTableRange (double r[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTableRange__1 for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetTableRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetTableRange__2 vtkLookupTableSetTableRange__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLookupTableSetTableRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTableRange (double min, double max); */
  if (arg.size() < 3) 
    throw Exception("Function SetTableRange__2 for class vtkLookupTable requires 3 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetTableRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetTableRange vtkLookupTableGetTableRangeFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetTableRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetTableRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTableRange for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetTableRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetHueRange__1 vtkLookupTableSetHueRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLookupTableSetHueRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHueRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetHueRange__1 for class vtkLookupTable requires 3 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetHueRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetHueRange__2 vtkLookupTableSetHueRange__2Function
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetHueRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHueRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetHueRange__2 for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetHueRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetHueRange vtkLookupTableGetHueRangeFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetHueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetHueRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHueRange for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetHueRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetSaturationRange__1 vtkLookupTableSetSaturationRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLookupTableSetSaturationRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSaturationRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetSaturationRange__1 for class vtkLookupTable requires 3 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetSaturationRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetSaturationRange__2 vtkLookupTableSetSaturationRange__2Function
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetSaturationRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSaturationRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSaturationRange__2 for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSaturationRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetSaturationRange vtkLookupTableGetSaturationRangeFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetSaturationRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSaturationRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSaturationRange for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSaturationRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetValueRange__1 vtkLookupTableSetValueRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLookupTableSetValueRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValueRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetValueRange__1 for class vtkLookupTable requires 3 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValueRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetValueRange__2 vtkLookupTableSetValueRange__2Function
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetValueRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValueRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetValueRange__2 for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetValueRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetValueRange vtkLookupTableGetValueRangeFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetValueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetValueRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValueRange for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetValueRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetAlphaRange__1 vtkLookupTableSetAlphaRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLookupTableSetAlphaRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlphaRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetAlphaRange__1 for class vtkLookupTable requires 3 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetAlphaRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetAlphaRange__2 vtkLookupTableSetAlphaRange__2Function
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetAlphaRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlphaRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAlphaRange__2 for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAlphaRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetAlphaRange vtkLookupTableGetAlphaRangeFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetAlphaRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetAlphaRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlphaRange for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetAlphaRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetColor vtkLookupTableGetColorFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLookupTableGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetColor (double x, double rgb[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetColor for class vtkLookupTable requires 3 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetOpacity vtkLookupTableGetOpacityFunction
//input a0 a1 
//output y
ArrayVector vtkLookupTableGetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOpacity (double v); */
  if (arg.size() < 2) 
    throw Exception("Function GetOpacity for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOpacity(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetIndex vtkLookupTableGetIndexFunction
//input a0 a1 
//output y
ArrayVector vtkLookupTableGetIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetIndex (double v); */
  if (arg.size() < 2) 
    throw Exception("Function GetIndex for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetNumberOfTableValues vtkLookupTableSetNumberOfTableValuesFunction
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetNumberOfTableValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfTableValues (vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTableValues for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTableValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetNumberOfTableValues vtkLookupTableGetNumberOfTableValuesFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetNumberOfTableValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTableValues ();return this NumberOfColors  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTableValues for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTableValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetTableValue__1 vtkLookupTableSetTableValue__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLookupTableSetTableValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTableValue (vtkIdType indx, double rgba[4]); */
  if (arg.size() < 3) 
    throw Exception("Function SetTableValue__1 for class vtkLookupTable requires 3 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[4];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetTableValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetTableValue__2 vtkLookupTableSetTableValue__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkLookupTableSetTableValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTableValue (vtkIdType indx, double r, double g, double b, double a); */
  if (arg.size() < 6) 
    throw Exception("Function SetTableValue__2 for class vtkLookupTable requires 6 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->SetTableValue(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetTableValue__1 vtkLookupTableGetTableValue__1Function
//input a0 a1 
//output y
ArrayVector vtkLookupTableGetTableValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetTableValue (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function GetTableValue__1 for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTableValue(temp0);
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetTableValue__2 vtkLookupTableGetTableValue__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLookupTableGetTableValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTableValue (vtkIdType id, double rgba[4]); */
  if (arg.size() < 3) 
    throw Exception("Function GetTableValue__2 for class vtkLookupTable requires 3 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[4];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetTableValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetRange vtkLookupTableGetRangeFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetRange ();return this GetTableRange  */
  if (arg.size() < 1) 
    throw Exception("Function GetRange for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetRange__1 vtkLookupTableSetRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLookupTableSetRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRange (double min, double max);this SetTableRange min max  */
  if (arg.size() < 3) 
    throw Exception("Function SetRange__1 for class vtkLookupTable requires 3 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetRange__2 vtkLookupTableSetRange__2Function
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRange (double rng[2]);this SetRange rng rng  */
  if (arg.size() < 2) 
    throw Exception("Function SetRange__2 for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetNumberOfColors vtkLookupTableSetNumberOfColorsFunction
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetNumberOfColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfColors (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfColors for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfColors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetNumberOfColorsMinValue vtkLookupTableGetNumberOfColorsMinValueFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetNumberOfColorsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfColorsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfColorsMinValue for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfColorsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetNumberOfColorsMaxValue vtkLookupTableGetNumberOfColorsMaxValueFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetNumberOfColorsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfColorsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfColorsMaxValue for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfColorsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetNumberOfColors vtkLookupTableGetNumberOfColorsFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetNumberOfColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfColors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfColors for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfColors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetTable vtkLookupTableSetTableFunction
//input a0 a1 
//output none
ArrayVector vtkLookupTableSetTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTable (vtkUnsignedCharArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTable for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  vtk_pointer->SetTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:GetTable vtkLookupTableGetTableFunction
//input a0 
//output y
ArrayVector vtkLookupTableGetTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *GetTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTable for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp20;
  temp20 = (vtk_pointer)->GetTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:DeepCopy vtkLookupTableDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkLookupTableDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkLookupTable *lut); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkLookupTable requires 2 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  vtkLookupTable  *temp0;
  temp0 = GetVTKPointer<vtkLookupTable>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:UsingLogScale vtkLookupTableUsingLogScaleFunction
//input a0 
//output y
ArrayVector vtkLookupTableUsingLogScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UsingLogScale ();return this GetScale VTK_SCALE_LOG10  */
  if (arg.size() < 1) 
    throw Exception("Function UsingLogScale for class vtkLookupTable requires 1 argument(s)");
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UsingLogScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLookupTable:SetTableRange vtkLookupTableSetTableRangeFunction
//input varargin
//output varargout
ArrayVector vtkLookupTableSetTableRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLookupTableSetTableRange__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLookupTableSetTableRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLookupTableSetTableRange");
}

//@@Signature
//sfunction @vtkLookupTable:SetHueRange vtkLookupTableSetHueRangeFunction
//input varargin
//output varargout
ArrayVector vtkLookupTableSetHueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLookupTableSetHueRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLookupTableSetHueRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLookupTableSetHueRange");
}

//@@Signature
//sfunction @vtkLookupTable:SetSaturationRange vtkLookupTableSetSaturationRangeFunction
//input varargin
//output varargout
ArrayVector vtkLookupTableSetSaturationRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLookupTableSetSaturationRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLookupTableSetSaturationRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLookupTableSetSaturationRange");
}

//@@Signature
//sfunction @vtkLookupTable:SetValueRange vtkLookupTableSetValueRangeFunction
//input varargin
//output varargout
ArrayVector vtkLookupTableSetValueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLookupTableSetValueRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLookupTableSetValueRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLookupTableSetValueRange");
}

//@@Signature
//sfunction @vtkLookupTable:SetAlphaRange vtkLookupTableSetAlphaRangeFunction
//input varargin
//output varargout
ArrayVector vtkLookupTableSetAlphaRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLookupTableSetAlphaRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLookupTableSetAlphaRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLookupTableSetAlphaRange");
}

//@@Signature
//sfunction @vtkLookupTable:SetTableValue vtkLookupTableSetTableValueFunction
//input varargin
//output varargout
ArrayVector vtkLookupTableSetTableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLookupTableSetTableValue__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkLookupTableSetTableValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLookupTableSetTableValue");
}

//@@Signature
//sfunction @vtkLookupTable:GetTableValue vtkLookupTableGetTableValueFunction
//input varargin
//output varargout
ArrayVector vtkLookupTableGetTableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLookupTableGetTableValue__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkLookupTableGetTableValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLookupTableGetTableValue");
}

//@@Signature
//sfunction @vtkLookupTable:SetRange vtkLookupTableSetRangeFunction
//input varargin
//output varargout
ArrayVector vtkLookupTableSetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLookupTableSetRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLookupTableSetRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLookupTableSetRange");
}

//@@Signature
//sfunction @vtkLookupTable:display vtkLookupTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLookupTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLookupTable* vtk_pointer = GetVTKPointer<vtkLookupTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLookupTable:delete vtkLookupTableDeleteFunction
//input varargin
//output none
ArrayVector vtkLookupTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLookupTable
//@@Section VTKCommon
//@@Usage
// vtkLookupTable is an object that is used by mapper objects to map scalar 
// values into rgba (red-green-blue-alpha transparency) color specification, 
// or rgba into scalar values. The color table can be created by direct 
// insertion of color values, or by specifying  hue, saturation, value, and 
// alpha range and generating a table.
//
//
//To create an instance of class vtkLookupTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkLookupTable
//@]
//@@Methods
//The class vtkLookupTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLookupTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLookupTable = obj.NewInstance ()|
// \item @|vtkLookupTable = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.IsOpaque ()| -  Return true if all of the values defining the mapping have an opacity
// equal to 1. Default implementation return true.
//// \item @|int = obj.Allocate (int sz, int ext)| -  Allocate a color table of specified size.
//// \item @|obj.Build ()| -  Generate lookup table from hue, saturation, value, alpha min/max values. 
// Table is built from linear ramp of each value.
//// \item @|obj.ForceBuild ()| -  Force the lookup table to regenerate from hue, saturation, value,
// and alpha min/max values.  Table is built from a linear ramp of
// each value.  ForceBuild() is useful if a lookup table has been
// defined manually (using SetTableValue) and then an application
// decides to rebuild the lookup table using the implicit process.
//// \item @|obj.SetRamp (int )| -  Set the shape of the table ramp to either linear or S-curve.
// The default is S-curve, which tails off gradually at either end.  
// The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,
// while the equation for the linear ramp is simply y = x.  For an
// S-curve greyscale ramp, you should set NumberOfTableValues to 402 
// (which is 256*pi/2) to provide room for the tails of the ramp.
// The equation for the SQRT is y = sqrt(x).  
//// \item @|obj.SetRampToLinear ()| -  Set the shape of the table ramp to either linear or S-curve.
// The default is S-curve, which tails off gradually at either end.  
// The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,
// while the equation for the linear ramp is simply y = x.  For an
// S-curve greyscale ramp, you should set NumberOfTableValues to 402 
// (which is 256*pi/2) to provide room for the tails of the ramp.
// The equation for the SQRT is y = sqrt(x).  
//// \item @|obj.SetRampToSCurve ()| -  Set the shape of the table ramp to either linear or S-curve.
// The default is S-curve, which tails off gradually at either end.  
// The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,
// while the equation for the linear ramp is simply y = x.  For an
// S-curve greyscale ramp, you should set NumberOfTableValues to 402 
// (which is 256*pi/2) to provide room for the tails of the ramp.
// The equation for the SQRT is y = sqrt(x).  
//// \item @|obj.SetRampToSQRT ()| -  Set the shape of the table ramp to either linear or S-curve.
// The default is S-curve, which tails off gradually at either end.  
// The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,
// while the equation for the linear ramp is simply y = x.  For an
// S-curve greyscale ramp, you should set NumberOfTableValues to 402 
// (which is 256*pi/2) to provide room for the tails of the ramp.
// The equation for the SQRT is y = sqrt(x).  
//// \item @|int = obj.GetRamp ()| -  Set the shape of the table ramp to either linear or S-curve.
// The default is S-curve, which tails off gradually at either end.  
// The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,
// while the equation for the linear ramp is simply y = x.  For an
// S-curve greyscale ramp, you should set NumberOfTableValues to 402 
// (which is 256*pi/2) to provide room for the tails of the ramp.
// The equation for the SQRT is y = sqrt(x).  
//// \item @|obj.SetScale (int scale)| -  Set the type of scale to use, linear or logarithmic.  The default
// is linear.  If the scale is logarithmic, then the TableRange must not
// cross the value zero.
//// \item @|obj.SetScaleToLinear ()| -  Set the type of scale to use, linear or logarithmic.  The default
// is linear.  If the scale is logarithmic, then the TableRange must not
// cross the value zero.
//// \item @|obj.SetScaleToLog10 ()| -  Set the type of scale to use, linear or logarithmic.  The default
// is linear.  If the scale is logarithmic, then the TableRange must not
// cross the value zero.
//// \item @|int = obj.GetScale ()| -  Set the type of scale to use, linear or logarithmic.  The default
// is linear.  If the scale is logarithmic, then the TableRange must not
// cross the value zero.
//// \item @|obj.SetTableRange (double r[2])| -  Set/Get the minimum/maximum scalar values for scalar mapping. Scalar
// values less than minimum range value are clamped to minimum range value.
// Scalar values greater than maximum range value are clamped to maximum
// range value.
//// \item @|obj.SetTableRange (double min, double max)| -  Set/Get the minimum/maximum scalar values for scalar mapping. Scalar
// values less than minimum range value are clamped to minimum range value.
// Scalar values greater than maximum range value are clamped to maximum
// range value.
//// \item @|double = obj. GetTableRange ()| -  Set/Get the minimum/maximum scalar values for scalar mapping. Scalar
// values less than minimum range value are clamped to minimum range value.
// Scalar values greater than maximum range value are clamped to maximum
// range value.
//// \item @|obj.SetHueRange (double , double )| -  Set the range in hue (using automatic generation). Hue ranges 
// between [0,1].
//// \item @|obj.SetHueRange (double  a[2])| -  Set the range in hue (using automatic generation). Hue ranges 
// between [0,1].
//// \item @|double = obj. GetHueRange ()| -  Set the range in hue (using automatic generation). Hue ranges 
// between [0,1].
//// \item @|obj.SetSaturationRange (double , double )| -  Set the range in saturation (using automatic generation). Saturation 
// ranges between [0,1].
//// \item @|obj.SetSaturationRange (double  a[2])| -  Set the range in saturation (using automatic generation). Saturation 
// ranges between [0,1].
//// \item @|double = obj. GetSaturationRange ()| -  Set the range in saturation (using automatic generation). Saturation 
// ranges between [0,1].
//// \item @|obj.SetValueRange (double , double )| -  Set the range in value (using automatic generation). Value ranges 
// between [0,1].
//// \item @|obj.SetValueRange (double  a[2])| -  Set the range in value (using automatic generation). Value ranges 
// between [0,1].
//// \item @|double = obj. GetValueRange ()| -  Set the range in value (using automatic generation). Value ranges 
// between [0,1].
//// \item @|obj.SetAlphaRange (double , double )| -  Set the range in alpha (using automatic generation). Alpha ranges from 
// [0,1].
//// \item @|obj.SetAlphaRange (double  a[2])| -  Set the range in alpha (using automatic generation). Alpha ranges from 
// [0,1].
//// \item @|double = obj. GetAlphaRange ()| -  Set the range in alpha (using automatic generation). Alpha ranges from 
// [0,1].
//// \item @|obj.GetColor (double x, double rgb[3])| -  Map one value through the lookup table and return the color as
// an RGB array of doubles between 0 and 1.
//// \item @|double = obj.GetOpacity (double v)| -  Map one value through the lookup table and return the alpha value
// (the opacity) as a double between 0 and 1.
//// \item @|vtkIdType = obj.GetIndex (double v)| -  Return the table index associated with a particular value.
//// \item @|obj.SetNumberOfTableValues (vtkIdType number)| -  Specify the number of values (i.e., colors) in the lookup
// table.
//// \item @|vtkIdType = obj.GetNumberOfTableValues ()| -  Specify the number of values (i.e., colors) in the lookup
// table.
//// \item @|obj.SetTableValue (vtkIdType indx, double rgba[4])| -  Directly load color into lookup table. Use [0,1] double values for color
// component specification. Make sure that you've either used the
// Build() method or used SetNumberOfTableValues() prior to using this
// method.
//// \item @|obj.SetTableValue (vtkIdType indx, double r, double g, double b, double a)| -  Directly load color into lookup table. Use [0,1] double values for color 
// component specification.
//// \item @|double = obj.GetTableValue (vtkIdType id)| -  Return a rgba color value for the given index into the lookup table. Color
// components are expressed as [0,1] double values.
//// \item @|obj.GetTableValue (vtkIdType id, double rgba[4])| -  Return a rgba color value for the given index into the lookup table. Color
// components are expressed as [0,1] double values.
//// \item @|double = obj.GetRange ()| -  Sets/Gets the range of scalars which will be mapped.  This is a duplicate
// of Get/SetTableRange.
//// \item @|obj.SetRange (double min, double max)| -  Sets/Gets the range of scalars which will be mapped.  This is a duplicate
// of Get/SetTableRange.
//// \item @|obj.SetRange (double rng[2])| -  Sets/Gets the range of scalars which will be mapped.  This is a duplicate
// of Get/SetTableRange.
//// \item @|obj.SetNumberOfColors (vtkIdType )| -  Set the number of colors in the lookup table.  Use
// SetNumberOfTableValues() instead, it can be used both before and
// after the table has been built whereas SetNumberOfColors() has no
// effect after the table has been built.
//// \item @|vtkIdType = obj.GetNumberOfColorsMinValue ()| -  Set the number of colors in the lookup table.  Use
// SetNumberOfTableValues() instead, it can be used both before and
// after the table has been built whereas SetNumberOfColors() has no
// effect after the table has been built.
//// \item @|vtkIdType = obj.GetNumberOfColorsMaxValue ()| -  Set the number of colors in the lookup table.  Use
// SetNumberOfTableValues() instead, it can be used both before and
// after the table has been built whereas SetNumberOfColors() has no
// effect after the table has been built.
//// \item @|vtkIdType = obj.GetNumberOfColors ()| -  Set the number of colors in the lookup table.  Use
// SetNumberOfTableValues() instead, it can be used both before and
// after the table has been built whereas SetNumberOfColors() has no
// effect after the table has been built.
//// \item @|obj.SetTable (vtkUnsignedCharArray )| -  Set/Get the internal table array that is used to map the scalars
// to colors.  The table array is an unsigned char array with 4
// components representing RGBA.
//// \item @|vtkUnsignedCharArray = obj.GetTable ()| -  Set/Get the internal table array that is used to map the scalars
// to colors.  The table array is an unsigned char array with 4
// components representing RGBA.
//// \item @|obj.DeepCopy (vtkLookupTable lut)| -  Copy the contents from another LookupTable
//// \item @|int = obj.UsingLogScale ()|
//\end{itemize}
//!
