#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMath object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMath.h"

//@@Signature
//sfunction @vtkMath:vtkMath vtkMathConstructorFunction
//input a
//output p
//@@Parents vtkMath vtkObject 
ArrayVector vtkMathConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMath::New(),"vtkMath",eval);
  } else if (arg[0].className() == "vtkMath") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMath"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMath");
    vtkMath*q = reinterpret_cast<vtkMath*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMath");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMath:GetClassName vtkMathGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMathGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:IsA vtkMathIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMathIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:NewInstance vtkMathNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMathNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMath *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  vtkMath  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMath:SafeDownCast vtkMathSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMathSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMath *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMath  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMath:Pi vtkMathPiFunction
//input a0 
//output y
ArrayVector vtkMathPiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Pi ();return f  */
  if (arg.size() < 1) 
    throw Exception("Function Pi for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->Pi();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:DoubleTwoPi vtkMathDoubleTwoPiFunction
//input a0 
//output y
ArrayVector vtkMathDoubleTwoPiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double DoubleTwoPi ();return  */
  if (arg.size() < 1) 
    throw Exception("Function DoubleTwoPi for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->DoubleTwoPi();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:DoublePi vtkMathDoublePiFunction
//input a0 
//output y
ArrayVector vtkMathDoublePiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double DoublePi ();return  */
  if (arg.size() < 1) 
    throw Exception("Function DoublePi for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->DoublePi();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:RadiansFromDegrees__1 vtkMathRadiansFromDegrees__1Function
//input a0 a1 
//output y
ArrayVector vtkMathRadiansFromDegrees__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float RadiansFromDegrees (float degrees); */
  if (arg.size() < 2) 
    throw Exception("Function RadiansFromDegrees__1 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float    temp0;
  float    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->RadiansFromDegrees(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:RadiansFromDegrees__2 vtkMathRadiansFromDegrees__2Function
//input a0 a1 
//output y
ArrayVector vtkMathRadiansFromDegrees__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double RadiansFromDegrees (double degrees); */
  if (arg.size() < 2) 
    throw Exception("Function RadiansFromDegrees__2 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->RadiansFromDegrees(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:DegreesFromRadians__1 vtkMathDegreesFromRadians__1Function
//input a0 a1 
//output y
ArrayVector vtkMathDegreesFromRadians__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float DegreesFromRadians (float radians); */
  if (arg.size() < 2) 
    throw Exception("Function DegreesFromRadians__1 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float    temp0;
  float    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->DegreesFromRadians(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:DegreesFromRadians__2 vtkMathDegreesFromRadians__2Function
//input a0 a1 
//output y
ArrayVector vtkMathDegreesFromRadians__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double DegreesFromRadians (double radians); */
  if (arg.size() < 2) 
    throw Exception("Function DegreesFromRadians__2 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->DegreesFromRadians(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:DegreesToRadians vtkMathDegreesToRadiansFunction
//input a0 
//output y
ArrayVector vtkMathDegreesToRadiansFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float DegreesToRadians (); */
  if (arg.size() < 1) 
    throw Exception("Function DegreesToRadians for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->DegreesToRadians();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:DoubleDegreesToRadians vtkMathDoubleDegreesToRadiansFunction
//input a0 
//output y
ArrayVector vtkMathDoubleDegreesToRadiansFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double DoubleDegreesToRadians (); */
  if (arg.size() < 1) 
    throw Exception("Function DoubleDegreesToRadians for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->DoubleDegreesToRadians();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:RadiansToDegrees vtkMathRadiansToDegreesFunction
//input a0 
//output y
ArrayVector vtkMathRadiansToDegreesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float RadiansToDegrees (); */
  if (arg.size() < 1) 
    throw Exception("Function RadiansToDegrees for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->RadiansToDegrees();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:DoubleRadiansToDegrees vtkMathDoubleRadiansToDegreesFunction
//input a0 
//output y
ArrayVector vtkMathDoubleRadiansToDegreesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double DoubleRadiansToDegrees (); */
  if (arg.size() < 1) 
    throw Exception("Function DoubleRadiansToDegrees for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->DoubleRadiansToDegrees();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Round__1 vtkMathRound__1Function
//input a0 a1 
//output y
ArrayVector vtkMathRound__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int Round (float f);return static_cast int f f  */
  if (arg.size() < 2) 
    throw Exception("Function Round__1 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float    temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->Round(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Round__2 vtkMathRound__2Function
//input a0 a1 
//output y
ArrayVector vtkMathRound__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int Round (double f);return static_cast int f f  */
  if (arg.size() < 2) 
    throw Exception("Function Round__2 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->Round(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Floor vtkMathFloorFunction
//input a0 a1 
//output y
ArrayVector vtkMathFloorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int Floor (double x); */
  if (arg.size() < 2) 
    throw Exception("Function Floor for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->Floor(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Factorial vtkMathFactorialFunction
//input a0 a1 
//output y
ArrayVector vtkMathFactorialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkTypeInt64 Factorial (int N); */
  if (arg.size() < 2) 
    throw Exception("Function Factorial for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  int      temp0;
  long long   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->Factorial(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Binomial vtkMathBinomialFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMathBinomialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkTypeInt64 Binomial (int m, int n); */
  if (arg.size() < 3) 
    throw Exception("Function Binomial for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  long long   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Binomial(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:NextCombination vtkMathNextCombinationFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMathNextCombinationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int NextCombination (int m, int n, int *combination); */
  if (arg.size() < 4) 
    throw Exception("Function NextCombination for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int     *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->NextCombination(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:FreeCombination vtkMathFreeCombinationFunction
//input a0 a1 
//output none
ArrayVector vtkMathFreeCombinationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void FreeCombination (int *combination); */
  if (arg.size() < 2) 
    throw Exception("Function FreeCombination for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->FreeCombination(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMath:RandomSeed vtkMathRandomSeedFunction
//input a0 a1 
//output none
ArrayVector vtkMathRandomSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RandomSeed (int s); */
  if (arg.size() < 2) 
    throw Exception("Function RandomSeed for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RandomSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMath:GetSeed vtkMathGetSeedFunction
//input a0 
//output y
ArrayVector vtkMathGetSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetSeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSeed for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Random__1 vtkMathRandom__1Function
//input a0 
//output y
ArrayVector vtkMathRandom__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Random (); */
  if (arg.size() < 1) 
    throw Exception("Function Random__1 for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->Random();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Random__2 vtkMathRandom__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathRandom__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Random (double min, double max); */
  if (arg.size() < 3) 
    throw Exception("Function Random__2 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->Random(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Gaussian__1 vtkMathGaussian__1Function
//input a0 
//output y
ArrayVector vtkMathGaussian__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Gaussian (); */
  if (arg.size() < 1) 
    throw Exception("Function Gaussian__1 for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->Gaussian();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Gaussian__2 vtkMathGaussian__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathGaussian__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Gaussian (double mean, double std); */
  if (arg.size() < 3) 
    throw Exception("Function Gaussian__2 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->Gaussian(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Add__1 vtkMathAdd__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMathAdd__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Add (const float a[3], const float b[3], float c[3]);for int i i i c i a i b i  */
  if (arg.size() < 4) 
    throw Exception("Function Add__1 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  vtk_pointer->Add(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMath:Add__2 vtkMathAdd__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMathAdd__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Add (const double a[3], const double b[3], double c[3]);for int i i i c i a i b i  */
  if (arg.size() < 4) 
    throw Exception("Function Add__2 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Add(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMath:Subtract__1 vtkMathSubtract__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMathSubtract__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Subtract (const float a[3], const float b[3], float c[3]);for int i i i c i a i b i  */
  if (arg.size() < 4) 
    throw Exception("Function Subtract__1 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  vtk_pointer->Subtract(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMath:Subtract__2 vtkMathSubtract__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMathSubtract__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Subtract (const double a[3], const double b[3], double c[3]);for int i i i c i a i b i  */
  if (arg.size() < 4) 
    throw Exception("Function Subtract__2 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Subtract(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMath:MultiplyScalar__1 vtkMathMultiplyScalar__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathMultiplyScalar__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void MultiplyScalar (float a[3], float s);for int i i i a i s  */
  if (arg.size() < 3) 
    throw Exception("Function MultiplyScalar__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float    temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[4].asDouble();
  vtk_pointer->MultiplyScalar(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:MultiplyScalar__2 vtkMathMultiplyScalar__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathMultiplyScalar__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void MultiplyScalar (double a[3], double s);for int i i i a i s  */
  if (arg.size() < 3) 
    throw Exception("Function MultiplyScalar__2 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[4].asDouble();
  vtk_pointer->MultiplyScalar(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:Dot__1 vtkMathDot__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathDot__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Dot (const float x[3], const float y[3]);return x y x y x y  */
  if (arg.size() < 3) 
    throw Exception("Function Dot__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float    temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->Dot(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Dot__2 vtkMathDot__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathDot__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Dot (const double x[3], const double y[3]);return x y x y x y  */
  if (arg.size() < 3) 
    throw Exception("Function Dot__2 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Dot(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Cross__1 vtkMathCross__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMathCross__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Cross (const float x[3], const float y[3], float z[3]); */
  if (arg.size() < 4) 
    throw Exception("Function Cross__1 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  vtk_pointer->Cross(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMath:Cross__2 vtkMathCross__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMathCross__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Cross (const double x[3], const double y[3], double z[3]); */
  if (arg.size() < 4) 
    throw Exception("Function Cross__2 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Cross(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMath:Norm__1 vtkMathNorm__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathNorm__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Norm (const float *x, int n); */
  if (arg.size() < 3) 
    throw Exception("Function Norm__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float   *temp0;
  int      temp1;
  float    temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Norm(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Norm__2 vtkMathNorm__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathNorm__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Norm (const double *x, int n); */
  if (arg.size() < 3) 
    throw Exception("Function Norm__2 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  double   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Norm(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Norm__3 vtkMathNorm__3Function
//input a0 a1 
//output y
ArrayVector vtkMathNorm__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Norm (const float x[3]);return static_cast float sqrt x x x x x x  */
  if (arg.size() < 2) 
    throw Exception("Function Norm__3 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float    temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->Norm(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Norm__4 vtkMathNorm__4Function
//input a0 a1 
//output y
ArrayVector vtkMathNorm__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Norm (const double x[3]);return sqrt x x x x x x  */
  if (arg.size() < 2) 
    throw Exception("Function Norm__4 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Norm(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Normalize__1 vtkMathNormalize__1Function
//input a0 a1 
//output y
ArrayVector vtkMathNormalize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Normalize (float x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function Normalize__1 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float    temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->Normalize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Normalize__2 vtkMathNormalize__2Function
//input a0 a1 
//output y
ArrayVector vtkMathNormalize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Normalize (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function Normalize__2 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Normalize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Perpendiculars__1 vtkMathPerpendiculars__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkMathPerpendiculars__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Perpendiculars (const double x[3], double y[3], double z[3], double theta); */
  if (arg.size() < 5) 
    throw Exception("Function Perpendiculars__1 for class vtkMath requires 5 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp3;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[10].asDouble();
  vtk_pointer->Perpendiculars(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkMath:Perpendiculars__2 vtkMathPerpendiculars__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkMathPerpendiculars__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Perpendiculars (const float x[3], float y[3], float z[3], double theta); */
  if (arg.size() < 5) 
    throw Exception("Function Perpendiculars__2 for class vtkMath requires 5 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  double   temp3;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[10].asDouble();
  vtk_pointer->Perpendiculars(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkMath:Distance2BetweenPoints__1 vtkMathDistance2BetweenPoints__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathDistance2BetweenPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Distance2BetweenPoints (const float x[3], const float y[3]); */
  if (arg.size() < 3) 
    throw Exception("Function Distance2BetweenPoints__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float    temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->Distance2BetweenPoints(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Distance2BetweenPoints__2 vtkMathDistance2BetweenPoints__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathDistance2BetweenPoints__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Distance2BetweenPoints (const double x[3], const double y[3]); */
  if (arg.size() < 3) 
    throw Exception("Function Distance2BetweenPoints__2 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Distance2BetweenPoints(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Dot2D__1 vtkMathDot2D__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathDot2D__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Dot2D (const float x[2], const float y[2]);return x y x y  */
  if (arg.size() < 3) 
    throw Exception("Function Dot2D__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[2];
  float  temp1[2];
  float    temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->Dot2D(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Dot2D__2 vtkMathDot2D__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathDot2D__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Dot2D (const double x[2], const double y[2]);return x y x y  */
  if (arg.size() < 3) 
    throw Exception("Function Dot2D__2 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[2];
  double temp1[2];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Dot2D(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Norm2D__1 vtkMathNorm2D__1Function
//input a0 a1 
//output y
ArrayVector vtkMathNorm2D__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Norm2D (const float x[2]);return static_cast float sqrt x x x x  */
  if (arg.size() < 2) 
    throw Exception("Function Norm2D__1 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[2];
  float    temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->Norm2D(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Norm2D__2 vtkMathNorm2D__2Function
//input a0 a1 
//output y
ArrayVector vtkMathNorm2D__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Norm2D (const double x[2]);return sqrt x x x x  */
  if (arg.size() < 2) 
    throw Exception("Function Norm2D__2 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[2];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Norm2D(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Normalize2D__1 vtkMathNormalize2D__1Function
//input a0 a1 
//output y
ArrayVector vtkMathNormalize2D__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Normalize2D (float x[2]); */
  if (arg.size() < 2) 
    throw Exception("Function Normalize2D__1 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[2];
  float    temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->Normalize2D(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Normalize2D__2 vtkMathNormalize2D__2Function
//input a0 a1 
//output y
ArrayVector vtkMathNormalize2D__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Normalize2D (double x[2]); */
  if (arg.size() < 2) 
    throw Exception("Function Normalize2D__2 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[2];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Normalize2D(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Determinant2x2__1 vtkMathDeterminant2x2__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathDeterminant2x2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Determinant2x2 (const float c1[2], const float c2[2]);return c1 c2 c2 c1  */
  if (arg.size() < 3) 
    throw Exception("Function Determinant2x2__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[2];
  float  temp1[2];
  float    temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->Determinant2x2(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Determinant2x2__2 vtkMathDeterminant2x2__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMathDeterminant2x2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Determinant2x2 (double a, double b, double c, double d);return a d b c  */
  if (arg.size() < 5) 
    throw Exception("Function Determinant2x2__2 for class vtkMath requires 5 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->Determinant2x2(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Determinant2x2__3 vtkMathDeterminant2x2__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathDeterminant2x2__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Determinant2x2 (const double c1[2], const double c2[2]);return c1 c2 c2 c1  */
  if (arg.size() < 3) 
    throw Exception("Function Determinant2x2__3 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[2];
  double temp1[2];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Determinant2x2(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Determinant3x3__3 vtkMathDeterminant3x3__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMathDeterminant3x3__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Determinant3x3 (const float c1[3], const float c2[3], const float c3[3]); */
  if (arg.size() < 4) 
    throw Exception("Function Determinant3x3__3 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  float    temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->Determinant3x3(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Determinant3x3__4 vtkMathDeterminant3x3__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMathDeterminant3x3__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Determinant3x3 (const double c1[3], const double c2[3], const double c3[3]); */
  if (arg.size() < 4) 
    throw Exception("Function Determinant3x3__4 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Determinant3x3(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Determinant3x3__5 vtkMathDeterminant3x3__5Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output y
ArrayVector vtkMathDeterminant3x3__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Determinant3x3 (double a1, double a2, double a3, double b1, double b2, double b3, double c1, double c2, double c3); */
  if (arg.size() < 10) 
    throw Exception("Function Determinant3x3__5 for class vtkMath requires 10 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp8 = (double) arg[9].asDouble();
  temp20 = (vtk_pointer)->Determinant3x3(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:SolveCubic__1 vtkMathSolveCubic__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMathSolveCubic__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double *SolveCubic (double c0, double c1, double c2, double c3); */
  if (arg.size() < 5) 
    throw Exception("Function SolveCubic__1 for class vtkMath requires 5 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->SolveCubic(temp0,temp1,temp2,temp3);
  BasicArray<double> tempResult(NTuple(5,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMath:SolveQuadratic__1 vtkMathSolveQuadratic__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMathSolveQuadratic__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double *SolveQuadratic (double c0, double c1, double c2); */
  if (arg.size() < 4) 
    throw Exception("Function SolveQuadratic__1 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->SolveQuadratic(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMath:SolveLinear__1 vtkMathSolveLinear__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkMathSolveLinear__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double *SolveLinear (double c0, double c1); */
  if (arg.size() < 3) 
    throw Exception("Function SolveLinear__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->SolveLinear(temp0,temp1);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMath:SolveCubic__2 vtkMathSolveCubic__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output y
ArrayVector vtkMathSolveCubic__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SolveCubic (double c0, double c1, double c2, double c3, double *r1, double *r2, double *r3, int *num_roots); */
  if (arg.size() < 9) 
    throw Exception("Function SolveCubic__2 for class vtkMath requires 9 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double  *temp4;
  double  *temp5;
  double  *temp6;
  int     *temp7;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp6 = new double[length];
      for ( int k = 0; k < length; k++ ) temp6[k] = (double)data[k+1];
      }
    if ( !arg[8].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[8].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp7 = new int[length];
      for ( int k = 0; k < length; k++ ) temp7[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SolveCubic(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:SolveQuadratic__2 vtkMathSolveQuadratic__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkMathSolveQuadratic__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SolveQuadratic (double c0, double c1, double c2, double *r1, double *r2, int *num_roots); */
  if (arg.size() < 7) 
    throw Exception("Function SolveQuadratic__2 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  int     *temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new int[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SolveQuadratic(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:SolveQuadratic__3 vtkMathSolveQuadratic__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMathSolveQuadratic__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SolveQuadratic (double *c, double *r, int *m); */
  if (arg.size() < 4) 
    throw Exception("Function SolveQuadratic__3 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int     *temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SolveQuadratic(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:SolveLinear__2 vtkMathSolveLinear__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMathSolveLinear__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SolveLinear (double c0, double c1, double *r1, int *num_roots); */
  if (arg.size() < 5) 
    throw Exception("Function SolveLinear__2 for class vtkMath requires 5 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double  *temp2;
  int     *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SolveLinear(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:RGBToHSV__1 vtkMathRGBToHSV__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathRGBToHSV__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RGBToHSV (const float rgb[3], float hsv[3]);RGBToHSV rgb rgb rgb hsv hsv hsv  */
  if (arg.size() < 3) 
    throw Exception("Function RGBToHSV__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->RGBToHSV(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:RGBToHSV__2 vtkMathRGBToHSV__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMathRGBToHSV__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RGBToHSV (float r, float g, float b, float *h, float *s, float *v); */
  if (arg.size() < 7) 
    throw Exception("Function RGBToHSV__2 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  float   *temp3;
  float   *temp4;
  float   *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new float[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new float[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (float)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new float[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (float)data[k+1];
      }
  vtk_pointer->RGBToHSV(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMath:RGBToHSV__3 vtkMathRGBToHSV__3Function
//input a0 a1 
//output y
ArrayVector vtkMathRGBToHSV__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double *RGBToHSV (const double rgb[3]); */
  if (arg.size() < 2) 
    throw Exception("Function RGBToHSV__3 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->RGBToHSV(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMath:RGBToHSV__4 vtkMathRGBToHSV__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMathRGBToHSV__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double *RGBToHSV (double r, double g, double b); */
  if (arg.size() < 4) 
    throw Exception("Function RGBToHSV__4 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->RGBToHSV(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMath:RGBToHSV__5 vtkMathRGBToHSV__5Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathRGBToHSV__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RGBToHSV (const double rgb[3], double hsv[3]);RGBToHSV rgb rgb rgb hsv hsv hsv  */
  if (arg.size() < 3) 
    throw Exception("Function RGBToHSV__5 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->RGBToHSV(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:RGBToHSV__6 vtkMathRGBToHSV__6Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMathRGBToHSV__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RGBToHSV (double r, double g, double b, double *h, double *s, double *v); */
  if (arg.size() < 7) 
    throw Exception("Function RGBToHSV__6 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  double  *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
  vtk_pointer->RGBToHSV(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMath:HSVToRGB__1 vtkMathHSVToRGB__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathHSVToRGB__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void HSVToRGB (const float hsv[3], float rgb[3]);HSVToRGB hsv hsv hsv rgb rgb rgb  */
  if (arg.size() < 3) 
    throw Exception("Function HSVToRGB__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->HSVToRGB(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:HSVToRGB__2 vtkMathHSVToRGB__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMathHSVToRGB__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void HSVToRGB (float h, float s, float v, float *r, float *g, float *b); */
  if (arg.size() < 7) 
    throw Exception("Function HSVToRGB__2 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  float   *temp3;
  float   *temp4;
  float   *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new float[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new float[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (float)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new float[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (float)data[k+1];
      }
  vtk_pointer->HSVToRGB(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMath:HSVToRGB__3 vtkMathHSVToRGB__3Function
//input a0 a1 
//output y
ArrayVector vtkMathHSVToRGB__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double *HSVToRGB (const double hsv[3]); */
  if (arg.size() < 2) 
    throw Exception("Function HSVToRGB__3 for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->HSVToRGB(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMath:HSVToRGB__4 vtkMathHSVToRGB__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMathHSVToRGB__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double *HSVToRGB (double h, double s, double v); */
  if (arg.size() < 4) 
    throw Exception("Function HSVToRGB__4 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->HSVToRGB(temp0,temp1,temp2);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMath:HSVToRGB__5 vtkMathHSVToRGB__5Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathHSVToRGB__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void HSVToRGB (const double hsv[3], double rgb[3]);HSVToRGB hsv hsv hsv rgb rgb rgb  */
  if (arg.size() < 3) 
    throw Exception("Function HSVToRGB__5 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->HSVToRGB(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:HSVToRGB__6 vtkMathHSVToRGB__6Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMathHSVToRGB__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void HSVToRGB (double h, double s, double v, double *r, double *g, double *b); */
  if (arg.size() < 7) 
    throw Exception("Function HSVToRGB__6 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  double  *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
  vtk_pointer->HSVToRGB(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMath:LabToXYZ__1 vtkMathLabToXYZ__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathLabToXYZ__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void LabToXYZ (const double lab[3], double xyz[3]);LabToXYZ lab lab lab xyz xyz xyz  */
  if (arg.size() < 3) 
    throw Exception("Function LabToXYZ__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->LabToXYZ(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:LabToXYZ__2 vtkMathLabToXYZ__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMathLabToXYZ__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void LabToXYZ (double L, double a, double b, double *x, double *y, double *z); */
  if (arg.size() < 7) 
    throw Exception("Function LabToXYZ__2 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  double  *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
  vtk_pointer->LabToXYZ(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMath:XYZToLab__1 vtkMathXYZToLab__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathXYZToLab__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void XYZToLab (const double xyz[3], double lab[3]);XYZToLab xyz xyz xyz lab lab lab  */
  if (arg.size() < 3) 
    throw Exception("Function XYZToLab__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->XYZToLab(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:XYZToLab__2 vtkMathXYZToLab__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMathXYZToLab__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void XYZToLab (double x, double y, double z, double *L, double *a, double *b); */
  if (arg.size() < 7) 
    throw Exception("Function XYZToLab__2 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  double  *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
  vtk_pointer->XYZToLab(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMath:XYZToRGB__1 vtkMathXYZToRGB__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathXYZToRGB__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void XYZToRGB (const double xyz[3], double rgb[3]);XYZToRGB xyz xyz xyz rgb rgb rgb  */
  if (arg.size() < 3) 
    throw Exception("Function XYZToRGB__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->XYZToRGB(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:XYZToRGB__2 vtkMathXYZToRGB__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMathXYZToRGB__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void XYZToRGB (double x, double y, double z, double *r, double *g, double *b); */
  if (arg.size() < 7) 
    throw Exception("Function XYZToRGB__2 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  double  *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
  vtk_pointer->XYZToRGB(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMath:RGBToXYZ__1 vtkMathRGBToXYZ__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathRGBToXYZ__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RGBToXYZ (const double rgb[3], double xyz[3]);RGBToXYZ rgb rgb rgb xyz xyz xyz  */
  if (arg.size() < 3) 
    throw Exception("Function RGBToXYZ__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->RGBToXYZ(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:RGBToXYZ__2 vtkMathRGBToXYZ__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMathRGBToXYZ__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RGBToXYZ (double r, double g, double b, double *x, double *y, double *z); */
  if (arg.size() < 7) 
    throw Exception("Function RGBToXYZ__2 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  double  *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
  vtk_pointer->RGBToXYZ(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMath:RGBToLab__1 vtkMathRGBToLab__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathRGBToLab__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RGBToLab (const double rgb[3], double lab[3]);RGBToLab rgb rgb rgb lab lab lab  */
  if (arg.size() < 3) 
    throw Exception("Function RGBToLab__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->RGBToLab(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:RGBToLab__2 vtkMathRGBToLab__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMathRGBToLab__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RGBToLab (double red, double green, double blue, double *L, double *a, double *b); */
  if (arg.size() < 7) 
    throw Exception("Function RGBToLab__2 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  double  *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
  vtk_pointer->RGBToLab(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMath:LabToRGB__1 vtkMathLabToRGB__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathLabToRGB__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void LabToRGB (const double lab[3], double rgb[3]);LabToRGB lab lab lab rgb rgb rgb  */
  if (arg.size() < 3) 
    throw Exception("Function LabToRGB__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->LabToRGB(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:LabToRGB__2 vtkMathLabToRGB__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMathLabToRGB__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void LabToRGB (double L, double a, double b, double *red, double *green, double *blue); */
  if (arg.size() < 7) 
    throw Exception("Function LabToRGB__2 for class vtkMath requires 7 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  double  *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
  vtk_pointer->LabToRGB(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMath:UninitializeBounds vtkMathUninitializeBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkMathUninitializeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void UninitializeBounds (double bounds[6]);bounds bounds bounds bounds bounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function UninitializeBounds for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->UninitializeBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMath:AreBoundsInitialized vtkMathAreBoundsInitializedFunction
//input a0 a1 
//output y
ArrayVector vtkMathAreBoundsInitializedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int AreBoundsInitialized (double bounds[6]);if bounds bounds return return  */
  if (arg.size() < 2) 
    throw Exception("Function AreBoundsInitialized for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[6];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->AreBoundsInitialized(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:ClampValue__1 vtkMathClampValue__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMathClampValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ClampValue (double *value, const double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function ClampValue__1 for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double  *temp0;
  double temp1[2];
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->ClampValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:ClampValue__2 vtkMathClampValue__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMathClampValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ClampValue (double value, const double range[2], double *clamped_value); */
  if (arg.size() < 4) 
    throw Exception("Function ClampValue__2 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[2];
  double  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->ClampValue(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMath:ClampValues__1 vtkMathClampValues__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMathClampValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ClampValues (double *values, int nb_values, const double range[2]); */
  if (arg.size() < 4) 
    throw Exception("Function ClampValues__1 for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  double temp2[2];
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->ClampValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMath:ClampValues__2 vtkMathClampValues__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkMathClampValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ClampValues (const double *values, int nb_values, const double range[2], double *clamped_values); */
  if (arg.size() < 5) 
    throw Exception("Function ClampValues__2 for class vtkMath requires 5 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  double temp2[2];
  double  *temp3;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->ClampValues(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkMath:ClampAndNormalizeValue vtkMathClampAndNormalizeValueFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMathClampAndNormalizeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double ClampAndNormalizeValue (double value, const double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function ClampAndNormalizeValue for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[2];
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ClampAndNormalizeValue(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:GetScalarTypeFittingRange vtkMathGetScalarTypeFittingRangeFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMathGetScalarTypeFittingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetScalarTypeFittingRange (double range_min, double range_max, double scale, double shift); */
  if (arg.size() < 5) 
    throw Exception("Function GetScalarTypeFittingRange for class vtkMath requires 5 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->GetScalarTypeFittingRange(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:GetAdjustedScalarRange vtkMathGetAdjustedScalarRangeFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMathGetAdjustedScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetAdjustedScalarRange (vtkDataArray *array, int comp, double range[2]); */
  if (arg.size() < 4) 
    throw Exception("Function GetAdjustedScalarRange for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp1;
  double temp2[2];
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetAdjustedScalarRange(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:ExtentIsWithinOtherExtent vtkMathExtentIsWithinOtherExtentFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMathExtentIsWithinOtherExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int ExtentIsWithinOtherExtent (int extent1[6], int extent2[6]); */
  if (arg.size() < 3) 
    throw Exception("Function ExtentIsWithinOtherExtent for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->ExtentIsWithinOtherExtent(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:BoundsIsWithinOtherBounds vtkMathBoundsIsWithinOtherBoundsFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMathBoundsIsWithinOtherBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int BoundsIsWithinOtherBounds (double bounds1[6], double bounds2[6], double delta[3]); */
  if (arg.size() < 4) 
    throw Exception("Function BoundsIsWithinOtherBounds for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[6];
  double temp1[6];
  double temp2[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[13].isVector() && arg[13].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[13].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->BoundsIsWithinOtherBounds(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:PointIsWithinBounds vtkMathPointIsWithinBoundsFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMathPointIsWithinBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int PointIsWithinBounds (double point[3], double bounds[6], double delta[3]); */
  if (arg.size() < 4) 
    throw Exception("Function PointIsWithinBounds for class vtkMath requires 4 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[6];
  double temp2[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->PointIsWithinBounds(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:SpiralPoints vtkMathSpiralPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMathSpiralPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SpiralPoints (vtkIdType num, vtkPoints *offsets); */
  if (arg.size() < 3) 
    throw Exception("Function SpiralPoints for class vtkMath requires 3 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkPoints  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  vtk_pointer->SpiralPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMath:Solve3PointCircle vtkMathSolve3PointCircleFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMathSolve3PointCircleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Solve3PointCircle (const double p1[3], const double p2[3], const double p3[3], double center[3]); */
  if (arg.size() < 5) 
    throw Exception("Function Solve3PointCircle for class vtkMath requires 5 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Solve3PointCircle(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Inf vtkMathInfFunction
//input a0 
//output y
ArrayVector vtkMathInfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Inf (); */
  if (arg.size() < 1) 
    throw Exception("Function Inf for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->Inf();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:NegInf vtkMathNegInfFunction
//input a0 
//output y
ArrayVector vtkMathNegInfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double NegInf (); */
  if (arg.size() < 1) 
    throw Exception("Function NegInf for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->NegInf();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:Nan vtkMathNanFunction
//input a0 
//output y
ArrayVector vtkMathNanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Nan (); */
  if (arg.size() < 1) 
    throw Exception("Function Nan for class vtkMath requires 1 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->Nan();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:IsInf vtkMathIsInfFunction
//input a0 a1 
//output y
ArrayVector vtkMathIsInfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int IsInf (double x); */
  if (arg.size() < 2) 
    throw Exception("Function IsInf for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsInf(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:IsNan vtkMathIsNanFunction
//input a0 a1 
//output y
ArrayVector vtkMathIsNanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int IsNan (double x); */
  if (arg.size() < 2) 
    throw Exception("Function IsNan for class vtkMath requires 2 argument(s)");
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsNan(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMath:RadiansFromDegrees vtkMathRadiansFromDegreesFunction
//input varargin
//output varargout
ArrayVector vtkMathRadiansFromDegreesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMathRadiansFromDegrees__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMathRadiansFromDegrees__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathRadiansFromDegrees");
}

//@@Signature
//sfunction @vtkMath:DegreesFromRadians vtkMathDegreesFromRadiansFunction
//input varargin
//output varargout
ArrayVector vtkMathDegreesFromRadiansFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMathDegreesFromRadians__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMathDegreesFromRadians__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathDegreesFromRadians");
}

//@@Signature
//sfunction @vtkMath:Round vtkMathRoundFunction
//input varargin
//output varargout
ArrayVector vtkMathRoundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMathRound__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMathRound__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathRound");
}

//@@Signature
//sfunction @vtkMath:Random vtkMathRandomFunction
//input varargin
//output varargout
ArrayVector vtkMathRandomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkMathRandom__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMathRandom__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathRandom");
}

//@@Signature
//sfunction @vtkMath:Gaussian vtkMathGaussianFunction
//input varargin
//output varargout
ArrayVector vtkMathGaussianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkMathGaussian__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMathGaussian__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathGaussian");
}

//@@Signature
//sfunction @vtkMath:Add vtkMathAddFunction
//input varargin
//output varargout
ArrayVector vtkMathAddFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathAdd__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathAdd__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathAdd");
}

//@@Signature
//sfunction @vtkMath:Subtract vtkMathSubtractFunction
//input varargin
//output varargout
ArrayVector vtkMathSubtractFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathSubtract__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathSubtract__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathSubtract");
}

//@@Signature
//sfunction @vtkMath:MultiplyScalar vtkMathMultiplyScalarFunction
//input varargin
//output varargout
ArrayVector vtkMathMultiplyScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMathMultiplyScalar__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMathMultiplyScalar__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathMultiplyScalar");
}

//@@Signature
//sfunction @vtkMath:Dot vtkMathDotFunction
//input varargin
//output varargout
ArrayVector vtkMathDotFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathDot__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathDot__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathDot");
}

//@@Signature
//sfunction @vtkMath:Outer vtkMathOuterFunction
//input varargin
//output varargout
ArrayVector vtkMathOuterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathOuter");
}

//@@Signature
//sfunction @vtkMath:Cross vtkMathCrossFunction
//input varargin
//output varargout
ArrayVector vtkMathCrossFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathCross__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathCross__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathCross");
}

//@@Signature
//sfunction @vtkMath:Norm vtkMathNormFunction
//input varargin
//output varargout
ArrayVector vtkMathNormFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMathNorm__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMathNorm__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMathNorm__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMathNorm__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathNorm");
}

//@@Signature
//sfunction @vtkMath:Normalize vtkMathNormalizeFunction
//input varargin
//output varargout
ArrayVector vtkMathNormalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMathNormalize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMathNormalize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathNormalize");
}

//@@Signature
//sfunction @vtkMath:Perpendiculars vtkMathPerpendicularsFunction
//input varargin
//output varargout
ArrayVector vtkMathPerpendicularsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMathPerpendiculars__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMathPerpendiculars__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathPerpendiculars");
}

//@@Signature
//sfunction @vtkMath:Distance2BetweenPoints vtkMathDistance2BetweenPointsFunction
//input varargin
//output varargout
ArrayVector vtkMathDistance2BetweenPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathDistance2BetweenPoints__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathDistance2BetweenPoints__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathDistance2BetweenPoints");
}

//@@Signature
//sfunction @vtkMath:Dot2D vtkMathDot2DFunction
//input varargin
//output varargout
ArrayVector vtkMathDot2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathDot2D__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathDot2D__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathDot2D");
}

//@@Signature
//sfunction @vtkMath:Outer2D vtkMathOuter2DFunction
//input varargin
//output varargout
ArrayVector vtkMathOuter2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathOuter2D");
}

//@@Signature
//sfunction @vtkMath:Norm2D vtkMathNorm2DFunction
//input varargin
//output varargout
ArrayVector vtkMathNorm2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMathNorm2D__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMathNorm2D__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathNorm2D");
}

//@@Signature
//sfunction @vtkMath:Normalize2D vtkMathNormalize2DFunction
//input varargin
//output varargout
ArrayVector vtkMathNormalize2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMathNormalize2D__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMathNormalize2D__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathNormalize2D");
}

//@@Signature
//sfunction @vtkMath:Determinant2x2 vtkMathDeterminant2x2Function
//input varargin
//output varargout
ArrayVector vtkMathDeterminant2x2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathDeterminant2x2__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMathDeterminant2x2__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathDeterminant2x2__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathDeterminant2x2");
}

//@@Signature
//sfunction @vtkMath:LUFactor3x3 vtkMathLUFactor3x3Function
//input varargin
//output varargout
ArrayVector vtkMathLUFactor3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathLUFactor3x3");
}

//@@Signature
//sfunction @vtkMath:LUSolve3x3 vtkMathLUSolve3x3Function
//input varargin
//output varargout
ArrayVector vtkMathLUSolve3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathLUSolve3x3");
}

//@@Signature
//sfunction @vtkMath:LinearSolve3x3 vtkMathLinearSolve3x3Function
//input varargin
//output varargout
ArrayVector vtkMathLinearSolve3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathLinearSolve3x3");
}

//@@Signature
//sfunction @vtkMath:Multiply3x3 vtkMathMultiply3x3Function
//input varargin
//output varargout
ArrayVector vtkMathMultiply3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathMultiply3x3");
}

//@@Signature
//sfunction @vtkMath:Transpose3x3 vtkMathTranspose3x3Function
//input varargin
//output varargout
ArrayVector vtkMathTranspose3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathTranspose3x3");
}

//@@Signature
//sfunction @vtkMath:Invert3x3 vtkMathInvert3x3Function
//input varargin
//output varargout
ArrayVector vtkMathInvert3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathInvert3x3");
}

//@@Signature
//sfunction @vtkMath:Identity3x3 vtkMathIdentity3x3Function
//input varargin
//output varargout
ArrayVector vtkMathIdentity3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathIdentity3x3");
}

//@@Signature
//sfunction @vtkMath:Determinant3x3 vtkMathDeterminant3x3Function
//input varargin
//output varargout
ArrayVector vtkMathDeterminant3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathDeterminant3x3__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathDeterminant3x3__4Function(nargout,arg,eval);
  if ((arg.size() == 10) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]) && VTKIsScalarArg(arg[8]) && VTKIsScalarArg(arg[9]))
    return vtkMathDeterminant3x3__5Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathDeterminant3x3");
}

//@@Signature
//sfunction @vtkMath:QuaternionToMatrix3x3 vtkMathQuaternionToMatrix3x3Function
//input varargin
//output varargout
ArrayVector vtkMathQuaternionToMatrix3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathQuaternionToMatrix3x3");
}

//@@Signature
//sfunction @vtkMath:Matrix3x3ToQuaternion vtkMathMatrix3x3ToQuaternionFunction
//input varargin
//output varargout
ArrayVector vtkMathMatrix3x3ToQuaternionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathMatrix3x3ToQuaternion");
}

//@@Signature
//sfunction @vtkMath:Orthogonalize3x3 vtkMathOrthogonalize3x3Function
//input varargin
//output varargout
ArrayVector vtkMathOrthogonalize3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathOrthogonalize3x3");
}

//@@Signature
//sfunction @vtkMath:Diagonalize3x3 vtkMathDiagonalize3x3Function
//input varargin
//output varargout
ArrayVector vtkMathDiagonalize3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathDiagonalize3x3");
}

//@@Signature
//sfunction @vtkMath:SingularValueDecomposition3x3 vtkMathSingularValueDecomposition3x3Function
//input varargin
//output varargout
ArrayVector vtkMathSingularValueDecomposition3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathSingularValueDecomposition3x3");
}

//@@Signature
//sfunction @vtkMath:InvertMatrix vtkMathInvertMatrixFunction
//input varargin
//output varargout
ArrayVector vtkMathInvertMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathInvertMatrix");
}

//@@Signature
//sfunction @vtkMath:LUFactorLinearSystem vtkMathLUFactorLinearSystemFunction
//input varargin
//output varargout
ArrayVector vtkMathLUFactorLinearSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathLUFactorLinearSystem");
}

//@@Signature
//sfunction @vtkMath:Jacobi vtkMathJacobiFunction
//input varargin
//output varargout
ArrayVector vtkMathJacobiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathJacobi");
}

//@@Signature
//sfunction @vtkMath:JacobiN vtkMathJacobiNFunction
//input varargin
//output varargout
ArrayVector vtkMathJacobiNFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMathJacobiN");
}

//@@Signature
//sfunction @vtkMath:SolveCubic vtkMathSolveCubicFunction
//input varargin
//output varargout
ArrayVector vtkMathSolveCubicFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMathSolveCubic__1Function(nargout,arg,eval);
  if ((arg.size() == 9) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]) && VTKIsVectorArg(arg[7]) && VTKIsVectorArg(arg[8]))
    return vtkMathSolveCubic__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathSolveCubic");
}

//@@Signature
//sfunction @vtkMath:SolveQuadratic vtkMathSolveQuadraticFunction
//input varargin
//output varargout
ArrayVector vtkMathSolveQuadraticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMathSolveQuadratic__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathSolveQuadratic__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathSolveQuadratic__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathSolveQuadratic");
}

//@@Signature
//sfunction @vtkMath:SolveLinear vtkMathSolveLinearFunction
//input varargin
//output varargout
ArrayVector vtkMathSolveLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMathSolveLinear__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkMathSolveLinear__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathSolveLinear");
}

//@@Signature
//sfunction @vtkMath:RGBToHSV vtkMathRGBToHSVFunction
//input varargin
//output varargout
ArrayVector vtkMathRGBToHSVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathRGBToHSV__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathRGBToHSV__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMathRGBToHSV__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMathRGBToHSV__4Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathRGBToHSV__5Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathRGBToHSV__6Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathRGBToHSV");
}

//@@Signature
//sfunction @vtkMath:HSVToRGB vtkMathHSVToRGBFunction
//input varargin
//output varargout
ArrayVector vtkMathHSVToRGBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathHSVToRGB__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathHSVToRGB__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMathHSVToRGB__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMathHSVToRGB__4Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathHSVToRGB__5Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathHSVToRGB__6Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathHSVToRGB");
}

//@@Signature
//sfunction @vtkMath:LabToXYZ vtkMathLabToXYZFunction
//input varargin
//output varargout
ArrayVector vtkMathLabToXYZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathLabToXYZ__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathLabToXYZ__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathLabToXYZ");
}

//@@Signature
//sfunction @vtkMath:XYZToLab vtkMathXYZToLabFunction
//input varargin
//output varargout
ArrayVector vtkMathXYZToLabFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathXYZToLab__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathXYZToLab__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathXYZToLab");
}

//@@Signature
//sfunction @vtkMath:XYZToRGB vtkMathXYZToRGBFunction
//input varargin
//output varargout
ArrayVector vtkMathXYZToRGBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathXYZToRGB__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathXYZToRGB__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathXYZToRGB");
}

//@@Signature
//sfunction @vtkMath:RGBToXYZ vtkMathRGBToXYZFunction
//input varargin
//output varargout
ArrayVector vtkMathRGBToXYZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathRGBToXYZ__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathRGBToXYZ__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathRGBToXYZ");
}

//@@Signature
//sfunction @vtkMath:RGBToLab vtkMathRGBToLabFunction
//input varargin
//output varargout
ArrayVector vtkMathRGBToLabFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathRGBToLab__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathRGBToLab__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathRGBToLab");
}

//@@Signature
//sfunction @vtkMath:LabToRGB vtkMathLabToRGBFunction
//input varargin
//output varargout
ArrayVector vtkMathLabToRGBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathLabToRGB__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkMathLabToRGB__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathLabToRGB");
}

//@@Signature
//sfunction @vtkMath:ClampValue vtkMathClampValueFunction
//input varargin
//output varargout
ArrayVector vtkMathClampValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMathClampValue__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathClampValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathClampValue");
}

//@@Signature
//sfunction @vtkMath:ClampValues vtkMathClampValuesFunction
//input varargin
//output varargout
ArrayVector vtkMathClampValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMathClampValues__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkMathClampValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMathClampValues");
}

//@@Signature
//sfunction @vtkMath:display vtkMathDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMathDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMath* vtk_pointer = GetVTKPointer<vtkMath>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMath:delete vtkMathDeleteFunction
//input varargin
//output none
ArrayVector vtkMathDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMath
//@@Section VTKCommon
//@@Usage
// vtkMath provides methods to perform common math operations. These 
// include providing constants such as Pi; conversion from degrees to 
// radians; vector operations such as dot and cross products and vector 
// norm; matrix determinant for 2x2 and 3x3 matrices; univariate polynomial
// solvers; and for random number generation (for backward compatibility only).
//
//To create an instance of class vtkMath, simply
//invoke its constructor as follows
//@[
//  obj = vtkMath
//@]
//@@Methods
//The class vtkMath has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMath class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMath = obj.NewInstance ()|
// \item @|vtkMath = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
