#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMatrix3x3 object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMatrix3x3.h"

//@@Signature
//sfunction @vtkMatrix3x3:vtkMatrix3x3 vtkMatrix3x3ConstructorFunction
//input a
//output p
//@@Parents vtkMatrix3x3 vtkObject 
ArrayVector vtkMatrix3x3ConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMatrix3x3::New(),"vtkMatrix3x3",eval);
  } else if (arg[0].className() == "vtkMatrix3x3") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMatrix3x3"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMatrix3x3");
    vtkMatrix3x3*q = reinterpret_cast<vtkMatrix3x3*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMatrix3x3");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMatrix3x3:GetClassName vtkMatrix3x3GetClassNameFunction
//input a0 
//output y
ArrayVector vtkMatrix3x3GetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMatrix3x3 requires 1 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:IsA vtkMatrix3x3IsAFunction
//input a0 a1 
//output y
ArrayVector vtkMatrix3x3IsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMatrix3x3 requires 2 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:NewInstance vtkMatrix3x3NewInstanceFunction
//input a0 
//output y
ArrayVector vtkMatrix3x3NewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix3x3 *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMatrix3x3 requires 1 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix3x3",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:SafeDownCast vtkMatrix3x3SafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMatrix3x3SafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix3x3 *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMatrix3x3 requires 2 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMatrix3x3  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix3x3",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:DeepCopy__1 vtkMatrix3x3DeepCopy__1Function
//input a0 a1 
//output none
ArrayVector vtkMatrix3x3DeepCopy__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkMatrix3x3 *source);vtkMatrix3x3 DeepCopy this Element source this Modified  */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy__1 for class vtkMatrix3x3 requires 2 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp0;
  temp0 = GetVTKPointer<vtkMatrix3x3>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:DeepCopy__2 vtkMatrix3x3DeepCopy__2Function
//input a0 a1 
//output none
ArrayVector vtkMatrix3x3DeepCopy__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (const double Elements[9]);this DeepCopy this Element Elements this Modified  */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy__2 for class vtkMatrix3x3 requires 2 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  double temp0[9];
  if ( !(arg[1].isVector() && arg[1].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:Zero vtkMatrix3x3ZeroFunction
//input a0 
//output none
ArrayVector vtkMatrix3x3ZeroFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Zero ();vtkMatrix3x3 Zero this Element this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Zero for class vtkMatrix3x3 requires 1 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtk_pointer->Zero();
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:Identity vtkMatrix3x3IdentityFunction
//input a0 
//output none
ArrayVector vtkMatrix3x3IdentityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Identity ();vtkMatrix3x3 Identity this Element this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Identity for class vtkMatrix3x3 requires 1 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtk_pointer->Identity();
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:Invert__1 vtkMatrix3x3Invert__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMatrix3x3Invert__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Invert (vtkMatrix3x3 *in, vtkMatrix3x3 *out);vtkMatrix3x3 Invert in Element out Element out Modified  */
  if (arg.size() < 3) 
    throw Exception("Function Invert__1 for class vtkMatrix3x3 requires 3 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp0;
  vtkMatrix3x3  *temp1;
  temp0 = GetVTKPointer<vtkMatrix3x3>(arg[1]);
  temp1 = GetVTKPointer<vtkMatrix3x3>(arg[2]);
  vtk_pointer->Invert(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:Invert__2 vtkMatrix3x3Invert__2Function
//input a0 
//output none
ArrayVector vtkMatrix3x3Invert__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Invert ();vtkMatrix3x3 Invert this this  */
  if (arg.size() < 1) 
    throw Exception("Function Invert__2 for class vtkMatrix3x3 requires 1 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtk_pointer->Invert();
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:Transpose__1 vtkMatrix3x3Transpose__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMatrix3x3Transpose__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Transpose (vtkMatrix3x3 *in, vtkMatrix3x3 *out);vtkMatrix3x3 Transpose in Element out Element out Modified  */
  if (arg.size() < 3) 
    throw Exception("Function Transpose__1 for class vtkMatrix3x3 requires 3 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp0;
  vtkMatrix3x3  *temp1;
  temp0 = GetVTKPointer<vtkMatrix3x3>(arg[1]);
  temp1 = GetVTKPointer<vtkMatrix3x3>(arg[2]);
  vtk_pointer->Transpose(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:Transpose__2 vtkMatrix3x3Transpose__2Function
//input a0 
//output none
ArrayVector vtkMatrix3x3Transpose__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Transpose ();vtkMatrix3x3 Transpose this this  */
  if (arg.size() < 1) 
    throw Exception("Function Transpose__2 for class vtkMatrix3x3 requires 1 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtk_pointer->Transpose();
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:MultiplyPoint__1 vtkMatrix3x3MultiplyPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMatrix3x3MultiplyPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiplyPoint (const float in[3], float out[3]);vtkMatrix3x3 MultiplyPoint this Element in out  */
  if (arg.size() < 3) 
    throw Exception("Function MultiplyPoint__1 for class vtkMatrix3x3 requires 3 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->MultiplyPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:MultiplyPoint__2 vtkMatrix3x3MultiplyPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMatrix3x3MultiplyPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiplyPoint (const double in[3], double out[3]);vtkMatrix3x3 MultiplyPoint this Element in out  */
  if (arg.size() < 3) 
    throw Exception("Function MultiplyPoint__2 for class vtkMatrix3x3 requires 3 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->MultiplyPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:Multiply3x3 vtkMatrix3x3Multiply3x3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMatrix3x3Multiply3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Multiply3x3 (vtkMatrix3x3 *a, vtkMatrix3x3 *b, vtkMatrix3x3 *c);vtkMatrix3x3 Multiply3x3 a Element b Element c Element  */
  if (arg.size() < 4) 
    throw Exception("Function Multiply3x3 for class vtkMatrix3x3 requires 4 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp0;
  vtkMatrix3x3  *temp1;
  vtkMatrix3x3  *temp2;
  temp0 = GetVTKPointer<vtkMatrix3x3>(arg[1]);
  temp1 = GetVTKPointer<vtkMatrix3x3>(arg[2]);
  temp2 = GetVTKPointer<vtkMatrix3x3>(arg[3]);
  vtk_pointer->Multiply3x3(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:Adjoint vtkMatrix3x3AdjointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMatrix3x3AdjointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Adjoint (vtkMatrix3x3 *in, vtkMatrix3x3 *out);vtkMatrix3x3 Adjoint in Element out Element  */
  if (arg.size() < 3) 
    throw Exception("Function Adjoint for class vtkMatrix3x3 requires 3 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp0;
  vtkMatrix3x3  *temp1;
  temp0 = GetVTKPointer<vtkMatrix3x3>(arg[1]);
  temp1 = GetVTKPointer<vtkMatrix3x3>(arg[2]);
  vtk_pointer->Adjoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:Determinant vtkMatrix3x3DeterminantFunction
//input a0 
//output y
ArrayVector vtkMatrix3x3DeterminantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double Determinant ();return vtkMatrix3x3 Determinant this Element  */
  if (arg.size() < 1) 
    throw Exception("Function Determinant for class vtkMatrix3x3 requires 1 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->Determinant();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:SetElement vtkMatrix3x3SetElementFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMatrix3x3SetElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElement (int i, int j, double value); */
  if (arg.size() < 4) 
    throw Exception("Function SetElement for class vtkMatrix3x3 requires 4 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetElement(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:GetElement vtkMatrix3x3GetElementFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMatrix3x3GetElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetElement (int i, int j) const;return this Element i j  */
  if (arg.size() < 3) 
    throw Exception("Function GetElement for class vtkMatrix3x3 requires 3 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetElement(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:IsIdentity vtkMatrix3x3IsIdentityFunction
//input a0 
//output y
ArrayVector vtkMatrix3x3IsIdentityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsIdentity (); */
  if (arg.size() < 1) 
    throw Exception("Function IsIdentity for class vtkMatrix3x3 requires 1 argument(s)");
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsIdentity();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkMatrix3x3:DeepCopy vtkMatrix3x3DeepCopyFunction
//input varargin
//output varargout
ArrayVector vtkMatrix3x3DeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix3x3"))
    return vtkMatrix3x3DeepCopy__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMatrix3x3DeepCopy__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMatrix3x3DeepCopy");
}

//@@Signature
//sfunction @vtkMatrix3x3:Invert vtkMatrix3x3InvertFunction
//input varargin
//output varargout
ArrayVector vtkMatrix3x3InvertFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkMatrix3x3") && VTKIsClass(arg[2],"vtkMatrix3x3"))
    return vtkMatrix3x3Invert__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkMatrix3x3Invert__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMatrix3x3Invert");
}

//@@Signature
//sfunction @vtkMatrix3x3:Transpose vtkMatrix3x3TransposeFunction
//input varargin
//output varargout
ArrayVector vtkMatrix3x3TransposeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkMatrix3x3") && VTKIsClass(arg[2],"vtkMatrix3x3"))
    return vtkMatrix3x3Transpose__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkMatrix3x3Transpose__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMatrix3x3Transpose");
}

//@@Signature
//sfunction @vtkMatrix3x3:MultiplyPoint vtkMatrix3x3MultiplyPointFunction
//input varargin
//output varargout
ArrayVector vtkMatrix3x3MultiplyPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMatrix3x3MultiplyPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMatrix3x3MultiplyPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMatrix3x3MultiplyPoint");
}

//@@Signature
//sfunction @vtkMatrix3x3:display vtkMatrix3x3DisplayFunction
//input varargin
//output varargout
ArrayVector vtkMatrix3x3DisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMatrix3x3* vtk_pointer = GetVTKPointer<vtkMatrix3x3>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMatrix3x3:delete vtkMatrix3x3DeleteFunction
//input varargin
//output none
ArrayVector vtkMatrix3x3DeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMatrix3x3
//@@Section VTKCommon
//@@Usage
// vtkMatrix3x3 is a class to represent and manipulate 3x3 matrices.
// Specifically, it is designed to work on 3x3 transformation matrices
// found in 2D rendering using homogeneous coordinates [x y w].
//
//To create an instance of class vtkMatrix3x3, simply
//invoke its constructor as follows
//@[
//  obj = vtkMatrix3x3
//@]
//@@Methods
//The class vtkMatrix3x3 has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMatrix3x3 class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMatrix3x3 = obj.NewInstance ()|
// \item @|vtkMatrix3x3 = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DeepCopy (vtkMatrix3x3 source)| -  Non-static member function. Assigns *from* elements array
//// \item @|obj.DeepCopy (double Elements[9])| -  Set all of the elements to zero.
//// \item @|obj.Zero ()| -  Set equal to Identity matrix
//// \item @|obj.Identity ()| -  Matrix Inversion (adapted from Richard Carling in "Graphics Gems,"
// Academic Press, 1990).
//// \item @|obj.Invert ()| -  Transpose the matrix and put it into out.
//// \item @|obj.Transpose ()| -  Multiply a homogeneous coordinate by this matrix, i.e. out = A*in.
// The in[3] and out[3] can be the same array.
//// \item @|obj.MultiplyPoint (float in[3], float out[3])| -  Multiply a homogeneous coordinate by this matrix, i.e. out = A*in.
// The in[3] and out[3] can be the same array.
//// \item @|obj.MultiplyPoint (double in[3], double out[3])| -  Multiplies matrices a and b and stores the result in c (c=a*b).
//// \item @|obj.Adjoint (vtkMatrix3x3 in, vtkMatrix3x3 out)| -  Compute the determinant of the matrix and return it.
//// \item @|double = obj.Determinant ()| -  Sets the element i,j in the matrix.
//// \item @|obj.SetElement (int i, int j, double value)| -  Sets the element i,j in the matrix.
//// \item @|double = obj.GetElement (int i, int j) const|
// \item @|bool = obj.IsIdentity ()|
//\end{itemize}
//!
