#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMatrix4x4 object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMatrix4x4.h"

//@@Signature
//sfunction @vtkMatrix4x4:vtkMatrix4x4 vtkMatrix4x4ConstructorFunction
//input a
//output p
//@@Parents vtkMatrix4x4 vtkObject 
ArrayVector vtkMatrix4x4ConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMatrix4x4::New(),"vtkMatrix4x4",eval);
  } else if (arg[0].className() == "vtkMatrix4x4") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMatrix4x4"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMatrix4x4");
    vtkMatrix4x4*q = reinterpret_cast<vtkMatrix4x4*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMatrix4x4");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMatrix4x4:GetClassName vtkMatrix4x4GetClassNameFunction
//input a0 
//output y
ArrayVector vtkMatrix4x4GetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMatrix4x4 requires 1 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:IsA vtkMatrix4x4IsAFunction
//input a0 a1 
//output y
ArrayVector vtkMatrix4x4IsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMatrix4x4 requires 2 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:NewInstance vtkMatrix4x4NewInstanceFunction
//input a0 
//output y
ArrayVector vtkMatrix4x4NewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMatrix4x4 requires 1 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:SafeDownCast vtkMatrix4x4SafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMatrix4x4SafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMatrix4x4 requires 2 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMatrix4x4  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:DeepCopy__1 vtkMatrix4x4DeepCopy__1Function
//input a0 a1 
//output none
ArrayVector vtkMatrix4x4DeepCopy__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkMatrix4x4 *source);vtkMatrix4x4 DeepCopy this Element source this Modified  */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy__1 for class vtkMatrix4x4 requires 2 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:DeepCopy__2 vtkMatrix4x4DeepCopy__2Function
//input a0 a1 
//output none
ArrayVector vtkMatrix4x4DeepCopy__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (const double Elements[16]);this DeepCopy this Element Elements this Modified  */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy__2 for class vtkMatrix4x4 requires 2 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  double temp0[16];
  if ( !(arg[1].isVector() && arg[1].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:Zero vtkMatrix4x4ZeroFunction
//input a0 
//output none
ArrayVector vtkMatrix4x4ZeroFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Zero ();vtkMatrix4x4 Zero this Element this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Zero for class vtkMatrix4x4 requires 1 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtk_pointer->Zero();
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:Identity vtkMatrix4x4IdentityFunction
//input a0 
//output none
ArrayVector vtkMatrix4x4IdentityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Identity ();vtkMatrix4x4 Identity this Element this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Identity for class vtkMatrix4x4 requires 1 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtk_pointer->Identity();
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:Invert__1 vtkMatrix4x4Invert__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMatrix4x4Invert__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Invert (vtkMatrix4x4 *in, vtkMatrix4x4 *out);vtkMatrix4x4 Invert in Element out Element out Modified  */
  if (arg.size() < 3) 
    throw Exception("Function Invert__1 for class vtkMatrix4x4 requires 3 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  vtkMatrix4x4  *temp1;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  temp1 = GetVTKPointer<vtkMatrix4x4>(arg[2]);
  vtk_pointer->Invert(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:Invert__2 vtkMatrix4x4Invert__2Function
//input a0 
//output none
ArrayVector vtkMatrix4x4Invert__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Invert ();vtkMatrix4x4 Invert this this  */
  if (arg.size() < 1) 
    throw Exception("Function Invert__2 for class vtkMatrix4x4 requires 1 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtk_pointer->Invert();
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:Transpose__1 vtkMatrix4x4Transpose__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMatrix4x4Transpose__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Transpose (vtkMatrix4x4 *in, vtkMatrix4x4 *out);vtkMatrix4x4 Transpose in Element out Element out Modified  */
  if (arg.size() < 3) 
    throw Exception("Function Transpose__1 for class vtkMatrix4x4 requires 3 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  vtkMatrix4x4  *temp1;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  temp1 = GetVTKPointer<vtkMatrix4x4>(arg[2]);
  vtk_pointer->Transpose(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:Transpose__2 vtkMatrix4x4Transpose__2Function
//input a0 
//output none
ArrayVector vtkMatrix4x4Transpose__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Transpose ();vtkMatrix4x4 Transpose this this  */
  if (arg.size() < 1) 
    throw Exception("Function Transpose__2 for class vtkMatrix4x4 requires 1 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtk_pointer->Transpose();
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:MultiplyPoint__1 vtkMatrix4x4MultiplyPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMatrix4x4MultiplyPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiplyPoint (const float in[4], float out[4]);vtkMatrix4x4 MultiplyPoint this Element in out  */
  if (arg.size() < 3) 
    throw Exception("Function MultiplyPoint__1 for class vtkMatrix4x4 requires 3 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  float  temp0[4];
  float  temp1[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->MultiplyPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:MultiplyPoint__2 vtkMatrix4x4MultiplyPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMatrix4x4MultiplyPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiplyPoint (const double in[4], double out[4]);vtkMatrix4x4 MultiplyPoint this Element in out  */
  if (arg.size() < 3) 
    throw Exception("Function MultiplyPoint__2 for class vtkMatrix4x4 requires 3 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  double temp0[4];
  double temp1[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->MultiplyPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:MultiplyPoint__3 vtkMatrix4x4MultiplyPoint__3Function
//input a0 a1 
//output y
ArrayVector vtkMatrix4x4MultiplyPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *MultiplyPoint (const float in[4]);return this MultiplyFloatPoint in  */
  if (arg.size() < 2) 
    throw Exception("Function MultiplyPoint__3 for class vtkMatrix4x4 requires 2 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  float  temp0[4];
  float   *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->MultiplyPoint(temp0);
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:MultiplyFloatPoint vtkMatrix4x4MultiplyFloatPointFunction
//input a0 a1 
//output y
ArrayVector vtkMatrix4x4MultiplyFloatPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *MultiplyFloatPoint (const float in[4]);this MultiplyPoint in this FloatPoint return this FloatPoint  */
  if (arg.size() < 2) 
    throw Exception("Function MultiplyFloatPoint for class vtkMatrix4x4 requires 2 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  float  temp0[4];
  float   *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->MultiplyFloatPoint(temp0);
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:MultiplyDoublePoint vtkMatrix4x4MultiplyDoublePointFunction
//input a0 a1 
//output y
ArrayVector vtkMatrix4x4MultiplyDoublePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *MultiplyDoublePoint (const double in[4]);this MultiplyPoint in this DoublePoint return this DoublePoint  */
  if (arg.size() < 2) 
    throw Exception("Function MultiplyDoublePoint for class vtkMatrix4x4 requires 2 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  double temp0[4];
  double  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->MultiplyDoublePoint(temp0);
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:Multiply4x4 vtkMatrix4x4Multiply4x4Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMatrix4x4Multiply4x4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Multiply4x4 (vtkMatrix4x4 *a, vtkMatrix4x4 *b, vtkMatrix4x4 *c);vtkMatrix4x4 Multiply4x4 a Element b Element c Element  */
  if (arg.size() < 4) 
    throw Exception("Function Multiply4x4 for class vtkMatrix4x4 requires 4 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  vtkMatrix4x4  *temp1;
  vtkMatrix4x4  *temp2;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  temp1 = GetVTKPointer<vtkMatrix4x4>(arg[2]);
  temp2 = GetVTKPointer<vtkMatrix4x4>(arg[3]);
  vtk_pointer->Multiply4x4(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:Adjoint vtkMatrix4x4AdjointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMatrix4x4AdjointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Adjoint (vtkMatrix4x4 *in, vtkMatrix4x4 *out);vtkMatrix4x4 Adjoint in Element out Element  */
  if (arg.size() < 3) 
    throw Exception("Function Adjoint for class vtkMatrix4x4 requires 3 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  vtkMatrix4x4  *temp1;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  temp1 = GetVTKPointer<vtkMatrix4x4>(arg[2]);
  vtk_pointer->Adjoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:Determinant vtkMatrix4x4DeterminantFunction
//input a0 
//output y
ArrayVector vtkMatrix4x4DeterminantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double Determinant ();return vtkMatrix4x4 Determinant this Element  */
  if (arg.size() < 1) 
    throw Exception("Function Determinant for class vtkMatrix4x4 requires 1 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->Determinant();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:SetElement vtkMatrix4x4SetElementFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMatrix4x4SetElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElement (int i, int j, double value); */
  if (arg.size() < 4) 
    throw Exception("Function SetElement for class vtkMatrix4x4 requires 4 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetElement(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:GetElement vtkMatrix4x4GetElementFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMatrix4x4GetElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetElement (int i, int j) const;return this Element i j  */
  if (arg.size() < 3) 
    throw Exception("Function GetElement for class vtkMatrix4x4 requires 3 argument(s)");
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetElement(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrix4x4:DeepCopy vtkMatrix4x4DeepCopyFunction
//input varargin
//output varargout
ArrayVector vtkMatrix4x4DeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix4x4"))
    return vtkMatrix4x4DeepCopy__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMatrix4x4DeepCopy__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMatrix4x4DeepCopy");
}

//@@Signature
//sfunction @vtkMatrix4x4:Invert vtkMatrix4x4InvertFunction
//input varargin
//output varargout
ArrayVector vtkMatrix4x4InvertFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkMatrix4x4") && VTKIsClass(arg[2],"vtkMatrix4x4"))
    return vtkMatrix4x4Invert__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkMatrix4x4Invert__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMatrix4x4Invert");
}

//@@Signature
//sfunction @vtkMatrix4x4:Transpose vtkMatrix4x4TransposeFunction
//input varargin
//output varargout
ArrayVector vtkMatrix4x4TransposeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkMatrix4x4") && VTKIsClass(arg[2],"vtkMatrix4x4"))
    return vtkMatrix4x4Transpose__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkMatrix4x4Transpose__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMatrix4x4Transpose");
}

//@@Signature
//sfunction @vtkMatrix4x4:MultiplyPoint vtkMatrix4x4MultiplyPointFunction
//input varargin
//output varargout
ArrayVector vtkMatrix4x4MultiplyPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMatrix4x4MultiplyPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMatrix4x4MultiplyPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMatrix4x4MultiplyPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMatrix4x4MultiplyPoint");
}

//@@Signature
//sfunction @vtkMatrix4x4:display vtkMatrix4x4DisplayFunction
//input varargin
//output varargout
ArrayVector vtkMatrix4x4DisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMatrix4x4* vtk_pointer = GetVTKPointer<vtkMatrix4x4>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMatrix4x4:delete vtkMatrix4x4DeleteFunction
//input varargin
//output none
ArrayVector vtkMatrix4x4DeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMatrix4x4
//@@Section VTKCommon
//@@Usage
// vtkMatrix4x4 is a class to represent and manipulate 4x4 matrices. 
// Specifically, it is designed to work on 4x4 transformation matrices
// found in 3D rendering using homogeneous coordinates [x y z w].
//
//To create an instance of class vtkMatrix4x4, simply
//invoke its constructor as follows
//@[
//  obj = vtkMatrix4x4
//@]
//@@Methods
//The class vtkMatrix4x4 has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMatrix4x4 class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMatrix4x4 = obj.NewInstance ()|
// \item @|vtkMatrix4x4 = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DeepCopy (vtkMatrix4x4 source)| -  Non-static member function. Assigns *from* elements array
//// \item @|obj.DeepCopy (double Elements[16])| -  Set all of the elements to zero.
//// \item @|obj.Zero ()| -  Set equal to Identity matrix
//// \item @|obj.Identity ()| -  Matrix Inversion (adapted from Richard Carling in "Graphics Gems," 
// Academic Press, 1990).
//// \item @|obj.Invert ()| -  Transpose the matrix and put it into out. 
//// \item @|obj.Transpose ()| -  Multiply a homogeneous coordinate by this matrix, i.e. out = A*in.
// The in[4] and out[4] can be the same array.
//// \item @|obj.MultiplyPoint (float in[4], float out[4])| -  Multiply a homogeneous coordinate by this matrix, i.e. out = A*in.
// The in[4] and out[4] can be the same array.
//// \item @|obj.MultiplyPoint (double in[4], double out[4])| -  For use in Java, Python or Tcl.  The default MultiplyPoint() uses
// a single-precision point.
//// \item @|float = obj.MultiplyPoint (float in[4])| -  For use in Java, Python or Tcl.  The default MultiplyPoint() uses
// a single-precision point.
//// \item @|float = obj.MultiplyFloatPoint (float in[4])| -  For use in Java, Python or Tcl.  The default MultiplyPoint() uses
// a single-precision point.
//// \item @|double = obj.MultiplyDoublePoint (double in[4])| -  Multiplies matrices a and b and stores the result in c.
//// \item @|obj.Adjoint (vtkMatrix4x4 in, vtkMatrix4x4 out)| -  Compute the determinant of the matrix and return it.
//// \item @|double = obj.Determinant ()| -  Sets the element i,j in the matrix.
//// \item @|obj.SetElement (int i, int j, double value)| -  Sets the element i,j in the matrix.
//// \item @|double = obj.GetElement (int i, int j) const|
//\end{itemize}
//!
