#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMatrixToHomogeneousTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMatrixToHomogeneousTransform.h"

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:vtkMatrixToHomogeneousTransform vtkMatrixToHomogeneousTransformConstructorFunction
//input a
//output p
//@@Parents vtkMatrixToHomogeneousTransform vtkHomogeneousTransform 
ArrayVector vtkMatrixToHomogeneousTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMatrixToHomogeneousTransform::New(),"vtkMatrixToHomogeneousTransform",eval);
  } else if (arg[0].className() == "vtkMatrixToHomogeneousTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMatrixToHomogeneousTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMatrixToHomogeneousTransform");
    vtkMatrixToHomogeneousTransform*q = reinterpret_cast<vtkMatrixToHomogeneousTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMatrixToHomogeneousTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:GetClassName vtkMatrixToHomogeneousTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMatrixToHomogeneousTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMatrixToHomogeneousTransform requires 1 argument(s)");
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:IsA vtkMatrixToHomogeneousTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMatrixToHomogeneousTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMatrixToHomogeneousTransform requires 2 argument(s)");
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:NewInstance vtkMatrixToHomogeneousTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMatrixToHomogeneousTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrixToHomogeneousTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMatrixToHomogeneousTransform requires 1 argument(s)");
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  Array retval;
  vtkMatrixToHomogeneousTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrixToHomogeneousTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:SafeDownCast vtkMatrixToHomogeneousTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMatrixToHomogeneousTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrixToHomogeneousTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMatrixToHomogeneousTransform requires 2 argument(s)");
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMatrixToHomogeneousTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrixToHomogeneousTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:SetInput vtkMatrixToHomogeneousTransformSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkMatrixToHomogeneousTransformSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkMatrix4x4 *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkMatrixToHomogeneousTransform requires 2 argument(s)");
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:GetInput vtkMatrixToHomogeneousTransformGetInputFunction
//input a0 
//output y
ArrayVector vtkMatrixToHomogeneousTransformGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkMatrixToHomogeneousTransform requires 1 argument(s)");
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:Inverse vtkMatrixToHomogeneousTransformInverseFunction
//input a0 
//output none
ArrayVector vtkMatrixToHomogeneousTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Inverse (); */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkMatrixToHomogeneousTransform requires 1 argument(s)");
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:GetMTime vtkMatrixToHomogeneousTransformGetMTimeFunction
//input a0 
//output y
ArrayVector vtkMatrixToHomogeneousTransformGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkMatrixToHomogeneousTransform requires 1 argument(s)");
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:MakeTransform vtkMatrixToHomogeneousTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkMatrixToHomogeneousTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkMatrixToHomogeneousTransform requires 1 argument(s)");
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:SetMatrix vtkMatrixToHomogeneousTransformSetMatrixFunction
//input a0 a1 
//output none
ArrayVector vtkMatrixToHomogeneousTransformSetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMatrix (vtkMatrix4x4 *matrix); */
  if (arg.size() < 2) 
    throw Exception("Function SetMatrix for class vtkMatrixToHomogeneousTransform requires 2 argument(s)");
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToHomogeneousTransform:display vtkMatrixToHomogeneousTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMatrixToHomogeneousTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMatrixToHomogeneousTransform* vtk_pointer = GetVTKPointer<vtkMatrixToHomogeneousTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMatrixToHomogeneousTransform:delete vtkMatrixToHomogeneousTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkMatrixToHomogeneousTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMatrixToHomogeneousTransform
//@@Section VTKCommon
//@@Usage
// This is a very simple class which allows a vtkMatrix4x4 to be used in
// place of a vtkHomogeneousTransform or vtkAbstractTransform.  For example,
// if you use it as a proxy between a matrix and vtkTransformPolyDataFilter
// then any modifications to the matrix will automatically be reflected in
// the output of the filter.
//
//To create an instance of class vtkMatrixToHomogeneousTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkMatrixToHomogeneousTransform
//@]
//@@Methods
//The class vtkMatrixToHomogeneousTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMatrixToHomogeneousTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMatrixToHomogeneousTransform = obj.NewInstance ()|
// \item @|vtkMatrixToHomogeneousTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkMatrix4x4 )|
// \item @|vtkMatrix4x4 = obj.GetInput ()|
// \item @|obj.Inverse ()| -  The input matrix is left as-is, but the transformation matrix
// is inverted.
//// \item @|long = obj.GetMTime ()| -  Get the MTime: this is the bit of magic that makes everything work.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make a new transform of the same type.
//// \item @|obj.SetMatrix (vtkMatrix4x4 matrix)| -  @deprecated This method is deprecated.
////\end{itemize}
//!
