#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMatrixToLinearTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMatrixToLinearTransform.h"

//@@Signature
//sfunction @vtkMatrixToLinearTransform:vtkMatrixToLinearTransform vtkMatrixToLinearTransformConstructorFunction
//input a
//output p
//@@Parents vtkMatrixToLinearTransform vtkLinearTransform 
ArrayVector vtkMatrixToLinearTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMatrixToLinearTransform::New(),"vtkMatrixToLinearTransform",eval);
  } else if (arg[0].className() == "vtkMatrixToLinearTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMatrixToLinearTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMatrixToLinearTransform");
    vtkMatrixToLinearTransform*q = reinterpret_cast<vtkMatrixToLinearTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMatrixToLinearTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMatrixToLinearTransform:GetClassName vtkMatrixToLinearTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMatrixToLinearTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMatrixToLinearTransform requires 1 argument(s)");
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToLinearTransform:IsA vtkMatrixToLinearTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMatrixToLinearTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMatrixToLinearTransform requires 2 argument(s)");
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToLinearTransform:NewInstance vtkMatrixToLinearTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMatrixToLinearTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrixToLinearTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMatrixToLinearTransform requires 1 argument(s)");
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  Array retval;
  vtkMatrixToLinearTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrixToLinearTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToLinearTransform:SafeDownCast vtkMatrixToLinearTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMatrixToLinearTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrixToLinearTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMatrixToLinearTransform requires 2 argument(s)");
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMatrixToLinearTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrixToLinearTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToLinearTransform:SetInput vtkMatrixToLinearTransformSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkMatrixToLinearTransformSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkMatrix4x4 *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkMatrixToLinearTransform requires 2 argument(s)");
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToLinearTransform:GetInput vtkMatrixToLinearTransformGetInputFunction
//input a0 
//output y
ArrayVector vtkMatrixToLinearTransformGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkMatrixToLinearTransform requires 1 argument(s)");
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToLinearTransform:Inverse vtkMatrixToLinearTransformInverseFunction
//input a0 
//output none
ArrayVector vtkMatrixToLinearTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Inverse (); */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkMatrixToLinearTransform requires 1 argument(s)");
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToLinearTransform:GetMTime vtkMatrixToLinearTransformGetMTimeFunction
//input a0 
//output y
ArrayVector vtkMatrixToLinearTransformGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkMatrixToLinearTransform requires 1 argument(s)");
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToLinearTransform:MakeTransform vtkMatrixToLinearTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkMatrixToLinearTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkMatrixToLinearTransform requires 1 argument(s)");
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToLinearTransform:SetMatrix vtkMatrixToLinearTransformSetMatrixFunction
//input a0 a1 
//output none
ArrayVector vtkMatrixToLinearTransformSetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMatrix (vtkMatrix4x4 *matrix); */
  if (arg.size() < 2) 
    throw Exception("Function SetMatrix for class vtkMatrixToLinearTransform requires 2 argument(s)");
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMatrixToLinearTransform:display vtkMatrixToLinearTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMatrixToLinearTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMatrixToLinearTransform* vtk_pointer = GetVTKPointer<vtkMatrixToLinearTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMatrixToLinearTransform:delete vtkMatrixToLinearTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkMatrixToLinearTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMatrixToLinearTransform
//@@Section VTKCommon
//@@Usage
// This is a very simple class which allows a vtkMatrix4x4 to be used in
// place of a vtkLinearTransform or vtkAbstractTransform.  For example,
// if you use it as a proxy between a matrix and vtkTransformPolyDataFilter
// then any modifications to the matrix will automatically be reflected in
// the output of the filter.
//
//To create an instance of class vtkMatrixToLinearTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkMatrixToLinearTransform
//@]
//@@Methods
//The class vtkMatrixToLinearTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMatrixToLinearTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMatrixToLinearTransform = obj.NewInstance ()|
// \item @|vtkMatrixToLinearTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkMatrix4x4 )| -  Set the input matrix.  Any modifications to the matrix will be
// reflected in the transformation.
//// \item @|vtkMatrix4x4 = obj.GetInput ()| -  Set the input matrix.  Any modifications to the matrix will be
// reflected in the transformation.
//// \item @|obj.Inverse ()| -  The input matrix is left as-is, but the transformation matrix
// is inverted.
//// \item @|long = obj.GetMTime ()| -  Get the MTime: this is the bit of magic that makes everything work.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make a new transform of the same type.
//// \item @|obj.SetMatrix (vtkMatrix4x4 matrix)| -  @deprecated This method is deprecated.
////\end{itemize}
//!
