#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMultiThreader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMultiThreader.h"

//@@Signature
//sfunction @vtkMultiThreader:vtkMultiThreader vtkMultiThreaderConstructorFunction
//input a
//output p
//@@Parents vtkMultiThreader vtkObject 
ArrayVector vtkMultiThreaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMultiThreader::New(),"vtkMultiThreader",eval);
  } else if (arg[0].className() == "vtkMultiThreader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMultiThreader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMultiThreader");
    vtkMultiThreader*q = reinterpret_cast<vtkMultiThreader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMultiThreader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMultiThreader:GetClassName vtkMultiThreaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMultiThreaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMultiThreader requires 1 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:IsA vtkMultiThreaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMultiThreaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMultiThreader requires 2 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:NewInstance vtkMultiThreaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMultiThreaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiThreader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMultiThreader requires 1 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  vtkMultiThreader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiThreader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:SafeDownCast vtkMultiThreaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMultiThreaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiThreader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMultiThreader requires 2 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMultiThreader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiThreader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:SetNumberOfThreads vtkMultiThreaderSetNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkMultiThreaderSetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfThreads (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfThreads for class vtkMultiThreader requires 2 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:GetNumberOfThreadsMinValue vtkMultiThreaderGetNumberOfThreadsMinValueFunction
//input a0 
//output y
ArrayVector vtkMultiThreaderGetNumberOfThreadsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMinValue for class vtkMultiThreader requires 1 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:GetNumberOfThreadsMaxValue vtkMultiThreaderGetNumberOfThreadsMaxValueFunction
//input a0 
//output y
ArrayVector vtkMultiThreaderGetNumberOfThreadsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMaxValue for class vtkMultiThreader requires 1 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:GetNumberOfThreads vtkMultiThreaderGetNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkMultiThreaderGetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreads for class vtkMultiThreader requires 1 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:SetGlobalMaximumNumberOfThreads vtkMultiThreaderSetGlobalMaximumNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkMultiThreaderSetGlobalMaximumNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetGlobalMaximumNumberOfThreads (int val); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalMaximumNumberOfThreads for class vtkMultiThreader requires 2 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlobalMaximumNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:GetGlobalMaximumNumberOfThreads vtkMultiThreaderGetGlobalMaximumNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkMultiThreaderGetGlobalMaximumNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalMaximumNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalMaximumNumberOfThreads for class vtkMultiThreader requires 1 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlobalMaximumNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:SetGlobalDefaultNumberOfThreads vtkMultiThreaderSetGlobalDefaultNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkMultiThreaderSetGlobalDefaultNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetGlobalDefaultNumberOfThreads (int val); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalDefaultNumberOfThreads for class vtkMultiThreader requires 2 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlobalDefaultNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:GetGlobalDefaultNumberOfThreads vtkMultiThreaderGetGlobalDefaultNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkMultiThreaderGetGlobalDefaultNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalDefaultNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalDefaultNumberOfThreads for class vtkMultiThreader requires 1 argument(s)");
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlobalDefaultNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreader:display vtkMultiThreaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMultiThreaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMultiThreader* vtk_pointer = GetVTKPointer<vtkMultiThreader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMultiThreader:delete vtkMultiThreaderDeleteFunction
//input varargin
//output none
ArrayVector vtkMultiThreaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMultiThreader
//@@Section VTKCommon
//@@Usage
// vtkMultithreader is a class that provides support for multithreaded
// execution using sproc() on an SGI, or pthread_create on any platform
// supporting POSIX threads.  This class can be used to execute a single
// method on multiple threads, or to specify a method per thread. 
//
//To create an instance of class vtkMultiThreader, simply
//invoke its constructor as follows
//@[
//  obj = vtkMultiThreader
//@]
//@@Methods
//The class vtkMultiThreader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMultiThreader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMultiThreader = obj.NewInstance ()|
// \item @|vtkMultiThreader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfThreads (int )| -  Get/Set the number of threads to create. It will be clamped to the range
// 1 - VTK_MAX_THREADS, so the caller of this method should check that the
// requested number of threads was accepted.
//// \item @|int = obj.GetNumberOfThreadsMinValue ()| -  Get/Set the number of threads to create. It will be clamped to the range
// 1 - VTK_MAX_THREADS, so the caller of this method should check that the
// requested number of threads was accepted.
//// \item @|int = obj.GetNumberOfThreadsMaxValue ()| -  Get/Set the number of threads to create. It will be clamped to the range
// 1 - VTK_MAX_THREADS, so the caller of this method should check that the
// requested number of threads was accepted.
//// \item @|int = obj.GetNumberOfThreads ()| -  Get/Set the number of threads to create. It will be clamped to the range
// 1 - VTK_MAX_THREADS, so the caller of this method should check that the
// requested number of threads was accepted.
////\end{itemize}
//!
