#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMutexLock object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMutexLock.h"

//@@Signature
//sfunction @vtkMutexLock:vtkMutexLock vtkMutexLockConstructorFunction
//input a
//output p
//@@Parents vtkMutexLock vtkObject 
ArrayVector vtkMutexLockConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMutexLock::New(),"vtkMutexLock",eval);
  } else if (arg[0].className() == "vtkMutexLock") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMutexLock"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMutexLock");
    vtkMutexLock*q = reinterpret_cast<vtkMutexLock*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMutexLock");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMutexLock:GetClassName vtkMutexLockGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMutexLockGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMutexLock requires 1 argument(s)");
  vtkMutexLock* vtk_pointer = GetVTKPointer<vtkMutexLock>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutexLock:IsA vtkMutexLockIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMutexLockIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMutexLock requires 2 argument(s)");
  vtkMutexLock* vtk_pointer = GetVTKPointer<vtkMutexLock>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutexLock:NewInstance vtkMutexLockNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMutexLockNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMutexLock *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMutexLock requires 1 argument(s)");
  vtkMutexLock* vtk_pointer = GetVTKPointer<vtkMutexLock>(arg[0]);
  Array retval;
  vtkMutexLock  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMutexLock",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutexLock:SafeDownCast vtkMutexLockSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMutexLockSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMutexLock *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMutexLock requires 2 argument(s)");
  vtkMutexLock* vtk_pointer = GetVTKPointer<vtkMutexLock>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMutexLock  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMutexLock",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutexLock:Lock vtkMutexLockLockFunction
//input a0 
//output none
ArrayVector vtkMutexLockLockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Lock (void ); */
  if (arg.size() < 1) 
    throw Exception("Function Lock for class vtkMutexLock requires 1 argument(s)");
  vtkMutexLock* vtk_pointer = GetVTKPointer<vtkMutexLock>(arg[0]);
  Array retval;
  vtk_pointer->Lock();
  return retval;
}

//@@Signature
//sfunction @vtkMutexLock:Unlock vtkMutexLockUnlockFunction
//input a0 
//output none
ArrayVector vtkMutexLockUnlockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Unlock (void ); */
  if (arg.size() < 1) 
    throw Exception("Function Unlock for class vtkMutexLock requires 1 argument(s)");
  vtkMutexLock* vtk_pointer = GetVTKPointer<vtkMutexLock>(arg[0]);
  Array retval;
  vtk_pointer->Unlock();
  return retval;
}

//@@Signature
//sfunction @vtkMutexLock:display vtkMutexLockDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMutexLockDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMutexLock* vtk_pointer = GetVTKPointer<vtkMutexLock>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMutexLock:delete vtkMutexLockDeleteFunction
//input varargin
//output none
ArrayVector vtkMutexLockDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMutexLock
//@@Section VTKCommon
//@@Usage
// vtkMutexLock allows the locking of variables which are accessed 
// through different threads.  This header file also defines 
// vtkSimpleMutexLock which is not a subclass of vtkObject.
//
//To create an instance of class vtkMutexLock, simply
//invoke its constructor as follows
//@[
//  obj = vtkMutexLock
//@]
//@@Methods
//The class vtkMutexLock has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMutexLock class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMutexLock = obj.NewInstance ()|
// \item @|vtkMutexLock = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Lock (void )| -  Lock the vtkMutexLock
//// \item @|obj.Unlock (void )| -  Unlock the vtkMutexLock
////\end{itemize}
//!
