#include "VTKWrap.hpp"

// FreeMat wrapper for vtkObject object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkObject.h"

//@@Signature
//sfunction @vtkObject:vtkObject vtkObjectConstructorFunction
//input a
//output p
//@@Parents vtkObject vtkObjectBase 
ArrayVector vtkObjectConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkObject::New(),"vtkObject",eval);
  } else if (arg[0].className() == "vtkObject") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkObject"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkObject");
    vtkObject*q = reinterpret_cast<vtkObject*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkObject");
    return ret;
  }
}
//@@Signature
//sfunction @vtkObject:GetClassName vtkObjectGetClassNameFunction
//input a0 
//output y
ArrayVector vtkObjectGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObject:IsA vtkObjectIsAFunction
//input a0 a1 
//output y
ArrayVector vtkObjectIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObject:NewInstance vtkObjectNewInstanceFunction
//input a0 
//output y
ArrayVector vtkObjectNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObject *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  vtkObject  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObject:SafeDownCast vtkObjectSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkObjectSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObject *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkObject  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObject:DebugOn vtkObjectDebugOnFunction
//input a0 
//output none
ArrayVector vtkObjectDebugOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DebugOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DebugOn for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  vtk_pointer->DebugOn();
  return retval;
}

//@@Signature
//sfunction @vtkObject:DebugOff vtkObjectDebugOffFunction
//input a0 
//output none
ArrayVector vtkObjectDebugOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DebugOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DebugOff for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  vtk_pointer->DebugOff();
  return retval;
}

//@@Signature
//sfunction @vtkObject:GetDebug vtkObjectGetDebugFunction
//input a0 
//output y
ArrayVector vtkObjectGetDebugFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char GetDebug (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDebug for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  unsigned char     temp20;
  temp20 = (vtk_pointer)->GetDebug();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObject:SetDebug vtkObjectSetDebugFunction
//input a0 a1 
//output none
ArrayVector vtkObjectSetDebugFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDebug (unsigned char debugFlag); */
  if (arg.size() < 2) 
    throw Exception("Function SetDebug for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  unsigned char     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  vtk_pointer->SetDebug(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObject:BreakOnError vtkObjectBreakOnErrorFunction
//input a0 
//output none
ArrayVector vtkObjectBreakOnErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void BreakOnError (); */
  if (arg.size() < 1) 
    throw Exception("Function BreakOnError for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  vtk_pointer->BreakOnError();
  return retval;
}

//@@Signature
//sfunction @vtkObject:Modified vtkObjectModifiedFunction
//input a0 
//output none
ArrayVector vtkObjectModifiedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Modified (); */
  if (arg.size() < 1) 
    throw Exception("Function Modified for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  vtk_pointer->Modified();
  return retval;
}

//@@Signature
//sfunction @vtkObject:GetMTime vtkObjectGetMTimeFunction
//input a0 
//output y
ArrayVector vtkObjectGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObject:SetGlobalWarningDisplay vtkObjectSetGlobalWarningDisplayFunction
//input a0 a1 
//output none
ArrayVector vtkObjectSetGlobalWarningDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetGlobalWarningDisplay (int val); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalWarningDisplay for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlobalWarningDisplay(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObject:GlobalWarningDisplayOn vtkObjectGlobalWarningDisplayOnFunction
//input a0 
//output none
ArrayVector vtkObjectGlobalWarningDisplayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GlobalWarningDisplayOn ();vtkObject SetGlobalWarningDisplay  */
  if (arg.size() < 1) 
    throw Exception("Function GlobalWarningDisplayOn for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  vtk_pointer->GlobalWarningDisplayOn();
  return retval;
}

//@@Signature
//sfunction @vtkObject:GlobalWarningDisplayOff vtkObjectGlobalWarningDisplayOffFunction
//input a0 
//output none
ArrayVector vtkObjectGlobalWarningDisplayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GlobalWarningDisplayOff ();vtkObject SetGlobalWarningDisplay  */
  if (arg.size() < 1) 
    throw Exception("Function GlobalWarningDisplayOff for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  vtk_pointer->GlobalWarningDisplayOff();
  return retval;
}

//@@Signature
//sfunction @vtkObject:GetGlobalWarningDisplay vtkObjectGetGlobalWarningDisplayFunction
//input a0 
//output y
ArrayVector vtkObjectGetGlobalWarningDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalWarningDisplay (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalWarningDisplay for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlobalWarningDisplay();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObject:RemoveObserver vtkObjectRemoveObserverFunction
//input a0 a1 
//output none
ArrayVector vtkObjectRemoveObserverFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveObserver (unsigned long tag); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveObserver for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->RemoveObserver(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObject:RemoveObservers__1 vtkObjectRemoveObservers__1Function
//input a0 a1 
//output none
ArrayVector vtkObjectRemoveObservers__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveObservers (unsigned long event); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveObservers__1 for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->RemoveObservers(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObject:RemoveObservers__2 vtkObjectRemoveObservers__2Function
//input a0 a1 
//output none
ArrayVector vtkObjectRemoveObservers__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveObservers (const char *event); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveObservers__2 for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveObservers(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObject:RemoveAllObservers vtkObjectRemoveAllObserversFunction
//input a0 
//output none
ArrayVector vtkObjectRemoveAllObserversFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllObservers (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllObservers for class vtkObject requires 1 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllObservers();
  return retval;
}

//@@Signature
//sfunction @vtkObject:HasObserver__1 vtkObjectHasObserver__1Function
//input a0 a1 
//output y
ArrayVector vtkObjectHasObserver__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasObserver (unsigned long event); */
  if (arg.size() < 2) 
    throw Exception("Function HasObserver__1 for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->HasObserver(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObject:HasObserver__2 vtkObjectHasObserver__2Function
//input a0 a1 
//output y
ArrayVector vtkObjectHasObserver__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasObserver (const char *event); */
  if (arg.size() < 2) 
    throw Exception("Function HasObserver__2 for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->HasObserver(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObject:InvokeEvent__1 vtkObjectInvokeEvent__1Function
//input a0 a1 
//output y
ArrayVector vtkObjectInvokeEvent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InvokeEvent (unsigned long event);return this InvokeEvent event NULL  */
  if (arg.size() < 2) 
    throw Exception("Function InvokeEvent__1 for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->InvokeEvent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObject:InvokeEvent__2 vtkObjectInvokeEvent__2Function
//input a0 a1 
//output y
ArrayVector vtkObjectInvokeEvent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InvokeEvent (const char *event);return this InvokeEvent event NULL  */
  if (arg.size() < 2) 
    throw Exception("Function InvokeEvent__2 for class vtkObject requires 2 argument(s)");
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->InvokeEvent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObject:RemoveObservers vtkObjectRemoveObserversFunction
//input varargin
//output varargout
ArrayVector vtkObjectRemoveObserversFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkObjectRemoveObservers__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkObjectRemoveObservers__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkObjectRemoveObservers");
}

//@@Signature
//sfunction @vtkObject:HasObserver vtkObjectHasObserverFunction
//input varargin
//output varargout
ArrayVector vtkObjectHasObserverFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkObjectHasObserver__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkObjectHasObserver__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkObjectHasObserver");
}

//@@Signature
//sfunction @vtkObject:InvokeEvent vtkObjectInvokeEventFunction
//input varargin
//output varargout
ArrayVector vtkObjectInvokeEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkObjectInvokeEvent__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkObjectInvokeEvent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkObjectInvokeEvent");
}

//@@Signature
//sfunction @vtkObject:display vtkObjectDisplayFunction
//input varargin
//output varargout
ArrayVector vtkObjectDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkObject* vtk_pointer = GetVTKPointer<vtkObject>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkObject:delete vtkObjectDeleteFunction
//input varargin
//output none
ArrayVector vtkObjectDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkObject
//@@Section VTKCommon
//@@Usage
// vtkObject is the base class for most objects in the visualization
// toolkit. vtkObject provides methods for tracking modification time,
// debugging, printing, and event callbacks. Most objects created
// within the VTK framework should be a subclass of vtkObject or one
// of its children.  The few exceptions tend to be very small helper
// classes that usually never get instantiated or situations where
// multiple inheritance gets in the way.  vtkObject also performs
// reference counting: objects that are reference counted exist as
// long as another object uses them. Once the last reference to a
// reference counted object is removed, the object will spontaneously
// destruct.
//
//To create an instance of class vtkObject, simply
//invoke its constructor as follows
//@[
//  obj = vtkObject
//@]
//@@Methods
//The class vtkObject has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkObject class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkObject = obj.NewInstance ()|
// \item @|vtkObject = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DebugOn ()| -  Turn debugging output on.
//// \item @|obj.DebugOff ()| -  Turn debugging output off.
//// \item @|char = obj.GetDebug ()| -  Get the value of the debug flag.
//// \item @|obj.SetDebug (char debugFlag)| -  Set the value of the debug flag. A non-zero value turns debugging on.
//// \item @|obj.Modified ()| -  Update the modification time for this object. Many filters rely on
// the modification time to determine if they need to recompute their
// data. The modification time is a unique monotonically increasing
// unsigned long integer.
//// \item @|long = obj.GetMTime ()| -  Return this object's modified time.
//// \item @|obj.RemoveObserver (long tag)| -  Allow people to add/remove/invoke observers (callbacks) to any VTK
// object.  This is an implementation of the subject/observer design
// pattern. An observer is added by specifying an event to respond to
// and a vtkCommand to execute. It returns an unsigned long tag which
// can be used later to remove the event or retrieve the command.
// When events are invoked, the observers are called in the order they
// were added. If a priority value is specified, then the higher 
// priority commands are called first. A command may set an abort
// flag to stop processing of the event. (See vtkCommand.h for more
// information.)
//// \item @|obj.RemoveObservers (long event)| -  Allow people to add/remove/invoke observers (callbacks) to any VTK
// object.  This is an implementation of the subject/observer design
// pattern. An observer is added by specifying an event to respond to
// and a vtkCommand to execute. It returns an unsigned long tag which
// can be used later to remove the event or retrieve the command.
// When events are invoked, the observers are called in the order they
// were added. If a priority value is specified, then the higher 
// priority commands are called first. A command may set an abort
// flag to stop processing of the event. (See vtkCommand.h for more
// information.)
//// \item @|obj.RemoveObservers (string event)| -  Allow people to add/remove/invoke observers (callbacks) to any VTK
// object.  This is an implementation of the subject/observer design
// pattern. An observer is added by specifying an event to respond to
// and a vtkCommand to execute. It returns an unsigned long tag which
// can be used later to remove the event or retrieve the command.
// When events are invoked, the observers are called in the order they
// were added. If a priority value is specified, then the higher 
// priority commands are called first. A command may set an abort
// flag to stop processing of the event. (See vtkCommand.h for more
// information.)
//// \item @|obj.RemoveAllObservers ()| -  Allow people to add/remove/invoke observers (callbacks) to any VTK
// object.  This is an implementation of the subject/observer design
// pattern. An observer is added by specifying an event to respond to
// and a vtkCommand to execute. It returns an unsigned long tag which
// can be used later to remove the event or retrieve the command.
// When events are invoked, the observers are called in the order they
// were added. If a priority value is specified, then the higher 
// priority commands are called first. A command may set an abort
// flag to stop processing of the event. (See vtkCommand.h for more
// information.)
//// \item @|int = obj.HasObserver (long event)| -  Allow people to add/remove/invoke observers (callbacks) to any VTK
// object.  This is an implementation of the subject/observer design
// pattern. An observer is added by specifying an event to respond to
// and a vtkCommand to execute. It returns an unsigned long tag which
// can be used later to remove the event or retrieve the command.
// When events are invoked, the observers are called in the order they
// were added. If a priority value is specified, then the higher 
// priority commands are called first. A command may set an abort
// flag to stop processing of the event. (See vtkCommand.h for more
// information.)
//// \item @|int = obj.HasObserver (string event)| -  Allow people to add/remove/invoke observers (callbacks) to any VTK
// object.  This is an implementation of the subject/observer design
// pattern. An observer is added by specifying an event to respond to
// and a vtkCommand to execute. It returns an unsigned long tag which
// can be used later to remove the event or retrieve the command.
// When events are invoked, the observers are called in the order they
// were added. If a priority value is specified, then the higher 
// priority commands are called first. A command may set an abort
// flag to stop processing of the event. (See vtkCommand.h for more
// information.)
//// \item @|int = obj.InvokeEvent (long event)|
// \item @|int = obj.InvokeEvent (string event)|
//\end{itemize}
//!
