#include "VTKWrap.hpp"

// FreeMat wrapper for vtkObjectBase object
//
#include "vtkObjectBase.h"

//@@Signature
//sfunction @vtkObjectBase:vtkObjectBase vtkObjectBaseConstructorFunction
//input a
//output p
ArrayVector vtkObjectBaseConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkObjectBase::New(),"vtkObjectBase",eval);
  } else if (arg[0].className() == "vtkObjectBase") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkObjectBase"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkObjectBase");
    vtkObjectBase*q = reinterpret_cast<vtkObjectBase*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkObjectBase");
    return ret;
  }
}
//@@Signature
//sfunction @vtkObjectBase:GetClassName vtkObjectBaseGetClassNameFunction
//input a0 
//output y
ArrayVector vtkObjectBaseGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName () const; */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkObjectBase requires 1 argument(s)");
  vtkObjectBase* vtk_pointer = GetVTKPointer<vtkObjectBase>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectBase:IsTypeOf vtkObjectBaseIsTypeOfFunction
//input a0 a1 
//output y
ArrayVector vtkObjectBaseIsTypeOfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int IsTypeOf (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsTypeOf for class vtkObjectBase requires 2 argument(s)");
  vtkObjectBase* vtk_pointer = GetVTKPointer<vtkObjectBase>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsTypeOf(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectBase:IsA vtkObjectBaseIsAFunction
//input a0 a1 
//output y
ArrayVector vtkObjectBaseIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkObjectBase requires 2 argument(s)");
  vtkObjectBase* vtk_pointer = GetVTKPointer<vtkObjectBase>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectBase:Delete vtkObjectBaseDeleteFunction
//input a0 
//output none
ArrayVector vtkObjectBaseDeleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Delete (); */
  if (arg.size() < 1) 
    throw Exception("Function Delete for class vtkObjectBase requires 1 argument(s)");
  vtkObjectBase* vtk_pointer = GetVTKPointer<vtkObjectBase>(arg[0]);
  Array retval;
  vtk_pointer->Delete();
  return retval;
}

//@@Signature
//sfunction @vtkObjectBase:FastDelete vtkObjectBaseFastDeleteFunction
//input a0 
//output none
ArrayVector vtkObjectBaseFastDeleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FastDelete (); */
  if (arg.size() < 1) 
    throw Exception("Function FastDelete for class vtkObjectBase requires 1 argument(s)");
  vtkObjectBase* vtk_pointer = GetVTKPointer<vtkObjectBase>(arg[0]);
  Array retval;
  vtk_pointer->FastDelete();
  return retval;
}

//@@Signature
//sfunction @vtkObjectBase:Register vtkObjectBaseRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkObjectBaseRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkObjectBase requires 2 argument(s)");
  vtkObjectBase* vtk_pointer = GetVTKPointer<vtkObjectBase>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObjectBase:UnRegister vtkObjectBaseUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkObjectBaseUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkObjectBase requires 2 argument(s)");
  vtkObjectBase* vtk_pointer = GetVTKPointer<vtkObjectBase>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObjectBase:GetReferenceCount vtkObjectBaseGetReferenceCountFunction
//input a0 
//output y
ArrayVector vtkObjectBaseGetReferenceCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReferenceCount ();return this ReferenceCount  */
  if (arg.size() < 1) 
    throw Exception("Function GetReferenceCount for class vtkObjectBase requires 1 argument(s)");
  vtkObjectBase* vtk_pointer = GetVTKPointer<vtkObjectBase>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReferenceCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectBase:SetReferenceCount vtkObjectBaseSetReferenceCountFunction
//input a0 a1 
//output none
ArrayVector vtkObjectBaseSetReferenceCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReferenceCount (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReferenceCount for class vtkObjectBase requires 2 argument(s)");
  vtkObjectBase* vtk_pointer = GetVTKPointer<vtkObjectBase>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReferenceCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObjectBase:display vtkObjectBaseDisplayFunction
//input varargin
//output varargout
ArrayVector vtkObjectBaseDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkObjectBase* vtk_pointer = GetVTKPointer<vtkObjectBase>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkObjectBase:delete vtkObjectBaseDeleteFunction
//input varargin
//output none
ArrayVector vtkObjectBaseDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkObjectBase
//@@Section VTKCommon
//@@Usage
// vtkObjectBase is the base class for all reference counted classes
// in the VTK. These classes include vtkCommand classes, vtkInformationKey
// classes, and vtkObject classes.
//
// vtkObjectBase performs reference counting: objects that are
// reference counted exist as long as another object uses them. Once
// the last reference to a reference counted object is removed, the
// object will spontaneously destruct.
//
// Constructor and destructor of the subclasses of vtkObjectBase
// should be protected, so that only New() and UnRegister() actually
// call them. Debug leaks can be used to see if there are any objects
// left with nonzero reference count.
//
//
//To create an instance of class vtkObjectBase, simply
//invoke its constructor as follows
//@[
//  obj = vtkObjectBase
//@]
//@@Methods
//The class vtkObjectBase has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkObjectBase class.
//\begin{itemize}
// \item @|string = obj.GetClassName () const| -  Return the class name as a string. This method is defined
// in all subclasses of vtkObjectBase with the vtkTypeRevisionMacro found
// in vtkSetGet.h.
//// \item @|int = obj.IsA (string name)| -  Return 1 if this class is the same type of (or a subclass of)
// the named class. Returns 0 otherwise. This method works in
// combination with vtkTypeRevisionMacro found in vtkSetGet.h.
//// \item @|obj.Delete ()| -  Delete a VTK object.  This method should always be used to delete
// an object when the New() method was used to create it. Using the
// C++ delete method will not work with reference counting.
//// \item @|obj.FastDelete ()| -  Delete a reference to this object.  This version will not invoke
// garbage collection and can potentially leak the object if it is
// part of a reference loop.  Use this method only when it is known
// that the object has another reference and would not be collected
// if a full garbage collection check were done.
//// \item @|obj.Register (vtkObjectBase o)| -  Increase the reference count (mark as used by another object).
//// \item @|obj.UnRegister (vtkObjectBase o)| -  Decrease the reference count (release by another object). This
// has the same effect as invoking Delete() (i.e., it reduces the
// reference count by 1).
//// \item @|int = obj.GetReferenceCount ()| -  Sets the reference count. (This is very dangerous, use with care.)
//// \item @|obj.SetReferenceCount (int )| -  Sets the reference count. (This is very dangerous, use with care.)
////\end{itemize}
//!
