#include "VTKWrap.hpp"

// FreeMat wrapper for vtkObjectFactory object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkObjectFactory.h"

//@@Signature
//sfunction @vtkObjectFactory:vtkObjectFactory vtkObjectFactoryConstructorFunction
//input a
//output p
//@@Parents vtkObjectFactory vtkObject 
ArrayVector vtkObjectFactoryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkObjectFactory::New(),"vtkObjectFactory",eval);
  } else if (arg[0].className() == "vtkObjectFactory") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkObjectFactory"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkObjectFactory");
    vtkObjectFactory*q = reinterpret_cast<vtkObjectFactory*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkObjectFactory");
    return ret;
  }
}
//@@Signature
//sfunction @vtkObjectFactory:CreateInstance vtkObjectFactoryCreateInstanceFunction
//input a0 a1 
//output y
ArrayVector vtkObjectFactoryCreateInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkObject *CreateInstance (const char *vtkclassname); */
  if (arg.size() < 2) 
    throw Exception("Function CreateInstance for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  char    *temp0;
  vtkObject  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CreateInstance(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:CreateAllInstance vtkObjectFactoryCreateAllInstanceFunction
//input a0 a1 a2 
//output none
ArrayVector vtkObjectFactoryCreateAllInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void CreateAllInstance (const char *vtkclassname, vtkCollection *retList); */
  if (arg.size() < 3) 
    throw Exception("Function CreateAllInstance for class vtkObjectFactory requires 3 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  char    *temp0;
  vtkCollection  *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp1 = GetVTKPointer<vtkCollection>(arg[2]);
  vtk_pointer->CreateAllInstance(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:ReHash vtkObjectFactoryReHashFunction
//input a0 
//output none
ArrayVector vtkObjectFactoryReHashFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ReHash (); */
  if (arg.size() < 1) 
    throw Exception("Function ReHash for class vtkObjectFactory requires 1 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  vtk_pointer->ReHash();
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:RegisterFactory vtkObjectFactoryRegisterFactoryFunction
//input a0 a1 
//output none
ArrayVector vtkObjectFactoryRegisterFactoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RegisterFactory (vtkObjectFactory *); */
  if (arg.size() < 2) 
    throw Exception("Function RegisterFactory for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  vtkObjectFactory  *temp0;
  temp0 = GetVTKPointer<vtkObjectFactory>(arg[1]);
  vtk_pointer->RegisterFactory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:UnRegisterFactory vtkObjectFactoryUnRegisterFactoryFunction
//input a0 a1 
//output none
ArrayVector vtkObjectFactoryUnRegisterFactoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void UnRegisterFactory (vtkObjectFactory *); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegisterFactory for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  vtkObjectFactory  *temp0;
  temp0 = GetVTKPointer<vtkObjectFactory>(arg[1]);
  vtk_pointer->UnRegisterFactory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:UnRegisterAllFactories vtkObjectFactoryUnRegisterAllFactoriesFunction
//input a0 
//output none
ArrayVector vtkObjectFactoryUnRegisterAllFactoriesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void UnRegisterAllFactories (); */
  if (arg.size() < 1) 
    throw Exception("Function UnRegisterAllFactories for class vtkObjectFactory requires 1 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  vtk_pointer->UnRegisterAllFactories();
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetRegisteredFactories vtkObjectFactoryGetRegisteredFactoriesFunction
//input a0 
//output y
ArrayVector vtkObjectFactoryGetRegisteredFactoriesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkObjectFactoryCollection *GetRegisteredFactories (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRegisteredFactories for class vtkObjectFactory requires 1 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  vtkObjectFactoryCollection  *temp20;
  temp20 = (vtk_pointer)->GetRegisteredFactories();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObjectFactoryCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:HasOverrideAny vtkObjectFactoryHasOverrideAnyFunction
//input a0 a1 
//output y
ArrayVector vtkObjectFactoryHasOverrideAnyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int HasOverrideAny (const char *className); */
  if (arg.size() < 2) 
    throw Exception("Function HasOverrideAny for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->HasOverrideAny(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetOverrideInformation vtkObjectFactoryGetOverrideInformationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkObjectFactoryGetOverrideInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetOverrideInformation (const char *name, vtkOverrideInformationCollection *); */
  if (arg.size() < 3) 
    throw Exception("Function GetOverrideInformation for class vtkObjectFactory requires 3 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  char    *temp0;
  vtkOverrideInformationCollection  *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp1 = GetVTKPointer<vtkOverrideInformationCollection>(arg[2]);
  vtk_pointer->GetOverrideInformation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:SetAllEnableFlags__1 vtkObjectFactorySetAllEnableFlags__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkObjectFactorySetAllEnableFlags__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetAllEnableFlags (int flag, const char *className); */
  if (arg.size() < 3) 
    throw Exception("Function SetAllEnableFlags__1 for class vtkObjectFactory requires 3 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetAllEnableFlags(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:SetAllEnableFlags__2 vtkObjectFactorySetAllEnableFlags__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkObjectFactorySetAllEnableFlags__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetAllEnableFlags (int flag, const char *className, const char *subclassName); */
  if (arg.size() < 4) 
    throw Exception("Function SetAllEnableFlags__2 for class vtkObjectFactory requires 4 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  char    *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  vtk_pointer->SetAllEnableFlags(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetClassName vtkObjectFactoryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkObjectFactoryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkObjectFactory requires 1 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:IsA vtkObjectFactoryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkObjectFactoryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:NewInstance vtkObjectFactoryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkObjectFactoryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObjectFactory *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkObjectFactory requires 1 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  vtkObjectFactory  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObjectFactory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:SafeDownCast vtkObjectFactorySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkObjectFactorySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObjectFactory *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkObjectFactory  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObjectFactory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetVTKSourceVersion vtkObjectFactoryGetVTKSourceVersionFunction
//input a0 
//output y
ArrayVector vtkObjectFactoryGetVTKSourceVersionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetVTKSourceVersion () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetVTKSourceVersion for class vtkObjectFactory requires 1 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVTKSourceVersion();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetDescription vtkObjectFactoryGetDescriptionFunction
//input a0 
//output y
ArrayVector vtkObjectFactoryGetDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescription () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetDescription for class vtkObjectFactory requires 1 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescription();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetNumberOfOverrides vtkObjectFactoryGetNumberOfOverridesFunction
//input a0 
//output y
ArrayVector vtkObjectFactoryGetNumberOfOverridesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfOverrides (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfOverrides for class vtkObjectFactory requires 1 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfOverrides();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetClassOverrideName vtkObjectFactoryGetClassOverrideNameFunction
//input a0 a1 
//output y
ArrayVector vtkObjectFactoryGetClassOverrideNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetClassOverrideName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetClassOverrideName for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetClassOverrideName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetClassOverrideWithName vtkObjectFactoryGetClassOverrideWithNameFunction
//input a0 a1 
//output y
ArrayVector vtkObjectFactoryGetClassOverrideWithNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetClassOverrideWithName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetClassOverrideWithName for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetClassOverrideWithName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetEnableFlag__1 vtkObjectFactoryGetEnableFlag__1Function
//input a0 a1 
//output y
ArrayVector vtkObjectFactoryGetEnableFlag__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetEnableFlag (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetEnableFlag__1 for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEnableFlag(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetOverrideDescription vtkObjectFactoryGetOverrideDescriptionFunction
//input a0 a1 
//output y
ArrayVector vtkObjectFactoryGetOverrideDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetOverrideDescription (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetOverrideDescription for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOverrideDescription(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:SetEnableFlag vtkObjectFactorySetEnableFlagFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkObjectFactorySetEnableFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnableFlag (int flag, const char *className, const char *subclassName); */
  if (arg.size() < 4) 
    throw Exception("Function SetEnableFlag for class vtkObjectFactory requires 4 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  char    *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  vtk_pointer->SetEnableFlag(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetEnableFlag__2 vtkObjectFactoryGetEnableFlag__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkObjectFactoryGetEnableFlag__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetEnableFlag (const char *className, const char *subclassName); */
  if (arg.size() < 3) 
    throw Exception("Function GetEnableFlag__2 for class vtkObjectFactory requires 3 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetEnableFlag(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:HasOverride__1 vtkObjectFactoryHasOverride__1Function
//input a0 a1 
//output y
ArrayVector vtkObjectFactoryHasOverride__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasOverride (const char *className); */
  if (arg.size() < 2) 
    throw Exception("Function HasOverride__1 for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->HasOverride(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:HasOverride__2 vtkObjectFactoryHasOverride__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkObjectFactoryHasOverride__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasOverride (const char *className, const char *subclassName); */
  if (arg.size() < 3) 
    throw Exception("Function HasOverride__2 for class vtkObjectFactory requires 3 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->HasOverride(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:Disable vtkObjectFactoryDisableFunction
//input a0 a1 
//output none
ArrayVector vtkObjectFactoryDisableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Disable (const char *className); */
  if (arg.size() < 2) 
    throw Exception("Function Disable for class vtkObjectFactory requires 2 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->Disable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:GetLibraryPath vtkObjectFactoryGetLibraryPathFunction
//input a0 
//output y
ArrayVector vtkObjectFactoryGetLibraryPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLibraryPath (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLibraryPath for class vtkObjectFactory requires 1 argument(s)");
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLibraryPath();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactory:SetAllEnableFlags vtkObjectFactorySetAllEnableFlagsFunction
//input varargin
//output varargout
ArrayVector vtkObjectFactorySetAllEnableFlagsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkObjectFactorySetAllEnableFlags__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]))
    return vtkObjectFactorySetAllEnableFlags__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkObjectFactorySetAllEnableFlags");
}

//@@Signature
//sfunction @vtkObjectFactory:GetEnableFlag vtkObjectFactoryGetEnableFlagFunction
//input varargin
//output varargout
ArrayVector vtkObjectFactoryGetEnableFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkObjectFactoryGetEnableFlag__1Function(nargout,arg,eval);
  if ((arg.size() == 3))
    return vtkObjectFactoryGetEnableFlag__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkObjectFactoryGetEnableFlag");
}

//@@Signature
//sfunction @vtkObjectFactory:HasOverride vtkObjectFactoryHasOverrideFunction
//input varargin
//output varargout
ArrayVector vtkObjectFactoryHasOverrideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkObjectFactoryHasOverride__1Function(nargout,arg,eval);
  if ((arg.size() == 3))
    return vtkObjectFactoryHasOverride__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkObjectFactoryHasOverride");
}

//@@Signature
//sfunction @vtkObjectFactory:display vtkObjectFactoryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkObjectFactoryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkObjectFactory* vtk_pointer = GetVTKPointer<vtkObjectFactory>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkObjectFactory:delete vtkObjectFactoryDeleteFunction
//input varargin
//output none
ArrayVector vtkObjectFactoryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkObjectFactory
//@@Section VTKCommon
//@@Usage
// vtkObjectFactory is used to create vtk objects.   The base class
// vtkObjectFactory contains a static method CreateInstance which is used
// to create vtk objects from the list of registered vtkObjectFactory 
// sub-classes.   The first time CreateInstance is called, all dll's or shared
// libraries in the environment variable VTK_AUTOLOAD_PATH are loaded into
// the current process.   The C functions vtkLoad, vtkGetFactoryCompilerUsed, 
// and vtkGetFactoryVersion are called on each dll.  To implement these
// functions in a shared library or dll, use the macro:
// VTK_FACTORY_INTERFACE_IMPLEMENT.
// VTK_AUTOLOAD_PATH is an environment variable 
// containing a colon separated (semi-colon on win32) list of paths.
//
// The vtkObjectFactory can be use to override the creation of any object
// in VTK with a sub-class of that object.  The factories can be registered
// either at run time with the VTK_AUTOLOAD_PATH, or at compile time
// with the vtkObjectFactory::RegisterFactory method.
//
//
//To create an instance of class vtkObjectFactory, simply
//invoke its constructor as follows
//@[
//  obj = vtkObjectFactory
//@]
//@@Methods
//The class vtkObjectFactory has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkObjectFactory class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkObjectFactory = obj.NewInstance ()|
// \item @|vtkObjectFactory = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetVTKSourceVersion ()| -  All sub-classes of vtkObjectFactory should must return the version of 
// VTK they were built with.  This should be implemented with the macro
// VTK_SOURCE_VERSION and NOT a call to vtkVersion::GetVTKSourceVersion.
// As the version needs to be compiled into the file as a string constant.
// This is critical to determine possible incompatible dynamic factory loads.
//// \item @|string = obj.GetDescription ()| -  Return a descriptive string describing the factory.
//// \item @|int = obj.GetNumberOfOverrides ()| -  Return number of overrides this factory can create.
//// \item @|string = obj.GetClassOverrideName (int index)| -  Return the name of a class override at the given index.
//// \item @|string = obj.GetClassOverrideWithName (int index)| -  Return the name of the class that will override the class
// at the given index
//// \item @|int = obj.GetEnableFlag (int index)| -  Return the enable flag for the class at the given index.
//// \item @|string = obj.GetOverrideDescription (int index)| -  Return the description for a the class override at the given 
// index.
//// \item @|obj.SetEnableFlag (int flag, string className, string subclassName)| -  Set and Get the Enable flag for the specific override of className.
// if subclassName is null, then it is ignored.
//// \item @|int = obj.GetEnableFlag (string className, string subclassName)| -  Set and Get the Enable flag for the specific override of className.
// if subclassName is null, then it is ignored.
//// \item @|int = obj.HasOverride (string className)| -  Return 1 if this factory overrides the given class name, 0 otherwise.
//// \item @|int = obj.HasOverride (string className, string subclassName)| -  Return 1 if this factory overrides the given class name, 0 otherwise.
//// \item @|obj.Disable (string className)| -  Set all enable flags for the given class to 0.  This will
// mean that the factory will stop producing class with the given
// name.
//// \item @|string = obj.GetLibraryPath ()| -  This returns the path to a dynamically loaded factory.
////\end{itemize}
//!
