#include "VTKWrap.hpp"

// FreeMat wrapper for vtkObjectFactoryCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkObjectFactoryCollection.h"

//@@Signature
//sfunction @vtkObjectFactoryCollection:vtkObjectFactoryCollection vtkObjectFactoryCollectionConstructorFunction
//input a
//output p
//@@Parents vtkObjectFactoryCollection vtkCollection 
ArrayVector vtkObjectFactoryCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkObjectFactoryCollection::New(),"vtkObjectFactoryCollection",eval);
  } else if (arg[0].className() == "vtkObjectFactoryCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkObjectFactoryCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkObjectFactoryCollection");
    vtkObjectFactoryCollection*q = reinterpret_cast<vtkObjectFactoryCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkObjectFactoryCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkObjectFactoryCollection:GetClassName vtkObjectFactoryCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkObjectFactoryCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkObjectFactoryCollection requires 1 argument(s)");
  vtkObjectFactoryCollection* vtk_pointer = GetVTKPointer<vtkObjectFactoryCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactoryCollection:IsA vtkObjectFactoryCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkObjectFactoryCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkObjectFactoryCollection requires 2 argument(s)");
  vtkObjectFactoryCollection* vtk_pointer = GetVTKPointer<vtkObjectFactoryCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactoryCollection:NewInstance vtkObjectFactoryCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkObjectFactoryCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObjectFactoryCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkObjectFactoryCollection requires 1 argument(s)");
  vtkObjectFactoryCollection* vtk_pointer = GetVTKPointer<vtkObjectFactoryCollection>(arg[0]);
  Array retval;
  vtkObjectFactoryCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObjectFactoryCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactoryCollection:SafeDownCast vtkObjectFactoryCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkObjectFactoryCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObjectFactoryCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkObjectFactoryCollection requires 2 argument(s)");
  vtkObjectFactoryCollection* vtk_pointer = GetVTKPointer<vtkObjectFactoryCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkObjectFactoryCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObjectFactoryCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactoryCollection:AddItem__1 vtkObjectFactoryCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkObjectFactoryCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkObjectFactory *t);this vtkCollection AddItem t  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkObjectFactoryCollection requires 2 argument(s)");
  vtkObjectFactoryCollection* vtk_pointer = GetVTKPointer<vtkObjectFactoryCollection>(arg[0]);
  Array retval;
  vtkObjectFactory  *temp0;
  temp0 = GetVTKPointer<vtkObjectFactory>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactoryCollection:GetNextItem vtkObjectFactoryCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkObjectFactoryCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObjectFactory *GetNextItem ();return static_cast vtkObjectFactory this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkObjectFactoryCollection requires 1 argument(s)");
  vtkObjectFactoryCollection* vtk_pointer = GetVTKPointer<vtkObjectFactoryCollection>(arg[0]);
  Array retval;
  vtkObjectFactory  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObjectFactory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObjectFactoryCollection:AddItem vtkObjectFactoryCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkObjectFactoryCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkObjectFactory"))
    return vtkObjectFactoryCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkObjectFactoryCollectionAddItem");
}

//@@Signature
//sfunction @vtkObjectFactoryCollection:display vtkObjectFactoryCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkObjectFactoryCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkObjectFactoryCollection* vtk_pointer = GetVTKPointer<vtkObjectFactoryCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkObjectFactoryCollection:delete vtkObjectFactoryCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkObjectFactoryCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkObjectFactoryCollection
//@@Section VTKCommon
//@@Usage
// vtkObjectFactoryCollection is an object that creates and manipulates lists
// of object of type vtkObjectFactory.
//
//To create an instance of class vtkObjectFactoryCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkObjectFactoryCollection
//@]
//@@Methods
//The class vtkObjectFactoryCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkObjectFactoryCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkObjectFactoryCollection = obj.NewInstance ()|
// \item @|vtkObjectFactoryCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkObjectFactory t)| -  Get the next ObjectFactory in the list. Return NULL when the end of the
// list is reached.
//// \item @|vtkObjectFactory = obj.GetNextItem ()|
//\end{itemize}
//!
