#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOnePieceExtentTranslator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOnePieceExtentTranslator.h"

//@@Signature
//sfunction @vtkOnePieceExtentTranslator:vtkOnePieceExtentTranslator vtkOnePieceExtentTranslatorConstructorFunction
//input a
//output p
//@@Parents vtkOnePieceExtentTranslator vtkExtentTranslator 
ArrayVector vtkOnePieceExtentTranslatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOnePieceExtentTranslator::New(),"vtkOnePieceExtentTranslator",eval);
  } else if (arg[0].className() == "vtkOnePieceExtentTranslator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOnePieceExtentTranslator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOnePieceExtentTranslator");
    vtkOnePieceExtentTranslator*q = reinterpret_cast<vtkOnePieceExtentTranslator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOnePieceExtentTranslator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOnePieceExtentTranslator:GetClassName vtkOnePieceExtentTranslatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOnePieceExtentTranslatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOnePieceExtentTranslator requires 1 argument(s)");
  vtkOnePieceExtentTranslator* vtk_pointer = GetVTKPointer<vtkOnePieceExtentTranslator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOnePieceExtentTranslator:IsA vtkOnePieceExtentTranslatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOnePieceExtentTranslatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOnePieceExtentTranslator requires 2 argument(s)");
  vtkOnePieceExtentTranslator* vtk_pointer = GetVTKPointer<vtkOnePieceExtentTranslator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOnePieceExtentTranslator:NewInstance vtkOnePieceExtentTranslatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOnePieceExtentTranslatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOnePieceExtentTranslator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOnePieceExtentTranslator requires 1 argument(s)");
  vtkOnePieceExtentTranslator* vtk_pointer = GetVTKPointer<vtkOnePieceExtentTranslator>(arg[0]);
  Array retval;
  vtkOnePieceExtentTranslator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOnePieceExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOnePieceExtentTranslator:SafeDownCast vtkOnePieceExtentTranslatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOnePieceExtentTranslatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOnePieceExtentTranslator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOnePieceExtentTranslator requires 2 argument(s)");
  vtkOnePieceExtentTranslator* vtk_pointer = GetVTKPointer<vtkOnePieceExtentTranslator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOnePieceExtentTranslator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOnePieceExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOnePieceExtentTranslator:display vtkOnePieceExtentTranslatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOnePieceExtentTranslatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOnePieceExtentTranslator* vtk_pointer = GetVTKPointer<vtkOnePieceExtentTranslator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOnePieceExtentTranslator:delete vtkOnePieceExtentTranslatorDeleteFunction
//input varargin
//output none
ArrayVector vtkOnePieceExtentTranslatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
