#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOutputWindow object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOutputWindow.h"

//@@Signature
//sfunction @vtkOutputWindow:vtkOutputWindow vtkOutputWindowConstructorFunction
//input a
//output p
//@@Parents vtkOutputWindow vtkObject 
ArrayVector vtkOutputWindowConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOutputWindow::New(),"vtkOutputWindow",eval);
  } else if (arg[0].className() == "vtkOutputWindow") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOutputWindow"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOutputWindow");
    vtkOutputWindow*q = reinterpret_cast<vtkOutputWindow*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOutputWindow");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOutputWindow:GetClassName vtkOutputWindowGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOutputWindowGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOutputWindow requires 1 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:IsA vtkOutputWindowIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOutputWindowIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOutputWindow requires 2 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:NewInstance vtkOutputWindowNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOutputWindowNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutputWindow *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOutputWindow requires 1 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  vtkOutputWindow  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutputWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:SafeDownCast vtkOutputWindowSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOutputWindowSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutputWindow *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOutputWindow requires 2 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOutputWindow  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutputWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:GetInstance vtkOutputWindowGetInstanceFunction
//input a0 
//output y
ArrayVector vtkOutputWindowGetInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkOutputWindow *GetInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInstance for class vtkOutputWindow requires 1 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  vtkOutputWindow  *temp20;
  temp20 = (vtk_pointer)->GetInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutputWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:SetInstance vtkOutputWindowSetInstanceFunction
//input a0 a1 
//output none
ArrayVector vtkOutputWindowSetInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetInstance (vtkOutputWindow *instance); */
  if (arg.size() < 2) 
    throw Exception("Function SetInstance for class vtkOutputWindow requires 2 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  vtkOutputWindow  *temp0;
  temp0 = GetVTKPointer<vtkOutputWindow>(arg[1]);
  vtk_pointer->SetInstance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:DisplayText vtkOutputWindowDisplayTextFunction
//input a0 a1 
//output none
ArrayVector vtkOutputWindowDisplayTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayText for class vtkOutputWindow requires 2 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:DisplayErrorText vtkOutputWindowDisplayErrorTextFunction
//input a0 a1 
//output none
ArrayVector vtkOutputWindowDisplayErrorTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayErrorText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayErrorText for class vtkOutputWindow requires 2 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayErrorText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:DisplayWarningText vtkOutputWindowDisplayWarningTextFunction
//input a0 a1 
//output none
ArrayVector vtkOutputWindowDisplayWarningTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayWarningText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayWarningText for class vtkOutputWindow requires 2 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayWarningText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:DisplayGenericWarningText vtkOutputWindowDisplayGenericWarningTextFunction
//input a0 a1 
//output none
ArrayVector vtkOutputWindowDisplayGenericWarningTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayGenericWarningText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayGenericWarningText for class vtkOutputWindow requires 2 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayGenericWarningText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:DisplayDebugText vtkOutputWindowDisplayDebugTextFunction
//input a0 a1 
//output none
ArrayVector vtkOutputWindowDisplayDebugTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayDebugText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayDebugText for class vtkOutputWindow requires 2 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayDebugText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:PromptUserOn vtkOutputWindowPromptUserOnFunction
//input a0 
//output none
ArrayVector vtkOutputWindowPromptUserOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PromptUserOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PromptUserOn for class vtkOutputWindow requires 1 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  vtk_pointer->PromptUserOn();
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:PromptUserOff vtkOutputWindowPromptUserOffFunction
//input a0 
//output none
ArrayVector vtkOutputWindowPromptUserOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PromptUserOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PromptUserOff for class vtkOutputWindow requires 1 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  vtk_pointer->PromptUserOff();
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:SetPromptUser vtkOutputWindowSetPromptUserFunction
//input a0 a1 
//output none
ArrayVector vtkOutputWindowSetPromptUserFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPromptUser (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPromptUser for class vtkOutputWindow requires 2 argument(s)");
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPromptUser(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutputWindow:display vtkOutputWindowDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOutputWindowDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOutputWindow* vtk_pointer = GetVTKPointer<vtkOutputWindow>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOutputWindow:delete vtkOutputWindowDeleteFunction
//input varargin
//output none
ArrayVector vtkOutputWindowDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOutputWindow
//@@Section VTKCommon
//@@Usage
// This class is used to encapsulate all text output, so that it will work
// with operating systems that have a stdout and stderr, and ones that
// do not.  (i.e windows does not).  Sub-classes can be provided which can
// redirect the output to a window.
//
//To create an instance of class vtkOutputWindow, simply
//invoke its constructor as follows
//@[
//  obj = vtkOutputWindow
//@]
//@@Methods
//The class vtkOutputWindow has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOutputWindow class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOutputWindow = obj.NewInstance ()|
// \item @|vtkOutputWindow = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DisplayText (string )| -  Display the text. Four virtual methods exist, depending on the type of
// message to display. This allows redirection or reformatting of the
// messages. The default implementation uses DisplayText for all.
//// \item @|obj.DisplayErrorText (string )| -  Display the text. Four virtual methods exist, depending on the type of
// message to display. This allows redirection or reformatting of the
// messages. The default implementation uses DisplayText for all.
//// \item @|obj.DisplayWarningText (string )| -  Display the text. Four virtual methods exist, depending on the type of
// message to display. This allows redirection or reformatting of the
// messages. The default implementation uses DisplayText for all.
//// \item @|obj.DisplayGenericWarningText (string )| -  Display the text. Four virtual methods exist, depending on the type of
// message to display. This allows redirection or reformatting of the
// messages. The default implementation uses DisplayText for all.
//// \item @|obj.DisplayDebugText (string )|
// \item @|obj.PromptUserOn ()| -  If PromptUser is set to true then each time a line of text
// is displayed, the user is asked if they want to keep getting
// messages.
//// \item @|obj.PromptUserOff ()| -  If PromptUser is set to true then each time a line of text
// is displayed, the user is asked if they want to keep getting
// messages.
//// \item @|obj.SetPromptUser (int )| -  If PromptUser is set to true then each time a line of text
// is displayed, the user is asked if they want to keep getting
// messages.
////\end{itemize}
//!
