#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricBoy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricBoy.h"

//@@Signature
//sfunction @vtkParametricBoy:vtkParametricBoy vtkParametricBoyConstructorFunction
//input a
//output p
//@@Parents vtkParametricBoy vtkParametricFunction 
ArrayVector vtkParametricBoyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricBoy::New(),"vtkParametricBoy",eval);
  } else if (arg[0].className() == "vtkParametricBoy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricBoy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricBoy");
    vtkParametricBoy*q = reinterpret_cast<vtkParametricBoy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricBoy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricBoy:GetClassName vtkParametricBoyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricBoyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricBoy requires 1 argument(s)");
  vtkParametricBoy* vtk_pointer = GetVTKPointer<vtkParametricBoy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricBoy:IsA vtkParametricBoyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricBoyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricBoy requires 2 argument(s)");
  vtkParametricBoy* vtk_pointer = GetVTKPointer<vtkParametricBoy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricBoy:NewInstance vtkParametricBoyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricBoyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricBoy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricBoy requires 1 argument(s)");
  vtkParametricBoy* vtk_pointer = GetVTKPointer<vtkParametricBoy>(arg[0]);
  Array retval;
  vtkParametricBoy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricBoy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricBoy:SafeDownCast vtkParametricBoySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricBoySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricBoy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricBoy requires 2 argument(s)");
  vtkParametricBoy* vtk_pointer = GetVTKPointer<vtkParametricBoy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricBoy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricBoy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricBoy:GetDimension vtkParametricBoyGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricBoyGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricBoy requires 1 argument(s)");
  vtkParametricBoy* vtk_pointer = GetVTKPointer<vtkParametricBoy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricBoy:SetZScale vtkParametricBoySetZScaleFunction
//input a0 a1 
//output none
ArrayVector vtkParametricBoySetZScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZScale for class vtkParametricBoy requires 2 argument(s)");
  vtkParametricBoy* vtk_pointer = GetVTKPointer<vtkParametricBoy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricBoy:GetZScale vtkParametricBoyGetZScaleFunction
//input a0 
//output y
ArrayVector vtkParametricBoyGetZScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZScale for class vtkParametricBoy requires 1 argument(s)");
  vtkParametricBoy* vtk_pointer = GetVTKPointer<vtkParametricBoy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricBoy:Evaluate vtkParametricBoyEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricBoyEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricBoy requires 4 argument(s)");
  vtkParametricBoy* vtk_pointer = GetVTKPointer<vtkParametricBoy>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricBoy:EvaluateScalar vtkParametricBoyEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricBoyEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricBoy requires 4 argument(s)");
  vtkParametricBoy* vtk_pointer = GetVTKPointer<vtkParametricBoy>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricBoy:display vtkParametricBoyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricBoyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricBoy* vtk_pointer = GetVTKPointer<vtkParametricBoy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricBoy:delete vtkParametricBoyDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricBoyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricBoy
//@@Section VTKCommon
//@@Usage
// vtkParametricBoy generates Boy's surface.
// This is a Model of the projective plane without singularities.
// It was found by Werner Boy on assignment from David Hilbert.
//
// For further information about this surface, please consult the 
// technical description "Parametric surfaces" in http://www.vtk.org/documents.php 
// in the "VTK Technical Documents" section in the VTk.org web pages.
//
// .SECTION Thanks
// Andrew Maclean a.maclean@cas.edu.au for 
// creating and contributing the class.
//
//
//To create an instance of class vtkParametricBoy, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricBoy
//@]
//@@Methods
//The class vtkParametricBoy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricBoy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricBoy = obj.NewInstance ()|
// \item @|vtkParametricBoy = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()| -  Set/Get the scale factor for the z-coordinate. 
// Default = 1/8, giving a nice shape.
//// \item @|obj.SetZScale (double )| -  Set/Get the scale factor for the z-coordinate. 
// Default = 1/8, giving a nice shape.
//// \item @|double = obj.GetZScale ()| -  Set/Get the scale factor for the z-coordinate. 
// Default = 1/8, giving a nice shape.
//// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  Boy's surface.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
//
// uvw are the parameters with Pt being the the cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.
// Pt, Duvw are obtained from Evaluate().
//
// This function is only called if the ScalarMode has the value
// vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED
//
// If the user does not need to calculate a scalar, then the 
// instantiated function should return zero. 
//
////\end{itemize}
//!
