#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricConicSpiral object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricConicSpiral.h"

//@@Signature
//sfunction @vtkParametricConicSpiral:vtkParametricConicSpiral vtkParametricConicSpiralConstructorFunction
//input a
//output p
//@@Parents vtkParametricConicSpiral vtkParametricFunction 
ArrayVector vtkParametricConicSpiralConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricConicSpiral::New(),"vtkParametricConicSpiral",eval);
  } else if (arg[0].className() == "vtkParametricConicSpiral") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricConicSpiral"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricConicSpiral");
    vtkParametricConicSpiral*q = reinterpret_cast<vtkParametricConicSpiral*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricConicSpiral");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricConicSpiral:GetClassName vtkParametricConicSpiralGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricConicSpiralGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricConicSpiral requires 1 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:IsA vtkParametricConicSpiralIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricConicSpiralIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricConicSpiral requires 2 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:NewInstance vtkParametricConicSpiralNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricConicSpiralNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricConicSpiral *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricConicSpiral requires 1 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  vtkParametricConicSpiral  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricConicSpiral",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:SafeDownCast vtkParametricConicSpiralSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricConicSpiralSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricConicSpiral *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricConicSpiral requires 2 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricConicSpiral  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricConicSpiral",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:GetDimension vtkParametricConicSpiralGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricConicSpiralGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricConicSpiral requires 1 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:SetA vtkParametricConicSpiralSetAFunction
//input a0 a1 
//output none
ArrayVector vtkParametricConicSpiralSetAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetA (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetA for class vtkParametricConicSpiral requires 2 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetA(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:GetA vtkParametricConicSpiralGetAFunction
//input a0 
//output y
ArrayVector vtkParametricConicSpiralGetAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetA (); */
  if (arg.size() < 1) 
    throw Exception("Function GetA for class vtkParametricConicSpiral requires 1 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetA();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:SetB vtkParametricConicSpiralSetBFunction
//input a0 a1 
//output none
ArrayVector vtkParametricConicSpiralSetBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetB (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetB for class vtkParametricConicSpiral requires 2 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetB(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:GetB vtkParametricConicSpiralGetBFunction
//input a0 
//output y
ArrayVector vtkParametricConicSpiralGetBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetB (); */
  if (arg.size() < 1) 
    throw Exception("Function GetB for class vtkParametricConicSpiral requires 1 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetB();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:SetC vtkParametricConicSpiralSetCFunction
//input a0 a1 
//output none
ArrayVector vtkParametricConicSpiralSetCFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetC (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetC for class vtkParametricConicSpiral requires 2 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetC(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:GetC vtkParametricConicSpiralGetCFunction
//input a0 
//output y
ArrayVector vtkParametricConicSpiralGetCFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetC (); */
  if (arg.size() < 1) 
    throw Exception("Function GetC for class vtkParametricConicSpiral requires 1 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetC();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:SetN vtkParametricConicSpiralSetNFunction
//input a0 a1 
//output none
ArrayVector vtkParametricConicSpiralSetNFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetN (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetN for class vtkParametricConicSpiral requires 2 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetN(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:GetN vtkParametricConicSpiralGetNFunction
//input a0 
//output y
ArrayVector vtkParametricConicSpiralGetNFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetN (); */
  if (arg.size() < 1) 
    throw Exception("Function GetN for class vtkParametricConicSpiral requires 1 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetN();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:Evaluate vtkParametricConicSpiralEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricConicSpiralEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricConicSpiral requires 4 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:EvaluateScalar vtkParametricConicSpiralEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricConicSpiralEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricConicSpiral requires 4 argument(s)");
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricConicSpiral:display vtkParametricConicSpiralDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricConicSpiralDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricConicSpiral* vtk_pointer = GetVTKPointer<vtkParametricConicSpiral>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricConicSpiral:delete vtkParametricConicSpiralDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricConicSpiralDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricConicSpiral
//@@Section VTKCommon
//@@Usage
// vtkParametricConicSpiral generates conic spiral surfaces. These can resemble sea shells, or
// may look like a torus "eating" its own tail.
//
// For further information about this surface, please consult the 
// technical description "Parametric surfaces" in http://www.vtk.org/documents.php 
// in the "VTK Technical Documents" section in the VTk.org web pages.
//
// .SECTION Thanks
// Andrew Maclean a.maclean@cas.edu.au for creating and contributing the
// class.
//
//
//To create an instance of class vtkParametricConicSpiral, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricConicSpiral
//@]
//@@Methods
//The class vtkParametricConicSpiral has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricConicSpiral class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricConicSpiral = obj.NewInstance ()|
// \item @|vtkParametricConicSpiral = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()| -  Set/Get the scale factor. 
// Default = 0.2
//// \item @|obj.SetA (double )| -  Set/Get the scale factor. 
// Default = 0.2
//// \item @|double = obj.GetA ()| -  Set/Get the scale factor. 
// Default = 0.2
//// \item @|obj.SetB (double )| -  Set/Get the A function coefficient (see equation below). 
// Default = 1.
//// \item @|double = obj.GetB ()| -  Set/Get the A function coefficient (see equation below). 
// Default = 1.
//// \item @|obj.SetC (double )| -  Set/Get the B function coefficient (see equation below). 
// Default = 0.1.
//// \item @|double = obj.GetC ()| -  Set/Get the B function coefficient (see equation below). 
// Default = 0.1.
//// \item @|obj.SetN (double )| -  Set/Get the C function coefficient (see equation below). 
// Default = 2.
//// \item @|double = obj.GetN ()| -  Set/Get the C function coefficient (see equation below). 
// Default = 2.
//// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  A conic spiral surface.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
//
// uvw are the parameters with Pt being the the cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.
// Pt, Duvw are obtained from Evaluate().
//
// This function is only called if the ScalarMode has the value
// vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED
//
// If the user does not need to calculate a scalar, then the 
// instantiated function should return zero. 
////\end{itemize}
//!
