#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricDini object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricDini.h"

//@@Signature
//sfunction @vtkParametricDini:vtkParametricDini vtkParametricDiniConstructorFunction
//input a
//output p
//@@Parents vtkParametricDini vtkParametricFunction 
ArrayVector vtkParametricDiniConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricDini::New(),"vtkParametricDini",eval);
  } else if (arg[0].className() == "vtkParametricDini") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricDini"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricDini");
    vtkParametricDini*q = reinterpret_cast<vtkParametricDini*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricDini");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricDini:GetClassName vtkParametricDiniGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricDiniGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricDini requires 1 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:IsA vtkParametricDiniIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricDiniIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricDini requires 2 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:NewInstance vtkParametricDiniNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricDiniNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricDini *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricDini requires 1 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  vtkParametricDini  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricDini",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:SafeDownCast vtkParametricDiniSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricDiniSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricDini *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricDini requires 2 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricDini  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricDini",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:GetDimension vtkParametricDiniGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricDiniGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricDini requires 1 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:SetA vtkParametricDiniSetAFunction
//input a0 a1 
//output none
ArrayVector vtkParametricDiniSetAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetA (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetA for class vtkParametricDini requires 2 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetA(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:GetA vtkParametricDiniGetAFunction
//input a0 
//output y
ArrayVector vtkParametricDiniGetAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetA (); */
  if (arg.size() < 1) 
    throw Exception("Function GetA for class vtkParametricDini requires 1 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetA();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:SetB vtkParametricDiniSetBFunction
//input a0 a1 
//output none
ArrayVector vtkParametricDiniSetBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetB (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetB for class vtkParametricDini requires 2 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetB(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:GetB vtkParametricDiniGetBFunction
//input a0 
//output y
ArrayVector vtkParametricDiniGetBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetB (); */
  if (arg.size() < 1) 
    throw Exception("Function GetB for class vtkParametricDini requires 1 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetB();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:Evaluate vtkParametricDiniEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricDiniEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricDini requires 4 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:EvaluateScalar vtkParametricDiniEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricDiniEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricDini requires 4 argument(s)");
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricDini:display vtkParametricDiniDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricDiniDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricDini* vtk_pointer = GetVTKPointer<vtkParametricDini>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricDini:delete vtkParametricDiniDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricDiniDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricDini
//@@Section VTKCommon
//@@Usage
// vtkParametricDini generates Dini's surface.
// Dini's surface is a surface that posesses constant negative 
// Gaussian curvature
//
// For further information about this surface, please consult the 
// technical description "Parametric surfaces" in http://www.vtk.org/documents.php 
// in the "VTK Technical Documents" section in the VTk.org web pages.
//
// .SECTION Thanks
// Andrew Maclean a.maclean@cas.edu.au for 
// creating and contributing the class.
//
//
//To create an instance of class vtkParametricDini, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricDini
//@]
//@@Methods
//The class vtkParametricDini has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricDini class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricDini = obj.NewInstance ()|
// \item @|vtkParametricDini = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()| -  Set/Get the scale factor. 
// Default = 1.
//// \item @|obj.SetA (double )| -  Set/Get the scale factor. 
// Default = 1.
//// \item @|double = obj.GetA ()| -  Set/Get the scale factor. 
// Default = 1.
//// \item @|obj.SetB (double )| -  Set/Get the scale factor. 
// Default = 0.2
//// \item @|double = obj.GetB ()| -  Set/Get the scale factor. 
// Default = 0.2
//// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  Dini's surface.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
//
// uvw are the parameters with Pt being the the cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.
// Pt, Duvw are obtained from Evaluate().
//
// This function is only called if the ScalarMode has the value
// vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED
//
// If the user does not need to calculate a scalar, then the 
// instantiated function should return zero. 
//
////\end{itemize}
//!
