#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricEllipsoid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricEllipsoid.h"

//@@Signature
//sfunction @vtkParametricEllipsoid:vtkParametricEllipsoid vtkParametricEllipsoidConstructorFunction
//input a
//output p
//@@Parents vtkParametricEllipsoid vtkParametricFunction 
ArrayVector vtkParametricEllipsoidConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricEllipsoid::New(),"vtkParametricEllipsoid",eval);
  } else if (arg[0].className() == "vtkParametricEllipsoid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricEllipsoid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricEllipsoid");
    vtkParametricEllipsoid*q = reinterpret_cast<vtkParametricEllipsoid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricEllipsoid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricEllipsoid:GetClassName vtkParametricEllipsoidGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricEllipsoidGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricEllipsoid requires 1 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:IsA vtkParametricEllipsoidIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricEllipsoidIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricEllipsoid requires 2 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:NewInstance vtkParametricEllipsoidNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricEllipsoidNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricEllipsoid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricEllipsoid requires 1 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  vtkParametricEllipsoid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricEllipsoid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:SafeDownCast vtkParametricEllipsoidSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricEllipsoidSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricEllipsoid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricEllipsoid requires 2 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricEllipsoid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricEllipsoid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:GetDimension vtkParametricEllipsoidGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricEllipsoidGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricEllipsoid requires 1 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:SetXRadius vtkParametricEllipsoidSetXRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricEllipsoidSetXRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXRadius for class vtkParametricEllipsoid requires 2 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:GetXRadius vtkParametricEllipsoidGetXRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricEllipsoidGetXRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXRadius for class vtkParametricEllipsoid requires 1 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:SetYRadius vtkParametricEllipsoidSetYRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricEllipsoidSetYRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYRadius for class vtkParametricEllipsoid requires 2 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:GetYRadius vtkParametricEllipsoidGetYRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricEllipsoidGetYRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYRadius for class vtkParametricEllipsoid requires 1 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:SetZRadius vtkParametricEllipsoidSetZRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricEllipsoidSetZRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZRadius for class vtkParametricEllipsoid requires 2 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:GetZRadius vtkParametricEllipsoidGetZRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricEllipsoidGetZRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZRadius for class vtkParametricEllipsoid requires 1 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:Evaluate vtkParametricEllipsoidEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricEllipsoidEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricEllipsoid requires 4 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:EvaluateScalar vtkParametricEllipsoidEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricEllipsoidEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricEllipsoid requires 4 argument(s)");
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricEllipsoid:display vtkParametricEllipsoidDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricEllipsoidDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricEllipsoid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricEllipsoid:delete vtkParametricEllipsoidDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricEllipsoidDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricEllipsoid
//@@Section VTKCommon
//@@Usage
// vtkParametricEllipsoid generates an ellipsoid.
// If all the radii are the same, we have a sphere.
// An oblate spheroid occurs if RadiusX = RadiusY > RadiusZ. 
// Here the Z-axis forms the symmetry axis. To a first
// approximation, this is the shape of the earth.
// A prolate spheroid occurs if RadiusX = RadiusY < RadiusZ.
//
// For further information about this surface, please consult the 
// technical description "Parametric surfaces" in http://www.vtk.org/documents.php 
// in the "VTK Technical Documents" section in the VTk.org web pages.
//
// .SECTION Thanks
// Andrew Maclean a.maclean@cas.edu.au for creating and contributing the
// class.
//
//
//To create an instance of class vtkParametricEllipsoid, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricEllipsoid
//@]
//@@Methods
//The class vtkParametricEllipsoid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricEllipsoid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricEllipsoid = obj.NewInstance ()|
// \item @|vtkParametricEllipsoid = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()| -  Set/Get the scaling factor for the x-axis. Default = 1.
//// \item @|obj.SetXRadius (double )| -  Set/Get the scaling factor for the x-axis. Default = 1.
//// \item @|double = obj.GetXRadius ()| -  Set/Get the scaling factor for the x-axis. Default = 1.
//// \item @|obj.SetYRadius (double )| -  Set/Get the scaling factor for the y-axis. Default = 1.
//// \item @|double = obj.GetYRadius ()| -  Set/Get the scaling factor for the y-axis. Default = 1.
//// \item @|obj.SetZRadius (double )| -  Set/Get the scaling factor for the z-axis. Default = 1.
//// \item @|double = obj.GetZRadius ()| -  Set/Get the scaling factor for the z-axis. Default = 1.
//// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  An ellipsoid.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
//
// uvw are the parameters with Pt being the the cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.
// Pt, Duvw are obtained from Evaluate().
//
// This function is only called if the ScalarMode has the value
// vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED
//
// If the user does not need to calculate a scalar, then the 
// instantiated function should return zero. 
//
////\end{itemize}
//!
