#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricFunction.h"

//@@Signature
//sfunction @vtkParametricFunction:vtkParametricFunction vtkParametricFunctionConstructorFunction
//input a
//output p
//@@Parents vtkParametricFunction vtkObject 
ArrayVector vtkParametricFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricFunction::New(),"vtkParametricFunction",eval);
  } else if (arg[0].className() == "vtkParametricFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricFunction");
    vtkParametricFunction*q = reinterpret_cast<vtkParametricFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricFunction:GetClassName vtkParametricFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:IsA vtkParametricFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:NewInstance vtkParametricFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtkParametricFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SafeDownCast vtkParametricFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetDimension vtkParametricFunctionGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:Evaluate vtkParametricFunctionEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricFunctionEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricFunction requires 4 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:EvaluateScalar vtkParametricFunctionEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricFunctionEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricFunction requires 4 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetMinimumU vtkParametricFunctionSetMinimumUFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetMinimumUFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumU (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumU for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumU(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetMinimumU vtkParametricFunctionGetMinimumUFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetMinimumUFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumU (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumU for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumU();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetMaximumU vtkParametricFunctionSetMaximumUFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetMaximumUFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumU (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumU for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumU(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetMaximumU vtkParametricFunctionGetMaximumUFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetMaximumUFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumU (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumU for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumU();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetMinimumV vtkParametricFunctionSetMinimumVFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetMinimumVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumV (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumV for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumV(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetMinimumV vtkParametricFunctionGetMinimumVFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetMinimumVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumV (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumV for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumV();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetMaximumV vtkParametricFunctionSetMaximumVFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetMaximumVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumV (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumV for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumV(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetMaximumV vtkParametricFunctionGetMaximumVFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetMaximumVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumV (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumV for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumV();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetMinimumW vtkParametricFunctionSetMinimumWFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetMinimumWFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumW (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumW for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumW(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetMinimumW vtkParametricFunctionGetMinimumWFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetMinimumWFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumW (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumW for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumW();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetMaximumW vtkParametricFunctionSetMaximumWFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetMaximumWFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumW (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumW for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumW(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetMaximumW vtkParametricFunctionGetMaximumWFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetMaximumWFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumW (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumW for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumW();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetJoinU vtkParametricFunctionSetJoinUFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetJoinUFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetJoinU (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetJoinU for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetJoinU(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetJoinU vtkParametricFunctionGetJoinUFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetJoinUFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetJoinU (); */
  if (arg.size() < 1) 
    throw Exception("Function GetJoinU for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetJoinU();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:JoinUOn vtkParametricFunctionJoinUOnFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionJoinUOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void JoinUOn (); */
  if (arg.size() < 1) 
    throw Exception("Function JoinUOn for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->JoinUOn();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:JoinUOff vtkParametricFunctionJoinUOffFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionJoinUOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void JoinUOff (); */
  if (arg.size() < 1) 
    throw Exception("Function JoinUOff for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->JoinUOff();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetJoinV vtkParametricFunctionSetJoinVFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetJoinVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetJoinV (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetJoinV for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetJoinV(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetJoinV vtkParametricFunctionGetJoinVFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetJoinVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetJoinV (); */
  if (arg.size() < 1) 
    throw Exception("Function GetJoinV for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetJoinV();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:JoinVOn vtkParametricFunctionJoinVOnFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionJoinVOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void JoinVOn (); */
  if (arg.size() < 1) 
    throw Exception("Function JoinVOn for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->JoinVOn();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:JoinVOff vtkParametricFunctionJoinVOffFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionJoinVOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void JoinVOff (); */
  if (arg.size() < 1) 
    throw Exception("Function JoinVOff for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->JoinVOff();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetTwistU vtkParametricFunctionSetTwistUFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetTwistUFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTwistU (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTwistU for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTwistU(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetTwistU vtkParametricFunctionGetTwistUFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetTwistUFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTwistU (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTwistU for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTwistU();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:TwistUOn vtkParametricFunctionTwistUOnFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionTwistUOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwistUOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TwistUOn for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->TwistUOn();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:TwistUOff vtkParametricFunctionTwistUOffFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionTwistUOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwistUOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TwistUOff for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->TwistUOff();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetTwistV vtkParametricFunctionSetTwistVFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetTwistVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTwistV (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTwistV for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTwistV(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetTwistV vtkParametricFunctionGetTwistVFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetTwistVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTwistV (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTwistV for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTwistV();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:TwistVOn vtkParametricFunctionTwistVOnFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionTwistVOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwistVOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TwistVOn for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->TwistVOn();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:TwistVOff vtkParametricFunctionTwistVOffFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionTwistVOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwistVOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TwistVOff for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->TwistVOff();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetClockwiseOrdering vtkParametricFunctionSetClockwiseOrderingFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetClockwiseOrderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClockwiseOrdering (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClockwiseOrdering for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClockwiseOrdering(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetClockwiseOrdering vtkParametricFunctionGetClockwiseOrderingFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetClockwiseOrderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClockwiseOrdering (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClockwiseOrdering for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClockwiseOrdering();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:ClockwiseOrderingOn vtkParametricFunctionClockwiseOrderingOnFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionClockwiseOrderingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClockwiseOrderingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClockwiseOrderingOn for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->ClockwiseOrderingOn();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:ClockwiseOrderingOff vtkParametricFunctionClockwiseOrderingOffFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionClockwiseOrderingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClockwiseOrderingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClockwiseOrderingOff for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->ClockwiseOrderingOff();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:SetDerivativesAvailable vtkParametricFunctionSetDerivativesAvailableFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSetDerivativesAvailableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDerivativesAvailable (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDerivativesAvailable for class vtkParametricFunction requires 2 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDerivativesAvailable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:GetDerivativesAvailable vtkParametricFunctionGetDerivativesAvailableFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionGetDerivativesAvailableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDerivativesAvailable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDerivativesAvailable for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDerivativesAvailable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:DerivativesAvailableOn vtkParametricFunctionDerivativesAvailableOnFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionDerivativesAvailableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DerivativesAvailableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DerivativesAvailableOn for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->DerivativesAvailableOn();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:DerivativesAvailableOff vtkParametricFunctionDerivativesAvailableOffFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionDerivativesAvailableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DerivativesAvailableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DerivativesAvailableOff for class vtkParametricFunction requires 1 argument(s)");
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  Array retval;
  vtk_pointer->DerivativesAvailableOff();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunction:display vtkParametricFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricFunction* vtk_pointer = GetVTKPointer<vtkParametricFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricFunction:delete vtkParametricFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricFunction
//@@Section VTKCommon
//@@Usage
// vtkParametricFunction is an abstract interface for functions
// defined by parametric mapping i.e. f(u,v,w)->(x,y,z) where 
// u_min <= u < u_max, v_min <= v < v_max, w_min <= w < w_max. (For
// notational convenience, we will write f(u)->x and assume that
// u means (u,v,w) and x means (x,y,z).)
//
// The interface contains the pure virtual function, Evaluate(), that
// generates a point and the derivatives at that point which are then used to
// construct the surface. A second pure virtual function, EvaluateScalar(),
// can be used to generate a scalar for the surface. Finally, the
// GetDimension() virtual function is used to differentiate 1D, 2D, and 3D
// parametric functions. Since this abstract class defines a pure virtual
// API, its subclasses must implement the pure virtual functions
// GetDimension(), Evaluate() and EvaluateScalar().
//
// This class has also methods for defining a range of parametric values (u,v,w).
// 
// .SECTION Thanks
// Andrew Maclean a.maclean@cas.edu.au for creating and contributing the
// class.
//
//
//To create an instance of class vtkParametricFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricFunction
//@]
//@@Methods
//The class vtkParametricFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricFunction = obj.NewInstance ()|
// \item @|vtkParametricFunction = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()|
// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  Performs the mapping \$f(uvw)->(Pt,Duvw)\$f.
// This is a pure virtual function that must be instantiated in 
// a derived class. 
//
// uvw are the parameters, with u corresponding to uvw[0],
// v to uvw[1] and w to uvw[2] respectively. Pt is the returned Cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.  
// Note that the first three values in Duvw are Du, the next three are Dv, 
// and the final three are Dw. Du Dv Dw are the partial derivatives of the 
// function at the point Pt with respect to u, v and w respectively.
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
// This is a pure virtual function that must be instantiated in 
// a derived class. 
//
// uvw are the parameters with Pt being the the cartesian point, 
// Duvw are the derivatives of this point with respect to u, v, and w.
// Pt, Duvw are obtained from Evaluate().
//// \item @|obj.SetMinimumU (double )| -  Set/Get the minimum u-value.
//// \item @|double = obj.GetMinimumU ()| -  Set/Get the minimum u-value.
//// \item @|obj.SetMaximumU (double )| -  Set/Get the maximum u-value.
//// \item @|double = obj.GetMaximumU ()| -  Set/Get the maximum u-value.
//// \item @|obj.SetMinimumV (double )| -  Set/Get the minimum v-value.
//// \item @|double = obj.GetMinimumV ()| -  Set/Get the minimum v-value.
//// \item @|obj.SetMaximumV (double )| -  Set/Get the maximum v-value.
//// \item @|double = obj.GetMaximumV ()| -  Set/Get the maximum v-value.
//// \item @|obj.SetMinimumW (double )| -  Set/Get the minimum w-value.
//// \item @|double = obj.GetMinimumW ()| -  Set/Get the minimum w-value.
//// \item @|obj.SetMaximumW (double )| -  Set/Get the maximum w-value.
//// \item @|double = obj.GetMaximumW ()| -  Set/Get the maximum w-value.
//// \item @|obj.SetJoinU (int )| -  Set/Get the flag which joins the first triangle strip to the last one.
//// \item @|int = obj.GetJoinU ()| -  Set/Get the flag which joins the first triangle strip to the last one.
//// \item @|obj.JoinUOn ()| -  Set/Get the flag which joins the first triangle strip to the last one.
//// \item @|obj.JoinUOff ()| -  Set/Get the flag which joins the first triangle strip to the last one.
//// \item @|obj.SetJoinV (int )| -  Set/Get the flag which joins the the ends of the triangle strips.
//// \item @|int = obj.GetJoinV ()| -  Set/Get the flag which joins the the ends of the triangle strips.
//// \item @|obj.JoinVOn ()| -  Set/Get the flag which joins the the ends of the triangle strips.
//// \item @|obj.JoinVOff ()| -  Set/Get the flag which joins the the ends of the triangle strips.
//// \item @|obj.SetTwistU (int )| -  Set/Get the flag which joins the first triangle strip to 
// the last one with a twist.
// JoinU must also be set if this is set. Used when building
// some non-orientable surfaces.
//// \item @|int = obj.GetTwistU ()| -  Set/Get the flag which joins the first triangle strip to 
// the last one with a twist.
// JoinU must also be set if this is set. Used when building
// some non-orientable surfaces.
//// \item @|obj.TwistUOn ()| -  Set/Get the flag which joins the first triangle strip to 
// the last one with a twist.
// JoinU must also be set if this is set. Used when building
// some non-orientable surfaces.
//// \item @|obj.TwistUOff ()| -  Set/Get the flag which joins the first triangle strip to 
// the last one with a twist.
// JoinU must also be set if this is set. Used when building
// some non-orientable surfaces.
//// \item @|obj.SetTwistV (int )| -  Set/Get the flag which joins the ends of the 
// triangle strips with a twist.
// JoinV must also be set if this is set. Used when building
// some non-orientable surfaces.
//// \item @|int = obj.GetTwistV ()| -  Set/Get the flag which joins the ends of the 
// triangle strips with a twist.
// JoinV must also be set if this is set. Used when building
// some non-orientable surfaces.
//// \item @|obj.TwistVOn ()| -  Set/Get the flag which joins the ends of the 
// triangle strips with a twist.
// JoinV must also be set if this is set. Used when building
// some non-orientable surfaces.
//// \item @|obj.TwistVOff ()| -  Set/Get the flag which joins the ends of the 
// triangle strips with a twist.
// JoinV must also be set if this is set. Used when building
// some non-orientable surfaces.
//// \item @|obj.SetClockwiseOrdering (int )| -  Set/Get the flag which determines the ordering of the the 
// vertices forming the triangle strips. The ordering of the 
// points being inserted into the triangle strip is important 
// because it determines the direction of the normals for the 
// lighting. If set, the ordering is clockwise, otherwise the
// ordering is anti-clockwise. Default is true (i.e. clockwise
// ordering).
//// \item @|int = obj.GetClockwiseOrdering ()| -  Set/Get the flag which determines the ordering of the the 
// vertices forming the triangle strips. The ordering of the 
// points being inserted into the triangle strip is important 
// because it determines the direction of the normals for the 
// lighting. If set, the ordering is clockwise, otherwise the
// ordering is anti-clockwise. Default is true (i.e. clockwise
// ordering).
//// \item @|obj.ClockwiseOrderingOn ()| -  Set/Get the flag which determines the ordering of the the 
// vertices forming the triangle strips. The ordering of the 
// points being inserted into the triangle strip is important 
// because it determines the direction of the normals for the 
// lighting. If set, the ordering is clockwise, otherwise the
// ordering is anti-clockwise. Default is true (i.e. clockwise
// ordering).
//// \item @|obj.ClockwiseOrderingOff ()| -  Set/Get the flag which determines the ordering of the the 
// vertices forming the triangle strips. The ordering of the 
// points being inserted into the triangle strip is important 
// because it determines the direction of the normals for the 
// lighting. If set, the ordering is clockwise, otherwise the
// ordering is anti-clockwise. Default is true (i.e. clockwise
// ordering).
//// \item @|obj.SetDerivativesAvailable (int )| -  Set/Get the flag which determines whether derivatives are available 
// from the parametric function (i.e., whether the Evaluate() method 
// returns valid derivatives).
//// \item @|int = obj.GetDerivativesAvailable ()| -  Set/Get the flag which determines whether derivatives are available 
// from the parametric function (i.e., whether the Evaluate() method 
// returns valid derivatives).
//// \item @|obj.DerivativesAvailableOn ()| -  Set/Get the flag which determines whether derivatives are available 
// from the parametric function (i.e., whether the Evaluate() method 
// returns valid derivatives).
//// \item @|obj.DerivativesAvailableOff ()| -  Set/Get the flag which determines whether derivatives are available 
// from the parametric function (i.e., whether the Evaluate() method 
// returns valid derivatives).
////\end{itemize}
//!
