#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricKlein object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricKlein.h"

//@@Signature
//sfunction @vtkParametricKlein:vtkParametricKlein vtkParametricKleinConstructorFunction
//input a
//output p
//@@Parents vtkParametricKlein vtkParametricFunction 
ArrayVector vtkParametricKleinConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricKlein::New(),"vtkParametricKlein",eval);
  } else if (arg[0].className() == "vtkParametricKlein") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricKlein"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricKlein");
    vtkParametricKlein*q = reinterpret_cast<vtkParametricKlein*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricKlein");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricKlein:GetClassName vtkParametricKleinGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricKleinGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricKlein requires 1 argument(s)");
  vtkParametricKlein* vtk_pointer = GetVTKPointer<vtkParametricKlein>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricKlein:IsA vtkParametricKleinIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricKleinIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricKlein requires 2 argument(s)");
  vtkParametricKlein* vtk_pointer = GetVTKPointer<vtkParametricKlein>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricKlein:NewInstance vtkParametricKleinNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricKleinNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricKlein *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricKlein requires 1 argument(s)");
  vtkParametricKlein* vtk_pointer = GetVTKPointer<vtkParametricKlein>(arg[0]);
  Array retval;
  vtkParametricKlein  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricKlein",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricKlein:SafeDownCast vtkParametricKleinSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricKleinSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricKlein *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricKlein requires 2 argument(s)");
  vtkParametricKlein* vtk_pointer = GetVTKPointer<vtkParametricKlein>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricKlein  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricKlein",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricKlein:GetDimension vtkParametricKleinGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricKleinGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricKlein requires 1 argument(s)");
  vtkParametricKlein* vtk_pointer = GetVTKPointer<vtkParametricKlein>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricKlein:Evaluate vtkParametricKleinEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricKleinEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricKlein requires 4 argument(s)");
  vtkParametricKlein* vtk_pointer = GetVTKPointer<vtkParametricKlein>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricKlein:EvaluateScalar vtkParametricKleinEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricKleinEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricKlein requires 4 argument(s)");
  vtkParametricKlein* vtk_pointer = GetVTKPointer<vtkParametricKlein>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricKlein:display vtkParametricKleinDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricKleinDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricKlein* vtk_pointer = GetVTKPointer<vtkParametricKlein>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricKlein:delete vtkParametricKleinDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricKleinDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricKlein
//@@Section VTKCommon
//@@Usage
// vtkParametricKlein generates a "classical" representation of a Klein
// bottle.  A Klein bottle is a closed surface with no interior and only one
// surface.  It is unrealisable in 3 dimensions without intersecting
// surfaces.  It can be
// realised in 4 dimensions by considering the map \f$F:R^2 \rightarrow R^4\f$  given by:
//
// - \f$f(u,v) = ((r*cos(v)+a)*cos(u),(r*cos(v)+a)*sin(u),r*sin(v)*cos(u/2),r*sin(v)*sin(u/2))\f$
//
// The classical representation of the immersion in \f$R^3\f$ is returned by this function.
//
//
// For further information about this surface, please consult the 
// technical description "Parametric surfaces" in http://www.vtk.org/documents.php 
// in the "VTK Technical Documents" section in the VTk.org web pages.
//
// .SECTION Thanks
// Andrew Maclean a.maclean@cas.edu.au for creating and contributing the
// class.
//
//
//To create an instance of class vtkParametricKlein, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricKlein
//@]
//@@Methods
//The class vtkParametricKlein has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricKlein class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricKlein = obj.NewInstance ()|
// \item @|vtkParametricKlein = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()| -  A Klein bottle.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  A Klein bottle.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
//
// uvw are the parameters with Pt being the the cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.
// Pt, Duvw are obtained from Evaluate().
//
// This function is only called if the ScalarMode has the value
// vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED
//
// If the user does not need to calculate a scalar, then the 
// instantiated function should return zero. 
//
////\end{itemize}
//!
