#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricMobius object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricMobius.h"

//@@Signature
//sfunction @vtkParametricMobius:vtkParametricMobius vtkParametricMobiusConstructorFunction
//input a
//output p
//@@Parents vtkParametricMobius vtkParametricFunction 
ArrayVector vtkParametricMobiusConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricMobius::New(),"vtkParametricMobius",eval);
  } else if (arg[0].className() == "vtkParametricMobius") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricMobius"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricMobius");
    vtkParametricMobius*q = reinterpret_cast<vtkParametricMobius*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricMobius");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricMobius:GetClassName vtkParametricMobiusGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricMobiusGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricMobius requires 1 argument(s)");
  vtkParametricMobius* vtk_pointer = GetVTKPointer<vtkParametricMobius>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricMobius:IsA vtkParametricMobiusIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricMobiusIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricMobius requires 2 argument(s)");
  vtkParametricMobius* vtk_pointer = GetVTKPointer<vtkParametricMobius>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricMobius:NewInstance vtkParametricMobiusNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricMobiusNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricMobius *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricMobius requires 1 argument(s)");
  vtkParametricMobius* vtk_pointer = GetVTKPointer<vtkParametricMobius>(arg[0]);
  Array retval;
  vtkParametricMobius  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricMobius",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricMobius:SafeDownCast vtkParametricMobiusSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricMobiusSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricMobius *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricMobius requires 2 argument(s)");
  vtkParametricMobius* vtk_pointer = GetVTKPointer<vtkParametricMobius>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricMobius  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricMobius",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricMobius:SetRadius vtkParametricMobiusSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricMobiusSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkParametricMobius requires 2 argument(s)");
  vtkParametricMobius* vtk_pointer = GetVTKPointer<vtkParametricMobius>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricMobius:GetRadius vtkParametricMobiusGetRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricMobiusGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkParametricMobius requires 1 argument(s)");
  vtkParametricMobius* vtk_pointer = GetVTKPointer<vtkParametricMobius>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricMobius:GetDimension vtkParametricMobiusGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricMobiusGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricMobius requires 1 argument(s)");
  vtkParametricMobius* vtk_pointer = GetVTKPointer<vtkParametricMobius>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricMobius:Evaluate vtkParametricMobiusEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricMobiusEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricMobius requires 4 argument(s)");
  vtkParametricMobius* vtk_pointer = GetVTKPointer<vtkParametricMobius>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricMobius:EvaluateScalar vtkParametricMobiusEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricMobiusEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricMobius requires 4 argument(s)");
  vtkParametricMobius* vtk_pointer = GetVTKPointer<vtkParametricMobius>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricMobius:display vtkParametricMobiusDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricMobiusDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricMobius* vtk_pointer = GetVTKPointer<vtkParametricMobius>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricMobius:delete vtkParametricMobiusDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricMobiusDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricMobius
//@@Section VTKCommon
//@@Usage
// vtkParametricMobius generates a Mobius strip.
//
// For further information about this surface, please consult the 
// technical description "Parametric surfaces" in http://www.vtk.org/documents.php 
// in the "VTK Technical Documents" section in the VTk.org web pages.
//
// .SECTION Thanks
// Andrew Maclean a.maclean@cas.edu.au for creating and contributing the
// class.
//
//
//To create an instance of class vtkParametricMobius, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricMobius
//@]
//@@Methods
//The class vtkParametricMobius has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricMobius class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricMobius = obj.NewInstance ()|
// \item @|vtkParametricMobius = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRadius (double )| -  Set/Get the radius of the Mobius strip.
//// \item @|double = obj.GetRadius ()| -  Set/Get the radius of the Mobius strip.
//// \item @|int = obj.GetDimension ()| -  The Mobius strip.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  The Mobius strip.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
//
// uvw are the parameters with Pt being the the cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.
// Pt, Du, Dv are obtained from Evaluate().
//
// This function is only called if the ScalarMode has the value
// vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED
//
// If the user does not need to calculate a scalar, then the 
// instantiated function should return zero. 
//
////\end{itemize}
//!
