#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricRoman object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricRoman.h"

//@@Signature
//sfunction @vtkParametricRoman:vtkParametricRoman vtkParametricRomanConstructorFunction
//input a
//output p
//@@Parents vtkParametricRoman vtkParametricFunction 
ArrayVector vtkParametricRomanConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricRoman::New(),"vtkParametricRoman",eval);
  } else if (arg[0].className() == "vtkParametricRoman") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricRoman"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricRoman");
    vtkParametricRoman*q = reinterpret_cast<vtkParametricRoman*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricRoman");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricRoman:GetClassName vtkParametricRomanGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricRomanGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricRoman requires 1 argument(s)");
  vtkParametricRoman* vtk_pointer = GetVTKPointer<vtkParametricRoman>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricRoman:IsA vtkParametricRomanIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricRomanIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricRoman requires 2 argument(s)");
  vtkParametricRoman* vtk_pointer = GetVTKPointer<vtkParametricRoman>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricRoman:NewInstance vtkParametricRomanNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricRomanNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricRoman *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricRoman requires 1 argument(s)");
  vtkParametricRoman* vtk_pointer = GetVTKPointer<vtkParametricRoman>(arg[0]);
  Array retval;
  vtkParametricRoman  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricRoman",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricRoman:SafeDownCast vtkParametricRomanSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricRomanSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricRoman *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricRoman requires 2 argument(s)");
  vtkParametricRoman* vtk_pointer = GetVTKPointer<vtkParametricRoman>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricRoman  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricRoman",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricRoman:GetDimension vtkParametricRomanGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricRomanGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricRoman requires 1 argument(s)");
  vtkParametricRoman* vtk_pointer = GetVTKPointer<vtkParametricRoman>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricRoman:SetRadius vtkParametricRomanSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricRomanSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkParametricRoman requires 2 argument(s)");
  vtkParametricRoman* vtk_pointer = GetVTKPointer<vtkParametricRoman>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricRoman:GetRadius vtkParametricRomanGetRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricRomanGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkParametricRoman requires 1 argument(s)");
  vtkParametricRoman* vtk_pointer = GetVTKPointer<vtkParametricRoman>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricRoman:Evaluate vtkParametricRomanEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricRomanEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricRoman requires 4 argument(s)");
  vtkParametricRoman* vtk_pointer = GetVTKPointer<vtkParametricRoman>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricRoman:EvaluateScalar vtkParametricRomanEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricRomanEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricRoman requires 4 argument(s)");
  vtkParametricRoman* vtk_pointer = GetVTKPointer<vtkParametricRoman>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricRoman:display vtkParametricRomanDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricRomanDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricRoman* vtk_pointer = GetVTKPointer<vtkParametricRoman>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricRoman:delete vtkParametricRomanDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricRomanDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricRoman
//@@Section VTKCommon
//@@Usage
// vtkParametricRoman generates Steiner's Roman Surface.
//
// For further information about this surface, please consult the 
// technical description "Parametric surfaces" in http://www.vtk.org/documents.php 
// in the "VTK Technical Documents" section in the VTk.org web pages.
//
// .SECTION Thanks
// Andrew Maclean a.maclean@cas.edu.au for 
// creating and contributing the class.
//
//
//To create an instance of class vtkParametricRoman, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricRoman
//@]
//@@Methods
//The class vtkParametricRoman has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricRoman class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricRoman = obj.NewInstance ()|
// \item @|vtkParametricRoman = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()| -  Construct Steiner's Roman Surface with the following parameters:
// MinimumU = 0, MaximumU = Pi,
// MinimumV = 0, MaximumV = Pi, 
// JoinU = 1, JoinV = 1,
// TwistU = 1, TwistV = 0; 
// ClockwiseOrdering = 1, 
// DerivativesAvailable = 1,
// Radius = 1
//// \item @|obj.SetRadius (double )| -  Set/Get the radius.
//// \item @|double = obj.GetRadius ()| -  Set/Get the radius.
//// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  Steiner's Roman Surface
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
//
// uvw are the parameters with Pt being the the Cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.
// Pt, Duvw are obtained from Evaluate().
//
// This function is only called if the ScalarMode has the value
// vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED
//
// If the user does not need to calculate a scalar, then the 
// instantiated function should return zero. 
//
////\end{itemize}
//!
