#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricSuperEllipsoid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricSuperEllipsoid.h"

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:vtkParametricSuperEllipsoid vtkParametricSuperEllipsoidConstructorFunction
//input a
//output p
//@@Parents vtkParametricSuperEllipsoid vtkParametricFunction 
ArrayVector vtkParametricSuperEllipsoidConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricSuperEllipsoid::New(),"vtkParametricSuperEllipsoid",eval);
  } else if (arg[0].className() == "vtkParametricSuperEllipsoid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricSuperEllipsoid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricSuperEllipsoid");
    vtkParametricSuperEllipsoid*q = reinterpret_cast<vtkParametricSuperEllipsoid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricSuperEllipsoid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricSuperEllipsoid:GetClassName vtkParametricSuperEllipsoidGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricSuperEllipsoidGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricSuperEllipsoid requires 1 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:IsA vtkParametricSuperEllipsoidIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricSuperEllipsoidIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricSuperEllipsoid requires 2 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:NewInstance vtkParametricSuperEllipsoidNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricSuperEllipsoidNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricSuperEllipsoid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricSuperEllipsoid requires 1 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  vtkParametricSuperEllipsoid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricSuperEllipsoid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:SafeDownCast vtkParametricSuperEllipsoidSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricSuperEllipsoidSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricSuperEllipsoid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricSuperEllipsoid requires 2 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricSuperEllipsoid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricSuperEllipsoid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:GetDimension vtkParametricSuperEllipsoidGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricSuperEllipsoidGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricSuperEllipsoid requires 1 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:SetXRadius vtkParametricSuperEllipsoidSetXRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSuperEllipsoidSetXRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXRadius for class vtkParametricSuperEllipsoid requires 2 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:GetXRadius vtkParametricSuperEllipsoidGetXRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricSuperEllipsoidGetXRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXRadius for class vtkParametricSuperEllipsoid requires 1 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:SetYRadius vtkParametricSuperEllipsoidSetYRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSuperEllipsoidSetYRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYRadius for class vtkParametricSuperEllipsoid requires 2 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:GetYRadius vtkParametricSuperEllipsoidGetYRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricSuperEllipsoidGetYRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYRadius for class vtkParametricSuperEllipsoid requires 1 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:SetZRadius vtkParametricSuperEllipsoidSetZRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSuperEllipsoidSetZRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZRadius for class vtkParametricSuperEllipsoid requires 2 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:GetZRadius vtkParametricSuperEllipsoidGetZRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricSuperEllipsoidGetZRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZRadius for class vtkParametricSuperEllipsoid requires 1 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:SetN1 vtkParametricSuperEllipsoidSetN1Function
//input a0 a1 
//output none
ArrayVector vtkParametricSuperEllipsoidSetN1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetN1 (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetN1 for class vtkParametricSuperEllipsoid requires 2 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetN1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:GetN1 vtkParametricSuperEllipsoidGetN1Function
//input a0 
//output y
ArrayVector vtkParametricSuperEllipsoidGetN1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetN1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetN1 for class vtkParametricSuperEllipsoid requires 1 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetN1();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:SetN2 vtkParametricSuperEllipsoidSetN2Function
//input a0 a1 
//output none
ArrayVector vtkParametricSuperEllipsoidSetN2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetN2 (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetN2 for class vtkParametricSuperEllipsoid requires 2 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetN2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:GetN2 vtkParametricSuperEllipsoidGetN2Function
//input a0 
//output y
ArrayVector vtkParametricSuperEllipsoidGetN2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetN2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetN2 for class vtkParametricSuperEllipsoid requires 1 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetN2();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:Evaluate vtkParametricSuperEllipsoidEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricSuperEllipsoidEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricSuperEllipsoid requires 4 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:EvaluateScalar vtkParametricSuperEllipsoidEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricSuperEllipsoidEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricSuperEllipsoid requires 4 argument(s)");
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperEllipsoid:display vtkParametricSuperEllipsoidDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricSuperEllipsoidDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricSuperEllipsoid* vtk_pointer = GetVTKPointer<vtkParametricSuperEllipsoid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricSuperEllipsoid:delete vtkParametricSuperEllipsoidDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricSuperEllipsoidDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricSuperEllipsoid
//@@Section VTKCommon
//@@Usage
// vtkParametricSuperEllipsoid generates a superellipsoid.  A superellipsoid
// is a versatile primitive that is controlled by two parameters n1 and
// n2. As special cases it can represent a sphere, square box, and closed
// cylindrical can.
//
// For further information about this surface, please consult the 
// technical description "Parametric surfaces" in http://www.vtk.org/documents.php 
// in the "VTK Technical Documents" section in the VTk.org web pages.
//
// Also see: http://astronomy.swin.edu.au/~pbourke/surfaces/
//
//
//To create an instance of class vtkParametricSuperEllipsoid, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricSuperEllipsoid
//@]
//@@Methods
//The class vtkParametricSuperEllipsoid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricSuperEllipsoid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricSuperEllipsoid = obj.NewInstance ()|
// \item @|vtkParametricSuperEllipsoid = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()| -  Set/Get the scaling factor for the x-axis. Default = 1.
//// \item @|obj.SetXRadius (double )| -  Set/Get the scaling factor for the x-axis. Default = 1.
//// \item @|double = obj.GetXRadius ()| -  Set/Get the scaling factor for the x-axis. Default = 1.
//// \item @|obj.SetYRadius (double )| -  Set/Get the scaling factor for the y-axis. Default = 1.
//// \item @|double = obj.GetYRadius ()| -  Set/Get the scaling factor for the y-axis. Default = 1.
//// \item @|obj.SetZRadius (double )| -  Set/Get the scaling factor for the z-axis. Default = 1.
//// \item @|double = obj.GetZRadius ()| -  Set/Get the scaling factor for the z-axis. Default = 1.
//// \item @|obj.SetN1 (double )| -  Set/Get the "squareness" parameter in the z axis.  Default = 1.
//// \item @|double = obj.GetN1 ()| -  Set/Get the "squareness" parameter in the z axis.  Default = 1.
//// \item @|obj.SetN2 (double )| -   Set/Get the "squareness" parameter in the x-y plane. Default = 1.
//// \item @|double = obj.GetN2 ()| -   Set/Get the "squareness" parameter in the x-y plane. Default = 1.
//// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  A superellipsoid.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
//
// uvw are the parameters with Pt being the the cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.
// Pt, Duvw are obtained from Evaluate().
//
// This function is only called if the ScalarMode has the value
// vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED
//
// If the user does not need to calculate a scalar, then the 
// instantiated function should return zero. 
//
////\end{itemize}
//!
