#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricSuperToroid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricSuperToroid.h"

//@@Signature
//sfunction @vtkParametricSuperToroid:vtkParametricSuperToroid vtkParametricSuperToroidConstructorFunction
//input a
//output p
//@@Parents vtkParametricSuperToroid vtkParametricFunction 
ArrayVector vtkParametricSuperToroidConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricSuperToroid::New(),"vtkParametricSuperToroid",eval);
  } else if (arg[0].className() == "vtkParametricSuperToroid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricSuperToroid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricSuperToroid");
    vtkParametricSuperToroid*q = reinterpret_cast<vtkParametricSuperToroid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricSuperToroid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricSuperToroid:GetClassName vtkParametricSuperToroidGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricSuperToroidGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricSuperToroid requires 1 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:IsA vtkParametricSuperToroidIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricSuperToroidIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricSuperToroid requires 2 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:NewInstance vtkParametricSuperToroidNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricSuperToroidNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricSuperToroid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricSuperToroid requires 1 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  vtkParametricSuperToroid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricSuperToroid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:SafeDownCast vtkParametricSuperToroidSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricSuperToroidSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricSuperToroid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricSuperToroid requires 2 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricSuperToroid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricSuperToroid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:GetDimension vtkParametricSuperToroidGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricSuperToroidGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricSuperToroid requires 1 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:SetRingRadius vtkParametricSuperToroidSetRingRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSuperToroidSetRingRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRingRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRingRadius for class vtkParametricSuperToroid requires 2 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRingRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:GetRingRadius vtkParametricSuperToroidGetRingRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricSuperToroidGetRingRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRingRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRingRadius for class vtkParametricSuperToroid requires 1 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRingRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:SetCrossSectionRadius vtkParametricSuperToroidSetCrossSectionRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSuperToroidSetCrossSectionRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCrossSectionRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCrossSectionRadius for class vtkParametricSuperToroid requires 2 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCrossSectionRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:GetCrossSectionRadius vtkParametricSuperToroidGetCrossSectionRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricSuperToroidGetCrossSectionRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCrossSectionRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCrossSectionRadius for class vtkParametricSuperToroid requires 1 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCrossSectionRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:SetXRadius vtkParametricSuperToroidSetXRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSuperToroidSetXRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXRadius for class vtkParametricSuperToroid requires 2 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:GetXRadius vtkParametricSuperToroidGetXRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricSuperToroidGetXRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXRadius for class vtkParametricSuperToroid requires 1 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:SetYRadius vtkParametricSuperToroidSetYRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSuperToroidSetYRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYRadius for class vtkParametricSuperToroid requires 2 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:GetYRadius vtkParametricSuperToroidGetYRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricSuperToroidGetYRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYRadius for class vtkParametricSuperToroid requires 1 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:SetZRadius vtkParametricSuperToroidSetZRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSuperToroidSetZRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZRadius for class vtkParametricSuperToroid requires 2 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:GetZRadius vtkParametricSuperToroidGetZRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricSuperToroidGetZRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZRadius for class vtkParametricSuperToroid requires 1 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:SetN1 vtkParametricSuperToroidSetN1Function
//input a0 a1 
//output none
ArrayVector vtkParametricSuperToroidSetN1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetN1 (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetN1 for class vtkParametricSuperToroid requires 2 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetN1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:GetN1 vtkParametricSuperToroidGetN1Function
//input a0 
//output y
ArrayVector vtkParametricSuperToroidGetN1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetN1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetN1 for class vtkParametricSuperToroid requires 1 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetN1();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:SetN2 vtkParametricSuperToroidSetN2Function
//input a0 a1 
//output none
ArrayVector vtkParametricSuperToroidSetN2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetN2 (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetN2 for class vtkParametricSuperToroid requires 2 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetN2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:GetN2 vtkParametricSuperToroidGetN2Function
//input a0 
//output y
ArrayVector vtkParametricSuperToroidGetN2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetN2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetN2 for class vtkParametricSuperToroid requires 1 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetN2();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:Evaluate vtkParametricSuperToroidEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricSuperToroidEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricSuperToroid requires 4 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:EvaluateScalar vtkParametricSuperToroidEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricSuperToroidEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricSuperToroid requires 4 argument(s)");
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSuperToroid:display vtkParametricSuperToroidDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricSuperToroidDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricSuperToroid* vtk_pointer = GetVTKPointer<vtkParametricSuperToroid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricSuperToroid:delete vtkParametricSuperToroidDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricSuperToroidDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricSuperToroid
//@@Section VTKCommon
//@@Usage
// vtkParametricSuperToroid generates a supertoroid.  Essentially a
// supertoroid is a torus with the sine and cosine terms raised to a power.
// A supertoroid is a versatile primitive that is controlled by four
// parameters r0, r1, n1 and n2. r0, r1 determine the type of torus whilst
// the value of n1 determines the shape of the torus ring and n2 determines
// the shape of the cross section of the ring. It is the different values of
// these powers which give rise to a family of 3D shapes that are all
// basically toroidal in shape.
//
// For further information about this surface, please consult the 
// technical description "Parametric surfaces" in http://www.vtk.org/documents.php 
// in the "VTK Technical Documents" section in the VTk.org web pages.
//
// Also see: http://astronomy.swin.edu.au/~pbourke/surfaces/.
//
//
//To create an instance of class vtkParametricSuperToroid, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricSuperToroid
//@]
//@@Methods
//The class vtkParametricSuperToroid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricSuperToroid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricSuperToroid = obj.NewInstance ()|
// \item @|vtkParametricSuperToroid = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()| -  Set/Get the radius from the center to the middle of the ring of the
// supertoroid.  Default = 1.
//// \item @|obj.SetRingRadius (double )| -  Set/Get the radius from the center to the middle of the ring of the
// supertoroid.  Default = 1.
//// \item @|double = obj.GetRingRadius ()| -  Set/Get the radius from the center to the middle of the ring of the
// supertoroid.  Default = 1.
//// \item @|obj.SetCrossSectionRadius (double )| -  Set/Get the radius of the cross section of ring of the supertoroid.
// Default = 0.5.
//// \item @|double = obj.GetCrossSectionRadius ()| -  Set/Get the radius of the cross section of ring of the supertoroid.
// Default = 0.5.
//// \item @|obj.SetXRadius (double )| -  Set/Get the scaling factor for the x-axis. Default = 1.
//// \item @|double = obj.GetXRadius ()| -  Set/Get the scaling factor for the x-axis. Default = 1.
//// \item @|obj.SetYRadius (double )| -  Set/Get the scaling factor for the y-axis. Default = 1.
//// \item @|double = obj.GetYRadius ()| -  Set/Get the scaling factor for the y-axis. Default = 1.
//// \item @|obj.SetZRadius (double )| -  Set/Get the scaling factor for the z-axis. Default = 1.
//// \item @|double = obj.GetZRadius ()| -  Set/Get the scaling factor for the z-axis. Default = 1.
//// \item @|obj.SetN1 (double )| -  Set/Get the shape of the torus ring.  Default = 1.
//// \item @|double = obj.GetN1 ()| -  Set/Get the shape of the torus ring.  Default = 1.
//// \item @|obj.SetN2 (double )| -   Set/Get the shape of the cross section of the ring. Default = 1.
//// \item @|double = obj.GetN2 ()| -   Set/Get the shape of the cross section of the ring. Default = 1.
//// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  A supertoroid.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$ .
// Then the normal is \f$N = Du X Dv\f$ .
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
//
// uvw are the parameters with Pt being the the cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.
// Pt, Duvw are obtained from Evaluate().
//
// This function is only called if the ScalarMode has the value
// vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED
//
// If the user does not need to calculate a scalar, then the 
// instantiated function should return zero. 
//
////\end{itemize}
//!
