#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricTorus object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricTorus.h"

//@@Signature
//sfunction @vtkParametricTorus:vtkParametricTorus vtkParametricTorusConstructorFunction
//input a
//output p
//@@Parents vtkParametricTorus vtkParametricFunction 
ArrayVector vtkParametricTorusConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricTorus::New(),"vtkParametricTorus",eval);
  } else if (arg[0].className() == "vtkParametricTorus") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricTorus"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricTorus");
    vtkParametricTorus*q = reinterpret_cast<vtkParametricTorus*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricTorus");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricTorus:GetClassName vtkParametricTorusGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricTorusGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricTorus requires 1 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:IsA vtkParametricTorusIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricTorusIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricTorus requires 2 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:NewInstance vtkParametricTorusNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricTorusNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricTorus *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricTorus requires 1 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  vtkParametricTorus  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricTorus",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:SafeDownCast vtkParametricTorusSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricTorusSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricTorus *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricTorus requires 2 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricTorus  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricTorus",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:SetRingRadius vtkParametricTorusSetRingRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricTorusSetRingRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRingRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRingRadius for class vtkParametricTorus requires 2 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRingRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:GetRingRadius vtkParametricTorusGetRingRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricTorusGetRingRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRingRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRingRadius for class vtkParametricTorus requires 1 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRingRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:SetCrossSectionRadius vtkParametricTorusSetCrossSectionRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkParametricTorusSetCrossSectionRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCrossSectionRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCrossSectionRadius for class vtkParametricTorus requires 2 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCrossSectionRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:GetCrossSectionRadius vtkParametricTorusGetCrossSectionRadiusFunction
//input a0 
//output y
ArrayVector vtkParametricTorusGetCrossSectionRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCrossSectionRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCrossSectionRadius for class vtkParametricTorus requires 1 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCrossSectionRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:GetDimension vtkParametricTorusGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricTorusGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricTorus requires 1 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:Evaluate vtkParametricTorusEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricTorusEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricTorus requires 4 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:EvaluateScalar vtkParametricTorusEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricTorusEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricTorus requires 4 argument(s)");
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricTorus:display vtkParametricTorusDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricTorusDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricTorus* vtk_pointer = GetVTKPointer<vtkParametricTorus>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricTorus:delete vtkParametricTorusDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricTorusDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricTorus
//@@Section VTKCommon
//@@Usage
// vtkParametricTorus generates a torus.
//
// For further information about this surface, please consult the 
// technical description "Parametric surfaces" in http://www.vtk.org/documents.php 
// in the "VTK Technical Documents" section in the VTk.org web pages.
//
// .SECTION Thanks
// Andrew Maclean a.maclean@cas.edu.au for 
// creating and contributing the class.
//
//
//To create an instance of class vtkParametricTorus, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricTorus
//@]
//@@Methods
//The class vtkParametricTorus has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricTorus class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricTorus = obj.NewInstance ()|
// \item @|vtkParametricTorus = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRingRadius (double )| -  Set/Get the radius from the center to the middle of the ring of the
// torus.  The default value is 1.0.
//// \item @|double = obj.GetRingRadius ()| -  Set/Get the radius from the center to the middle of the ring of the
// torus.  The default value is 1.0.
//// \item @|obj.SetCrossSectionRadius (double )| -  Set/Get the radius of the cross section of ring of the torus.  The default value
// is 0.5.
//// \item @|double = obj.GetCrossSectionRadius ()| -  Set/Get the radius of the cross section of ring of the torus.  The default value
// is 0.5.
//// \item @|int = obj.GetDimension ()| -  A torus.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$.
// Then the normal is \f$N = Du X Dv\f$.
//// \item @|obj.Evaluate (double uvw[3], double Pt[3], double Duvw[9])| -  A torus.
//
// This function performs the mapping \f$f(u,v) \rightarrow (x,y,x)\f$, returning it
// as Pt. It also returns the partial derivatives Du and Dv.
// \f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\f$.
// Then the normal is \f$N = Du X Dv\f$.
//// \item @|double = obj.EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9])| -  Calculate a user defined scalar using one or all of uvw, Pt, Duvw.
//
// uvw are the parameters with Pt being the the Cartesian point, 
// Duvw are the derivatives of this point with respect to u, v and w.
// Pt, Duvw are obtained from Evaluate().
//
// This function is only called if the ScalarMode has the value
// vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED
//
// If the user does not need to calculate a scalar, then the 
// instantiated function should return zero. 
//
////\end{itemize}
//!
