#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPerspectiveTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPerspectiveTransform.h"

//@@Signature
//sfunction @vtkPerspectiveTransform:vtkPerspectiveTransform vtkPerspectiveTransformConstructorFunction
//input a
//output p
//@@Parents vtkPerspectiveTransform vtkHomogeneousTransform 
ArrayVector vtkPerspectiveTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPerspectiveTransform::New(),"vtkPerspectiveTransform",eval);
  } else if (arg[0].className() == "vtkPerspectiveTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPerspectiveTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPerspectiveTransform");
    vtkPerspectiveTransform*q = reinterpret_cast<vtkPerspectiveTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPerspectiveTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPerspectiveTransform:GetClassName vtkPerspectiveTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPerspectiveTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:IsA vtkPerspectiveTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPerspectiveTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:NewInstance vtkPerspectiveTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPerspectiveTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPerspectiveTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtkPerspectiveTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPerspectiveTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:SafeDownCast vtkPerspectiveTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPerspectiveTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPerspectiveTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPerspectiveTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPerspectiveTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Identity vtkPerspectiveTransformIdentityFunction
//input a0 
//output none
ArrayVector vtkPerspectiveTransformIdentityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Identity ();this Concatenation Identity this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Identity for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtk_pointer->Identity();
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Inverse vtkPerspectiveTransformInverseFunction
//input a0 
//output none
ArrayVector vtkPerspectiveTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Inverse ();this Concatenation Inverse this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:AdjustViewport vtkPerspectiveTransformAdjustViewportFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output none
ArrayVector vtkPerspectiveTransformAdjustViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdjustViewport (double oldXMin, double oldXMax, double oldYMin, double oldYMax, double newXMin, double newXMax, double newYMin, double newYMax); */
  if (arg.size() < 9) 
    throw Exception("Function AdjustViewport for class vtkPerspectiveTransform requires 9 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  vtk_pointer->AdjustViewport(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:AdjustZBuffer vtkPerspectiveTransformAdjustZBufferFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPerspectiveTransformAdjustZBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdjustZBuffer (double oldNearZ, double oldFarZ, double newNearZ, double newFarZ); */
  if (arg.size() < 5) 
    throw Exception("Function AdjustZBuffer for class vtkPerspectiveTransform requires 5 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->AdjustZBuffer(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Ortho vtkPerspectiveTransformOrthoFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkPerspectiveTransformOrthoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Ortho (double xmin, double xmax, double ymin, double ymax, double znear, double zfar); */
  if (arg.size() < 7) 
    throw Exception("Function Ortho for class vtkPerspectiveTransform requires 7 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->Ortho(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Frustum vtkPerspectiveTransformFrustumFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkPerspectiveTransformFrustumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Frustum (double xmin, double xmax, double ymin, double ymax, double znear, double zfar); */
  if (arg.size() < 7) 
    throw Exception("Function Frustum for class vtkPerspectiveTransform requires 7 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->Frustum(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Perspective vtkPerspectiveTransformPerspectiveFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPerspectiveTransformPerspectiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Perspective (double angle, double aspect, double znear, double zfar); */
  if (arg.size() < 5) 
    throw Exception("Function Perspective for class vtkPerspectiveTransform requires 5 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->Perspective(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Shear vtkPerspectiveTransformShearFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPerspectiveTransformShearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Shear (double dxdz, double dydz, double zplane); */
  if (arg.size() < 4) 
    throw Exception("Function Shear for class vtkPerspectiveTransform requires 4 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->Shear(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Stereo vtkPerspectiveTransformStereoFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPerspectiveTransformStereoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Stereo (double angle, double focaldistance); */
  if (arg.size() < 3) 
    throw Exception("Function Stereo for class vtkPerspectiveTransform requires 3 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->Stereo(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:SetupCamera__1 vtkPerspectiveTransformSetupCamera__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPerspectiveTransformSetupCamera__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetupCamera (const double position[3], const double focalpoint[3], const double viewup[3]); */
  if (arg.size() < 4) 
    throw Exception("Function SetupCamera__1 for class vtkPerspectiveTransform requires 4 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->SetupCamera(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:SetupCamera__2 vtkPerspectiveTransformSetupCamera__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkPerspectiveTransformSetupCamera__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetupCamera (double p0, double p1, double p2, double fp0, double fp1, double fp2, double vup0, double vup1, double vup2); */
  if (arg.size() < 10) 
    throw Exception("Function SetupCamera__2 for class vtkPerspectiveTransform requires 10 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp8 = (double) arg[9].asDouble();
  vtk_pointer->SetupCamera(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Translate__1 vtkPerspectiveTransformTranslate__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPerspectiveTransformTranslate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (double x, double y, double z);this Concatenation Translate x y z  */
  if (arg.size() < 4) 
    throw Exception("Function Translate__1 for class vtkPerspectiveTransform requires 4 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->Translate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Translate__2 vtkPerspectiveTransformTranslate__2Function
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformTranslate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (const double x[3]);this Translate x x x  */
  if (arg.size() < 2) 
    throw Exception("Function Translate__2 for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Translate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Translate__3 vtkPerspectiveTransformTranslate__3Function
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformTranslate__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (const float x[3]);this Translate x x x  */
  if (arg.size() < 2) 
    throw Exception("Function Translate__3 for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->Translate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:RotateWXYZ__1 vtkPerspectiveTransformRotateWXYZ__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPerspectiveTransformRotateWXYZ__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateWXYZ (double angle, double x, double y, double z);this Concatenation Rotate angle x y z  */
  if (arg.size() < 5) 
    throw Exception("Function RotateWXYZ__1 for class vtkPerspectiveTransform requires 5 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->RotateWXYZ(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:RotateWXYZ__2 vtkPerspectiveTransformRotateWXYZ__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPerspectiveTransformRotateWXYZ__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateWXYZ (double angle, const double axis[3]);this RotateWXYZ angle axis axis axis  */
  if (arg.size() < 3) 
    throw Exception("Function RotateWXYZ__2 for class vtkPerspectiveTransform requires 3 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->RotateWXYZ(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:RotateWXYZ__3 vtkPerspectiveTransformRotateWXYZ__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkPerspectiveTransformRotateWXYZ__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateWXYZ (double angle, const float axis[3]);this RotateWXYZ angle axis axis axis  */
  if (arg.size() < 3) 
    throw Exception("Function RotateWXYZ__3 for class vtkPerspectiveTransform requires 3 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  float  temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->RotateWXYZ(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:RotateX vtkPerspectiveTransformRotateXFunction
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformRotateXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateX (double angle);this RotateWXYZ angle  */
  if (arg.size() < 2) 
    throw Exception("Function RotateX for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateX(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:RotateY vtkPerspectiveTransformRotateYFunction
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformRotateYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateY (double angle);this RotateWXYZ angle  */
  if (arg.size() < 2) 
    throw Exception("Function RotateY for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateY(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:RotateZ vtkPerspectiveTransformRotateZFunction
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformRotateZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateZ (double angle);this RotateWXYZ angle  */
  if (arg.size() < 2) 
    throw Exception("Function RotateZ for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateZ(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Scale__1 vtkPerspectiveTransformScale__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPerspectiveTransformScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (double x, double y, double z);this Concatenation Scale x y z  */
  if (arg.size() < 4) 
    throw Exception("Function Scale__1 for class vtkPerspectiveTransform requires 4 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->Scale(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Scale__2 vtkPerspectiveTransformScale__2Function
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (const double s[3]);this Scale s s s  */
  if (arg.size() < 2) 
    throw Exception("Function Scale__2 for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Scale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Scale__3 vtkPerspectiveTransformScale__3Function
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformScale__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (const float s[3]);this Scale s s s  */
  if (arg.size() < 2) 
    throw Exception("Function Scale__3 for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->Scale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:SetMatrix__1 vtkPerspectiveTransformSetMatrix__1Function
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformSetMatrix__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMatrix (vtkMatrix4x4 *matrix);this SetMatrix matrix Element  */
  if (arg.size() < 2) 
    throw Exception("Function SetMatrix__1 for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:SetMatrix__2 vtkPerspectiveTransformSetMatrix__2Function
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformSetMatrix__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMatrix (const double elements[16]);this Identity this Concatenate elements  */
  if (arg.size() < 2) 
    throw Exception("Function SetMatrix__2 for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double temp0[16];
  if ( !(arg[1].isVector() && arg[1].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Concatenate__1 vtkPerspectiveTransformConcatenate__1Function
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformConcatenate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Concatenate (vtkMatrix4x4 *matrix);this Concatenate matrix Element  */
  if (arg.size() < 2) 
    throw Exception("Function Concatenate__1 for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->Concatenate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Concatenate__2 vtkPerspectiveTransformConcatenate__2Function
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformConcatenate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Concatenate (const double elements[16]);this Concatenation Concatenate elements  */
  if (arg.size() < 2) 
    throw Exception("Function Concatenate__2 for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  double temp0[16];
  if ( !(arg[1].isVector() && arg[1].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Concatenate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Concatenate__3 vtkPerspectiveTransformConcatenate__3Function
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformConcatenate__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Concatenate (vtkHomogeneousTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function Concatenate__3 for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtkHomogeneousTransform  *temp0;
  temp0 = GetVTKPointer<vtkHomogeneousTransform>(arg[1]);
  vtk_pointer->Concatenate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:PreMultiply vtkPerspectiveTransformPreMultiplyFunction
//input a0 
//output none
ArrayVector vtkPerspectiveTransformPreMultiplyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function PreMultiply for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtk_pointer->PreMultiply();
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:PostMultiply vtkPerspectiveTransformPostMultiplyFunction
//input a0 
//output none
ArrayVector vtkPerspectiveTransformPostMultiplyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PostMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function PostMultiply for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtk_pointer->PostMultiply();
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:GetNumberOfConcatenatedTransforms vtkPerspectiveTransformGetNumberOfConcatenatedTransformsFunction
//input a0 
//output y
ArrayVector vtkPerspectiveTransformGetNumberOfConcatenatedTransformsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfConcatenatedTransforms ();return this Concatenation GetNumberOfTransforms this Input NULL  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfConcatenatedTransforms for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfConcatenatedTransforms();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:GetConcatenatedTransform vtkPerspectiveTransformGetConcatenatedTransformFunction
//input a0 a1 
//output y
ArrayVector vtkPerspectiveTransformGetConcatenatedTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHomogeneousTransform *GetConcatenatedTransform (int i);vtkAbstractTransform t if this Input NULL t this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms t this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms t this Concatenation GetTransform i else if this GetInverseFlag t this Input GetInverse else t this Input return static_cast vtkHomogeneousTransform t  */
  if (arg.size() < 2) 
    throw Exception("Function GetConcatenatedTransform for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  int      temp0;
  vtkHomogeneousTransform  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetConcatenatedTransform(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHomogeneousTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:SetInput vtkPerspectiveTransformSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkPerspectiveTransformSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkHomogeneousTransform *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtkHomogeneousTransform  *temp0;
  temp0 = GetVTKPointer<vtkHomogeneousTransform>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:GetInput vtkPerspectiveTransformGetInputFunction
//input a0 
//output y
ArrayVector vtkPerspectiveTransformGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHomogeneousTransform *GetInput ();return this Input  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtkHomogeneousTransform  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHomogeneousTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:GetInverseFlag vtkPerspectiveTransformGetInverseFlagFunction
//input a0 
//output y
ArrayVector vtkPerspectiveTransformGetInverseFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInverseFlag ();return this Concatenation GetInverseFlag  */
  if (arg.size() < 1) 
    throw Exception("Function GetInverseFlag for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInverseFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Push vtkPerspectiveTransformPushFunction
//input a0 
//output none
ArrayVector vtkPerspectiveTransformPushFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Push ();if this Stack NULL this Stack vtkTransformConcatenationStack New this Stack Push this Concatenation this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Push for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtk_pointer->Push();
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Pop vtkPerspectiveTransformPopFunction
//input a0 
//output none
ArrayVector vtkPerspectiveTransformPopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Pop ();if this Stack NULL return this Stack Pop this Concatenation this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Pop for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtk_pointer->Pop();
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:MakeTransform vtkPerspectiveTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkPerspectiveTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:CircuitCheck vtkPerspectiveTransformCircuitCheckFunction
//input a0 a1 
//output y
ArrayVector vtkPerspectiveTransformCircuitCheckFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CircuitCheck (vtkAbstractTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function CircuitCheck for class vtkPerspectiveTransform requires 2 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  temp20 = (vtk_pointer)->CircuitCheck(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:GetMTime vtkPerspectiveTransformGetMTimeFunction
//input a0 
//output y
ArrayVector vtkPerspectiveTransformGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkPerspectiveTransform requires 1 argument(s)");
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerspectiveTransform:SetupCamera vtkPerspectiveTransformSetupCameraFunction
//input varargin
//output varargout
ArrayVector vtkPerspectiveTransformSetupCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkPerspectiveTransformSetupCamera__1Function(nargout,arg,eval);
  if ((arg.size() == 10) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]) && VTKIsScalarArg(arg[8]) && VTKIsScalarArg(arg[9]))
    return vtkPerspectiveTransformSetupCamera__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPerspectiveTransformSetupCamera");
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Translate vtkPerspectiveTransformTranslateFunction
//input varargin
//output varargout
ArrayVector vtkPerspectiveTransformTranslateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPerspectiveTransformTranslate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPerspectiveTransformTranslate__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPerspectiveTransformTranslate__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPerspectiveTransformTranslate");
}

//@@Signature
//sfunction @vtkPerspectiveTransform:RotateWXYZ vtkPerspectiveTransformRotateWXYZFunction
//input varargin
//output varargout
ArrayVector vtkPerspectiveTransformRotateWXYZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPerspectiveTransformRotateWXYZ__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPerspectiveTransformRotateWXYZ__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPerspectiveTransformRotateWXYZ__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPerspectiveTransformRotateWXYZ");
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Scale vtkPerspectiveTransformScaleFunction
//input varargin
//output varargout
ArrayVector vtkPerspectiveTransformScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPerspectiveTransformScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPerspectiveTransformScale__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPerspectiveTransformScale__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPerspectiveTransformScale");
}

//@@Signature
//sfunction @vtkPerspectiveTransform:SetMatrix vtkPerspectiveTransformSetMatrixFunction
//input varargin
//output varargout
ArrayVector vtkPerspectiveTransformSetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix4x4"))
    return vtkPerspectiveTransformSetMatrix__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPerspectiveTransformSetMatrix__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPerspectiveTransformSetMatrix");
}

//@@Signature
//sfunction @vtkPerspectiveTransform:Concatenate vtkPerspectiveTransformConcatenateFunction
//input varargin
//output varargout
ArrayVector vtkPerspectiveTransformConcatenateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix4x4"))
    return vtkPerspectiveTransformConcatenate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPerspectiveTransformConcatenate__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkHomogeneousTransform"))
    return vtkPerspectiveTransformConcatenate__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPerspectiveTransformConcatenate");
}

//@@Signature
//sfunction @vtkPerspectiveTransform:display vtkPerspectiveTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPerspectiveTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPerspectiveTransform* vtk_pointer = GetVTKPointer<vtkPerspectiveTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPerspectiveTransform:delete vtkPerspectiveTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkPerspectiveTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPerspectiveTransform
//@@Section VTKCommon
//@@Usage
// A vtkPerspectiveTransform can be used to describe the full range of
// homogeneous transformations.  It was designed in particular
// to describe a camera-view of a scene.  
// <P>The order in which you set up the display coordinates (via 
// AdjustZBuffer() and AdjustViewport()), the projection (via Perspective(), 
// Frustum(), or Ortho()) and the camera view (via SetupCamera()) are
// important.  If the transform is in PreMultiply mode, which is the 
// default, set the Viewport and ZBuffer first, then the projection, and
// finally the camera view.  Once the view is set up, the Translate
// and Rotate methods can be used to move the camera around in world
// coordinates.  If the Oblique() or Stereo() methods are used, they 
// should be called just before SetupCamera().
// <P>In PostMultiply mode, you must perform all transformations
// in the opposite order.  This is necessary, for example, if you
// already have a perspective transformation set up but must adjust
// the viewport.  Another example is if you have a view transformation,
// and wish to perform translations and rotations in the camera's 
// coordinate system rather than in world coordinates.
// <P>The SetInput and Concatenate methods can be used to create 
// a transformation pipeline with vtkPerspectiveTransform.  See vtkTransform
// for more information on the transformation pipeline.
//
//To create an instance of class vtkPerspectiveTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkPerspectiveTransform
//@]
//@@Methods
//The class vtkPerspectiveTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPerspectiveTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPerspectiveTransform = obj.NewInstance ()|
// \item @|vtkPerspectiveTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Identity ()| -  Set this transformation to the identity transformation.  If 
// the transform has an Input, then the transformation will be
// reset so that it is the same as the Input.
//// \item @|obj.Inverse ()| -  Invert the transformation.  This will also set a flag so that
// the transformation will use the inverse of its Input, if an Input
// has been set.
//// \item @|obj.AdjustViewport (double oldXMin, double oldXMax, double oldYMin, double oldYMax, double newXMin, double newXMax, double newYMin, double newYMax)| -  Perform an adjustment to the viewport coordinates.  By default Ortho,
// Frustum, and Perspective provide a window of ([-1,+1],[-1,+1]).
// In PreMultiply mode, you call this method before calling Ortho, Frustum,
// or Perspective.  In PostMultiply mode you can call it after.  Note
// that if you must apply both AdjustZBuffer and AdjustViewport, it
// makes no difference which order you apply them in.
//// \item @|obj.AdjustZBuffer (double oldNearZ, double oldFarZ, double newNearZ, double newFarZ)| -  Perform an adjustment to the Z-Buffer range that the near and far
// clipping planes map to.  By default Ortho, Frustum, and Perspective
// map the near clipping plane to -1 and the far clipping plane to +1.
// In PreMultiply mode, you call this method before calling Ortho, Frustum,
// or Perspective.  In PostMultiply mode you can call it after.
//// \item @|obj.Ortho (double xmin, double xmax, double ymin, double ymax, double znear, double zfar)| -  Create an orthogonal projection matrix and concatenate it by the
// current transformation.  The matrix maps [xmin,xmax], [ymin,ymax], 
// [-znear,-zfar] to [-1,+1], [-1,+1], [+1,-1]. 
//// \item @|obj.Frustum (double xmin, double xmax, double ymin, double ymax, double znear, double zfar)| -  Create an perspective projection matrix and concatenate it by the
// current transformation.  The matrix maps a frustum with a back
// plane at -zfar and a front plane at -znear with extent 
// [xmin,xmax],[ymin,ymax] to [-1,+1], [-1,+1], [+1,-1].
//// \item @|obj.Perspective (double angle, double aspect, double znear, double zfar)| -  Create a perspective projection matrix by specifying the view angle
// (this angle is in the y direction), the aspect ratio, and the near 
// and far clipping range.  The projection matrix is concatenated 
// with the current transformation.  This method works via Frustum.
//// \item @|obj.Shear (double dxdz, double dydz, double zplane)| -  Create a shear transformation about a plane at distance z from
// the camera.  The values dxdz (i.e. dx/dz) and dydz specify the
// amount of shear in the x and y directions.  The 'zplane' specifies
// the distance from the camera to the plane at which the shear
// causes zero displacement.  Generally you want this plane to be the
// focal plane.
// This transformation can be used in combination with Ortho to create 
// an oblique projection.  It can also be used in combination with
// Perspective to provide correct stereo views when the eye is at
// arbitrary but known positions relative to the center of a flat
// viewing screen.
//// \item @|obj.Stereo (double angle, double focaldistance)| -  Create a stereo shear matrix and concatenate it with the
// current transformation.  This can be applied in conjunction with either a 
// perspective transformation (via Frustum or Projection) or an
// orthographic projection.  You must specify the distance from
// the camera plane to the focal plane, and the angle between
// the distance vector and the eye.  The angle should be negative
// for the left eye, and positive for the right.  This method
// works via Oblique.
//// \item @|obj.SetupCamera (double position[3], double focalpoint[3], double viewup[3])| -  Set a view transformation matrix for the camera (this matrix does
// not contain any perspective) and concatenate it with the current
// transformation.
//// \item @|obj.SetupCamera (double p0, double p1, double p2, double fp0, double fp1, double fp2, double vup0, double vup1, double vup2)|
// \item @|obj.Translate (double x, double y, double z)| -  Create a translation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
//// \item @|obj.Translate (double x[3])| -  Create a translation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
//// \item @|obj.Translate (float x[3])| -  Create a translation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
//// \item @|obj.RotateWXYZ (double angle, double x, double y, double z)| -  Create a rotation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
// The angle is in degrees, and (x,y,z) specifies the axis that the
// rotation will be performed around. 
//// \item @|obj.RotateWXYZ (double angle, double axis[3])| -  Create a rotation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
// The angle is in degrees, and (x,y,z) specifies the axis that the
// rotation will be performed around. 
//// \item @|obj.RotateWXYZ (double angle, float axis[3])| -  Create a rotation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
// The angle is in degrees, and (x,y,z) specifies the axis that the
// rotation will be performed around. 
//// \item @|obj.RotateX (double angle)| -  Create a rotation matrix about the X, Y, or Z axis and concatenate
// it with the current transformation according to PreMultiply or
// PostMultiply semantics.  The angle is expressed in degrees.
//// \item @|obj.RotateY (double angle)| -  Create a rotation matrix about the X, Y, or Z axis and concatenate
// it with the current transformation according to PreMultiply or
// PostMultiply semantics.  The angle is expressed in degrees.
//// \item @|obj.RotateZ (double angle)| -  Create a rotation matrix about the X, Y, or Z axis and concatenate
// it with the current transformation according to PreMultiply or
// PostMultiply semantics.  The angle is expressed in degrees.
//// \item @|obj.Scale (double x, double y, double z)| -  Create a scale matrix (i.e. set the diagonal elements to x, y, z)
// and concatenate it with the current transformation according to
// PreMultiply or PostMultiply semantics.
//// \item @|obj.Scale (double s[3])| -  Create a scale matrix (i.e. set the diagonal elements to x, y, z)
// and concatenate it with the current transformation according to
// PreMultiply or PostMultiply semantics.
//// \item @|obj.Scale (float s[3])| -  Create a scale matrix (i.e. set the diagonal elements to x, y, z)
// and concatenate it with the current transformation according to
// PreMultiply or PostMultiply semantics.
//// \item @|obj.SetMatrix (vtkMatrix4x4 matrix)| -  Set the current matrix directly.  This actually calls Identity(),
// followed by Concatenate(matrix).
//// \item @|obj.SetMatrix (double elements[16])| -  Set the current matrix directly.  This actually calls Identity(),
// followed by Concatenate(matrix).
//// \item @|obj.Concatenate (vtkMatrix4x4 matrix)| -  Concatenates the matrix with the current transformation according
// to PreMultiply or PostMultiply semantics.
//// \item @|obj.Concatenate (double elements[16])| -  Concatenates the matrix with the current transformation according
// to PreMultiply or PostMultiply semantics.
//// \item @|obj.Concatenate (vtkHomogeneousTransform transform)| -  Concatenate the specified transform with the current transformation
// according to PreMultiply or PostMultiply semantics.
// The concatenation is pipelined, meaning that if any of the
// transformations are changed, even after Concatenate() is called,
// those changes will be reflected when you call TransformPoint().
//// \item @|obj.PreMultiply ()| -  Sets the internal state of the transform to PreMultiply. All subsequent
// operations will occur before those already represented in the
// current transformation.  In homogeneous matrix notation, M = M*A where
// M is the current transformation matrix and A is the applied matrix.
// The default is PreMultiply.
//// \item @|obj.PostMultiply ()| -  Sets the internal state of the transform to PostMultiply. All subsequent
// operations will occur after those already represented in the
// current transformation.  In homogeneous matrix notation, M = A*M where
// M is the current transformation matrix and A is the applied matrix.
// The default is PreMultiply.
//// \item @|int = obj.GetNumberOfConcatenatedTransforms ()| -  Get the total number of transformations that are linked into this
// one via Concatenate() operations or via SetInput().
//// \item @|vtkHomogeneousTransform = obj.GetConcatenatedTransform (int i)| -  Set the input for this transformation.  This will be used as the
// base transformation if it is set.  This method allows you to build
// a transform pipeline: if the input is modified, then this transformation
// will automatically update accordingly.  Note that the InverseFlag,
// controlled via Inverse(), determines whether this transformation
// will use the Input or the inverse of the Input.
//// \item @|obj.SetInput (vtkHomogeneousTransform input)| -  Set the input for this transformation.  This will be used as the
// base transformation if it is set.  This method allows you to build
// a transform pipeline: if the input is modified, then this transformation
// will automatically update accordingly.  Note that the InverseFlag,
// controlled via Inverse(), determines whether this transformation
// will use the Input or the inverse of the Input.
//// \item @|vtkHomogeneousTransform = obj.GetInput ()| -  Set the input for this transformation.  This will be used as the
// base transformation if it is set.  This method allows you to build
// a transform pipeline: if the input is modified, then this transformation
// will automatically update accordingly.  Note that the InverseFlag,
// controlled via Inverse(), determines whether this transformation
// will use the Input or the inverse of the Input.
//// \item @|int = obj.GetInverseFlag ()| -  Get the inverse flag of the transformation.  This controls
// whether it is the Input or the inverse of the Input that
// is used as the base transformation.  The InverseFlag is
// flipped every time Inverse() is called.  The InverseFlag
// is off when a transform is first created.
//// \item @|obj.Push ()| -  Pushes the current transformation onto the transformation stack.
//// \item @|obj.Pop ()| -  Deletes the transformation on the top of the stack and sets the top 
// to the next transformation on the stack.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make a new transform of the same type -- you are responsible for
// deleting the transform when you are done with it.
//// \item @|int = obj.CircuitCheck (vtkAbstractTransform transform)| -  Check for self-reference.  Will return true if concatenating
// with the specified transform, setting it to be our inverse,
// or setting it to be our input will create a circular reference.
// CircuitCheck is automatically called by SetInput(), SetInverse(),
// and Concatenate(vtkXTransform *).  Avoid using this function,
// it is experimental.
//// \item @|long = obj.GetMTime ()| -  Override GetMTime to account for input and concatenation.
////\end{itemize}
//!
