#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPlane object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPlane.h"

//@@Signature
//sfunction @vtkPlane:vtkPlane vtkPlaneConstructorFunction
//input a
//output p
//@@Parents vtkPlane vtkImplicitFunction 
ArrayVector vtkPlaneConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPlane::New(),"vtkPlane",eval);
  } else if (arg[0].className() == "vtkPlane") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPlane"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPlane");
    vtkPlane*q = reinterpret_cast<vtkPlane*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPlane");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPlane:GetClassName vtkPlaneGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPlaneGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPlane requires 1 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlane:IsA vtkPlaneIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPlaneIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPlane requires 2 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlane:NewInstance vtkPlaneNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPlaneNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlane *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPlane requires 1 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  vtkPlane  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlane",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:SafeDownCast vtkPlaneSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPlaneSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlane *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPlane requires 2 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPlane  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlane",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:EvaluateFunction__1 vtkPlaneEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkPlaneEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkPlane requires 2 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlane:EvaluateFunction__2 vtkPlaneEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPlaneEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkPlane requires 4 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlane:EvaluateGradient vtkPlaneEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPlaneEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double g[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkPlane requires 3 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:SetNormal__1 vtkPlaneSetNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneSetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormal__1 for class vtkPlane requires 4 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:SetNormal__2 vtkPlaneSetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneSetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormal__2 for class vtkPlane requires 2 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:GetNormal vtkPlaneGetNormalFunction
//input a0 
//output y
ArrayVector vtkPlaneGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal for class vtkPlane requires 1 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:SetOrigin__1 vtkPlaneSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkPlane requires 4 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:SetOrigin__2 vtkPlaneSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkPlane requires 2 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:GetOrigin vtkPlaneGetOriginFunction
//input a0 
//output y
ArrayVector vtkPlaneGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkPlane requires 1 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:Push vtkPlanePushFunction
//input a0 a1 
//output none
ArrayVector vtkPlanePushFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Push (double distance); */
  if (arg.size() < 2) 
    throw Exception("Function Push for class vtkPlane requires 2 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Push(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:ProjectPoint__1 vtkPlaneProjectPoint__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPlaneProjectPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ProjectPoint (double x[3], double origin[3], double normal[3], double xproj[3]); */
  if (arg.size() < 5) 
    throw Exception("Function ProjectPoint__1 for class vtkPlane requires 5 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  vtk_pointer->ProjectPoint(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:ProjectPoint__2 vtkPlaneProjectPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPlaneProjectPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProjectPoint (double x[3], double xproj[3]); */
  if (arg.size() < 3) 
    throw Exception("Function ProjectPoint__2 for class vtkPlane requires 3 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->ProjectPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:GeneralizedProjectPoint__1 vtkPlaneGeneralizedProjectPoint__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPlaneGeneralizedProjectPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GeneralizedProjectPoint (double x[3], double origin[3], double normal[3], double xproj[3]); */
  if (arg.size() < 5) 
    throw Exception("Function GeneralizedProjectPoint__1 for class vtkPlane requires 5 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  vtk_pointer->GeneralizedProjectPoint(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:GeneralizedProjectPoint__2 vtkPlaneGeneralizedProjectPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPlaneGeneralizedProjectPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneralizedProjectPoint (double x[3], double xproj[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GeneralizedProjectPoint__2 for class vtkPlane requires 3 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GeneralizedProjectPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPlane:Evaluate vtkPlaneEvaluateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPlaneEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Evaluate (double normal[3], double origin[3], double x[3]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkPlane requires 4 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Evaluate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlane:DistanceToPlane__1 vtkPlaneDistanceToPlane__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPlaneDistanceToPlane__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double DistanceToPlane (double x[3], double n[3], double p0[3]); */
  if (arg.size() < 4) 
    throw Exception("Function DistanceToPlane__1 for class vtkPlane requires 4 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->DistanceToPlane(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlane:DistanceToPlane__2 vtkPlaneDistanceToPlane__2Function
//input a0 a1 
//output y
ArrayVector vtkPlaneDistanceToPlane__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double DistanceToPlane (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function DistanceToPlane__2 for class vtkPlane requires 2 argument(s)");
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->DistanceToPlane(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlane:EvaluateFunction vtkPlaneEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkPlaneEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneEvaluateFunction");
}

//@@Signature
//sfunction @vtkPlane:SetNormal vtkPlaneSetNormalFunction
//input varargin
//output varargout
ArrayVector vtkPlaneSetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneSetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneSetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneSetNormal");
}

//@@Signature
//sfunction @vtkPlane:SetOrigin vtkPlaneSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkPlaneSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneSetOrigin");
}

//@@Signature
//sfunction @vtkPlane:ProjectPoint vtkPlaneProjectPointFunction
//input varargin
//output varargout
ArrayVector vtkPlaneProjectPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkPlaneProjectPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPlaneProjectPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneProjectPoint");
}

//@@Signature
//sfunction @vtkPlane:GeneralizedProjectPoint vtkPlaneGeneralizedProjectPointFunction
//input varargin
//output varargout
ArrayVector vtkPlaneGeneralizedProjectPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkPlaneGeneralizedProjectPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPlaneGeneralizedProjectPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneGeneralizedProjectPoint");
}

//@@Signature
//sfunction @vtkPlane:DistanceToPlane vtkPlaneDistanceToPlaneFunction
//input varargin
//output varargout
ArrayVector vtkPlaneDistanceToPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkPlaneDistanceToPlane__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneDistanceToPlane__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneDistanceToPlane");
}

//@@Signature
//sfunction @vtkPlane:IntersectWithLine vtkPlaneIntersectWithLineFunction
//input varargin
//output varargout
ArrayVector vtkPlaneIntersectWithLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneIntersectWithLine");
}

//@@Signature
//sfunction @vtkPlane:display vtkPlaneDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPlaneDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPlane* vtk_pointer = GetVTKPointer<vtkPlane>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPlane:delete vtkPlaneDeleteFunction
//input varargin
//output none
ArrayVector vtkPlaneDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPlane
//@@Section VTKCommon
//@@Usage
// vtkPlane provides methods for various plane computations. These include
// projecting points onto a plane, evaluating the plane equation, and 
// returning plane normal. vtkPlane is a concrete implementation of the 
// abstract class vtkImplicitFunction.
//
//To create an instance of class vtkPlane, simply
//invoke its constructor as follows
//@[
//  obj = vtkPlane
//@]
//@@Methods
//The class vtkPlane has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPlane class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPlane = obj.NewInstance ()|
// \item @|vtkPlane = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double g[3])|
// \item @|obj.SetNormal (double , double , double )| -  Set/get plane normal. Plane is defined by point and normal.
//// \item @|obj.SetNormal (double  a[3])| -  Set/get plane normal. Plane is defined by point and normal.
//// \item @|double = obj. GetNormal ()| -  Set/get plane normal. Plane is defined by point and normal.
//// \item @|obj.SetOrigin (double , double , double )| -  Set/get point through which plane passes. Plane is defined by point 
// and normal.
//// \item @|obj.SetOrigin (double  a[3])| -  Set/get point through which plane passes. Plane is defined by point 
// and normal.
//// \item @|double = obj. GetOrigin ()| -  Set/get point through which plane passes. Plane is defined by point 
// and normal.
//// \item @|obj.Push (double distance)| -  Translate the plane in the direction of the normal by the
// distance specified.  Negative values move the plane in the
// opposite direction.
//// \item @|obj.ProjectPoint (double x[3], double xproj[3])|
// \item @|obj.GeneralizedProjectPoint (double x[3], double xproj[3])|
// \item @|double = obj.DistanceToPlane (double x[3])| -  Return the distance of a point x to a plane defined by n(x-p0) = 0. The
// normal n[3] must be magnitude=1.
////\end{itemize}
//!
