#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPlaneCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPlaneCollection.h"

//@@Signature
//sfunction @vtkPlaneCollection:vtkPlaneCollection vtkPlaneCollectionConstructorFunction
//input a
//output p
//@@Parents vtkPlaneCollection vtkCollection 
ArrayVector vtkPlaneCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPlaneCollection::New(),"vtkPlaneCollection",eval);
  } else if (arg[0].className() == "vtkPlaneCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPlaneCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPlaneCollection");
    vtkPlaneCollection*q = reinterpret_cast<vtkPlaneCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPlaneCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPlaneCollection:GetClassName vtkPlaneCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPlaneCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPlaneCollection requires 1 argument(s)");
  vtkPlaneCollection* vtk_pointer = GetVTKPointer<vtkPlaneCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneCollection:IsA vtkPlaneCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPlaneCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPlaneCollection requires 2 argument(s)");
  vtkPlaneCollection* vtk_pointer = GetVTKPointer<vtkPlaneCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneCollection:NewInstance vtkPlaneCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPlaneCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPlaneCollection requires 1 argument(s)");
  vtkPlaneCollection* vtk_pointer = GetVTKPointer<vtkPlaneCollection>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneCollection:SafeDownCast vtkPlaneCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPlaneCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPlaneCollection requires 2 argument(s)");
  vtkPlaneCollection* vtk_pointer = GetVTKPointer<vtkPlaneCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPlaneCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneCollection:AddItem__1 vtkPlaneCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkPlaneCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkPlane *); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkPlaneCollection requires 2 argument(s)");
  vtkPlaneCollection* vtk_pointer = GetVTKPointer<vtkPlaneCollection>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneCollection:GetNextItem vtkPlaneCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkPlaneCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlane *GetNextItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkPlaneCollection requires 1 argument(s)");
  vtkPlaneCollection* vtk_pointer = GetVTKPointer<vtkPlaneCollection>(arg[0]);
  Array retval;
  vtkPlane  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlane",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneCollection:GetItem vtkPlaneCollectionGetItemFunction
//input a0 a1 
//output y
ArrayVector vtkPlaneCollectionGetItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlane *GetItem (int i);return static_cast vtkPlane this GetItemAsObject i  */
  if (arg.size() < 2) 
    throw Exception("Function GetItem for class vtkPlaneCollection requires 2 argument(s)");
  vtkPlaneCollection* vtk_pointer = GetVTKPointer<vtkPlaneCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkPlane  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetItem(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlane",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneCollection:AddItem vtkPlaneCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkPlaneCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPlane"))
    return vtkPlaneCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneCollectionAddItem");
}

//@@Signature
//sfunction @vtkPlaneCollection:display vtkPlaneCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPlaneCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPlaneCollection* vtk_pointer = GetVTKPointer<vtkPlaneCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPlaneCollection:delete vtkPlaneCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkPlaneCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPlaneCollection
//@@Section VTKCommon
//@@Usage
// vtkPlaneCollection is an object that creates and manipulates
// lists of objects of type vtkPlane. 
//
//To create an instance of class vtkPlaneCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkPlaneCollection
//@]
//@@Methods
//The class vtkPlaneCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPlaneCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPlaneCollection = obj.NewInstance ()|
// \item @|vtkPlaneCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkPlane )| -  Add a plane to the list.
//// \item @|vtkPlane = obj.GetNextItem ()| -  Get the next plane in the list.
//// \item @|vtkPlane = obj.GetItem (int i)| -  Get the ith plane in the list.
////\end{itemize}
//!
