#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPlanes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPlanes.h"

//@@Signature
//sfunction @vtkPlanes:vtkPlanes vtkPlanesConstructorFunction
//input a
//output p
//@@Parents vtkPlanes vtkImplicitFunction 
ArrayVector vtkPlanesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPlanes::New(),"vtkPlanes",eval);
  } else if (arg[0].className() == "vtkPlanes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPlanes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPlanes");
    vtkPlanes*q = reinterpret_cast<vtkPlanes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPlanes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPlanes:GetClassName vtkPlanesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPlanesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPlanes requires 1 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:IsA vtkPlanesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPlanesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPlanes requires 2 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:NewInstance vtkPlanesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPlanesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlanes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPlanes requires 1 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  vtkPlanes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlanes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:SafeDownCast vtkPlanesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPlanesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlanes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPlanes requires 2 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPlanes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlanes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:EvaluateFunction__1 vtkPlanesEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkPlanesEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkPlanes requires 2 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:EvaluateFunction__2 vtkPlanesEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPlanesEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkPlanes requires 4 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:EvaluateGradient vtkPlanesEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPlanesEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double n[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkPlanes requires 3 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:SetPoints vtkPlanesSetPointsFunction
//input a0 a1 
//output none
ArrayVector vtkPlanesSetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoints (vtkPoints *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoints for class vtkPlanes requires 2 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:GetPoints vtkPlanesGetPointsFunction
//input a0 
//output y
ArrayVector vtkPlanesGetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoints for class vtkPlanes requires 1 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:SetNormals vtkPlanesSetNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkPlanesSetNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormals (vtkDataArray *normals); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormals for class vtkPlanes requires 2 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:GetNormals vtkPlanesGetNormalsFunction
//input a0 
//output y
ArrayVector vtkPlanesGetNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormals for class vtkPlanes requires 1 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetNormals();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:SetFrustumPlanes vtkPlanesSetFrustumPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkPlanesSetFrustumPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFrustumPlanes (double planes[24]); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrustumPlanes for class vtkPlanes requires 2 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  double temp0[24];
  if ( !(arg[1].isVector() && arg[1].length() == 24) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetFrustumPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:SetBounds__1 vtkPlanesSetBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkPlanesSetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds__1 for class vtkPlanes requires 2 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:SetBounds__2 vtkPlanesSetBounds__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkPlanesSetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds__2 for class vtkPlanes requires 7 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:GetNumberOfPlanes vtkPlanesGetNumberOfPlanesFunction
//input a0 
//output y
ArrayVector vtkPlanesGetNumberOfPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPlanes for class vtkPlanes requires 1 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPlanes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:GetPlane__1 vtkPlanesGetPlane__1Function
//input a0 a1 
//output y
ArrayVector vtkPlanesGetPlane__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlane *GetPlane (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlane__1 for class vtkPlanes requires 2 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  int      temp0;
  vtkPlane  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPlane(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlane",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:GetPlane__2 vtkPlanesGetPlane__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPlanesGetPlane__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPlane (int i, vtkPlane *plane); */
  if (arg.size() < 3) 
    throw Exception("Function GetPlane__2 for class vtkPlanes requires 3 argument(s)");
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  Array retval;
  int      temp0;
  vtkPlane  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPlane>(arg[2]);
  vtk_pointer->GetPlane(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPlanes:EvaluateFunction vtkPlanesEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkPlanesEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlanesEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlanesEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlanesEvaluateFunction");
}

//@@Signature
//sfunction @vtkPlanes:SetBounds vtkPlanesSetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkPlanesSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlanesSetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkPlanesSetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlanesSetBounds");
}

//@@Signature
//sfunction @vtkPlanes:GetPlane vtkPlanesGetPlaneFunction
//input varargin
//output varargout
ArrayVector vtkPlanesGetPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPlanesGetPlane__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPlane"))
    return vtkPlanesGetPlane__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlanesGetPlane");
}

//@@Signature
//sfunction @vtkPlanes:display vtkPlanesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPlanesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPlanes* vtk_pointer = GetVTKPointer<vtkPlanes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPlanes:delete vtkPlanesDeleteFunction
//input varargin
//output none
ArrayVector vtkPlanesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPlanes
//@@Section VTKCommon
//@@Usage
// vtkPlanes computes the implicit function and function gradient for a set
// of planes. The planes must define a convex space.
//
// The function value is the closest first order distance of a point to the
// convex region defined by the planes. The function gradient is the plane
// normal at the function value.  Note that the normals must point outside of
// the convex region. Thus, a negative function value means that a point is
// inside the convex region.
//
// There are several methods to define the set of planes. The most general is
// to supply an instance of vtkPoints and an instance of vtkDataArray. (The 
// points define a point on the plane, and the normals corresponding plane 
// normals.) Two other specialized ways are to 1) supply six planes defining 
// the view frustrum of a camera, and 2) provide a bounding box.
//
//To create an instance of class vtkPlanes, simply
//invoke its constructor as follows
//@[
//  obj = vtkPlanes
//@]
//@@Methods
//The class vtkPlanes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPlanes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPlanes = obj.NewInstance ()|
// \item @|vtkPlanes = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double n[3])|
// \item @|obj.SetPoints (vtkPoints )| -  Specify a list of points defining points through which the planes pass.
//// \item @|vtkPoints = obj.GetPoints ()| -  Specify a list of points defining points through which the planes pass.
//// \item @|obj.SetNormals (vtkDataArray normals)| -  Specify a list of normal vectors for the planes. There is a one-to-one
// correspondence between plane points and plane normals.
//// \item @|vtkDataArray = obj.GetNormals ()| -  Specify a list of normal vectors for the planes. There is a one-to-one
// correspondence between plane points and plane normals.
//// \item @|obj.SetFrustumPlanes (double planes[24])| -  An alternative method to specify six planes defined by the camera view 
// frustrum. See vtkCamera::GetFrustumPlanes() documentation.
//// \item @|obj.SetBounds (double bounds[6])| -  An alternative method to specify six planes defined by a bounding box.
// The bounding box is a six-vector defined as (xmin,xmax,ymin,ymax,zmin,zmax).
// It defines six planes orthogonal to the x-y-z coordinate axes.
//// \item @|obj.SetBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  An alternative method to specify six planes defined by a bounding box.
// The bounding box is a six-vector defined as (xmin,xmax,ymin,ymax,zmin,zmax).
// It defines six planes orthogonal to the x-y-z coordinate axes.
//// \item @|int = obj.GetNumberOfPlanes ()| -  Return the number of planes in the set of planes.
//// \item @|vtkPlane = obj.GetPlane (int i)| -  Create and return a pointer to a vtkPlane object at the ith
// position. Asking for a plane outside the allowable range returns NULL.
// This method always returns the same object. 
// Use GetPlane(int i, vtkPlane *plane) instead
//// \item @|obj.GetPlane (int i, vtkPlane plane)| -  Create and return a pointer to a vtkPlane object at the ith
// position. Asking for a plane outside the allowable range returns NULL.
// This method always returns the same object. 
// Use GetPlane(int i, vtkPlane *plane) instead
////\end{itemize}
//!
