#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPoints.h"

//@@Signature
//sfunction @vtkPoints:vtkPoints vtkPointsConstructorFunction
//input a
//output p
//@@Parents vtkPoints vtkObject 
ArrayVector vtkPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPoints::New(),"vtkPoints",eval);
  } else if (arg[0].className() == "vtkPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPoints");
    vtkPoints*q = reinterpret_cast<vtkPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPoints:GetClassName vtkPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints:IsA vtkPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints:NewInstance vtkPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SafeDownCast vtkPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:Allocate vtkPointsAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPointsAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Allocate (const vtkIdType sz, const vtkIdType ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkPoints requires 3 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints:Initialize vtkPointsInitializeFunction
//input a0 
//output none
ArrayVector vtkPointsInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetData vtkPointsSetDataFunction
//input a0 a1 
//output none
ArrayVector vtkPointsSetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetData (vtkDataArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetData for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:GetData vtkPointsGetDataFunction
//input a0 
//output y
ArrayVector vtkPointsGetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetData ();return this Data  */
  if (arg.size() < 1) 
    throw Exception("Function GetData for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:GetDataType vtkPointsGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkPointsGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataType vtkPointsSetDataTypeFunction
//input a0 a1 
//output none
ArrayVector vtkPointsSetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataType (int dataType); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataType for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToBit vtkPointsSetDataTypeToBitFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToBitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToBit ();this SetDataType VTK_BIT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToBit for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToBit();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToChar vtkPointsSetDataTypeToCharFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToChar ();this SetDataType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToChar for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToUnsignedChar vtkPointsSetDataTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedChar ();this SetDataType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedChar for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToShort vtkPointsSetDataTypeToShortFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToShort ();this SetDataType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToShort for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToUnsignedShort vtkPointsSetDataTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedShort ();this SetDataType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedShort for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToInt vtkPointsSetDataTypeToIntFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToInt ();this SetDataType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToInt for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToUnsignedInt vtkPointsSetDataTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedInt ();this SetDataType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedInt for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToLong vtkPointsSetDataTypeToLongFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToLong ();this SetDataType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToLong for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToUnsignedLong vtkPointsSetDataTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedLong ();this SetDataType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedLong for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToFloat vtkPointsSetDataTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToFloat ();this SetDataType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToFloat for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetDataTypeToDouble vtkPointsSetDataTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkPointsSetDataTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToDouble ();this SetDataType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToDouble for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:Squeeze vtkPointsSqueezeFunction
//input a0 
//output none
ArrayVector vtkPointsSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Squeeze ();this Data Squeeze  */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:Reset vtkPointsResetFunction
//input a0 
//output none
ArrayVector vtkPointsResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Reset ();this Data Reset  */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:DeepCopy vtkPointsDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPointsDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkPoints *ad); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:ShallowCopy vtkPointsShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPointsShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkPoints *ad); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:GetActualMemorySize vtkPointsGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkPointsGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints:GetNumberOfPoints vtkPointsGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkPointsGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPoints ();return this Data GetNumberOfTuples  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints:GetPoint__1 vtkPointsGetPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkPointsGetPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint (vtkIdType id);return this Data GetTuple id  */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint__1 for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPoint(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:GetPoint__2 vtkPointsGetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPointsGetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint (vtkIdType id, double x[3]);this Data GetTuple id x  */
  if (arg.size() < 3) 
    throw Exception("Function GetPoint__2 for class vtkPoints requires 3 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetPoint__1 vtkPointsSetPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPointsSetPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint (vtkIdType id, const float x[3]);this Data SetTuple id x  */
  if (arg.size() < 3) 
    throw Exception("Function SetPoint__1 for class vtkPoints requires 3 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float  temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->SetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetPoint__2 vtkPointsSetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPointsSetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint (vtkIdType id, const double x[3]);this Data SetTuple id x  */
  if (arg.size() < 3) 
    throw Exception("Function SetPoint__2 for class vtkPoints requires 3 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetPoint__3 vtkPointsSetPoint__3Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPointsSetPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint (vtkIdType id, double x, double y, double z); */
  if (arg.size() < 5) 
    throw Exception("Function SetPoint__3 for class vtkPoints requires 5 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetPoint(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:InsertPoint__1 vtkPointsInsertPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPointsInsertPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertPoint (vtkIdType id, const float x[3]);this Data InsertTuple id x  */
  if (arg.size() < 3) 
    throw Exception("Function InsertPoint__1 for class vtkPoints requires 3 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float  temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InsertPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:InsertPoint__2 vtkPointsInsertPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPointsInsertPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertPoint (vtkIdType id, const double x[3]);this Data InsertTuple id x  */
  if (arg.size() < 3) 
    throw Exception("Function InsertPoint__2 for class vtkPoints requires 3 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InsertPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:InsertPoint__3 vtkPointsInsertPoint__3Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPointsInsertPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertPoint (vtkIdType id, double x, double y, double z); */
  if (arg.size() < 5) 
    throw Exception("Function InsertPoint__3 for class vtkPoints requires 5 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->InsertPoint(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:InsertNextPoint__1 vtkPointsInsertNextPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkPointsInsertNextPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextPoint (const float x[3]);return this Data InsertNextTuple x  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextPoint__1 for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  float  temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->InsertNextPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints:InsertNextPoint__2 vtkPointsInsertNextPoint__2Function
//input a0 a1 
//output y
ArrayVector vtkPointsInsertNextPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextPoint (const double x[3]);return this Data InsertNextTuple x  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextPoint__2 for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->InsertNextPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints:InsertNextPoint__3 vtkPointsInsertNextPoint__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPointsInsertNextPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextPoint (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function InsertNextPoint__3 for class vtkPoints requires 4 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->InsertNextPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints:SetNumberOfPoints vtkPointsSetNumberOfPointsFunction
//input a0 a1 
//output none
ArrayVector vtkPointsSetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPoints (vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPoints for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:GetPoints vtkPointsGetPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPointsGetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoints (vtkIdList *ptId, vtkPoints *fp); */
  if (arg.size() < 3) 
    throw Exception("Function GetPoints for class vtkPoints requires 3 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  vtkPoints  *temp1;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  vtk_pointer->GetPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:ComputeBounds vtkPointsComputeBoundsFunction
//input a0 
//output none
ArrayVector vtkPointsComputeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeBounds for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  vtk_pointer->ComputeBounds();
  return retval;
}

//@@Signature
//sfunction @vtkPoints:GetBounds__1 vtkPointsGetBounds__1Function
//input a0 
//output y
ArrayVector vtkPointsGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkPoints requires 1 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:GetBounds__2 vtkPointsGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkPointsGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkPoints requires 2 argument(s)");
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints:GetPoint vtkPointsGetPointFunction
//input varargin
//output varargout
ArrayVector vtkPointsGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPointsGetPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPointsGetPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsGetPoint");
}

//@@Signature
//sfunction @vtkPoints:SetPoint vtkPointsSetPointFunction
//input varargin
//output varargout
ArrayVector vtkPointsSetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPointsSetPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPointsSetPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPointsSetPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsSetPoint");
}

//@@Signature
//sfunction @vtkPoints:InsertPoint vtkPointsInsertPointFunction
//input varargin
//output varargout
ArrayVector vtkPointsInsertPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPointsInsertPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPointsInsertPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPointsInsertPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsInsertPoint");
}

//@@Signature
//sfunction @vtkPoints:InsertNextPoint vtkPointsInsertNextPointFunction
//input varargin
//output varargout
ArrayVector vtkPointsInsertNextPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointsInsertNextPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointsInsertNextPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPointsInsertNextPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsInsertNextPoint");
}

//@@Signature
//sfunction @vtkPoints:GetBounds vtkPointsGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkPointsGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPointsGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointsGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsGetBounds");
}

//@@Signature
//sfunction @vtkPoints:display vtkPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPoints* vtk_pointer = GetVTKPointer<vtkPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPoints:delete vtkPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPoints
//@@Section VTKCommon
//@@Usage
// vtkPoints represents 3D points. The data model for vtkPoints is an 
// array of vx-vy-vz triplets accessible by (point or cell) id.
//
//To create an instance of class vtkPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkPoints
//@]
//@@Methods
//The class vtkPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPoints = obj.NewInstance ()|
// \item @|vtkPoints = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Allocate (vtkIdType sz, vtkIdType ext)| -  Allocate initial memory size.
//// \item @|obj.Initialize ()| -  Return object to instantiated state.
//// \item @|obj.SetData (vtkDataArray )| -  Set/Get the underlying data array. This function must be implemented
// in a concrete subclass to check for consistency. (The tuple size must
// match the type of data. For example, 3-tuple data array can be assigned to
// a vector, normal, or points object, but not a tensor object, which has a 
// tuple dimension of 9. Scalars, on the other hand, can have tuple dimension
//  from 1-4, depending on the type of scalar.)
//// \item @|vtkDataArray = obj.GetData ()| -  Set/Get the underlying data array. This function must be implemented
// in a concrete subclass to check for consistency. (The tuple size must
// match the type of data. For example, 3-tuple data array can be assigned to
// a vector, normal, or points object, but not a tensor object, which has a 
// tuple dimension of 9. Scalars, on the other hand, can have tuple dimension
//  from 1-4, depending on the type of scalar.)
//// \item @|int = obj.GetDataType ()| -  Return the underlying data type. An integer indicating data type is 
// returned as specified in vtkSetGet.h.
//// \item @|obj.SetDataType (int dataType)| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToBit ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToChar ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToUnsignedChar ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToShort ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToUnsignedShort ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToInt ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToUnsignedInt ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToLong ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToUnsignedLong ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToFloat ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToDouble ()| -  Specify the underlying data type of the object.
//// \item @|obj.Squeeze ()| -  Reclaim any extra memory.
//// \item @|obj.Reset ()| -  Make object look empty but do not delete memory.  
//// \item @|obj.DeepCopy (vtkPoints ad)| -  Different ways to copy data. Shallow copy does reference count (i.e.,
// assigns pointers and updates reference count); deep copy runs through
// entire data array assigning values.
//// \item @|obj.ShallowCopy (vtkPoints ad)| -  Different ways to copy data. Shallow copy does reference count (i.e.,
// assigns pointers and updates reference count); deep copy runs through
// entire data array assigning values.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the memory in kilobytes consumed by this attribute data. 
// Used to support streaming and reading/writing data. The value 
// returned is guaranteed to be greater than or equal to the 
// memory required to actually represent the data represented 
// by this object. The information returned is valid only after
// the pipeline has been updated.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Return number of points in array.
//// \item @|double = obj.GetPoint (vtkIdType id)| -  Return a pointer to a double point x[3] for a specific id.
// WARNING: Just don't use this error-prone method, the returned pointer
// and its values are only valid as long as another method invocation is not
// performed. Prefer GetPoint() with the return value in argument.
//// \item @|obj.GetPoint (vtkIdType id, double x[3])| -  Copy point components into user provided array v[3] for specified
// id.
//// \item @|obj.SetPoint (vtkIdType id, float x[3])| -  Insert point into object. No range checking performed (fast!).
// Make sure you use SetNumberOfPoints() to allocate memory prior
// to using SetPoint().
//// \item @|obj.SetPoint (vtkIdType id, double x[3])| -  Insert point into object. No range checking performed (fast!).
// Make sure you use SetNumberOfPoints() to allocate memory prior
// to using SetPoint().
//// \item @|obj.SetPoint (vtkIdType id, double x, double y, double z)| -  Insert point into object. No range checking performed (fast!).
// Make sure you use SetNumberOfPoints() to allocate memory prior
// to using SetPoint().
//// \item @|obj.InsertPoint (vtkIdType id, float x[3])| -  Insert point into object. Range checking performed and memory
// allocated as necessary.
//// \item @|obj.InsertPoint (vtkIdType id, double x[3])| -  Insert point into object. Range checking performed and memory
// allocated as necessary.
//// \item @|obj.InsertPoint (vtkIdType id, double x, double y, double z)| -  Insert point into object. Range checking performed and memory
// allocated as necessary.
//// \item @|vtkIdType = obj.InsertNextPoint (float x[3])| -  Insert point into next available slot. Returns id of slot.
//// \item @|vtkIdType = obj.InsertNextPoint (double x[3])| -  Insert point into next available slot. Returns id of slot.
//// \item @|vtkIdType = obj.InsertNextPoint (double x, double y, double z)| -  Insert point into next available slot. Returns id of slot.
//// \item @|obj.SetNumberOfPoints (vtkIdType number)| -  Specify the number of points for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetPoint() method for fast insertion.
//// \item @|obj.GetPoints (vtkIdList ptId, vtkPoints fp)| -  Given a list of pt ids, return an array of points.
//// \item @|obj.ComputeBounds ()| -  Determine (xmin,xmax, ymin,ymax, zmin,zmax) bounds of points.
//// \item @|double = obj.GetBounds ()| -  Return the bounds of the points.
//// \item @|obj.GetBounds (double bounds[6])| -  Return the bounds of the points.
////\end{itemize}
//!
