#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPoints2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPoints2D.h"

//@@Signature
//sfunction @vtkPoints2D:vtkPoints2D vtkPoints2DConstructorFunction
//input a
//output p
//@@Parents vtkPoints2D vtkObject 
ArrayVector vtkPoints2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPoints2D::New(),"vtkPoints2D",eval);
  } else if (arg[0].className() == "vtkPoints2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPoints2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPoints2D");
    vtkPoints2D*q = reinterpret_cast<vtkPoints2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPoints2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPoints2D:GetClassName vtkPoints2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPoints2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:IsA vtkPoints2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPoints2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPoints2D requires 2 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:NewInstance vtkPoints2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPoints2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkPoints2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SafeDownCast vtkPoints2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPoints2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPoints2D requires 2 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPoints2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:Allocate vtkPoints2DAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPoints2DAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Allocate (const vtkIdType sz, const vtkIdType ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkPoints2D requires 3 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:Initialize vtkPoints2DInitializeFunction
//input a0 
//output none
ArrayVector vtkPoints2DInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetData vtkPoints2DSetDataFunction
//input a0 a1 
//output none
ArrayVector vtkPoints2DSetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetData (vtkDataArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetData for class vtkPoints2D requires 2 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:GetData vtkPoints2DGetDataFunction
//input a0 
//output y
ArrayVector vtkPoints2DGetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetData ();return this Data  */
  if (arg.size() < 1) 
    throw Exception("Function GetData for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:GetDataType vtkPoints2DGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkPoints2DGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataType vtkPoints2DSetDataTypeFunction
//input a0 a1 
//output none
ArrayVector vtkPoints2DSetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataType (int dataType); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataType for class vtkPoints2D requires 2 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToBit vtkPoints2DSetDataTypeToBitFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToBitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToBit ();this SetDataType VTK_BIT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToBit for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToBit();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToChar vtkPoints2DSetDataTypeToCharFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToChar ();this SetDataType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToChar for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToUnsignedChar vtkPoints2DSetDataTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedChar ();this SetDataType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedChar for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToShort vtkPoints2DSetDataTypeToShortFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToShort ();this SetDataType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToShort for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToUnsignedShort vtkPoints2DSetDataTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedShort ();this SetDataType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedShort for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToInt vtkPoints2DSetDataTypeToIntFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToInt ();this SetDataType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToInt for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToUnsignedInt vtkPoints2DSetDataTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedInt ();this SetDataType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedInt for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToLong vtkPoints2DSetDataTypeToLongFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToLong ();this SetDataType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToLong for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToUnsignedLong vtkPoints2DSetDataTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedLong ();this SetDataType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedLong for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToFloat vtkPoints2DSetDataTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToFloat ();this SetDataType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToFloat for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetDataTypeToDouble vtkPoints2DSetDataTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkPoints2DSetDataTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToDouble ();this SetDataType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToDouble for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:Squeeze vtkPoints2DSqueezeFunction
//input a0 
//output none
ArrayVector vtkPoints2DSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Squeeze ();this Data Squeeze  */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:Reset vtkPoints2DResetFunction
//input a0 
//output none
ArrayVector vtkPoints2DResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Reset ();this Data Reset  */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:DeepCopy vtkPoints2DDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPoints2DDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkPoints2D *ad); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkPoints2D requires 2 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkPoints2D  *temp0;
  temp0 = GetVTKPointer<vtkPoints2D>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:ShallowCopy vtkPoints2DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPoints2DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkPoints2D *ad); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkPoints2D requires 2 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkPoints2D  *temp0;
  temp0 = GetVTKPointer<vtkPoints2D>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:GetActualMemorySize vtkPoints2DGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkPoints2DGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:GetNumberOfPoints vtkPoints2DGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkPoints2DGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPoints ();return this Data GetNumberOfTuples  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:GetPoint__2 vtkPoints2DGetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPoints2DGetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint (vtkIdType id, double x[2]);this Data GetTuple id x  */
  if (arg.size() < 3) 
    throw Exception("Function GetPoint__2 for class vtkPoints2D requires 3 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetPoint__1 vtkPoints2DSetPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPoints2DSetPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint (vtkIdType id, const float x[2]);this Data SetTuple id x  */
  if (arg.size() < 3) 
    throw Exception("Function SetPoint__1 for class vtkPoints2D requires 3 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float  temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->SetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetPoint__2 vtkPoints2DSetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPoints2DSetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint (vtkIdType id, const double x[2]);this Data SetTuple id x  */
  if (arg.size() < 3) 
    throw Exception("Function SetPoint__2 for class vtkPoints2D requires 3 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetPoint__3 vtkPoints2DSetPoint__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPoints2DSetPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint (vtkIdType id, double x, double y); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint__3 for class vtkPoints2D requires 4 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:InsertPoint__1 vtkPoints2DInsertPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPoints2DInsertPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertPoint (vtkIdType id, const float x[2]);this Data InsertTuple id x  */
  if (arg.size() < 3) 
    throw Exception("Function InsertPoint__1 for class vtkPoints2D requires 3 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float  temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InsertPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:InsertPoint__2 vtkPoints2DInsertPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPoints2DInsertPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertPoint (vtkIdType id, const double x[2]);this Data InsertTuple id x  */
  if (arg.size() < 3) 
    throw Exception("Function InsertPoint__2 for class vtkPoints2D requires 3 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InsertPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:InsertPoint__3 vtkPoints2DInsertPoint__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPoints2DInsertPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertPoint (vtkIdType id, double x, double y); */
  if (arg.size() < 4) 
    throw Exception("Function InsertPoint__3 for class vtkPoints2D requires 4 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->InsertPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:InsertNextPoint__1 vtkPoints2DInsertNextPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkPoints2DInsertNextPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextPoint (const float x[2]);return this Data InsertNextTuple x  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextPoint__1 for class vtkPoints2D requires 2 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  float  temp0[2];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->InsertNextPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:InsertNextPoint__2 vtkPoints2DInsertNextPoint__2Function
//input a0 a1 
//output y
ArrayVector vtkPoints2DInsertNextPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextPoint (const double x[2]);return this Data InsertNextTuple x  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextPoint__2 for class vtkPoints2D requires 2 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  double temp0[2];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->InsertNextPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:InsertNextPoint__3 vtkPoints2DInsertNextPoint__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkPoints2DInsertNextPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextPoint (double x, double y); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextPoint__3 for class vtkPoints2D requires 3 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->InsertNextPoint(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:SetNumberOfPoints vtkPoints2DSetNumberOfPointsFunction
//input a0 a1 
//output none
ArrayVector vtkPoints2DSetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPoints (vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPoints for class vtkPoints2D requires 2 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:GetPoints vtkPoints2DGetPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPoints2DGetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoints (vtkIdList *ptId, vtkPoints2D *fp); */
  if (arg.size() < 3) 
    throw Exception("Function GetPoints for class vtkPoints2D requires 3 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  vtkPoints2D  *temp1;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints2D>(arg[2]);
  vtk_pointer->GetPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:ComputeBounds vtkPoints2DComputeBoundsFunction
//input a0 
//output none
ArrayVector vtkPoints2DComputeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeBounds for class vtkPoints2D requires 1 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  vtk_pointer->ComputeBounds();
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:GetBounds__2 vtkPoints2DGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkPoints2DGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[4]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkPoints2D requires 2 argument(s)");
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPoints2D:GetPoint vtkPoints2DGetPointFunction
//input varargin
//output varargout
ArrayVector vtkPoints2DGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPoints2DGetPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPoints2DGetPoint");
}

//@@Signature
//sfunction @vtkPoints2D:SetPoint vtkPoints2DSetPointFunction
//input varargin
//output varargout
ArrayVector vtkPoints2DSetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPoints2DSetPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPoints2DSetPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPoints2DSetPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPoints2DSetPoint");
}

//@@Signature
//sfunction @vtkPoints2D:InsertPoint vtkPoints2DInsertPointFunction
//input varargin
//output varargout
ArrayVector vtkPoints2DInsertPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPoints2DInsertPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPoints2DInsertPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPoints2DInsertPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPoints2DInsertPoint");
}

//@@Signature
//sfunction @vtkPoints2D:InsertNextPoint vtkPoints2DInsertNextPointFunction
//input varargin
//output varargout
ArrayVector vtkPoints2DInsertNextPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPoints2DInsertNextPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPoints2DInsertNextPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPoints2DInsertNextPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPoints2DInsertNextPoint");
}

//@@Signature
//sfunction @vtkPoints2D:GetBounds vtkPoints2DGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkPoints2DGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPoints2DGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPoints2DGetBounds");
}

//@@Signature
//sfunction @vtkPoints2D:display vtkPoints2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPoints2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPoints2D* vtk_pointer = GetVTKPointer<vtkPoints2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPoints2D:delete vtkPoints2DDeleteFunction
//input varargin
//output none
ArrayVector vtkPoints2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPoints2D
//@@Section VTKCommon
//@@Usage
// vtkPoints2D represents 2D points. The data model for vtkPoints2D is an
// array of vx-vy doublets accessible by (point or cell) id.
//
//To create an instance of class vtkPoints2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkPoints2D
//@]
//@@Methods
//The class vtkPoints2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPoints2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPoints2D = obj.NewInstance ()|
// \item @|vtkPoints2D = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Allocate (vtkIdType sz, vtkIdType ext)| -  Allocate initial memory size.
//// \item @|obj.Initialize ()| -  Return object to instantiated state.
//// \item @|obj.SetData (vtkDataArray )| -  Set/Get the underlying data array. This function must be implemented
// in a concrete subclass to check for consistency. (The tuple size must
// match the type of data. For example, 3-tuple data array can be assigned to
// a vector, normal, or points object, but not a tensor object, which has a
// tuple dimension of 9. Scalars, on the other hand, can have tuple dimension
//  from 1-4, depending on the type of scalar.)
//// \item @|vtkDataArray = obj.GetData ()| -  Return the underlying data type. An integer indicating data type is
// returned as specified in vtkSetGet.h.
//// \item @|int = obj.GetDataType ()| -  Return the underlying data type. An integer indicating data type is
// returned as specified in vtkSetGet.h.
//// \item @|obj.SetDataType (int dataType)| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToBit ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToChar ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToUnsignedChar ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToShort ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToUnsignedShort ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToInt ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToUnsignedInt ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToLong ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToUnsignedLong ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToFloat ()| -  Specify the underlying data type of the object.
//// \item @|obj.SetDataTypeToDouble ()| -  Return a void pointer. For image pipeline interface and other
// special pointer manipulation.
//// \item @|obj.Squeeze ()| -  Reclaim any extra memory.
//// \item @|obj.Reset ()| -  Make object look empty but do not delete memory.
//// \item @|obj.DeepCopy (vtkPoints2D ad)| -  Different ways to copy data. Shallow copy does reference count (i.e.,
// assigns pointers and updates reference count); deep copy runs through
// entire data array assigning values.
//// \item @|obj.ShallowCopy (vtkPoints2D ad)| -  Different ways to copy data. Shallow copy does reference count (i.e.,
// assigns pointers and updates reference count); deep copy runs through
// entire data array assigning values.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the memory in kilobytes consumed by this attribute data.
// Used to support streaming and reading/writing data. The value
// returned is guaranteed to be greater than or equal to the
// memory required to actually represent the data represented
// by this object. The information returned is valid only after
// the pipeline has been updated.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Return a pointer to a double point x[2] for a specific id.
// WARNING: Just don't use this error-prone method, the returned pointer
// and its values are only valid as long as another method invocation is not
// performed. Prefer GetPoint() with the return value in argument.
//// \item @|obj.GetPoint (vtkIdType id, double x[2])| -  Insert point into object. No range checking performed (fast!).
// Make sure you use SetNumberOfPoints() to allocate memory prior
// to using SetPoint().
//// \item @|obj.SetPoint (vtkIdType id, float x[2])| -  Insert point into object. No range checking performed (fast!).
// Make sure you use SetNumberOfPoints() to allocate memory prior
// to using SetPoint().
//// \item @|obj.SetPoint (vtkIdType id, double x[2])| -  Insert point into object. No range checking performed (fast!).
// Make sure you use SetNumberOfPoints() to allocate memory prior
// to using SetPoint().
//// \item @|obj.SetPoint (vtkIdType id, double x, double y)| -  Insert point into object. No range checking performed (fast!).
// Make sure you use SetNumberOfPoints() to allocate memory prior
// to using SetPoint().
//// \item @|obj.InsertPoint (vtkIdType id, float x[2])| -  Insert point into object. Range checking performed and memory
// allocated as necessary.
//// \item @|obj.InsertPoint (vtkIdType id, double x[2])| -  Insert point into object. Range checking performed and memory
// allocated as necessary.
//// \item @|obj.InsertPoint (vtkIdType id, double x, double y)| -  Insert point into object. Range checking performed and memory
// allocated as necessary.
//// \item @|vtkIdType = obj.InsertNextPoint (float x[2])| -  Insert point into next available slot. Returns id of slot.
//// \item @|vtkIdType = obj.InsertNextPoint (double x[2])| -  Insert point into next available slot. Returns id of slot.
//// \item @|vtkIdType = obj.InsertNextPoint (double x, double y)| -  Insert point into next available slot. Returns id of slot.
//// \item @|obj.SetNumberOfPoints (vtkIdType number)| -  Specify the number of points for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetPoint() method for fast insertion.
//// \item @|obj.GetPoints (vtkIdList ptId, vtkPoints2D fp)| -  Given a list of pt ids, return an array of points.
//// \item @|obj.ComputeBounds ()| -  Determine (xmin,xmax, ymin,ymax) bounds of points.
//// \item @|obj.GetBounds (double bounds[4])| -  Return the bounds of the points.
////\end{itemize}
//!
