#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolynomialSolversUnivariate object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolynomialSolversUnivariate.h"

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:vtkPolynomialSolversUnivariate vtkPolynomialSolversUnivariateConstructorFunction
//input a
//output p
//@@Parents vtkPolynomialSolversUnivariate vtkObject 
ArrayVector vtkPolynomialSolversUnivariateConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolynomialSolversUnivariate::New(),"vtkPolynomialSolversUnivariate",eval);
  } else if (arg[0].className() == "vtkPolynomialSolversUnivariate") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolynomialSolversUnivariate"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolynomialSolversUnivariate");
    vtkPolynomialSolversUnivariate*q = reinterpret_cast<vtkPolynomialSolversUnivariate*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolynomialSolversUnivariate");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:GetClassName vtkPolynomialSolversUnivariateGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolynomialSolversUnivariateGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolynomialSolversUnivariate requires 1 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:IsA vtkPolynomialSolversUnivariateIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolynomialSolversUnivariateIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolynomialSolversUnivariate requires 2 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:NewInstance vtkPolynomialSolversUnivariateNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolynomialSolversUnivariateNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolynomialSolversUnivariate *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolynomialSolversUnivariate requires 1 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  vtkPolynomialSolversUnivariate  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolynomialSolversUnivariate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SafeDownCast vtkPolynomialSolversUnivariateSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolynomialSolversUnivariateSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolynomialSolversUnivariate *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolynomialSolversUnivariate requires 2 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolynomialSolversUnivariate  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolynomialSolversUnivariate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:HabichtBisectionSolve__1 vtkPolynomialSolversUnivariateHabichtBisectionSolve__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkPolynomialSolversUnivariateHabichtBisectionSolve__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int HabichtBisectionSolve (double *P, int d, double *a, double *upperBnds, double tol); */
  if (arg.size() < 6) 
    throw Exception("Function HabichtBisectionSolve__1 for class vtkPolynomialSolversUnivariate requires 6 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  double  *temp2;
  double  *temp3;
  double   temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  temp20 = (vtk_pointer)->HabichtBisectionSolve(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:HabichtBisectionSolve__2 vtkPolynomialSolversUnivariateHabichtBisectionSolve__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkPolynomialSolversUnivariateHabichtBisectionSolve__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int HabichtBisectionSolve (double *P, int d, double *a, double *upperBnds, double tol, int intervalType); */
  if (arg.size() < 7) 
    throw Exception("Function HabichtBisectionSolve__2 for class vtkPolynomialSolversUnivariate requires 7 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  double  *temp2;
  double  *temp3;
  double   temp4;
  int      temp5;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->HabichtBisectionSolve(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:HabichtBisectionSolve__3 vtkPolynomialSolversUnivariateHabichtBisectionSolve__3Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkPolynomialSolversUnivariateHabichtBisectionSolve__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int HabichtBisectionSolve (double *P, int d, double *a, double *upperBnds, double tol, int intervalType, bool divideGCD); */
  if (arg.size() < 8) 
    throw Exception("Function HabichtBisectionSolve__3 for class vtkPolynomialSolversUnivariate requires 8 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  double  *temp2;
  double  *temp3;
  double   temp4;
  int      temp5;
  bool   temp6;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->HabichtBisectionSolve(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SturmBisectionSolve__1 vtkPolynomialSolversUnivariateSturmBisectionSolve__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkPolynomialSolversUnivariateSturmBisectionSolve__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SturmBisectionSolve (double *P, int d, double *a, double *upperBnds, double tol); */
  if (arg.size() < 6) 
    throw Exception("Function SturmBisectionSolve__1 for class vtkPolynomialSolversUnivariate requires 6 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  double  *temp2;
  double  *temp3;
  double   temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  temp20 = (vtk_pointer)->SturmBisectionSolve(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SturmBisectionSolve__2 vtkPolynomialSolversUnivariateSturmBisectionSolve__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkPolynomialSolversUnivariateSturmBisectionSolve__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SturmBisectionSolve (double *P, int d, double *a, double *upperBnds, double tol, int intervalType); */
  if (arg.size() < 7) 
    throw Exception("Function SturmBisectionSolve__2 for class vtkPolynomialSolversUnivariate requires 7 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  double  *temp2;
  double  *temp3;
  double   temp4;
  int      temp5;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->SturmBisectionSolve(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SturmBisectionSolve__3 vtkPolynomialSolversUnivariateSturmBisectionSolve__3Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkPolynomialSolversUnivariateSturmBisectionSolve__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SturmBisectionSolve (double *P, int d, double *a, double *upperBnds, double tol, int intervalType, bool divideGCD); */
  if (arg.size() < 8) 
    throw Exception("Function SturmBisectionSolve__3 for class vtkPolynomialSolversUnivariate requires 8 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  double  *temp2;
  double  *temp3;
  double   temp4;
  int      temp5;
  bool   temp6;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->SturmBisectionSolve(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:FilterRoots vtkPolynomialSolversUnivariateFilterRootsFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkPolynomialSolversUnivariateFilterRootsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int FilterRoots (double *P, int d, double *upperBnds, int rootcount, double diameter); */
  if (arg.size() < 6) 
    throw Exception("Function FilterRoots for class vtkPolynomialSolversUnivariate requires 6 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  double  *temp2;
  int      temp3;
  double   temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  temp20 = (vtk_pointer)->FilterRoots(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:FerrariSolve vtkPolynomialSolversUnivariateFerrariSolveFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPolynomialSolversUnivariateFerrariSolveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int FerrariSolve (double *c, double *r, int *m, double tol); */
  if (arg.size() < 5) 
    throw Exception("Function FerrariSolve for class vtkPolynomialSolversUnivariate requires 5 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int     *temp2;
  double   temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->FerrariSolve(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:TartagliaCardanSolve vtkPolynomialSolversUnivariateTartagliaCardanSolveFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPolynomialSolversUnivariateTartagliaCardanSolveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int TartagliaCardanSolve (double *c, double *r, int *m, double tol); */
  if (arg.size() < 5) 
    throw Exception("Function TartagliaCardanSolve for class vtkPolynomialSolversUnivariate requires 5 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int     *temp2;
  double   temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->TartagliaCardanSolve(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SolveCubic__2 vtkPolynomialSolversUnivariateSolveCubic__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output y
ArrayVector vtkPolynomialSolversUnivariateSolveCubic__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SolveCubic (double c0, double c1, double c2, double c3, double *r1, double *r2, double *r3, int *num_roots); */
  if (arg.size() < 9) 
    throw Exception("Function SolveCubic__2 for class vtkPolynomialSolversUnivariate requires 9 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double  *temp4;
  double  *temp5;
  double  *temp6;
  int     *temp7;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp6 = new double[length];
      for ( int k = 0; k < length; k++ ) temp6[k] = (double)data[k+1];
      }
    if ( !arg[8].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[8].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp7 = new int[length];
      for ( int k = 0; k < length; k++ ) temp7[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SolveCubic(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SolveQuadratic__2 vtkPolynomialSolversUnivariateSolveQuadratic__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkPolynomialSolversUnivariateSolveQuadratic__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SolveQuadratic (double c0, double c1, double c2, double *r1, double *r2, int *num_roots); */
  if (arg.size() < 7) 
    throw Exception("Function SolveQuadratic__2 for class vtkPolynomialSolversUnivariate requires 7 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  int     *temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new int[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SolveQuadratic(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SolveQuadratic__3 vtkPolynomialSolversUnivariateSolveQuadratic__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPolynomialSolversUnivariateSolveQuadratic__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SolveQuadratic (double *c, double *r, int *m); */
  if (arg.size() < 4) 
    throw Exception("Function SolveQuadratic__3 for class vtkPolynomialSolversUnivariate requires 4 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int     *temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SolveQuadratic(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SolveLinear__2 vtkPolynomialSolversUnivariateSolveLinear__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPolynomialSolversUnivariateSolveLinear__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SolveLinear (double c0, double c1, double *r1, int *num_roots); */
  if (arg.size() < 5) 
    throw Exception("Function SolveLinear__2 for class vtkPolynomialSolversUnivariate requires 5 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double  *temp2;
  int     *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SolveLinear(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SetDivisionTolerance vtkPolynomialSolversUnivariateSetDivisionToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkPolynomialSolversUnivariateSetDivisionToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetDivisionTolerance (double tol); */
  if (arg.size() < 2) 
    throw Exception("Function SetDivisionTolerance for class vtkPolynomialSolversUnivariate requires 2 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDivisionTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:GetDivisionTolerance vtkPolynomialSolversUnivariateGetDivisionToleranceFunction
//input a0 
//output y
ArrayVector vtkPolynomialSolversUnivariateGetDivisionToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double GetDivisionTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDivisionTolerance for class vtkPolynomialSolversUnivariate requires 1 argument(s)");
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDivisionTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:HabichtBisectionSolve vtkPolynomialSolversUnivariateHabichtBisectionSolveFunction
//input varargin
//output varargout
ArrayVector vtkPolynomialSolversUnivariateHabichtBisectionSolveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkPolynomialSolversUnivariateHabichtBisectionSolve__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkPolynomialSolversUnivariateHabichtBisectionSolve__2Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkPolynomialSolversUnivariateHabichtBisectionSolve__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolynomialSolversUnivariateHabichtBisectionSolve");
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SturmBisectionSolve vtkPolynomialSolversUnivariateSturmBisectionSolveFunction
//input varargin
//output varargout
ArrayVector vtkPolynomialSolversUnivariateSturmBisectionSolveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkPolynomialSolversUnivariateSturmBisectionSolve__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkPolynomialSolversUnivariateSturmBisectionSolve__2Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkPolynomialSolversUnivariateSturmBisectionSolve__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolynomialSolversUnivariateSturmBisectionSolve");
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SolveCubic vtkPolynomialSolversUnivariateSolveCubicFunction
//input varargin
//output varargout
ArrayVector vtkPolynomialSolversUnivariateSolveCubicFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 9) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]) && VTKIsVectorArg(arg[7]) && VTKIsVectorArg(arg[8]))
    return vtkPolynomialSolversUnivariateSolveCubic__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolynomialSolversUnivariateSolveCubic");
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SolveQuadratic vtkPolynomialSolversUnivariateSolveQuadraticFunction
//input varargin
//output varargout
ArrayVector vtkPolynomialSolversUnivariateSolveQuadraticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkPolynomialSolversUnivariateSolveQuadratic__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkPolynomialSolversUnivariateSolveQuadratic__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolynomialSolversUnivariateSolveQuadratic");
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:SolveLinear vtkPolynomialSolversUnivariateSolveLinearFunction
//input varargin
//output varargout
ArrayVector vtkPolynomialSolversUnivariateSolveLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkPolynomialSolversUnivariateSolveLinear__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolynomialSolversUnivariateSolveLinear");
}

//@@Signature
//sfunction @vtkPolynomialSolversUnivariate:display vtkPolynomialSolversUnivariateDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolynomialSolversUnivariateDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolynomialSolversUnivariate* vtk_pointer = GetVTKPointer<vtkPolynomialSolversUnivariate>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolynomialSolversUnivariate:delete vtkPolynomialSolversUnivariateDeleteFunction
//input varargin
//output none
ArrayVector vtkPolynomialSolversUnivariateDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolynomialSolversUnivariate
//@@Section VTKCommon
//@@Usage
// vtkPolynomialSolversUnivariate provides solvers for
// univariate polynomial equations with real coefficients.
// The Tartaglia-Cardan and Ferrari solvers work on polynomials of fixed
// degree 3 and 4, respectively.
// The Lin-Bairstow and Sturm solvers work on polynomials of arbitrary
// degree. The Sturm solver is the most robust solver but only reports
// roots within an interval and does not report multiplicities.
// The Lin-Bairstow solver reports multiplicities.
//
// For difficult polynomials, you may wish to use FilterRoots to
// eliminate some of the roots reported by the Sturm solver.
// FilterRoots evaluates the derivatives near each root to
// eliminate cases where a local minimum or maximum is close
// to zero.
//
// .SECTION Thanks
// Thanks to Philippe Pebay, Korben Rusek, David Thompson, and Maurice Rojas
// for implementing these solvers.
//
//To create an instance of class vtkPolynomialSolversUnivariate, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolynomialSolversUnivariate
//@]
//@@Methods
//The class vtkPolynomialSolversUnivariate has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolynomialSolversUnivariate class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolynomialSolversUnivariate = obj.NewInstance ()|
// \item @|vtkPolynomialSolversUnivariate = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
