#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPriorityQueue object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPriorityQueue.h"

//@@Signature
//sfunction @vtkPriorityQueue:vtkPriorityQueue vtkPriorityQueueConstructorFunction
//input a
//output p
//@@Parents vtkPriorityQueue vtkObject 
ArrayVector vtkPriorityQueueConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPriorityQueue::New(),"vtkPriorityQueue",eval);
  } else if (arg[0].className() == "vtkPriorityQueue") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPriorityQueue"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPriorityQueue");
    vtkPriorityQueue*q = reinterpret_cast<vtkPriorityQueue*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPriorityQueue");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPriorityQueue:GetClassName vtkPriorityQueueGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPriorityQueueGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPriorityQueue requires 1 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:IsA vtkPriorityQueueIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPriorityQueueIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPriorityQueue requires 2 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:NewInstance vtkPriorityQueueNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPriorityQueueNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPriorityQueue *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPriorityQueue requires 1 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  vtkPriorityQueue  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPriorityQueue",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:SafeDownCast vtkPriorityQueueSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPriorityQueueSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPriorityQueue *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPriorityQueue requires 2 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPriorityQueue  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPriorityQueue",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:Allocate vtkPriorityQueueAllocateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPriorityQueueAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Allocate (const vtkIdType sz, const vtkIdType ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkPriorityQueue requires 3 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Allocate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:Insert vtkPriorityQueueInsertFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPriorityQueueInsertFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Insert (double priority, vtkIdType id); */
  if (arg.size() < 3) 
    throw Exception("Function Insert for class vtkPriorityQueue requires 3 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  double   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Insert(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:Pop vtkPriorityQueuePopFunction
//input a0 a1 
//output y
ArrayVector vtkPriorityQueuePopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType Pop (vtkIdType location); */
  if (arg.size() < 2) 
    throw Exception("Function Pop for class vtkPriorityQueue requires 2 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->Pop(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:Peek vtkPriorityQueuePeekFunction
//input a0 a1 
//output y
ArrayVector vtkPriorityQueuePeekFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType Peek (vtkIdType location); */
  if (arg.size() < 2) 
    throw Exception("Function Peek for class vtkPriorityQueue requires 2 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->Peek(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:DeleteId vtkPriorityQueueDeleteIdFunction
//input a0 a1 
//output y
ArrayVector vtkPriorityQueueDeleteIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double DeleteId (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteId for class vtkPriorityQueue requires 2 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->DeleteId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:GetPriority vtkPriorityQueueGetPriorityFunction
//input a0 a1 
//output y
ArrayVector vtkPriorityQueueGetPriorityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPriority (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function GetPriority for class vtkPriorityQueue requires 2 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPriority(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:GetNumberOfItems vtkPriorityQueueGetNumberOfItemsFunction
//input a0 
//output y
ArrayVector vtkPriorityQueueGetNumberOfItemsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfItems ();return this MaxId  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfItems for class vtkPriorityQueue requires 1 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfItems();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:Reset vtkPriorityQueueResetFunction
//input a0 
//output none
ArrayVector vtkPriorityQueueResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkPriorityQueue requires 1 argument(s)");
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkPriorityQueue:display vtkPriorityQueueDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPriorityQueueDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPriorityQueue* vtk_pointer = GetVTKPointer<vtkPriorityQueue>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPriorityQueue:delete vtkPriorityQueueDeleteFunction
//input varargin
//output none
ArrayVector vtkPriorityQueueDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPriorityQueue
//@@Section VTKCommon
//@@Usage
// vtkPriorityQueue is a general object for creating and manipulating lists
// of object ids (e.g., point or cell ids). Object ids are sorted according
// to a user-specified priority, where entries at the top of the queue have
// the smallest values.
//
// This implementation provides a feature beyond the usual ability to insert
// and retrieve (or pop) values from the queue. It is also possible to
// pop any item in the queue given its id number. This allows you to delete
// entries in the queue which can useful for reinserting an item into the
// queue. 
//
//
//To create an instance of class vtkPriorityQueue, simply
//invoke its constructor as follows
//@[
//  obj = vtkPriorityQueue
//@]
//@@Methods
//The class vtkPriorityQueue has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPriorityQueue class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPriorityQueue = obj.NewInstance ()|
// \item @|vtkPriorityQueue = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Allocate (vtkIdType sz, vtkIdType ext)| -  Allocate initial space for priority queue.
//// \item @|obj.Insert (double priority, vtkIdType id)| -  Insert id with priority specified. The id is generally an
// index like a point id or cell id.
//// \item @|vtkIdType = obj.Pop (vtkIdType location)| -  Same as above but simplified for easier wrapping into interpreted
// languages.
//// \item @|vtkIdType = obj.Peek (vtkIdType location)| -  Peek into the queue without actually removing anything. Returns the
// id.
//// \item @|double = obj.DeleteId (vtkIdType id)| -  Delete entry in queue with specified id. Returns priority value
// associated with that id; or VTK_DOUBLE_MAX if not in queue.
//// \item @|double = obj.GetPriority (vtkIdType id)| -  Get the priority of an entry in the queue with specified id. Returns
// priority value of that id or VTK_DOUBLE_MAX if not in queue.
//// \item @|vtkIdType = obj.GetNumberOfItems ()| -  Return the number of items in this queue.
//// \item @|obj.Reset ()| -  Empty the queue but without releasing memory. This avoids the
// overhead of memory allocation/deletion.
////\end{itemize}
//!
