#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProp object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProp.h"

//@@Signature
//sfunction @vtkProp:vtkProp vtkPropConstructorFunction
//input a
//output p
//@@Parents vtkProp vtkObject 
ArrayVector vtkPropConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProp::New(),"vtkProp",eval);
  } else if (arg[0].className() == "vtkProp") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProp"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProp");
    vtkProp*q = reinterpret_cast<vtkProp*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProp");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProp:GetClassName vtkPropGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPropGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp:IsA vtkPropIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPropIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp:NewInstance vtkPropNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPropNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkProp  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp:SafeDownCast vtkPropSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPropSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProp  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetActors vtkPropGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkPropGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetActors2D vtkPropGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkPropGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetVolumes vtkPropGetVolumesFunction
//input a0 a1 
//output none
ArrayVector vtkPropGetVolumesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetVolumes (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetVolumes for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetVolumes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp:SetVisibility vtkPropSetVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkPropSetVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVisibility for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetVisibility vtkPropGetVisibilityFunction
//input a0 
//output y
ArrayVector vtkPropGetVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVisibility for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp:VisibilityOn vtkPropVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkPropVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VisibilityOn for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtk_pointer->VisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkProp:VisibilityOff vtkPropVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkPropVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VisibilityOff for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtk_pointer->VisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkProp:SetPickable vtkPropSetPickableFunction
//input a0 a1 
//output none
ArrayVector vtkPropSetPickableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPickable (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPickable for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPickable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetPickable vtkPropGetPickableFunction
//input a0 
//output y
ArrayVector vtkPropGetPickableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPickable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPickable for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPickable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp:PickableOn vtkPropPickableOnFunction
//input a0 
//output none
ArrayVector vtkPropPickableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PickableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PickableOn for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtk_pointer->PickableOn();
  return retval;
}

//@@Signature
//sfunction @vtkProp:PickableOff vtkPropPickableOffFunction
//input a0 
//output none
ArrayVector vtkPropPickableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PickableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PickableOff for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtk_pointer->PickableOff();
  return retval;
}

//@@Signature
//sfunction @vtkProp:Pick vtkPropPickFunction
//input a0 
//output none
ArrayVector vtkPropPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Pick (); */
  if (arg.size() < 1) 
    throw Exception("Function Pick for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtk_pointer->Pick();
  return retval;
}

//@@Signature
//sfunction @vtkProp:SetDragable vtkPropSetDragableFunction
//input a0 a1 
//output none
ArrayVector vtkPropSetDragableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDragable (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDragable for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDragable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetDragable vtkPropGetDragableFunction
//input a0 
//output y
ArrayVector vtkPropGetDragableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDragable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDragable for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDragable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp:DragableOn vtkPropDragableOnFunction
//input a0 
//output none
ArrayVector vtkPropDragableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DragableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DragableOn for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtk_pointer->DragableOn();
  return retval;
}

//@@Signature
//sfunction @vtkProp:DragableOff vtkPropDragableOffFunction
//input a0 
//output none
ArrayVector vtkPropDragableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DragableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DragableOff for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtk_pointer->DragableOff();
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetRedrawMTime vtkPropGetRedrawMTimeFunction
//input a0 
//output y
ArrayVector vtkPropGetRedrawMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetRedrawMTime ();return this GetMTime  */
  if (arg.size() < 1) 
    throw Exception("Function GetRedrawMTime for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetRedrawMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp:SetUseBounds vtkPropSetUseBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkPropSetUseBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseBounds (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseBounds for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetUseBounds vtkPropGetUseBoundsFunction
//input a0 
//output y
ArrayVector vtkPropGetUseBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseBounds for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseBounds();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkProp:UseBoundsOn vtkPropUseBoundsOnFunction
//input a0 
//output none
ArrayVector vtkPropUseBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseBoundsOn for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtk_pointer->UseBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkProp:UseBoundsOff vtkPropUseBoundsOffFunction
//input a0 
//output none
ArrayVector vtkPropUseBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseBoundsOff for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtk_pointer->UseBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetBounds vtkPropGetBoundsFunction
//input a0 
//output y
ArrayVector vtkPropGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds ();return NULL  */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp:ShallowCopy vtkPropShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPropShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp:InitPathTraversal vtkPropInitPathTraversalFunction
//input a0 
//output none
ArrayVector vtkPropInitPathTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitPathTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitPathTraversal for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtk_pointer->InitPathTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetNextPath vtkPropGetNextPathFunction
//input a0 
//output y
ArrayVector vtkPropGetNextPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAssemblyPath *GetNextPath (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextPath for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp20;
  temp20 = (vtk_pointer)->GetNextPath();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetNumberOfPaths vtkPropGetNumberOfPathsFunction
//input a0 
//output y
ArrayVector vtkPropGetNumberOfPathsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfPaths ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPaths for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPaths();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp:PokeMatrix vtkPropPokeMatrixFunction
//input a0 a1 
//output none
ArrayVector vtkPropPokeMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PokeMatrix (vtkMatrix4x4 *); */
  if (arg.size() < 2) 
    throw Exception("Function PokeMatrix for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->PokeMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetMatrix vtkPropGetMatrixFunction
//input a0 
//output y
ArrayVector vtkPropGetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMatrix4x4 *GetMatrix ();return NULL  */
  if (arg.size() < 1) 
    throw Exception("Function GetMatrix for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetMatrix();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp:GetPropertyKeys vtkPropGetPropertyKeysFunction
//input a0 
//output y
ArrayVector vtkPropGetPropertyKeysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetPropertyKeys (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPropertyKeys for class vtkProp requires 1 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkInformation  *temp20;
  temp20 = (vtk_pointer)->GetPropertyKeys();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp:SetPropertyKeys vtkPropSetPropertyKeysFunction
//input a0 a1 
//output none
ArrayVector vtkPropSetPropertyKeysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPropertyKeys (vtkInformation *keys); */
  if (arg.size() < 2) 
    throw Exception("Function SetPropertyKeys for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->SetPropertyKeys(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp:HasKeys vtkPropHasKeysFunction
//input a0 a1 
//output y
ArrayVector vtkPropHasKeysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool HasKeys (vtkInformation *requiredKeys); */
  if (arg.size() < 2) 
    throw Exception("Function HasKeys for class vtkProp requires 2 argument(s)");
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->HasKeys(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkProp:display vtkPropDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPropDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProp* vtk_pointer = GetVTKPointer<vtkProp>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProp:delete vtkPropDeleteFunction
//input varargin
//output none
ArrayVector vtkPropDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProp
//@@Section VTKCommon
//@@Usage
// vtkProp is an abstract superclass for any objects that can exist in a
// rendered scene (either 2D or 3D). Instances of vtkProp may respond to
// various render methods (e.g., RenderOpaqueGeometry()). vtkProp also
// defines the API for picking, LOD manipulation, and common instance 
// variables that control visibility, picking, and dragging.
//
//To create an instance of class vtkProp, simply
//invoke its constructor as follows
//@[
//  obj = vtkProp
//@]
//@@Methods
//The class vtkProp has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProp class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProp = obj.NewInstance ()|
// \item @|vtkProp = obj.SafeDownCast (vtkObject o)|
// \item @|obj.GetActors (vtkPropCollection )| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. These methods
// are used in that process.
//// \item @|obj.GetActors2D (vtkPropCollection )| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. These methods
// are used in that process.
//// \item @|obj.GetVolumes (vtkPropCollection )| -  Set/Get visibility of this vtkProp. Initial value is true.
//// \item @|obj.SetVisibility (int )| -  Set/Get visibility of this vtkProp. Initial value is true.
//// \item @|int = obj.GetVisibility ()| -  Set/Get visibility of this vtkProp. Initial value is true.
//// \item @|obj.VisibilityOn ()| -  Set/Get visibility of this vtkProp. Initial value is true.
//// \item @|obj.VisibilityOff ()| -  Set/Get visibility of this vtkProp. Initial value is true.
//// \item @|obj.SetPickable (int )| -  Set/Get the pickable instance variable.  This determines if the vtkProp
// can be picked (typically using the mouse). Also see dragable.
// Initial value is true.
//// \item @|int = obj.GetPickable ()| -  Set/Get the pickable instance variable.  This determines if the vtkProp
// can be picked (typically using the mouse). Also see dragable.
// Initial value is true.
//// \item @|obj.PickableOn ()| -  Set/Get the pickable instance variable.  This determines if the vtkProp
// can be picked (typically using the mouse). Also see dragable.
// Initial value is true.
//// \item @|obj.PickableOff ()| -  Set/Get the pickable instance variable.  This determines if the vtkProp
// can be picked (typically using the mouse). Also see dragable.
// Initial value is true.
//// \item @|obj.Pick ()| -  Method fires PickEvent if the prop is picked.
//// \item @|obj.SetDragable (int )| -  Set/Get the value of the dragable instance variable. This determines if 
// an Prop, once picked, can be dragged (translated) through space.
// This is typically done through an interactive mouse interface.
// This does not affect methods such as SetPosition, which will continue
// to work.  It is just intended to prevent some vtkProp'ss from being
// dragged from within a user interface.
// Initial value is true.
//// \item @|int = obj.GetDragable ()| -  Set/Get the value of the dragable instance variable. This determines if 
// an Prop, once picked, can be dragged (translated) through space.
// This is typically done through an interactive mouse interface.
// This does not affect methods such as SetPosition, which will continue
// to work.  It is just intended to prevent some vtkProp'ss from being
// dragged from within a user interface.
// Initial value is true.
//// \item @|obj.DragableOn ()| -  Set/Get the value of the dragable instance variable. This determines if 
// an Prop, once picked, can be dragged (translated) through space.
// This is typically done through an interactive mouse interface.
// This does not affect methods such as SetPosition, which will continue
// to work.  It is just intended to prevent some vtkProp'ss from being
// dragged from within a user interface.
// Initial value is true.
//// \item @|obj.DragableOff ()| -  Set/Get the value of the dragable instance variable. This determines if 
// an Prop, once picked, can be dragged (translated) through space.
// This is typically done through an interactive mouse interface.
// This does not affect methods such as SetPosition, which will continue
// to work.  It is just intended to prevent some vtkProp'ss from being
// dragged from within a user interface.
// Initial value is true.
//// \item @|long = obj.GetRedrawMTime ()| -  In case the Visibility flag is true, tell if the bounds of this prop
// should be taken into account or ignored during the computation of other
// bounding boxes, like in vtkRenderer::ResetCamera().
// Initial value is true.
//// \item @|obj.SetUseBounds (bool )| -  In case the Visibility flag is true, tell if the bounds of this prop
// should be taken into account or ignored during the computation of other
// bounding boxes, like in vtkRenderer::ResetCamera().
// Initial value is true.
//// \item @|bool = obj.GetUseBounds ()| -  In case the Visibility flag is true, tell if the bounds of this prop
// should be taken into account or ignored during the computation of other
// bounding boxes, like in vtkRenderer::ResetCamera().
// Initial value is true.
//// \item @|obj.UseBoundsOn ()| -  In case the Visibility flag is true, tell if the bounds of this prop
// should be taken into account or ignored during the computation of other
// bounding boxes, like in vtkRenderer::ResetCamera().
// Initial value is true.
//// \item @|obj.UseBoundsOff ()| -  In case the Visibility flag is true, tell if the bounds of this prop
// should be taken into account or ignored during the computation of other
// bounding boxes, like in vtkRenderer::ResetCamera().
// Initial value is true.
//// \item @|double = obj.GetBounds ()| -  Shallow copy of this vtkProp.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of this vtkProp.
//// \item @|obj.InitPathTraversal ()| -  vtkProp and its subclasses can be picked by subclasses of
// vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface
// with the picking classes and return "pick paths". A pick path is a
// hierarchical, ordered list of props that form an assembly.  Most often,
// when a vtkProp is picked, its path consists of a single node (i.e., the
// prop). However, classes like vtkAssembly and vtkPropAssembly can return
// more than one path, each path being several layers deep. (See
// vtkAssemblyPath for more information.)  To use these methods - first
// invoke InitPathTraversal() followed by repeated calls to GetNextPath().
// GetNextPath() returns a NULL pointer when the list is exhausted.
//// \item @|vtkAssemblyPath = obj.GetNextPath ()| -  vtkProp and its subclasses can be picked by subclasses of
// vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface
// with the picking classes and return "pick paths". A pick path is a
// hierarchical, ordered list of props that form an assembly.  Most often,
// when a vtkProp is picked, its path consists of a single node (i.e., the
// prop). However, classes like vtkAssembly and vtkPropAssembly can return
// more than one path, each path being several layers deep. (See
// vtkAssemblyPath for more information.)  To use these methods - first
// invoke InitPathTraversal() followed by repeated calls to GetNextPath().
// GetNextPath() returns a NULL pointer when the list is exhausted.
//// \item @|int = obj.GetNumberOfPaths ()| -  These methods are used by subclasses to place a matrix (if any) in the
// prop prior to rendering. Generally used only for picking. See vtkProp3D
// for more information.
//// \item @|obj.PokeMatrix (vtkMatrix4x4 )| -  These methods are used by subclasses to place a matrix (if any) in the
// prop prior to rendering. Generally used only for picking. See vtkProp3D
// for more information.
//// \item @|vtkMatrix4x4 = obj.GetMatrix ()| -  Set/Get property keys. Property keys can be digest by some rendering
// passes.
// For instance, the user may mark a prop as a shadow caster for a
// shadow mapping render pass. Keys are documented in render pass classes.
// Initial value is NULL.
//// \item @|vtkInformation = obj.GetPropertyKeys ()| -  Set/Get property keys. Property keys can be digest by some rendering
// passes.
// For instance, the user may mark a prop as a shadow caster for a
// shadow mapping render pass. Keys are documented in render pass classes.
// Initial value is NULL.
//// \item @|obj.SetPropertyKeys (vtkInformation keys)| -  Set/Get property keys. Property keys can be digest by some rendering
// passes.
// For instance, the user may mark a prop as a shadow caster for a
// shadow mapping render pass. Keys are documented in render pass classes.
// Initial value is NULL.
//// \item @|bool = obj.HasKeys (vtkInformation requiredKeys)| -  Tells if the prop has all the required keys.
// \pre keys_can_be_null: requiredKeys==0 || requiredKeys!=0
////\end{itemize}
//!
