#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPropCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPropCollection.h"

//@@Signature
//sfunction @vtkPropCollection:vtkPropCollection vtkPropCollectionConstructorFunction
//input a
//output p
//@@Parents vtkPropCollection vtkCollection 
ArrayVector vtkPropCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPropCollection::New(),"vtkPropCollection",eval);
  } else if (arg[0].className() == "vtkPropCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPropCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPropCollection");
    vtkPropCollection*q = reinterpret_cast<vtkPropCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPropCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPropCollection:GetClassName vtkPropCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPropCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPropCollection requires 1 argument(s)");
  vtkPropCollection* vtk_pointer = GetVTKPointer<vtkPropCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropCollection:IsA vtkPropCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPropCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPropCollection requires 2 argument(s)");
  vtkPropCollection* vtk_pointer = GetVTKPointer<vtkPropCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropCollection:NewInstance vtkPropCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPropCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPropCollection requires 1 argument(s)");
  vtkPropCollection* vtk_pointer = GetVTKPointer<vtkPropCollection>(arg[0]);
  Array retval;
  vtkPropCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPropCollection:SafeDownCast vtkPropCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPropCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPropCollection requires 2 argument(s)");
  vtkPropCollection* vtk_pointer = GetVTKPointer<vtkPropCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPropCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPropCollection:AddItem__1 vtkPropCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkPropCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkProp *a); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkPropCollection requires 2 argument(s)");
  vtkPropCollection* vtk_pointer = GetVTKPointer<vtkPropCollection>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPropCollection:GetNextProp vtkPropCollectionGetNextPropFunction
//input a0 
//output y
ArrayVector vtkPropCollectionGetNextPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp *GetNextProp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextProp for class vtkPropCollection requires 1 argument(s)");
  vtkPropCollection* vtk_pointer = GetVTKPointer<vtkPropCollection>(arg[0]);
  Array retval;
  vtkProp  *temp20;
  temp20 = (vtk_pointer)->GetNextProp();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPropCollection:GetLastProp vtkPropCollectionGetLastPropFunction
//input a0 
//output y
ArrayVector vtkPropCollectionGetLastPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp *GetLastProp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastProp for class vtkPropCollection requires 1 argument(s)");
  vtkPropCollection* vtk_pointer = GetVTKPointer<vtkPropCollection>(arg[0]);
  Array retval;
  vtkProp  *temp20;
  temp20 = (vtk_pointer)->GetLastProp();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPropCollection:GetNumberOfPaths vtkPropCollectionGetNumberOfPathsFunction
//input a0 
//output y
ArrayVector vtkPropCollectionGetNumberOfPathsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPaths (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPaths for class vtkPropCollection requires 1 argument(s)");
  vtkPropCollection* vtk_pointer = GetVTKPointer<vtkPropCollection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPaths();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropCollection:AddItem vtkPropCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkPropCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkProp"))
    return vtkPropCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropCollectionAddItem");
}

//@@Signature
//sfunction @vtkPropCollection:display vtkPropCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPropCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPropCollection* vtk_pointer = GetVTKPointer<vtkPropCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPropCollection:delete vtkPropCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkPropCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPropCollection
//@@Section VTKCommon
//@@Usage
// vtkPropCollection represents and provides methods to manipulate a list of
// Props (i.e., vtkProp and subclasses). The list is unsorted and duplicate
// entries are not prevented.
//
//To create an instance of class vtkPropCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkPropCollection
//@]
//@@Methods
//The class vtkPropCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPropCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPropCollection = obj.NewInstance ()|
// \item @|vtkPropCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkProp a)| -  Add an Prop to the list.
//// \item @|vtkProp = obj.GetNextProp ()| -  Get the next Prop in the list.
//// \item @|vtkProp = obj.GetLastProp ()| -  Get the last Prop in the list.
//// \item @|int = obj.GetNumberOfPaths ()| -  Get the number of paths contained in this list. (Recall that a
// vtkProp can consist of multiple parts.) Used in picking and other
// activities to get the parts of composite entities like vtkAssembly
// or vtkPropAssembly.
////\end{itemize}
//!
