#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProperty2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProperty2D.h"

//@@Signature
//sfunction @vtkProperty2D:vtkProperty2D vtkProperty2DConstructorFunction
//input a
//output p
//@@Parents vtkProperty2D vtkObject 
ArrayVector vtkProperty2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProperty2D::New(),"vtkProperty2D",eval);
  } else if (arg[0].className() == "vtkProperty2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProperty2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProperty2D");
    vtkProperty2D*q = reinterpret_cast<vtkProperty2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProperty2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProperty2D:GetClassName vtkProperty2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:IsA vtkProperty2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProperty2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProperty2D requires 2 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:NewInstance vtkProperty2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProperty2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SafeDownCast vtkProperty2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProperty2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProperty2D requires 2 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProperty2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:DeepCopy vtkProperty2DDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkProperty2DDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkProperty2D *p); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkProperty2D requires 2 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp0;
  temp0 = GetVTKPointer<vtkProperty2D>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetColor__1 vtkProperty2DSetColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProperty2DSetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetColor__1 for class vtkProperty2D requires 4 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetColor__2 vtkProperty2DSetColor__2Function
//input a0 a1 
//output none
ArrayVector vtkProperty2DSetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetColor__2 for class vtkProperty2D requires 2 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetColor vtkProperty2DGetColorFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColor for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetOpacity vtkProperty2DGetOpacityFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpacity for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetOpacity vtkProperty2DSetOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkProperty2DSetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOpacity for class vtkProperty2D requires 2 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetPointSize vtkProperty2DSetPointSizeFunction
//input a0 a1 
//output none
ArrayVector vtkProperty2DSetPointSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointSize (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointSize for class vtkProperty2D requires 2 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPointSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetPointSizeMinValue vtkProperty2DGetPointSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetPointSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPointSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointSizeMinValue for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPointSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetPointSizeMaxValue vtkProperty2DGetPointSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetPointSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPointSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointSizeMaxValue for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPointSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetPointSize vtkProperty2DGetPointSizeFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetPointSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPointSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointSize for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPointSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetLineWidth vtkProperty2DSetLineWidthFunction
//input a0 a1 
//output none
ArrayVector vtkProperty2DSetLineWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineWidth (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineWidth for class vtkProperty2D requires 2 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLineWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetLineWidthMinValue vtkProperty2DGetLineWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetLineWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLineWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineWidthMinValue for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLineWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetLineWidthMaxValue vtkProperty2DGetLineWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetLineWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLineWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineWidthMaxValue for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLineWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetLineWidth vtkProperty2DGetLineWidthFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetLineWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLineWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineWidth for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLineWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetLineStipplePattern vtkProperty2DSetLineStipplePatternFunction
//input a0 a1 
//output none
ArrayVector vtkProperty2DSetLineStipplePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineStipplePattern (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineStipplePattern for class vtkProperty2D requires 2 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLineStipplePattern(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetLineStipplePattern vtkProperty2DGetLineStipplePatternFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetLineStipplePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLineStipplePattern (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineStipplePattern for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLineStipplePattern();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetLineStippleRepeatFactor vtkProperty2DSetLineStippleRepeatFactorFunction
//input a0 a1 
//output none
ArrayVector vtkProperty2DSetLineStippleRepeatFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineStippleRepeatFactor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineStippleRepeatFactor for class vtkProperty2D requires 2 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLineStippleRepeatFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetLineStippleRepeatFactorMinValue vtkProperty2DGetLineStippleRepeatFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetLineStippleRepeatFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLineStippleRepeatFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineStippleRepeatFactorMinValue for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLineStippleRepeatFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetLineStippleRepeatFactorMaxValue vtkProperty2DGetLineStippleRepeatFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetLineStippleRepeatFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLineStippleRepeatFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineStippleRepeatFactorMaxValue for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLineStippleRepeatFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetLineStippleRepeatFactor vtkProperty2DGetLineStippleRepeatFactorFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetLineStippleRepeatFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLineStippleRepeatFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineStippleRepeatFactor for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLineStippleRepeatFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetDisplayLocation vtkProperty2DSetDisplayLocationFunction
//input a0 a1 
//output none
ArrayVector vtkProperty2DSetDisplayLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayLocation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayLocation for class vtkProperty2D requires 2 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDisplayLocation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetDisplayLocationMinValue vtkProperty2DGetDisplayLocationMinValueFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetDisplayLocationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDisplayLocationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayLocationMinValue for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDisplayLocationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetDisplayLocationMaxValue vtkProperty2DGetDisplayLocationMaxValueFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetDisplayLocationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDisplayLocationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayLocationMaxValue for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDisplayLocationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:GetDisplayLocation vtkProperty2DGetDisplayLocationFunction
//input a0 
//output y
ArrayVector vtkProperty2DGetDisplayLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDisplayLocation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayLocation for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDisplayLocation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetDisplayLocationToBackground vtkProperty2DSetDisplayLocationToBackgroundFunction
//input a0 
//output none
ArrayVector vtkProperty2DSetDisplayLocationToBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayLocationToBackground ();this DisplayLocation VTK_BACKGROUND_LOCATION  */
  if (arg.size() < 1) 
    throw Exception("Function SetDisplayLocationToBackground for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDisplayLocationToBackground();
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetDisplayLocationToForeground vtkProperty2DSetDisplayLocationToForegroundFunction
//input a0 
//output none
ArrayVector vtkProperty2DSetDisplayLocationToForegroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayLocationToForeground ();this DisplayLocation VTK_FOREGROUND_LOCATION  */
  if (arg.size() < 1) 
    throw Exception("Function SetDisplayLocationToForeground for class vtkProperty2D requires 1 argument(s)");
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  Array retval;
  vtk_pointer->SetDisplayLocationToForeground();
  return retval;
}

//@@Signature
//sfunction @vtkProperty2D:SetColor vtkProperty2DSetColorFunction
//input varargin
//output varargout
ArrayVector vtkProperty2DSetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProperty2DSetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProperty2DSetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProperty2DSetColor");
}

//@@Signature
//sfunction @vtkProperty2D:display vtkProperty2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProperty2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProperty2D* vtk_pointer = GetVTKPointer<vtkProperty2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProperty2D:delete vtkProperty2DDeleteFunction
//input varargin
//output none
ArrayVector vtkProperty2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProperty2D
//@@Section VTKCommon
//@@Usage
// vtkProperty2D contains properties used to render two dimensional images
// and annotations.
//
//To create an instance of class vtkProperty2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkProperty2D
//@]
//@@Methods
//The class vtkProperty2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProperty2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProperty2D = obj.NewInstance ()|
// \item @|vtkProperty2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DeepCopy (vtkProperty2D p)| -  Assign one property to another. 
//// \item @|obj.SetColor (double , double , double )| -  Set/Get the RGB color of this property.
//// \item @|obj.SetColor (double  a[3])| -  Set/Get the RGB color of this property.
//// \item @|double = obj. GetColor ()| -  Set/Get the RGB color of this property.
//// \item @|double = obj.GetOpacity ()| -  Set/Get the Opacity of this property.
//// \item @|obj.SetOpacity (double )| -  Set/Get the Opacity of this property.
//// \item @|obj.SetPointSize (float )| -  Set/Get the diameter of a Point. The size is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetPointSizeMinValue ()| -  Set/Get the diameter of a Point. The size is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetPointSizeMaxValue ()| -  Set/Get the diameter of a Point. The size is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetPointSize ()| -  Set/Get the diameter of a Point. The size is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|obj.SetLineWidth (float )| -  Set/Get the width of a Line. The width is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetLineWidthMinValue ()| -  Set/Get the width of a Line. The width is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetLineWidthMaxValue ()| -  Set/Get the width of a Line. The width is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetLineWidth ()| -  Set/Get the width of a Line. The width is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|obj.SetLineStipplePattern (int )| -  Set/Get the stippling pattern of a Line, as a 16-bit binary pattern 
// (1 = pixel on, 0 = pixel off).
// This is only implemented for OpenGL. The default is 0xFFFF.
//// \item @|int = obj.GetLineStipplePattern ()| -  Set/Get the stippling pattern of a Line, as a 16-bit binary pattern 
// (1 = pixel on, 0 = pixel off).
// This is only implemented for OpenGL. The default is 0xFFFF.
//// \item @|obj.SetLineStippleRepeatFactor (int )| -  Set/Get the stippling repeat factor of a Line, which specifies how
// many times each bit in the pattern is to be repeated.
// This is only implemented for OpenGL. The default is 1.
//// \item @|int = obj.GetLineStippleRepeatFactorMinValue ()| -  Set/Get the stippling repeat factor of a Line, which specifies how
// many times each bit in the pattern is to be repeated.
// This is only implemented for OpenGL. The default is 1.
//// \item @|int = obj.GetLineStippleRepeatFactorMaxValue ()| -  Set/Get the stippling repeat factor of a Line, which specifies how
// many times each bit in the pattern is to be repeated.
// This is only implemented for OpenGL. The default is 1.
//// \item @|int = obj.GetLineStippleRepeatFactor ()| -  Set/Get the stippling repeat factor of a Line, which specifies how
// many times each bit in the pattern is to be repeated.
// This is only implemented for OpenGL. The default is 1.
//// \item @|obj.SetDisplayLocation (int )| -  The DisplayLocation is either background or foreground.
// If it is background, then this 2D actor will be drawn
// behind all 3D props or foreground 2D actors. If it is
// background, then this 2D actor will be drawn in front of
// all 3D props and background 2D actors. Within 2D actors
// of the same DisplayLocation type, order is determined by
// the order in which the 2D actors were added to the viewport.
//// \item @|int = obj.GetDisplayLocationMinValue ()| -  The DisplayLocation is either background or foreground.
// If it is background, then this 2D actor will be drawn
// behind all 3D props or foreground 2D actors. If it is
// background, then this 2D actor will be drawn in front of
// all 3D props and background 2D actors. Within 2D actors
// of the same DisplayLocation type, order is determined by
// the order in which the 2D actors were added to the viewport.
//// \item @|int = obj.GetDisplayLocationMaxValue ()| -  The DisplayLocation is either background or foreground.
// If it is background, then this 2D actor will be drawn
// behind all 3D props or foreground 2D actors. If it is
// background, then this 2D actor will be drawn in front of
// all 3D props and background 2D actors. Within 2D actors
// of the same DisplayLocation type, order is determined by
// the order in which the 2D actors were added to the viewport.
//// \item @|int = obj.GetDisplayLocation ()| -  The DisplayLocation is either background or foreground.
// If it is background, then this 2D actor will be drawn
// behind all 3D props or foreground 2D actors. If it is
// background, then this 2D actor will be drawn in front of
// all 3D props and background 2D actors. Within 2D actors
// of the same DisplayLocation type, order is determined by
// the order in which the 2D actors were added to the viewport.
//// \item @|obj.SetDisplayLocationToBackground ()| -  The DisplayLocation is either background or foreground.
// If it is background, then this 2D actor will be drawn
// behind all 3D props or foreground 2D actors. If it is
// background, then this 2D actor will be drawn in front of
// all 3D props and background 2D actors. Within 2D actors
// of the same DisplayLocation type, order is determined by
// the order in which the 2D actors were added to the viewport.
//// \item @|obj.SetDisplayLocationToForeground ()| -  The DisplayLocation is either background or foreground.
// If it is background, then this 2D actor will be drawn
// behind all 3D props or foreground 2D actors. If it is
// background, then this 2D actor will be drawn in front of
// all 3D props and background 2D actors. Within 2D actors
// of the same DisplayLocation type, order is determined by
// the order in which the 2D actors were added to the viewport.
////\end{itemize}
//!
