#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQuadric object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQuadric.h"

//@@Signature
//sfunction @vtkQuadric:vtkQuadric vtkQuadricConstructorFunction
//input a
//output p
//@@Parents vtkQuadric vtkImplicitFunction 
ArrayVector vtkQuadricConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQuadric::New(),"vtkQuadric",eval);
  } else if (arg[0].className() == "vtkQuadric") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQuadric"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQuadric");
    vtkQuadric*q = reinterpret_cast<vtkQuadric*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQuadric");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQuadric:GetClassName vtkQuadricGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQuadricGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQuadric requires 1 argument(s)");
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadric:IsA vtkQuadricIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQuadricIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQuadric requires 2 argument(s)");
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadric:NewInstance vtkQuadricNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQuadricNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadric *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQuadric requires 1 argument(s)");
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  Array retval;
  vtkQuadric  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadric:SafeDownCast vtkQuadricSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQuadricSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadric *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQuadric requires 2 argument(s)");
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQuadric  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadric:EvaluateFunction__1 vtkQuadricEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkQuadricEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkQuadric requires 2 argument(s)");
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadric:EvaluateFunction__2 vtkQuadricEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkQuadricEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkQuadric requires 4 argument(s)");
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadric:EvaluateGradient vtkQuadricEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQuadricEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double g[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkQuadric requires 3 argument(s)");
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQuadric:SetCoefficients__1 vtkQuadricSetCoefficients__1Function
//input a0 a1 
//output none
ArrayVector vtkQuadricSetCoefficients__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoefficients (double a[10]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoefficients__1 for class vtkQuadric requires 2 argument(s)");
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  Array retval;
  double temp0[10];
  if ( !(arg[1].isVector() && arg[1].length() == 10) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCoefficients(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadric:SetCoefficients__2 vtkQuadricSetCoefficients__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkQuadricSetCoefficients__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoefficients (double a0, double a1, double a2, double a3, double a4, double a5, double a6, double a7, double a8, double a9); */
  if (arg.size() < 11) 
    throw Exception("Function SetCoefficients__2 for class vtkQuadric requires 11 argument(s)");
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp8 = (double) arg[9].asDouble();
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (double) arg[10].asDouble();
  vtk_pointer->SetCoefficients(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkQuadric:GetCoefficients vtkQuadricGetCoefficientsFunction
//input a0 
//output y
ArrayVector vtkQuadricGetCoefficientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCoefficients (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoefficients for class vtkQuadric requires 1 argument(s)");
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCoefficients();
  BasicArray<double> tempResult(NTuple(10,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  tempResult[7] = (double)temp20[6];
  tempResult[8] = (double)temp20[7];
  tempResult[9] = (double)temp20[8];
  tempResult[10] = (double)temp20[9];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkQuadric:EvaluateFunction vtkQuadricEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkQuadricEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkQuadricEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkQuadricEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkQuadricEvaluateFunction");
}

//@@Signature
//sfunction @vtkQuadric:SetCoefficients vtkQuadricSetCoefficientsFunction
//input varargin
//output varargout
ArrayVector vtkQuadricSetCoefficientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkQuadricSetCoefficients__1Function(nargout,arg,eval);
  if ((arg.size() == 11) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]) && VTKIsScalarArg(arg[8]) && VTKIsScalarArg(arg[9]) && VTKIsScalarArg(arg[10]))
    return vtkQuadricSetCoefficients__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkQuadricSetCoefficients");
}

//@@Signature
//sfunction @vtkQuadric:display vtkQuadricDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQuadricDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQuadric* vtk_pointer = GetVTKPointer<vtkQuadric>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQuadric:delete vtkQuadricDeleteFunction
//input varargin
//output none
ArrayVector vtkQuadricDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQuadric
//@@Section VTKCommon
//@@Usage
// vtkQuadric evaluates the quadric function F(x,y,z) = a0*x^2 + a1*y^2 + 
// a2*z^2 + a3*x*y + a4*y*z + a5*x*z + a6*x + a7*y + a8*z + a9. vtkQuadric is
// a concrete implementation of vtkImplicitFunction.
//
//To create an instance of class vtkQuadric, simply
//invoke its constructor as follows
//@[
//  obj = vtkQuadric
//@]
//@@Methods
//The class vtkQuadric has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQuadric class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQuadric = obj.NewInstance ()|
// \item @|vtkQuadric = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double g[3])|
// \item @|obj.SetCoefficients (double a[10])|
// \item @|obj.SetCoefficients (double a0, double a1, double a2, double a3, double a4, double a5, double a6, double a7, double a8, double a9)|
// \item @|double = obj. GetCoefficients ()|
//\end{itemize}
//!
