#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRandomSequence object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRandomSequence.h"

//@@Signature
//sfunction @vtkRandomSequence:vtkRandomSequence vtkRandomSequenceConstructorFunction
//input a
//output p
//@@Parents vtkRandomSequence vtkObject 
ArrayVector vtkRandomSequenceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRandomSequence::New(),"vtkRandomSequence",eval);
  } else if (arg[0].className() == "vtkRandomSequence") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRandomSequence"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRandomSequence");
    vtkRandomSequence*q = reinterpret_cast<vtkRandomSequence*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRandomSequence");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRandomSequence:GetClassName vtkRandomSequenceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRandomSequenceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRandomSequence requires 1 argument(s)");
  vtkRandomSequence* vtk_pointer = GetVTKPointer<vtkRandomSequence>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomSequence:IsA vtkRandomSequenceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRandomSequenceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRandomSequence requires 2 argument(s)");
  vtkRandomSequence* vtk_pointer = GetVTKPointer<vtkRandomSequence>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomSequence:NewInstance vtkRandomSequenceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRandomSequenceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRandomSequence *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRandomSequence requires 1 argument(s)");
  vtkRandomSequence* vtk_pointer = GetVTKPointer<vtkRandomSequence>(arg[0]);
  Array retval;
  vtkRandomSequence  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRandomSequence",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRandomSequence:SafeDownCast vtkRandomSequenceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRandomSequenceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRandomSequence *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRandomSequence requires 2 argument(s)");
  vtkRandomSequence* vtk_pointer = GetVTKPointer<vtkRandomSequence>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRandomSequence  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRandomSequence",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRandomSequence:GetValue vtkRandomSequenceGetValueFunction
//input a0 
//output y
ArrayVector vtkRandomSequenceGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetValue () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkRandomSequence requires 1 argument(s)");
  vtkRandomSequence* vtk_pointer = GetVTKPointer<vtkRandomSequence>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomSequence:Next vtkRandomSequenceNextFunction
//input a0 
//output none
ArrayVector vtkRandomSequenceNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Next () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Next for class vtkRandomSequence requires 1 argument(s)");
  vtkRandomSequence* vtk_pointer = GetVTKPointer<vtkRandomSequence>(arg[0]);
  Array retval;
  vtk_pointer->Next();
  return retval;
}

//@@Signature
//sfunction @vtkRandomSequence:display vtkRandomSequenceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRandomSequenceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRandomSequence* vtk_pointer = GetVTKPointer<vtkRandomSequence>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRandomSequence:delete vtkRandomSequenceDeleteFunction
//input varargin
//output none
ArrayVector vtkRandomSequenceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRandomSequence
//@@Section VTKCommon
//@@Usage
// vtkRandomSequence defines the interface of any sequence of random numbers.
//
// At this level of abstraction, there is no assumption about the distribution
// of the numbers or about the quality of the sequence of numbers to be
// statistically independent. There is no assumption about the range of values.
//
// To the question about why a random "sequence" class instead of a random
// "generator" class or to a random "number" class?,
// see the OOSC book:
// "Object-Oriented Software Construction", 2nd Edition, by Bertrand Meyer.
// chapter 23, "Principles of class design", "Pseudo-random number generators:
// a design exercise", page 754--755.
//
//To create an instance of class vtkRandomSequence, simply
//invoke its constructor as follows
//@[
//  obj = vtkRandomSequence
//@]
//@@Methods
//The class vtkRandomSequence has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRandomSequence class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRandomSequence = obj.NewInstance ()|
// \item @|vtkRandomSequence = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.GetValue ()| -  Current value
//// \item @|obj.Next ()| -  Move to the next number in the random sequence.
////\end{itemize}
//!
