#include "VTKWrap.hpp"

// FreeMat wrapper for vtkReferenceCount object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkReferenceCount.h"

//@@Signature
//sfunction @vtkReferenceCount:vtkReferenceCount vtkReferenceCountConstructorFunction
//input a
//output p
//@@Parents vtkReferenceCount vtkObject 
ArrayVector vtkReferenceCountConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkReferenceCount::New(),"vtkReferenceCount",eval);
  } else if (arg[0].className() == "vtkReferenceCount") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkReferenceCount"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkReferenceCount");
    vtkReferenceCount*q = reinterpret_cast<vtkReferenceCount*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkReferenceCount");
    return ret;
  }
}
//@@Signature
//sfunction @vtkReferenceCount:GetClassName vtkReferenceCountGetClassNameFunction
//input a0 
//output y
ArrayVector vtkReferenceCountGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkReferenceCount requires 1 argument(s)");
  vtkReferenceCount* vtk_pointer = GetVTKPointer<vtkReferenceCount>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReferenceCount:IsA vtkReferenceCountIsAFunction
//input a0 a1 
//output y
ArrayVector vtkReferenceCountIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkReferenceCount requires 2 argument(s)");
  vtkReferenceCount* vtk_pointer = GetVTKPointer<vtkReferenceCount>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReferenceCount:NewInstance vtkReferenceCountNewInstanceFunction
//input a0 
//output y
ArrayVector vtkReferenceCountNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkReferenceCount *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkReferenceCount requires 1 argument(s)");
  vtkReferenceCount* vtk_pointer = GetVTKPointer<vtkReferenceCount>(arg[0]);
  Array retval;
  vtkReferenceCount  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkReferenceCount",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkReferenceCount:SafeDownCast vtkReferenceCountSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkReferenceCountSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkReferenceCount *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkReferenceCount requires 2 argument(s)");
  vtkReferenceCount* vtk_pointer = GetVTKPointer<vtkReferenceCount>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkReferenceCount  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkReferenceCount",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkReferenceCount:display vtkReferenceCountDisplayFunction
//input varargin
//output varargout
ArrayVector vtkReferenceCountDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkReferenceCount* vtk_pointer = GetVTKPointer<vtkReferenceCount>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkReferenceCount:delete vtkReferenceCountDeleteFunction
//input varargin
//output none
ArrayVector vtkReferenceCountDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkReferenceCount
//@@Section VTKCommon
//@@Usage
// vtkReferenceCount functionality has now been moved into vtkObject
//
//To create an instance of class vtkReferenceCount, simply
//invoke its constructor as follows
//@[
//  obj = vtkReferenceCount
//@]
//@@Methods
//The class vtkReferenceCount has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkReferenceCount class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkReferenceCount = obj.NewInstance ()|
// \item @|vtkReferenceCount = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
