#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRungeKutta2 object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRungeKutta2.h"

//@@Signature
//sfunction @vtkRungeKutta2:vtkRungeKutta2 vtkRungeKutta2ConstructorFunction
//input a
//output p
//@@Parents vtkRungeKutta2 vtkInitialValueProblemSolver 
ArrayVector vtkRungeKutta2ConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRungeKutta2::New(),"vtkRungeKutta2",eval);
  } else if (arg[0].className() == "vtkRungeKutta2") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRungeKutta2"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRungeKutta2");
    vtkRungeKutta2*q = reinterpret_cast<vtkRungeKutta2*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRungeKutta2");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRungeKutta2:GetClassName vtkRungeKutta2GetClassNameFunction
//input a0 
//output y
ArrayVector vtkRungeKutta2GetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRungeKutta2 requires 1 argument(s)");
  vtkRungeKutta2* vtk_pointer = GetVTKPointer<vtkRungeKutta2>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta2:IsA vtkRungeKutta2IsAFunction
//input a0 a1 
//output y
ArrayVector vtkRungeKutta2IsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRungeKutta2 requires 2 argument(s)");
  vtkRungeKutta2* vtk_pointer = GetVTKPointer<vtkRungeKutta2>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta2:NewInstance vtkRungeKutta2NewInstanceFunction
//input a0 
//output y
ArrayVector vtkRungeKutta2NewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRungeKutta2 *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRungeKutta2 requires 1 argument(s)");
  vtkRungeKutta2* vtk_pointer = GetVTKPointer<vtkRungeKutta2>(arg[0]);
  Array retval;
  vtkRungeKutta2  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRungeKutta2",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta2:SafeDownCast vtkRungeKutta2SafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRungeKutta2SafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRungeKutta2 *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRungeKutta2 requires 2 argument(s)");
  vtkRungeKutta2* vtk_pointer = GetVTKPointer<vtkRungeKutta2>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRungeKutta2  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRungeKutta2",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta2:ComputeNextStep vtkRungeKutta2ComputeNextStepFunction
//input varargin
//output varargout
ArrayVector vtkRungeKutta2ComputeNextStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkRungeKutta2ComputeNextStep");
}

//@@Signature
//sfunction @vtkRungeKutta2:display vtkRungeKutta2DisplayFunction
//input varargin
//output varargout
ArrayVector vtkRungeKutta2DisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRungeKutta2* vtk_pointer = GetVTKPointer<vtkRungeKutta2>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRungeKutta2:delete vtkRungeKutta2DeleteFunction
//input varargin
//output none
ArrayVector vtkRungeKutta2DeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRungeKutta2
//@@Section VTKCommon
//@@Usage
// This is a concrete sub-class of vtkInitialValueProblemSolver.
// It uses a 2nd order Runge-Kutta method to obtain the values of
// a set of functions at the next time step.
//
//To create an instance of class vtkRungeKutta2, simply
//invoke its constructor as follows
//@[
//  obj = vtkRungeKutta2
//@]
//@@Methods
//The class vtkRungeKutta2 has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRungeKutta2 class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRungeKutta2 = obj.NewInstance ()|
// \item @|vtkRungeKutta2 = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
