#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRungeKutta4 object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRungeKutta4.h"

//@@Signature
//sfunction @vtkRungeKutta4:vtkRungeKutta4 vtkRungeKutta4ConstructorFunction
//input a
//output p
//@@Parents vtkRungeKutta4 vtkInitialValueProblemSolver 
ArrayVector vtkRungeKutta4ConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRungeKutta4::New(),"vtkRungeKutta4",eval);
  } else if (arg[0].className() == "vtkRungeKutta4") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRungeKutta4"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRungeKutta4");
    vtkRungeKutta4*q = reinterpret_cast<vtkRungeKutta4*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRungeKutta4");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRungeKutta4:GetClassName vtkRungeKutta4GetClassNameFunction
//input a0 
//output y
ArrayVector vtkRungeKutta4GetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRungeKutta4 requires 1 argument(s)");
  vtkRungeKutta4* vtk_pointer = GetVTKPointer<vtkRungeKutta4>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta4:IsA vtkRungeKutta4IsAFunction
//input a0 a1 
//output y
ArrayVector vtkRungeKutta4IsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRungeKutta4 requires 2 argument(s)");
  vtkRungeKutta4* vtk_pointer = GetVTKPointer<vtkRungeKutta4>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta4:NewInstance vtkRungeKutta4NewInstanceFunction
//input a0 
//output y
ArrayVector vtkRungeKutta4NewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRungeKutta4 *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRungeKutta4 requires 1 argument(s)");
  vtkRungeKutta4* vtk_pointer = GetVTKPointer<vtkRungeKutta4>(arg[0]);
  Array retval;
  vtkRungeKutta4  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRungeKutta4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta4:SafeDownCast vtkRungeKutta4SafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRungeKutta4SafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRungeKutta4 *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRungeKutta4 requires 2 argument(s)");
  vtkRungeKutta4* vtk_pointer = GetVTKPointer<vtkRungeKutta4>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRungeKutta4  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRungeKutta4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta4:ComputeNextStep vtkRungeKutta4ComputeNextStepFunction
//input varargin
//output varargout
ArrayVector vtkRungeKutta4ComputeNextStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkRungeKutta4ComputeNextStep");
}

//@@Signature
//sfunction @vtkRungeKutta4:display vtkRungeKutta4DisplayFunction
//input varargin
//output varargout
ArrayVector vtkRungeKutta4DisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRungeKutta4* vtk_pointer = GetVTKPointer<vtkRungeKutta4>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRungeKutta4:delete vtkRungeKutta4DeleteFunction
//input varargin
//output none
ArrayVector vtkRungeKutta4DeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRungeKutta4
//@@Section VTKCommon
//@@Usage
// This is a concrete sub-class of vtkInitialValueProblemSolver.
// It uses a 4th order Runge-Kutta method to obtain the values of
// a set of functions at the next time step.
//
//To create an instance of class vtkRungeKutta4, simply
//invoke its constructor as follows
//@[
//  obj = vtkRungeKutta4
//@]
//@@Methods
//The class vtkRungeKutta4 has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRungeKutta4 class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRungeKutta4 = obj.NewInstance ()|
// \item @|vtkRungeKutta4 = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
