#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRungeKutta45 object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRungeKutta45.h"

//@@Signature
//sfunction @vtkRungeKutta45:vtkRungeKutta45 vtkRungeKutta45ConstructorFunction
//input a
//output p
//@@Parents vtkRungeKutta45 vtkInitialValueProblemSolver 
ArrayVector vtkRungeKutta45ConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRungeKutta45::New(),"vtkRungeKutta45",eval);
  } else if (arg[0].className() == "vtkRungeKutta45") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRungeKutta45"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRungeKutta45");
    vtkRungeKutta45*q = reinterpret_cast<vtkRungeKutta45*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRungeKutta45");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRungeKutta45:GetClassName vtkRungeKutta45GetClassNameFunction
//input a0 
//output y
ArrayVector vtkRungeKutta45GetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRungeKutta45 requires 1 argument(s)");
  vtkRungeKutta45* vtk_pointer = GetVTKPointer<vtkRungeKutta45>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta45:IsA vtkRungeKutta45IsAFunction
//input a0 a1 
//output y
ArrayVector vtkRungeKutta45IsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRungeKutta45 requires 2 argument(s)");
  vtkRungeKutta45* vtk_pointer = GetVTKPointer<vtkRungeKutta45>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta45:NewInstance vtkRungeKutta45NewInstanceFunction
//input a0 
//output y
ArrayVector vtkRungeKutta45NewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRungeKutta45 *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRungeKutta45 requires 1 argument(s)");
  vtkRungeKutta45* vtk_pointer = GetVTKPointer<vtkRungeKutta45>(arg[0]);
  Array retval;
  vtkRungeKutta45  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRungeKutta45",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta45:SafeDownCast vtkRungeKutta45SafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRungeKutta45SafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRungeKutta45 *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRungeKutta45 requires 2 argument(s)");
  vtkRungeKutta45* vtk_pointer = GetVTKPointer<vtkRungeKutta45>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRungeKutta45  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRungeKutta45",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRungeKutta45:ComputeNextStep vtkRungeKutta45ComputeNextStepFunction
//input varargin
//output varargout
ArrayVector vtkRungeKutta45ComputeNextStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkRungeKutta45ComputeNextStep");
}

//@@Signature
//sfunction @vtkRungeKutta45:display vtkRungeKutta45DisplayFunction
//input varargin
//output varargout
ArrayVector vtkRungeKutta45DisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRungeKutta45* vtk_pointer = GetVTKPointer<vtkRungeKutta45>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRungeKutta45:delete vtkRungeKutta45DeleteFunction
//input varargin
//output none
ArrayVector vtkRungeKutta45DeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRungeKutta45
//@@Section VTKCommon
//@@Usage
// This is a concrete sub-class of vtkInitialValueProblemSolver.
// It uses a 5th order Runge-Kutta method with stepsize control to obtain 
// the values of a set of functions at the next time step. The stepsize
// is adjusted by calculating an estimated error using an embedded 4th
// order Runge-Kutta formula:
// Press, W. H. et al., 1992, Numerical Recipes in Fortran, Second
// Edition, Cambridge University Press
// Cash, J.R. and Karp, A.H. 1990, ACM Transactions on Mathematical
// Software, vol 16, pp 201-222
//
//To create an instance of class vtkRungeKutta45, simply
//invoke its constructor as follows
//@[
//  obj = vtkRungeKutta45
//@]
//@@Methods
//The class vtkRungeKutta45 has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRungeKutta45 class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRungeKutta45 = obj.NewInstance ()|
// \item @|vtkRungeKutta45 = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
