#include "VTKWrap.hpp"

// FreeMat wrapper for vtkScalarsToColors object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkScalarsToColors.h"

//@@Signature
//sfunction @vtkScalarsToColors:vtkScalarsToColors vtkScalarsToColorsConstructorFunction
//input a
//output p
//@@Parents vtkScalarsToColors vtkObject 
ArrayVector vtkScalarsToColorsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkScalarsToColors::New(),"vtkScalarsToColors",eval);
  } else if (arg[0].className() == "vtkScalarsToColors") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkScalarsToColors"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkScalarsToColors");
    vtkScalarsToColors*q = reinterpret_cast<vtkScalarsToColors*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkScalarsToColors");
    return ret;
  }
}
//@@Signature
//sfunction @vtkScalarsToColors:GetClassName vtkScalarsToColorsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:IsA vtkScalarsToColorsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkScalarsToColorsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkScalarsToColors requires 2 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:NewInstance vtkScalarsToColorsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:SafeDownCast vtkScalarsToColorsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkScalarsToColorsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkScalarsToColors requires 2 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkScalarsToColors  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:IsOpaque vtkScalarsToColorsIsOpaqueFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsIsOpaqueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsOpaque (); */
  if (arg.size() < 1) 
    throw Exception("Function IsOpaque for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsOpaque();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:Build vtkScalarsToColorsBuildFunction
//input a0 
//output none
ArrayVector vtkScalarsToColorsBuildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Build (); */
  if (arg.size() < 1) 
    throw Exception("Function Build for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  vtk_pointer->Build();
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:GetRange vtkScalarsToColorsGetRangeFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsGetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetRange () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetRange for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:SetRange__1 vtkScalarsToColorsSetRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkScalarsToColorsSetRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRange (double min, double max) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function SetRange__1 for class vtkScalarsToColors requires 3 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:SetRange__2 vtkScalarsToColorsSetRange__2Function
//input a0 a1 
//output none
ArrayVector vtkScalarsToColorsSetRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRange (double rng[2]);this SetRange rng rng  */
  if (arg.size() < 2) 
    throw Exception("Function SetRange__2 for class vtkScalarsToColors requires 2 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:GetColor__1 vtkScalarsToColorsGetColor__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkScalarsToColorsGetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetColor (double v, double rgb[3]) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetColor__1 for class vtkScalarsToColors requires 3 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:GetColor__2 vtkScalarsToColorsGetColor__2Function
//input a0 a1 
//output y
ArrayVector vtkScalarsToColorsGetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetColor (double v);this GetColor v this RGB return this RGB  */
  if (arg.size() < 2) 
    throw Exception("Function GetColor__2 for class vtkScalarsToColors requires 2 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  double   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetColor(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:GetOpacity vtkScalarsToColorsGetOpacityFunction
//input a0 a1 
//output y
ArrayVector vtkScalarsToColorsGetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetOpacity (double );return  */
  if (arg.size() < 2) 
    throw Exception("Function GetOpacity for class vtkScalarsToColors requires 2 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOpacity(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:GetLuminance vtkScalarsToColorsGetLuminanceFunction
//input a0 a1 
//output y
ArrayVector vtkScalarsToColorsGetLuminanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLuminance (double x);double rgb this GetColor x rgb return static_cast double rgb rgb rgb  */
  if (arg.size() < 2) 
    throw Exception("Function GetLuminance for class vtkScalarsToColors requires 2 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLuminance(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:SetAlpha vtkScalarsToColorsSetAlphaFunction
//input a0 a1 
//output none
ArrayVector vtkScalarsToColorsSetAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAlpha (double alpha); */
  if (arg.size() < 2) 
    throw Exception("Function SetAlpha for class vtkScalarsToColors requires 2 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAlpha(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:GetAlpha vtkScalarsToColorsGetAlphaFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsGetAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAlpha (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlpha for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAlpha();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:MapScalars vtkScalarsToColorsMapScalarsFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkScalarsToColorsMapScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkUnsignedCharArray *MapScalars (vtkDataArray *scalars, int colorMode, int component); */
  if (arg.size() < 4) 
    throw Exception("Function MapScalars for class vtkScalarsToColors requires 4 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  vtkUnsignedCharArray  *temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->MapScalars(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:SetVectorMode vtkScalarsToColorsSetVectorModeFunction
//input a0 a1 
//output none
ArrayVector vtkScalarsToColorsSetVectorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorMode for class vtkScalarsToColors requires 2 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVectorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:GetVectorMode vtkScalarsToColorsGetVectorModeFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsGetVectorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorMode for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVectorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:SetVectorModeToMagnitude vtkScalarsToColorsSetVectorModeToMagnitudeFunction
//input a0 
//output none
ArrayVector vtkScalarsToColorsSetVectorModeToMagnitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorModeToMagnitude (); */
  if (arg.size() < 1) 
    throw Exception("Function SetVectorModeToMagnitude for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  vtk_pointer->SetVectorModeToMagnitude();
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:SetVectorModeToComponent vtkScalarsToColorsSetVectorModeToComponentFunction
//input a0 
//output none
ArrayVector vtkScalarsToColorsSetVectorModeToComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorModeToComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function SetVectorModeToComponent for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  vtk_pointer->SetVectorModeToComponent();
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:SetVectorComponent vtkScalarsToColorsSetVectorComponentFunction
//input a0 a1 
//output none
ArrayVector vtkScalarsToColorsSetVectorComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorComponent for class vtkScalarsToColors requires 2 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVectorComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:GetVectorComponent vtkScalarsToColorsGetVectorComponentFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsGetVectorComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorComponent for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVectorComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:MapScalarsThroughTable__1 vtkScalarsToColorsMapScalarsThroughTable__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkScalarsToColorsMapScalarsThroughTable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MapScalarsThroughTable (vtkDataArray *scalars, unsigned char *output, int outputFormat); */
  if (arg.size() < 4) 
    throw Exception("Function MapScalarsThroughTable__1 for class vtkScalarsToColors requires 4 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  unsigned char    *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->MapScalarsThroughTable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:MapScalarsThroughTable__2 vtkScalarsToColorsMapScalarsThroughTable__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkScalarsToColorsMapScalarsThroughTable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MapScalarsThroughTable (vtkDataArray *scalars, unsigned char *output);this MapScalarsThroughTable scalars output VTK_RGBA  */
  if (arg.size() < 3) 
    throw Exception("Function MapScalarsThroughTable__2 for class vtkScalarsToColors requires 3 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  unsigned char    *temp1;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  vtk_pointer->MapScalarsThroughTable(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:ConvertUnsignedCharToRGBA vtkScalarsToColorsConvertUnsignedCharToRGBAFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkScalarsToColorsConvertUnsignedCharToRGBAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkUnsignedCharArray *ConvertUnsignedCharToRGBA (vtkUnsignedCharArray *colors, int numComp, int numTuples); */
  if (arg.size() < 4) 
    throw Exception("Function ConvertUnsignedCharToRGBA for class vtkScalarsToColors requires 4 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  int      temp1;
  int      temp2;
  vtkUnsignedCharArray  *temp20;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ConvertUnsignedCharToRGBA(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:UsingLogScale vtkScalarsToColorsUsingLogScaleFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsUsingLogScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UsingLogScale ();return  */
  if (arg.size() < 1) 
    throw Exception("Function UsingLogScale for class vtkScalarsToColors requires 1 argument(s)");
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UsingLogScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColors:SetRange vtkScalarsToColorsSetRangeFunction
//input varargin
//output varargout
ArrayVector vtkScalarsToColorsSetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkScalarsToColorsSetRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkScalarsToColorsSetRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkScalarsToColorsSetRange");
}

//@@Signature
//sfunction @vtkScalarsToColors:GetColor vtkScalarsToColorsGetColorFunction
//input varargin
//output varargout
ArrayVector vtkScalarsToColorsGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkScalarsToColorsGetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkScalarsToColorsGetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkScalarsToColorsGetColor");
}

//@@Signature
//sfunction @vtkScalarsToColors:MapScalarsThroughTable vtkScalarsToColorsMapScalarsThroughTableFunction
//input varargin
//output varargout
ArrayVector vtkScalarsToColorsMapScalarsThroughTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsScalarArg(arg[3]))
    return vtkScalarsToColorsMapScalarsThroughTable__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataArray"))
    return vtkScalarsToColorsMapScalarsThroughTable__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkScalarsToColorsMapScalarsThroughTable");
}

//@@Signature
//sfunction @vtkScalarsToColors:display vtkScalarsToColorsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkScalarsToColorsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkScalarsToColors* vtk_pointer = GetVTKPointer<vtkScalarsToColors>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkScalarsToColors:delete vtkScalarsToColorsDeleteFunction
//input varargin
//output none
ArrayVector vtkScalarsToColorsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkScalarsToColors
//@@Section VTKCommon
//@@Usage
// vtkScalarsToColors is a general purpose superclass for objects that
// convert scalars to colors. This include vtkLookupTable classes and
// color transfer functions.
//
// The scalars to color mapping can be augmented with an additional
// uniform alpha blend. This is used, for example, to blend a vtkActor's
// opacity with the lookup table values.
//
//
//To create an instance of class vtkScalarsToColors, simply
//invoke its constructor as follows
//@[
//  obj = vtkScalarsToColors
//@]
//@@Methods
//The class vtkScalarsToColors has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkScalarsToColors class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkScalarsToColors = obj.NewInstance ()|
// \item @|vtkScalarsToColors = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.IsOpaque ()| -  Return true if all of the values defining the mapping have an opacity
// equal to 1. Default implementation return true.
//// \item @|obj.Build ()| -  Perform any processing required (if any) before processing 
// scalars.
//// \item @|double = obj.GetRange ()| -  Sets/Gets the range of scalars which will be mapped.
//// \item @|obj.SetRange (double min, double max)| -  Sets/Gets the range of scalars which will be mapped.
//// \item @|obj.SetRange (double rng[2])| -  Map one value through the lookup table and return a color defined
// as a RGBA unsigned char tuple (4 bytes).
//// \item @|obj.GetColor (double v, double rgb[3])| -  Map one value through the lookup table and return the color as
// an RGB array of doubles between 0 and 1.
//// \item @|double = obj.GetColor (double v)| -  Map one value through the lookup table and return the alpha value
// (the opacity) as a double between 0 and 1.
//// \item @|double = obj.GetOpacity (double )| -  Map one value through the lookup table and return the luminance
// 0.3*red + 0.59*green + 0.11*blue as a double between 0 and 1.
// Returns the luminance value for the specified scalar value.
//// \item @|double = obj.GetLuminance (double x)| -  Specify an additional opacity (alpha) value to blend with. Values
// != 1 modify the resulting color consistent with the requested
// form of the output. This is typically used by an actor in order to
// blend its opacity.
//// \item @|obj.SetAlpha (double alpha)| -  Specify an additional opacity (alpha) value to blend with. Values
// != 1 modify the resulting color consistent with the requested
// form of the output. This is typically used by an actor in order to
// blend its opacity.
//// \item @|double = obj.GetAlpha ()| -  Specify an additional opacity (alpha) value to blend with. Values
// != 1 modify the resulting color consistent with the requested
// form of the output. This is typically used by an actor in order to
// blend its opacity.
//// \item @|vtkUnsignedCharArray = obj.MapScalars (vtkDataArray scalars, int colorMode, int component)| -  An internal method maps a data array into a 4-component, unsigned char
// RGBA array. The color mode determines the behavior of mapping. If 
// VTK_COLOR_MODE_DEFAULT is set, then unsigned char data arrays are
// treated as colors (and converted to RGBA if necessary); otherwise, 
// the data is mapped through this instance of ScalarsToColors. The offset
// is used for data arrays with more than one component; it indicates 
// which component to use to do the blending.
// When the component argument is -1, then the this object uses its
// own selected technique to change a vector into a scalar to map.
//// \item @|obj.SetVectorMode (int )| -  Change mode that maps vectors by magnitude vs. component.
//// \item @|int = obj.GetVectorMode ()| -  Change mode that maps vectors by magnitude vs. component.
//// \item @|obj.SetVectorModeToMagnitude ()| -  Change mode that maps vectors by magnitude vs. component.
//// \item @|obj.SetVectorModeToComponent ()| -  Change mode that maps vectors by magnitude vs. component.
//// \item @|obj.SetVectorComponent (int )| -  If the mapper does not select which component of a vector
// to map to colors, you can specify it here.
//// \item @|int = obj.GetVectorComponent ()| -  If the mapper does not select which component of a vector
// to map to colors, you can specify it here.
//// \item @|obj.MapScalarsThroughTable (vtkDataArray scalars, string output, int outputFormat)| -  Map a set of scalars through the lookup table in a single operation. 
// The output format can be set to VTK_RGBA (4 components), 
// VTK_RGB (3 components), VTK_LUMINANCE (1 component, greyscale),
// or VTK_LUMINANCE_ALPHA (2 components)
// If not supplied, the output format defaults to RGBA.
//// \item @|obj.MapScalarsThroughTable (vtkDataArray scalars, string output)| -  An internal method typically not used in applications.
//// \item @|vtkUnsignedCharArray = obj.ConvertUnsignedCharToRGBA (vtkUnsignedCharArray colors, int numComp, int numTuples)| -  An internal method used to convert a color array to RGBA. The
// method instantiates a vtkUnsignedCharArray and returns it. The user is
// responsible for managing the memory.
//// \item @|int = obj.UsingLogScale ()| -  This should return 1 is the subclass is using log scale for mapping scalars
// to colors. Default implementation returns 0.
////\end{itemize}
//!
