#include "VTKWrap.hpp"

// FreeMat wrapper for vtkServerSocket object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkServerSocket.h"

//@@Signature
//sfunction @vtkServerSocket:vtkServerSocket vtkServerSocketConstructorFunction
//input a
//output p
//@@Parents vtkServerSocket vtkSocket 
ArrayVector vtkServerSocketConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkServerSocket::New(),"vtkServerSocket",eval);
  } else if (arg[0].className() == "vtkServerSocket") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkServerSocket"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkServerSocket");
    vtkServerSocket*q = reinterpret_cast<vtkServerSocket*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkServerSocket");
    return ret;
  }
}
//@@Signature
//sfunction @vtkServerSocket:GetClassName vtkServerSocketGetClassNameFunction
//input a0 
//output y
ArrayVector vtkServerSocketGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkServerSocket requires 1 argument(s)");
  vtkServerSocket* vtk_pointer = GetVTKPointer<vtkServerSocket>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkServerSocket:IsA vtkServerSocketIsAFunction
//input a0 a1 
//output y
ArrayVector vtkServerSocketIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkServerSocket requires 2 argument(s)");
  vtkServerSocket* vtk_pointer = GetVTKPointer<vtkServerSocket>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkServerSocket:NewInstance vtkServerSocketNewInstanceFunction
//input a0 
//output y
ArrayVector vtkServerSocketNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkServerSocket *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkServerSocket requires 1 argument(s)");
  vtkServerSocket* vtk_pointer = GetVTKPointer<vtkServerSocket>(arg[0]);
  Array retval;
  vtkServerSocket  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkServerSocket",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkServerSocket:SafeDownCast vtkServerSocketSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkServerSocketSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkServerSocket *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkServerSocket requires 2 argument(s)");
  vtkServerSocket* vtk_pointer = GetVTKPointer<vtkServerSocket>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkServerSocket  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkServerSocket",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkServerSocket:CreateServer vtkServerSocketCreateServerFunction
//input a0 a1 
//output y
ArrayVector vtkServerSocketCreateServerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CreateServer (int port); */
  if (arg.size() < 2) 
    throw Exception("Function CreateServer for class vtkServerSocket requires 2 argument(s)");
  vtkServerSocket* vtk_pointer = GetVTKPointer<vtkServerSocket>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->CreateServer(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkServerSocket:WaitForConnection vtkServerSocketWaitForConnectionFunction
//input a0 a1 
//output y
ArrayVector vtkServerSocketWaitForConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClientSocket *WaitForConnection (unsigned long msec); */
  if (arg.size() < 2) 
    throw Exception("Function WaitForConnection for class vtkServerSocket requires 2 argument(s)");
  vtkServerSocket* vtk_pointer = GetVTKPointer<vtkServerSocket>(arg[0]);
  Array retval;
  unsigned long     temp0;
  vtkClientSocket  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->WaitForConnection(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClientSocket",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkServerSocket:GetServerPort vtkServerSocketGetServerPortFunction
//input a0 
//output y
ArrayVector vtkServerSocketGetServerPortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetServerPort (); */
  if (arg.size() < 1) 
    throw Exception("Function GetServerPort for class vtkServerSocket requires 1 argument(s)");
  vtkServerSocket* vtk_pointer = GetVTKPointer<vtkServerSocket>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetServerPort();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkServerSocket:display vtkServerSocketDisplayFunction
//input varargin
//output varargout
ArrayVector vtkServerSocketDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkServerSocket* vtk_pointer = GetVTKPointer<vtkServerSocket>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkServerSocket:delete vtkServerSocketDeleteFunction
//input varargin
//output none
ArrayVector vtkServerSocketDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkServerSocket
//@@Section VTKCommon
//@@Usage
//
//
//To create an instance of class vtkServerSocket, simply
//invoke its constructor as follows
//@[
//  obj = vtkServerSocket
//@]
//@@Methods
//The class vtkServerSocket has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkServerSocket class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkServerSocket = obj.NewInstance ()|
// \item @|vtkServerSocket = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CreateServer (int port)| -  Creates a server socket at a given port and binds to it.
// Returns -1 on error. 0 on success.
//// \item @|vtkClientSocket = obj.WaitForConnection (long msec)| -  Waits for a connection. When a connection is received
// a new vtkClientSocket object is created and returned.
// Returns NULL on timeout. 
//// \item @|int = obj.GetServerPort ()| -  Returns the port on which the server is running.
////\end{itemize}
//!
