#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSignedCharArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSignedCharArray.h"

//@@Signature
//sfunction @vtkSignedCharArray:vtkSignedCharArray vtkSignedCharArrayConstructorFunction
//input a
//output p
//@@Parents vtkSignedCharArray vtkDataArray 
ArrayVector vtkSignedCharArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSignedCharArray::New(),"vtkSignedCharArray",eval);
  } else if (arg[0].className() == "vtkSignedCharArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSignedCharArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSignedCharArray");
    vtkSignedCharArray*q = reinterpret_cast<vtkSignedCharArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSignedCharArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSignedCharArray:GetClassName vtkSignedCharArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSignedCharArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSignedCharArray requires 1 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:IsA vtkSignedCharArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSignedCharArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSignedCharArray requires 2 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:NewInstance vtkSignedCharArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSignedCharArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSignedCharArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSignedCharArray requires 1 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  vtkSignedCharArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:SafeDownCast vtkSignedCharArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSignedCharArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSignedCharArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSignedCharArray requires 2 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSignedCharArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:GetDataType vtkSignedCharArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkSignedCharArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType ();return VTK_SIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkSignedCharArray requires 1 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:GetValue vtkSignedCharArrayGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkSignedCharArrayGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature signed char GetValue (vtkIdType id);return this RealSuperclass GetValue id  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkSignedCharArray requires 2 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  signed char   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:SetValue vtkSignedCharArraySetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSignedCharArraySetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (vtkIdType id, signed char value);this RealSuperclass SetValue id value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkSignedCharArray requires 3 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  signed char   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:SetNumberOfValues vtkSignedCharArraySetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkSignedCharArraySetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkSignedCharArray requires 2 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:InsertValue vtkSignedCharArrayInsertValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSignedCharArrayInsertValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertValue (vtkIdType id, signed char f);this RealSuperclass InsertValue id f  */
  if (arg.size() < 3) 
    throw Exception("Function InsertValue for class vtkSignedCharArray requires 3 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  signed char   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->InsertValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:InsertNextValue vtkSignedCharArrayInsertNextValueFunction
//input a0 a1 
//output y
ArrayVector vtkSignedCharArrayInsertNextValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextValue (signed char f);return this RealSuperclass InsertNextValue f  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextValue for class vtkSignedCharArray requires 2 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  signed char   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:WritePointer vtkSignedCharArrayWritePointerFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSignedCharArrayWritePointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature signed char *WritePointer (vtkIdType id, vtkIdType number);return this RealSuperclass WritePointer id number  */
  if (arg.size() < 3) 
    throw Exception("Function WritePointer for class vtkSignedCharArray requires 3 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  signed char  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->WritePointer(temp0,temp1);
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:GetPointer vtkSignedCharArrayGetPointerFunction
//input a0 a1 
//output y
ArrayVector vtkSignedCharArrayGetPointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature signed char *GetPointer (vtkIdType id);return this RealSuperclass GetPointer id  */
  if (arg.size() < 2) 
    throw Exception("Function GetPointer for class vtkSignedCharArray requires 2 argument(s)");
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  signed char  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointer(temp0);
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSignedCharArray:SetArray vtkSignedCharArraySetArrayFunction
//input varargin
//output varargout
ArrayVector vtkSignedCharArraySetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkSignedCharArraySetArray");
}

//@@Signature
//sfunction @vtkSignedCharArray:display vtkSignedCharArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSignedCharArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSignedCharArray* vtk_pointer = GetVTKPointer<vtkSignedCharArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSignedCharArray:delete vtkSignedCharArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkSignedCharArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSignedCharArray
//@@Section VTKCommon
//@@Usage
// vtkSignedCharArray is an array of values of type signed char.
// It provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkSignedCharArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkSignedCharArray
//@]
//@@Methods
//The class vtkSignedCharArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSignedCharArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSignedCharArray = obj.NewInstance ()|
// \item @|vtkSignedCharArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataType ()| -  Copy the tuple value into a user-provided array.
//// \item @|signed = obj.char GetValue (vtkIdType id)| -  Set the data at a particular index. Does not do range checking. Make sure
// you use the method SetNumberOfValues() before inserting data.
//// \item @|obj.SetValue (vtkIdType id, signed char value)| -  Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Insert data at a specified position in the array.
//// \item @|obj.InsertValue (vtkIdType id, signed char f)| -  Insert data at the end of the array. Return its location in the array.
//// \item @|vtkIdType = obj.InsertNextValue (signed char f)| -  Get the address of a particular data index. Make sure data is allocated
// for the number of items requested. Set MaxId according to the number of
// data values requested.
//// \item @|signed = obj.string WritePointer (vtkIdType id, vtkIdType number)| -  Get the address of a particular data index. Performs no checks
// to verify that the memory has been allocated etc.
//// \item @|signed = obj.string GetPointer (vtkIdType id)| -  This method lets the user specify data to be held by the array.  The
// array argument is a pointer to the data.  size is the size of
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data
// from the suppled array. 
////\end{itemize}
//!
