#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSocket object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSocket.h"

//@@Signature
//sfunction @vtkSocket:vtkSocket vtkSocketConstructorFunction
//input a
//output p
//@@Parents vtkSocket vtkObject 
ArrayVector vtkSocketConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSocket::New(),"vtkSocket",eval);
  } else if (arg[0].className() == "vtkSocket") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSocket"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSocket");
    vtkSocket*q = reinterpret_cast<vtkSocket*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSocket");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSocket:GetClassName vtkSocketGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSocketGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSocket requires 1 argument(s)");
  vtkSocket* vtk_pointer = GetVTKPointer<vtkSocket>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocket:IsA vtkSocketIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSocketIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSocket requires 2 argument(s)");
  vtkSocket* vtk_pointer = GetVTKPointer<vtkSocket>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocket:NewInstance vtkSocketNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSocketNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocket *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSocket requires 1 argument(s)");
  vtkSocket* vtk_pointer = GetVTKPointer<vtkSocket>(arg[0]);
  Array retval;
  vtkSocket  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocket",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocket:SafeDownCast vtkSocketSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSocketSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocket *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSocket requires 2 argument(s)");
  vtkSocket* vtk_pointer = GetVTKPointer<vtkSocket>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSocket  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocket",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocket:GetConnected vtkSocketGetConnectedFunction
//input a0 
//output y
ArrayVector vtkSocketGetConnectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConnected ();return this SocketDescriptor  */
  if (arg.size() < 1) 
    throw Exception("Function GetConnected for class vtkSocket requires 1 argument(s)");
  vtkSocket* vtk_pointer = GetVTKPointer<vtkSocket>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConnected();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocket:CloseSocket__1 vtkSocketCloseSocket__1Function
//input a0 
//output none
ArrayVector vtkSocketCloseSocket__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CloseSocket ();this CloseSocket this SocketDescriptor  */
  if (arg.size() < 1) 
    throw Exception("Function CloseSocket__1 for class vtkSocket requires 1 argument(s)");
  vtkSocket* vtk_pointer = GetVTKPointer<vtkSocket>(arg[0]);
  Array retval;
  vtk_pointer->CloseSocket();
  return retval;
}

//@@Signature
//sfunction @vtkSocket:CloseSocket vtkSocketCloseSocketFunction
//input varargin
//output varargout
ArrayVector vtkSocketCloseSocketFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkSocketCloseSocket__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSocketCloseSocket");
}

//@@Signature
//sfunction @vtkSocket:display vtkSocketDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSocketDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSocket* vtk_pointer = GetVTKPointer<vtkSocket>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSocket:delete vtkSocketDeleteFunction
//input varargin
//output none
ArrayVector vtkSocketDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSocket
//@@Section VTKCommon
//@@Usage
// This abstract class encapsulates a BSD socket. It provides an API for  
// basic socket operations.
//
//To create an instance of class vtkSocket, simply
//invoke its constructor as follows
//@[
//  obj = vtkSocket
//@]
//@@Methods
//The class vtkSocket has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSocket class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSocket = obj.NewInstance ()|
// \item @|vtkSocket = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetConnected ()| -  Close the socket.
//// \item @|obj.CloseSocket ()| -  These methods send data over the socket.
// Returns 1 on success, 0 on error and raises vtkCommand::ErrorEvent.
////\end{itemize}
//!
