#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSocketCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSocketCollection.h"

//@@Signature
//sfunction @vtkSocketCollection:vtkSocketCollection vtkSocketCollectionConstructorFunction
//input a
//output p
//@@Parents vtkSocketCollection vtkCollection 
ArrayVector vtkSocketCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSocketCollection::New(),"vtkSocketCollection",eval);
  } else if (arg[0].className() == "vtkSocketCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSocketCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSocketCollection");
    vtkSocketCollection*q = reinterpret_cast<vtkSocketCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSocketCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSocketCollection:GetClassName vtkSocketCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSocketCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSocketCollection requires 1 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:IsA vtkSocketCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSocketCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSocketCollection requires 2 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:NewInstance vtkSocketCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSocketCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocketCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSocketCollection requires 1 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  vtkSocketCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocketCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:SafeDownCast vtkSocketCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSocketCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocketCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSocketCollection requires 2 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSocketCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocketCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:AddItem__1 vtkSocketCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkSocketCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkSocket *soc); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkSocketCollection requires 2 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  vtkSocket  *temp0;
  temp0 = GetVTKPointer<vtkSocket>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:SelectSockets vtkSocketCollectionSelectSocketsFunction
//input a0 a1 
//output y
ArrayVector vtkSocketCollectionSelectSocketsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SelectSockets (unsigned long msec); */
  if (arg.size() < 2) 
    throw Exception("Function SelectSockets for class vtkSocketCollection requires 2 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->SelectSockets(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:GetLastSelectedSocket vtkSocketCollectionGetLastSelectedSocketFunction
//input a0 
//output y
ArrayVector vtkSocketCollectionGetLastSelectedSocketFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocket *GetLastSelectedSocket ();return this SelectedSocket  */
  if (arg.size() < 1) 
    throw Exception("Function GetLastSelectedSocket for class vtkSocketCollection requires 1 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  vtkSocket  *temp20;
  temp20 = (vtk_pointer)->GetLastSelectedSocket();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocket",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:ReplaceItem vtkSocketCollectionReplaceItemFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSocketCollectionReplaceItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceItem (int i, vtkObject *); */
  if (arg.size() < 3) 
    throw Exception("Function ReplaceItem for class vtkSocketCollection requires 3 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkObject>(arg[2]);
  vtk_pointer->ReplaceItem(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:RemoveItem__1 vtkSocketCollectionRemoveItem__1Function
//input a0 a1 
//output none
ArrayVector vtkSocketCollectionRemoveItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveItem (int i); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveItem__1 for class vtkSocketCollection requires 2 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:RemoveItem__2 vtkSocketCollectionRemoveItem__2Function
//input a0 a1 
//output none
ArrayVector vtkSocketCollectionRemoveItem__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveItem (vtkObject *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveItem__2 for class vtkSocketCollection requires 2 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  vtk_pointer->RemoveItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:RemoveAllItems vtkSocketCollectionRemoveAllItemsFunction
//input a0 
//output none
ArrayVector vtkSocketCollectionRemoveAllItemsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllItems (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllItems for class vtkSocketCollection requires 1 argument(s)");
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllItems();
  return retval;
}

//@@Signature
//sfunction @vtkSocketCollection:AddItem vtkSocketCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkSocketCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkSocket"))
    return vtkSocketCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSocketCollectionAddItem");
}

//@@Signature
//sfunction @vtkSocketCollection:RemoveItem vtkSocketCollectionRemoveItemFunction
//input varargin
//output varargout
ArrayVector vtkSocketCollectionRemoveItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkSocketCollectionRemoveItem__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkObject"))
    return vtkSocketCollectionRemoveItem__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSocketCollectionRemoveItem");
}

//@@Signature
//sfunction @vtkSocketCollection:display vtkSocketCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSocketCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSocketCollection* vtk_pointer = GetVTKPointer<vtkSocketCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSocketCollection:delete vtkSocketCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkSocketCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSocketCollection
//@@Section VTKCommon
//@@Usage
// Apart from being vtkCollection subclass for sockets, this class
// provides means to wait for activity on all the sockets in the
// collection simultaneously.
//
//To create an instance of class vtkSocketCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkSocketCollection
//@]
//@@Methods
//The class vtkSocketCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSocketCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSocketCollection = obj.NewInstance ()|
// \item @|vtkSocketCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkSocket soc)|
// \item @|int = obj.SelectSockets (long msec)| -  Select all Connected sockets in the collection. If msec is specified,
// it timesout after msec milliseconds on inactivity. 
// Returns 0 on timeout, -1 on error; 1 is a socket was selected.
// The selected socket can be retrieved by GetLastSelectedSocket().
//// \item @|vtkSocket = obj.GetLastSelectedSocket ()| -  Overridden to unset SelectedSocket.
//// \item @|obj.ReplaceItem (int i, vtkObject )| -  Overridden to unset SelectedSocket.
//// \item @|obj.RemoveItem (int i)| -  Overridden to unset SelectedSocket.
//// \item @|obj.RemoveItem (vtkObject )| -  Overridden to unset SelectedSocket.
//// \item @|obj.RemoveAllItems ()| -  Overridden to unset SelectedSocket.
////\end{itemize}
//!
