#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSortDataArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSortDataArray.h"

//@@Signature
//sfunction @vtkSortDataArray:vtkSortDataArray vtkSortDataArrayConstructorFunction
//input a
//output p
//@@Parents vtkSortDataArray vtkObject 
ArrayVector vtkSortDataArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSortDataArray::New(),"vtkSortDataArray",eval);
  } else if (arg[0].className() == "vtkSortDataArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSortDataArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSortDataArray");
    vtkSortDataArray*q = reinterpret_cast<vtkSortDataArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSortDataArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSortDataArray:GetClassName vtkSortDataArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSortDataArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSortDataArray requires 1 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:IsA vtkSortDataArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSortDataArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSortDataArray requires 2 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:NewInstance vtkSortDataArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSortDataArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSortDataArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSortDataArray requires 1 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  vtkSortDataArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSortDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:SafeDownCast vtkSortDataArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSortDataArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSortDataArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSortDataArray requires 2 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSortDataArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSortDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:Sort__1 vtkSortDataArraySort__1Function
//input a0 a1 
//output none
ArrayVector vtkSortDataArraySort__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Sort (vtkIdList *keys); */
  if (arg.size() < 2) 
    throw Exception("Function Sort__1 for class vtkSortDataArray requires 2 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  vtk_pointer->Sort(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:Sort__2 vtkSortDataArraySort__2Function
//input a0 a1 
//output none
ArrayVector vtkSortDataArraySort__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Sort (vtkAbstractArray *keys); */
  if (arg.size() < 2) 
    throw Exception("Function Sort__2 for class vtkSortDataArray requires 2 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->Sort(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:SortArrayByComponent vtkSortDataArraySortArrayByComponentFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSortDataArraySortArrayByComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SortArrayByComponent (vtkAbstractArray *arr, int k); */
  if (arg.size() < 3) 
    throw Exception("Function SortArrayByComponent for class vtkSortDataArray requires 3 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SortArrayByComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:Sort__3 vtkSortDataArraySort__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkSortDataArraySort__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Sort (vtkIdList *keys, vtkIdList *values); */
  if (arg.size() < 3) 
    throw Exception("Function Sort__3 for class vtkSortDataArray requires 3 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  vtkIdList  *temp1;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->Sort(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:Sort__4 vtkSortDataArraySort__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkSortDataArraySort__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Sort (vtkIdList *keys, vtkAbstractArray *values); */
  if (arg.size() < 3) 
    throw Exception("Function Sort__4 for class vtkSortDataArray requires 3 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  vtkAbstractArray  *temp1;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  vtk_pointer->Sort(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:Sort__5 vtkSortDataArraySort__5Function
//input a0 a1 a2 
//output none
ArrayVector vtkSortDataArraySort__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Sort (vtkAbstractArray *keys, vtkIdList *values); */
  if (arg.size() < 3) 
    throw Exception("Function Sort__5 for class vtkSortDataArray requires 3 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  vtkIdList  *temp1;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->Sort(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:Sort__6 vtkSortDataArraySort__6Function
//input a0 a1 a2 
//output none
ArrayVector vtkSortDataArraySort__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Sort (vtkAbstractArray *keys, vtkAbstractArray *values); */
  if (arg.size() < 3) 
    throw Exception("Function Sort__6 for class vtkSortDataArray requires 3 argument(s)");
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  vtkAbstractArray  *temp1;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  vtk_pointer->Sort(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSortDataArray:Sort vtkSortDataArraySortFunction
//input varargin
//output varargout
ArrayVector vtkSortDataArraySortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkIdList"))
    return vtkSortDataArraySort__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAbstractArray"))
    return vtkSortDataArraySort__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkIdList") && VTKIsClass(arg[2],"vtkIdList"))
    return vtkSortDataArraySort__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkIdList") && VTKIsClass(arg[2],"vtkAbstractArray"))
    return vtkSortDataArraySort__4Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkAbstractArray") && VTKIsClass(arg[2],"vtkIdList"))
    return vtkSortDataArraySort__5Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkAbstractArray") && VTKIsClass(arg[2],"vtkAbstractArray"))
    return vtkSortDataArraySort__6Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSortDataArraySort");
}

//@@Signature
//sfunction @vtkSortDataArray:display vtkSortDataArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSortDataArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSortDataArray* vtk_pointer = GetVTKPointer<vtkSortDataArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSortDataArray:delete vtkSortDataArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkSortDataArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
