#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSphericalTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSphericalTransform.h"

//@@Signature
//sfunction @vtkSphericalTransform:vtkSphericalTransform vtkSphericalTransformConstructorFunction
//input a
//output p
//@@Parents vtkSphericalTransform vtkWarpTransform 
ArrayVector vtkSphericalTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSphericalTransform::New(),"vtkSphericalTransform",eval);
  } else if (arg[0].className() == "vtkSphericalTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSphericalTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSphericalTransform");
    vtkSphericalTransform*q = reinterpret_cast<vtkSphericalTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSphericalTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSphericalTransform:GetClassName vtkSphericalTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSphericalTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSphericalTransform requires 1 argument(s)");
  vtkSphericalTransform* vtk_pointer = GetVTKPointer<vtkSphericalTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphericalTransform:IsA vtkSphericalTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSphericalTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSphericalTransform requires 2 argument(s)");
  vtkSphericalTransform* vtk_pointer = GetVTKPointer<vtkSphericalTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphericalTransform:NewInstance vtkSphericalTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSphericalTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphericalTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSphericalTransform requires 1 argument(s)");
  vtkSphericalTransform* vtk_pointer = GetVTKPointer<vtkSphericalTransform>(arg[0]);
  Array retval;
  vtkSphericalTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphericalTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphericalTransform:SafeDownCast vtkSphericalTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSphericalTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphericalTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSphericalTransform requires 2 argument(s)");
  vtkSphericalTransform* vtk_pointer = GetVTKPointer<vtkSphericalTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSphericalTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphericalTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphericalTransform:MakeTransform vtkSphericalTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkSphericalTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkSphericalTransform requires 1 argument(s)");
  vtkSphericalTransform* vtk_pointer = GetVTKPointer<vtkSphericalTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphericalTransform:ForwardTransformPoint vtkSphericalTransformForwardTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkSphericalTransformForwardTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkSphericalTransformForwardTransformPoint");
}

//@@Signature
//sfunction @vtkSphericalTransform:ForwardTransformDerivative vtkSphericalTransformForwardTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkSphericalTransformForwardTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkSphericalTransformForwardTransformDerivative");
}

//@@Signature
//sfunction @vtkSphericalTransform:InverseTransformPoint vtkSphericalTransformInverseTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkSphericalTransformInverseTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkSphericalTransformInverseTransformPoint");
}

//@@Signature
//sfunction @vtkSphericalTransform:InverseTransformDerivative vtkSphericalTransformInverseTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkSphericalTransformInverseTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkSphericalTransformInverseTransformDerivative");
}

//@@Signature
//sfunction @vtkSphericalTransform:display vtkSphericalTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSphericalTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSphericalTransform* vtk_pointer = GetVTKPointer<vtkSphericalTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSphericalTransform:delete vtkSphericalTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkSphericalTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSphericalTransform
//@@Section VTKCommon
//@@Usage
// vtkSphericalTransform will convert (r,phi,theta) coordinates to 
// (x,y,z) coordinates and back again.  The angles are given in radians.
// By default, it converts spherical coordinates to rectangular, but
// GetInverse() returns a transform that will do the opposite.  The equation
// that is used is x = r*sin(phi)*cos(theta), y = r*sin(phi)*sin(theta),
// z = r*cos(phi).
//
//To create an instance of class vtkSphericalTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkSphericalTransform
//@]
//@@Methods
//The class vtkSphericalTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSphericalTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSphericalTransform = obj.NewInstance ()|
// \item @|vtkSphericalTransform = obj.SafeDownCast (vtkObject o)|
// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make another transform of the same type.
////\end{itemize}
//!
