#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStringArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStringArray.h"

//@@Signature
//sfunction @vtkStringArray:vtkStringArray vtkStringArrayConstructorFunction
//input a
//output p
//@@Parents vtkStringArray vtkAbstractArray 
ArrayVector vtkStringArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStringArray::New(),"vtkStringArray",eval);
  } else if (arg[0].className() == "vtkStringArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStringArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStringArray");
    vtkStringArray*q = reinterpret_cast<vtkStringArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStringArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStringArray:GetClassName vtkStringArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStringArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:IsA vtkStringArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStringArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStringArray requires 2 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:NewInstance vtkStringArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStringArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:SafeDownCast vtkStringArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStringArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStringArray requires 2 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStringArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:GetDataType vtkStringArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkStringArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType ();return VTK_STRING  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:IsNumeric vtkStringArrayIsNumericFunction
//input a0 
//output y
ArrayVector vtkStringArrayIsNumericFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsNumeric ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsNumeric for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsNumeric();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:Initialize vtkStringArrayInitializeFunction
//input a0 
//output none
ArrayVector vtkStringArrayInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:GetDataTypeSize vtkStringArrayGetDataTypeSizeFunction
//input a0 
//output y
ArrayVector vtkStringArrayGetDataTypeSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataTypeSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeSize for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataTypeSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:Squeeze vtkStringArraySqueezeFunction
//input a0 
//output none
ArrayVector vtkStringArraySqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze ();this ResizeAndExtend this MaxId  */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:Resize vtkStringArrayResizeFunction
//input a0 a1 
//output y
ArrayVector vtkStringArrayResizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Resize (vtkIdType numTuples); */
  if (arg.size() < 2) 
    throw Exception("Function Resize for class vtkStringArray requires 2 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->Resize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:SetTuple vtkStringArraySetTupleFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStringArraySetTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source); */
  if (arg.size() < 4) 
    throw Exception("Function SetTuple for class vtkStringArray requires 4 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->SetTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:InsertTuple vtkStringArrayInsertTupleFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStringArrayInsertTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source); */
  if (arg.size() < 4) 
    throw Exception("Function InsertTuple for class vtkStringArray requires 4 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->InsertTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:InsertNextTuple vtkStringArrayInsertNextTupleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStringArrayInsertNextTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextTuple for class vtkStringArray requires 3 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  temp20 = (vtk_pointer)->InsertNextTuple(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:InterpolateTuple__1 vtkStringArrayInterpolateTuple__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkStringArrayInterpolateTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateTuple (vtkIdType i, vtkIdList *ptIndices, vtkAbstractArray *source, double *weights); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateTuple__1 for class vtkStringArray requires 5 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkAbstractArray  *temp2;
  double  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateTuple(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:InterpolateTuple__2 vtkStringArrayInterpolateTuple__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkStringArrayInterpolateTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t); */
  if (arg.size() < 7) 
    throw Exception("Function InterpolateTuple__2 for class vtkStringArray requires 7 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  vtkIdType   temp3;
  vtkAbstractArray  *temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkAbstractArray>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:GetTuples__1 vtkStringArrayGetTuples__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkStringArrayGetTuples__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTuples (vtkIdList *ptIds, vtkAbstractArray *output); */
  if (arg.size() < 3) 
    throw Exception("Function GetTuples__1 for class vtkStringArray requires 3 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  vtkAbstractArray  *temp1;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  vtk_pointer->GetTuples(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:GetTuples__2 vtkStringArrayGetTuples__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStringArrayGetTuples__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTuples (vtkIdType p1, vtkIdType p2, vtkAbstractArray *output); */
  if (arg.size() < 4) 
    throw Exception("Function GetTuples__2 for class vtkStringArray requires 4 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->GetTuples(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:Allocate vtkStringArrayAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStringArrayAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Allocate (vtkIdType sz, vtkIdType ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkStringArray requires 3 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:GetValue vtkStringArrayGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkStringArrayGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStdString &GetValue (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkStringArray requires 2 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:SetValue vtkStringArraySetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStringArraySetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (vtkIdType id, const char *value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkStringArray requires 3 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:SetNumberOfTuples vtkStringArraySetNumberOfTuplesFunction
//input a0 a1 
//output none
ArrayVector vtkStringArraySetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfTuples (vtkIdType number);this SetNumberOfValues this NumberOfComponents number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTuples for class vtkStringArray requires 2 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTuples(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:SetNumberOfValues vtkStringArraySetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkStringArraySetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkStringArray requires 2 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:GetNumberOfValues vtkStringArrayGetNumberOfValuesFunction
//input a0 
//output y
ArrayVector vtkStringArrayGetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfValues ();return this MaxId  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfValues for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:GetNumberOfElementComponents vtkStringArrayGetNumberOfElementComponentsFunction
//input a0 
//output y
ArrayVector vtkStringArrayGetNumberOfElementComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfElementComponents ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfElementComponents for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfElementComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:GetElementComponentSize vtkStringArrayGetElementComponentSizeFunction
//input a0 
//output y
ArrayVector vtkStringArrayGetElementComponentSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElementComponentSize ();return static_cast int sizeof vtkStdString value_type  */
  if (arg.size() < 1) 
    throw Exception("Function GetElementComponentSize for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetElementComponentSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:InsertValue vtkStringArrayInsertValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStringArrayInsertValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertValue (vtkIdType id, const char *val); */
  if (arg.size() < 3) 
    throw Exception("Function InsertValue for class vtkStringArray requires 3 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->InsertValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:InsertNextValue vtkStringArrayInsertNextValueFunction
//input a0 a1 
//output y
ArrayVector vtkStringArrayInsertNextValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextValue (const char *f); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextValue for class vtkStringArray requires 2 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->InsertNextValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:DeepCopy vtkStringArrayDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkStringArrayDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkAbstractArray *aa); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkStringArray requires 2 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:GetActualMemorySize vtkStringArrayGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkStringArrayGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:NewIterator vtkStringArrayNewIteratorFunction
//input a0 
//output y
ArrayVector vtkStringArrayNewIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkArrayIterator *NewIterator (); */
  if (arg.size() < 1) 
    throw Exception("Function NewIterator for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkArrayIterator  *temp20;
  temp20 = (vtk_pointer)->NewIterator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:GetDataSize vtkStringArrayGetDataSizeFunction
//input a0 
//output y
ArrayVector vtkStringArrayGetDataSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetDataSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSize for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetDataSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:LookupValue__1 vtkStringArrayLookupValue__1Function
//input a0 a1 
//output y
ArrayVector vtkStringArrayLookupValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType LookupValue (const char *value); */
  if (arg.size() < 2) 
    throw Exception("Function LookupValue__1 for class vtkStringArray requires 2 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->LookupValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:LookupValue__2 vtkStringArrayLookupValue__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkStringArrayLookupValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LookupValue (const char *value, vtkIdList *ids); */
  if (arg.size() < 3) 
    throw Exception("Function LookupValue__2 for class vtkStringArray requires 3 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdList  *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->LookupValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:DataChanged vtkStringArrayDataChangedFunction
//input a0 
//output none
ArrayVector vtkStringArrayDataChangedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DataChanged (); */
  if (arg.size() < 1) 
    throw Exception("Function DataChanged for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtk_pointer->DataChanged();
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:DataElementChanged vtkStringArrayDataElementChangedFunction
//input a0 a1 
//output none
ArrayVector vtkStringArrayDataElementChangedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DataElementChanged (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function DataElementChanged for class vtkStringArray requires 2 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DataElementChanged(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:ClearLookup vtkStringArrayClearLookupFunction
//input a0 
//output none
ArrayVector vtkStringArrayClearLookupFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ClearLookup (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearLookup for class vtkStringArray requires 1 argument(s)");
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  Array retval;
  vtk_pointer->ClearLookup();
  return retval;
}

//@@Signature
//sfunction @vtkStringArray:InterpolateTuple vtkStringArrayInterpolateTupleFunction
//input varargin
//output varargout
ArrayVector vtkStringArrayInterpolateTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkAbstractArray") && VTKIsVectorArg(arg[4]))
    return vtkStringArrayInterpolateTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray") && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkAbstractArray") && VTKIsScalarArg(arg[6]))
    return vtkStringArrayInterpolateTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStringArrayInterpolateTuple");
}

//@@Signature
//sfunction @vtkStringArray:GetTuples vtkStringArrayGetTuplesFunction
//input varargin
//output varargout
ArrayVector vtkStringArrayGetTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkIdList") && VTKIsClass(arg[2],"vtkAbstractArray"))
    return vtkStringArrayGetTuples__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray"))
    return vtkStringArrayGetTuples__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStringArrayGetTuples");
}

//@@Signature
//sfunction @vtkStringArray:LookupValue vtkStringArrayLookupValueFunction
//input varargin
//output varargout
ArrayVector vtkStringArrayLookupValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkStringArrayLookupValue__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[2],"vtkIdList"))
    return vtkStringArrayLookupValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStringArrayLookupValue");
}

//@@Signature
//sfunction @vtkStringArray:display vtkStringArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStringArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStringArray* vtk_pointer = GetVTKPointer<vtkStringArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStringArray:delete vtkStringArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkStringArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStringArray
//@@Section VTKCommon
//@@Usage
// Points and cells may sometimes have associated data that are stored
// as strings, e.g. many information visualization projects.  This
// class provides a reasonably clean way to store and access those.
//
//
//
//To create an instance of class vtkStringArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkStringArray
//@]
//@@Methods
//The class vtkStringArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStringArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStringArray = obj.NewInstance ()|
// \item @|vtkStringArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataType ()|
// \item @|int = obj.IsNumeric ()| -  Release storage and reset array to initial state.
//// \item @|obj.Initialize ()| -  Release storage and reset array to initial state.
//// \item @|int = obj.GetDataTypeSize ()| -  Return the size of the data type.  WARNING: This may not mean
// what you expect with strings.  It will return
// sizeof(vtkstd::string) and not take into account the data
// included in any particular string.
//// \item @|obj.Squeeze ()| -  Resize the array while conserving the data.
//// \item @|int = obj.Resize (vtkIdType numTuples)| -  Resize the array while conserving the data.
//// \item @|obj.SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)| -  Set the tuple at the ith location using the jth tuple in the source array.
// This method assumes that the two arrays have the same type
// and structure. Note that range checking and memory allocation is not 
// performed; use in conjunction with SetNumberOfTuples() to allocate space.
//// \item @|obj.InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)| -  Insert the jth tuple in the source array, at ith location in this array. 
// Note that memory allocation is performed as necessary to hold the data.
//// \item @|vtkIdType = obj.InsertNextTuple (vtkIdType j, vtkAbstractArray source)| -  Insert the jth tuple in the source array, at the end in this array. 
// Note that memory allocation is performed as necessary to hold the data.
// Returns the location at which the data was inserted.
//// \item @|obj.InterpolateTuple (vtkIdType i, vtkIdList ptIndices, vtkAbstractArray source, double weights)| -  Set the ith tuple in this array as the interpolated tuple value,
// given the ptIndices in the source array and associated 
// interpolation weights.
// This method assumes that the two arrays are of the same type
// and strcuture.
//// \item @|obj.InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray source1, vtkIdType id2, vtkAbstractArray source2, double t)|
// \item @|obj.GetTuples (vtkIdList ptIds, vtkAbstractArray output)| -  Given a list of indices, return an array of values.  You must
// insure that the output array has been previously allocated with
// enough space to hold the data and that the types match
// sufficiently to allow conversion (if necessary).
//// \item @|obj.GetTuples (vtkIdType p1, vtkIdType p2, vtkAbstractArray output)| -  Get the values for the range of indices specified (i.e.,
// p1->p2 inclusive). You must insure that the output array has been
// previously allocated with enough space to hold the data and that
// the type of the output array is compatible with the type of this
// array.
//// \item @|int = obj.Allocate (vtkIdType sz, vtkIdType ext)| -  Allocate memory for this array. Delete old storage only if necessary.
// Note that ext is no longer used.
//// \item @|vtkStdString = obj.&GetValue (vtkIdType id)| -  Get the data at a particular index.
//// \item @|obj.SetValue (vtkIdType id, string value)| -  Set the data at a particular index. Does not do range checking. Make sure
// you use the method SetNumberOfValues() before inserting data.
//// \item @|obj.SetNumberOfTuples (vtkIdType number)| -  Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|vtkIdType = obj.GetNumberOfValues ()|
// \item @|int = obj.GetNumberOfElementComponents ()|
// \item @|int = obj.GetElementComponentSize ()| -  Insert data at a specified position in the array.
//// \item @|obj.InsertValue (vtkIdType id, string val)| -  Insert data at a specified position in the array.
//// \item @|vtkIdType = obj.InsertNextValue (string f)| -  Insert data at the end of the array. Return its location in the array.
//// \item @|obj.DeepCopy (vtkAbstractArray aa)| -  Deep copy of another string array.  Will complain and change nothing
// if the array passed in is not a vtkStringArray.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the memory in kilobytes consumed by this data array. Used to
// support streaming and reading/writing data. The value returned is
// guaranteed to be greater than or equal to the memory required to
// actually represent the data represented by this object. The 
// information returned is valid only after the pipeline has 
// been updated.
//
// This function takes into account the size of the contents of the
// strings as well as the string containers themselves.
//// \item @|vtkArrayIterator = obj.NewIterator ()| -  Returns a vtkArrayIteratorTemplate<vtkStdString>.
//// \item @|vtkIdType = obj.GetDataSize ()| -  Returns the size of the data in DataTypeSize units. Thus, the number of bytes
// for the data can be computed by GetDataSize() * GetDataTypeSize().
// The size computation includes the string termination character for each string.
//// \item @|vtkIdType = obj.LookupValue (string value)|
// \item @|obj.LookupValue (string value, vtkIdList ids)|
// \item @|obj.DataChanged ()| -  Tell the array explicitly that the data has changed.
// This is only necessary to call when you modify the array contents
// without using the array's API (i.e. you retrieve a pointer to the
// data and modify the array contents).  You need to call this so that
// the fast lookup will know to rebuild itself.  Otherwise, the lookup
// functions will give incorrect results.
//// \item @|obj.DataElementChanged (vtkIdType id)| -  Tell the array explicitly that a single data element has
// changed. Like DataChanged(), then is only necessary when you
// modify the array contents without using the array's API. 
//// \item @|obj.ClearLookup ()| -  Delete the associated fast lookup data structure on this array,
// if it exists.  The lookup will be rebuilt on the next call to a lookup
// function.
////\end{itemize}
//!
