#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredData.h"

//@@Signature
//sfunction @vtkStructuredData:vtkStructuredData vtkStructuredDataConstructorFunction
//input a
//output p
//@@Parents vtkStructuredData vtkObject 
ArrayVector vtkStructuredDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredData::New(),"vtkStructuredData",eval);
  } else if (arg[0].className() == "vtkStructuredData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredData");
    vtkStructuredData*q = reinterpret_cast<vtkStructuredData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredData:GetClassName vtkStructuredDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredData requires 1 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:IsA vtkStructuredDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredData requires 2 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:NewInstance vtkStructuredDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredData requires 1 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  vtkStructuredData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:SafeDownCast vtkStructuredDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredData requires 2 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:SetDimensions vtkStructuredDataSetDimensionsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStructuredDataSetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SetDimensions (int inDim[3], int dim[3]); */
  if (arg.size() < 3) 
    throw Exception("Function SetDimensions for class vtkStructuredData requires 3 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  int    temp0[3];
  int    temp1[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->SetDimensions(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:SetExtent vtkStructuredDataSetExtentFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStructuredDataSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SetExtent (int inExt[6], int ext[6]); */
  if (arg.size() < 3) 
    throw Exception("Function SetExtent for class vtkStructuredData requires 3 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->SetExtent(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:GetDataDescription vtkStructuredDataGetDataDescriptionFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredDataGetDataDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetDataDescription (int dims[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataDescription for class vtkStructuredData requires 2 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  int    temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->GetDataDescription(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:GetDataDimension vtkStructuredDataGetDataDimensionFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredDataGetDataDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetDataDimension (int dataDescription); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataDimension for class vtkStructuredData requires 2 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDataDimension(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:GetCellPoints vtkStructuredDataGetCellPointsFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkStructuredDataGetCellPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds, int dataDescription, int dim[3]); */
  if (arg.size() < 5) 
    throw Exception("Function GetCellPoints for class vtkStructuredData requires 5 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  int      temp2;
  int    temp3[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
  }
  vtk_pointer->GetCellPoints(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:GetPointCells vtkStructuredDataGetPointCellsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStructuredDataGetPointCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetPointCells (vtkIdType ptId, vtkIdList *cellIds, int dim[3]); */
  if (arg.size() < 4) 
    throw Exception("Function GetPointCells for class vtkStructuredData requires 4 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  int    temp2[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
  }
  vtk_pointer->GetPointCells(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:GetCellNeighbors vtkStructuredDataGetCellNeighborsFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkStructuredDataGetCellNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds, int dim[3]); */
  if (arg.size() < 5) 
    throw Exception("Function GetCellNeighbors for class vtkStructuredData requires 5 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  int    temp3[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
  }
  vtk_pointer->GetCellNeighbors(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:ComputePointIdForExtent vtkStructuredDataComputePointIdForExtentFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStructuredDataComputePointIdForExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkIdType ComputePointIdForExtent (int extent[6], int ijk[3]);vtkIdType ydim static_cast vtkIdType extent extent vtkIdType xdim static_cast vtkIdType extent extent return ijk extent ydim ijk extent xdim ijk extent  */
  if (arg.size() < 3) 
    throw Exception("Function ComputePointIdForExtent for class vtkStructuredData requires 3 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputePointIdForExtent(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:ComputeCellIdForExtent vtkStructuredDataComputeCellIdForExtentFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStructuredDataComputeCellIdForExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkIdType ComputeCellIdForExtent (int extent[6], int ijk[3]);vtkIdType ydim static_cast vtkIdType extent extent vtkIdType xdim static_cast vtkIdType extent extent return ijk extent ydim ijk extent xdim ijk extent  */
  if (arg.size() < 3) 
    throw Exception("Function ComputeCellIdForExtent for class vtkStructuredData requires 3 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeCellIdForExtent(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:ComputePointId vtkStructuredDataComputePointIdFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStructuredDataComputePointIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkIdType ComputePointId (int dim[3], int ijk[3]);return ijk static_cast vtkIdType dim ijk dim ijk  */
  if (arg.size() < 3) 
    throw Exception("Function ComputePointId for class vtkStructuredData requires 3 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  int    temp0[3];
  int    temp1[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputePointId(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:ComputeCellId vtkStructuredDataComputeCellIdFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStructuredDataComputeCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkIdType ComputeCellId (int dim[3], int ijk[3]);return ijk static_cast vtkIdType dim ijk dim ijk  */
  if (arg.size() < 3) 
    throw Exception("Function ComputeCellId for class vtkStructuredData requires 3 argument(s)");
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  Array retval;
  int    temp0[3];
  int    temp1[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeCellId(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredData:display vtkStructuredDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredData* vtk_pointer = GetVTKPointer<vtkStructuredData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredData:delete vtkStructuredDataDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredData
//@@Section VTKCommon
//@@Usage
// vtkStructuredData is an abstract class that specifies an interface for
// topologically regular data. Regular data is data that can be accessed
// in rectangular fashion using an i-j-k index. A finite difference grid,
// a volume, or a pixmap are all considered regular.
//
//To create an instance of class vtkStructuredData, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredData
//@]
//@@Methods
//The class vtkStructuredData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredData = obj.NewInstance ()|
// \item @|vtkStructuredData = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
