#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredVisibilityConstraint object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredVisibilityConstraint.h"

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:vtkStructuredVisibilityConstraint vtkStructuredVisibilityConstraintConstructorFunction
//input a
//output p
//@@Parents vtkStructuredVisibilityConstraint vtkObject 
ArrayVector vtkStructuredVisibilityConstraintConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredVisibilityConstraint::New(),"vtkStructuredVisibilityConstraint",eval);
  } else if (arg[0].className() == "vtkStructuredVisibilityConstraint") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredVisibilityConstraint"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredVisibilityConstraint");
    vtkStructuredVisibilityConstraint*q = reinterpret_cast<vtkStructuredVisibilityConstraint*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredVisibilityConstraint");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:GetClassName vtkStructuredVisibilityConstraintGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredVisibilityConstraintGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredVisibilityConstraint requires 1 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:IsA vtkStructuredVisibilityConstraintIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredVisibilityConstraintIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredVisibilityConstraint requires 2 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:NewInstance vtkStructuredVisibilityConstraintNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredVisibilityConstraintNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredVisibilityConstraint *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredVisibilityConstraint requires 1 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  vtkStructuredVisibilityConstraint  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredVisibilityConstraint",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:SafeDownCast vtkStructuredVisibilityConstraintSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredVisibilityConstraintSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredVisibilityConstraint *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredVisibilityConstraint requires 2 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredVisibilityConstraint  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredVisibilityConstraint",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:IsVisible vtkStructuredVisibilityConstraintIsVisibleFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredVisibilityConstraintIsVisibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char IsVisible (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function IsVisible for class vtkStructuredVisibilityConstraint requires 2 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned char     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsVisible(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:Blank vtkStructuredVisibilityConstraintBlankFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredVisibilityConstraintBlankFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Blank (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function Blank for class vtkStructuredVisibilityConstraint requires 2 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Blank(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:UnBlank vtkStructuredVisibilityConstraintUnBlankFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredVisibilityConstraintUnBlankFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnBlank (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function UnBlank for class vtkStructuredVisibilityConstraint requires 2 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->UnBlank(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:GetDimensions vtkStructuredVisibilityConstraintGetDimensionsFunction
//input a0 
//output y
ArrayVector vtkStructuredVisibilityConstraintGetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensions for class vtkStructuredVisibilityConstraint requires 1 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:Initialize vtkStructuredVisibilityConstraintInitializeFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredVisibilityConstraintInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (int dims[3]); */
  if (arg.size() < 2) 
    throw Exception("Function Initialize for class vtkStructuredVisibilityConstraint requires 2 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->Initialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:SetVisibilityById vtkStructuredVisibilityConstraintSetVisibilityByIdFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredVisibilityConstraintSetVisibilityByIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVisibilityById (vtkUnsignedCharArray *vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetVisibilityById for class vtkStructuredVisibilityConstraint requires 2 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  vtk_pointer->SetVisibilityById(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:GetVisibilityById vtkStructuredVisibilityConstraintGetVisibilityByIdFunction
//input a0 
//output y
ArrayVector vtkStructuredVisibilityConstraintGetVisibilityByIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *GetVisibilityById (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVisibilityById for class vtkStructuredVisibilityConstraint requires 1 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp20;
  temp20 = (vtk_pointer)->GetVisibilityById();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:ShallowCopy vtkStructuredVisibilityConstraintShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredVisibilityConstraintShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkStructuredVisibilityConstraint *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkStructuredVisibilityConstraint requires 2 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  vtkStructuredVisibilityConstraint  *temp0;
  temp0 = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:DeepCopy vtkStructuredVisibilityConstraintDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredVisibilityConstraintDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkStructuredVisibilityConstraint *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkStructuredVisibilityConstraint requires 2 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  vtkStructuredVisibilityConstraint  *temp0;
  temp0 = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:IsConstrained vtkStructuredVisibilityConstraintIsConstrainedFunction
//input a0 
//output y
ArrayVector vtkStructuredVisibilityConstraintIsConstrainedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char IsConstrained ();return this VisibilityById  */
  if (arg.size() < 1) 
    throw Exception("Function IsConstrained for class vtkStructuredVisibilityConstraint requires 1 argument(s)");
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  Array retval;
  unsigned char     temp20;
  temp20 = (vtk_pointer)->IsConstrained();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredVisibilityConstraint:display vtkStructuredVisibilityConstraintDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredVisibilityConstraintDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredVisibilityConstraint* vtk_pointer = GetVTKPointer<vtkStructuredVisibilityConstraint>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredVisibilityConstraint:delete vtkStructuredVisibilityConstraintDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredVisibilityConstraintDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredVisibilityConstraint
//@@Section VTKCommon
//@@Usage
// vtkStructuredVisibilityConstraint is a general class to manage
// a list of points/cell marked as invalid or invisible. Currently,
// it does this by maintaining an unsigned char array associated
// with points/cells. To conserve memory, this array is allocated
// only when it is needed (when Blank() is called the first time).
// Make sure to call Initialize() with the right dimensions before
// calling any methods that set/get visibility.
//
//To create an instance of class vtkStructuredVisibilityConstraint, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredVisibilityConstraint
//@]
//@@Methods
//The class vtkStructuredVisibilityConstraint has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredVisibilityConstraint class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredVisibilityConstraint = obj.NewInstance ()|
// \item @|vtkStructuredVisibilityConstraint = obj.SafeDownCast (vtkObject o)|
// \item @|char = obj.IsVisible (vtkIdType id)| -  Returns 1 is the point/cell is visible, 0 otherwise.
//// \item @|obj.Blank (vtkIdType id)| -  Sets the visibility flag of the given point/cell off.
// The first time blank is called, a new visibility array
// is created if it doesn't exist.
//// \item @|obj.UnBlank (vtkIdType id)| -  Sets the visibility flag of the given point/cell on.
//// \item @|int = obj. GetDimensions ()| -  Get the dimensions used to initialize the object.
//// \item @|obj.Initialize (int dims[3])| -  Set the dimensions and set the Initialized flag to 1. Once
// an object is initialized, it's dimensions can not be
// changed anymore.
//// \item @|obj.SetVisibilityById (vtkUnsignedCharArray vis)| -  Set/Get the array used to store the visibility flags.
//// \item @|vtkUnsignedCharArray = obj.GetVisibilityById ()| -  Set/Get the array used to store the visibility flags.
//// \item @|obj.ShallowCopy (vtkStructuredVisibilityConstraint src)| -  Copies the dimensions, the visibility array pointer
// and the initialized flag.
//// \item @|obj.DeepCopy (vtkStructuredVisibilityConstraint src)| -  Copies the dimensions, the visibility array
// and the initialized flag.
//// \item @|char = obj.IsConstrained ()|
//\end{itemize}
//!
