#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableExtentTranslator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableExtentTranslator.h"

//@@Signature
//sfunction @vtkTableExtentTranslator:vtkTableExtentTranslator vtkTableExtentTranslatorConstructorFunction
//input a
//output p
//@@Parents vtkTableExtentTranslator vtkExtentTranslator 
ArrayVector vtkTableExtentTranslatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableExtentTranslator::New(),"vtkTableExtentTranslator",eval);
  } else if (arg[0].className() == "vtkTableExtentTranslator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableExtentTranslator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableExtentTranslator");
    vtkTableExtentTranslator*q = reinterpret_cast<vtkTableExtentTranslator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableExtentTranslator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableExtentTranslator:GetClassName vtkTableExtentTranslatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableExtentTranslatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableExtentTranslator requires 1 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:IsA vtkTableExtentTranslatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableExtentTranslatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableExtentTranslator requires 2 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:NewInstance vtkTableExtentTranslatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableExtentTranslatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableExtentTranslator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableExtentTranslator requires 1 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  vtkTableExtentTranslator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:SafeDownCast vtkTableExtentTranslatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableExtentTranslatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableExtentTranslator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableExtentTranslator requires 2 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableExtentTranslator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:SetNumberOfPieces vtkTableExtentTranslatorSetNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkTableExtentTranslatorSetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPieces (int pieces); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPieces for class vtkTableExtentTranslator requires 2 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:SetNumberOfPiecesInTable vtkTableExtentTranslatorSetNumberOfPiecesInTableFunction
//input a0 a1 
//output none
ArrayVector vtkTableExtentTranslatorSetNumberOfPiecesInTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPiecesInTable (int pieces); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPiecesInTable for class vtkTableExtentTranslator requires 2 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPiecesInTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:GetNumberOfPiecesInTable vtkTableExtentTranslatorGetNumberOfPiecesInTableFunction
//input a0 
//output y
ArrayVector vtkTableExtentTranslatorGetNumberOfPiecesInTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPiecesInTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPiecesInTable for class vtkTableExtentTranslator requires 1 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPiecesInTable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:PieceToExtent vtkTableExtentTranslatorPieceToExtentFunction
//input a0 
//output y
ArrayVector vtkTableExtentTranslatorPieceToExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int PieceToExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceToExtent for class vtkTableExtentTranslator requires 1 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->PieceToExtent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:PieceToExtentByPoints vtkTableExtentTranslatorPieceToExtentByPointsFunction
//input a0 
//output y
ArrayVector vtkTableExtentTranslatorPieceToExtentByPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int PieceToExtentByPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceToExtentByPoints for class vtkTableExtentTranslator requires 1 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->PieceToExtentByPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:PieceToExtentThreadSafe vtkTableExtentTranslatorPieceToExtentThreadSafeFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkTableExtentTranslatorPieceToExtentThreadSafeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int PieceToExtentThreadSafe (int piece, int numPieces, int ghostLevel, int *wholeExtent, int *resultExtent, int splitMode, int byPoints); */
  if (arg.size() < 8) 
    throw Exception("Function PieceToExtentThreadSafe for class vtkTableExtentTranslator requires 8 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int     *temp3;
  int     *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new int[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (int)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->PieceToExtentThreadSafe(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:SetExtentForPiece vtkTableExtentTranslatorSetExtentForPieceFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTableExtentTranslatorSetExtentForPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetExtentForPiece (int piece, int *extent); */
  if (arg.size() < 3) 
    throw Exception("Function SetExtentForPiece for class vtkTableExtentTranslator requires 3 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->SetExtentForPiece(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:GetExtentForPiece__1 vtkTableExtentTranslatorGetExtentForPiece__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTableExtentTranslatorGetExtentForPiece__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetExtentForPiece (int piece, int *extent); */
  if (arg.size() < 3) 
    throw Exception("Function GetExtentForPiece__1 for class vtkTableExtentTranslator requires 3 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->GetExtentForPiece(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:SetMaximumGhostLevel vtkTableExtentTranslatorSetMaximumGhostLevelFunction
//input a0 a1 
//output none
ArrayVector vtkTableExtentTranslatorSetMaximumGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumGhostLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumGhostLevel for class vtkTableExtentTranslator requires 2 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumGhostLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:GetMaximumGhostLevel vtkTableExtentTranslatorGetMaximumGhostLevelFunction
//input a0 
//output y
ArrayVector vtkTableExtentTranslatorGetMaximumGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumGhostLevel for class vtkTableExtentTranslator requires 1 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:SetPieceAvailable vtkTableExtentTranslatorSetPieceAvailableFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTableExtentTranslatorSetPieceAvailableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPieceAvailable (int piece, int available); */
  if (arg.size() < 3) 
    throw Exception("Function SetPieceAvailable for class vtkTableExtentTranslator requires 3 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPieceAvailable(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:GetPieceAvailable vtkTableExtentTranslatorGetPieceAvailableFunction
//input a0 a1 
//output y
ArrayVector vtkTableExtentTranslatorGetPieceAvailableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetPieceAvailable (int piece); */
  if (arg.size() < 2) 
    throw Exception("Function GetPieceAvailable for class vtkTableExtentTranslator requires 2 argument(s)");
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPieceAvailable(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableExtentTranslator:GetExtentForPiece vtkTableExtentTranslatorGetExtentForPieceFunction
//input varargin
//output varargout
ArrayVector vtkTableExtentTranslatorGetExtentForPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkTableExtentTranslatorGetExtentForPiece__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTableExtentTranslatorGetExtentForPiece");
}

//@@Signature
//sfunction @vtkTableExtentTranslator:display vtkTableExtentTranslatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableExtentTranslatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableExtentTranslator* vtk_pointer = GetVTKPointer<vtkTableExtentTranslator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableExtentTranslator:delete vtkTableExtentTranslatorDeleteFunction
//input varargin
//output none
ArrayVector vtkTableExtentTranslatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableExtentTranslator
//@@Section VTKCommon
//@@Usage
// vtkTableExtentTranslator provides a vtkExtentTranslator that is
// programmed with a specific extent corresponding to each piece
// number.  Readers can provide this to an application to allow the
// pipeline to execute using the same piece breakdown that is provided
// in the input file.
//
//To create an instance of class vtkTableExtentTranslator, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableExtentTranslator
//@]
//@@Methods
//The class vtkTableExtentTranslator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableExtentTranslator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableExtentTranslator = obj.NewInstance ()|
// \item @|vtkTableExtentTranslator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfPieces (int pieces)|
// \item @|obj.SetNumberOfPiecesInTable (int pieces)| -  Set the real number of pieces in the extent table.
//// \item @|int = obj.GetNumberOfPiecesInTable ()| -  Set the real number of pieces in the extent table.
//// \item @|int = obj.PieceToExtent ()| -  Called to translate the current piece into an extent.  This is
// not thread safe.
//// \item @|int = obj.PieceToExtentByPoints ()| -  Not supported by this subclass of vtkExtentTranslator.
//// \item @|int = obj.PieceToExtentThreadSafe (int piece, int numPieces, int ghostLevel, int wholeExtent, int resultExtent, int splitMode, int byPoints)| -  Not supported by this subclass of vtkExtentTranslator.
//// \item @|obj.SetExtentForPiece (int piece, int extent)| -  Set the extent to be used for a piece.  This sets the extent table
// entry for the piece.
//// \item @|obj.GetExtentForPiece (int piece, int extent)| -  Get the extent table entry for the given piece.  This is only for
// code that is setting up the table.  Extent translation should
// always be done through the PieceToExtent method.
//// \item @|obj.SetMaximumGhostLevel (int )| -  Set the maximum ghost level that can be requested.  This can be
// used by a reader to make sure an extent request does not go
// outside the boundaries of the piece's file.
//// \item @|int = obj.GetMaximumGhostLevel ()| -  Set the maximum ghost level that can be requested.  This can be
// used by a reader to make sure an extent request does not go
// outside the boundaries of the piece's file.
//// \item @|obj.SetPieceAvailable (int piece, int available)| -  Get/Set whether the given piece is available.  Requesting a piece
// that is not available will produce errors in the pipeline.
//// \item @|int = obj.GetPieceAvailable (int piece)| -  Get/Set whether the given piece is available.  Requesting a piece
// that is not available will produce errors in the pipeline.
////\end{itemize}
//!
