#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTensor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTensor.h"

//@@Signature
//sfunction @vtkTensor:vtkTensor vtkTensorConstructorFunction
//input a
//output p
//@@Parents vtkTensor vtkObject 
ArrayVector vtkTensorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTensor::New(),"vtkTensor",eval);
  } else if (arg[0].className() == "vtkTensor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTensor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTensor");
    vtkTensor*q = reinterpret_cast<vtkTensor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTensor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTensor:GetClassName vtkTensorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTensorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTensor requires 1 argument(s)");
  vtkTensor* vtk_pointer = GetVTKPointer<vtkTensor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensor:IsA vtkTensorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTensorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTensor requires 2 argument(s)");
  vtkTensor* vtk_pointer = GetVTKPointer<vtkTensor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensor:NewInstance vtkTensorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTensorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTensor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTensor requires 1 argument(s)");
  vtkTensor* vtk_pointer = GetVTKPointer<vtkTensor>(arg[0]);
  Array retval;
  vtkTensor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTensor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTensor:SafeDownCast vtkTensorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTensorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTensor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTensor requires 2 argument(s)");
  vtkTensor* vtk_pointer = GetVTKPointer<vtkTensor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTensor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTensor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTensor:Initialize vtkTensorInitializeFunction
//input a0 
//output none
ArrayVector vtkTensorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkTensor requires 1 argument(s)");
  vtkTensor* vtk_pointer = GetVTKPointer<vtkTensor>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkTensor:GetComponent vtkTensorGetComponentFunction
//input a0 a1 a2 
//output y
ArrayVector vtkTensorGetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetComponent (int i, int j);return this T i j  */
  if (arg.size() < 3) 
    throw Exception("Function GetComponent for class vtkTensor requires 3 argument(s)");
  vtkTensor* vtk_pointer = GetVTKPointer<vtkTensor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetComponent(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensor:SetComponent vtkTensorSetComponentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTensorSetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponent (int i, int j, double v);if i j vtkErrorMacro i j return this T i j v  */
  if (arg.size() < 4) 
    throw Exception("Function SetComponent for class vtkTensor requires 4 argument(s)");
  vtkTensor* vtk_pointer = GetVTKPointer<vtkTensor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTensor:AddComponent vtkTensorAddComponentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTensorAddComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddComponent (int i, int j, double v);if i j vtkErrorMacro i j return this T i j v  */
  if (arg.size() < 4) 
    throw Exception("Function AddComponent for class vtkTensor requires 4 argument(s)");
  vtkTensor* vtk_pointer = GetVTKPointer<vtkTensor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->AddComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTensor:DeepCopy vtkTensorDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkTensorDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkTensor *t); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkTensor requires 2 argument(s)");
  vtkTensor* vtk_pointer = GetVTKPointer<vtkTensor>(arg[0]);
  Array retval;
  vtkTensor  *temp0;
  temp0 = GetVTKPointer<vtkTensor>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensor:display vtkTensorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTensorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTensor* vtk_pointer = GetVTKPointer<vtkTensor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTensor:delete vtkTensorDeleteFunction
//input varargin
//output none
ArrayVector vtkTensorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTensor
//@@Section VTKCommon
//@@Usage
// vtkTensor is a floating point representation of an nxn tensor. vtkTensor 
// provides methods for assignment and reference of tensor components. It 
// does it in such a way as to minimize data copying.
//
//
//To create an instance of class vtkTensor, simply
//invoke its constructor as follows
//@[
//  obj = vtkTensor
//@]
//@@Methods
//The class vtkTensor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTensor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTensor = obj.NewInstance ()|
// \item @|vtkTensor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Initialize tensor components to 0.0.
//// \item @|double = obj.GetComponent (int i, int j)| -  Get the tensor component (i,j).
//// \item @|obj.SetComponent (int i, int j, double v)| -  Set the value of the tensor component (i,j).
//// \item @|obj.AddComponent (int i, int j, double v)| -  Add to the value of the tensor component at location (i,j).
//// \item @|obj.DeepCopy (vtkTensor t)| -  Deep copy of one tensor to another tensor.
////\end{itemize}
//!
