#include "VTKWrap.hpp"

// FreeMat wrapper for vtkThreadMessager object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkThreadMessager.h"

//@@Signature
//sfunction @vtkThreadMessager:vtkThreadMessager vtkThreadMessagerConstructorFunction
//input a
//output p
//@@Parents vtkThreadMessager vtkObject 
ArrayVector vtkThreadMessagerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkThreadMessager::New(),"vtkThreadMessager",eval);
  } else if (arg[0].className() == "vtkThreadMessager") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkThreadMessager"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkThreadMessager");
    vtkThreadMessager*q = reinterpret_cast<vtkThreadMessager*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkThreadMessager");
    return ret;
  }
}
//@@Signature
//sfunction @vtkThreadMessager:GetClassName vtkThreadMessagerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkThreadMessagerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkThreadMessager requires 1 argument(s)");
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreadMessager:IsA vtkThreadMessagerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkThreadMessagerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkThreadMessager requires 2 argument(s)");
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreadMessager:NewInstance vtkThreadMessagerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkThreadMessagerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThreadMessager *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkThreadMessager requires 1 argument(s)");
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  Array retval;
  vtkThreadMessager  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThreadMessager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThreadMessager:SafeDownCast vtkThreadMessagerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkThreadMessagerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThreadMessager *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkThreadMessager requires 2 argument(s)");
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkThreadMessager  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThreadMessager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThreadMessager:WaitForMessage vtkThreadMessagerWaitForMessageFunction
//input a0 
//output none
ArrayVector vtkThreadMessagerWaitForMessageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WaitForMessage (); */
  if (arg.size() < 1) 
    throw Exception("Function WaitForMessage for class vtkThreadMessager requires 1 argument(s)");
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  Array retval;
  vtk_pointer->WaitForMessage();
  return retval;
}

//@@Signature
//sfunction @vtkThreadMessager:SendWakeMessage vtkThreadMessagerSendWakeMessageFunction
//input a0 
//output none
ArrayVector vtkThreadMessagerSendWakeMessageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SendWakeMessage (); */
  if (arg.size() < 1) 
    throw Exception("Function SendWakeMessage for class vtkThreadMessager requires 1 argument(s)");
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  Array retval;
  vtk_pointer->SendWakeMessage();
  return retval;
}

//@@Signature
//sfunction @vtkThreadMessager:EnableWaitForReceiver vtkThreadMessagerEnableWaitForReceiverFunction
//input a0 
//output none
ArrayVector vtkThreadMessagerEnableWaitForReceiverFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableWaitForReceiver (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableWaitForReceiver for class vtkThreadMessager requires 1 argument(s)");
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  Array retval;
  vtk_pointer->EnableWaitForReceiver();
  return retval;
}

//@@Signature
//sfunction @vtkThreadMessager:DisableWaitForReceiver vtkThreadMessagerDisableWaitForReceiverFunction
//input a0 
//output none
ArrayVector vtkThreadMessagerDisableWaitForReceiverFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableWaitForReceiver (); */
  if (arg.size() < 1) 
    throw Exception("Function DisableWaitForReceiver for class vtkThreadMessager requires 1 argument(s)");
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  Array retval;
  vtk_pointer->DisableWaitForReceiver();
  return retval;
}

//@@Signature
//sfunction @vtkThreadMessager:WaitForReceiver vtkThreadMessagerWaitForReceiverFunction
//input a0 
//output none
ArrayVector vtkThreadMessagerWaitForReceiverFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WaitForReceiver (); */
  if (arg.size() < 1) 
    throw Exception("Function WaitForReceiver for class vtkThreadMessager requires 1 argument(s)");
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  Array retval;
  vtk_pointer->WaitForReceiver();
  return retval;
}

//@@Signature
//sfunction @vtkThreadMessager:SendMessage vtkThreadMessagerSendMessageFunction
//input a0 
//output none
ArrayVector vtkThreadMessagerSendMessageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SendMessage (); */
  if (arg.size() < 1) 
    throw Exception("Function SendMessage for class vtkThreadMessager requires 1 argument(s)");
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  Array retval;
  vtk_pointer->SendMessage();
  return retval;
}

//@@Signature
//sfunction @vtkThreadMessager:display vtkThreadMessagerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkThreadMessagerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkThreadMessager* vtk_pointer = GetVTKPointer<vtkThreadMessager>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkThreadMessager:delete vtkThreadMessagerDeleteFunction
//input varargin
//output none
ArrayVector vtkThreadMessagerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkThreadMessager
//@@Section VTKCommon
//@@Usage
// vtkMultithreader is a class that provides support for messaging between
// threads multithreaded using pthreads or Windows messaging.
//
//To create an instance of class vtkThreadMessager, simply
//invoke its constructor as follows
//@[
//  obj = vtkThreadMessager
//@]
//@@Methods
//The class vtkThreadMessager has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkThreadMessager class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkThreadMessager = obj.NewInstance ()|
// \item @|vtkThreadMessager = obj.SafeDownCast (vtkObject o)|
// \item @|obj.WaitForMessage ()| -  Wait (block, non-busy) until another thread sends a
// message.
//// \item @|obj.SendWakeMessage ()| -  Send a message to all threads who are waiting via
// WaitForMessage().
//// \item @|obj.EnableWaitForReceiver ()| -  pthreads only. If the wait is enabled, the thread who
// is to call WaitForMessage() will block until a receiver
// thread is ready to receive.
//// \item @|obj.DisableWaitForReceiver ()| -  pthreads only. If the wait is enabled, the thread who
// is to call WaitForMessage() will block until a receiver
// thread is ready to receive.
//// \item @|obj.WaitForReceiver ()| -  pthreads only.
// If wait is enable, this will block until one thread is ready
// to receive a message.
//// \item @|obj.SendMessage ()| -  @deprecated Replaced by vtkThreadMessager::SendWakeMessage() as of
// VTK 5.0.
////\end{itemize}
//!
