#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTimePointUtility object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTimePointUtility.h"

//@@Signature
//sfunction @vtkTimePointUtility:vtkTimePointUtility vtkTimePointUtilityConstructorFunction
//input a
//output p
//@@Parents vtkTimePointUtility vtkObject 
ArrayVector vtkTimePointUtilityConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTimePointUtility::New(),"vtkTimePointUtility",eval);
  } else if (arg[0].className() == "vtkTimePointUtility") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTimePointUtility"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTimePointUtility");
    vtkTimePointUtility*q = reinterpret_cast<vtkTimePointUtility*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTimePointUtility");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTimePointUtility:GetClassName vtkTimePointUtilityGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTimePointUtilityGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTimePointUtility requires 1 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:IsA vtkTimePointUtilityIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointUtilityIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTimePointUtility requires 2 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:NewInstance vtkTimePointUtilityNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTimePointUtilityNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTimePointUtility *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTimePointUtility requires 1 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  vtkTimePointUtility  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTimePointUtility",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:SafeDownCast vtkTimePointUtilitySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointUtilitySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTimePointUtility *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTimePointUtility requires 2 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTimePointUtility  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTimePointUtility",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:DateToTimePoint vtkTimePointUtilityDateToTimePointFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTimePointUtilityDateToTimePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkTypeUInt64 DateToTimePoint (int year, int month, int day); */
  if (arg.size() < 4) 
    throw Exception("Function DateToTimePoint for class vtkTimePointUtility requires 4 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  unsigned long long   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->DateToTimePoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:TimeToTimePoint vtkTimePointUtilityTimeToTimePointFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkTimePointUtilityTimeToTimePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkTypeUInt64 TimeToTimePoint (int hour, int minute, int second, int millis); */
  if (arg.size() < 5) 
    throw Exception("Function TimeToTimePoint for class vtkTimePointUtility requires 5 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  unsigned long long   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->TimeToTimePoint(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:DateTimeToTimePoint vtkTimePointUtilityDateTimeToTimePointFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkTimePointUtilityDateTimeToTimePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkTypeUInt64 DateTimeToTimePoint (int year, int month, int day, int hour, int minute, int sec, int millis); */
  if (arg.size() < 8) 
    throw Exception("Function DateTimeToTimePoint for class vtkTimePointUtility requires 8 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  unsigned long long   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->DateTimeToTimePoint(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:GetYear vtkTimePointUtilityGetYearFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointUtilityGetYearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetYear (vtkTypeUInt64 time); */
  if (arg.size() < 2) 
    throw Exception("Function GetYear for class vtkTimePointUtility requires 2 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  unsigned long long   temp0;
  int      temp20;
  temp20 = (vtk_pointer)->GetYear(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:GetMonth vtkTimePointUtilityGetMonthFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointUtilityGetMonthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetMonth (vtkTypeUInt64 time); */
  if (arg.size() < 2) 
    throw Exception("Function GetMonth for class vtkTimePointUtility requires 2 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  unsigned long long   temp0;
  int      temp20;
  temp20 = (vtk_pointer)->GetMonth(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:GetDay vtkTimePointUtilityGetDayFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointUtilityGetDayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetDay (vtkTypeUInt64 time); */
  if (arg.size() < 2) 
    throw Exception("Function GetDay for class vtkTimePointUtility requires 2 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  unsigned long long   temp0;
  int      temp20;
  temp20 = (vtk_pointer)->GetDay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:GetHour vtkTimePointUtilityGetHourFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointUtilityGetHourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetHour (vtkTypeUInt64 time); */
  if (arg.size() < 2) 
    throw Exception("Function GetHour for class vtkTimePointUtility requires 2 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  unsigned long long   temp0;
  int      temp20;
  temp20 = (vtk_pointer)->GetHour(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:GetMinute vtkTimePointUtilityGetMinuteFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointUtilityGetMinuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetMinute (vtkTypeUInt64 time); */
  if (arg.size() < 2) 
    throw Exception("Function GetMinute for class vtkTimePointUtility requires 2 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  unsigned long long   temp0;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinute(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:GetSecond vtkTimePointUtilityGetSecondFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointUtilityGetSecondFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetSecond (vtkTypeUInt64 time); */
  if (arg.size() < 2) 
    throw Exception("Function GetSecond for class vtkTimePointUtility requires 2 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  unsigned long long   temp0;
  int      temp20;
  temp20 = (vtk_pointer)->GetSecond(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:GetMillisecond vtkTimePointUtilityGetMillisecondFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointUtilityGetMillisecondFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetMillisecond (vtkTypeUInt64 time); */
  if (arg.size() < 2) 
    throw Exception("Function GetMillisecond for class vtkTimePointUtility requires 2 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  unsigned long long   temp0;
  int      temp20;
  temp20 = (vtk_pointer)->GetMillisecond(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:TimePointToISO8601 vtkTimePointUtilityTimePointToISO8601Function
//input a0 a1 a2 
//output y
ArrayVector vtkTimePointUtilityTimePointToISO8601Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *TimePointToISO8601 (vtkTypeUInt64 , int formatISO8601_DATETIME_MILLIS); */
  if (arg.size() < 3) 
    throw Exception("Function TimePointToISO8601 for class vtkTimePointUtility requires 3 argument(s)");
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  Array retval;
  unsigned long long   temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->TimePointToISO8601(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointUtility:display vtkTimePointUtilityDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTimePointUtilityDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTimePointUtility* vtk_pointer = GetVTKPointer<vtkTimePointUtility>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTimePointUtility:delete vtkTimePointUtilityDeleteFunction
//input varargin
//output none
ArrayVector vtkTimePointUtilityDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTimePointUtility
//@@Section VTKCommon
//@@Usage
//
// vtkTimePointUtility is provides methods to perform common time operations.
//
//To create an instance of class vtkTimePointUtility, simply
//invoke its constructor as follows
//@[
//  obj = vtkTimePointUtility
//@]
//@@Methods
//The class vtkTimePointUtility has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTimePointUtility class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTimePointUtility = obj.NewInstance ()|
// \item @|vtkTimePointUtility = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
