#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTimerLog object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTimerLog.h"

//@@Signature
//sfunction @vtkTimerLog:vtkTimerLog vtkTimerLogConstructorFunction
//input a
//output p
//@@Parents vtkTimerLog vtkObject 
ArrayVector vtkTimerLogConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTimerLog::New(),"vtkTimerLog",eval);
  } else if (arg[0].className() == "vtkTimerLog") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTimerLog"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTimerLog");
    vtkTimerLog*q = reinterpret_cast<vtkTimerLog*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTimerLog");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTimerLog:GetClassName vtkTimerLogGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTimerLogGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:IsA vtkTimerLogIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTimerLogIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:NewInstance vtkTimerLogNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTimerLogNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTimerLog *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  vtkTimerLog  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTimerLog",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:SafeDownCast vtkTimerLogSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTimerLogSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTimerLog *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTimerLog  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTimerLog",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:SetLogging vtkTimerLogSetLoggingFunction
//input a0 a1 
//output none
ArrayVector vtkTimerLogSetLoggingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetLogging (int v);vtkTimerLog Logging v  */
  if (arg.size() < 2) 
    throw Exception("Function SetLogging for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLogging(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:GetLogging vtkTimerLogGetLoggingFunction
//input a0 
//output y
ArrayVector vtkTimerLogGetLoggingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetLogging ();return vtkTimerLog Logging  */
  if (arg.size() < 1) 
    throw Exception("Function GetLogging for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLogging();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:LoggingOn vtkTimerLogLoggingOnFunction
//input a0 
//output none
ArrayVector vtkTimerLogLoggingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void LoggingOn ();vtkTimerLog SetLogging  */
  if (arg.size() < 1) 
    throw Exception("Function LoggingOn for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  vtk_pointer->LoggingOn();
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:LoggingOff vtkTimerLogLoggingOffFunction
//input a0 
//output none
ArrayVector vtkTimerLogLoggingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void LoggingOff ();vtkTimerLog SetLogging  */
  if (arg.size() < 1) 
    throw Exception("Function LoggingOff for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  vtk_pointer->LoggingOff();
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:SetMaxEntries vtkTimerLogSetMaxEntriesFunction
//input a0 a1 
//output none
ArrayVector vtkTimerLogSetMaxEntriesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetMaxEntries (int a); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxEntries for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxEntries(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:GetMaxEntries vtkTimerLogGetMaxEntriesFunction
//input a0 
//output y
ArrayVector vtkTimerLogGetMaxEntriesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetMaxEntries (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxEntries for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxEntries();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:DumpLog vtkTimerLogDumpLogFunction
//input a0 a1 
//output none
ArrayVector vtkTimerLogDumpLogFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void DumpLog (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function DumpLog for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DumpLog(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:MarkStartEvent vtkTimerLogMarkStartEventFunction
//input a0 a1 
//output none
ArrayVector vtkTimerLogMarkStartEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void MarkStartEvent (const char *EventString); */
  if (arg.size() < 2) 
    throw Exception("Function MarkStartEvent for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->MarkStartEvent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:MarkEndEvent vtkTimerLogMarkEndEventFunction
//input a0 a1 
//output none
ArrayVector vtkTimerLogMarkEndEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void MarkEndEvent (const char *EventString); */
  if (arg.size() < 2) 
    throw Exception("Function MarkEndEvent for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->MarkEndEvent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:GetNumberOfEvents vtkTimerLogGetNumberOfEventsFunction
//input a0 
//output y
ArrayVector vtkTimerLogGetNumberOfEventsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetNumberOfEvents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEvents for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEvents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:GetEventIndent vtkTimerLogGetEventIndentFunction
//input a0 a1 
//output y
ArrayVector vtkTimerLogGetEventIndentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetEventIndent (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetEventIndent for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEventIndent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:GetEventWallTime vtkTimerLogGetEventWallTimeFunction
//input a0 a1 
//output y
ArrayVector vtkTimerLogGetEventWallTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double GetEventWallTime (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetEventWallTime for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEventWallTime(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:GetEventString vtkTimerLogGetEventStringFunction
//input a0 a1 
//output y
ArrayVector vtkTimerLogGetEventStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetEventString (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetEventString for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEventString(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:MarkEvent vtkTimerLogMarkEventFunction
//input a0 a1 
//output none
ArrayVector vtkTimerLogMarkEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void MarkEvent (const char *EventString); */
  if (arg.size() < 2) 
    throw Exception("Function MarkEvent for class vtkTimerLog requires 2 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->MarkEvent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:ResetLog vtkTimerLogResetLogFunction
//input a0 
//output none
ArrayVector vtkTimerLogResetLogFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ResetLog (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetLog for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  vtk_pointer->ResetLog();
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:AllocateLog vtkTimerLogAllocateLogFunction
//input a0 
//output none
ArrayVector vtkTimerLogAllocateLogFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void AllocateLog (); */
  if (arg.size() < 1) 
    throw Exception("Function AllocateLog for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  vtk_pointer->AllocateLog();
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:CleanupLog vtkTimerLogCleanupLogFunction
//input a0 
//output none
ArrayVector vtkTimerLogCleanupLogFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void CleanupLog (); */
  if (arg.size() < 1) 
    throw Exception("Function CleanupLog for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  vtk_pointer->CleanupLog();
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:GetUniversalTime vtkTimerLogGetUniversalTimeFunction
//input a0 
//output y
ArrayVector vtkTimerLogGetUniversalTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double GetUniversalTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUniversalTime for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetUniversalTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:GetCPUTime vtkTimerLogGetCPUTimeFunction
//input a0 
//output y
ArrayVector vtkTimerLogGetCPUTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double GetCPUTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCPUTime for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCPUTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:StartTimer vtkTimerLogStartTimerFunction
//input a0 
//output none
ArrayVector vtkTimerLogStartTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartTimer (); */
  if (arg.size() < 1) 
    throw Exception("Function StartTimer for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  vtk_pointer->StartTimer();
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:StopTimer vtkTimerLogStopTimerFunction
//input a0 
//output none
ArrayVector vtkTimerLogStopTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StopTimer (); */
  if (arg.size() < 1) 
    throw Exception("Function StopTimer for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  vtk_pointer->StopTimer();
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:GetElapsedTime vtkTimerLogGetElapsedTimeFunction
//input a0 
//output y
ArrayVector vtkTimerLogGetElapsedTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetElapsedTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetElapsedTime for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetElapsedTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:GetCurrentTime vtkTimerLogGetCurrentTimeFunction
//input a0 
//output y
ArrayVector vtkTimerLogGetCurrentTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double GetCurrentTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentTime for class vtkTimerLog requires 1 argument(s)");
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCurrentTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimerLog:display vtkTimerLogDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTimerLogDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTimerLog* vtk_pointer = GetVTKPointer<vtkTimerLog>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTimerLog:delete vtkTimerLogDeleteFunction
//input varargin
//output none
ArrayVector vtkTimerLogDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTimerLog
//@@Section VTKCommon
//@@Usage
// vtkTimerLog contains walltime and cputime measurements associated
// with a given event.  These results can be later analyzed when
// "dumping out" the table.
//
// In addition, vtkTimerLog allows the user to simply get the current
// time, and to start/stop a simple timer separate from the timing
// table logging.
//
//To create an instance of class vtkTimerLog, simply
//invoke its constructor as follows
//@[
//  obj = vtkTimerLog
//@]
//@@Methods
//The class vtkTimerLog has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTimerLog class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTimerLog = obj.NewInstance ()|
// \item @|vtkTimerLog = obj.SafeDownCast (vtkObject o)|
// \item @|obj.StartTimer ()| -  Set the StartTime to the current time. Used with GetElapsedTime().
//// \item @|obj.StopTimer ()| -  Sets EndTime to the current time. Used with GetElapsedTime().
//// \item @|double = obj.GetElapsedTime ()| -  Returns the difference between StartTime and EndTime as 
// a doubleing point value indicating the elapsed time in seconds.
////\end{itemize}
//!
