#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransform.h"

//@@Signature
//sfunction @vtkTransform:vtkTransform vtkTransformConstructorFunction
//input a
//output p
//@@Parents vtkTransform vtkLinearTransform 
ArrayVector vtkTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransform::New(),"vtkTransform",eval);
  } else if (arg[0].className() == "vtkTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransform");
    vtkTransform*q = reinterpret_cast<vtkTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransform:GetClassName vtkTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransform:IsA vtkTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransform:NewInstance vtkTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:SafeDownCast vtkTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Identity vtkTransformIdentityFunction
//input a0 
//output none
ArrayVector vtkTransformIdentityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Identity (); */
  if (arg.size() < 1) 
    throw Exception("Function Identity for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtk_pointer->Identity();
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Inverse vtkTransformInverseFunction
//input a0 
//output none
ArrayVector vtkTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Inverse (); */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Translate__1 vtkTransformTranslate__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransformTranslate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (double x, double y, double z);this Concatenation Translate x y z  */
  if (arg.size() < 4) 
    throw Exception("Function Translate__1 for class vtkTransform requires 4 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->Translate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Translate__2 vtkTransformTranslate__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformTranslate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (const double x[3]);this Translate x x x  */
  if (arg.size() < 2) 
    throw Exception("Function Translate__2 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Translate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Translate__3 vtkTransformTranslate__3Function
//input a0 a1 
//output none
ArrayVector vtkTransformTranslate__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (const float x[3]);this Translate x x x  */
  if (arg.size() < 2) 
    throw Exception("Function Translate__3 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->Translate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:RotateWXYZ__1 vtkTransformRotateWXYZ__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkTransformRotateWXYZ__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateWXYZ (double angle, double x, double y, double z);this Concatenation Rotate angle x y z  */
  if (arg.size() < 5) 
    throw Exception("Function RotateWXYZ__1 for class vtkTransform requires 5 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->RotateWXYZ(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:RotateWXYZ__2 vtkTransformRotateWXYZ__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransformRotateWXYZ__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateWXYZ (double angle, const double axis[3]);this RotateWXYZ angle axis axis axis  */
  if (arg.size() < 3) 
    throw Exception("Function RotateWXYZ__2 for class vtkTransform requires 3 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->RotateWXYZ(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:RotateWXYZ__3 vtkTransformRotateWXYZ__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransformRotateWXYZ__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateWXYZ (double angle, const float axis[3]);this RotateWXYZ angle axis axis axis  */
  if (arg.size() < 3) 
    throw Exception("Function RotateWXYZ__3 for class vtkTransform requires 3 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double   temp0;
  float  temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->RotateWXYZ(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:RotateX vtkTransformRotateXFunction
//input a0 a1 
//output none
ArrayVector vtkTransformRotateXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateX (double angle);this RotateWXYZ angle  */
  if (arg.size() < 2) 
    throw Exception("Function RotateX for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateX(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:RotateY vtkTransformRotateYFunction
//input a0 a1 
//output none
ArrayVector vtkTransformRotateYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateY (double angle);this RotateWXYZ angle  */
  if (arg.size() < 2) 
    throw Exception("Function RotateY for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateY(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:RotateZ vtkTransformRotateZFunction
//input a0 a1 
//output none
ArrayVector vtkTransformRotateZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateZ (double angle);this RotateWXYZ angle  */
  if (arg.size() < 2) 
    throw Exception("Function RotateZ for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateZ(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Scale__1 vtkTransformScale__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransformScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (double x, double y, double z);this Concatenation Scale x y z  */
  if (arg.size() < 4) 
    throw Exception("Function Scale__1 for class vtkTransform requires 4 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->Scale(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Scale__2 vtkTransformScale__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (const double s[3]);this Scale s s s  */
  if (arg.size() < 2) 
    throw Exception("Function Scale__2 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Scale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Scale__3 vtkTransformScale__3Function
//input a0 a1 
//output none
ArrayVector vtkTransformScale__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (const float s[3]);this Scale s s s  */
  if (arg.size() < 2) 
    throw Exception("Function Scale__3 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->Scale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:SetMatrix__1 vtkTransformSetMatrix__1Function
//input a0 a1 
//output none
ArrayVector vtkTransformSetMatrix__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMatrix (vtkMatrix4x4 *matrix);this SetMatrix matrix Element  */
  if (arg.size() < 2) 
    throw Exception("Function SetMatrix__1 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:SetMatrix__2 vtkTransformSetMatrix__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformSetMatrix__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMatrix (const double elements[16]);this Identity this Concatenate elements  */
  if (arg.size() < 2) 
    throw Exception("Function SetMatrix__2 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double temp0[16];
  if ( !(arg[1].isVector() && arg[1].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Concatenate__1 vtkTransformConcatenate__1Function
//input a0 a1 
//output none
ArrayVector vtkTransformConcatenate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Concatenate (vtkMatrix4x4 *matrix);this Concatenate matrix Element  */
  if (arg.size() < 2) 
    throw Exception("Function Concatenate__1 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->Concatenate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Concatenate__2 vtkTransformConcatenate__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformConcatenate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Concatenate (const double elements[16]);this Concatenation Concatenate elements  */
  if (arg.size() < 2) 
    throw Exception("Function Concatenate__2 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double temp0[16];
  if ( !(arg[1].isVector() && arg[1].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Concatenate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Concatenate__3 vtkTransformConcatenate__3Function
//input a0 a1 
//output none
ArrayVector vtkTransformConcatenate__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Concatenate (vtkLinearTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function Concatenate__3 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkLinearTransform  *temp0;
  temp0 = GetVTKPointer<vtkLinearTransform>(arg[1]);
  vtk_pointer->Concatenate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:PreMultiply vtkTransformPreMultiplyFunction
//input a0 
//output none
ArrayVector vtkTransformPreMultiplyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function PreMultiply for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtk_pointer->PreMultiply();
  return retval;
}

//@@Signature
//sfunction @vtkTransform:PostMultiply vtkTransformPostMultiplyFunction
//input a0 
//output none
ArrayVector vtkTransformPostMultiplyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PostMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function PostMultiply for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtk_pointer->PostMultiply();
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetNumberOfConcatenatedTransforms vtkTransformGetNumberOfConcatenatedTransformsFunction
//input a0 
//output y
ArrayVector vtkTransformGetNumberOfConcatenatedTransformsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfConcatenatedTransforms ();return this Concatenation GetNumberOfTransforms this Input NULL  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfConcatenatedTransforms for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfConcatenatedTransforms();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetConcatenatedTransform vtkTransformGetConcatenatedTransformFunction
//input a0 a1 
//output y
ArrayVector vtkTransformGetConcatenatedTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearTransform *GetConcatenatedTransform (int i);vtkAbstractTransform t if this Input NULL t this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms t this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms t this Concatenation GetTransform i else if this GetInverseFlag t this Input GetInverse else t this Input return static_cast vtkLinearTransform t  */
  if (arg.size() < 2) 
    throw Exception("Function GetConcatenatedTransform for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  int      temp0;
  vtkLinearTransform  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetConcatenatedTransform(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetOrientation__1 vtkTransformGetOrientation__1Function
//input a0 a1 
//output none
ArrayVector vtkTransformGetOrientation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOrientation (double orient[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetOrientation__1 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetOrientation__2 vtkTransformGetOrientation__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformGetOrientation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOrientation (float orient[3]);double temp this GetOrientation temp orient static_cast float temp orient static_cast float temp orient static_cast float temp  */
  if (arg.size() < 2) 
    throw Exception("Function GetOrientation__2 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->GetOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetOrientation__3 vtkTransformGetOrientation__3Function
//input a0 
//output y
ArrayVector vtkTransformGetOrientation__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetOrientation ();this GetOrientation this ReturnValue return this ReturnValue  */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientation__3 for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrientation();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetOrientation__4 vtkTransformGetOrientation__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransformGetOrientation__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetOrientation (double orient[3], vtkMatrix4x4 *matrix); */
  if (arg.size() < 3) 
    throw Exception("Function GetOrientation__4 for class vtkTransform requires 3 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double temp0[3];
  vtkMatrix4x4  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkMatrix4x4>(arg[4]);
  vtk_pointer->GetOrientation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetOrientationWXYZ__1 vtkTransformGetOrientationWXYZ__1Function
//input a0 a1 
//output none
ArrayVector vtkTransformGetOrientationWXYZ__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOrientationWXYZ (double wxyz[4]); */
  if (arg.size() < 2) 
    throw Exception("Function GetOrientationWXYZ__1 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetOrientationWXYZ(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetOrientationWXYZ__2 vtkTransformGetOrientationWXYZ__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformGetOrientationWXYZ__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOrientationWXYZ (float wxyz[4]);double temp this GetOrientationWXYZ temp wxyz static_cast float temp wxyz static_cast float temp wxyz static_cast float temp wxyz static_cast float temp  */
  if (arg.size() < 2) 
    throw Exception("Function GetOrientationWXYZ__2 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  float  temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->GetOrientationWXYZ(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetOrientationWXYZ__3 vtkTransformGetOrientationWXYZ__3Function
//input a0 
//output y
ArrayVector vtkTransformGetOrientationWXYZ__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetOrientationWXYZ ();this GetOrientationWXYZ this ReturnValue return this ReturnValue  */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientationWXYZ__3 for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrientationWXYZ();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetPosition__1 vtkTransformGetPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkTransformGetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPosition__1 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetPosition__2 vtkTransformGetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformGetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPosition (float pos[3]);double temp this GetPosition temp pos static_cast float temp pos static_cast float temp pos static_cast float temp  */
  if (arg.size() < 2) 
    throw Exception("Function GetPosition__2 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->GetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetPosition__3 vtkTransformGetPosition__3Function
//input a0 
//output y
ArrayVector vtkTransformGetPosition__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPosition ();this GetPosition this ReturnValue return this ReturnValue  */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition__3 for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetScale__1 vtkTransformGetScale__1Function
//input a0 a1 
//output none
ArrayVector vtkTransformGetScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetScale (double scale[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetScale__1 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetScale__2 vtkTransformGetScale__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformGetScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetScale (float scale[3]);double temp this GetScale temp scale static_cast float temp scale static_cast float temp scale static_cast float temp  */
  if (arg.size() < 2) 
    throw Exception("Function GetScale__2 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->GetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetScale__3 vtkTransformGetScale__3Function
//input a0 
//output y
ArrayVector vtkTransformGetScale__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetScale ();this GetScale this ReturnValue return this ReturnValue  */
  if (arg.size() < 1) 
    throw Exception("Function GetScale__3 for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScale();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetInverse__1 vtkTransformGetInverse__1Function
//input a0 a1 
//output none
ArrayVector vtkTransformGetInverse__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetInverse (vtkMatrix4x4 *inverse); */
  if (arg.size() < 2) 
    throw Exception("Function GetInverse__1 for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->GetInverse(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetTranspose vtkTransformGetTransposeFunction
//input a0 a1 
//output none
ArrayVector vtkTransformGetTransposeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTranspose (vtkMatrix4x4 *transpose); */
  if (arg.size() < 2) 
    throw Exception("Function GetTranspose for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->GetTranspose(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:SetInput vtkTransformSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkTransformSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkLinearTransform *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkLinearTransform  *temp0;
  temp0 = GetVTKPointer<vtkLinearTransform>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetInput vtkTransformGetInputFunction
//input a0 
//output y
ArrayVector vtkTransformGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearTransform *GetInput ();return this Input  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkLinearTransform  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetInverseFlag vtkTransformGetInverseFlagFunction
//input a0 
//output y
ArrayVector vtkTransformGetInverseFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInverseFlag ();return this Concatenation GetInverseFlag  */
  if (arg.size() < 1) 
    throw Exception("Function GetInverseFlag for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInverseFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Push vtkTransformPushFunction
//input a0 
//output none
ArrayVector vtkTransformPushFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Push ();if this Stack NULL this Stack vtkTransformConcatenationStack New this Stack Push this Concatenation this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Push for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtk_pointer->Push();
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Pop vtkTransformPopFunction
//input a0 
//output none
ArrayVector vtkTransformPopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Pop ();if this Stack NULL return this Stack Pop this Concatenation this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Pop for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtk_pointer->Pop();
  return retval;
}

//@@Signature
//sfunction @vtkTransform:CircuitCheck vtkTransformCircuitCheckFunction
//input a0 a1 
//output y
ArrayVector vtkTransformCircuitCheckFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CircuitCheck (vtkAbstractTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function CircuitCheck for class vtkTransform requires 2 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  temp20 = (vtk_pointer)->CircuitCheck(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetInverse__2 vtkTransformGetInverse__2Function
//input a0 
//output y
ArrayVector vtkTransformGetInverse__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetInverse ();return vtkLinearTransform GetInverse  */
  if (arg.size() < 1) 
    throw Exception("Function GetInverse__2 for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetInverse();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:MakeTransform vtkTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:GetMTime vtkTransformGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTransformGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTransform requires 1 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransform:MultiplyPoint__1 vtkTransformMultiplyPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransformMultiplyPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiplyPoint (const float in[4], float out[4]);this GetMatrix MultiplyPoint in out  */
  if (arg.size() < 3) 
    throw Exception("Function MultiplyPoint__1 for class vtkTransform requires 3 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  float  temp0[4];
  float  temp1[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->MultiplyPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:MultiplyPoint__2 vtkTransformMultiplyPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransformMultiplyPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiplyPoint (const double in[4], double out[4]);this GetMatrix MultiplyPoint in out  */
  if (arg.size() < 3) 
    throw Exception("Function MultiplyPoint__2 for class vtkTransform requires 3 argument(s)");
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  Array retval;
  double temp0[4];
  double temp1[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->MultiplyPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform:Translate vtkTransformTranslateFunction
//input varargin
//output varargout
ArrayVector vtkTransformTranslateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransformTranslate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformTranslate__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformTranslate__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformTranslate");
}

//@@Signature
//sfunction @vtkTransform:RotateWXYZ vtkTransformRotateWXYZFunction
//input varargin
//output varargout
ArrayVector vtkTransformRotateWXYZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkTransformRotateWXYZ__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkTransformRotateWXYZ__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkTransformRotateWXYZ__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformRotateWXYZ");
}

//@@Signature
//sfunction @vtkTransform:Scale vtkTransformScaleFunction
//input varargin
//output varargout
ArrayVector vtkTransformScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransformScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformScale__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformScale__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformScale");
}

//@@Signature
//sfunction @vtkTransform:SetMatrix vtkTransformSetMatrixFunction
//input varargin
//output varargout
ArrayVector vtkTransformSetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix4x4"))
    return vtkTransformSetMatrix__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformSetMatrix__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformSetMatrix");
}

//@@Signature
//sfunction @vtkTransform:Concatenate vtkTransformConcatenateFunction
//input varargin
//output varargout
ArrayVector vtkTransformConcatenateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix4x4"))
    return vtkTransformConcatenate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformConcatenate__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkLinearTransform"))
    return vtkTransformConcatenate__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformConcatenate");
}

//@@Signature
//sfunction @vtkTransform:GetOrientation vtkTransformGetOrientationFunction
//input varargin
//output varargout
ArrayVector vtkTransformGetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformGetOrientation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformGetOrientation__2Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkTransformGetOrientation__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsClass(arg[2],"vtkMatrix4x4"))
    return vtkTransformGetOrientation__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformGetOrientation");
}

//@@Signature
//sfunction @vtkTransform:GetOrientationWXYZ vtkTransformGetOrientationWXYZFunction
//input varargin
//output varargout
ArrayVector vtkTransformGetOrientationWXYZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformGetOrientationWXYZ__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformGetOrientationWXYZ__2Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkTransformGetOrientationWXYZ__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformGetOrientationWXYZ");
}

//@@Signature
//sfunction @vtkTransform:GetPosition vtkTransformGetPositionFunction
//input varargin
//output varargout
ArrayVector vtkTransformGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformGetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformGetPosition__2Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkTransformGetPosition__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformGetPosition");
}

//@@Signature
//sfunction @vtkTransform:GetScale vtkTransformGetScaleFunction
//input varargin
//output varargout
ArrayVector vtkTransformGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformGetScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformGetScale__2Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkTransformGetScale__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformGetScale");
}

//@@Signature
//sfunction @vtkTransform:GetInverse vtkTransformGetInverseFunction
//input varargin
//output varargout
ArrayVector vtkTransformGetInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix4x4"))
    return vtkTransformGetInverse__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkTransformGetInverse__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformGetInverse");
}

//@@Signature
//sfunction @vtkTransform:MultiplyPoint vtkTransformMultiplyPointFunction
//input varargin
//output varargout
ArrayVector vtkTransformMultiplyPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkTransformMultiplyPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkTransformMultiplyPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformMultiplyPoint");
}

//@@Signature
//sfunction @vtkTransform:display vtkTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransform* vtk_pointer = GetVTKPointer<vtkTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransform:delete vtkTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransform
//@@Section VTKCommon
//@@Usage
// A vtkTransform can be used to describe the full range of linear (also
// known as affine) coordinate transformations in three dimensions,
// which are internally represented as a 4x4 homogeneous transformation
// matrix.  When you create a new vtkTransform, it is always initialized
// to the identity transformation.
// <P>The SetInput() method allows you to set another transform,
// instead of the identity transform, to be the base transformation.
// There is a pipeline mechanism to ensure that when the input is
// modified, the current transformation will be updated accordingly.
// This pipeline mechanism is also supported by the Concatenate() method.
// <P>Most of the methods for manipulating this transformation,
// e.g. Translate, Rotate, and Concatenate, can operate in either
// PreMultiply (the default) or PostMultiply mode.  In PreMultiply
// mode, the translation, concatenation, etc. will occur before any
// transformations which are represented by the current matrix.  In
// PostMultiply mode, the additional transformation will occur after 
// any transformations represented by the current matrix.
// <P>This class performs all of its operations in a right handed
// coordinate system with right handed rotations. Some other graphics
// libraries use left handed coordinate systems and rotations.  
//
//To create an instance of class vtkTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransform
//@]
//@@Methods
//The class vtkTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransform = obj.NewInstance ()|
// \item @|vtkTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Identity ()| -  Set the transformation to the identity transformation.  If 
// the transform has an Input, then the transformation will be
// reset so that it is the same as the Input.
//// \item @|obj.Inverse ()| -  Invert the transformation.  This will also set a flag so that
// the transformation will use the inverse of its Input, if an Input
// has been set.
//// \item @|obj.Translate (double x, double y, double z)| -  Create a translation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
//// \item @|obj.Translate (double x[3])| -  Create a translation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
//// \item @|obj.Translate (float x[3])| -  Create a translation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
//// \item @|obj.RotateWXYZ (double angle, double x, double y, double z)| -  Create a rotation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
// The angle is in degrees, and (x,y,z) specifies the axis that the
// rotation will be performed around. 
//// \item @|obj.RotateWXYZ (double angle, double axis[3])| -  Create a rotation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
// The angle is in degrees, and (x,y,z) specifies the axis that the
// rotation will be performed around. 
//// \item @|obj.RotateWXYZ (double angle, float axis[3])| -  Create a rotation matrix and concatenate it with the current
// transformation according to PreMultiply or PostMultiply semantics.
// The angle is in degrees, and (x,y,z) specifies the axis that the
// rotation will be performed around. 
//// \item @|obj.RotateX (double angle)| -  Create a rotation matrix about the X, Y, or Z axis and concatenate
// it with the current transformation according to PreMultiply or
// PostMultiply semantics.  The angle is expressed in degrees.
//// \item @|obj.RotateY (double angle)| -  Create a rotation matrix about the X, Y, or Z axis and concatenate
// it with the current transformation according to PreMultiply or
// PostMultiply semantics.  The angle is expressed in degrees.
//// \item @|obj.RotateZ (double angle)| -  Create a rotation matrix about the X, Y, or Z axis and concatenate
// it with the current transformation according to PreMultiply or
// PostMultiply semantics.  The angle is expressed in degrees.
//// \item @|obj.Scale (double x, double y, double z)| -  Create a scale matrix (i.e. set the diagonal elements to x, y, z)
// and concatenate it with the current transformation according to
// PreMultiply or PostMultiply semantics.
//// \item @|obj.Scale (double s[3])| -  Create a scale matrix (i.e. set the diagonal elements to x, y, z)
// and concatenate it with the current transformation according to
// PreMultiply or PostMultiply semantics.
//// \item @|obj.Scale (float s[3])| -  Create a scale matrix (i.e. set the diagonal elements to x, y, z)
// and concatenate it with the current transformation according to
// PreMultiply or PostMultiply semantics.
//// \item @|obj.SetMatrix (vtkMatrix4x4 matrix)| -  Set the current matrix directly.  This actually calls Identity(),
// followed by Concatenate(matrix).
//// \item @|obj.SetMatrix (double elements[16])| -  Set the current matrix directly.  This actually calls Identity(),
// followed by Concatenate(matrix).
//// \item @|obj.Concatenate (vtkMatrix4x4 matrix)| -  Concatenates the matrix with the current transformation according
// to PreMultiply or PostMultiply semantics.
//// \item @|obj.Concatenate (double elements[16])| -  Concatenates the matrix with the current transformation according
// to PreMultiply or PostMultiply semantics.
//// \item @|obj.Concatenate (vtkLinearTransform transform)| -  Concatenate the specified transform with the current transformation
// according to PreMultiply or PostMultiply semantics.
// The concatenation is pipelined, meaning that if any of the
// transformations are changed, even after Concatenate() is called,
// those changes will be reflected when you call TransformPoint().
//// \item @|obj.PreMultiply ()| -  Sets the internal state of the transform to PreMultiply. All subsequent
// operations will occur before those already represented in the
// current transformation.  In homogeneous matrix notation, M = M*A where
// M is the current transformation matrix and A is the applied matrix.
// The default is PreMultiply.
//// \item @|obj.PostMultiply ()| -  Sets the internal state of the transform to PostMultiply. All subsequent
// operations will occur after those already represented in the
// current transformation.  In homogeneous matrix notation, M = A*M where
// M is the current transformation matrix and A is the applied matrix.
// The default is PreMultiply.
//// \item @|int = obj.GetNumberOfConcatenatedTransforms ()| -  Get the total number of transformations that are linked into this
// one via Concatenate() operations or via SetInput().
//// \item @|vtkLinearTransform = obj.GetConcatenatedTransform (int i)| -  Get the x, y, z orientation angles from the transformation matrix as an
// array of three floating point values.  
//// \item @|obj.GetOrientation (double orient[3])| -  Get the x, y, z orientation angles from the transformation matrix as an
// array of three floating point values.  
//// \item @|obj.GetOrientation (float orient[3])| -  Get the x, y, z orientation angles from the transformation matrix as an
// array of three floating point values.  
//// \item @|double = obj.GetOrientation ()| -  Get the x, y, z orientation angles from the transformation matrix as an
// array of three floating point values.  
//// \item @|obj.GetOrientationWXYZ (double wxyz[4])| -  Return the wxyz angle+axis representing the current orientation.
// The angle is in degrees and the axis is a unit vector.
//// \item @|obj.GetOrientationWXYZ (float wxyz[4])| -  Return the wxyz angle+axis representing the current orientation.
// The angle is in degrees and the axis is a unit vector.
//// \item @|double = obj.GetOrientationWXYZ ()| -  Return the wxyz angle+axis representing the current orientation.
// The angle is in degrees and the axis is a unit vector.
//// \item @|obj.GetPosition (double pos[3])| -  Return the position from the current transformation matrix as an array
// of three floating point numbers. This is simply returning the translation 
// component of the 4x4 matrix.
//// \item @|obj.GetPosition (float pos[3])| -  Return the position from the current transformation matrix as an array
// of three floating point numbers. This is simply returning the translation 
// component of the 4x4 matrix.
//// \item @|double = obj.GetPosition ()| -  Return the position from the current transformation matrix as an array
// of three floating point numbers. This is simply returning the translation 
// component of the 4x4 matrix.
//// \item @|obj.GetScale (double scale[3])| -  Return the scale factors of the current transformation matrix as 
// an array of three float numbers.  These scale factors are not necessarily
// about the x, y, and z axes unless unless the scale transformation was
// applied before any rotations.  
//// \item @|obj.GetScale (float scale[3])| -  Return the scale factors of the current transformation matrix as 
// an array of three float numbers.  These scale factors are not necessarily
// about the x, y, and z axes unless unless the scale transformation was
// applied before any rotations.  
//// \item @|double = obj.GetScale ()| -  Return the scale factors of the current transformation matrix as 
// an array of three float numbers.  These scale factors are not necessarily
// about the x, y, and z axes unless unless the scale transformation was
// applied before any rotations.  
//// \item @|obj.GetInverse (vtkMatrix4x4 inverse)| -  Return a matrix which is the inverse of the current transformation
// matrix.
//// \item @|obj.GetTranspose (vtkMatrix4x4 transpose)| -  Return a matrix which is the transpose of the current transformation
// matrix.  This is equivalent to the inverse if and only if the 
// transformation is a pure rotation with no translation or scale.
//// \item @|obj.SetInput (vtkLinearTransform input)| -  Set the input for this transformation.  This will be used as the
// base transformation if it is set.  This method allows you to build
// a transform pipeline: if the input is modified, then this transformation
// will automatically update accordingly.  Note that the InverseFlag,
// controlled via Inverse(), determines whether this transformation
// will use the Input or the inverse of the Input.
//// \item @|vtkLinearTransform = obj.GetInput ()| -  Set the input for this transformation.  This will be used as the
// base transformation if it is set.  This method allows you to build
// a transform pipeline: if the input is modified, then this transformation
// will automatically update accordingly.  Note that the InverseFlag,
// controlled via Inverse(), determines whether this transformation
// will use the Input or the inverse of the Input.
//// \item @|int = obj.GetInverseFlag ()| -  Get the inverse flag of the transformation.  This controls
// whether it is the Input or the inverse of the Input that
// is used as the base transformation.  The InverseFlag is
// flipped every time Inverse() is called.  The InverseFlag
// is off when a transform is first created.
//// \item @|obj.Push ()| -  Pushes the current transformation onto the transformation stack.
//// \item @|obj.Pop ()| -  Deletes the transformation on the top of the stack and sets the top 
// to the next transformation on the stack.
//// \item @|int = obj.CircuitCheck (vtkAbstractTransform transform)| -  Check for self-reference.  Will return true if concatenating
// with the specified transform, setting it to be our inverse,
// or setting it to be our input will create a circular reference.
// CircuitCheck is automatically called by SetInput(), SetInverse(),
// and Concatenate(vtkXTransform *).  Avoid using this function,
// it is experimental.
//// \item @|vtkAbstractTransform = obj.GetInverse ()| -  Make a new transform of the same type.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make a new transform of the same type.
//// \item @|long = obj.GetMTime ()| -  Override GetMTime to account for input and concatenation.
//// \item @|obj.MultiplyPoint (float in[4], float out[4])| -  Use this method only if you wish to compute the transformation in
// homogeneous (x,y,z,w) coordinates, otherwise use TransformPoint().
// This method calls this->GetMatrix()->MultiplyPoint().
//// \item @|obj.MultiplyPoint (double in[4], double out[4])| -  Use this method only if you wish to compute the transformation in
// homogeneous (x,y,z,w) coordinates, otherwise use TransformPoint().
// This method calls this->GetMatrix()->MultiplyPoint().
////\end{itemize}
//!
