#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransform2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransform2D.h"

//@@Signature
//sfunction @vtkTransform2D:vtkTransform2D vtkTransform2DConstructorFunction
//input a
//output p
//@@Parents vtkTransform2D vtkObject 
ArrayVector vtkTransform2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransform2D::New(),"vtkTransform2D",eval);
  } else if (arg[0].className() == "vtkTransform2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransform2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransform2D");
    vtkTransform2D*q = reinterpret_cast<vtkTransform2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransform2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransform2D:GetClassName vtkTransform2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransform2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransform2D requires 1 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:IsA vtkTransform2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransform2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:NewInstance vtkTransform2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransform2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransform2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransform2D requires 1 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtkTransform2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:SafeDownCast vtkTransform2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransform2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransform2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransform2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:Identity vtkTransform2DIdentityFunction
//input a0 
//output none
ArrayVector vtkTransform2DIdentityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Identity (); */
  if (arg.size() < 1) 
    throw Exception("Function Identity for class vtkTransform2D requires 1 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtk_pointer->Identity();
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:Inverse vtkTransform2DInverseFunction
//input a0 
//output none
ArrayVector vtkTransform2DInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Inverse (); */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkTransform2D requires 1 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:Translate__1 vtkTransform2DTranslate__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransform2DTranslate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (double x, double y); */
  if (arg.size() < 3) 
    throw Exception("Function Translate__1 for class vtkTransform2D requires 3 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->Translate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:Translate__2 vtkTransform2DTranslate__2Function
//input a0 a1 
//output none
ArrayVector vtkTransform2DTranslate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (const double x[2]);this Translate x x  */
  if (arg.size() < 2) 
    throw Exception("Function Translate__2 for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Translate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:Translate__3 vtkTransform2DTranslate__3Function
//input a0 a1 
//output none
ArrayVector vtkTransform2DTranslate__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Translate (const float x[2]);this Translate x x  */
  if (arg.size() < 2) 
    throw Exception("Function Translate__3 for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  float  temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->Translate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:Rotate vtkTransform2DRotateFunction
//input a0 a1 
//output none
ArrayVector vtkTransform2DRotateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Rotate (double angle); */
  if (arg.size() < 2) 
    throw Exception("Function Rotate for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Rotate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:Scale__1 vtkTransform2DScale__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransform2DScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (double x, double y); */
  if (arg.size() < 3) 
    throw Exception("Function Scale__1 for class vtkTransform2D requires 3 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->Scale(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:Scale__2 vtkTransform2DScale__2Function
//input a0 a1 
//output none
ArrayVector vtkTransform2DScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (const double s[2]);this Scale s s  */
  if (arg.size() < 2) 
    throw Exception("Function Scale__2 for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Scale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:Scale__3 vtkTransform2DScale__3Function
//input a0 a1 
//output none
ArrayVector vtkTransform2DScale__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Scale (const float s[2]);this Scale s s  */
  if (arg.size() < 2) 
    throw Exception("Function Scale__3 for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  float  temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->Scale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:SetMatrix__1 vtkTransform2DSetMatrix__1Function
//input a0 a1 
//output none
ArrayVector vtkTransform2DSetMatrix__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMatrix (vtkMatrix3x3 *matrix);this SetMatrix matrix GetData  */
  if (arg.size() < 2) 
    throw Exception("Function SetMatrix__1 for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp0;
  temp0 = GetVTKPointer<vtkMatrix3x3>(arg[1]);
  vtk_pointer->SetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:SetMatrix__2 vtkTransform2DSetMatrix__2Function
//input a0 a1 
//output none
ArrayVector vtkTransform2DSetMatrix__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMatrix (const double elements[9]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMatrix__2 for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  double temp0[9];
  if ( !(arg[1].isVector() && arg[1].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:GetMatrix__1 vtkTransform2DGetMatrix__1Function
//input a0 
//output y
ArrayVector vtkTransform2DGetMatrix__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix3x3 *GetMatrix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMatrix__1 for class vtkTransform2D requires 1 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp20;
  temp20 = (vtk_pointer)->GetMatrix();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix3x3",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:GetMatrix__2 vtkTransform2DGetMatrix__2Function
//input a0 a1 
//output none
ArrayVector vtkTransform2DGetMatrix__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetMatrix (vtkMatrix3x3 *matrix); */
  if (arg.size() < 2) 
    throw Exception("Function GetMatrix__2 for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp0;
  temp0 = GetVTKPointer<vtkMatrix3x3>(arg[1]);
  vtk_pointer->GetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:GetPosition__1 vtkTransform2DGetPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkTransform2DGetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPosition (double pos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPosition__1 for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:GetPosition__2 vtkTransform2DGetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkTransform2DGetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPosition (float pos[2]);double temp this GetPosition temp pos static_cast float temp pos static_cast float temp  */
  if (arg.size() < 2) 
    throw Exception("Function GetPosition__2 for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  float  temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->GetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:GetInverse vtkTransform2DGetInverseFunction
//input a0 a1 
//output none
ArrayVector vtkTransform2DGetInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetInverse (vtkMatrix3x3 *inverse); */
  if (arg.size() < 2) 
    throw Exception("Function GetInverse for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp0;
  temp0 = GetVTKPointer<vtkMatrix3x3>(arg[1]);
  vtk_pointer->GetInverse(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:GetTranspose vtkTransform2DGetTransposeFunction
//input a0 a1 
//output none
ArrayVector vtkTransform2DGetTransposeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTranspose (vtkMatrix3x3 *transpose); */
  if (arg.size() < 2) 
    throw Exception("Function GetTranspose for class vtkTransform2D requires 2 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtkMatrix3x3  *temp0;
  temp0 = GetVTKPointer<vtkMatrix3x3>(arg[1]);
  vtk_pointer->GetTranspose(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:GetMTime vtkTransform2DGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTransform2DGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTransform2D requires 1 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:TransformPoints__1 vtkTransform2DTransformPoints__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransform2DTransformPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformPoints (const float *inPts, float *outPts, int n); */
  if (arg.size() < 4) 
    throw Exception("Function TransformPoints__1 for class vtkTransform2D requires 4 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  int      temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->TransformPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:TransformPoints__2 vtkTransform2DTransformPoints__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransform2DTransformPoints__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformPoints (const double *inPts, double *outPts, int n); */
  if (arg.size() < 4) 
    throw Exception("Function TransformPoints__2 for class vtkTransform2D requires 4 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->TransformPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:TransformPoints__3 vtkTransform2DTransformPoints__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransform2DTransformPoints__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformPoints (vtkPoints2D *inPts, vtkPoints2D *outPts); */
  if (arg.size() < 3) 
    throw Exception("Function TransformPoints__3 for class vtkTransform2D requires 3 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtkPoints2D  *temp0;
  vtkPoints2D  *temp1;
  temp0 = GetVTKPointer<vtkPoints2D>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints2D>(arg[2]);
  vtk_pointer->TransformPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:InverseTransformPoints__1 vtkTransform2DInverseTransformPoints__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransform2DInverseTransformPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InverseTransformPoints (const float *inPts, float *outPts, int n); */
  if (arg.size() < 4) 
    throw Exception("Function InverseTransformPoints__1 for class vtkTransform2D requires 4 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  int      temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->InverseTransformPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:InverseTransformPoints__2 vtkTransform2DInverseTransformPoints__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransform2DInverseTransformPoints__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InverseTransformPoints (const double *inPts, double *outPts, int n); */
  if (arg.size() < 4) 
    throw Exception("Function InverseTransformPoints__2 for class vtkTransform2D requires 4 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->InverseTransformPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:InverseTransformPoints__3 vtkTransform2DInverseTransformPoints__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransform2DInverseTransformPoints__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InverseTransformPoints (vtkPoints2D *inPts, vtkPoints2D *outPts); */
  if (arg.size() < 3) 
    throw Exception("Function InverseTransformPoints__3 for class vtkTransform2D requires 3 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  vtkPoints2D  *temp0;
  vtkPoints2D  *temp1;
  temp0 = GetVTKPointer<vtkPoints2D>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints2D>(arg[2]);
  vtk_pointer->InverseTransformPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:MultiplyPoint__1 vtkTransform2DMultiplyPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransform2DMultiplyPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiplyPoint (const float in[3], float out[3]);this GetMatrix MultiplyPoint in out  */
  if (arg.size() < 3) 
    throw Exception("Function MultiplyPoint__1 for class vtkTransform2D requires 3 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->MultiplyPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:MultiplyPoint__2 vtkTransform2DMultiplyPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransform2DMultiplyPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiplyPoint (const double in[3], double out[3]);this GetMatrix MultiplyPoint in out  */
  if (arg.size() < 3) 
    throw Exception("Function MultiplyPoint__2 for class vtkTransform2D requires 3 argument(s)");
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->MultiplyPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransform2D:Translate vtkTransform2DTranslateFunction
//input varargin
//output varargout
ArrayVector vtkTransform2DTranslateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkTransform2DTranslate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransform2DTranslate__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransform2DTranslate__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransform2DTranslate");
}

//@@Signature
//sfunction @vtkTransform2D:Scale vtkTransform2DScaleFunction
//input varargin
//output varargout
ArrayVector vtkTransform2DScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkTransform2DScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransform2DScale__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransform2DScale__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransform2DScale");
}

//@@Signature
//sfunction @vtkTransform2D:SetMatrix vtkTransform2DSetMatrixFunction
//input varargin
//output varargout
ArrayVector vtkTransform2DSetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix3x3"))
    return vtkTransform2DSetMatrix__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransform2DSetMatrix__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransform2DSetMatrix");
}

//@@Signature
//sfunction @vtkTransform2D:GetMatrix vtkTransform2DGetMatrixFunction
//input varargin
//output varargout
ArrayVector vtkTransform2DGetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkTransform2DGetMatrix__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix3x3"))
    return vtkTransform2DGetMatrix__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransform2DGetMatrix");
}

//@@Signature
//sfunction @vtkTransform2D:GetPosition vtkTransform2DGetPositionFunction
//input varargin
//output varargout
ArrayVector vtkTransform2DGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransform2DGetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransform2DGetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransform2DGetPosition");
}

//@@Signature
//sfunction @vtkTransform2D:TransformPoints vtkTransform2DTransformPointsFunction
//input varargin
//output varargout
ArrayVector vtkTransform2DTransformPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransform2DTransformPoints__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransform2DTransformPoints__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkPoints2D") && VTKIsClass(arg[2],"vtkPoints2D"))
    return vtkTransform2DTransformPoints__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransform2DTransformPoints");
}

//@@Signature
//sfunction @vtkTransform2D:InverseTransformPoints vtkTransform2DInverseTransformPointsFunction
//input varargin
//output varargout
ArrayVector vtkTransform2DInverseTransformPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransform2DInverseTransformPoints__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransform2DInverseTransformPoints__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkPoints2D") && VTKIsClass(arg[2],"vtkPoints2D"))
    return vtkTransform2DInverseTransformPoints__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransform2DInverseTransformPoints");
}

//@@Signature
//sfunction @vtkTransform2D:MultiplyPoint vtkTransform2DMultiplyPointFunction
//input varargin
//output varargout
ArrayVector vtkTransform2DMultiplyPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkTransform2DMultiplyPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkTransform2DMultiplyPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransform2DMultiplyPoint");
}

//@@Signature
//sfunction @vtkTransform2D:display vtkTransform2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransform2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransform2D* vtk_pointer = GetVTKPointer<vtkTransform2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransform2D:delete vtkTransform2DDeleteFunction
//input varargin
//output none
ArrayVector vtkTransform2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransform2D
//@@Section VTKCommon
//@@Usage
// A vtkTransform2D can be used to describe the full range of linear (also
// known as affine) coordinate transformations in two dimensions,
// which are internally represented as a 3x3 homogeneous transformation
// matrix.  When you create a new vtkTransform2D, it is always initialized
// to the identity transformation.
//
// This class performs all of its operations in a right handed
// coordinate system with right handed rotations. Some other graphics
// libraries use left handed coordinate systems and rotations.
//
//To create an instance of class vtkTransform2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransform2D
//@]
//@@Methods
//The class vtkTransform2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransform2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransform2D = obj.NewInstance ()|
// \item @|vtkTransform2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Identity ()| -  Set the transformation to the identity transformation.
//// \item @|obj.Inverse ()| -  Invert the transformation.
//// \item @|obj.Translate (double x, double y)| -  Create a translation matrix and concatenate it with the current
// transformation.
//// \item @|obj.Translate (double x[2])| -  Create a translation matrix and concatenate it with the current
// transformation.
//// \item @|obj.Translate (float x[2])| -  Create a rotation matrix and concatenate it with the current
// transformation. The angle is in degrees.
//// \item @|obj.Rotate (double angle)| -  Create a rotation matrix and concatenate it with the current
// transformation. The angle is in degrees.
//// \item @|obj.Scale (double x, double y)| -  Create a scale matrix (i.e. set the diagonal elements to x, y)
// and concatenate it with the current transformation.
//// \item @|obj.Scale (double s[2])| -  Create a scale matrix (i.e. set the diagonal elements to x, y)
// and concatenate it with the current transformation.
//// \item @|obj.Scale (float s[2])| -  Set the current matrix directly.
//// \item @|obj.SetMatrix (vtkMatrix3x3 matrix)| -  Set the current matrix directly.
//// \item @|obj.SetMatrix (double elements[9])| -  Set the current matrix directly.
//// \item @|vtkMatrix3x3 = obj.GetMatrix ()| -  Get the underlying 3x3 matrix.
//// \item @|obj.GetMatrix (vtkMatrix3x3 matrix)| -  Get the underlying 3x3 matrix.
//// \item @|obj.GetPosition (double pos[2])| -  Return the position from the current transformation matrix as an array
// of two floating point numbers. This is simply returning the translation
// component of the 3x3 matrix.
//// \item @|obj.GetPosition (float pos[2])| -  Return a matrix which is the inverse of the current transformation
// matrix.
//// \item @|obj.GetInverse (vtkMatrix3x3 inverse)| -  Return a matrix which is the inverse of the current transformation
// matrix.
//// \item @|obj.GetTranspose (vtkMatrix3x3 transpose)| -  Return a matrix which is the transpose of the current transformation
// matrix.  This is equivalent to the inverse if and only if the
// transformation is a pure rotation with no translation or scale.
//// \item @|long = obj.GetMTime ()| -  Override GetMTime to account for input and concatenation.
//// \item @|obj.TransformPoints (float inPts, float outPts, int n)| -  Apply the transformation to a series of points, and append the
// results to outPts. Where n is the number of points, and the float pointers
// are of length 2*n.
//// \item @|obj.TransformPoints (double inPts, double outPts, int n)| -  Apply the transformation to a series of points, and append the
// results to outPts. Where n is the number of points, and the float pointers
// are of length 2*n.
//// \item @|obj.TransformPoints (vtkPoints2D inPts, vtkPoints2D outPts)| -  Apply the transformation to a series of points, and append the
// results to outPts.
//// \item @|obj.InverseTransformPoints (float inPts, float outPts, int n)| -  Apply the transformation to a series of points, and append the
// results to outPts. Where n is the number of points, and the float pointers
// are of length 2*n.
//// \item @|obj.InverseTransformPoints (double inPts, double outPts, int n)| -  Apply the transformation to a series of points, and append the
// results to outPts. Where n is the number of points, and the float pointers
// are of length 2*n.
//// \item @|obj.InverseTransformPoints (vtkPoints2D inPts, vtkPoints2D outPts)| -  Apply the transformation to a series of points, and append the
// results to outPts.
//// \item @|obj.MultiplyPoint (float in[3], float out[3])| -  Use this method only if you wish to compute the transformation in
// homogeneous (x,y,w) coordinates, otherwise use TransformPoint().
// This method calls this->GetMatrix()->MultiplyPoint().
//// \item @|obj.MultiplyPoint (double in[3], double out[3])| -  Use this method only if you wish to compute the transformation in
// homogeneous (x,y,w) coordinates, otherwise use TransformPoint().
// This method calls this->GetMatrix()->MultiplyPoint().
////\end{itemize}
//!
