#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransformCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransformCollection.h"

//@@Signature
//sfunction @vtkTransformCollection:vtkTransformCollection vtkTransformCollectionConstructorFunction
//input a
//output p
//@@Parents vtkTransformCollection vtkCollection 
ArrayVector vtkTransformCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransformCollection::New(),"vtkTransformCollection",eval);
  } else if (arg[0].className() == "vtkTransformCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransformCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransformCollection");
    vtkTransformCollection*q = reinterpret_cast<vtkTransformCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransformCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransformCollection:GetClassName vtkTransformCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransformCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransformCollection requires 1 argument(s)");
  vtkTransformCollection* vtk_pointer = GetVTKPointer<vtkTransformCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformCollection:IsA vtkTransformCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransformCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransformCollection requires 2 argument(s)");
  vtkTransformCollection* vtk_pointer = GetVTKPointer<vtkTransformCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformCollection:NewInstance vtkTransformCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransformCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransformCollection requires 1 argument(s)");
  vtkTransformCollection* vtk_pointer = GetVTKPointer<vtkTransformCollection>(arg[0]);
  Array retval;
  vtkTransformCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformCollection:SafeDownCast vtkTransformCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransformCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransformCollection requires 2 argument(s)");
  vtkTransformCollection* vtk_pointer = GetVTKPointer<vtkTransformCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransformCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformCollection:AddItem__1 vtkTransformCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkTransformCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkTransform *); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkTransformCollection requires 2 argument(s)");
  vtkTransformCollection* vtk_pointer = GetVTKPointer<vtkTransformCollection>(arg[0]);
  Array retval;
  vtkTransform  *temp0;
  temp0 = GetVTKPointer<vtkTransform>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformCollection:GetNextItem vtkTransformCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkTransformCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransform *GetNextItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkTransformCollection requires 1 argument(s)");
  vtkTransformCollection* vtk_pointer = GetVTKPointer<vtkTransformCollection>(arg[0]);
  Array retval;
  vtkTransform  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformCollection:AddItem vtkTransformCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkTransformCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkTransform"))
    return vtkTransformCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformCollectionAddItem");
}

//@@Signature
//sfunction @vtkTransformCollection:display vtkTransformCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransformCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransformCollection* vtk_pointer = GetVTKPointer<vtkTransformCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransformCollection:delete vtkTransformCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkTransformCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransformCollection
//@@Section VTKCommon
//@@Usage
// vtkTransformCollection is an object that creates and manipulates lists of
// objects of type vtkTransform.
//
//To create an instance of class vtkTransformCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransformCollection
//@]
//@@Methods
//The class vtkTransformCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransformCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransformCollection = obj.NewInstance ()|
// \item @|vtkTransformCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkTransform )| -  Add a Transform to the list.
//// \item @|vtkTransform = obj.GetNextItem ()| -  Get the next Transform in the list. Return NULL when the end of the
// list is reached.
////\end{itemize}
//!
