#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTypeFloat32Array object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTypeFloat32Array.h"

//@@Signature
//sfunction @vtkTypeFloat32Array:vtkTypeFloat32Array vtkTypeFloat32ArrayConstructorFunction
//input a
//output p
//@@Parents vtkTypeFloat32Array vtkFloatArray 
ArrayVector vtkTypeFloat32ArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTypeFloat32Array::New(),"vtkTypeFloat32Array",eval);
  } else if (arg[0].className() == "vtkTypeFloat32Array") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTypeFloat32Array"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTypeFloat32Array");
    vtkTypeFloat32Array*q = reinterpret_cast<vtkTypeFloat32Array*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTypeFloat32Array");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTypeFloat32Array:GetClassName vtkTypeFloat32ArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTypeFloat32ArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTypeFloat32Array requires 1 argument(s)");
  vtkTypeFloat32Array* vtk_pointer = GetVTKPointer<vtkTypeFloat32Array>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeFloat32Array:IsA vtkTypeFloat32ArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTypeFloat32ArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTypeFloat32Array requires 2 argument(s)");
  vtkTypeFloat32Array* vtk_pointer = GetVTKPointer<vtkTypeFloat32Array>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeFloat32Array:NewInstance vtkTypeFloat32ArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTypeFloat32ArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeFloat32Array *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTypeFloat32Array requires 1 argument(s)");
  vtkTypeFloat32Array* vtk_pointer = GetVTKPointer<vtkTypeFloat32Array>(arg[0]);
  Array retval;
  vtkTypeFloat32Array  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeFloat32Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeFloat32Array:SafeDownCast vtkTypeFloat32ArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTypeFloat32ArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeFloat32Array *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTypeFloat32Array requires 2 argument(s)");
  vtkTypeFloat32Array* vtk_pointer = GetVTKPointer<vtkTypeFloat32Array>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTypeFloat32Array  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeFloat32Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeFloat32Array:display vtkTypeFloat32ArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTypeFloat32ArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTypeFloat32Array* vtk_pointer = GetVTKPointer<vtkTypeFloat32Array>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTypeFloat32Array:delete vtkTypeFloat32ArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTypeFloat32ArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTypeFloat32Array
//@@Section VTKCommon
//@@Usage
// vtkTypeFloat32Array is an array of values of type vtkTypeFloat32.  It
// provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkTypeFloat32Array, simply
//invoke its constructor as follows
//@[
//  obj = vtkTypeFloat32Array
//@]
//@@Methods
//The class vtkTypeFloat32Array has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTypeFloat32Array class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTypeFloat32Array = obj.NewInstance ()|
// \item @|vtkTypeFloat32Array = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
