#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTypeFloat64Array object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTypeFloat64Array.h"

//@@Signature
//sfunction @vtkTypeFloat64Array:vtkTypeFloat64Array vtkTypeFloat64ArrayConstructorFunction
//input a
//output p
//@@Parents vtkTypeFloat64Array vtkDoubleArray 
ArrayVector vtkTypeFloat64ArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTypeFloat64Array::New(),"vtkTypeFloat64Array",eval);
  } else if (arg[0].className() == "vtkTypeFloat64Array") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTypeFloat64Array"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTypeFloat64Array");
    vtkTypeFloat64Array*q = reinterpret_cast<vtkTypeFloat64Array*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTypeFloat64Array");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTypeFloat64Array:GetClassName vtkTypeFloat64ArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTypeFloat64ArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTypeFloat64Array requires 1 argument(s)");
  vtkTypeFloat64Array* vtk_pointer = GetVTKPointer<vtkTypeFloat64Array>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeFloat64Array:IsA vtkTypeFloat64ArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTypeFloat64ArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTypeFloat64Array requires 2 argument(s)");
  vtkTypeFloat64Array* vtk_pointer = GetVTKPointer<vtkTypeFloat64Array>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeFloat64Array:NewInstance vtkTypeFloat64ArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTypeFloat64ArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeFloat64Array *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTypeFloat64Array requires 1 argument(s)");
  vtkTypeFloat64Array* vtk_pointer = GetVTKPointer<vtkTypeFloat64Array>(arg[0]);
  Array retval;
  vtkTypeFloat64Array  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeFloat64Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeFloat64Array:SafeDownCast vtkTypeFloat64ArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTypeFloat64ArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeFloat64Array *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTypeFloat64Array requires 2 argument(s)");
  vtkTypeFloat64Array* vtk_pointer = GetVTKPointer<vtkTypeFloat64Array>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTypeFloat64Array  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeFloat64Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeFloat64Array:display vtkTypeFloat64ArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTypeFloat64ArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTypeFloat64Array* vtk_pointer = GetVTKPointer<vtkTypeFloat64Array>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTypeFloat64Array:delete vtkTypeFloat64ArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTypeFloat64ArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTypeFloat64Array
//@@Section VTKCommon
//@@Usage
// vtkTypeFloat64Array is an array of values of type vtkTypeFloat64.  It
// provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkTypeFloat64Array, simply
//invoke its constructor as follows
//@[
//  obj = vtkTypeFloat64Array
//@]
//@@Methods
//The class vtkTypeFloat64Array has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTypeFloat64Array class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTypeFloat64Array = obj.NewInstance ()|
// \item @|vtkTypeFloat64Array = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
