#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTypeInt16Array object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTypeInt16Array.h"

//@@Signature
//sfunction @vtkTypeInt16Array:vtkTypeInt16Array vtkTypeInt16ArrayConstructorFunction
//input a
//output p
//@@Parents vtkTypeInt16Array vtkShortArray 
ArrayVector vtkTypeInt16ArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTypeInt16Array::New(),"vtkTypeInt16Array",eval);
  } else if (arg[0].className() == "vtkTypeInt16Array") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTypeInt16Array"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTypeInt16Array");
    vtkTypeInt16Array*q = reinterpret_cast<vtkTypeInt16Array*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTypeInt16Array");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTypeInt16Array:GetClassName vtkTypeInt16ArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTypeInt16ArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTypeInt16Array requires 1 argument(s)");
  vtkTypeInt16Array* vtk_pointer = GetVTKPointer<vtkTypeInt16Array>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt16Array:IsA vtkTypeInt16ArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTypeInt16ArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTypeInt16Array requires 2 argument(s)");
  vtkTypeInt16Array* vtk_pointer = GetVTKPointer<vtkTypeInt16Array>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt16Array:NewInstance vtkTypeInt16ArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTypeInt16ArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeInt16Array *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTypeInt16Array requires 1 argument(s)");
  vtkTypeInt16Array* vtk_pointer = GetVTKPointer<vtkTypeInt16Array>(arg[0]);
  Array retval;
  vtkTypeInt16Array  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeInt16Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt16Array:SafeDownCast vtkTypeInt16ArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTypeInt16ArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeInt16Array *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTypeInt16Array requires 2 argument(s)");
  vtkTypeInt16Array* vtk_pointer = GetVTKPointer<vtkTypeInt16Array>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTypeInt16Array  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeInt16Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt16Array:display vtkTypeInt16ArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTypeInt16ArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTypeInt16Array* vtk_pointer = GetVTKPointer<vtkTypeInt16Array>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTypeInt16Array:delete vtkTypeInt16ArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTypeInt16ArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTypeInt16Array
//@@Section VTKCommon
//@@Usage
// vtkTypeInt16Array is an array of values of type vtkTypeInt16.  It
// provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkTypeInt16Array, simply
//invoke its constructor as follows
//@[
//  obj = vtkTypeInt16Array
//@]
//@@Methods
//The class vtkTypeInt16Array has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTypeInt16Array class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTypeInt16Array = obj.NewInstance ()|
// \item @|vtkTypeInt16Array = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
