#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTypeInt32Array object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTypeInt32Array.h"

//@@Signature
//sfunction @vtkTypeInt32Array:vtkTypeInt32Array vtkTypeInt32ArrayConstructorFunction
//input a
//output p
//@@Parents vtkTypeInt32Array vtkIntArray 
ArrayVector vtkTypeInt32ArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTypeInt32Array::New(),"vtkTypeInt32Array",eval);
  } else if (arg[0].className() == "vtkTypeInt32Array") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTypeInt32Array"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTypeInt32Array");
    vtkTypeInt32Array*q = reinterpret_cast<vtkTypeInt32Array*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTypeInt32Array");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTypeInt32Array:GetClassName vtkTypeInt32ArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTypeInt32ArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTypeInt32Array requires 1 argument(s)");
  vtkTypeInt32Array* vtk_pointer = GetVTKPointer<vtkTypeInt32Array>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt32Array:IsA vtkTypeInt32ArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTypeInt32ArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTypeInt32Array requires 2 argument(s)");
  vtkTypeInt32Array* vtk_pointer = GetVTKPointer<vtkTypeInt32Array>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt32Array:NewInstance vtkTypeInt32ArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTypeInt32ArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeInt32Array *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTypeInt32Array requires 1 argument(s)");
  vtkTypeInt32Array* vtk_pointer = GetVTKPointer<vtkTypeInt32Array>(arg[0]);
  Array retval;
  vtkTypeInt32Array  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeInt32Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt32Array:SafeDownCast vtkTypeInt32ArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTypeInt32ArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeInt32Array *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTypeInt32Array requires 2 argument(s)");
  vtkTypeInt32Array* vtk_pointer = GetVTKPointer<vtkTypeInt32Array>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTypeInt32Array  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeInt32Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt32Array:display vtkTypeInt32ArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTypeInt32ArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTypeInt32Array* vtk_pointer = GetVTKPointer<vtkTypeInt32Array>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTypeInt32Array:delete vtkTypeInt32ArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTypeInt32ArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTypeInt32Array
//@@Section VTKCommon
//@@Usage
// vtkTypeInt32Array is an array of values of type vtkTypeInt32.  It
// provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkTypeInt32Array, simply
//invoke its constructor as follows
//@[
//  obj = vtkTypeInt32Array
//@]
//@@Methods
//The class vtkTypeInt32Array has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTypeInt32Array class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTypeInt32Array = obj.NewInstance ()|
// \item @|vtkTypeInt32Array = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
