#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTypeInt64Array object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTypeInt64Array.h"

//@@Signature
//sfunction @vtkTypeInt64Array:vtkTypeInt64Array vtkTypeInt64ArrayConstructorFunction
//input a
//output p
//@@Parents vtkTypeInt64Array vtkLongLongArray 
ArrayVector vtkTypeInt64ArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTypeInt64Array::New(),"vtkTypeInt64Array",eval);
  } else if (arg[0].className() == "vtkTypeInt64Array") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTypeInt64Array"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTypeInt64Array");
    vtkTypeInt64Array*q = reinterpret_cast<vtkTypeInt64Array*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTypeInt64Array");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTypeInt64Array:GetClassName vtkTypeInt64ArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTypeInt64ArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTypeInt64Array requires 1 argument(s)");
  vtkTypeInt64Array* vtk_pointer = GetVTKPointer<vtkTypeInt64Array>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt64Array:IsA vtkTypeInt64ArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTypeInt64ArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTypeInt64Array requires 2 argument(s)");
  vtkTypeInt64Array* vtk_pointer = GetVTKPointer<vtkTypeInt64Array>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt64Array:NewInstance vtkTypeInt64ArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTypeInt64ArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeInt64Array *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTypeInt64Array requires 1 argument(s)");
  vtkTypeInt64Array* vtk_pointer = GetVTKPointer<vtkTypeInt64Array>(arg[0]);
  Array retval;
  vtkTypeInt64Array  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeInt64Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt64Array:SafeDownCast vtkTypeInt64ArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTypeInt64ArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeInt64Array *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTypeInt64Array requires 2 argument(s)");
  vtkTypeInt64Array* vtk_pointer = GetVTKPointer<vtkTypeInt64Array>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTypeInt64Array  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeInt64Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt64Array:display vtkTypeInt64ArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTypeInt64ArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTypeInt64Array* vtk_pointer = GetVTKPointer<vtkTypeInt64Array>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTypeInt64Array:delete vtkTypeInt64ArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTypeInt64ArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTypeInt64Array
//@@Section VTKCommon
//@@Usage
// vtkTypeInt64Array is an array of values of type vtkTypeInt64.  It
// provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkTypeInt64Array, simply
//invoke its constructor as follows
//@[
//  obj = vtkTypeInt64Array
//@]
//@@Methods
//The class vtkTypeInt64Array has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTypeInt64Array class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTypeInt64Array = obj.NewInstance ()|
// \item @|vtkTypeInt64Array = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
