#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTypeInt8Array object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTypeInt8Array.h"

//@@Signature
//sfunction @vtkTypeInt8Array:vtkTypeInt8Array vtkTypeInt8ArrayConstructorFunction
//input a
//output p
//@@Parents vtkTypeInt8Array vtkCharArray 
ArrayVector vtkTypeInt8ArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTypeInt8Array::New(),"vtkTypeInt8Array",eval);
  } else if (arg[0].className() == "vtkTypeInt8Array") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTypeInt8Array"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTypeInt8Array");
    vtkTypeInt8Array*q = reinterpret_cast<vtkTypeInt8Array*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTypeInt8Array");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTypeInt8Array:GetClassName vtkTypeInt8ArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTypeInt8ArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTypeInt8Array requires 1 argument(s)");
  vtkTypeInt8Array* vtk_pointer = GetVTKPointer<vtkTypeInt8Array>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt8Array:IsA vtkTypeInt8ArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTypeInt8ArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTypeInt8Array requires 2 argument(s)");
  vtkTypeInt8Array* vtk_pointer = GetVTKPointer<vtkTypeInt8Array>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt8Array:NewInstance vtkTypeInt8ArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTypeInt8ArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeInt8Array *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTypeInt8Array requires 1 argument(s)");
  vtkTypeInt8Array* vtk_pointer = GetVTKPointer<vtkTypeInt8Array>(arg[0]);
  Array retval;
  vtkTypeInt8Array  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeInt8Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt8Array:SafeDownCast vtkTypeInt8ArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTypeInt8ArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeInt8Array *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTypeInt8Array requires 2 argument(s)");
  vtkTypeInt8Array* vtk_pointer = GetVTKPointer<vtkTypeInt8Array>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTypeInt8Array  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeInt8Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeInt8Array:display vtkTypeInt8ArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTypeInt8ArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTypeInt8Array* vtk_pointer = GetVTKPointer<vtkTypeInt8Array>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTypeInt8Array:delete vtkTypeInt8ArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTypeInt8ArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTypeInt8Array
//@@Section VTKCommon
//@@Usage
// vtkTypeInt8Array is an array of values of type vtkTypeInt8.  It
// provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkTypeInt8Array, simply
//invoke its constructor as follows
//@[
//  obj = vtkTypeInt8Array
//@]
//@@Methods
//The class vtkTypeInt8Array has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTypeInt8Array class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTypeInt8Array = obj.NewInstance ()|
// \item @|vtkTypeInt8Array = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
