#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTypeUInt16Array object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTypeUInt16Array.h"

//@@Signature
//sfunction @vtkTypeUInt16Array:vtkTypeUInt16Array vtkTypeUInt16ArrayConstructorFunction
//input a
//output p
//@@Parents vtkTypeUInt16Array vtkUnsignedShortArray 
ArrayVector vtkTypeUInt16ArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTypeUInt16Array::New(),"vtkTypeUInt16Array",eval);
  } else if (arg[0].className() == "vtkTypeUInt16Array") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTypeUInt16Array"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTypeUInt16Array");
    vtkTypeUInt16Array*q = reinterpret_cast<vtkTypeUInt16Array*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTypeUInt16Array");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTypeUInt16Array:GetClassName vtkTypeUInt16ArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTypeUInt16ArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTypeUInt16Array requires 1 argument(s)");
  vtkTypeUInt16Array* vtk_pointer = GetVTKPointer<vtkTypeUInt16Array>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt16Array:IsA vtkTypeUInt16ArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTypeUInt16ArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTypeUInt16Array requires 2 argument(s)");
  vtkTypeUInt16Array* vtk_pointer = GetVTKPointer<vtkTypeUInt16Array>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt16Array:NewInstance vtkTypeUInt16ArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTypeUInt16ArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeUInt16Array *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTypeUInt16Array requires 1 argument(s)");
  vtkTypeUInt16Array* vtk_pointer = GetVTKPointer<vtkTypeUInt16Array>(arg[0]);
  Array retval;
  vtkTypeUInt16Array  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeUInt16Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt16Array:SafeDownCast vtkTypeUInt16ArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTypeUInt16ArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeUInt16Array *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTypeUInt16Array requires 2 argument(s)");
  vtkTypeUInt16Array* vtk_pointer = GetVTKPointer<vtkTypeUInt16Array>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTypeUInt16Array  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeUInt16Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt16Array:display vtkTypeUInt16ArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTypeUInt16ArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTypeUInt16Array* vtk_pointer = GetVTKPointer<vtkTypeUInt16Array>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTypeUInt16Array:delete vtkTypeUInt16ArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTypeUInt16ArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTypeUInt16Array
//@@Section VTKCommon
//@@Usage
// vtkTypeUInt16Array is an array of values of type vtkTypeUInt16.  It
// provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkTypeUInt16Array, simply
//invoke its constructor as follows
//@[
//  obj = vtkTypeUInt16Array
//@]
//@@Methods
//The class vtkTypeUInt16Array has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTypeUInt16Array class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTypeUInt16Array = obj.NewInstance ()|
// \item @|vtkTypeUInt16Array = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
