#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTypeUInt32Array object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTypeUInt32Array.h"

//@@Signature
//sfunction @vtkTypeUInt32Array:vtkTypeUInt32Array vtkTypeUInt32ArrayConstructorFunction
//input a
//output p
//@@Parents vtkTypeUInt32Array vtkUnsignedIntArray 
ArrayVector vtkTypeUInt32ArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTypeUInt32Array::New(),"vtkTypeUInt32Array",eval);
  } else if (arg[0].className() == "vtkTypeUInt32Array") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTypeUInt32Array"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTypeUInt32Array");
    vtkTypeUInt32Array*q = reinterpret_cast<vtkTypeUInt32Array*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTypeUInt32Array");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTypeUInt32Array:GetClassName vtkTypeUInt32ArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTypeUInt32ArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTypeUInt32Array requires 1 argument(s)");
  vtkTypeUInt32Array* vtk_pointer = GetVTKPointer<vtkTypeUInt32Array>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt32Array:IsA vtkTypeUInt32ArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTypeUInt32ArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTypeUInt32Array requires 2 argument(s)");
  vtkTypeUInt32Array* vtk_pointer = GetVTKPointer<vtkTypeUInt32Array>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt32Array:NewInstance vtkTypeUInt32ArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTypeUInt32ArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeUInt32Array *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTypeUInt32Array requires 1 argument(s)");
  vtkTypeUInt32Array* vtk_pointer = GetVTKPointer<vtkTypeUInt32Array>(arg[0]);
  Array retval;
  vtkTypeUInt32Array  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeUInt32Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt32Array:SafeDownCast vtkTypeUInt32ArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTypeUInt32ArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeUInt32Array *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTypeUInt32Array requires 2 argument(s)");
  vtkTypeUInt32Array* vtk_pointer = GetVTKPointer<vtkTypeUInt32Array>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTypeUInt32Array  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeUInt32Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt32Array:display vtkTypeUInt32ArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTypeUInt32ArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTypeUInt32Array* vtk_pointer = GetVTKPointer<vtkTypeUInt32Array>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTypeUInt32Array:delete vtkTypeUInt32ArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTypeUInt32ArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTypeUInt32Array
//@@Section VTKCommon
//@@Usage
// vtkTypeUInt32Array is an array of values of type vtkTypeUInt32.  It
// provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkTypeUInt32Array, simply
//invoke its constructor as follows
//@[
//  obj = vtkTypeUInt32Array
//@]
//@@Methods
//The class vtkTypeUInt32Array has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTypeUInt32Array class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTypeUInt32Array = obj.NewInstance ()|
// \item @|vtkTypeUInt32Array = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
