#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTypeUInt64Array object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTypeUInt64Array.h"

//@@Signature
//sfunction @vtkTypeUInt64Array:vtkTypeUInt64Array vtkTypeUInt64ArrayConstructorFunction
//input a
//output p
//@@Parents vtkTypeUInt64Array vtkUnsignedLongLongArray 
ArrayVector vtkTypeUInt64ArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTypeUInt64Array::New(),"vtkTypeUInt64Array",eval);
  } else if (arg[0].className() == "vtkTypeUInt64Array") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTypeUInt64Array"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTypeUInt64Array");
    vtkTypeUInt64Array*q = reinterpret_cast<vtkTypeUInt64Array*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTypeUInt64Array");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTypeUInt64Array:GetClassName vtkTypeUInt64ArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTypeUInt64ArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTypeUInt64Array requires 1 argument(s)");
  vtkTypeUInt64Array* vtk_pointer = GetVTKPointer<vtkTypeUInt64Array>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt64Array:IsA vtkTypeUInt64ArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTypeUInt64ArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTypeUInt64Array requires 2 argument(s)");
  vtkTypeUInt64Array* vtk_pointer = GetVTKPointer<vtkTypeUInt64Array>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt64Array:NewInstance vtkTypeUInt64ArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTypeUInt64ArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeUInt64Array *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTypeUInt64Array requires 1 argument(s)");
  vtkTypeUInt64Array* vtk_pointer = GetVTKPointer<vtkTypeUInt64Array>(arg[0]);
  Array retval;
  vtkTypeUInt64Array  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeUInt64Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt64Array:SafeDownCast vtkTypeUInt64ArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTypeUInt64ArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeUInt64Array *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTypeUInt64Array requires 2 argument(s)");
  vtkTypeUInt64Array* vtk_pointer = GetVTKPointer<vtkTypeUInt64Array>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTypeUInt64Array  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeUInt64Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt64Array:display vtkTypeUInt64ArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTypeUInt64ArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTypeUInt64Array* vtk_pointer = GetVTKPointer<vtkTypeUInt64Array>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTypeUInt64Array:delete vtkTypeUInt64ArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTypeUInt64ArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTypeUInt64Array
//@@Section VTKCommon
//@@Usage
// vtkTypeUInt64Array is an array of values of type vtkTypeUInt64.  It
// provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkTypeUInt64Array, simply
//invoke its constructor as follows
//@[
//  obj = vtkTypeUInt64Array
//@]
//@@Methods
//The class vtkTypeUInt64Array has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTypeUInt64Array class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTypeUInt64Array = obj.NewInstance ()|
// \item @|vtkTypeUInt64Array = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
