#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTypeUInt8Array object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTypeUInt8Array.h"

//@@Signature
//sfunction @vtkTypeUInt8Array:vtkTypeUInt8Array vtkTypeUInt8ArrayConstructorFunction
//input a
//output p
//@@Parents vtkTypeUInt8Array vtkUnsignedCharArray 
ArrayVector vtkTypeUInt8ArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTypeUInt8Array::New(),"vtkTypeUInt8Array",eval);
  } else if (arg[0].className() == "vtkTypeUInt8Array") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTypeUInt8Array"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTypeUInt8Array");
    vtkTypeUInt8Array*q = reinterpret_cast<vtkTypeUInt8Array*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTypeUInt8Array");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTypeUInt8Array:GetClassName vtkTypeUInt8ArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTypeUInt8ArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTypeUInt8Array requires 1 argument(s)");
  vtkTypeUInt8Array* vtk_pointer = GetVTKPointer<vtkTypeUInt8Array>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt8Array:IsA vtkTypeUInt8ArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTypeUInt8ArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTypeUInt8Array requires 2 argument(s)");
  vtkTypeUInt8Array* vtk_pointer = GetVTKPointer<vtkTypeUInt8Array>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt8Array:NewInstance vtkTypeUInt8ArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTypeUInt8ArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeUInt8Array *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTypeUInt8Array requires 1 argument(s)");
  vtkTypeUInt8Array* vtk_pointer = GetVTKPointer<vtkTypeUInt8Array>(arg[0]);
  Array retval;
  vtkTypeUInt8Array  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeUInt8Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt8Array:SafeDownCast vtkTypeUInt8ArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTypeUInt8ArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeUInt8Array *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTypeUInt8Array requires 2 argument(s)");
  vtkTypeUInt8Array* vtk_pointer = GetVTKPointer<vtkTypeUInt8Array>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTypeUInt8Array  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTypeUInt8Array",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTypeUInt8Array:display vtkTypeUInt8ArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTypeUInt8ArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTypeUInt8Array* vtk_pointer = GetVTKPointer<vtkTypeUInt8Array>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTypeUInt8Array:delete vtkTypeUInt8ArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTypeUInt8ArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTypeUInt8Array
//@@Section VTKCommon
//@@Usage
// vtkTypeUInt8Array is an array of values of type vtkTypeUInt8.  It
// provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkTypeUInt8Array, simply
//invoke its constructor as follows
//@[
//  obj = vtkTypeUInt8Array
//@]
//@@Methods
//The class vtkTypeUInt8Array has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTypeUInt8Array class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTypeUInt8Array = obj.NewInstance ()|
// \item @|vtkTypeUInt8Array = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
