#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnsignedShortArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnsignedShortArray.h"

//@@Signature
//sfunction @vtkUnsignedShortArray:vtkUnsignedShortArray vtkUnsignedShortArrayConstructorFunction
//input a
//output p
//@@Parents vtkUnsignedShortArray vtkDataArray 
ArrayVector vtkUnsignedShortArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnsignedShortArray::New(),"vtkUnsignedShortArray",eval);
  } else if (arg[0].className() == "vtkUnsignedShortArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnsignedShortArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnsignedShortArray");
    vtkUnsignedShortArray*q = reinterpret_cast<vtkUnsignedShortArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnsignedShortArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnsignedShortArray:GetClassName vtkUnsignedShortArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnsignedShortArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnsignedShortArray requires 1 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:IsA vtkUnsignedShortArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnsignedShortArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnsignedShortArray requires 2 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:NewInstance vtkUnsignedShortArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnsignedShortArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedShortArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnsignedShortArray requires 1 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  vtkUnsignedShortArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedShortArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:SafeDownCast vtkUnsignedShortArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnsignedShortArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedShortArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnsignedShortArray requires 2 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnsignedShortArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedShortArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:GetDataType vtkUnsignedShortArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkUnsignedShortArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType ();return VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkUnsignedShortArray requires 1 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:GetTupleValue vtkUnsignedShortArrayGetTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnsignedShortArrayGetTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTupleValue (vtkIdType i, unsigned short *tuple);this RealSuperclass GetTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function GetTupleValue for class vtkUnsignedShortArray requires 3 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned short   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned short[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned short)data[k+1];
      }
  vtk_pointer->GetTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:SetTupleValue vtkUnsignedShortArraySetTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnsignedShortArraySetTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTupleValue (vtkIdType i, const unsigned short *tuple);this RealSuperclass SetTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function SetTupleValue for class vtkUnsignedShortArray requires 3 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned short   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned short[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned short)data[k+1];
      }
  vtk_pointer->SetTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:InsertTupleValue vtkUnsignedShortArrayInsertTupleValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnsignedShortArrayInsertTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTupleValue (vtkIdType i, const unsigned short *tuple);this RealSuperclass InsertTupleValue i tuple  */
  if (arg.size() < 3) 
    throw Exception("Function InsertTupleValue for class vtkUnsignedShortArray requires 3 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned short   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned short[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned short)data[k+1];
      }
  vtk_pointer->InsertTupleValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:InsertNextTupleValue vtkUnsignedShortArrayInsertNextTupleValueFunction
//input a0 a1 
//output y
ArrayVector vtkUnsignedShortArrayInsertNextTupleValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextTupleValue (const unsigned short *tuple);return this RealSuperclass InsertNextTupleValue tuple  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextTupleValue for class vtkUnsignedShortArray requires 2 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  unsigned short   *temp0;
  vtkIdType   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned short[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned short)data[k+1];
      }
  temp20 = (vtk_pointer)->InsertNextTupleValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:GetValue vtkUnsignedShortArrayGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkUnsignedShortArrayGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned short GetValue (vtkIdType id);return this RealSuperclass GetValue id  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkUnsignedShortArray requires 2 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned short    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:SetValue vtkUnsignedShortArraySetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnsignedShortArraySetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (vtkIdType id, unsigned short value);this RealSuperclass SetValue id value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkUnsignedShortArray requires 3 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned short    temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned short) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:SetNumberOfValues vtkUnsignedShortArraySetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkUnsignedShortArraySetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkUnsignedShortArray requires 2 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:InsertValue vtkUnsignedShortArrayInsertValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnsignedShortArrayInsertValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertValue (vtkIdType id, unsigned short f);this RealSuperclass InsertValue id f  */
  if (arg.size() < 3) 
    throw Exception("Function InsertValue for class vtkUnsignedShortArray requires 3 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned short    temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned short) arg[2].asDouble();
  vtk_pointer->InsertValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:InsertNextValue vtkUnsignedShortArrayInsertNextValueFunction
//input a0 a1 
//output y
ArrayVector vtkUnsignedShortArrayInsertNextValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextValue (unsigned short f);return this RealSuperclass InsertNextValue f  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextValue for class vtkUnsignedShortArray requires 2 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  unsigned short    temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned short) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:SetArray__1 vtkUnsignedShortArraySetArray__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkUnsignedShortArraySetArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArray (unsigned short *array, vtkIdType size, int save);this RealSuperclass SetArray array size save  */
  if (arg.size() < 4) 
    throw Exception("Function SetArray__1 for class vtkUnsignedShortArray requires 4 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  unsigned short   *temp0;
  vtkIdType   temp1;
  int      temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned short[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned short)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetArray(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:SetArray__2 vtkUnsignedShortArraySetArray__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkUnsignedShortArraySetArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArray (unsigned short *array, vtkIdType size, int save, int deleteMethod);this RealSuperclass SetArray array size save deleteMethod  */
  if (arg.size() < 5) 
    throw Exception("Function SetArray__2 for class vtkUnsignedShortArray requires 5 argument(s)");
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  Array retval;
  unsigned short   *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned short[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned short)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetArray(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkUnsignedShortArray:SetArray vtkUnsignedShortArraySetArrayFunction
//input varargin
//output varargout
ArrayVector vtkUnsignedShortArraySetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkUnsignedShortArraySetArray__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkUnsignedShortArraySetArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnsignedShortArraySetArray");
}

//@@Signature
//sfunction @vtkUnsignedShortArray:display vtkUnsignedShortArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnsignedShortArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnsignedShortArray* vtk_pointer = GetVTKPointer<vtkUnsignedShortArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnsignedShortArray:delete vtkUnsignedShortArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkUnsignedShortArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnsignedShortArray
//@@Section VTKCommon
//@@Usage
// vtkUnsignedShortArray is an array of values of type unsigned short.
// It provides methods for insertion and retrieval of values and will
// automatically resize itself to hold new data.
//
//To create an instance of class vtkUnsignedShortArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnsignedShortArray
//@]
//@@Methods
//The class vtkUnsignedShortArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnsignedShortArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnsignedShortArray = obj.NewInstance ()|
// \item @|vtkUnsignedShortArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataType ()| -  Copy the tuple value into a user-provided array.
//// \item @|obj.GetTupleValue (vtkIdType i, short tuple)| -  Set the tuple value at the ith location in the array.
//// \item @|obj.SetTupleValue (vtkIdType i, short tuple)| -  Insert (memory allocation performed) the tuple into the ith location
// in the array.
//// \item @|obj.InsertTupleValue (vtkIdType i, short tuple)| -  Insert (memory allocation performed) the tuple onto the end of the array.
//// \item @|vtkIdType = obj.InsertNextTupleValue (short tuple)| -  Get the data at a particular index.
//// \item @|short = obj.GetValue (vtkIdType id)| -  Set the data at a particular index. Does not do range checking. Make sure
// you use the method SetNumberOfValues() before inserting data.
//// \item @|obj.SetValue (vtkIdType id, short value)| -  Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Insert data at a specified position in the array.
//// \item @|obj.InsertValue (vtkIdType id, short f)| -  Insert data at the end of the array. Return its location in the array.
//// \item @|vtkIdType = obj.InsertNextValue (short f)| -  Get the address of a particular data index. Make sure data is allocated
// for the number of items requested. Set MaxId according to the number of
// data values requested.
//// \item @|obj.SetArray (short array, vtkIdType size, int save)| -  This method lets the user specify data to be held by the array.  The
// array argument is a pointer to the data.  size is the size of
// the array supplied by the user.  Set save to 1 to keep the class
// from deleting the array when it cleans up or reallocates memory.
// The class uses the actual array provided; it does not copy the data
// from the suppled array. 
//// \item @|obj.SetArray (short array, vtkIdType size, int save, int deleteMethod)|
//\end{itemize}
//!
