#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVariantArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVariantArray.h"

//@@Signature
//sfunction @vtkVariantArray:vtkVariantArray vtkVariantArrayConstructorFunction
//input a
//output p
//@@Parents vtkVariantArray vtkAbstractArray 
ArrayVector vtkVariantArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVariantArray::New(),"vtkVariantArray",eval);
  } else if (arg[0].className() == "vtkVariantArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVariantArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVariantArray");
    vtkVariantArray*q = reinterpret_cast<vtkVariantArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVariantArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVariantArray:GetClassName vtkVariantArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVariantArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:IsA vtkVariantArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVariantArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVariantArray requires 2 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:NewInstance vtkVariantArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVariantArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVariantArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkVariantArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVariantArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:SafeDownCast vtkVariantArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVariantArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVariantArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVariantArray requires 2 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVariantArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVariantArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:Allocate vtkVariantArrayAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkVariantArrayAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Allocate (vtkIdType sz, vtkIdType ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkVariantArray requires 3 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:Initialize vtkVariantArrayInitializeFunction
//input a0 
//output none
ArrayVector vtkVariantArrayInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:GetDataType vtkVariantArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkVariantArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:GetDataTypeSize vtkVariantArrayGetDataTypeSizeFunction
//input a0 
//output y
ArrayVector vtkVariantArrayGetDataTypeSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataTypeSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeSize for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataTypeSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:GetElementComponentSize vtkVariantArrayGetElementComponentSizeFunction
//input a0 
//output y
ArrayVector vtkVariantArrayGetElementComponentSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetElementComponentSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetElementComponentSize for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetElementComponentSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:SetNumberOfTuples vtkVariantArraySetNumberOfTuplesFunction
//input a0 a1 
//output none
ArrayVector vtkVariantArraySetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfTuples (vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTuples for class vtkVariantArray requires 2 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTuples(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:SetTuple vtkVariantArraySetTupleFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVariantArraySetTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source); */
  if (arg.size() < 4) 
    throw Exception("Function SetTuple for class vtkVariantArray requires 4 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->SetTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:InsertTuple vtkVariantArrayInsertTupleFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVariantArrayInsertTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source); */
  if (arg.size() < 4) 
    throw Exception("Function InsertTuple for class vtkVariantArray requires 4 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  vtk_pointer->InsertTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:InsertNextTuple vtkVariantArrayInsertNextTupleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkVariantArrayInsertNextTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextTuple for class vtkVariantArray requires 3 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  temp20 = (vtk_pointer)->InsertNextTuple(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:DeepCopy vtkVariantArrayDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkVariantArrayDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkAbstractArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkVariantArray requires 2 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:InterpolateTuple__1 vtkVariantArrayInterpolateTuple__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkVariantArrayInterpolateTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateTuple (vtkIdType i, vtkIdList *ptIndices, vtkAbstractArray *source, double *weights); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateTuple__1 for class vtkVariantArray requires 5 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkAbstractArray  *temp2;
  double  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateTuple(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:InterpolateTuple__2 vtkVariantArrayInterpolateTuple__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkVariantArrayInterpolateTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t); */
  if (arg.size() < 7) 
    throw Exception("Function InterpolateTuple__2 for class vtkVariantArray requires 7 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  vtkIdType   temp3;
  vtkAbstractArray  *temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAbstractArray>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkAbstractArray>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:Squeeze vtkVariantArraySqueezeFunction
//input a0 
//output none
ArrayVector vtkVariantArraySqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Squeeze (); */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:Resize vtkVariantArrayResizeFunction
//input a0 a1 
//output y
ArrayVector vtkVariantArrayResizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Resize (vtkIdType numTuples); */
  if (arg.size() < 2) 
    throw Exception("Function Resize for class vtkVariantArray requires 2 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->Resize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:GetActualMemorySize vtkVariantArrayGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkVariantArrayGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:IsNumeric vtkVariantArrayIsNumericFunction
//input a0 
//output y
ArrayVector vtkVariantArrayIsNumericFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsNumeric (); */
  if (arg.size() < 1) 
    throw Exception("Function IsNumeric for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsNumeric();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:NewIterator vtkVariantArrayNewIteratorFunction
//input a0 
//output y
ArrayVector vtkVariantArrayNewIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkArrayIterator *NewIterator (); */
  if (arg.size() < 1) 
    throw Exception("Function NewIterator for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkArrayIterator  *temp20;
  temp20 = (vtk_pointer)->NewIterator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:SetNumberOfValues vtkVariantArraySetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkVariantArraySetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkVariantArray requires 2 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:GetNumberOfValues vtkVariantArrayGetNumberOfValuesFunction
//input a0 
//output y
ArrayVector vtkVariantArrayGetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfValues ();return this MaxId  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfValues for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:DataChanged vtkVariantArrayDataChangedFunction
//input a0 
//output none
ArrayVector vtkVariantArrayDataChangedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DataChanged (); */
  if (arg.size() < 1) 
    throw Exception("Function DataChanged for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtk_pointer->DataChanged();
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:DataElementChanged vtkVariantArrayDataElementChangedFunction
//input a0 a1 
//output none
ArrayVector vtkVariantArrayDataElementChangedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DataElementChanged (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function DataElementChanged for class vtkVariantArray requires 2 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DataElementChanged(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:ClearLookup vtkVariantArrayClearLookupFunction
//input a0 
//output none
ArrayVector vtkVariantArrayClearLookupFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ClearLookup (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearLookup for class vtkVariantArray requires 1 argument(s)");
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  Array retval;
  vtk_pointer->ClearLookup();
  return retval;
}

//@@Signature
//sfunction @vtkVariantArray:InterpolateTuple vtkVariantArrayInterpolateTupleFunction
//input varargin
//output varargout
ArrayVector vtkVariantArrayInterpolateTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkAbstractArray") && VTKIsVectorArg(arg[4]))
    return vtkVariantArrayInterpolateTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkAbstractArray") && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkAbstractArray") && VTKIsScalarArg(arg[6]))
    return vtkVariantArrayInterpolateTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVariantArrayInterpolateTuple");
}

//@@Signature
//sfunction @vtkVariantArray:display vtkVariantArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVariantArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVariantArray* vtk_pointer = GetVTKPointer<vtkVariantArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVariantArray:delete vtkVariantArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkVariantArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVariantArray
//@@Section VTKCommon
//@@Usage
//
// .SECTION Thanks
// Thanks to Patricia Crossno, Ken Moreland, Andrew Wilson and Brian Wylie from
// Sandia National Laboratories for their help in developing this class.
//
//To create an instance of class vtkVariantArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkVariantArray
//@]
//@@Methods
//The class vtkVariantArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVariantArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVariantArray = obj.NewInstance ()|
// \item @|vtkVariantArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Allocate (vtkIdType sz, vtkIdType ext)| -  Allocate memory for this array. Delete old storage only if necessary.
// Note that ext is no longer used.
//// \item @|obj.Initialize ()| -  Release storage and reset array to initial state.
//// \item @|int = obj.GetDataType ()| -  Return the underlying data type. An integer indicating data type is 
// returned as specified in vtkSetGet.h.
//// \item @|int = obj.GetDataTypeSize ()| -  Return the size of the underlying data type.  For a bit, 1 is
// returned.  For string 0 is returned. Arrays with variable length
// components return 0.
//// \item @|int = obj.GetElementComponentSize ()| -  Return the size, in bytes, of the lowest-level element of an
// array.  For vtkDataArray and subclasses this is the size of the
// data type.  For vtkStringArray, this is
// sizeof(vtkStdString::value_type), which winds up being
// sizeof(char).  
//// \item @|obj.SetNumberOfTuples (vtkIdType number)| -  Set the number of tuples (a component group) in the array. Note that 
// this may allocate space depending on the number of components.
//// \item @|obj.SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)| -  Set the tuple at the ith location using the jth tuple in the source array.
// This method assumes that the two arrays have the same type
// and structure. Note that range checking and memory allocation is not 
// performed; use in conjunction with SetNumberOfTuples() to allocate space.
//// \item @|obj.InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray source)| -  Insert the jth tuple in the source array, at ith location in this array. 
// Note that memory allocation is performed as necessary to hold the data.
//// \item @|vtkIdType = obj.InsertNextTuple (vtkIdType j, vtkAbstractArray source)| -  Insert the jth tuple in the source array, at the end in this array. 
// Note that memory allocation is performed as necessary to hold the data.
// Returns the location at which the data was inserted.
//// \item @|obj.DeepCopy (vtkAbstractArray da)| -  Deep copy of data. Implementation left to subclasses, which
// should support as many type conversions as possible given the
// data type.
//// \item @|obj.InterpolateTuple (vtkIdType i, vtkIdList ptIndices, vtkAbstractArray source, double weights)| -  Set the ith tuple in this array as the interpolated tuple value,
// given the ptIndices in the source array and associated 
// interpolation weights.
// This method assumes that the two arrays are of the same type
// and strcuture.
//// \item @|obj.InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray source1, vtkIdType id2, vtkAbstractArray source2, double t)|
// \item @|obj.Squeeze ()| -  Resize object to just fit data requirement. Reclaims extra memory.
//// \item @|int = obj.Resize (vtkIdType numTuples)| -  Resize the array while conserving the data.  Returns 1 if
// resizing succeeded and 0 otherwise.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the memory in kilobytes consumed by this data array. Used to
// support streaming and reading/writing data. The value returned is
// guaranteed to be greater than or equal to the memory required to
// actually represent the data represented by this object. The 
// information returned is valid only after the pipeline has 
// been updated.
//// \item @|int = obj.IsNumeric ()| -  Since each item can be of a different type, we say that a variant array is not numeric.
//// \item @|vtkArrayIterator = obj.NewIterator ()| -  Subclasses must override this method and provide the right 
// kind of templated vtkArrayIteratorTemplate.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Specify the number of values for this object to hold. Does an
// allocation as well as setting the MaxId ivar. Used in conjunction with
// SetValue() method for fast insertion.
//// \item @|vtkIdType = obj.GetNumberOfValues ()| -  Tell the array explicitly that the data has changed.
// This is only necessary to call when you modify the array contents
// without using the array's API (i.e. you retrieve a pointer to the
// data and modify the array contents).  You need to call this so that
// the fast lookup will know to rebuild itself.  Otherwise, the lookup
// functions will give incorrect results.
//// \item @|obj.DataChanged ()| -  Tell the array explicitly that the data has changed.
// This is only necessary to call when you modify the array contents
// without using the array's API (i.e. you retrieve a pointer to the
// data and modify the array contents).  You need to call this so that
// the fast lookup will know to rebuild itself.  Otherwise, the lookup
// functions will give incorrect results.
//// \item @|obj.DataElementChanged (vtkIdType id)| -  Tell the array explicitly that a single data element has
// changed. Like DataChanged(), then is only necessary when you
// modify the array contents without using the array's API. 
//// \item @|obj.ClearLookup ()| -  Delete the associated fast lookup data structure on this array,
// if it exists.  The lookup will be rebuilt on the next call to a lookup
// function.
//// \item @|~vtkVariantArray = obj.()| -  This destructor is public to work around a bug in version 1.36.0 of
// the Boost.Serialization library.
////\end{itemize}
//!
