#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVersion object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVersion.h"

//@@Signature
//sfunction @vtkVersion:vtkVersion vtkVersionConstructorFunction
//input a
//output p
//@@Parents vtkVersion vtkObject 
ArrayVector vtkVersionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVersion::New(),"vtkVersion",eval);
  } else if (arg[0].className() == "vtkVersion") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVersion"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVersion");
    vtkVersion*q = reinterpret_cast<vtkVersion*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVersion");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVersion:GetClassName vtkVersionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVersionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVersion requires 1 argument(s)");
  vtkVersion* vtk_pointer = GetVTKPointer<vtkVersion>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVersion:IsA vtkVersionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVersionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVersion requires 2 argument(s)");
  vtkVersion* vtk_pointer = GetVTKPointer<vtkVersion>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVersion:NewInstance vtkVersionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVersionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVersion *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVersion requires 1 argument(s)");
  vtkVersion* vtk_pointer = GetVTKPointer<vtkVersion>(arg[0]);
  Array retval;
  vtkVersion  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVersion",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVersion:SafeDownCast vtkVersionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVersionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVersion *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVersion requires 2 argument(s)");
  vtkVersion* vtk_pointer = GetVTKPointer<vtkVersion>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVersion  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVersion",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVersion:GetVTKVersion vtkVersionGetVTKVersionFunction
//input a0 
//output y
ArrayVector vtkVersionGetVTKVersionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetVTKVersion ();return VTK_VERSION  */
  if (arg.size() < 1) 
    throw Exception("Function GetVTKVersion for class vtkVersion requires 1 argument(s)");
  vtkVersion* vtk_pointer = GetVTKPointer<vtkVersion>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVTKVersion();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVersion:GetVTKMajorVersion vtkVersionGetVTKMajorVersionFunction
//input a0 
//output y
ArrayVector vtkVersionGetVTKMajorVersionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetVTKMajorVersion ();return VTK_MAJOR_VERSION  */
  if (arg.size() < 1) 
    throw Exception("Function GetVTKMajorVersion for class vtkVersion requires 1 argument(s)");
  vtkVersion* vtk_pointer = GetVTKPointer<vtkVersion>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVTKMajorVersion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVersion:GetVTKMinorVersion vtkVersionGetVTKMinorVersionFunction
//input a0 
//output y
ArrayVector vtkVersionGetVTKMinorVersionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetVTKMinorVersion ();return VTK_MINOR_VERSION  */
  if (arg.size() < 1) 
    throw Exception("Function GetVTKMinorVersion for class vtkVersion requires 1 argument(s)");
  vtkVersion* vtk_pointer = GetVTKPointer<vtkVersion>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVTKMinorVersion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVersion:GetVTKBuildVersion vtkVersionGetVTKBuildVersionFunction
//input a0 
//output y
ArrayVector vtkVersionGetVTKBuildVersionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetVTKBuildVersion ();return VTK_BUILD_VERSION  */
  if (arg.size() < 1) 
    throw Exception("Function GetVTKBuildVersion for class vtkVersion requires 1 argument(s)");
  vtkVersion* vtk_pointer = GetVTKPointer<vtkVersion>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVTKBuildVersion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVersion:GetVTKSourceVersion vtkVersionGetVTKSourceVersionFunction
//input a0 
//output y
ArrayVector vtkVersionGetVTKSourceVersionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetVTKSourceVersion ();return VTK_SOURCE_VERSION  */
  if (arg.size() < 1) 
    throw Exception("Function GetVTKSourceVersion for class vtkVersion requires 1 argument(s)");
  vtkVersion* vtk_pointer = GetVTKPointer<vtkVersion>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVTKSourceVersion();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVersion:display vtkVersionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVersionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVersion* vtk_pointer = GetVTKPointer<vtkVersion>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVersion:delete vtkVersionDeleteFunction
//input varargin
//output none
ArrayVector vtkVersionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVersion
//@@Section VTKCommon
//@@Usage
// Holds methods for defining/determining the current vtk version
// (major, minor, build).
//
//To create an instance of class vtkVersion, simply
//invoke its constructor as follows
//@[
//  obj = vtkVersion
//@]
//@@Methods
//The class vtkVersion has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVersion class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVersion = obj.NewInstance ()|
// \item @|vtkVersion = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
