#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVoidArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVoidArray.h"

//@@Signature
//sfunction @vtkVoidArray:vtkVoidArray vtkVoidArrayConstructorFunction
//input a
//output p
//@@Parents vtkVoidArray vtkObject 
ArrayVector vtkVoidArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVoidArray::New(),"vtkVoidArray",eval);
  } else if (arg[0].className() == "vtkVoidArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVoidArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVoidArray");
    vtkVoidArray*q = reinterpret_cast<vtkVoidArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVoidArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVoidArray:GetClassName vtkVoidArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVoidArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVoidArray requires 1 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:IsA vtkVoidArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVoidArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVoidArray requires 2 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:NewInstance vtkVoidArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVoidArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVoidArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVoidArray requires 1 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  vtkVoidArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVoidArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:SafeDownCast vtkVoidArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVoidArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVoidArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVoidArray requires 2 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVoidArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVoidArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:Allocate vtkVoidArrayAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkVoidArrayAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Allocate (vtkIdType sz, vtkIdType ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkVoidArray requires 3 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:Initialize vtkVoidArrayInitializeFunction
//input a0 
//output none
ArrayVector vtkVoidArrayInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkVoidArray requires 1 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:GetDataType vtkVoidArrayGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkVoidArrayGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType ();return VTK_VOID  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkVoidArray requires 1 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:GetDataTypeSize vtkVoidArrayGetDataTypeSizeFunction
//input a0 
//output y
ArrayVector vtkVoidArrayGetDataTypeSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataTypeSize ();return sizeof void  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeSize for class vtkVoidArray requires 1 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataTypeSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:SetNumberOfPointers vtkVoidArraySetNumberOfPointersFunction
//input a0 a1 
//output none
ArrayVector vtkVoidArraySetNumberOfPointersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPointers (vtkIdType number);this Allocate number this NumberOfPointers number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPointers for class vtkVoidArray requires 2 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPointers(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:GetNumberOfPointers vtkVoidArrayGetNumberOfPointersFunction
//input a0 
//output y
ArrayVector vtkVoidArrayGetNumberOfPointersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPointers ();return this NumberOfPointers  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointers for class vtkVoidArray requires 1 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointers();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:Reset vtkVoidArrayResetFunction
//input a0 
//output none
ArrayVector vtkVoidArrayResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset ();this NumberOfPointers  */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkVoidArray requires 1 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:Squeeze vtkVoidArraySqueezeFunction
//input a0 
//output none
ArrayVector vtkVoidArraySqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze ();this ResizeAndExtend this NumberOfPointers  */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkVoidArray requires 1 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:DeepCopy vtkVoidArrayDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkVoidArrayDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkVoidArray *va); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkVoidArray requires 2 argument(s)");
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  Array retval;
  vtkVoidArray  *temp0;
  temp0 = GetVTKPointer<vtkVoidArray>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVoidArray:display vtkVoidArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVoidArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVoidArray* vtk_pointer = GetVTKPointer<vtkVoidArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVoidArray:delete vtkVoidArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkVoidArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVoidArray
//@@Section VTKCommon
//@@Usage
// vtkVoidArray is an array of pointers to void. It provides methods
// for insertion and retrieval of these pointers values, and will 
// automatically resize itself to hold new data.
//
//To create an instance of class vtkVoidArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkVoidArray
//@]
//@@Methods
//The class vtkVoidArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVoidArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVoidArray = obj.NewInstance ()|
// \item @|vtkVoidArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Allocate (vtkIdType sz, vtkIdType ext)| -  Allocate memory for this array. Delete old storage only if necessary.
// Note that the parameter ext is no longer used.
//// \item @|obj.Initialize ()| -  Release storage and reset array to initial state.
//// \item @|int = obj.GetDataType ()| -  Return the size of the data contained in the array.
//// \item @|int = obj.GetDataTypeSize ()| -  Set the number of void* pointers held in the array.
//// \item @|obj.SetNumberOfPointers (vtkIdType number)| -  Get the number of void* pointers held in the array.
//// \item @|vtkIdType = obj.GetNumberOfPointers ()| -  Get the void* pointer at the ith location.
//// \item @|obj.Reset ()| -  Resize the array to just fit the inserted memory. Reclaims extra memory.
//// \item @|obj.Squeeze ()| -  Get the address of a particular data index. Performs no checks
// to verify that the memory has been allocated etc.
//// \item @|obj.DeepCopy (vtkVoidArray va)| -  Deep copy of another void array.
////\end{itemize}
//!
