#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWarpTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWarpTransform.h"

//@@Signature
//sfunction @vtkWarpTransform:vtkWarpTransform vtkWarpTransformConstructorFunction
//input a
//output p
//@@Parents vtkWarpTransform vtkAbstractTransform 
ArrayVector vtkWarpTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWarpTransform::New(),"vtkWarpTransform",eval);
  } else if (arg[0].className() == "vtkWarpTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWarpTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWarpTransform");
    vtkWarpTransform*q = reinterpret_cast<vtkWarpTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWarpTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWarpTransform:GetClassName vtkWarpTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWarpTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWarpTransform requires 1 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:IsA vtkWarpTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWarpTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWarpTransform requires 2 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:NewInstance vtkWarpTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWarpTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWarpTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWarpTransform requires 1 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  vtkWarpTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWarpTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:SafeDownCast vtkWarpTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWarpTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWarpTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWarpTransform requires 2 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWarpTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWarpTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:Inverse vtkWarpTransformInverseFunction
//input a0 
//output none
ArrayVector vtkWarpTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Inverse (); */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkWarpTransform requires 1 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:GetInverseFlag vtkWarpTransformGetInverseFlagFunction
//input a0 
//output y
ArrayVector vtkWarpTransformGetInverseFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInverseFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInverseFlag for class vtkWarpTransform requires 1 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInverseFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:SetInverseTolerance vtkWarpTransformSetInverseToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkWarpTransformSetInverseToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInverseTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInverseTolerance for class vtkWarpTransform requires 2 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInverseTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:GetInverseTolerance vtkWarpTransformGetInverseToleranceFunction
//input a0 
//output y
ArrayVector vtkWarpTransformGetInverseToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInverseTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInverseTolerance for class vtkWarpTransform requires 1 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInverseTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:SetInverseIterations vtkWarpTransformSetInverseIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkWarpTransformSetInverseIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInverseIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInverseIterations for class vtkWarpTransform requires 2 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInverseIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:GetInverseIterations vtkWarpTransformGetInverseIterationsFunction
//input a0 
//output y
ArrayVector vtkWarpTransformGetInverseIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInverseIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInverseIterations for class vtkWarpTransform requires 1 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInverseIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:InternalTransformPoint__1 vtkWarpTransformInternalTransformPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkWarpTransformInternalTransformPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformPoint (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__1 for class vtkWarpTransform requires 3 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:InternalTransformPoint__2 vtkWarpTransformInternalTransformPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkWarpTransformInternalTransformPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalTransformPoint (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__2 for class vtkWarpTransform requires 3 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:TemplateTransformPoint__1 vtkWarpTransformTemplateTransformPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkWarpTransformTemplateTransformPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TemplateTransformPoint (const float in[3], float out[3]);this ForwardTransformPoint in out  */
  if (arg.size() < 3) 
    throw Exception("Function TemplateTransformPoint__1 for class vtkWarpTransform requires 3 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->TemplateTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:TemplateTransformPoint__2 vtkWarpTransformTemplateTransformPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkWarpTransformTemplateTransformPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TemplateTransformPoint (const double in[3], double out[3]);this ForwardTransformPoint in out  */
  if (arg.size() < 3) 
    throw Exception("Function TemplateTransformPoint__2 for class vtkWarpTransform requires 3 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->TemplateTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:TemplateTransformInverse__1 vtkWarpTransformTemplateTransformInverse__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkWarpTransformTemplateTransformInverse__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TemplateTransformInverse (const float in[3], float out[3]);this InverseTransformPoint in out  */
  if (arg.size() < 3) 
    throw Exception("Function TemplateTransformInverse__1 for class vtkWarpTransform requires 3 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->TemplateTransformInverse(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:TemplateTransformInverse__2 vtkWarpTransformTemplateTransformInverse__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkWarpTransformTemplateTransformInverse__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TemplateTransformInverse (const double in[3], double out[3]);this InverseTransformPoint in out  */
  if (arg.size() < 3) 
    throw Exception("Function TemplateTransformInverse__2 for class vtkWarpTransform requires 3 argument(s)");
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->TemplateTransformInverse(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTransform:InternalTransformPoint vtkWarpTransformInternalTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkWarpTransformInternalTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkWarpTransformInternalTransformPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkWarpTransformInternalTransformPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWarpTransformInternalTransformPoint");
}

//@@Signature
//sfunction @vtkWarpTransform:InternalTransformDerivative vtkWarpTransformInternalTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkWarpTransformInternalTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkWarpTransformInternalTransformDerivative");
}

//@@Signature
//sfunction @vtkWarpTransform:TemplateTransformPoint vtkWarpTransformTemplateTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkWarpTransformTemplateTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkWarpTransformTemplateTransformPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkWarpTransformTemplateTransformPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWarpTransformTemplateTransformPoint");
}

//@@Signature
//sfunction @vtkWarpTransform:TemplateTransformInverse vtkWarpTransformTemplateTransformInverseFunction
//input varargin
//output varargout
ArrayVector vtkWarpTransformTemplateTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkWarpTransformTemplateTransformInverse__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkWarpTransformTemplateTransformInverse__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWarpTransformTemplateTransformInverse");
}

//@@Signature
//sfunction @vtkWarpTransform:ForwardTransformPoint vtkWarpTransformForwardTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkWarpTransformForwardTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkWarpTransformForwardTransformPoint");
}

//@@Signature
//sfunction @vtkWarpTransform:ForwardTransformDerivative vtkWarpTransformForwardTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkWarpTransformForwardTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkWarpTransformForwardTransformDerivative");
}

//@@Signature
//sfunction @vtkWarpTransform:InverseTransformPoint vtkWarpTransformInverseTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkWarpTransformInverseTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkWarpTransformInverseTransformPoint");
}

//@@Signature
//sfunction @vtkWarpTransform:InverseTransformDerivative vtkWarpTransformInverseTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkWarpTransformInverseTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkWarpTransformInverseTransformDerivative");
}

//@@Signature
//sfunction @vtkWarpTransform:display vtkWarpTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWarpTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWarpTransform* vtk_pointer = GetVTKPointer<vtkWarpTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWarpTransform:delete vtkWarpTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkWarpTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWarpTransform
//@@Section VTKCommon
//@@Usage
// vtkWarpTransform provides a generic interface for nonlinear 
// warp transformations.
//
//To create an instance of class vtkWarpTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkWarpTransform
//@]
//@@Methods
//The class vtkWarpTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWarpTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWarpTransform = obj.NewInstance ()|
// \item @|vtkWarpTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Inverse ()| -  Invert the transformation.  Warp transformations are usually
// inverted using an iterative technique such as Newton's method.
// The inverse transform is usually around five or six times as
// computationally expensive as the forward transform.
//// \item @|int = obj.GetInverseFlag ()| -  Get the inverse flag of the transformation.  This flag is
// set to zero when the transformation is first created, and
// is flipped each time Inverse() is called.
//// \item @|obj.SetInverseTolerance (double )| -  Set the tolerance for inverse transformation.
// The default is 0.001.
//// \item @|double = obj.GetInverseTolerance ()| -  Set the tolerance for inverse transformation.
// The default is 0.001.
//// \item @|obj.SetInverseIterations (int )| -  Set the maximum number of iterations for the inverse
// transformation.  The default is 500, but usually only 
// 2 to 5 iterations are used.  The inversion method
// is fairly robust, and it should converge for nearly all smooth
// transformations that do not fold back on themselves.
//// \item @|int = obj.GetInverseIterations ()| -  Set the maximum number of iterations for the inverse
// transformation.  The default is 500, but usually only 
// 2 to 5 iterations are used.  The inversion method
// is fairly robust, and it should converge for nearly all smooth
// transformations that do not fold back on themselves.
//// \item @|obj.InternalTransformPoint (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformPoint (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.TemplateTransformPoint (float in[3], float out[3])| -  Do not use these methods.  They exists only as a work-around for
// internal templated functions (I really didn't want to make the
// Forward/Inverse methods public, is there a decent work around
// for this sort of thing?)
//// \item @|obj.TemplateTransformPoint (double in[3], double out[3])| -  Do not use these methods.  They exists only as a work-around for
// internal templated functions (I really didn't want to make the
// Forward/Inverse methods public, is there a decent work around
// for this sort of thing?)
//// \item @|obj.TemplateTransformInverse (float in[3], float out[3])| -  Do not use these methods.  They exists only as a work-around for
// internal templated functions (I really didn't want to make the
// Forward/Inverse methods public, is there a decent work around
// for this sort of thing?)
//// \item @|obj.TemplateTransformInverse (double in[3], double out[3])| -  Do not use these methods.  They exists only as a work-around for
// internal templated functions (I really didn't want to make the
// Forward/Inverse methods public, is there a decent work around
// for this sort of thing?)
////\end{itemize}
//!
