#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWindow object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWindow.h"

//@@Signature
//sfunction @vtkWindow:vtkWindow vtkWindowConstructorFunction
//input a
//output p
//@@Parents vtkWindow vtkObject 
ArrayVector vtkWindowConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWindow::New(),"vtkWindow",eval);
  } else if (arg[0].className() == "vtkWindow") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWindow"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWindow");
    vtkWindow*q = reinterpret_cast<vtkWindow*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWindow");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWindow:GetClassName vtkWindowGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWindowGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:IsA vtkWindowIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWindowIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:NewInstance vtkWindowNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWindowNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindow *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtkWindow  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SafeDownCast vtkWindowSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWindowSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindow *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWindow  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetWindowInfo vtkWindowSetWindowInfoFunction
//input a0 a1 
//output none
ArrayVector vtkWindowSetWindowInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWindowInfo (char *) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetWindowInfo for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetWindowInfo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetParentInfo vtkWindowSetParentInfoFunction
//input a0 a1 
//output none
ArrayVector vtkWindowSetParentInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetParentInfo (char *) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetParentInfo for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetParentInfo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetPosition vtkWindowGetPositionFunction
//input a0 
//output y
ArrayVector vtkWindowGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int *GetPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetPosition__1 vtkWindowSetPosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkWindowSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPosition (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetPosition__1 for class vtkWindow requires 3 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetPosition__2 vtkWindowSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkWindowSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPosition (int a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetSize vtkWindowGetSizeFunction
//input a0 
//output y
ArrayVector vtkWindowGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int *GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetSize__1 vtkWindowSetSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkWindowSetSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetSize__1 for class vtkWindow requires 3 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetSize__2 vtkWindowSetSize__2Function
//input a0 a1 
//output none
ArrayVector vtkWindowSetSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSize (int a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSize__2 for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetMapped vtkWindowSetMappedFunction
//input a0 a1 
//output none
ArrayVector vtkWindowSetMappedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMapped (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMapped for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMapped(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetMapped vtkWindowGetMappedFunction
//input a0 
//output y
ArrayVector vtkWindowGetMappedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMapped (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapped for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMapped();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:MappedOn vtkWindowMappedOnFunction
//input a0 
//output none
ArrayVector vtkWindowMappedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MappedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MappedOn for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtk_pointer->MappedOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindow:MappedOff vtkWindowMappedOffFunction
//input a0 
//output none
ArrayVector vtkWindowMappedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MappedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MappedOff for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtk_pointer->MappedOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetErase vtkWindowSetEraseFunction
//input a0 a1 
//output none
ArrayVector vtkWindowSetEraseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetErase (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetErase for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetErase(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetErase vtkWindowGetEraseFunction
//input a0 
//output y
ArrayVector vtkWindowGetEraseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetErase (); */
  if (arg.size() < 1) 
    throw Exception("Function GetErase for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetErase();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:EraseOn vtkWindowEraseOnFunction
//input a0 
//output none
ArrayVector vtkWindowEraseOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EraseOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EraseOn for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtk_pointer->EraseOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindow:EraseOff vtkWindowEraseOffFunction
//input a0 
//output none
ArrayVector vtkWindowEraseOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EraseOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EraseOff for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtk_pointer->EraseOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetDoubleBuffer vtkWindowSetDoubleBufferFunction
//input a0 a1 
//output none
ArrayVector vtkWindowSetDoubleBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDoubleBuffer (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDoubleBuffer for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDoubleBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetDoubleBuffer vtkWindowGetDoubleBufferFunction
//input a0 
//output y
ArrayVector vtkWindowGetDoubleBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDoubleBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDoubleBuffer for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDoubleBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:DoubleBufferOn vtkWindowDoubleBufferOnFunction
//input a0 
//output none
ArrayVector vtkWindowDoubleBufferOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DoubleBufferOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DoubleBufferOn for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtk_pointer->DoubleBufferOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindow:DoubleBufferOff vtkWindowDoubleBufferOffFunction
//input a0 
//output none
ArrayVector vtkWindowDoubleBufferOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DoubleBufferOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DoubleBufferOff for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtk_pointer->DoubleBufferOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetWindowName vtkWindowGetWindowNameFunction
//input a0 
//output y
ArrayVector vtkWindowGetWindowNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetWindowName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWindowName for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetWindowName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetWindowName vtkWindowSetWindowNameFunction
//input a0 a1 
//output none
ArrayVector vtkWindowSetWindowNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindowName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetWindowName for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetWindowName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:Render vtkWindowRenderFunction
//input a0 
//output none
ArrayVector vtkWindowRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetPixelData__2 vtkWindowGetPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkWindowGetPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data) = 0; */
  if (arg.size() < 7) 
    throw Exception("Function GetPixelData__2 for class vtkWindow requires 7 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp5 = GetVTKPointer<vtkUnsignedCharArray>(arg[6]);
  temp20 = (vtk_pointer)->GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetDPI vtkWindowGetDPIFunction
//input a0 
//output y
ArrayVector vtkWindowGetDPIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDPI (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDPI for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDPI();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetDPI vtkWindowSetDPIFunction
//input a0 a1 
//output none
ArrayVector vtkWindowSetDPIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDPI (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDPI for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDPI(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetDPIMinValue vtkWindowGetDPIMinValueFunction
//input a0 
//output y
ArrayVector vtkWindowGetDPIMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDPIMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDPIMinValue for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDPIMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetDPIMaxValue vtkWindowGetDPIMaxValueFunction
//input a0 
//output y
ArrayVector vtkWindowGetDPIMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDPIMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDPIMaxValue for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDPIMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetOffScreenRendering vtkWindowSetOffScreenRenderingFunction
//input a0 a1 
//output none
ArrayVector vtkWindowSetOffScreenRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffScreenRendering (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffScreenRendering for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOffScreenRendering(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetOffScreenRendering vtkWindowGetOffScreenRenderingFunction
//input a0 
//output y
ArrayVector vtkWindowGetOffScreenRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOffScreenRendering (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffScreenRendering for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOffScreenRendering();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindow:OffScreenRenderingOn vtkWindowOffScreenRenderingOnFunction
//input a0 
//output none
ArrayVector vtkWindowOffScreenRenderingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OffScreenRenderingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OffScreenRenderingOn for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtk_pointer->OffScreenRenderingOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindow:OffScreenRenderingOff vtkWindowOffScreenRenderingOffFunction
//input a0 
//output none
ArrayVector vtkWindowOffScreenRenderingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OffScreenRenderingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OffScreenRenderingOff for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtk_pointer->OffScreenRenderingOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindow:MakeCurrent vtkWindowMakeCurrentFunction
//input a0 
//output none
ArrayVector vtkWindowMakeCurrentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeCurrent (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeCurrent for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  vtk_pointer->MakeCurrent();
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetTileScale__1 vtkWindowSetTileScale__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkWindowSetTileScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTileScale (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTileScale__1 for class vtkWindow requires 3 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTileScale(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetTileScale__2 vtkWindowSetTileScale__2Function
//input a0 a1 
//output none
ArrayVector vtkWindowSetTileScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTileScale (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTileScale__2 for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTileScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetTileScale vtkWindowGetTileScaleFunction
//input a0 
//output y
ArrayVector vtkWindowGetTileScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTileScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTileScale for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTileScale();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetTileScale__3 vtkWindowSetTileScale__3Function
//input a0 a1 
//output none
ArrayVector vtkWindowSetTileScale__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTileScale (int s);this SetTileScale s s  */
  if (arg.size() < 2) 
    throw Exception("Function SetTileScale__3 for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTileScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetTileViewport__1 vtkWindowSetTileViewport__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkWindowSetTileViewport__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTileViewport (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetTileViewport__1 for class vtkWindow requires 5 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetTileViewport(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetTileViewport__2 vtkWindowSetTileViewport__2Function
//input a0 a1 
//output none
ArrayVector vtkWindowSetTileViewport__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTileViewport (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTileViewport__2 for class vtkWindow requires 2 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetTileViewport(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:GetTileViewport vtkWindowGetTileViewportFunction
//input a0 
//output y
ArrayVector vtkWindowGetTileViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetTileViewport (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTileViewport for class vtkWindow requires 1 argument(s)");
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetTileViewport();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWindow:SetPosition vtkWindowSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkWindowSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkWindowSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWindowSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowSetPosition");
}

//@@Signature
//sfunction @vtkWindow:SetSize vtkWindowSetSizeFunction
//input varargin
//output varargout
ArrayVector vtkWindowSetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkWindowSetSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWindowSetSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowSetSize");
}

//@@Signature
//sfunction @vtkWindow:GetPixelData vtkWindowGetPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkWindowGetPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsClass(arg[6],"vtkUnsignedCharArray"))
    return vtkWindowGetPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowGetPixelData");
}

//@@Signature
//sfunction @vtkWindow:SetTileScale vtkWindowSetTileScaleFunction
//input varargin
//output varargout
ArrayVector vtkWindowSetTileScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkWindowSetTileScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWindowSetTileScale__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkWindowSetTileScale__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowSetTileScale");
}

//@@Signature
//sfunction @vtkWindow:SetTileViewport vtkWindowSetTileViewportFunction
//input varargin
//output varargout
ArrayVector vtkWindowSetTileViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkWindowSetTileViewport__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWindowSetTileViewport__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowSetTileViewport");
}

//@@Signature
//sfunction @vtkWindow:display vtkWindowDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWindowDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWindow* vtk_pointer = GetVTKPointer<vtkWindow>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWindow:delete vtkWindowDeleteFunction
//input varargin
//output none
ArrayVector vtkWindowDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWindow
//@@Section VTKCommon
//@@Usage
// vtkWindow is an abstract object to specify the behavior of a
// rendering window.  It contains vtkViewports.
//
//To create an instance of class vtkWindow, simply
//invoke its constructor as follows
//@[
//  obj = vtkWindow
//@]
//@@Methods
//The class vtkWindow has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWindow class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWindow = obj.NewInstance ()|
// \item @|vtkWindow = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWindowInfo (string )| -  These are window system independent methods that are used
// to help interface vtkWindow to native windowing systems.
//// \item @|obj.SetParentInfo (string )| -  These are window system independent methods that are used
// to help interface vtkWindow to native windowing systems.
//// \item @|int = obj.GetPosition ()| -  Set/Get the position in screen coordinates of the rendering window.
//// \item @|obj.SetPosition (int , int )| -  Set/Get the position in screen coordinates of the rendering window.
//// \item @|obj.SetPosition (int a[2])| -  Set/Get the position in screen coordinates of the rendering window.
//// \item @|int = obj.GetSize ()| -  Set/Get the size of the window in screen coordinates in pixels.
//// \item @|obj.SetSize (int , int )| -  Set/Get the size of the window in screen coordinates in pixels.
//// \item @|obj.SetSize (int a[2])| -  Set/Get the size of the window in screen coordinates in pixels.
//// \item @|obj.SetMapped (int )| -  Keep track of whether the rendering window has been mapped to screen.
//// \item @|int = obj.GetMapped ()| -  Keep track of whether the rendering window has been mapped to screen.
//// \item @|obj.MappedOn ()| -  Keep track of whether the rendering window has been mapped to screen.
//// \item @|obj.MappedOff ()| -  Keep track of whether the rendering window has been mapped to screen.
//// \item @|obj.SetErase (int )| -  Turn on/off erasing the screen between images. This allows multiple 
// exposure sequences if turned on. You will need to turn double 
// buffering off or make use of the SwapBuffers methods to prevent
// you from swapping buffers between exposures.
//// \item @|int = obj.GetErase ()| -  Turn on/off erasing the screen between images. This allows multiple 
// exposure sequences if turned on. You will need to turn double 
// buffering off or make use of the SwapBuffers methods to prevent
// you from swapping buffers between exposures.
//// \item @|obj.EraseOn ()| -  Turn on/off erasing the screen between images. This allows multiple 
// exposure sequences if turned on. You will need to turn double 
// buffering off or make use of the SwapBuffers methods to prevent
// you from swapping buffers between exposures.
//// \item @|obj.EraseOff ()| -  Turn on/off erasing the screen between images. This allows multiple 
// exposure sequences if turned on. You will need to turn double 
// buffering off or make use of the SwapBuffers methods to prevent
// you from swapping buffers between exposures.
//// \item @|obj.SetDoubleBuffer (int )| -  Keep track of whether double buffering is on or off
//// \item @|int = obj.GetDoubleBuffer ()| -  Keep track of whether double buffering is on or off
//// \item @|obj.DoubleBufferOn ()| -  Keep track of whether double buffering is on or off
//// \item @|obj.DoubleBufferOff ()| -  Keep track of whether double buffering is on or off
//// \item @|string = obj.GetWindowName ()| -  Get name of rendering window
//// \item @|obj.SetWindowName (string )| -  Get name of rendering window
//// \item @|obj.Render ()| -  Ask each viewport owned by this Window to render its image and 
// synchronize this process.
//// \item @|int = obj.GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray data)| -  Get the pixel data of an image, transmitted as RGBRGBRGB. The
// front argument indicates if the front buffer should be used or the back 
// buffer. It is the caller's responsibility to delete the resulting 
// array. It is very important to realize that the memory in this array
// is organized from the bottom of the window to the top. The origin
// of the screen is in the lower left corner. The y axis increases as
// you go up the screen. So the storage of pixels is from left to right
// and from bottom to top.
// (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on
// the diagonal.
//// \item @|int = obj.GetDPI ()| -  Return a best estimate to the dots per inch of the display
// device being rendered (or printed).
//// \item @|obj.SetDPI (int )| -  Return a best estimate to the dots per inch of the display
// device being rendered (or printed).
//// \item @|int = obj.GetDPIMinValue ()| -  Return a best estimate to the dots per inch of the display
// device being rendered (or printed).
//// \item @|int = obj.GetDPIMaxValue ()| -  Return a best estimate to the dots per inch of the display
// device being rendered (or printed).
//// \item @|obj.SetOffScreenRendering (int )| -  Create a window in memory instead of on the screen. This may not be
// supported for every type of window and on some windows you may need to
// invoke this prior to the first render.
//// \item @|int = obj.GetOffScreenRendering ()| -  Create a window in memory instead of on the screen. This may not be
// supported for every type of window and on some windows you may need to
// invoke this prior to the first render.
//// \item @|obj.OffScreenRenderingOn ()| -  Create a window in memory instead of on the screen. This may not be
// supported for every type of window and on some windows you may need to
// invoke this prior to the first render.
//// \item @|obj.OffScreenRenderingOff ()| -  Create a window in memory instead of on the screen. This may not be
// supported for every type of window and on some windows you may need to
// invoke this prior to the first render.
//// \item @|obj.MakeCurrent ()| -  Make the window current. May be overridden in subclasses to do
// for example a glXMakeCurrent or a wglMakeCurrent.
//// \item @|obj.SetTileScale (int , int )| -  These methods are used by vtkWindowToImageFilter to tell a VTK window
// to simulate a larger window by tiling. For 3D geometry these methods
// have no impact. It is just in handling annotation that this information
// must be available to the mappers and the coordinate calculations.
//// \item @|obj.SetTileScale (int  a[2])| -  These methods are used by vtkWindowToImageFilter to tell a VTK window
// to simulate a larger window by tiling. For 3D geometry these methods
// have no impact. It is just in handling annotation that this information
// must be available to the mappers and the coordinate calculations.
//// \item @|int = obj. GetTileScale ()| -  These methods are used by vtkWindowToImageFilter to tell a VTK window
// to simulate a larger window by tiling. For 3D geometry these methods
// have no impact. It is just in handling annotation that this information
// must be available to the mappers and the coordinate calculations.
//// \item @|obj.SetTileScale (int s)| -  These methods are used by vtkWindowToImageFilter to tell a VTK window
// to simulate a larger window by tiling. For 3D geometry these methods
// have no impact. It is just in handling annotation that this information
// must be available to the mappers and the coordinate calculations.
//// \item @|obj.SetTileViewport (double , double , double , double )| -  These methods are used by vtkWindowToImageFilter to tell a VTK window
// to simulate a larger window by tiling. For 3D geometry these methods
// have no impact. It is just in handling annotation that this information
// must be available to the mappers and the coordinate calculations.
//// \item @|obj.SetTileViewport (double  a[4])| -  These methods are used by vtkWindowToImageFilter to tell a VTK window
// to simulate a larger window by tiling. For 3D geometry these methods
// have no impact. It is just in handling annotation that this information
// must be available to the mappers and the coordinate calculations.
//// \item @|double = obj. GetTileViewport ()| -  These methods are used by vtkWindowToImageFilter to tell a VTK window
// to simulate a larger window by tiling. For 3D geometry these methods
// have no impact. It is just in handling annotation that this information
// must be available to the mappers and the coordinate calculations.
////\end{itemize}
//!
