#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWindowLevelLookupTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWindowLevelLookupTable.h"

//@@Signature
//sfunction @vtkWindowLevelLookupTable:vtkWindowLevelLookupTable vtkWindowLevelLookupTableConstructorFunction
//input a
//output p
//@@Parents vtkWindowLevelLookupTable vtkLookupTable 
ArrayVector vtkWindowLevelLookupTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWindowLevelLookupTable::New(),"vtkWindowLevelLookupTable",eval);
  } else if (arg[0].className() == "vtkWindowLevelLookupTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWindowLevelLookupTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWindowLevelLookupTable");
    vtkWindowLevelLookupTable*q = reinterpret_cast<vtkWindowLevelLookupTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWindowLevelLookupTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWindowLevelLookupTable:GetClassName vtkWindowLevelLookupTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWindowLevelLookupTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWindowLevelLookupTable requires 1 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:IsA vtkWindowLevelLookupTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWindowLevelLookupTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:NewInstance vtkWindowLevelLookupTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWindowLevelLookupTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindowLevelLookupTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWindowLevelLookupTable requires 1 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  vtkWindowLevelLookupTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindowLevelLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SafeDownCast vtkWindowLevelLookupTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWindowLevelLookupTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindowLevelLookupTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWindowLevelLookupTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindowLevelLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:Build vtkWindowLevelLookupTableBuildFunction
//input a0 
//output none
ArrayVector vtkWindowLevelLookupTableBuildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Build (); */
  if (arg.size() < 1) 
    throw Exception("Function Build for class vtkWindowLevelLookupTable requires 1 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  vtk_pointer->Build();
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetWindow vtkWindowLevelLookupTableSetWindowFunction
//input a0 a1 
//output none
ArrayVector vtkWindowLevelLookupTableSetWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindow (double window);if window e window e this Window window this SetTableRange this Level this Window this Level this Window  */
  if (arg.size() < 2) 
    throw Exception("Function SetWindow for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:GetWindow vtkWindowLevelLookupTableGetWindowFunction
//input a0 
//output y
ArrayVector vtkWindowLevelLookupTableGetWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWindow for class vtkWindowLevelLookupTable requires 1 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWindow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetLevel vtkWindowLevelLookupTableSetLevelFunction
//input a0 a1 
//output none
ArrayVector vtkWindowLevelLookupTableSetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevel (double level);this Level level this SetTableRange this Level this Window this Level this Window  */
  if (arg.size() < 2) 
    throw Exception("Function SetLevel for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:GetLevel vtkWindowLevelLookupTableGetLevelFunction
//input a0 
//output y
ArrayVector vtkWindowLevelLookupTableGetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevel for class vtkWindowLevelLookupTable requires 1 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetInverseVideo vtkWindowLevelLookupTableSetInverseVideoFunction
//input a0 a1 
//output none
ArrayVector vtkWindowLevelLookupTableSetInverseVideoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInverseVideo (int iv); */
  if (arg.size() < 2) 
    throw Exception("Function SetInverseVideo for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInverseVideo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:GetInverseVideo vtkWindowLevelLookupTableGetInverseVideoFunction
//input a0 
//output y
ArrayVector vtkWindowLevelLookupTableGetInverseVideoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInverseVideo (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInverseVideo for class vtkWindowLevelLookupTable requires 1 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInverseVideo();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:InverseVideoOn vtkWindowLevelLookupTableInverseVideoOnFunction
//input a0 
//output none
ArrayVector vtkWindowLevelLookupTableInverseVideoOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InverseVideoOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InverseVideoOn for class vtkWindowLevelLookupTable requires 1 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  vtk_pointer->InverseVideoOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:InverseVideoOff vtkWindowLevelLookupTableInverseVideoOffFunction
//input a0 
//output none
ArrayVector vtkWindowLevelLookupTableInverseVideoOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InverseVideoOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InverseVideoOff for class vtkWindowLevelLookupTable requires 1 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  vtk_pointer->InverseVideoOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMinimumTableValue__1 vtkWindowLevelLookupTableSetMinimumTableValue__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkWindowLevelLookupTableSetMinimumTableValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumTableValue (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetMinimumTableValue__1 for class vtkWindowLevelLookupTable requires 5 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetMinimumTableValue(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMinimumTableValue__2 vtkWindowLevelLookupTableSetMinimumTableValue__2Function
//input a0 a1 
//output none
ArrayVector vtkWindowLevelLookupTableSetMinimumTableValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumTableValue (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumTableValue__2 for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetMinimumTableValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:GetMinimumTableValue vtkWindowLevelLookupTableGetMinimumTableValueFunction
//input a0 
//output y
ArrayVector vtkWindowLevelLookupTableGetMinimumTableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMinimumTableValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumTableValue for class vtkWindowLevelLookupTable requires 1 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMinimumTableValue();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMaximumTableValue__1 vtkWindowLevelLookupTableSetMaximumTableValue__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkWindowLevelLookupTableSetMaximumTableValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumTableValue (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetMaximumTableValue__1 for class vtkWindowLevelLookupTable requires 5 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetMaximumTableValue(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMaximumTableValue__2 vtkWindowLevelLookupTableSetMaximumTableValue__2Function
//input a0 a1 
//output none
ArrayVector vtkWindowLevelLookupTableSetMaximumTableValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumTableValue (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumTableValue__2 for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetMaximumTableValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:GetMaximumTableValue vtkWindowLevelLookupTableGetMaximumTableValueFunction
//input a0 
//output y
ArrayVector vtkWindowLevelLookupTableGetMaximumTableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMaximumTableValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumTableValue for class vtkWindowLevelLookupTable requires 1 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMaximumTableValue();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMinimumColor__1 vtkWindowLevelLookupTableSetMinimumColor__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkWindowLevelLookupTableSetMinimumColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumColor (int r, int g, int b, int a); */
  if (arg.size() < 5) 
    throw Exception("Function SetMinimumColor__1 for class vtkWindowLevelLookupTable requires 5 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetMinimumColor(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMinimumColor__2 vtkWindowLevelLookupTableSetMinimumColor__2Function
//input a0 a1 
//output none
ArrayVector vtkWindowLevelLookupTableSetMinimumColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumColor (const unsigned char rgba[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumColor__2 for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  unsigned char   temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetMinimumColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:GetMinimumColor__1 vtkWindowLevelLookupTableGetMinimumColor__1Function
//input a0 a1 
//output none
ArrayVector vtkWindowLevelLookupTableGetMinimumColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetMinimumColor (unsigned char rgba[4]); */
  if (arg.size() < 2) 
    throw Exception("Function GetMinimumColor__1 for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  unsigned char   temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->GetMinimumColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMaximumColor__1 vtkWindowLevelLookupTableSetMaximumColor__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkWindowLevelLookupTableSetMaximumColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumColor (int r, int g, int b, int a); */
  if (arg.size() < 5) 
    throw Exception("Function SetMaximumColor__1 for class vtkWindowLevelLookupTable requires 5 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetMaximumColor(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMaximumColor__2 vtkWindowLevelLookupTableSetMaximumColor__2Function
//input a0 a1 
//output none
ArrayVector vtkWindowLevelLookupTableSetMaximumColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumColor (const unsigned char rgba[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumColor__2 for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  unsigned char   temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetMaximumColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:GetMaximumColor__1 vtkWindowLevelLookupTableGetMaximumColor__1Function
//input a0 a1 
//output none
ArrayVector vtkWindowLevelLookupTableGetMaximumColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetMaximumColor (unsigned char rgba[4]); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaximumColor__1 for class vtkWindowLevelLookupTable requires 2 argument(s)");
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  Array retval;
  unsigned char   temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->GetMaximumColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMinimumTableValue vtkWindowLevelLookupTableSetMinimumTableValueFunction
//input varargin
//output varargout
ArrayVector vtkWindowLevelLookupTableSetMinimumTableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkWindowLevelLookupTableSetMinimumTableValue__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWindowLevelLookupTableSetMinimumTableValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowLevelLookupTableSetMinimumTableValue");
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMaximumTableValue vtkWindowLevelLookupTableSetMaximumTableValueFunction
//input varargin
//output varargout
ArrayVector vtkWindowLevelLookupTableSetMaximumTableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkWindowLevelLookupTableSetMaximumTableValue__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWindowLevelLookupTableSetMaximumTableValue__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowLevelLookupTableSetMaximumTableValue");
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMinimumColor vtkWindowLevelLookupTableSetMinimumColorFunction
//input varargin
//output varargout
ArrayVector vtkWindowLevelLookupTableSetMinimumColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkWindowLevelLookupTableSetMinimumColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkWindowLevelLookupTableSetMinimumColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowLevelLookupTableSetMinimumColor");
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:GetMinimumColor vtkWindowLevelLookupTableGetMinimumColorFunction
//input varargin
//output varargout
ArrayVector vtkWindowLevelLookupTableGetMinimumColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkWindowLevelLookupTableGetMinimumColor__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowLevelLookupTableGetMinimumColor");
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:SetMaximumColor vtkWindowLevelLookupTableSetMaximumColorFunction
//input varargin
//output varargout
ArrayVector vtkWindowLevelLookupTableSetMaximumColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkWindowLevelLookupTableSetMaximumColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkWindowLevelLookupTableSetMaximumColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowLevelLookupTableSetMaximumColor");
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:GetMaximumColor vtkWindowLevelLookupTableGetMaximumColorFunction
//input varargin
//output varargout
ArrayVector vtkWindowLevelLookupTableGetMaximumColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkWindowLevelLookupTableGetMaximumColor__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowLevelLookupTableGetMaximumColor");
}

//@@Signature
//sfunction @vtkWindowLevelLookupTable:display vtkWindowLevelLookupTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWindowLevelLookupTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWindowLevelLookupTable* vtk_pointer = GetVTKPointer<vtkWindowLevelLookupTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWindowLevelLookupTable:delete vtkWindowLevelLookupTableDeleteFunction
//input varargin
//output none
ArrayVector vtkWindowLevelLookupTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWindowLevelLookupTable
//@@Section VTKCommon
//@@Usage
// vtkWindowLevelLookupTable is an object that is used by mapper objects
// to map scalar values into rgba (red-green-blue-alpha transparency)
// color specification, or rgba into scalar values. The color table can
// be created by direct insertion of color values, or by specifying a
// window and level. Window / Level is used in medical imaging to specify
// a linear greyscale ramp. The Level is the center of the ramp.  The
// Window is the width of the ramp.
//
//To create an instance of class vtkWindowLevelLookupTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkWindowLevelLookupTable
//@]
//@@Methods
//The class vtkWindowLevelLookupTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWindowLevelLookupTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWindowLevelLookupTable = obj.NewInstance ()|
// \item @|vtkWindowLevelLookupTable = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Build ()| -  Generate lookup table as a linear ramp between MinimumTableValue
// and MaximumTableValue.
//// \item @|obj.SetWindow (double window)| -  Set the window for the lookup table.  The window is the difference
// between TableRange[0] and TableRange[1].
//// \item @|double = obj.GetWindow ()| -  Set the window for the lookup table.  The window is the difference
// between TableRange[0] and TableRange[1].
//// \item @|obj.SetLevel (double level)| -  Set the Level for the lookup table.  The level is the average of
// TableRange[0] and TableRange[1].
//// \item @|double = obj.GetLevel ()| -  Set the Level for the lookup table.  The level is the average of
// TableRange[0] and TableRange[1].
//// \item @|obj.SetInverseVideo (int iv)| -  Set inverse video on or off.  You can achieve the same effect by
// switching the MinimumTableValue and the MaximumTableValue.
//// \item @|int = obj.GetInverseVideo ()| -  Set inverse video on or off.  You can achieve the same effect by
// switching the MinimumTableValue and the MaximumTableValue.
//// \item @|obj.InverseVideoOn ()| -  Set inverse video on or off.  You can achieve the same effect by
// switching the MinimumTableValue and the MaximumTableValue.
//// \item @|obj.InverseVideoOff ()| -  Set inverse video on or off.  You can achieve the same effect by
// switching the MinimumTableValue and the MaximumTableValue.
//// \item @|obj.SetMinimumTableValue (double , double , double , double )| -  Set the minimum table value.  All lookup table entries below the
// start of the ramp will be set to this color.  After you change
// this value, you must re-build the lookup table.
//// \item @|obj.SetMinimumTableValue (double  a[4])| -  Set the minimum table value.  All lookup table entries below the
// start of the ramp will be set to this color.  After you change
// this value, you must re-build the lookup table.
//// \item @|double = obj. GetMinimumTableValue ()| -  Set the minimum table value.  All lookup table entries below the
// start of the ramp will be set to this color.  After you change
// this value, you must re-build the lookup table.
//// \item @|obj.SetMaximumTableValue (double , double , double , double )| -  Set the maximum table value. All lookup table entries above the
// end of the ramp will be set to this color.  After you change
// this value, you must re-build the lookup table.
//// \item @|obj.SetMaximumTableValue (double  a[4])| -  Set the maximum table value. All lookup table entries above the
// end of the ramp will be set to this color.  After you change
// this value, you must re-build the lookup table.
//// \item @|double = obj. GetMaximumTableValue ()| -  Set the maximum table value. All lookup table entries above the
// end of the ramp will be set to this color.  After you change
// this value, you must re-build the lookup table.
//// \item @|obj.SetMinimumColor (int r, int g, int b, int a)| -  @deprecated For backwards compatibility: specify the color using 
// integers in the range [0,255].  
//// \item @|obj.SetMinimumColor (char rgba[4])| -  @deprecated For backwards compatibility: specify the color using 
// integers in the range [0,255].  
//// \item @|obj.GetMinimumColor (char rgba[4])| -  @deprecated For backwards compatibility: specify the color using 
// integers in the range [0,255].  
//// \item @|obj.SetMaximumColor (int r, int g, int b, int a)| -  @deprecated For backwards compatibility: specify the color using 
// integers in the range [0,255].  
//// \item @|obj.SetMaximumColor (char rgba[4])| -  @deprecated For backwards compatibility: specify the color using 
// integers in the range [0,255].  
//// \item @|obj.GetMaximumColor (char rgba[4])| -  @deprecated For backwards compatibility: specify the color using 
// integers in the range [0,255].  
////\end{itemize}
//!
