#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLDataElement object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLDataElement.h"

//@@Signature
//sfunction @vtkXMLDataElement:vtkXMLDataElement vtkXMLDataElementConstructorFunction
//input a
//output p
//@@Parents vtkXMLDataElement vtkObject 
ArrayVector vtkXMLDataElementConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLDataElement::New(),"vtkXMLDataElement",eval);
  } else if (arg[0].className() == "vtkXMLDataElement") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLDataElement"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLDataElement");
    vtkXMLDataElement*q = reinterpret_cast<vtkXMLDataElement*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLDataElement");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLDataElement:GetClassName vtkXMLDataElementGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:IsA vtkXMLDataElementIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:NewInstance vtkXMLDataElementNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SafeDownCast vtkXMLDataElementSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLDataElement  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetName vtkXMLDataElementGetNameFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetName for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetName vtkXMLDataElementSetNameFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementSetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetName (const char *_arg); */
  if (arg.size() < 2) 
    throw Exception("Function SetName for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetId vtkXMLDataElementGetIdFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetId for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetId();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetId vtkXMLDataElementSetIdFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementSetIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetId (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetId for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetAttribute vtkXMLDataElementGetAttributeFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementGetAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAttribute (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttribute for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  const char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetAttribute(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetAttribute vtkXMLDataElementSetAttributeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLDataElementSetAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttribute (const char *name, const char *value); */
  if (arg.size() < 3) 
    throw Exception("Function SetAttribute for class vtkXMLDataElement requires 3 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetAttribute(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetCharacterData vtkXMLDataElementSetCharacterDataFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLDataElementSetCharacterDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCharacterData (const char *c, int length); */
  if (arg.size() < 3) 
    throw Exception("Function SetCharacterData for class vtkXMLDataElement requires 3 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCharacterData(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetCharacterData vtkXMLDataElementGetCharacterDataFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetCharacterDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetCharacterData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCharacterData for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetCharacterData();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetIntAttribute vtkXMLDataElementSetIntAttributeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLDataElementSetIntAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntAttribute (const char *name, int value); */
  if (arg.size() < 3) 
    throw Exception("Function SetIntAttribute for class vtkXMLDataElement requires 3 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetIntAttribute(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetFloatAttribute vtkXMLDataElementSetFloatAttributeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLDataElementSetFloatAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFloatAttribute (const char *name, float value); */
  if (arg.size() < 3) 
    throw Exception("Function SetFloatAttribute for class vtkXMLDataElement requires 3 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  float    temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetFloatAttribute(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetDoubleAttribute vtkXMLDataElementSetDoubleAttributeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLDataElementSetDoubleAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDoubleAttribute (const char *name, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetDoubleAttribute for class vtkXMLDataElement requires 3 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetDoubleAttribute(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetUnsignedLongAttribute vtkXMLDataElementSetUnsignedLongAttributeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLDataElementSetUnsignedLongAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUnsignedLongAttribute (const char *name, unsigned long value); */
  if (arg.size() < 3) 
    throw Exception("Function SetUnsignedLongAttribute for class vtkXMLDataElement requires 3 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  unsigned long     temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  vtk_pointer->SetUnsignedLongAttribute(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetVectorAttribute__1 vtkXMLDataElementGetVectorAttribute__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkXMLDataElementGetVectorAttribute__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorAttribute (const char *name, int length, int *value); */
  if (arg.size() < 4) 
    throw Exception("Function GetVectorAttribute__1 for class vtkXMLDataElement requires 4 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int     *temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->GetVectorAttribute(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetVectorAttribute__2 vtkXMLDataElementGetVectorAttribute__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkXMLDataElementGetVectorAttribute__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorAttribute (const char *name, int length, float *value); */
  if (arg.size() < 4) 
    throw Exception("Function GetVectorAttribute__2 for class vtkXMLDataElement requires 4 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  float   *temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new float[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->GetVectorAttribute(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetVectorAttribute__3 vtkXMLDataElementGetVectorAttribute__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkXMLDataElementGetVectorAttribute__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorAttribute (const char *name, int length, double *value); */
  if (arg.size() < 4) 
    throw Exception("Function GetVectorAttribute__3 for class vtkXMLDataElement requires 4 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  double  *temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->GetVectorAttribute(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetVectorAttribute__4 vtkXMLDataElementGetVectorAttribute__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkXMLDataElementGetVectorAttribute__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorAttribute (const char *name, int length, unsigned long *value); */
  if (arg.size() < 4) 
    throw Exception("Function GetVectorAttribute__4 for class vtkXMLDataElement requires 4 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  unsigned long    *temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (unsigned long)data[k+1];
      }
  temp20 = (vtk_pointer)->GetVectorAttribute(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetVectorAttribute__1 vtkXMLDataElementSetVectorAttribute__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkXMLDataElementSetVectorAttribute__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorAttribute (const char *name, int length, const int *value); */
  if (arg.size() < 4) 
    throw Exception("Function SetVectorAttribute__1 for class vtkXMLDataElement requires 4 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int     *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  vtk_pointer->SetVectorAttribute(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetVectorAttribute__2 vtkXMLDataElementSetVectorAttribute__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkXMLDataElementSetVectorAttribute__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorAttribute (const char *name, int length, const float *value); */
  if (arg.size() < 4) 
    throw Exception("Function SetVectorAttribute__2 for class vtkXMLDataElement requires 4 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  float   *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new float[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
      }
  vtk_pointer->SetVectorAttribute(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetVectorAttribute__3 vtkXMLDataElementSetVectorAttribute__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkXMLDataElementSetVectorAttribute__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorAttribute (const char *name, int length, const double *value); */
  if (arg.size() < 4) 
    throw Exception("Function SetVectorAttribute__3 for class vtkXMLDataElement requires 4 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  double  *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->SetVectorAttribute(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetVectorAttribute__4 vtkXMLDataElementSetVectorAttribute__4Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkXMLDataElementSetVectorAttribute__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorAttribute (const char *name, int length, const unsigned long *value); */
  if (arg.size() < 4) 
    throw Exception("Function SetVectorAttribute__4 for class vtkXMLDataElement requires 4 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  unsigned long    *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (unsigned long)data[k+1];
      }
  vtk_pointer->SetVectorAttribute(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetNumberOfAttributes vtkXMLDataElementGetNumberOfAttributesFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetNumberOfAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAttributes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAttributes for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAttributes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetAttributeName vtkXMLDataElementGetAttributeNameFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementGetAttributeNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAttributeName (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributeName for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributeName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetAttributeValue vtkXMLDataElementGetAttributeValueFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementGetAttributeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAttributeValue (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributeValue for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributeValue(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:RemoveAttribute vtkXMLDataElementRemoveAttributeFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementRemoveAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAttribute (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveAttribute for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveAttribute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:RemoveAllAttributes vtkXMLDataElementRemoveAllAttributesFunction
//input a0 
//output none
ArrayVector vtkXMLDataElementRemoveAllAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllAttributes (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllAttributes for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllAttributes();
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetParent vtkXMLDataElementGetParentFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetParentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *GetParent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParent for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp20;
  temp20 = (vtk_pointer)->GetParent();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetParent vtkXMLDataElementSetParentFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementSetParentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParent (vtkXMLDataElement *parent); */
  if (arg.size() < 2) 
    throw Exception("Function SetParent for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp0;
  temp0 = GetVTKPointer<vtkXMLDataElement>(arg[1]);
  vtk_pointer->SetParent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetRoot vtkXMLDataElementGetRootFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkXMLDataElement *GetRoot (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRoot for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp20;
  temp20 = (vtk_pointer)->GetRoot();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetNumberOfNestedElements vtkXMLDataElementGetNumberOfNestedElementsFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetNumberOfNestedElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNestedElements (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNestedElements for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNestedElements();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetNestedElement vtkXMLDataElementGetNestedElementFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementGetNestedElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *GetNestedElement (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetNestedElement for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp0;
  vtkXMLDataElement  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNestedElement(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:AddNestedElement vtkXMLDataElementAddNestedElementFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementAddNestedElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddNestedElement (vtkXMLDataElement *element); */
  if (arg.size() < 2) 
    throw Exception("Function AddNestedElement for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp0;
  temp0 = GetVTKPointer<vtkXMLDataElement>(arg[1]);
  vtk_pointer->AddNestedElement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:RemoveNestedElement vtkXMLDataElementRemoveNestedElementFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementRemoveNestedElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveNestedElement (vtkXMLDataElement *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveNestedElement for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp0;
  temp0 = GetVTKPointer<vtkXMLDataElement>(arg[1]);
  vtk_pointer->RemoveNestedElement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:RemoveAllNestedElements vtkXMLDataElementRemoveAllNestedElementsFunction
//input a0 
//output none
ArrayVector vtkXMLDataElementRemoveAllNestedElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllNestedElements (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllNestedElements for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllNestedElements();
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:FindNestedElement vtkXMLDataElementFindNestedElementFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementFindNestedElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *FindNestedElement (const char *id); */
  if (arg.size() < 2) 
    throw Exception("Function FindNestedElement for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  vtkXMLDataElement  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->FindNestedElement(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:FindNestedElementWithName vtkXMLDataElementFindNestedElementWithNameFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementFindNestedElementWithNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *FindNestedElementWithName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function FindNestedElementWithName for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  vtkXMLDataElement  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->FindNestedElementWithName(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:FindNestedElementWithNameAndId vtkXMLDataElementFindNestedElementWithNameAndIdFunction
//input a0 a1 a2 
//output y
ArrayVector vtkXMLDataElementFindNestedElementWithNameAndIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *FindNestedElementWithNameAndId (const char *name, const char *id); */
  if (arg.size() < 3) 
    throw Exception("Function FindNestedElementWithNameAndId for class vtkXMLDataElement requires 3 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkXMLDataElement  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->FindNestedElementWithNameAndId(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:FindNestedElementWithNameAndAttribute vtkXMLDataElementFindNestedElementWithNameAndAttributeFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkXMLDataElementFindNestedElementWithNameAndAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *FindNestedElementWithNameAndAttribute (const char *name, const char *att_name, const char *att_value); */
  if (arg.size() < 4) 
    throw Exception("Function FindNestedElementWithNameAndAttribute for class vtkXMLDataElement requires 4 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  vtkXMLDataElement  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp20 = (vtk_pointer)->FindNestedElementWithNameAndAttribute(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:LookupElementWithName vtkXMLDataElementLookupElementWithNameFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementLookupElementWithNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *LookupElementWithName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function LookupElementWithName for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  vtkXMLDataElement  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->LookupElementWithName(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:LookupElement vtkXMLDataElementLookupElementFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementLookupElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *LookupElement (const char *id); */
  if (arg.size() < 2) 
    throw Exception("Function LookupElement for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  vtkXMLDataElement  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->LookupElement(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetXMLByteIndex vtkXMLDataElementGetXMLByteIndexFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetXMLByteIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetXMLByteIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXMLByteIndex for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetXMLByteIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetXMLByteIndex vtkXMLDataElementSetXMLByteIndexFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementSetXMLByteIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXMLByteIndex (unsigned long ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXMLByteIndex for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->SetXMLByteIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:IsEqualTo vtkXMLDataElementIsEqualToFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataElementIsEqualToFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsEqualTo (vtkXMLDataElement *elem); */
  if (arg.size() < 2) 
    throw Exception("Function IsEqualTo for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkXMLDataElement>(arg[1]);
  temp20 = (vtk_pointer)->IsEqualTo(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:DeepCopy vtkXMLDataElementDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkXMLDataElement *elem); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp0;
  temp0 = GetVTKPointer<vtkXMLDataElement>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetAttributeEncoding vtkXMLDataElementSetAttributeEncodingFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementSetAttributeEncodingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeEncoding (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttributeEncoding for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAttributeEncoding(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetAttributeEncodingMinValue vtkXMLDataElementGetAttributeEncodingMinValueFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetAttributeEncodingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributeEncodingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeEncodingMinValue for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributeEncodingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetAttributeEncodingMaxValue vtkXMLDataElementGetAttributeEncodingMaxValueFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetAttributeEncodingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributeEncodingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeEncodingMaxValue for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributeEncodingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetAttributeEncoding vtkXMLDataElementGetAttributeEncodingFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetAttributeEncodingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributeEncoding (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeEncoding for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributeEncoding();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:PrintXML__2 vtkXMLDataElementPrintXML__2Function
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementPrintXML__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrintXML (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function PrintXML__2 for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->PrintXML(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetCharacterDataWidth vtkXMLDataElementGetCharacterDataWidthFunction
//input a0 
//output y
ArrayVector vtkXMLDataElementGetCharacterDataWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCharacterDataWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCharacterDataWidth for class vtkXMLDataElement requires 1 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCharacterDataWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:SetCharacterDataWidth vtkXMLDataElementSetCharacterDataWidthFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataElementSetCharacterDataWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCharacterDataWidth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCharacterDataWidth for class vtkXMLDataElement requires 2 argument(s)");
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCharacterDataWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataElement:GetScalarAttribute vtkXMLDataElementGetScalarAttributeFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataElementGetScalarAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLDataElementGetScalarAttribute");
}

//@@Signature
//sfunction @vtkXMLDataElement:GetVectorAttribute vtkXMLDataElementGetVectorAttributeFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataElementGetVectorAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkXMLDataElementGetVectorAttribute__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkXMLDataElementGetVectorAttribute__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkXMLDataElementGetVectorAttribute__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]))
    return vtkXMLDataElementGetVectorAttribute__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLDataElementGetVectorAttribute");
}

//@@Signature
//sfunction @vtkXMLDataElement:SetVectorAttribute vtkXMLDataElementSetVectorAttributeFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataElementSetVectorAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkXMLDataElementSetVectorAttribute__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkXMLDataElementSetVectorAttribute__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkXMLDataElementSetVectorAttribute__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]))
    return vtkXMLDataElementSetVectorAttribute__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLDataElementSetVectorAttribute");
}

//@@Signature
//sfunction @vtkXMLDataElement:PrintXML vtkXMLDataElementPrintXMLFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataElementPrintXMLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkXMLDataElementPrintXML__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLDataElementPrintXML");
}

//@@Signature
//sfunction @vtkXMLDataElement:display vtkXMLDataElementDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataElementDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLDataElement* vtk_pointer = GetVTKPointer<vtkXMLDataElement>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLDataElement:delete vtkXMLDataElementDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLDataElementDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLDataElement
//@@Section VTKCommon
//@@Usage
// vtkXMLDataElement is used by vtkXMLDataParser to represent an XML
// element.  It provides methods to access the element's attributes
// and nested elements in a convenient manner.  This allows easy
// traversal of an input XML file by vtkXMLReader and its subclasses.
//
//To create an instance of class vtkXMLDataElement, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLDataElement
//@]
//@@Methods
//The class vtkXMLDataElement has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLDataElement class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLDataElement = obj.NewInstance ()|
// \item @|vtkXMLDataElement = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetName ()| -  Set/Get the name of the element.  This is its XML tag.
//// \item @|obj.SetName (string _arg)| -  Set/Get the name of the element.  This is its XML tag.
//// \item @|string = obj.GetId ()| -  Set/Get the value of the id attribute of the element, if any.
//// \item @|obj.SetId (string )| -  Set/Get the value of the id attribute of the element, if any.
//// \item @|string = obj.GetAttribute (string name)| -  Get the attribute with the given name.  If it doesn't exist,
// returns 0.
//// \item @|obj.SetAttribute (string name, string value)| -  Set the attribute with the given name and value. If it doesn't exist,
// adds it.
//// \item @|obj.SetCharacterData (string c, int length)| -  Set/Get the character data between XML start/end tags.
//// \item @|string = obj.GetCharacterData ()| -  Set/Get the character data between XML start/end tags.
//// \item @|obj.SetIntAttribute (string name, int value)| -  Set the attribute with the given name.
// We can not use the same GetScalarAttribute() construct since
// the compiler will not be able to resolve between
// SetAttribute(..., int) and SetAttribute(..., unsigned long).
//// \item @|obj.SetFloatAttribute (string name, float value)| -  Set the attribute with the given name.
// We can not use the same GetScalarAttribute() construct since
// the compiler will not be able to resolve between
// SetAttribute(..., int) and SetAttribute(..., unsigned long).
//// \item @|obj.SetDoubleAttribute (string name, double value)| -  Set the attribute with the given name.
// We can not use the same GetScalarAttribute() construct since
// the compiler will not be able to resolve between
// SetAttribute(..., int) and SetAttribute(..., unsigned long).
//// \item @|obj.SetUnsignedLongAttribute (string name, long value)| -  Set the attribute with the given name.
// We can not use the same GetScalarAttribute() construct since
// the compiler will not be able to resolve between
// SetAttribute(..., int) and SetAttribute(..., unsigned long).
//// \item @|int = obj.GetVectorAttribute (string name, int length, int value)| -  Get the attribute with the given name and converted to a scalar
// value.  Returns length of vector read.
//// \item @|int = obj.GetVectorAttribute (string name, int length, float value)| -  Get the attribute with the given name and converted to a scalar
// value.  Returns length of vector read.
//// \item @|int = obj.GetVectorAttribute (string name, int length, double value)| -  Get the attribute with the given name and converted to a scalar
// value.  Returns length of vector read.
//// \item @|int = obj.GetVectorAttribute (string name, int length, long value)| -  Get the attribute with the given name and converted to a scalar
// value.  Returns length of vector read.
//// \item @|obj.SetVectorAttribute (string name, int length, int value)| -  Set the attribute with the given name.
//// \item @|obj.SetVectorAttribute (string name, int length, float value)| -  Set the attribute with the given name.
//// \item @|obj.SetVectorAttribute (string name, int length, double value)| -  Set the attribute with the given name.
//// \item @|obj.SetVectorAttribute (string name, int length, long value)| -  Set the attribute with the given name.
//// \item @|int = obj.GetNumberOfAttributes ()| -  Get the number of attributes.
//// \item @|string = obj.GetAttributeName (int idx)| -  Get the n-th attribute name.
// Returns 0 if there is no such attribute.
//// \item @|string = obj.GetAttributeValue (int idx)| -  Get the n-th attribute value.
// Returns 0 if there is no such attribute.
//// \item @|obj.RemoveAttribute (string name)| -  Remove one or all attributes.
//// \item @|obj.RemoveAllAttributes ()| -  Remove one or all attributes.
//// \item @|vtkXMLDataElement = obj.GetParent ()| -  Set/Get the parent of this element.
//// \item @|obj.SetParent (vtkXMLDataElement parent)| -  Set/Get the parent of this element.
//// \item @|vtkXMLDataElement = obj.GetRoot ()| -  Get root of the XML tree this element is part of.
//// \item @|int = obj.GetNumberOfNestedElements ()| -  Get the number of elements nested in this one.
//// \item @|vtkXMLDataElement = obj.GetNestedElement (int index)| -  Get the element nested in this one at the given index.
//// \item @|obj.AddNestedElement (vtkXMLDataElement element)| -  Add nested element
//// \item @|obj.RemoveNestedElement (vtkXMLDataElement )| -  Remove nested element.
//// \item @|obj.RemoveAllNestedElements ()| -  Remove all nested elements.
//// \item @|vtkXMLDataElement = obj.FindNestedElement (string id)| -  Find the first nested element with the given id, given name, or given
// name and id.
// WARNING: the search is only performed on the children, not 
// the grand-children.
//// \item @|vtkXMLDataElement = obj.FindNestedElementWithName (string name)| -  Find the first nested element with the given id, given name, or given
// name and id.
// WARNING: the search is only performed on the children, not 
// the grand-children.
//// \item @|vtkXMLDataElement = obj.FindNestedElementWithNameAndId (string name, string id)| -  Find the first nested element with the given id, given name, or given
// name and id.
// WARNING: the search is only performed on the children, not 
// the grand-children.
//// \item @|vtkXMLDataElement = obj.FindNestedElementWithNameAndAttribute (string name, string att_name, string att_value)| -  Find the first nested element with the given id, given name, or given
// name and id.
// WARNING: the search is only performed on the children, not 
// the grand-children.
//// \item @|vtkXMLDataElement = obj.LookupElementWithName (string name)| -  Find the first nested element with given name.
// WARNING: the search is performed on the whole XML tree.
//// \item @|vtkXMLDataElement = obj.LookupElement (string id)| -  Lookup the element with the given id, starting at this scope.
//// \item @|long = obj.GetXMLByteIndex ()| -  Set/Get the offset from the beginning of the XML document to this element.
//// \item @|obj.SetXMLByteIndex (long )| -  Set/Get the offset from the beginning of the XML document to this element.
//// \item @|int = obj.IsEqualTo (vtkXMLDataElement elem)| -  Check if the instance has the same name, attributes, character data
// and nested elements contents than the given element (this method is
// applied recursively on the nested elements, and they must be stored in
// the same order).
// Warning: Id, Parent, XMLByteIndex are ignored.
//// \item @|obj.DeepCopy (vtkXMLDataElement elem)| -  Copy this element from another of the same type (elem), recursively.
// Old attributes and nested elements are removed, new ones are created
// given the contents of 'elem'.
// Warning: Parent is ignored.
//// \item @|obj.SetAttributeEncoding (int )| -  Get/Set the internal character encoding of the attributes.
// Default type is VTK_ENCODING_UTF_8.
// Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If 
// this ivar is set to something other than VTK_ENCODING_NONE, it will be
// used to set the attribute encoding of each vtkXMLDataElement 
// created by this vtkXMLDataParser.
//// \item @|int = obj.GetAttributeEncodingMinValue ()| -  Get/Set the internal character encoding of the attributes.
// Default type is VTK_ENCODING_UTF_8.
// Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If 
// this ivar is set to something other than VTK_ENCODING_NONE, it will be
// used to set the attribute encoding of each vtkXMLDataElement 
// created by this vtkXMLDataParser.
//// \item @|int = obj.GetAttributeEncodingMaxValue ()| -  Get/Set the internal character encoding of the attributes.
// Default type is VTK_ENCODING_UTF_8.
// Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If 
// this ivar is set to something other than VTK_ENCODING_NONE, it will be
// used to set the attribute encoding of each vtkXMLDataElement 
// created by this vtkXMLDataParser.
//// \item @|int = obj.GetAttributeEncoding ()| -  Get/Set the internal character encoding of the attributes.
// Default type is VTK_ENCODING_UTF_8.
// Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If 
// this ivar is set to something other than VTK_ENCODING_NONE, it will be
// used to set the attribute encoding of each vtkXMLDataElement 
// created by this vtkXMLDataParser.
//// \item @|obj.PrintXML (string fname)| -  Prints element tree as XML.
//// \item @|int = obj.GetCharacterDataWidth ()| -  Get/Set the width (in number of fields) that character
// data (that between open and closing tags ie. <X> ... </X>)
// is printed. If the width is less than one the tag's character
// data is printed all on one line. If it is greater than one
// the character data is streamed insterting line feeds every
// width number of fields. See PrintXML.
//// \item @|obj.SetCharacterDataWidth (int )| -  Get/Set the width (in number of fields) that character
// data (that between open and closing tags ie. <X> ... </X>)
// is printed. If the width is less than one the tag's character
// data is printed all on one line. If it is greater than one
// the character data is streamed insterting line feeds every
// width number of fields. See PrintXML.
////\end{itemize}
//!
