#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLFileOutputWindow object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLFileOutputWindow.h"

//@@Signature
//sfunction @vtkXMLFileOutputWindow:vtkXMLFileOutputWindow vtkXMLFileOutputWindowConstructorFunction
//input a
//output p
//@@Parents vtkXMLFileOutputWindow vtkFileOutputWindow 
ArrayVector vtkXMLFileOutputWindowConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLFileOutputWindow::New(),"vtkXMLFileOutputWindow",eval);
  } else if (arg[0].className() == "vtkXMLFileOutputWindow") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLFileOutputWindow"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLFileOutputWindow");
    vtkXMLFileOutputWindow*q = reinterpret_cast<vtkXMLFileOutputWindow*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLFileOutputWindow");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLFileOutputWindow:GetClassName vtkXMLFileOutputWindowGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLFileOutputWindowGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLFileOutputWindow requires 1 argument(s)");
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLFileOutputWindow:IsA vtkXMLFileOutputWindowIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLFileOutputWindowIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLFileOutputWindow requires 2 argument(s)");
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLFileOutputWindow:NewInstance vtkXMLFileOutputWindowNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLFileOutputWindowNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLFileOutputWindow *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLFileOutputWindow requires 1 argument(s)");
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  Array retval;
  vtkXMLFileOutputWindow  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLFileOutputWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLFileOutputWindow:SafeDownCast vtkXMLFileOutputWindowSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLFileOutputWindowSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLFileOutputWindow *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLFileOutputWindow requires 2 argument(s)");
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLFileOutputWindow  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLFileOutputWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLFileOutputWindow:DisplayText vtkXMLFileOutputWindowDisplayTextFunction
//input a0 a1 
//output none
ArrayVector vtkXMLFileOutputWindowDisplayTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayText for class vtkXMLFileOutputWindow requires 2 argument(s)");
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLFileOutputWindow:DisplayErrorText vtkXMLFileOutputWindowDisplayErrorTextFunction
//input a0 a1 
//output none
ArrayVector vtkXMLFileOutputWindowDisplayErrorTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayErrorText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayErrorText for class vtkXMLFileOutputWindow requires 2 argument(s)");
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayErrorText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLFileOutputWindow:DisplayWarningText vtkXMLFileOutputWindowDisplayWarningTextFunction
//input a0 a1 
//output none
ArrayVector vtkXMLFileOutputWindowDisplayWarningTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayWarningText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayWarningText for class vtkXMLFileOutputWindow requires 2 argument(s)");
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayWarningText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLFileOutputWindow:DisplayGenericWarningText vtkXMLFileOutputWindowDisplayGenericWarningTextFunction
//input a0 a1 
//output none
ArrayVector vtkXMLFileOutputWindowDisplayGenericWarningTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayGenericWarningText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayGenericWarningText for class vtkXMLFileOutputWindow requires 2 argument(s)");
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayGenericWarningText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLFileOutputWindow:DisplayDebugText vtkXMLFileOutputWindowDisplayDebugTextFunction
//input a0 a1 
//output none
ArrayVector vtkXMLFileOutputWindowDisplayDebugTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayDebugText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayDebugText for class vtkXMLFileOutputWindow requires 2 argument(s)");
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayDebugText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLFileOutputWindow:DisplayTag vtkXMLFileOutputWindowDisplayTagFunction
//input a0 a1 
//output none
ArrayVector vtkXMLFileOutputWindowDisplayTagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayTag (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function DisplayTag for class vtkXMLFileOutputWindow requires 2 argument(s)");
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->DisplayTag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLFileOutputWindow:display vtkXMLFileOutputWindowDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLFileOutputWindowDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLFileOutputWindow* vtk_pointer = GetVTKPointer<vtkXMLFileOutputWindow>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLFileOutputWindow:delete vtkXMLFileOutputWindowDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLFileOutputWindowDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLFileOutputWindow
//@@Section VTKCommon
//@@Usage
// Writes debug/warning/error output to an XML file. Uses prefined XML
// tags for each text display method. The text is processed to replace
// XML markup characters.
// 
//   DisplayText - <Text>
// 
//   DisplayErrorText - <Error>
// 
//   DisplayWarningText - <Warning>
// 
//   DisplayGenericWarningText - <GenericWarning>
// 
//   DisplayDebugText - <Debug>
// 
// The method DisplayTag outputs the text unprocessed. To use this
// class, instantiate it and then call SetInstance(this).
//
//To create an instance of class vtkXMLFileOutputWindow, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLFileOutputWindow
//@]
//@@Methods
//The class vtkXMLFileOutputWindow has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLFileOutputWindow class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLFileOutputWindow = obj.NewInstance ()|
// \item @|vtkXMLFileOutputWindow = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DisplayText (string )| -  Put the text into the log file. The text is processed to
// replace &, <, > with &amp, &lt, and &gt.
// Each display method outputs a different XML tag.
//// \item @|obj.DisplayErrorText (string )| -  Put the text into the log file. The text is processed to
// replace &, <, > with &amp, &lt, and &gt.
// Each display method outputs a different XML tag.
//// \item @|obj.DisplayWarningText (string )| -  Put the text into the log file. The text is processed to
// replace &, <, > with &amp, &lt, and &gt.
// Each display method outputs a different XML tag.
//// \item @|obj.DisplayGenericWarningText (string )| -  Put the text into the log file. The text is processed to
// replace &, <, > with &amp, &lt, and &gt.
// Each display method outputs a different XML tag.
//// \item @|obj.DisplayDebugText (string )| -  Put the text into the log file. The text is processed to
// replace &, <, > with &amp, &lt, and &gt.
// Each display method outputs a different XML tag.
//// \item @|obj.DisplayTag (string )| -  Put the text into the log file without processing it.
////\end{itemize}
//!
