#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractCellLocator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractCellLocator.h"

//@@Signature
//sfunction @vtkAbstractCellLocator:vtkAbstractCellLocator vtkAbstractCellLocatorConstructorFunction
//input a
//output p
//@@Parents vtkAbstractCellLocator vtkLocator 
ArrayVector vtkAbstractCellLocatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractCellLocator::New(),"vtkAbstractCellLocator",eval);
  } else if (arg[0].className() == "vtkAbstractCellLocator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractCellLocator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractCellLocator");
    vtkAbstractCellLocator*q = reinterpret_cast<vtkAbstractCellLocator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractCellLocator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractCellLocator:GetClassName vtkAbstractCellLocatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractCellLocatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:IsA vtkAbstractCellLocatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractCellLocatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractCellLocator requires 2 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:NewInstance vtkAbstractCellLocatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractCellLocatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractCellLocator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  vtkAbstractCellLocator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractCellLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:SafeDownCast vtkAbstractCellLocatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractCellLocatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractCellLocator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractCellLocator requires 2 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractCellLocator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractCellLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:SetNumberOfCellsPerNode vtkAbstractCellLocatorSetNumberOfCellsPerNodeFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractCellLocatorSetNumberOfCellsPerNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfCellsPerNode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfCellsPerNode for class vtkAbstractCellLocator requires 2 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfCellsPerNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:GetNumberOfCellsPerNodeMinValue vtkAbstractCellLocatorGetNumberOfCellsPerNodeMinValueFunction
//input a0 
//output y
ArrayVector vtkAbstractCellLocatorGetNumberOfCellsPerNodeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellsPerNodeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellsPerNodeMinValue for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellsPerNodeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:GetNumberOfCellsPerNodeMaxValue vtkAbstractCellLocatorGetNumberOfCellsPerNodeMaxValueFunction
//input a0 
//output y
ArrayVector vtkAbstractCellLocatorGetNumberOfCellsPerNodeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellsPerNodeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellsPerNodeMaxValue for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellsPerNodeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:GetNumberOfCellsPerNode vtkAbstractCellLocatorGetNumberOfCellsPerNodeFunction
//input a0 
//output y
ArrayVector vtkAbstractCellLocatorGetNumberOfCellsPerNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellsPerNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellsPerNode for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellsPerNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:SetCacheCellBounds vtkAbstractCellLocatorSetCacheCellBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractCellLocatorSetCacheCellBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCacheCellBounds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCacheCellBounds for class vtkAbstractCellLocator requires 2 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCacheCellBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:GetCacheCellBounds vtkAbstractCellLocatorGetCacheCellBoundsFunction
//input a0 
//output y
ArrayVector vtkAbstractCellLocatorGetCacheCellBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheCellBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheCellBounds for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheCellBounds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:CacheCellBoundsOn vtkAbstractCellLocatorCacheCellBoundsOnFunction
//input a0 
//output none
ArrayVector vtkAbstractCellLocatorCacheCellBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CacheCellBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CacheCellBoundsOn for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->CacheCellBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:CacheCellBoundsOff vtkAbstractCellLocatorCacheCellBoundsOffFunction
//input a0 
//output none
ArrayVector vtkAbstractCellLocatorCacheCellBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CacheCellBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CacheCellBoundsOff for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->CacheCellBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:SetRetainCellLists vtkAbstractCellLocatorSetRetainCellListsFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractCellLocatorSetRetainCellListsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRetainCellLists (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRetainCellLists for class vtkAbstractCellLocator requires 2 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRetainCellLists(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:GetRetainCellLists vtkAbstractCellLocatorGetRetainCellListsFunction
//input a0 
//output y
ArrayVector vtkAbstractCellLocatorGetRetainCellListsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRetainCellLists (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRetainCellLists for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRetainCellLists();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:RetainCellListsOn vtkAbstractCellLocatorRetainCellListsOnFunction
//input a0 
//output none
ArrayVector vtkAbstractCellLocatorRetainCellListsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RetainCellListsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RetainCellListsOn for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->RetainCellListsOn();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:RetainCellListsOff vtkAbstractCellLocatorRetainCellListsOffFunction
//input a0 
//output none
ArrayVector vtkAbstractCellLocatorRetainCellListsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RetainCellListsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RetainCellListsOff for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->RetainCellListsOff();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:SetLazyEvaluation vtkAbstractCellLocatorSetLazyEvaluationFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractCellLocatorSetLazyEvaluationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLazyEvaluation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLazyEvaluation for class vtkAbstractCellLocator requires 2 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLazyEvaluation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:GetLazyEvaluation vtkAbstractCellLocatorGetLazyEvaluationFunction
//input a0 
//output y
ArrayVector vtkAbstractCellLocatorGetLazyEvaluationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLazyEvaluation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLazyEvaluation for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLazyEvaluation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:LazyEvaluationOn vtkAbstractCellLocatorLazyEvaluationOnFunction
//input a0 
//output none
ArrayVector vtkAbstractCellLocatorLazyEvaluationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LazyEvaluationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LazyEvaluationOn for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->LazyEvaluationOn();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:LazyEvaluationOff vtkAbstractCellLocatorLazyEvaluationOffFunction
//input a0 
//output none
ArrayVector vtkAbstractCellLocatorLazyEvaluationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LazyEvaluationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LazyEvaluationOff for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->LazyEvaluationOff();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:SetUseExistingSearchStructure vtkAbstractCellLocatorSetUseExistingSearchStructureFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractCellLocatorSetUseExistingSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseExistingSearchStructure (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseExistingSearchStructure for class vtkAbstractCellLocator requires 2 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseExistingSearchStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:GetUseExistingSearchStructure vtkAbstractCellLocatorGetUseExistingSearchStructureFunction
//input a0 
//output y
ArrayVector vtkAbstractCellLocatorGetUseExistingSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseExistingSearchStructure (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseExistingSearchStructure for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseExistingSearchStructure();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:UseExistingSearchStructureOn vtkAbstractCellLocatorUseExistingSearchStructureOnFunction
//input a0 
//output none
ArrayVector vtkAbstractCellLocatorUseExistingSearchStructureOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseExistingSearchStructureOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseExistingSearchStructureOn for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->UseExistingSearchStructureOn();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:UseExistingSearchStructureOff vtkAbstractCellLocatorUseExistingSearchStructureOffFunction
//input a0 
//output none
ArrayVector vtkAbstractCellLocatorUseExistingSearchStructureOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseExistingSearchStructureOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseExistingSearchStructureOff for class vtkAbstractCellLocator requires 1 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->UseExistingSearchStructureOff();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:IntersectWithLine__4 vtkAbstractCellLocatorIntersectWithLine__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkAbstractCellLocatorIntersectWithLine__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IntersectWithLine (const double p1[3], const double p2[3], vtkPoints *points, vtkIdList *cellIds); */
  if (arg.size() < 5) 
    throw Exception("Function IntersectWithLine__4 for class vtkAbstractCellLocator requires 5 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  vtkPoints  *temp2;
  vtkIdList  *temp3;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkPoints>(arg[7]);
  temp3 = GetVTKPointer<vtkIdList>(arg[8]);
  temp20 = (vtk_pointer)->IntersectWithLine(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:FindCellsWithinBounds vtkAbstractCellLocatorFindCellsWithinBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkAbstractCellLocatorFindCellsWithinBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindCellsWithinBounds (double *bbox, vtkIdList *cells); */
  if (arg.size() < 3) 
    throw Exception("Function FindCellsWithinBounds for class vtkAbstractCellLocator requires 3 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdList  *temp1;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->FindCellsWithinBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:FindCellsAlongLine vtkAbstractCellLocatorFindCellsAlongLineFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkAbstractCellLocatorFindCellsAlongLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindCellsAlongLine (double p1[3], double p2[3], double tolerance, vtkIdList *cells); */
  if (arg.size() < 5) 
    throw Exception("Function FindCellsAlongLine for class vtkAbstractCellLocator requires 5 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double   temp2;
  vtkIdList  *temp3;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[7].asDouble();
  temp3 = GetVTKPointer<vtkIdList>(arg[8]);
  vtk_pointer->FindCellsAlongLine(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:FindCell__1 vtkAbstractCellLocatorFindCell__1Function
//input a0 a1 
//output y
ArrayVector vtkAbstractCellLocatorFindCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindCell (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindCell__1 for class vtkAbstractCellLocator requires 2 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindCell(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:FindCell__2 vtkAbstractCellLocatorFindCell__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkAbstractCellLocatorFindCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindCell (double x[3], double tol2, vtkGenericCell *GenCell, double pcoords[3], double *weights); */
  if (arg.size() < 6) 
    throw Exception("Function FindCell__2 for class vtkAbstractCellLocator requires 6 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp1;
  vtkGenericCell  *temp2;
  double temp3[3];
  double  *temp4;
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[4].asDouble();
  temp2 = GetVTKPointer<vtkGenericCell>(arg[5]);
  if ( !(arg[6].isVector() && arg[6].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
    if ( !arg[9].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[9].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FindCell(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:InsideCellBounds vtkAbstractCellLocatorInsideCellBoundsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractCellLocatorInsideCellBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool InsideCellBounds (double x[3], vtkIdType cell_ID); */
  if (arg.size() < 3) 
    throw Exception("Function InsideCellBounds for class vtkAbstractCellLocator requires 3 argument(s)");
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp1;
  bool   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->InsideCellBounds(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractCellLocator:IntersectWithLine vtkAbstractCellLocatorIntersectWithLineFunction
//input varargin
//output varargout
ArrayVector vtkAbstractCellLocatorIntersectWithLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsClass(arg[3],"vtkPoints") && VTKIsClass(arg[4],"vtkIdList"))
    return vtkAbstractCellLocatorIntersectWithLine__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractCellLocatorIntersectWithLine");
}

//@@Signature
//sfunction @vtkAbstractCellLocator:FindClosestPoint vtkAbstractCellLocatorFindClosestPointFunction
//input varargin
//output varargout
ArrayVector vtkAbstractCellLocatorFindClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractCellLocatorFindClosestPoint");
}

//@@Signature
//sfunction @vtkAbstractCellLocator:FindClosestPointWithinRadius vtkAbstractCellLocatorFindClosestPointWithinRadiusFunction
//input varargin
//output varargout
ArrayVector vtkAbstractCellLocatorFindClosestPointWithinRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractCellLocatorFindClosestPointWithinRadius");
}

//@@Signature
//sfunction @vtkAbstractCellLocator:FindCell vtkAbstractCellLocatorFindCellFunction
//input varargin
//output varargout
ArrayVector vtkAbstractCellLocatorFindCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAbstractCellLocatorFindCell__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkGenericCell") && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkAbstractCellLocatorFindCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractCellLocatorFindCell");
}

//@@Signature
//sfunction @vtkAbstractCellLocator:display vtkAbstractCellLocatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractCellLocatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractCellLocator* vtk_pointer = GetVTKPointer<vtkAbstractCellLocator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractCellLocator:delete vtkAbstractCellLocatorDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractCellLocatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractCellLocator
//@@Section VTKFiltering
//@@Usage
// vtkAbstractCellLocator is a spatial search object to quickly locate cells in 3D.
// vtkAbstractCellLocator supplies a basic interface which concrete subclasses
// should implement.
//
// .SECTION Warning
// When deriving a class from vtkAbstractCellLocator, one should include the 
// 'hidden' member functions by the following construct in the derived class 
// \verbatim
// //BTX
//  using vtkAbstractCellLocator::IntersectWithLine;
//  using vtkAbstractCellLocator::FindClosestPoint;
//  using vtkAbstractCellLocator::FindClosestPointWithinRadius;
// //ETX
// \endverbatim
//
//To create an instance of class vtkAbstractCellLocator, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractCellLocator
//@]
//@@Methods
//The class vtkAbstractCellLocator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractCellLocator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractCellLocator = obj.NewInstance ()|
// \item @|vtkAbstractCellLocator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfCellsPerNode (int )| -  Specify the preferred/maximum number of cells in each node/bucket. 
// Default 32. Locators generally operate by subdividing space into 
// smaller regions until the number of cells in each region (or node) 
// reaches the desired level.
//// \item @|int = obj.GetNumberOfCellsPerNodeMinValue ()| -  Specify the preferred/maximum number of cells in each node/bucket. 
// Default 32. Locators generally operate by subdividing space into 
// smaller regions until the number of cells in each region (or node) 
// reaches the desired level.
//// \item @|int = obj.GetNumberOfCellsPerNodeMaxValue ()| -  Specify the preferred/maximum number of cells in each node/bucket. 
// Default 32. Locators generally operate by subdividing space into 
// smaller regions until the number of cells in each region (or node) 
// reaches the desired level.
//// \item @|int = obj.GetNumberOfCellsPerNode ()| -  Specify the preferred/maximum number of cells in each node/bucket. 
// Default 32. Locators generally operate by subdividing space into 
// smaller regions until the number of cells in each region (or node) 
// reaches the desired level.
//// \item @|obj.SetCacheCellBounds (int )| -  Boolean controls whether the bounds of each cell are computed only
// once and then saved.  Should be 10 to 20% faster if repeatedly 
// calling any of the Intersect/Find routines and the extra memory
// won't cause disk caching (24 extra bytes per cell are required to
// save the bounds).
//// \item @|int = obj.GetCacheCellBounds ()| -  Boolean controls whether the bounds of each cell are computed only
// once and then saved.  Should be 10 to 20% faster if repeatedly 
// calling any of the Intersect/Find routines and the extra memory
// won't cause disk caching (24 extra bytes per cell are required to
// save the bounds).
//// \item @|obj.CacheCellBoundsOn ()| -  Boolean controls whether the bounds of each cell are computed only
// once and then saved.  Should be 10 to 20% faster if repeatedly 
// calling any of the Intersect/Find routines and the extra memory
// won't cause disk caching (24 extra bytes per cell are required to
// save the bounds).
//// \item @|obj.CacheCellBoundsOff ()| -  Boolean controls whether the bounds of each cell are computed only
// once and then saved.  Should be 10 to 20% faster if repeatedly 
// calling any of the Intersect/Find routines and the extra memory
// won't cause disk caching (24 extra bytes per cell are required to
// save the bounds).
//// \item @|obj.SetRetainCellLists (int )| -  Boolean controls whether to maintain list of cells in each node.
// not applicable to all implementations, but if the locator is being used
// as a geometry simplification technique, there is no need to keep them.
//// \item @|int = obj.GetRetainCellLists ()| -  Boolean controls whether to maintain list of cells in each node.
// not applicable to all implementations, but if the locator is being used
// as a geometry simplification technique, there is no need to keep them.
//// \item @|obj.RetainCellListsOn ()| -  Boolean controls whether to maintain list of cells in each node.
// not applicable to all implementations, but if the locator is being used
// as a geometry simplification technique, there is no need to keep them.
//// \item @|obj.RetainCellListsOff ()| -  Boolean controls whether to maintain list of cells in each node.
// not applicable to all implementations, but if the locator is being used
// as a geometry simplification technique, there is no need to keep them.
//// \item @|obj.SetLazyEvaluation (int )| -  Most Locators build their search structures during BuildLocator
// but some may delay construction until it is actually needed.
// If LazyEvaluation is supported, this turns on/off the feature.
// if not supported, it is ignored.
//// \item @|int = obj.GetLazyEvaluation ()| -  Most Locators build their search structures during BuildLocator
// but some may delay construction until it is actually needed.
// If LazyEvaluation is supported, this turns on/off the feature.
// if not supported, it is ignored.
//// \item @|obj.LazyEvaluationOn ()| -  Most Locators build their search structures during BuildLocator
// but some may delay construction until it is actually needed.
// If LazyEvaluation is supported, this turns on/off the feature.
// if not supported, it is ignored.
//// \item @|obj.LazyEvaluationOff ()| -  Most Locators build their search structures during BuildLocator
// but some may delay construction until it is actually needed.
// If LazyEvaluation is supported, this turns on/off the feature.
// if not supported, it is ignored.
//// \item @|obj.SetUseExistingSearchStructure (int )| -  Some locators support querying a new dataset without rebuilding
// the search structure (typically this may occur when a dataset
// changes due to a time update, but is actually the same topology)
// Turning on this flag enables some locators to skip the rebuilding 
// phase
//// \item @|int = obj.GetUseExistingSearchStructure ()| -  Some locators support querying a new dataset without rebuilding
// the search structure (typically this may occur when a dataset
// changes due to a time update, but is actually the same topology)
// Turning on this flag enables some locators to skip the rebuilding 
// phase
//// \item @|obj.UseExistingSearchStructureOn ()| -  Some locators support querying a new dataset without rebuilding
// the search structure (typically this may occur when a dataset
// changes due to a time update, but is actually the same topology)
// Turning on this flag enables some locators to skip the rebuilding 
// phase
//// \item @|obj.UseExistingSearchStructureOff ()| -  Some locators support querying a new dataset without rebuilding
// the search structure (typically this may occur when a dataset
// changes due to a time update, but is actually the same topology)
// Turning on this flag enables some locators to skip the rebuilding 
// phase
//// \item @|int = obj.IntersectWithLine (double p1[3], double p2[3], vtkPoints points, vtkIdList cellIds)| -  Take the passed line segment and intersect it with the data set.
// This method assumes that the data set is a vtkPolyData that describes
// a closed surface, and the intersection points that are returned in
// 'points' alternate between entrance points and exit points.
// The return value of the function is 0 if no intersections were found,
// -1 if point 'a0' lies inside the closed surface, or +1 if point 'a0'
// lies outside the closed surface.
// Either 'points' or 'cellIds' can be set to NULL if you don't want
// to receive that information. This method is currently only implemented
// in vtkOBBTree
//// \item @|obj.FindCellsWithinBounds (double bbox, vtkIdList cells)| -  Return a list of unique cell ids inside of a given bounding box. The
// user must provide the vtkIdList to populate. This method returns data
// only after the locator has been built.
//// \item @|obj.FindCellsAlongLine (double p1[3], double p2[3], double tolerance, vtkIdList cells)| -  Given a finite line defined by the two points (p1,p2), return the list
// of unique cell ids in the buckets containing the line. It is possible
// that an empty cell list is returned. The user must provide the vtkIdList
// to populate. This method returns data only after the locator has been
// built.
//// \item @|vtkIdType = obj.FindCell (double x[3])| -  Returns the Id of the cell containing the point, 
// returns -1 if no cell found. This interface uses a tolerance of zero
//// \item @|vtkIdType = obj.FindCell (double x[3], double tol2, vtkGenericCell GenCell, double pcoords[3], double weights)| -  Find the cell containing a given point. returns -1 if no cell found
// the cell parameters are copied into the supplied variables, a cell must
// be provided to store the information.
//// \item @|bool = obj.InsideCellBounds (double x[3], vtkIdType cell_ID)| -  Quickly test if a point is inside the bounds of a particular cell.
// Some locators cache cell bounds and this function can make use
// of fast access to the data.
////\end{itemize}
//!
