#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractInterpolatedVelocityField object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractInterpolatedVelocityField.h"

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:vtkAbstractInterpolatedVelocityField vtkAbstractInterpolatedVelocityFieldConstructorFunction
//input a
//output p
//@@Parents vtkAbstractInterpolatedVelocityField vtkFunctionSet 
ArrayVector vtkAbstractInterpolatedVelocityFieldConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractInterpolatedVelocityField::New(),"vtkAbstractInterpolatedVelocityField",eval);
  } else if (arg[0].className() == "vtkAbstractInterpolatedVelocityField") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractInterpolatedVelocityField"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractInterpolatedVelocityField");
    vtkAbstractInterpolatedVelocityField*q = reinterpret_cast<vtkAbstractInterpolatedVelocityField*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractInterpolatedVelocityField");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetClassName vtkAbstractInterpolatedVelocityFieldGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:IsA vtkAbstractInterpolatedVelocityFieldIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractInterpolatedVelocityField requires 2 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:NewInstance vtkAbstractInterpolatedVelocityFieldNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractInterpolatedVelocityField *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkAbstractInterpolatedVelocityField  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractInterpolatedVelocityField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:SafeDownCast vtkAbstractInterpolatedVelocityFieldSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractInterpolatedVelocityField *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractInterpolatedVelocityField requires 2 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractInterpolatedVelocityField  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractInterpolatedVelocityField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:SetCaching vtkAbstractInterpolatedVelocityFieldSetCachingFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractInterpolatedVelocityFieldSetCachingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCaching (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCaching for class vtkAbstractInterpolatedVelocityField requires 2 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetCaching(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetCaching vtkAbstractInterpolatedVelocityFieldGetCachingFunction
//input a0 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetCachingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetCaching (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCaching for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetCaching();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetCacheHit vtkAbstractInterpolatedVelocityFieldGetCacheHitFunction
//input a0 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetCacheHitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheHit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheHit for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheHit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetCacheMiss vtkAbstractInterpolatedVelocityFieldGetCacheMissFunction
//input a0 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetCacheMissFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheMiss (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheMiss for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheMiss();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetLastDataSetIndex vtkAbstractInterpolatedVelocityFieldGetLastDataSetIndexFunction
//input a0 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetLastDataSetIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLastDataSetIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastDataSetIndex for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLastDataSetIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetLastDataSet vtkAbstractInterpolatedVelocityFieldGetLastDataSetFunction
//input a0 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetLastDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetLastDataSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastDataSet for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetLastDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetLastCellId vtkAbstractInterpolatedVelocityFieldGetLastCellIdFunction
//input a0 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetLastCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetLastCellId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastCellId for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetLastCellId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:SetLastCellId__1 vtkAbstractInterpolatedVelocityFieldSetLastCellId__1Function
//input a0 a1 
//output none
ArrayVector vtkAbstractInterpolatedVelocityFieldSetLastCellId__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLastCellId (vtkIdType c);this LastCellId c  */
  if (arg.size() < 2) 
    throw Exception("Function SetLastCellId__1 for class vtkAbstractInterpolatedVelocityField requires 2 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLastCellId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:SetLastCellId__2 vtkAbstractInterpolatedVelocityFieldSetLastCellId__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkAbstractInterpolatedVelocityFieldSetLastCellId__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLastCellId (vtkIdType c, int dataindex) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function SetLastCellId__2 for class vtkAbstractInterpolatedVelocityField requires 3 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetLastCellId(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetVectorsSelection vtkAbstractInterpolatedVelocityFieldGetVectorsSelectionFunction
//input a0 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetVectorsSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVectorsSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorsSelection for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVectorsSelection();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:SelectVectors vtkAbstractInterpolatedVelocityFieldSelectVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractInterpolatedVelocityFieldSelectVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName  */
  if (arg.size() < 2) 
    throw Exception("Function SelectVectors for class vtkAbstractInterpolatedVelocityField requires 2 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SelectVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:SetNormalizeVector vtkAbstractInterpolatedVelocityFieldSetNormalizeVectorFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractInterpolatedVelocityFieldSetNormalizeVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizeVector (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalizeVector for class vtkAbstractInterpolatedVelocityField requires 2 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetNormalizeVector(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetNormalizeVector vtkAbstractInterpolatedVelocityFieldGetNormalizeVectorFunction
//input a0 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetNormalizeVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetNormalizeVector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizeVector for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetNormalizeVector();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:CopyParameters vtkAbstractInterpolatedVelocityFieldCopyParametersFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractInterpolatedVelocityFieldCopyParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyParameters (vtkAbstractInterpolatedVelocityField *from);this Caching from Caching  */
  if (arg.size() < 2) 
    throw Exception("Function CopyParameters for class vtkAbstractInterpolatedVelocityField requires 2 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkAbstractInterpolatedVelocityField  *temp0;
  temp0 = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[1]);
  vtk_pointer->CopyParameters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:AddDataSet vtkAbstractInterpolatedVelocityFieldAddDataSetFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractInterpolatedVelocityFieldAddDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddDataSet (vtkDataSet *dataset) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function AddDataSet for class vtkAbstractInterpolatedVelocityField requires 2 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->AddDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:FunctionValues__1 vtkAbstractInterpolatedVelocityFieldFunctionValues__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldFunctionValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int FunctionValues (double *x, double *f) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function FunctionValues__1 for class vtkAbstractInterpolatedVelocityField requires 3 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FunctionValues(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:ClearLastCellId vtkAbstractInterpolatedVelocityFieldClearLastCellIdFunction
//input a0 
//output none
ArrayVector vtkAbstractInterpolatedVelocityFieldClearLastCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearLastCellId ();this LastCellId  */
  if (arg.size() < 1) 
    throw Exception("Function ClearLastCellId for class vtkAbstractInterpolatedVelocityField requires 1 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtk_pointer->ClearLastCellId();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetLastWeights vtkAbstractInterpolatedVelocityFieldGetLastWeightsFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetLastWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLastWeights (double *w); */
  if (arg.size() < 2) 
    throw Exception("Function GetLastWeights for class vtkAbstractInterpolatedVelocityField requires 2 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->GetLastWeights(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:GetLastLocalCoordinates vtkAbstractInterpolatedVelocityFieldGetLastLocalCoordinatesFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractInterpolatedVelocityFieldGetLastLocalCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLastLocalCoordinates (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetLastLocalCoordinates for class vtkAbstractInterpolatedVelocityField requires 2 argument(s)");
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetLastLocalCoordinates(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:SetLastCellId vtkAbstractInterpolatedVelocityFieldSetLastCellIdFunction
//input varargin
//output varargout
ArrayVector vtkAbstractInterpolatedVelocityFieldSetLastCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkAbstractInterpolatedVelocityFieldSetLastCellId__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkAbstractInterpolatedVelocityFieldSetLastCellId__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractInterpolatedVelocityFieldSetLastCellId");
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:FunctionValues vtkAbstractInterpolatedVelocityFieldFunctionValuesFunction
//input varargin
//output varargout
ArrayVector vtkAbstractInterpolatedVelocityFieldFunctionValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkAbstractInterpolatedVelocityFieldFunctionValues__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractInterpolatedVelocityFieldFunctionValues");
}

//@@Signature
//sfunction @vtkAbstractInterpolatedVelocityField:display vtkAbstractInterpolatedVelocityFieldDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractInterpolatedVelocityFieldDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractInterpolatedVelocityField:delete vtkAbstractInterpolatedVelocityFieldDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractInterpolatedVelocityFieldDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractInterpolatedVelocityField
//@@Section VTKFiltering
//@@Usage
//  vtkAbstractInterpolatedVelocityField acts as a continuous velocity field
//  by performing cell interpolation on the underlying vtkDataSet. This is an
//  abstract sub-class of vtkFunctionSet, NumberOfIndependentVariables = 4
//  (x,y,z,t) and NumberOfFunctions = 3 (u,v,w). With a brute-force scheme,
//  every time an evaluation is performed, the target cell containing point 
//  (x,y,z) needs to be found by calling FindCell(), via either vtkDataSet or
//  vtkAbstractCelllocator's sub-classes (vtkCellLocator & vtkModifiedBSPTree). 
//  As it incurs a large cost, one (for vtkCellLocatorInterpolatedVelocityField
//  via vtkAbstractCellLocator) or two (for vtkInterpolatedVelocityField via 
//  vtkDataSet that involves vtkPointLocator in addressing vtkPointSet) levels
//  of cell caching may be exploited to increase the performance.
//
//  For vtkInterpolatedVelocityField, level #0 begins with intra-cell caching. 
//  Specifically if the previous cell is valid and the next point is still in
//  it ( i.e., vtkCell::EvaluatePosition() returns 1, coupled with newly created 
//  parametric coordinates & weights ), the function values can be interpolated
//  and only vtkCell::EvaluatePosition() is invoked. If this fails, then level #1 
//  follows by inter-cell search for the target cell that contains the next point. 
//  By an inter-cell search, the previous cell provides an important clue or serves 
//  as an immediate neighbor to aid in locating the target cell via vtkPointSet::
//  FindCell(). If this still fails, a global cell location / search is invoked via
//  vtkPointSet::FindCell(). Here regardless of either inter-cell or global search, 
//  vtkPointLocator is in fact employed (for datasets of type vtkPointSet only, note
//  vtkImageData and vtkRectilinearGrid are able to provide rapid and robust cell 
//  location due to the simple mesh topology) as a crucial tool underlying the cell 
//  locator. However, the use of vtkPointLocator makes vtkInterpolatedVelocityField 
//  non-robust in cell location for vtkPointSet.
//  
//  For vtkCellLocatorInterpolatedVelocityField, the only caching (level #0) works
//  by intra-cell trial. In case of failure, a global search for the target cell is 
//  invoked via vtkAbstractCellLocator::FindCell() and the actual work is done by 
//  either vtkCellLocator or vtkModifiedBSPTree (for datasets of type vtkPointSet 
//  only, while vtkImageData and vtkRectilinearGrid themselves are able to provide 
//  fast robust cell location). Without the involvement of vtkPointLocator, robust 
//  cell location is achieved for vtkPointSet. 
//
//
//To create an instance of class vtkAbstractInterpolatedVelocityField, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractInterpolatedVelocityField
//@]
//@@Methods
//The class vtkAbstractInterpolatedVelocityField has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractInterpolatedVelocityField class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractInterpolatedVelocityField = obj.NewInstance ()|
// \item @|vtkAbstractInterpolatedVelocityField = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCaching (bool )| -  Set/Get the caching flag. If this flag is turned ON, there are two levels
// of caching for derived concrete class vtkInterpolatedVelocityField and one
// level of caching for derived concrete class vtkCellLocatorInterpolatedVelocityField.
// Otherwise a global cell location is always invoked for evaluating the 
// function values at any point.
//// \item @|bool = obj.GetCaching ()| -  Set/Get the caching flag. If this flag is turned ON, there are two levels
// of caching for derived concrete class vtkInterpolatedVelocityField and one
// level of caching for derived concrete class vtkCellLocatorInterpolatedVelocityField.
// Otherwise a global cell location is always invoked for evaluating the 
// function values at any point.
//// \item @|int = obj.GetCacheHit ()| -  Get the caching statistics. CacheHit refers to the number of level #0 cache
// hits while CacheMiss is the number of level #0 cache misses.
//// \item @|int = obj.GetCacheMiss ()| -  Get the caching statistics. CacheHit refers to the number of level #0 cache
// hits while CacheMiss is the number of level #0 cache misses.
//// \item @|int = obj.GetLastDataSetIndex ()| -  Get the most recently visited dataset and it id. The dataset is used 
// for a guess regarding where the next point will be, without searching
// through all datasets. When setting the last dataset, care is needed as
// no reference counting or checks are performed. This feature is intended
// for custom interpolators only that cache datasets independently.
//// \item @|vtkDataSet = obj.GetLastDataSet ()| -  Get the most recently visited dataset and it id. The dataset is used 
// for a guess regarding where the next point will be, without searching
// through all datasets. When setting the last dataset, care is needed as
// no reference counting or checks are performed. This feature is intended
// for custom interpolators only that cache datasets independently.
//// \item @|vtkIdType = obj.GetLastCellId ()| -  Get/Set the id of the cell cached from last evaluation.
//// \item @|obj.SetLastCellId (vtkIdType c)| -  Set the id of the most recently visited cell of a dataset.
//// \item @|obj.SetLastCellId (vtkIdType c, int dataindex)| -  Set the id of the most recently visited cell of a dataset.
//// \item @|string = obj.GetVectorsSelection ()| -  Get/Set the name of a spcified vector array. By default it is NULL, with
// the active vector array for use.
//// \item @|obj.SelectVectors (string fieldName)| -  Set/Get the flag indicating vector post-normalization (following vector
// interpolation). Vector post-normalization is required to avoid the 
// 'curve-overshooting' problem (caused by high velocity magnitude) that
// occurs when Cell-Length is used as the step size unit (particularly the
// Minimum step size unit). Furthermore, it is required by RK45 to achieve,
// as expected, high numerical accuracy (or high smoothness of flow lines)
// through adaptive step sizing. Note this operation is performed (when
// NormalizeVector TRUE) right after vector interpolation such that the
// differing amount of contribution of each node (of a cell) to the
// resulting direction of the interpolated vector, due to the possibly
// significantly-differing velocity magnitude values at the nodes (which is
// the case with large cells), can be reflected as is. Also note that this
// flag needs to be turned to FALSE after vtkInitialValueProblemSolver::
// ComputeNextStep() as subsequent operations, e.g., vorticity computation, 
// may need non-normalized vectors.
//// \item @|obj.SetNormalizeVector (bool )| -  Set/Get the flag indicating vector post-normalization (following vector
// interpolation). Vector post-normalization is required to avoid the 
// 'curve-overshooting' problem (caused by high velocity magnitude) that
// occurs when Cell-Length is used as the step size unit (particularly the
// Minimum step size unit). Furthermore, it is required by RK45 to achieve,
// as expected, high numerical accuracy (or high smoothness of flow lines)
// through adaptive step sizing. Note this operation is performed (when
// NormalizeVector TRUE) right after vector interpolation such that the
// differing amount of contribution of each node (of a cell) to the
// resulting direction of the interpolated vector, due to the possibly
// significantly-differing velocity magnitude values at the nodes (which is
// the case with large cells), can be reflected as is. Also note that this
// flag needs to be turned to FALSE after vtkInitialValueProblemSolver::
// ComputeNextStep() as subsequent operations, e.g., vorticity computation, 
// may need non-normalized vectors.
//// \item @|bool = obj.GetNormalizeVector ()| -  Set/Get the flag indicating vector post-normalization (following vector
// interpolation). Vector post-normalization is required to avoid the 
// 'curve-overshooting' problem (caused by high velocity magnitude) that
// occurs when Cell-Length is used as the step size unit (particularly the
// Minimum step size unit). Furthermore, it is required by RK45 to achieve,
// as expected, high numerical accuracy (or high smoothness of flow lines)
// through adaptive step sizing. Note this operation is performed (when
// NormalizeVector TRUE) right after vector interpolation such that the
// differing amount of contribution of each node (of a cell) to the
// resulting direction of the interpolated vector, due to the possibly
// significantly-differing velocity magnitude values at the nodes (which is
// the case with large cells), can be reflected as is. Also note that this
// flag needs to be turned to FALSE after vtkInitialValueProblemSolver::
// ComputeNextStep() as subsequent operations, e.g., vorticity computation, 
// may need non-normalized vectors.
//// \item @|obj.CopyParameters (vtkAbstractInterpolatedVelocityField from)| -  Add a dataset for implicit velocity function evaluation. If more than 
// one dataset is added, the evaluation point is searched in all until a
// match is found. THIS FUNCTION DOES NOT CHANGE THE REFERENCE COUNT OF 
// dataset FOR THREAD SAFETY REASONS.
//// \item @|obj.AddDataSet (vtkDataSet dataset)| -  Add a dataset for implicit velocity function evaluation. If more than 
// one dataset is added, the evaluation point is searched in all until a
// match is found. THIS FUNCTION DOES NOT CHANGE THE REFERENCE COUNT OF 
// dataset FOR THREAD SAFETY REASONS.
//// \item @|int = obj.FunctionValues (double x, double f)| -  Evaluate the velocity field f at point (x, y, z).
//// \item @|obj.ClearLastCellId ()| -  Get the interpolation weights cached from last evaluation. Return 1 if the
// cached cell is valid and 0 otherwise.
//// \item @|int = obj.GetLastWeights (double w)| -  Get the interpolation weights cached from last evaluation. Return 1 if the
// cached cell is valid and 0 otherwise.
//// \item @|int = obj.GetLastLocalCoordinates (double pcoords[3])| -  Get the interpolation weights cached from last evaluation. Return 1 if the
// cached cell is valid and 0 otherwise.
////\end{itemize}
//!
