#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractMapper.h"

//@@Signature
//sfunction @vtkAbstractMapper:vtkAbstractMapper vtkAbstractMapperConstructorFunction
//input a
//output p
//@@Parents vtkAbstractMapper vtkAlgorithm 
ArrayVector vtkAbstractMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractMapper::New(),"vtkAbstractMapper",eval);
  } else if (arg[0].className() == "vtkAbstractMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractMapper");
    vtkAbstractMapper*q = reinterpret_cast<vtkAbstractMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractMapper:GetClassName vtkAbstractMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractMapper requires 1 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:IsA vtkAbstractMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractMapper requires 2 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:NewInstance vtkAbstractMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractMapper requires 1 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  vtkAbstractMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:SafeDownCast vtkAbstractMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractMapper requires 2 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:GetMTime vtkAbstractMapperGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAbstractMapperGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAbstractMapper requires 1 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:ReleaseGraphicsResources vtkAbstractMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkAbstractMapper requires 2 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:GetTimeToDraw vtkAbstractMapperGetTimeToDrawFunction
//input a0 
//output y
ArrayVector vtkAbstractMapperGetTimeToDrawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTimeToDraw (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeToDraw for class vtkAbstractMapper requires 1 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeToDraw();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:AddClippingPlane vtkAbstractMapperAddClippingPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractMapperAddClippingPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddClippingPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function AddClippingPlane for class vtkAbstractMapper requires 2 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->AddClippingPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:RemoveClippingPlane vtkAbstractMapperRemoveClippingPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractMapperRemoveClippingPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveClippingPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveClippingPlane for class vtkAbstractMapper requires 2 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->RemoveClippingPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:RemoveAllClippingPlanes vtkAbstractMapperRemoveAllClippingPlanesFunction
//input a0 
//output none
ArrayVector vtkAbstractMapperRemoveAllClippingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllClippingPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllClippingPlanes for class vtkAbstractMapper requires 1 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllClippingPlanes();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:SetClippingPlanes__1 vtkAbstractMapperSetClippingPlanes__1Function
//input a0 a1 
//output none
ArrayVector vtkAbstractMapperSetClippingPlanes__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetClippingPlanes (vtkPlaneCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function SetClippingPlanes__1 for class vtkAbstractMapper requires 2 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp0;
  temp0 = GetVTKPointer<vtkPlaneCollection>(arg[1]);
  vtk_pointer->SetClippingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:GetClippingPlanes vtkAbstractMapperGetClippingPlanesFunction
//input a0 
//output y
ArrayVector vtkAbstractMapperGetClippingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneCollection *GetClippingPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippingPlanes for class vtkAbstractMapper requires 1 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp20;
  temp20 = (vtk_pointer)->GetClippingPlanes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:SetClippingPlanes__2 vtkAbstractMapperSetClippingPlanes__2Function
//input a0 a1 
//output none
ArrayVector vtkAbstractMapperSetClippingPlanes__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClippingPlanes (vtkPlanes *planes); */
  if (arg.size() < 2) 
    throw Exception("Function SetClippingPlanes__2 for class vtkAbstractMapper requires 2 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  vtkPlanes  *temp0;
  temp0 = GetVTKPointer<vtkPlanes>(arg[1]);
  vtk_pointer->SetClippingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:ShallowCopy vtkAbstractMapperShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractMapperShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkAbstractMapper *m); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkAbstractMapper requires 2 argument(s)");
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  Array retval;
  vtkAbstractMapper  *temp0;
  temp0 = GetVTKPointer<vtkAbstractMapper>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper:SetClippingPlanes vtkAbstractMapperSetClippingPlanesFunction
//input varargin
//output varargout
ArrayVector vtkAbstractMapperSetClippingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPlaneCollection"))
    return vtkAbstractMapperSetClippingPlanes__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPlanes"))
    return vtkAbstractMapperSetClippingPlanes__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractMapperSetClippingPlanes");
}

//@@Signature
//sfunction @vtkAbstractMapper:display vtkAbstractMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractMapper* vtk_pointer = GetVTKPointer<vtkAbstractMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractMapper:delete vtkAbstractMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractMapper
//@@Section VTKFiltering
//@@Usage
// vtkAbstractMapper is an abstract class to specify interface between data and 
// graphics primitives or software rendering techniques. Subclasses of 
// vtkAbstractMapper can be used for rendering 2D data, geometry, or volumetric
// data.
//
//
//To create an instance of class vtkAbstractMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractMapper
//@]
//@@Methods
//The class vtkAbstractMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractMapper = obj.NewInstance ()|
// \item @|vtkAbstractMapper = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Override Modifiedtime as we have added Clipping planes
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this mapper.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|double = obj.GetTimeToDraw ()| -  Get the time required to draw the geometry last time it was rendered
//// \item @|obj.AddClippingPlane (vtkPlane plane)| -  Specify clipping planes to be applied when the data is mapped
// (at most 6 clipping planes can be specified).
//// \item @|obj.RemoveClippingPlane (vtkPlane plane)| -  Specify clipping planes to be applied when the data is mapped
// (at most 6 clipping planes can be specified).
//// \item @|obj.RemoveAllClippingPlanes ()| -  Specify clipping planes to be applied when the data is mapped
// (at most 6 clipping planes can be specified).
//// \item @|obj.SetClippingPlanes (vtkPlaneCollection )| -  Get/Set the vtkPlaneCollection which specifies the
// clipping planes.
//// \item @|vtkPlaneCollection = obj.GetClippingPlanes ()| -  Get/Set the vtkPlaneCollection which specifies the
// clipping planes.
//// \item @|obj.SetClippingPlanes (vtkPlanes planes)| -  An alternative way to set clipping planes: use up to six planes found
// in the supplied instance of the implicit function vtkPlanes.
//// \item @|obj.ShallowCopy (vtkAbstractMapper m)| -  Make a shallow copy of this mapper.
////\end{itemize}
//!
