#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractPointLocator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractPointLocator.h"

//@@Signature
//sfunction @vtkAbstractPointLocator:vtkAbstractPointLocator vtkAbstractPointLocatorConstructorFunction
//input a
//output p
//@@Parents vtkAbstractPointLocator vtkLocator 
ArrayVector vtkAbstractPointLocatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractPointLocator::New(),"vtkAbstractPointLocator",eval);
  } else if (arg[0].className() == "vtkAbstractPointLocator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractPointLocator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractPointLocator");
    vtkAbstractPointLocator*q = reinterpret_cast<vtkAbstractPointLocator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractPointLocator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractPointLocator:GetClassName vtkAbstractPointLocatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractPointLocatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractPointLocator requires 1 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:IsA vtkAbstractPointLocatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractPointLocatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractPointLocator requires 2 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:NewInstance vtkAbstractPointLocatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractPointLocatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractPointLocator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractPointLocator requires 1 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  vtkAbstractPointLocator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:SafeDownCast vtkAbstractPointLocatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractPointLocatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractPointLocator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractPointLocator requires 2 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractPointLocator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:FindClosestPoint__1 vtkAbstractPointLocatorFindClosestPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkAbstractPointLocatorFindClosestPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestPoint (const double x[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function FindClosestPoint__1 for class vtkAbstractPointLocator requires 2 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindClosestPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:FindClosestPoint__2 vtkAbstractPointLocatorFindClosestPoint__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkAbstractPointLocatorFindClosestPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType FindClosestPoint (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function FindClosestPoint__2 for class vtkAbstractPointLocator requires 4 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->FindClosestPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:FindClosestNPoints__1 vtkAbstractPointLocatorFindClosestNPoints__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAbstractPointLocatorFindClosestNPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindClosestNPoints (int N, const double x[3], vtkIdList *result) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function FindClosestNPoints__1 for class vtkAbstractPointLocator requires 4 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindClosestNPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:FindClosestNPoints__2 vtkAbstractPointLocatorFindClosestNPoints__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkAbstractPointLocatorFindClosestNPoints__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FindClosestNPoints (int N, double x, double y, double z, vtkIdList *result); */
  if (arg.size() < 6) 
    throw Exception("Function FindClosestNPoints__2 for class vtkAbstractPointLocator requires 6 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindClosestNPoints(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:FindPointsWithinRadius__1 vtkAbstractPointLocatorFindPointsWithinRadius__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAbstractPointLocatorFindPointsWithinRadius__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindPointsWithinRadius (double R, const double x[3], vtkIdList *result) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function FindPointsWithinRadius__1 for class vtkAbstractPointLocator requires 4 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindPointsWithinRadius(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:FindPointsWithinRadius__2 vtkAbstractPointLocatorFindPointsWithinRadius__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkAbstractPointLocatorFindPointsWithinRadius__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FindPointsWithinRadius (double R, double x, double y, double z, vtkIdList *result); */
  if (arg.size() < 6) 
    throw Exception("Function FindPointsWithinRadius__2 for class vtkAbstractPointLocator requires 6 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindPointsWithinRadius(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:GetBounds__2 vtkAbstractPointLocatorGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkAbstractPointLocatorGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double *); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkAbstractPointLocator requires 2 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:FreeSearchStructure vtkAbstractPointLocatorFreeSearchStructureFunction
//input a0 
//output none
ArrayVector vtkAbstractPointLocatorFreeSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FreeSearchStructure () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function FreeSearchStructure for class vtkAbstractPointLocator requires 1 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  vtk_pointer->FreeSearchStructure();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:BuildLocator vtkAbstractPointLocatorBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkAbstractPointLocatorBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildLocator () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkAbstractPointLocator requires 1 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:GenerateRepresentation vtkAbstractPointLocatorGenerateRepresentationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkAbstractPointLocatorGenerateRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GenerateRepresentation (int level, vtkPolyData *pd) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GenerateRepresentation for class vtkAbstractPointLocator requires 3 argument(s)");
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->GenerateRepresentation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPointLocator:FindClosestPoint vtkAbstractPointLocatorFindClosestPointFunction
//input varargin
//output varargout
ArrayVector vtkAbstractPointLocatorFindClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAbstractPointLocatorFindClosestPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAbstractPointLocatorFindClosestPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractPointLocatorFindClosestPoint");
}

//@@Signature
//sfunction @vtkAbstractPointLocator:FindClosestNPoints vtkAbstractPointLocatorFindClosestNPointsFunction
//input varargin
//output varargout
ArrayVector vtkAbstractPointLocatorFindClosestNPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsClass(arg[3],"vtkIdList"))
    return vtkAbstractPointLocatorFindClosestNPoints__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkIdList"))
    return vtkAbstractPointLocatorFindClosestNPoints__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractPointLocatorFindClosestNPoints");
}

//@@Signature
//sfunction @vtkAbstractPointLocator:FindPointsWithinRadius vtkAbstractPointLocatorFindPointsWithinRadiusFunction
//input varargin
//output varargout
ArrayVector vtkAbstractPointLocatorFindPointsWithinRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsClass(arg[3],"vtkIdList"))
    return vtkAbstractPointLocatorFindPointsWithinRadius__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkIdList"))
    return vtkAbstractPointLocatorFindPointsWithinRadius__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractPointLocatorFindPointsWithinRadius");
}

//@@Signature
//sfunction @vtkAbstractPointLocator:GetBounds vtkAbstractPointLocatorGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkAbstractPointLocatorGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAbstractPointLocatorGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractPointLocatorGetBounds");
}

//@@Signature
//sfunction @vtkAbstractPointLocator:display vtkAbstractPointLocatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractPointLocatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractPointLocator* vtk_pointer = GetVTKPointer<vtkAbstractPointLocator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractPointLocator:delete vtkAbstractPointLocatorDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractPointLocatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractPointLocator
//@@Section VTKFiltering
//@@Usage
// vtkAbstractPointLocator is an abstract spatial search object to quickly locate points
// in 3D. vtkAbstractPointLocator works by dividing a specified region of space into 
// "rectangular" buckets, and then keeping a list of points that 
// lie in each bucket. Typical operation involves giving a position in 3D 
// and finding the closest point.  The points are provided from the specified 
// dataset input.
//
//To create an instance of class vtkAbstractPointLocator, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractPointLocator
//@]
//@@Methods
//The class vtkAbstractPointLocator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractPointLocator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractPointLocator = obj.NewInstance ()|
// \item @|vtkAbstractPointLocator = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.FindClosestPoint (double x[3])| -  Given a position x, return the id of the point closest to it. Alternative
// method requires separate x-y-z values.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|vtkIdType = obj.FindClosestPoint (double x, double y, double z)| -  Given a position x, return the id of the point closest to it. Alternative
// method requires separate x-y-z values.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindClosestNPoints (int N, double x[3], vtkIdList result)| -  Find the closest N points to a position. This returns the closest
// N points to a position. A faster method could be created that returned
// N close points to a position, but necessarily the exact N closest.
// The returned points are sorted from closest to farthest.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindClosestNPoints (int N, double x, double y, double z, vtkIdList result)| -  Find the closest N points to a position. This returns the closest
// N points to a position. A faster method could be created that returned
// N close points to a position, but necessarily the exact N closest.
// The returned points are sorted from closest to farthest.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindPointsWithinRadius (double R, double x[3], vtkIdList result)| -  Find all points within a specified radius R of position x.
// The result is not sorted in any specific manner.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindPointsWithinRadius (double R, double x, double y, double z, vtkIdList result)| -  Find all points within a specified radius R of position x.
// The result is not sorted in any specific manner.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.GetBounds (double )| -  Provide an accessor to the bounds.
//// \item @|obj.FreeSearchStructure ()| -  See vtkLocator interface documentation.
// These methods are not thread safe.
//// \item @|obj.BuildLocator ()| -  See vtkLocator interface documentation.
// These methods are not thread safe.
//// \item @|obj.GenerateRepresentation (int level, vtkPolyData pd)| -  See vtkLocator interface documentation.
// These methods are not thread safe.
////\end{itemize}
//!
