#include "VTKWrap.hpp"

// FreeMat wrapper for vtkActor2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkActor2D.h"

//@@Signature
//sfunction @vtkActor2D:vtkActor2D vtkActor2DConstructorFunction
//input a
//output p
//@@Parents vtkActor2D vtkProp 
ArrayVector vtkActor2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkActor2D::New(),"vtkActor2D",eval);
  } else if (arg[0].className() == "vtkActor2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkActor2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkActor2D");
    vtkActor2D*q = reinterpret_cast<vtkActor2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkActor2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkActor2D:GetClassName vtkActor2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkActor2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:IsA vtkActor2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkActor2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:NewInstance vtkActor2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkActor2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkActor2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SafeDownCast vtkActor2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkActor2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkActor2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:RenderOverlay vtkActor2DRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkActor2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:RenderOpaqueGeometry vtkActor2DRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkActor2DRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:RenderTranslucentPolygonalGeometry vtkActor2DRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkActor2DRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:HasTranslucentPolygonalGeometry vtkActor2DHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkActor2DHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetMapper vtkActor2DSetMapperFunction
//input a0 a1 
//output none
ArrayVector vtkActor2DSetMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMapper (vtkMapper2D *mapper); */
  if (arg.size() < 2) 
    throw Exception("Function SetMapper for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkMapper2D  *temp0;
  temp0 = GetVTKPointer<vtkMapper2D>(arg[1]);
  vtk_pointer->SetMapper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetMapper vtkActor2DGetMapperFunction
//input a0 
//output y
ArrayVector vtkActor2DGetMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapper2D *GetMapper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapper for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkMapper2D  *temp20;
  temp20 = (vtk_pointer)->GetMapper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetLayerNumber vtkActor2DSetLayerNumberFunction
//input a0 a1 
//output none
ArrayVector vtkActor2DSetLayerNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayerNumber (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayerNumber for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLayerNumber(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetLayerNumber vtkActor2DGetLayerNumberFunction
//input a0 
//output y
ArrayVector vtkActor2DGetLayerNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLayerNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayerNumber for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLayerNumber();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetProperty vtkActor2DGetPropertyFunction
//input a0 
//output y
ArrayVector vtkActor2DGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetProperty vtkActor2DSetPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkActor2DSetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetProperty (vtkProperty2D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetProperty for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp0;
  temp0 = GetVTKPointer<vtkProperty2D>(arg[1]);
  vtk_pointer->SetProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetPositionCoordinate vtkActor2DGetPositionCoordinateFunction
//input a0 
//output y
ArrayVector vtkActor2DGetPositionCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetPositionCoordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPositionCoordinate for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPositionCoordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetPosition__1 vtkActor2DSetPosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkActor2DSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double, double); */
  if (arg.size() < 3) 
    throw Exception("Function SetPosition__1 for class vtkActor2D requires 3 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetPosition__2 vtkActor2DSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkActor2DSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetPosition vtkActor2DGetPositionFunction
//input a0 
//output y
ArrayVector vtkActor2DGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetDisplayPosition vtkActor2DSetDisplayPositionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkActor2DSetDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayPosition (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetDisplayPosition for class vtkActor2D requires 3 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetDisplayPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetPosition2Coordinate vtkActor2DGetPosition2CoordinateFunction
//input a0 
//output y
ArrayVector vtkActor2DGetPosition2CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetPosition2Coordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition2Coordinate for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPosition2Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetPosition2__1 vtkActor2DSetPosition2__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkActor2DSetPosition2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition2 (double, double); */
  if (arg.size() < 3) 
    throw Exception("Function SetPosition2__1 for class vtkActor2D requires 3 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPosition2(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetPosition2__2 vtkActor2DSetPosition2__2Function
//input a0 a1 
//output none
ArrayVector vtkActor2DSetPosition2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition2 (double a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition2__2 for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetPosition2 vtkActor2DGetPosition2Function
//input a0 
//output y
ArrayVector vtkActor2DGetPosition2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPosition2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition2 for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition2();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetWidth vtkActor2DSetWidthFunction
//input a0 a1 
//output none
ArrayVector vtkActor2DSetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWidth (double w); */
  if (arg.size() < 2) 
    throw Exception("Function SetWidth for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetWidth vtkActor2DGetWidthFunction
//input a0 
//output y
ArrayVector vtkActor2DGetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidth for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetHeight vtkActor2DSetHeightFunction
//input a0 a1 
//output none
ArrayVector vtkActor2DSetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeight (double h); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeight for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetHeight vtkActor2DGetHeightFunction
//input a0 
//output y
ArrayVector vtkActor2DGetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeight for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetMTime vtkActor2DGetMTimeFunction
//input a0 
//output y
ArrayVector vtkActor2DGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetActors2D vtkActor2DGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkActor2DGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *pc); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:ShallowCopy vtkActor2DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkActor2DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:ReleaseGraphicsResources vtkActor2DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkActor2DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkActor2D requires 2 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetActualPositionCoordinate vtkActor2DGetActualPositionCoordinateFunction
//input a0 
//output y
ArrayVector vtkActor2DGetActualPositionCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCoordinate *GetActualPositionCoordinate (void );return this PositionCoordinate  */
  if (arg.size() < 1) 
    throw Exception("Function GetActualPositionCoordinate for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetActualPositionCoordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:GetActualPosition2Coordinate vtkActor2DGetActualPosition2CoordinateFunction
//input a0 
//output y
ArrayVector vtkActor2DGetActualPosition2CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCoordinate *GetActualPosition2Coordinate (void );return this Position2Coordinate  */
  if (arg.size() < 1) 
    throw Exception("Function GetActualPosition2Coordinate for class vtkActor2D requires 1 argument(s)");
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetActualPosition2Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2D:SetPosition vtkActor2DSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkActor2DSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkActor2DSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkActor2DSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkActor2DSetPosition");
}

//@@Signature
//sfunction @vtkActor2D:SetPosition2 vtkActor2DSetPosition2Function
//input varargin
//output varargout
ArrayVector vtkActor2DSetPosition2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkActor2DSetPosition2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkActor2DSetPosition2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkActor2DSetPosition2");
}

//@@Signature
//sfunction @vtkActor2D:display vtkActor2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkActor2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkActor2D* vtk_pointer = GetVTKPointer<vtkActor2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkActor2D:delete vtkActor2DDeleteFunction
//input varargin
//output none
ArrayVector vtkActor2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkActor2D
//@@Section VTKFiltering
//@@Usage
// vtkActor2D is similar to vtkActor, but it is made to be used with two
// dimensional images and annotation.  vtkActor2D has a position but does not
// use a transformation matrix like vtkActor (see the superclass vtkProp
// for information on positioning vtkActor2D).  vtkActor2D has a reference to
// a vtkMapper2D object which does the rendering.
//
//To create an instance of class vtkActor2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkActor2D
//@]
//@@Methods
//The class vtkActor2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkActor2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkActor2D = obj.NewInstance ()|
// \item @|vtkActor2D = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.SetMapper (vtkMapper2D mapper)| -  Set/Get the vtkMapper2D which defines the data to be drawn.
//// \item @|vtkMapper2D = obj.GetMapper ()| -  Set/Get the vtkMapper2D which defines the data to be drawn.
//// \item @|obj.SetLayerNumber (int )| -  Set/Get the layer number in the overlay planes into which to render.
//// \item @|int = obj.GetLayerNumber ()| -  Set/Get the layer number in the overlay planes into which to render.
//// \item @|vtkProperty2D = obj.GetProperty ()| -  Returns this actor's vtkProperty2D.  Creates a property if one
// doesn't already exist.
//// \item @|obj.SetProperty (vtkProperty2D )| -  Set this vtkProp's vtkProperty2D.
//// \item @|vtkCoordinate = obj.GetPositionCoordinate ()| -  Get the PositionCoordinate instance of vtkCoordinate.
// This is used for for complicated or relative positioning.
// The position variable controls the lower left corner of the Actor2D
//// \item @|obj.SetPosition (double, double)| -  Get the PositionCoordinate instance of vtkCoordinate.
// This is used for for complicated or relative positioning.
// The position variable controls the lower left corner of the Actor2D
//// \item @|obj.SetPosition (double a[2])| -  Get the PositionCoordinate instance of vtkCoordinate.
// This is used for for complicated or relative positioning.
// The position variable controls the lower left corner of the Actor2D
//// \item @|double = obj.GetPosition ()| -  Get the PositionCoordinate instance of vtkCoordinate.
// This is used for for complicated or relative positioning.
// The position variable controls the lower left corner of the Actor2D
//// \item @|obj.SetDisplayPosition (int , int )| -  Set the Prop2D's position in display coordinates.
//// \item @|vtkCoordinate = obj.GetPosition2Coordinate ()| -  Access the Position2 instance variable. This variable controls
// the upper right corner of the Actor2D. It is by default
// relative to Position and in normalized viewport coordinates.
// Some 2D actor subclasses ignore the position2 variable
//// \item @|obj.SetPosition2 (double, double)| -  Access the Position2 instance variable. This variable controls
// the upper right corner of the Actor2D. It is by default
// relative to Position and in normalized viewport coordinates.
// Some 2D actor subclasses ignore the position2 variable
//// \item @|obj.SetPosition2 (double a[2])| -  Access the Position2 instance variable. This variable controls
// the upper right corner of the Actor2D. It is by default
// relative to Position and in normalized viewport coordinates.
// Some 2D actor subclasses ignore the position2 variable
//// \item @|double = obj.GetPosition2 ()| -  Access the Position2 instance variable. This variable controls
// the upper right corner of the Actor2D. It is by default
// relative to Position and in normalized viewport coordinates.
// Some 2D actor subclasses ignore the position2 variable
//// \item @|obj.SetWidth (double w)| -  Set/Get the height and width of the Actor2D. The value is expressed
// as a fraction of the viewport. This really is just another way of
// setting the Position2 instance variable.
//// \item @|double = obj.GetWidth ()| -  Set/Get the height and width of the Actor2D. The value is expressed
// as a fraction of the viewport. This really is just another way of
// setting the Position2 instance variable.
//// \item @|obj.SetHeight (double h)| -  Set/Get the height and width of the Actor2D. The value is expressed
// as a fraction of the viewport. This really is just another way of
// setting the Position2 instance variable.
//// \item @|double = obj.GetHeight ()| -  Set/Get the height and width of the Actor2D. The value is expressed
// as a fraction of the viewport. This really is just another way of
// setting the Position2 instance variable.
//// \item @|long = obj.GetMTime ()| -  Return this objects MTime.
//// \item @|obj.GetActors2D (vtkPropCollection pc)| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. These methods
// are used in that process.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of this vtkActor2D. Overloads the virtual vtkProp method.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|vtkCoordinate = obj.GetActualPositionCoordinate (void )| -  Return the actual vtkCoordinate reference that the mapper should use
// to position the actor. This is used internally by the mappers and should
// be overridden in specialized subclasses and otherwise ignored.
//// \item @|vtkCoordinate = obj.GetActualPosition2Coordinate (void )|
//\end{itemize}
//!
