#include "VTKWrap.hpp"

// FreeMat wrapper for vtkActor2DCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkActor2DCollection.h"

//@@Signature
//sfunction @vtkActor2DCollection:vtkActor2DCollection vtkActor2DCollectionConstructorFunction
//input a
//output p
//@@Parents vtkActor2DCollection vtkPropCollection 
ArrayVector vtkActor2DCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkActor2DCollection::New(),"vtkActor2DCollection",eval);
  } else if (arg[0].className() == "vtkActor2DCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkActor2DCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkActor2DCollection");
    vtkActor2DCollection*q = reinterpret_cast<vtkActor2DCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkActor2DCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkActor2DCollection:GetClassName vtkActor2DCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkActor2DCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkActor2DCollection requires 1 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:IsA vtkActor2DCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkActor2DCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkActor2DCollection requires 2 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:NewInstance vtkActor2DCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkActor2DCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2DCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkActor2DCollection requires 1 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  vtkActor2DCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2DCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:SafeDownCast vtkActor2DCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkActor2DCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2DCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkActor2DCollection requires 2 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkActor2DCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2DCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:Sort vtkActor2DCollectionSortFunction
//input a0 
//output none
ArrayVector vtkActor2DCollectionSortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Sort (); */
  if (arg.size() < 1) 
    throw Exception("Function Sort for class vtkActor2DCollection requires 1 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  vtk_pointer->Sort();
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:AddItem__1 vtkActor2DCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkActor2DCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkActor2D *a); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkActor2DCollection requires 2 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  vtkActor2D  *temp0;
  temp0 = GetVTKPointer<vtkActor2D>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:IsItemPresent__1 vtkActor2DCollectionIsItemPresent__1Function
//input a0 a1 
//output y
ArrayVector vtkActor2DCollectionIsItemPresent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsItemPresent (vtkActor2D *a); */
  if (arg.size() < 2) 
    throw Exception("Function IsItemPresent__1 for class vtkActor2DCollection requires 2 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  vtkActor2D  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkActor2D>(arg[1]);
  temp20 = (vtk_pointer)->IsItemPresent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:GetNextActor2D vtkActor2DCollectionGetNextActor2DFunction
//input a0 
//output y
ArrayVector vtkActor2DCollectionGetNextActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2D *GetNextActor2D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextActor2D for class vtkActor2DCollection requires 1 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  vtkActor2D  *temp20;
  temp20 = (vtk_pointer)->GetNextActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:GetLastActor2D vtkActor2DCollectionGetLastActor2DFunction
//input a0 
//output y
ArrayVector vtkActor2DCollectionGetLastActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2D *GetLastActor2D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastActor2D for class vtkActor2DCollection requires 1 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  vtkActor2D  *temp20;
  temp20 = (vtk_pointer)->GetLastActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:GetNextItem vtkActor2DCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkActor2DCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2D *GetNextItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkActor2DCollection requires 1 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  vtkActor2D  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:GetLastItem vtkActor2DCollectionGetLastItemFunction
//input a0 
//output y
ArrayVector vtkActor2DCollectionGetLastItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2D *GetLastItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastItem for class vtkActor2DCollection requires 1 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  vtkActor2D  *temp20;
  temp20 = (vtk_pointer)->GetLastItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:RenderOverlay vtkActor2DCollectionRenderOverlayFunction
//input a0 a1 
//output none
ArrayVector vtkActor2DCollectionRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkActor2DCollection requires 2 argument(s)");
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  vtk_pointer->RenderOverlay(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor2DCollection:AddItem vtkActor2DCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkActor2DCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkActor2D"))
    return vtkActor2DCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkActor2DCollectionAddItem");
}

//@@Signature
//sfunction @vtkActor2DCollection:IsItemPresent vtkActor2DCollectionIsItemPresentFunction
//input varargin
//output varargout
ArrayVector vtkActor2DCollectionIsItemPresentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkActor2D"))
    return vtkActor2DCollectionIsItemPresent__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkActor2DCollectionIsItemPresent");
}

//@@Signature
//sfunction @vtkActor2DCollection:display vtkActor2DCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkActor2DCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkActor2DCollection* vtk_pointer = GetVTKPointer<vtkActor2DCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkActor2DCollection:delete vtkActor2DCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkActor2DCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkActor2DCollection
//@@Section VTKFiltering
//@@Usage
// vtkActor2DCollection is a subclass of vtkCollection.  vtkActor2DCollection
// maintains a collection of vtkActor2D objects that is sorted by layer
// number, with lower layer numbers at the start of the list.  This allows
// the vtkActor2D objects to be rendered in the correct order. 
//
//To create an instance of class vtkActor2DCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkActor2DCollection
//@]
//@@Methods
//The class vtkActor2DCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkActor2DCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkActor2DCollection = obj.NewInstance ()|
// \item @|vtkActor2DCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Sort ()| -  Sorts the vtkActor2DCollection by layer number.  Smaller layer
// numbers are first.  Layer numbers can be any integer value.
//// \item @|obj.AddItem (vtkActor2D a)| -  Add an actor to the list.  The new actor is inserted in the list
// according to it's layer number.
//// \item @|int = obj.IsItemPresent (vtkActor2D a)| -  Standard Collection methods
//// \item @|vtkActor2D = obj.GetNextActor2D ()| -  Standard Collection methods
//// \item @|vtkActor2D = obj.GetLastActor2D ()| -  Standard Collection methods
//// \item @|vtkActor2D = obj.GetNextItem ()| -  Access routines that are provided for compatibility with previous
// version of VTK.  Please use the GetNextActor2D(), GetLastActor2D()
// variants where possible.
//// \item @|vtkActor2D = obj.GetLastItem ()| -  Access routines that are provided for compatibility with previous
// version of VTK.  Please use the GetNextActor2D(), GetLastActor2D()
// variants where possible.
//// \item @|obj.RenderOverlay (vtkViewport viewport)| -  Sort and then render the collection of 2D actors.  
////\end{itemize}
//!
