#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAlgorithm.h"

//@@Signature
//sfunction @vtkAlgorithm:vtkAlgorithm vtkAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkAlgorithm vtkObject 
ArrayVector vtkAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAlgorithm::New(),"vtkAlgorithm",eval);
  } else if (arg[0].className() == "vtkAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAlgorithm");
    vtkAlgorithm*q = reinterpret_cast<vtkAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAlgorithm:GetClassName vtkAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:IsA vtkAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:NewInstance vtkAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SafeDownCast vtkAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:HasExecutive vtkAlgorithmHasExecutiveFunction
//input a0 
//output y
ArrayVector vtkAlgorithmHasExecutiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasExecutive (); */
  if (arg.size() < 1) 
    throw Exception("Function HasExecutive for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasExecutive();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetExecutive vtkAlgorithmGetExecutiveFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetExecutiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExecutive *GetExecutive (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExecutive for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkExecutive  *temp20;
  temp20 = (vtk_pointer)->GetExecutive();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExecutive",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetExecutive vtkAlgorithmSetExecutiveFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmSetExecutiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetExecutive (vtkExecutive *executive); */
  if (arg.size() < 2) 
    throw Exception("Function SetExecutive for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkExecutive  *temp0;
  temp0 = GetVTKPointer<vtkExecutive>(arg[1]);
  vtk_pointer->SetExecutive(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:ModifyRequest vtkAlgorithmModifyRequestFunction
//input a0 a1 a2 
//output y
ArrayVector vtkAlgorithmModifyRequestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ModifyRequest (vtkInformation *request, int when); */
  if (arg.size() < 3) 
    throw Exception("Function ModifyRequest for class vtkAlgorithm requires 3 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ModifyRequest(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetInputPortInformation vtkAlgorithmGetInputPortInformationFunction
//input a0 a1 
//output y
ArrayVector vtkAlgorithmGetInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetInputPortInformation (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInputPortInformation for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInputPortInformation(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetOutputPortInformation vtkAlgorithmGetOutputPortInformationFunction
//input a0 a1 
//output y
ArrayVector vtkAlgorithmGetOutputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetOutputPortInformation (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputPortInformation for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutputPortInformation(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetInformation vtkAlgorithmGetInformationFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInformation for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformation  *temp20;
  temp20 = (vtk_pointer)->GetInformation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetInformation vtkAlgorithmSetInformationFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmSetInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInformation (vtkInformation *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInformation for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->SetInformation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetNumberOfInputPorts vtkAlgorithmGetNumberOfInputPortsFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetNumberOfInputPortsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfInputPorts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfInputPorts for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfInputPorts();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetNumberOfOutputPorts vtkAlgorithmGetNumberOfOutputPortsFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetNumberOfOutputPortsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfOutputPorts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfOutputPorts for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfOutputPorts();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:Register vtkAlgorithmRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:UnRegister vtkAlgorithmUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetAbortExecute vtkAlgorithmSetAbortExecuteFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmSetAbortExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAbortExecute (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAbortExecute for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAbortExecute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetAbortExecute vtkAlgorithmGetAbortExecuteFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetAbortExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAbortExecute (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbortExecute for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAbortExecute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:AbortExecuteOn vtkAlgorithmAbortExecuteOnFunction
//input a0 
//output none
ArrayVector vtkAlgorithmAbortExecuteOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AbortExecuteOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AbortExecuteOn for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtk_pointer->AbortExecuteOn();
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:AbortExecuteOff vtkAlgorithmAbortExecuteOffFunction
//input a0 
//output none
ArrayVector vtkAlgorithmAbortExecuteOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AbortExecuteOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AbortExecuteOff for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtk_pointer->AbortExecuteOff();
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetProgress vtkAlgorithmSetProgressFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmSetProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProgress (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProgress for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetProgress(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetProgressMinValue vtkAlgorithmGetProgressMinValueFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetProgressMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProgressMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgressMinValue for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProgressMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetProgressMaxValue vtkAlgorithmGetProgressMaxValueFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetProgressMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProgressMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgressMaxValue for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProgressMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetProgress vtkAlgorithmGetProgressFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProgress (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgress for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProgress();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:UpdateProgress vtkAlgorithmUpdateProgressFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmUpdateProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdateProgress (double amount); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateProgress for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->UpdateProgress(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetProgressText vtkAlgorithmSetProgressTextFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmSetProgressTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProgressText (const char *ptext); */
  if (arg.size() < 2) 
    throw Exception("Function SetProgressText for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetProgressText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetProgressText vtkAlgorithmGetProgressTextFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetProgressTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetProgressText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgressText for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetProgressText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetErrorCode vtkAlgorithmGetErrorCodeFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetErrorCodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetErrorCode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetErrorCode for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetErrorCode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:INPUT_IS_OPTIONAL vtkAlgorithmINPUT_IS_OPTIONALFunction
//input a0 
//output y
ArrayVector vtkAlgorithmINPUT_IS_OPTIONALFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *INPUT_IS_OPTIONAL (); */
  if (arg.size() < 1) 
    throw Exception("Function INPUT_IS_OPTIONAL for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->INPUT_IS_OPTIONAL();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:INPUT_IS_REPEATABLE vtkAlgorithmINPUT_IS_REPEATABLEFunction
//input a0 
//output y
ArrayVector vtkAlgorithmINPUT_IS_REPEATABLEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *INPUT_IS_REPEATABLE (); */
  if (arg.size() < 1) 
    throw Exception("Function INPUT_IS_REPEATABLE for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->INPUT_IS_REPEATABLE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:INPUT_REQUIRED_FIELDS vtkAlgorithmINPUT_REQUIRED_FIELDSFunction
//input a0 
//output y
ArrayVector vtkAlgorithmINPUT_REQUIRED_FIELDSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationInformationVectorKey *INPUT_REQUIRED_FIELDS (); */
  if (arg.size() < 1) 
    throw Exception("Function INPUT_REQUIRED_FIELDS for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp20;
  temp20 = (vtk_pointer)->INPUT_REQUIRED_FIELDS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationInformationVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:INPUT_REQUIRED_DATA_TYPE vtkAlgorithmINPUT_REQUIRED_DATA_TYPEFunction
//input a0 
//output y
ArrayVector vtkAlgorithmINPUT_REQUIRED_DATA_TYPEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationStringVectorKey *INPUT_REQUIRED_DATA_TYPE (); */
  if (arg.size() < 1) 
    throw Exception("Function INPUT_REQUIRED_DATA_TYPE for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationStringVectorKey  *temp20;
  temp20 = (vtk_pointer)->INPUT_REQUIRED_DATA_TYPE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationStringVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:INPUT_ARRAYS_TO_PROCESS vtkAlgorithmINPUT_ARRAYS_TO_PROCESSFunction
//input a0 
//output y
ArrayVector vtkAlgorithmINPUT_ARRAYS_TO_PROCESSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationInformationVectorKey *INPUT_ARRAYS_TO_PROCESS (); */
  if (arg.size() < 1) 
    throw Exception("Function INPUT_ARRAYS_TO_PROCESS for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp20;
  temp20 = (vtk_pointer)->INPUT_ARRAYS_TO_PROCESS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationInformationVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:INPUT_PORT vtkAlgorithmINPUT_PORTFunction
//input a0 
//output y
ArrayVector vtkAlgorithmINPUT_PORTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *INPUT_PORT (); */
  if (arg.size() < 1) 
    throw Exception("Function INPUT_PORT for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->INPUT_PORT();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:INPUT_CONNECTION vtkAlgorithmINPUT_CONNECTIONFunction
//input a0 
//output y
ArrayVector vtkAlgorithmINPUT_CONNECTIONFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *INPUT_CONNECTION (); */
  if (arg.size() < 1) 
    throw Exception("Function INPUT_CONNECTION for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->INPUT_CONNECTION();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetInputArrayToProcess__1 vtkAlgorithmSetInputArrayToProcess__1Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkAlgorithmSetInputArrayToProcess__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name); */
  if (arg.size() < 6) 
    throw Exception("Function SetInputArrayToProcess__1 for class vtkAlgorithm requires 6 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char    *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  char tmp_string4[1024];
  strcpy(tmp_string4,qPrintable(arg[5].asString())); 
  temp4 = tmp_string4;
  vtk_pointer->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetInputArrayToProcess__2 vtkAlgorithmSetInputArrayToProcess__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkAlgorithmSetInputArrayToProcess__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType); */
  if (arg.size() < 6) 
    throw Exception("Function SetInputArrayToProcess__2 for class vtkAlgorithm requires 6 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  vtk_pointer->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetInputArrayToProcess__3 vtkAlgorithmSetInputArrayToProcess__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkAlgorithmSetInputArrayToProcess__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputArrayToProcess (int idx, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputArrayToProcess__3 for class vtkAlgorithm requires 3 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->SetInputArrayToProcess(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetInputArrayToProcess__4 vtkAlgorithmSetInputArrayToProcess__4Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkAlgorithmSetInputArrayToProcess__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName); */
  if (arg.size() < 6) 
    throw Exception("Function SetInputArrayToProcess__4 for class vtkAlgorithm requires 6 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  char    *temp3;
  char    *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  char tmp_string3[1024];
  strcpy(tmp_string3,qPrintable(arg[4].asString())); 
  temp3 = tmp_string3;
  char tmp_string4[1024];
  strcpy(tmp_string4,qPrintable(arg[5].asString())); 
  temp4 = tmp_string4;
  vtk_pointer->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetInputArrayInformation vtkAlgorithmGetInputArrayInformationFunction
//input a0 a1 
//output y
ArrayVector vtkAlgorithmGetInputArrayInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetInputArrayInformation (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetInputArrayInformation for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInputArrayInformation(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:RemoveAllInputs vtkAlgorithmRemoveAllInputsFunction
//input a0 
//output none
ArrayVector vtkAlgorithmRemoveAllInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllInputs (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllInputs for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllInputs();
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetOutputDataObject vtkAlgorithmGetOutputDataObjectFunction
//input a0 a1 
//output y
ArrayVector vtkAlgorithmGetOutputDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutputDataObject (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputDataObject for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutputDataObject(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetInputDataObject vtkAlgorithmGetInputDataObjectFunction
//input a0 a1 a2 
//output y
ArrayVector vtkAlgorithmGetInputDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInputDataObject (int port, int connection); */
  if (arg.size() < 3) 
    throw Exception("Function GetInputDataObject for class vtkAlgorithm requires 3 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInputDataObject(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetInputConnection__1 vtkAlgorithmSetInputConnection__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkAlgorithmSetInputConnection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputConnection (int port, vtkAlgorithmOutput *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputConnection__1 for class vtkAlgorithm requires 3 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->SetInputConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetInputConnection__2 vtkAlgorithmSetInputConnection__2Function
//input a0 a1 
//output none
ArrayVector vtkAlgorithmSetInputConnection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputConnection (vtkAlgorithmOutput *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputConnection__2 for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetInputConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:AddInputConnection__1 vtkAlgorithmAddInputConnection__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkAlgorithmAddInputConnection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddInputConnection (int port, vtkAlgorithmOutput *input); */
  if (arg.size() < 3) 
    throw Exception("Function AddInputConnection__1 for class vtkAlgorithm requires 3 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->AddInputConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:AddInputConnection__2 vtkAlgorithmAddInputConnection__2Function
//input a0 a1 
//output none
ArrayVector vtkAlgorithmAddInputConnection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddInputConnection (vtkAlgorithmOutput *input); */
  if (arg.size() < 2) 
    throw Exception("Function AddInputConnection__2 for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->AddInputConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:RemoveInputConnection vtkAlgorithmRemoveInputConnectionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkAlgorithmRemoveInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveInputConnection (int port, vtkAlgorithmOutput *input); */
  if (arg.size() < 3) 
    throw Exception("Function RemoveInputConnection for class vtkAlgorithm requires 3 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->RemoveInputConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetOutputPort__1 vtkAlgorithmGetOutputPort__1Function
//input a0 a1 
//output y
ArrayVector vtkAlgorithmGetOutputPort__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithmOutput *GetOutputPort (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputPort__1 for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutputPort(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetOutputPort__2 vtkAlgorithmGetOutputPort__2Function
//input a0 
//output y
ArrayVector vtkAlgorithmGetOutputPort__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithmOutput *GetOutputPort ();return this GetOutputPort  */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputPort__2 for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp20;
  temp20 = (vtk_pointer)->GetOutputPort();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetNumberOfInputConnections vtkAlgorithmGetNumberOfInputConnectionsFunction
//input a0 a1 
//output y
ArrayVector vtkAlgorithmGetNumberOfInputConnectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfInputConnections (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfInputConnections for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfInputConnections(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetTotalNumberOfInputConnections vtkAlgorithmGetTotalNumberOfInputConnectionsFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetTotalNumberOfInputConnectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTotalNumberOfInputConnections (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfInputConnections for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfInputConnections();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetInputConnection vtkAlgorithmGetInputConnectionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkAlgorithmGetInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithmOutput *GetInputConnection (int port, int index); */
  if (arg.size() < 3) 
    throw Exception("Function GetInputConnection for class vtkAlgorithm requires 3 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInputConnection(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:Update vtkAlgorithmUpdateFunction
//input a0 
//output none
ArrayVector vtkAlgorithmUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:UpdateInformation vtkAlgorithmUpdateInformationFunction
//input a0 
//output none
ArrayVector vtkAlgorithmUpdateInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateInformation for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtk_pointer->UpdateInformation();
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:UpdateWholeExtent vtkAlgorithmUpdateWholeExtentFunction
//input a0 
//output none
ArrayVector vtkAlgorithmUpdateWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateWholeExtent for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtk_pointer->UpdateWholeExtent();
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetReleaseDataFlag vtkAlgorithmSetReleaseDataFlagFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmSetReleaseDataFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetReleaseDataFlag (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReleaseDataFlag for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReleaseDataFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:GetReleaseDataFlag vtkAlgorithmGetReleaseDataFlagFunction
//input a0 
//output y
ArrayVector vtkAlgorithmGetReleaseDataFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetReleaseDataFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReleaseDataFlag for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReleaseDataFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:ReleaseDataFlagOn vtkAlgorithmReleaseDataFlagOnFunction
//input a0 
//output none
ArrayVector vtkAlgorithmReleaseDataFlagOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseDataFlagOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReleaseDataFlagOn for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtk_pointer->ReleaseDataFlagOn();
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:ReleaseDataFlagOff vtkAlgorithmReleaseDataFlagOffFunction
//input a0 
//output none
ArrayVector vtkAlgorithmReleaseDataFlagOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseDataFlagOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReleaseDataFlagOff for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtk_pointer->ReleaseDataFlagOff();
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:UpdateExtentIsEmpty__1 vtkAlgorithmUpdateExtentIsEmpty__1Function
//input a0 a1 
//output y
ArrayVector vtkAlgorithmUpdateExtentIsEmpty__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int UpdateExtentIsEmpty (vtkDataObject *output); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateExtentIsEmpty__1 for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  temp20 = (vtk_pointer)->UpdateExtentIsEmpty(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:UpdateExtentIsEmpty__2 vtkAlgorithmUpdateExtentIsEmpty__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkAlgorithmUpdateExtentIsEmpty__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType); */
  if (arg.size() < 3) 
    throw Exception("Function UpdateExtentIsEmpty__2 for class vtkAlgorithm requires 3 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->UpdateExtentIsEmpty(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetDefaultExecutivePrototype vtkAlgorithmSetDefaultExecutivePrototypeFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmSetDefaultExecutivePrototypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetDefaultExecutivePrototype (vtkExecutive *proto); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultExecutivePrototype for class vtkAlgorithm requires 2 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkExecutive  *temp0;
  temp0 = GetVTKPointer<vtkExecutive>(arg[1]);
  vtk_pointer->SetDefaultExecutivePrototype(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:ComputePriority vtkAlgorithmComputePriorityFunction
//input a0 
//output y
ArrayVector vtkAlgorithmComputePriorityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double ComputePriority (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputePriority for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->ComputePriority();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:PRESERVES_DATASET vtkAlgorithmPRESERVES_DATASETFunction
//input a0 
//output y
ArrayVector vtkAlgorithmPRESERVES_DATASETFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *PRESERVES_DATASET (); */
  if (arg.size() < 1) 
    throw Exception("Function PRESERVES_DATASET for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->PRESERVES_DATASET();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:PRESERVES_GEOMETRY vtkAlgorithmPRESERVES_GEOMETRYFunction
//input a0 
//output y
ArrayVector vtkAlgorithmPRESERVES_GEOMETRYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *PRESERVES_GEOMETRY (); */
  if (arg.size() < 1) 
    throw Exception("Function PRESERVES_GEOMETRY for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->PRESERVES_GEOMETRY();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:PRESERVES_BOUNDS vtkAlgorithmPRESERVES_BOUNDSFunction
//input a0 
//output y
ArrayVector vtkAlgorithmPRESERVES_BOUNDSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *PRESERVES_BOUNDS (); */
  if (arg.size() < 1) 
    throw Exception("Function PRESERVES_BOUNDS for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->PRESERVES_BOUNDS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:PRESERVES_TOPOLOGY vtkAlgorithmPRESERVES_TOPOLOGYFunction
//input a0 
//output y
ArrayVector vtkAlgorithmPRESERVES_TOPOLOGYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *PRESERVES_TOPOLOGY (); */
  if (arg.size() < 1) 
    throw Exception("Function PRESERVES_TOPOLOGY for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->PRESERVES_TOPOLOGY();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:PRESERVES_ATTRIBUTES vtkAlgorithmPRESERVES_ATTRIBUTESFunction
//input a0 
//output y
ArrayVector vtkAlgorithmPRESERVES_ATTRIBUTESFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *PRESERVES_ATTRIBUTES (); */
  if (arg.size() < 1) 
    throw Exception("Function PRESERVES_ATTRIBUTES for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->PRESERVES_ATTRIBUTES();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:PRESERVES_RANGES vtkAlgorithmPRESERVES_RANGESFunction
//input a0 
//output y
ArrayVector vtkAlgorithmPRESERVES_RANGESFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *PRESERVES_RANGES (); */
  if (arg.size() < 1) 
    throw Exception("Function PRESERVES_RANGES for class vtkAlgorithm requires 1 argument(s)");
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->PRESERVES_RANGES();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithm:SetInputArrayToProcess vtkAlgorithmSetInputArrayToProcessFunction
//input varargin
//output varargout
ArrayVector vtkAlgorithmSetInputArrayToProcessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkAlgorithmSetInputArrayToProcess__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkAlgorithmSetInputArrayToProcess__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkInformation"))
    return vtkAlgorithmSetInputArrayToProcess__3Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAlgorithmSetInputArrayToProcess__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAlgorithmSetInputArrayToProcess");
}

//@@Signature
//sfunction @vtkAlgorithm:SetInputConnection vtkAlgorithmSetInputConnectionFunction
//input varargin
//output varargout
ArrayVector vtkAlgorithmSetInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkAlgorithmOutput"))
    return vtkAlgorithmSetInputConnection__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAlgorithmOutput"))
    return vtkAlgorithmSetInputConnection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAlgorithmSetInputConnection");
}

//@@Signature
//sfunction @vtkAlgorithm:AddInputConnection vtkAlgorithmAddInputConnectionFunction
//input varargin
//output varargout
ArrayVector vtkAlgorithmAddInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkAlgorithmOutput"))
    return vtkAlgorithmAddInputConnection__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAlgorithmOutput"))
    return vtkAlgorithmAddInputConnection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAlgorithmAddInputConnection");
}

//@@Signature
//sfunction @vtkAlgorithm:GetOutputPort vtkAlgorithmGetOutputPortFunction
//input varargin
//output varargout
ArrayVector vtkAlgorithmGetOutputPortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkAlgorithmGetOutputPort__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkAlgorithmGetOutputPort__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAlgorithmGetOutputPort");
}

//@@Signature
//sfunction @vtkAlgorithm:UpdateExtentIsEmpty vtkAlgorithmUpdateExtentIsEmptyFunction
//input varargin
//output varargout
ArrayVector vtkAlgorithmUpdateExtentIsEmptyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkAlgorithmUpdateExtentIsEmpty__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformation") && VTKIsScalarArg(arg[2]))
    return vtkAlgorithmUpdateExtentIsEmpty__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAlgorithmUpdateExtentIsEmpty");
}

//@@Signature
//sfunction @vtkAlgorithm:GetInputArrayToProcess vtkAlgorithmGetInputArrayToProcessFunction
//input varargin
//output varargout
ArrayVector vtkAlgorithmGetInputArrayToProcessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkAlgorithmGetInputArrayToProcess");
}

//@@Signature
//sfunction @vtkAlgorithm:GetInputAbstractArrayToProcess vtkAlgorithmGetInputAbstractArrayToProcessFunction
//input varargin
//output varargout
ArrayVector vtkAlgorithmGetInputAbstractArrayToProcessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkAlgorithmGetInputAbstractArrayToProcess");
}

//@@Signature
//sfunction @vtkAlgorithm:display vtkAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAlgorithm* vtk_pointer = GetVTKPointer<vtkAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAlgorithm:delete vtkAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAlgorithm
//@@Section VTKFiltering
//@@Usage
// vtkAlgorithm is the superclass for all sources, filters, and sinks
// in VTK.  It defines a generalized interface for executing data
// processing algorithms.  Pipeline connections are associated with
// input and output ports that are independent of the type of data
// passing through the connections.
//
// Instances may be used independently or within pipelines with a
// variety of architectures and update mechanisms.  Pipelines are
// controlled by instances of vtkExecutive.  Every vtkAlgorithm
// instance has an associated vtkExecutive when it is used in a
// pipeline.  The executive is responsible for data flow.
//
//To create an instance of class vtkAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkAlgorithm
//@]
//@@Methods
//The class vtkAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAlgorithm = obj.NewInstance ()|
// \item @|vtkAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.HasExecutive ()| -  Check whether this algorithm has an assigned executive.  This
// will NOT create a default executive.
//// \item @|vtkExecutive = obj.GetExecutive ()| -  Get this algorithm's executive.  If it has none, a default
// executive will be created.
//// \item @|obj.SetExecutive (vtkExecutive executive)| -  Set this algorithm's executive.  This algorithm is removed from
// any executive to which it has previously been assigned and then
// assigned to the given executive.
//// \item @|int = obj.ModifyRequest (vtkInformation request, int when)| -  This method gives the algorithm a chance to modify the contents of a
// request before or after (specified in the when argument) it is
// forwarded. The default implementation is empty. Returns 1 on success,
// 0 on failure. When can be either vtkExecutive::BeforeForward or
// vtkExecutive::AfterForward.
//// \item @|vtkInformation = obj.GetInputPortInformation (int port)| -  Get the information object associated with an input port.  There
// is one input port per kind of input to the algorithm.  Each input
// port tells executives what kind of data and downstream requests
// this algorithm can handle for that input.
//// \item @|vtkInformation = obj.GetOutputPortInformation (int port)| -  Get the information object associated with an output port.  There
// is one output port per output from the algorithm.  Each output
// port tells executives what kind of upstream requests this
// algorithm can handle for that output.
//// \item @|vtkInformation = obj.GetInformation ()| -  Set/Get the information object associated with this algorithm.
//// \item @|obj.SetInformation (vtkInformation )| -  Set/Get the information object associated with this algorithm.
//// \item @|int = obj.GetNumberOfInputPorts ()| -  Get the number of input ports used by the algorithm.
//// \item @|int = obj.GetNumberOfOutputPorts ()| -  Get the number of output ports provided by the algorithm.
//// \item @|obj.Register (vtkObjectBase o)| -  Participate in garbage collection.
//// \item @|obj.UnRegister (vtkObjectBase o)| -  Participate in garbage collection.
//// \item @|obj.SetAbortExecute (int )| -  Set/Get the AbortExecute flag for the process object. Process objects
// may handle premature termination of execution in different ways.
//// \item @|int = obj.GetAbortExecute ()| -  Set/Get the AbortExecute flag for the process object. Process objects
// may handle premature termination of execution in different ways.
//// \item @|obj.AbortExecuteOn ()| -  Set/Get the AbortExecute flag for the process object. Process objects
// may handle premature termination of execution in different ways.
//// \item @|obj.AbortExecuteOff ()| -  Set/Get the AbortExecute flag for the process object. Process objects
// may handle premature termination of execution in different ways.
//// \item @|obj.SetProgress (double )| -  Set/Get the execution progress of a process object.
//// \item @|double = obj.GetProgressMinValue ()| -  Set/Get the execution progress of a process object.
//// \item @|double = obj.GetProgressMaxValue ()| -  Set/Get the execution progress of a process object.
//// \item @|double = obj.GetProgress ()| -  Set/Get the execution progress of a process object.
//// \item @|obj.UpdateProgress (double amount)| -  Update the progress of the process object. If a ProgressMethod exists,
// executes it.  Then set the Progress ivar to amount. The parameter amount
// should range between (0,1).
//// \item @|obj.SetProgressText (string ptext)| -  Set the current text message associated with the progress state.
// This may be used by a calling process/GUI.
// Note: Because SetProgressText() is called from inside RequestData()
// it does not modify the algorithm object. Algorithms are not 
// allowed to modify themselves from inside RequestData().
//// \item @|string = obj.GetProgressText ()| -  Set the current text message associated with the progress state.
// This may be used by a calling process/GUI.
// Note: Because SetProgressText() is called from inside RequestData()
// it does not modify the algorithm object. Algorithms are not 
// allowed to modify themselves from inside RequestData().
//// \item @|long = obj.GetErrorCode ()| -  The error code contains a possible error that occured while
// reading or writing the file.
//// \item @|obj.SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, string name)| -  Set the input data arrays that this algorithm will
// process. Specifically the idx array that this algorithm will process
// (starting from 0) is the array on port, connection with the specified
// association and name or attribute type (such as SCALARS). The
// fieldAssociation refers to which field in the data object the array is
// stored. See vtkDataObject::FieldAssociations for detail.
//// \item @|obj.SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType)| -  Set the input data arrays that this algorithm will
// process. Specifically the idx array that this algorithm will process
// (starting from 0) is the array on port, connection with the specified
// association and name or attribute type (such as SCALARS). The
// fieldAssociation refers to which field in the data object the array is
// stored. See vtkDataObject::FieldAssociations for detail.
//// \item @|obj.SetInputArrayToProcess (int idx, vtkInformation info)| -  Set the input data arrays that this algorithm will
// process. Specifically the idx array that this algorithm will process
// (starting from 0) is the array on port, connection with the specified
// association and name or attribute type (such as SCALARS). The
// fieldAssociation refers to which field in the data object the array is
// stored. See vtkDataObject::FieldAssociations for detail.
//// \item @|obj.SetInputArrayToProcess (int idx, int port, int connection, string fieldAssociation, string attributeTypeorName)| -  String based versions of SetInputArrayToProcess(). Because
// fieldAssociation and fieldAttributeType are enums, they cannot be
// easily accessed from scripting language. These methods provides an
// easy and safe way of passing association and attribute type
// information. Field association is one of the following:
// @verbatim
// vtkDataObject::FIELD_ASSOCIATION_POINTS
// vtkDataObject::FIELD_ASSOCIATION_CELLS
// vtkDataObject::FIELD_ASSOCIATION_NONE
// vtkDataObject::FIELD_ASSOCIATION_POINTS_THEN_CELLS
// @endverbatim
// Attribute type is one of the following:
// @verbatim
// vtkDataSetAttributes::SCALARS
// vtkDataSetAttributes::VECTORS
// vtkDataSetAttributes::NORMALS
// vtkDataSetAttributes::TCOORDS
// vtkDataSetAttributes::TENSORS
// @endverbatim
// If the last argument is not an attribute type, it is assumed to
// be an array name.
//// \item @|vtkInformation = obj.GetInputArrayInformation (int idx)| -  Get the info object for the specified input array to this algorithm
//// \item @|obj.RemoveAllInputs ()| -  Remove all the input data.
//// \item @|vtkDataObject = obj.GetOutputDataObject (int port)| -  Get the data object that will contain the algorithm output for
// the given port.
//// \item @|vtkDataObject = obj.GetInputDataObject (int port, int connection)| -  Get the data object that will contain the algorithm input for the given
// port and given connection.
//// \item @|obj.SetInputConnection (int port, vtkAlgorithmOutput input)| -  Set the connection for the given input port index.  Each input
// port of a filter has a specific purpose.  A port may have zero or
// more connections and the required number is specified by each
// filter.  Setting the connection with this method removes all
// other connections from the port.  To add more than one connection
// use AddInputConnection().
//
// The input for the connection is the output port of another
// filter, which is obtained with GetOutputPort().  Typical usage is
//
//   filter2->SetInputConnection(0, filter1->GetOutputPort(0)).
//// \item @|obj.SetInputConnection (vtkAlgorithmOutput input)| -  Set the connection for the given input port index.  Each input
// port of a filter has a specific purpose.  A port may have zero or
// more connections and the required number is specified by each
// filter.  Setting the connection with this method removes all
// other connections from the port.  To add more than one connection
// use AddInputConnection().
//
// The input for the connection is the output port of another
// filter, which is obtained with GetOutputPort().  Typical usage is
//
//   filter2->SetInputConnection(0, filter1->GetOutputPort(0)).
//// \item @|obj.AddInputConnection (int port, vtkAlgorithmOutput input)| -  Add a connection to the given input port index.  See
// SetInputConnection() for details on input connections.  This
// method is the complement to RemoveInputConnection() in that it
// adds only the connection specified without affecting other
// connections.  Typical usage is
//
//   filter2->AddInputConnection(0, filter1->GetOutputPort(0)).
//// \item @|obj.AddInputConnection (vtkAlgorithmOutput input)| -  Add a connection to the given input port index.  See
// SetInputConnection() for details on input connections.  This
// method is the complement to RemoveInputConnection() in that it
// adds only the connection specified without affecting other
// connections.  Typical usage is
//
//   filter2->AddInputConnection(0, filter1->GetOutputPort(0)).
//// \item @|obj.RemoveInputConnection (int port, vtkAlgorithmOutput input)| -  Remove a connection from the given input port index.  See
// SetInputConnection() for details on input connection.  This
// method is the complement to AddInputConnection() in that it
// removes only the connection specified without affecting other
// connections.  Typical usage is
//
//   filter2->RemoveInputConnection(0, filter1->GetOutputPort(0)).
//// \item @|vtkAlgorithmOutput = obj.GetOutputPort (int index)| -  Get a proxy object corresponding to the given output port of this
// algorithm.  The proxy object can be passed to another algorithm's
// SetInputConnection(), AddInputConnection(), and
// RemoveInputConnection() methods to modify pipeline connectivity.
//// \item @|vtkAlgorithmOutput = obj.GetOutputPort ()| -  Get the number of inputs currently connected to a port.
//// \item @|int = obj.GetNumberOfInputConnections (int port)| -  Get the number of inputs currently connected to a port.
//// \item @|int = obj.GetTotalNumberOfInputConnections ()| -  Get the total number of inputs for this algorithm
//// \item @|vtkAlgorithmOutput = obj.GetInputConnection (int port, int index)| -  Get the algorithm output port connected to an input port.
//// \item @|obj.Update ()| -  Bring this algorithm's outputs up-to-date.
//// \item @|obj.UpdateInformation ()| -  Backward compatibility method to invoke UpdateInformation on executive.
//// \item @|obj.UpdateWholeExtent ()| -  Bring this algorithm's outputs up-to-date.
//// \item @|obj.SetReleaseDataFlag (int )| -  Turn release data flag on or off for all output ports.
//// \item @|int = obj.GetReleaseDataFlag ()| -  Turn release data flag on or off for all output ports.
//// \item @|obj.ReleaseDataFlagOn ()| -  Turn release data flag on or off for all output ports.
//// \item @|obj.ReleaseDataFlagOff ()| -  Turn release data flag on or off for all output ports.
//// \item @|int = obj.UpdateExtentIsEmpty (vtkDataObject output)| -  This detects when the UpdateExtent will generate no data
// This condition is satisfied when the UpdateExtent has 
// zero volume (0,-1,...) or the UpdateNumberOfPieces is 0.
// The source uses this call to determine whether to call Execute.
//// \item @|int = obj.UpdateExtentIsEmpty (vtkInformation pinfo, int extentType)| -  This detects when the UpdateExtent will generate no data
// This condition is satisfied when the UpdateExtent has 
// zero volume (0,-1,...) or the UpdateNumberOfPieces is 0.
// The source uses this call to determine whether to call Execute.
//// \item @|double = obj.ComputePriority ()| -  Returns the priority of the piece described by the current update 
// extent. The priority is a number between 0.0 and 1.0 with 0 meaning 
// skippable (REQUEST_DATA not needed) and 1.0 meaning important. 
////\end{itemize}
//!
