#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAlgorithmOutput object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAlgorithmOutput.h"

//@@Signature
//sfunction @vtkAlgorithmOutput:vtkAlgorithmOutput vtkAlgorithmOutputConstructorFunction
//input a
//output p
//@@Parents vtkAlgorithmOutput vtkObject 
ArrayVector vtkAlgorithmOutputConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAlgorithmOutput::New(),"vtkAlgorithmOutput",eval);
  } else if (arg[0].className() == "vtkAlgorithmOutput") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAlgorithmOutput"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAlgorithmOutput");
    vtkAlgorithmOutput*q = reinterpret_cast<vtkAlgorithmOutput*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAlgorithmOutput");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAlgorithmOutput:GetClassName vtkAlgorithmOutputGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAlgorithmOutputGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAlgorithmOutput requires 1 argument(s)");
  vtkAlgorithmOutput* vtk_pointer = GetVTKPointer<vtkAlgorithmOutput>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithmOutput:IsA vtkAlgorithmOutputIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAlgorithmOutputIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAlgorithmOutput requires 2 argument(s)");
  vtkAlgorithmOutput* vtk_pointer = GetVTKPointer<vtkAlgorithmOutput>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithmOutput:NewInstance vtkAlgorithmOutputNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAlgorithmOutputNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithmOutput *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAlgorithmOutput requires 1 argument(s)");
  vtkAlgorithmOutput* vtk_pointer = GetVTKPointer<vtkAlgorithmOutput>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithmOutput:SafeDownCast vtkAlgorithmOutputSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAlgorithmOutputSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithmOutput *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAlgorithmOutput requires 2 argument(s)");
  vtkAlgorithmOutput* vtk_pointer = GetVTKPointer<vtkAlgorithmOutput>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAlgorithmOutput  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithmOutput:SetIndex vtkAlgorithmOutputSetIndexFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmOutputSetIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndex (int index); */
  if (arg.size() < 2) 
    throw Exception("Function SetIndex for class vtkAlgorithmOutput requires 2 argument(s)");
  vtkAlgorithmOutput* vtk_pointer = GetVTKPointer<vtkAlgorithmOutput>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithmOutput:GetIndex vtkAlgorithmOutputGetIndexFunction
//input a0 
//output y
ArrayVector vtkAlgorithmOutputGetIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndex for class vtkAlgorithmOutput requires 1 argument(s)");
  vtkAlgorithmOutput* vtk_pointer = GetVTKPointer<vtkAlgorithmOutput>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithmOutput:GetProducer vtkAlgorithmOutputGetProducerFunction
//input a0 
//output y
ArrayVector vtkAlgorithmOutputGetProducerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithm *GetProducer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProducer for class vtkAlgorithmOutput requires 1 argument(s)");
  vtkAlgorithmOutput* vtk_pointer = GetVTKPointer<vtkAlgorithmOutput>(arg[0]);
  Array retval;
  vtkAlgorithm  *temp20;
  temp20 = (vtk_pointer)->GetProducer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithmOutput:SetProducer vtkAlgorithmOutputSetProducerFunction
//input a0 a1 
//output none
ArrayVector vtkAlgorithmOutputSetProducerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProducer (vtkAlgorithm *producer); */
  if (arg.size() < 2) 
    throw Exception("Function SetProducer for class vtkAlgorithmOutput requires 2 argument(s)");
  vtkAlgorithmOutput* vtk_pointer = GetVTKPointer<vtkAlgorithmOutput>(arg[0]);
  Array retval;
  vtkAlgorithm  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithm>(arg[1]);
  vtk_pointer->SetProducer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAlgorithmOutput:display vtkAlgorithmOutputDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAlgorithmOutputDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAlgorithmOutput* vtk_pointer = GetVTKPointer<vtkAlgorithmOutput>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAlgorithmOutput:delete vtkAlgorithmOutputDeleteFunction
//input varargin
//output none
ArrayVector vtkAlgorithmOutputDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAlgorithmOutput
//@@Section VTKFiltering
//@@Usage
// vtkAlgorithmOutput is a proxy object returned by the GetOutputPort
// method of vtkAlgorithm.  It may be passed to the
// SetInputConnection, AddInputConnection, or RemoveInputConnection
// methods of another vtkAlgorithm to establish a connection between
// an output and input port.  The connection is not stored in the
// proxy object: it is simply a convenience for creating or removing
// connections.
//
//To create an instance of class vtkAlgorithmOutput, simply
//invoke its constructor as follows
//@[
//  obj = vtkAlgorithmOutput
//@]
//@@Methods
//The class vtkAlgorithmOutput has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAlgorithmOutput class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAlgorithmOutput = obj.NewInstance ()|
// \item @|vtkAlgorithmOutput = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetIndex (int index)|
// \item @|int = obj.GetIndex ()|
// \item @|vtkAlgorithm = obj.GetProducer ()|
// \item @|obj.SetProducer (vtkAlgorithm producer)|
//\end{itemize}
//!
