#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAnnotation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAnnotation.h"

//@@Signature
//sfunction @vtkAnnotation:vtkAnnotation vtkAnnotationConstructorFunction
//input a
//output p
//@@Parents vtkAnnotation vtkDataObject 
ArrayVector vtkAnnotationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAnnotation::New(),"vtkAnnotation",eval);
  } else if (arg[0].className() == "vtkAnnotation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAnnotation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAnnotation");
    vtkAnnotation*q = reinterpret_cast<vtkAnnotation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAnnotation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAnnotation:GetClassName vtkAnnotationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAnnotationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:IsA vtkAnnotationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAnnotation requires 2 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:NewInstance vtkAnnotationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAnnotationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkAnnotation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:SafeDownCast vtkAnnotationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAnnotation requires 2 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAnnotation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:GetSelection vtkAnnotationGetSelectionFunction
//input a0 
//output y
ArrayVector vtkAnnotationGetSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelection *GetSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelection for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkSelection  *temp20;
  temp20 = (vtk_pointer)->GetSelection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:SetSelection vtkAnnotationSetSelectionFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationSetSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelection (vtkSelection *selection); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelection for class vtkAnnotation requires 2 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  vtk_pointer->SetSelection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:GetData__1 vtkAnnotationGetData__1Function
//input a0 a1 
//output y
ArrayVector vtkAnnotationGetData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkAnnotation *GetData (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function GetData__1 for class vtkAnnotation requires 2 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkAnnotation  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->GetData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:GetData__2 vtkAnnotationGetData__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkAnnotationGetData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkAnnotation *GetData (vtkInformationVector *v, int i); */
  if (arg.size() < 3) 
    throw Exception("Function GetData__2 for class vtkAnnotation requires 3 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkAnnotation  *temp20;
  temp0 = GetVTKPointer<vtkInformationVector>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetData(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:LABEL vtkAnnotationLABELFunction
//input a0 
//output y
ArrayVector vtkAnnotationLABELFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationStringKey *LABEL (); */
  if (arg.size() < 1) 
    throw Exception("Function LABEL for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp20;
  temp20 = (vtk_pointer)->LABEL();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationStringKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:COLOR vtkAnnotationCOLORFunction
//input a0 
//output y
ArrayVector vtkAnnotationCOLORFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *COLOR (); */
  if (arg.size() < 1) 
    throw Exception("Function COLOR for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->COLOR();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:OPACITY vtkAnnotationOPACITYFunction
//input a0 
//output y
ArrayVector vtkAnnotationOPACITYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleKey *OPACITY (); */
  if (arg.size() < 1) 
    throw Exception("Function OPACITY for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkInformationDoubleKey  *temp20;
  temp20 = (vtk_pointer)->OPACITY();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:ICON_INDEX vtkAnnotationICON_INDEXFunction
//input a0 
//output y
ArrayVector vtkAnnotationICON_INDEXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *ICON_INDEX (); */
  if (arg.size() < 1) 
    throw Exception("Function ICON_INDEX for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->ICON_INDEX();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:ENABLE vtkAnnotationENABLEFunction
//input a0 
//output y
ArrayVector vtkAnnotationENABLEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *ENABLE (); */
  if (arg.size() < 1) 
    throw Exception("Function ENABLE for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->ENABLE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:HIDE vtkAnnotationHIDEFunction
//input a0 
//output y
ArrayVector vtkAnnotationHIDEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *HIDE (); */
  if (arg.size() < 1) 
    throw Exception("Function HIDE for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->HIDE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:DATA vtkAnnotationDATAFunction
//input a0 
//output y
ArrayVector vtkAnnotationDATAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDataObjectKey *DATA (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkInformationDataObjectKey  *temp20;
  temp20 = (vtk_pointer)->DATA();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDataObjectKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:Initialize vtkAnnotationInitializeFunction
//input a0 
//output none
ArrayVector vtkAnnotationInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:ShallowCopy vtkAnnotationShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *other); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkAnnotation requires 2 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:DeepCopy vtkAnnotationDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *other); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkAnnotation requires 2 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:GetMTime vtkAnnotationGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAnnotationGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAnnotation requires 1 argument(s)");
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotation:GetData vtkAnnotationGetDataFunction
//input varargin
//output varargout
ArrayVector vtkAnnotationGetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformation"))
    return vtkAnnotationGetData__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationVector") && VTKIsScalarArg(arg[2]))
    return vtkAnnotationGetData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAnnotationGetData");
}

//@@Signature
//sfunction @vtkAnnotation:display vtkAnnotationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAnnotationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAnnotation* vtk_pointer = GetVTKPointer<vtkAnnotation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAnnotation:delete vtkAnnotationDeleteFunction
//input varargin
//output none
ArrayVector vtkAnnotationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAnnotation
//@@Section VTKFiltering
//@@Usage
// vtkAnnotation is a collection of annotation properties along with
// an associated selection indicating the portion of data the annotation
// refers to.
//
// .SECTION Thanks
// Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories
// contributed code to this class.
//
//To create an instance of class vtkAnnotation, simply
//invoke its constructor as follows
//@[
//  obj = vtkAnnotation
//@]
//@@Methods
//The class vtkAnnotation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAnnotation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAnnotation = obj.NewInstance ()|
// \item @|vtkAnnotation = obj.SafeDownCast (vtkObject o)|
// \item @|vtkSelection = obj.GetSelection ()| -  The selection to which this set of annotations will apply.
//// \item @|obj.SetSelection (vtkSelection selection)| -  The selection to which this set of annotations will apply.
//// \item @|obj.Initialize ()| -  Initialize the annotation to an empty state.
//// \item @|obj.ShallowCopy (vtkDataObject other)| -  Make this annotation have the same properties and have
// the same selection of another annotation.
//// \item @|obj.DeepCopy (vtkDataObject other)| -  Make this annotation have the same properties and have
// a copy of the selection of another annotation.
//// \item @|long = obj.GetMTime ()| -  Get the modified time of this object.
////\end{itemize}
//!
