#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAnnotationLayers object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAnnotationLayers.h"

//@@Signature
//sfunction @vtkAnnotationLayers:vtkAnnotationLayers vtkAnnotationLayersConstructorFunction
//input a
//output p
//@@Parents vtkAnnotationLayers vtkDataObject 
ArrayVector vtkAnnotationLayersConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAnnotationLayers::New(),"vtkAnnotationLayers",eval);
  } else if (arg[0].className() == "vtkAnnotationLayers") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAnnotationLayers"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAnnotationLayers");
    vtkAnnotationLayers*q = reinterpret_cast<vtkAnnotationLayers*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAnnotationLayers");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAnnotationLayers:GetClassName vtkAnnotationLayersGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAnnotationLayersGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAnnotationLayers requires 1 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:IsA vtkAnnotationLayersIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotationLayersIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAnnotationLayers requires 2 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:NewInstance vtkAnnotationLayersNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAnnotationLayersNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotationLayers *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAnnotationLayers requires 1 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkAnnotationLayers  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotationLayers",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:SafeDownCast vtkAnnotationLayersSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotationLayersSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotationLayers *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAnnotationLayers requires 2 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAnnotationLayers  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotationLayers",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:SetCurrentAnnotation vtkAnnotationLayersSetCurrentAnnotationFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationLayersSetCurrentAnnotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCurrentAnnotation (vtkAnnotation *ann); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentAnnotation for class vtkAnnotationLayers requires 2 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkAnnotation  *temp0;
  temp0 = GetVTKPointer<vtkAnnotation>(arg[1]);
  vtk_pointer->SetCurrentAnnotation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:GetCurrentAnnotation vtkAnnotationLayersGetCurrentAnnotationFunction
//input a0 
//output y
ArrayVector vtkAnnotationLayersGetCurrentAnnotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotation *GetCurrentAnnotation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentAnnotation for class vtkAnnotationLayers requires 1 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkAnnotation  *temp20;
  temp20 = (vtk_pointer)->GetCurrentAnnotation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:SetCurrentSelection vtkAnnotationLayersSetCurrentSelectionFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationLayersSetCurrentSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCurrentSelection (vtkSelection *sel); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentSelection for class vtkAnnotationLayers requires 2 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  vtk_pointer->SetCurrentSelection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:GetCurrentSelection vtkAnnotationLayersGetCurrentSelectionFunction
//input a0 
//output y
ArrayVector vtkAnnotationLayersGetCurrentSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkSelection *GetCurrentSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentSelection for class vtkAnnotationLayers requires 1 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkSelection  *temp20;
  temp20 = (vtk_pointer)->GetCurrentSelection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:GetNumberOfAnnotations vtkAnnotationLayersGetNumberOfAnnotationsFunction
//input a0 
//output y
ArrayVector vtkAnnotationLayersGetNumberOfAnnotationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetNumberOfAnnotations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAnnotations for class vtkAnnotationLayers requires 1 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAnnotations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:GetAnnotation vtkAnnotationLayersGetAnnotationFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotationLayersGetAnnotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotation *GetAnnotation (unsigned int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetAnnotation for class vtkAnnotationLayers requires 2 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkAnnotation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAnnotation(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:AddAnnotation vtkAnnotationLayersAddAnnotationFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationLayersAddAnnotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddAnnotation (vtkAnnotation *ann); */
  if (arg.size() < 2) 
    throw Exception("Function AddAnnotation for class vtkAnnotationLayers requires 2 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkAnnotation  *temp0;
  temp0 = GetVTKPointer<vtkAnnotation>(arg[1]);
  vtk_pointer->AddAnnotation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:RemoveAnnotation vtkAnnotationLayersRemoveAnnotationFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationLayersRemoveAnnotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAnnotation (vtkAnnotation *ann); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveAnnotation for class vtkAnnotationLayers requires 2 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkAnnotation  *temp0;
  temp0 = GetVTKPointer<vtkAnnotation>(arg[1]);
  vtk_pointer->RemoveAnnotation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:Initialize vtkAnnotationLayersInitializeFunction
//input a0 
//output none
ArrayVector vtkAnnotationLayersInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkAnnotationLayers requires 1 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:ShallowCopy vtkAnnotationLayersShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationLayersShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *other); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkAnnotationLayers requires 2 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:DeepCopy vtkAnnotationLayersDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationLayersDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *other); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkAnnotationLayers requires 2 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:GetData__1 vtkAnnotationLayersGetData__1Function
//input a0 a1 
//output y
ArrayVector vtkAnnotationLayersGetData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkAnnotationLayers *GetData (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function GetData__1 for class vtkAnnotationLayers requires 2 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkAnnotationLayers  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->GetData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotationLayers",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:GetData__2 vtkAnnotationLayersGetData__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkAnnotationLayersGetData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkAnnotationLayers *GetData (vtkInformationVector *v, int i); */
  if (arg.size() < 3) 
    throw Exception("Function GetData__2 for class vtkAnnotationLayers requires 3 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkAnnotationLayers  *temp20;
  temp0 = GetVTKPointer<vtkInformationVector>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetData(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotationLayers",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:GetMTime vtkAnnotationLayersGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAnnotationLayersGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAnnotationLayers requires 1 argument(s)");
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLayers:GetData vtkAnnotationLayersGetDataFunction
//input varargin
//output varargout
ArrayVector vtkAnnotationLayersGetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformation"))
    return vtkAnnotationLayersGetData__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationVector") && VTKIsScalarArg(arg[2]))
    return vtkAnnotationLayersGetData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAnnotationLayersGetData");
}

//@@Signature
//sfunction @vtkAnnotationLayers:display vtkAnnotationLayersDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAnnotationLayersDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAnnotationLayers* vtk_pointer = GetVTKPointer<vtkAnnotationLayers>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAnnotationLayers:delete vtkAnnotationLayersDeleteFunction
//input varargin
//output none
ArrayVector vtkAnnotationLayersDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAnnotationLayers
//@@Section VTKFiltering
//@@Usage
// vtkAnnotationLayers stores a vector of annotation layers. Each layer
// may contain any number of vtkAnnotation objects. The ordering of the
// layers introduces a prioritization of annotations. Annotations in
// higher layers may obscure annotations in lower layers.
//
//To create an instance of class vtkAnnotationLayers, simply
//invoke its constructor as follows
//@[
//  obj = vtkAnnotationLayers
//@]
//@@Methods
//The class vtkAnnotationLayers has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAnnotationLayers class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAnnotationLayers = obj.NewInstance ()|
// \item @|vtkAnnotationLayers = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCurrentAnnotation (vtkAnnotation ann)| -  The current annotation associated with this annotation link.
//// \item @|vtkAnnotation = obj.GetCurrentAnnotation ()| -  The current annotation associated with this annotation link.
//// \item @|obj.SetCurrentSelection (vtkSelection sel)| -  The current selection associated with this annotation link.
// This is simply the selection contained in the current annotation.
//// \item @|vtkSelection = obj.GetCurrentSelection ()| -  The current selection associated with this annotation link.
// This is simply the selection contained in the current annotation.
//// \item @|int = obj.GetNumberOfAnnotations ()| -  The number of annotations in a specific layer.
//// \item @|vtkAnnotation = obj.GetAnnotation (int idx)| -  Retrieve an annotation from a layer.
//// \item @|obj.AddAnnotation (vtkAnnotation ann)| -  Add an annotation to a layer.
//// \item @|obj.RemoveAnnotation (vtkAnnotation ann)| -  Remove an annotation from a layer.
//// \item @|obj.Initialize ()| -  Initialize the data structure to an empty state.
//// \item @|obj.ShallowCopy (vtkDataObject other)| -  Copy data from another data object into this one
// which references the same member annotations.
//// \item @|obj.DeepCopy (vtkDataObject other)| -  Copy data from another data object into this one,
// performing a deep copy of member annotations.
//// \item @|long = obj.GetMTime ()| -  The modified time for this object.
////\end{itemize}
//!
