#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArrayData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArrayData.h"

//@@Signature
//sfunction @vtkArrayData:vtkArrayData vtkArrayDataConstructorFunction
//input a
//output p
//@@Parents vtkArrayData vtkDataObject 
ArrayVector vtkArrayDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArrayData::New(),"vtkArrayData",eval);
  } else if (arg[0].className() == "vtkArrayData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArrayData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArrayData");
    vtkArrayData*q = reinterpret_cast<vtkArrayData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArrayData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArrayData:GetClassName vtkArrayDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArrayDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArrayData requires 1 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:IsA vtkArrayDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArrayDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArrayData requires 2 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:NewInstance vtkArrayDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArrayDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArrayData requires 1 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  vtkArrayData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:SafeDownCast vtkArrayDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArrayDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArrayData requires 2 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArrayData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:GetData__1 vtkArrayDataGetData__1Function
//input a0 a1 
//output y
ArrayVector vtkArrayDataGetData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkArrayData *GetData (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function GetData__1 for class vtkArrayData requires 2 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkArrayData  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->GetData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:GetData__2 vtkArrayDataGetData__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkArrayDataGetData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkArrayData *GetData (vtkInformationVector *v, int i); */
  if (arg.size() < 3) 
    throw Exception("Function GetData__2 for class vtkArrayData requires 3 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkArrayData  *temp20;
  temp0 = GetVTKPointer<vtkInformationVector>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetData(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:AddArray vtkArrayDataAddArrayFunction
//input a0 a1 
//output none
ArrayVector vtkArrayDataAddArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddArray (vtkArray *); */
  if (arg.size() < 2) 
    throw Exception("Function AddArray for class vtkArrayData requires 2 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  vtkArray  *temp0;
  temp0 = GetVTKPointer<vtkArray>(arg[1]);
  vtk_pointer->AddArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:ClearArrays vtkArrayDataClearArraysFunction
//input a0 
//output none
ArrayVector vtkArrayDataClearArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearArrays for class vtkArrayData requires 1 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  vtk_pointer->ClearArrays();
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:GetNumberOfArrays vtkArrayDataGetNumberOfArraysFunction
//input a0 
//output y
ArrayVector vtkArrayDataGetNumberOfArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfArrays for class vtkArrayData requires 1 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:GetArray vtkArrayDataGetArrayFunction
//input a0 a1 
//output y
ArrayVector vtkArrayDataGetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArray *GetArray (vtkIdType index); */
  if (arg.size() < 2) 
    throw Exception("Function GetArray for class vtkArrayData requires 2 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetArray(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:GetArrayByName vtkArrayDataGetArrayByNameFunction
//input a0 a1 
//output y
ArrayVector vtkArrayDataGetArrayByNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArray *GetArrayByName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetArrayByName for class vtkArrayData requires 2 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  char    *temp0;
  vtkArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetArrayByName(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:GetDataObjectType vtkArrayDataGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkArrayDataGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_ARRAY_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkArrayData requires 1 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:ShallowCopy vtkArrayDataShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkArrayDataShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *other); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkArrayData requires 2 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:DeepCopy vtkArrayDataDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkArrayDataDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *other); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkArrayData requires 2 argument(s)");
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayData:GetData vtkArrayDataGetDataFunction
//input varargin
//output varargout
ArrayVector vtkArrayDataGetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformation"))
    return vtkArrayDataGetData__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationVector") && VTKIsScalarArg(arg[2]))
    return vtkArrayDataGetData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkArrayDataGetData");
}

//@@Signature
//sfunction @vtkArrayData:display vtkArrayDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArrayDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArrayData* vtk_pointer = GetVTKPointer<vtkArrayData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArrayData:delete vtkArrayDataDeleteFunction
//input varargin
//output none
ArrayVector vtkArrayDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArrayData
//@@Section VTKFiltering
//@@Usage
// Because vtkArray cannot be stored as attributes of data objects (yet), a "carrier"
// object is needed to pass vtkArray through the pipeline.  vtkArrayData acts as a
// container of zero-to-many vtkArray instances, which can be retrieved via a zero-based
// index.  Note that a collection of arrays stored in vtkArrayData may-or-may-not have related
// types, dimensions, or extents.
//
//
//To create an instance of class vtkArrayData, simply
//invoke its constructor as follows
//@[
//  obj = vtkArrayData
//@]
//@@Methods
//The class vtkArrayData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArrayData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArrayData = obj.NewInstance ()|
// \item @|vtkArrayData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddArray (vtkArray )| -  Adds a vtkArray to the collection
//// \item @|obj.ClearArrays ()| -  Clears the contents of the collection
//// \item @|vtkIdType = obj.GetNumberOfArrays ()| -  Returns the number of vtkArray instances in the collection
//// \item @|vtkArray = obj.GetArray (vtkIdType index)| -  Returns the n-th vtkArray in the collection
//// \item @|vtkArray = obj.GetArrayByName (string name)| -  Returns the array having called name from the collection
//// \item @|int = obj.GetDataObjectType ()|
// \item @|obj.ShallowCopy (vtkDataObject other)|
// \item @|obj.DeepCopy (vtkDataObject other)|
//\end{itemize}
//!
