#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAttributesErrorMetric object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAttributesErrorMetric.h"

//@@Signature
//sfunction @vtkAttributesErrorMetric:vtkAttributesErrorMetric vtkAttributesErrorMetricConstructorFunction
//input a
//output p
//@@Parents vtkAttributesErrorMetric vtkGenericSubdivisionErrorMetric 
ArrayVector vtkAttributesErrorMetricConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAttributesErrorMetric::New(),"vtkAttributesErrorMetric",eval);
  } else if (arg[0].className() == "vtkAttributesErrorMetric") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAttributesErrorMetric"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAttributesErrorMetric");
    vtkAttributesErrorMetric*q = reinterpret_cast<vtkAttributesErrorMetric*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAttributesErrorMetric");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAttributesErrorMetric:GetClassName vtkAttributesErrorMetricGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAttributesErrorMetricGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAttributesErrorMetric requires 1 argument(s)");
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAttributesErrorMetric:IsA vtkAttributesErrorMetricIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAttributesErrorMetricIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAttributesErrorMetric requires 2 argument(s)");
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAttributesErrorMetric:NewInstance vtkAttributesErrorMetricNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAttributesErrorMetricNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAttributesErrorMetric *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAttributesErrorMetric requires 1 argument(s)");
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  Array retval;
  vtkAttributesErrorMetric  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAttributesErrorMetric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAttributesErrorMetric:SafeDownCast vtkAttributesErrorMetricSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAttributesErrorMetricSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAttributesErrorMetric *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAttributesErrorMetric requires 2 argument(s)");
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAttributesErrorMetric  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAttributesErrorMetric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAttributesErrorMetric:GetAbsoluteAttributeTolerance vtkAttributesErrorMetricGetAbsoluteAttributeToleranceFunction
//input a0 
//output y
ArrayVector vtkAttributesErrorMetricGetAbsoluteAttributeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAbsoluteAttributeTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbsoluteAttributeTolerance for class vtkAttributesErrorMetric requires 1 argument(s)");
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAbsoluteAttributeTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAttributesErrorMetric:SetAbsoluteAttributeTolerance vtkAttributesErrorMetricSetAbsoluteAttributeToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkAttributesErrorMetricSetAbsoluteAttributeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAbsoluteAttributeTolerance (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetAbsoluteAttributeTolerance for class vtkAttributesErrorMetric requires 2 argument(s)");
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAbsoluteAttributeTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAttributesErrorMetric:GetAttributeTolerance vtkAttributesErrorMetricGetAttributeToleranceFunction
//input a0 
//output y
ArrayVector vtkAttributesErrorMetricGetAttributeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAttributeTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeTolerance for class vtkAttributesErrorMetric requires 1 argument(s)");
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAttributeTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAttributesErrorMetric:SetAttributeTolerance vtkAttributesErrorMetricSetAttributeToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkAttributesErrorMetricSetAttributeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeTolerance (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttributeTolerance for class vtkAttributesErrorMetric requires 2 argument(s)");
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAttributeTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAttributesErrorMetric:RequiresEdgeSubdivision vtkAttributesErrorMetricRequiresEdgeSubdivisionFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkAttributesErrorMetricRequiresEdgeSubdivisionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RequiresEdgeSubdivision (double *leftPoint, double *midPoint, double *rightPoint, double alpha); */
  if (arg.size() < 5) 
    throw Exception("Function RequiresEdgeSubdivision for class vtkAttributesErrorMetric requires 5 argument(s)");
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  double   temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->RequiresEdgeSubdivision(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAttributesErrorMetric:GetError vtkAttributesErrorMetricGetErrorFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkAttributesErrorMetricGetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetError (double *leftPoint, double *midPoint, double *rightPoint, double alpha); */
  if (arg.size() < 5) 
    throw Exception("Function GetError for class vtkAttributesErrorMetric requires 5 argument(s)");
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  double   temp3;
  double   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->GetError(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAttributesErrorMetric:display vtkAttributesErrorMetricDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAttributesErrorMetricDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAttributesErrorMetric* vtk_pointer = GetVTKPointer<vtkAttributesErrorMetric>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAttributesErrorMetric:delete vtkAttributesErrorMetricDeleteFunction
//input varargin
//output none
ArrayVector vtkAttributesErrorMetricDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAttributesErrorMetric
//@@Section VTKFiltering
//@@Usage
// It is a concrete error metric, based on an attribute criterium:
// the variation of the active attribute/component value from a linear ramp
//
//
//To create an instance of class vtkAttributesErrorMetric, simply
//invoke its constructor as follows
//@[
//  obj = vtkAttributesErrorMetric
//@]
//@@Methods
//The class vtkAttributesErrorMetric has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAttributesErrorMetric class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK type and error macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK type and error macros.
//// \item @|vtkAttributesErrorMetric = obj.NewInstance ()| -  Standard VTK type and error macros.
//// \item @|vtkAttributesErrorMetric = obj.SafeDownCast (vtkObject o)| -  Standard VTK type and error macros.
//// \item @|double = obj.GetAbsoluteAttributeTolerance ()| -  Absolute tolerance of the active scalar (attribute+component).
// Subdivision is required if the square distance between the real attribute
// at the mid point on the edge and the interpolated attribute is greater
// than AbsoluteAttributeTolerance.
// This is the attribute accuracy.
// 0.01 will give better result than 0.1.
//// \item @|obj.SetAbsoluteAttributeTolerance (double value)| -  Set the absolute attribute accuracy to `value'. See
// GetAbsoluteAttributeTolerance() for details.
// It is particularly useful when some concrete implementation of
// vtkGenericAttribute does not support GetRange() request, called
// internally in SetAttributeTolerance(). It may happen when the
// implementation support higher order attributes but
// cannot compute the range.
// \pre valid_range_value: value>0
//// \item @|double = obj.GetAttributeTolerance ()| -  Relative tolerance of the active scalar (attribute+component).
// Subdivision is required if the square distance between the real attribute
// at the mid point on the edge and the interpolated attribute is greater
// than AttributeTolerance.
// This is the attribute accuracy.
// 0.01 will give better result than 0.1.
//// \item @|obj.SetAttributeTolerance (double value)| -  Set the relative attribute accuracy to `value'. See
// GetAttributeTolerance() for details.
// \pre valid_range_value: value>0 && value<1
//// \item @|int = obj.RequiresEdgeSubdivision (double leftPoint, double midPoint, double rightPoint, double alpha)| -  Does the edge need to be subdivided according to the distance between
// the value of the active attribute/component at the midpoint and the mean
// value between the endpoints?
// The edge is defined by its `leftPoint' and its `rightPoint'.
// `leftPoint', `midPoint' and `rightPoint' have to be initialized before
// calling RequiresEdgeSubdivision().
// Their format is global coordinates, parametric coordinates and
// point centered attributes: xyx rst abc de...
// `alpha' is the normalized abscissa of the midpoint along the edge.
// (close to 0 means close to the left point, close to 1 means close to the
// right point)
// \pre leftPoint_exists: leftPoint!=0
// \pre midPoint_exists: midPoint!=0
// \pre rightPoint_exists: rightPoint!=0
// \pre clamped_alpha: alpha>0 && alpha<1
// \pre valid_size: sizeof(leftPoint)=sizeof(midPoint)=sizeof(rightPoint)
//          =GetAttributeCollection()->GetNumberOfPointCenteredComponents()+6
//// \item @|double = obj.GetError (double leftPoint, double midPoint, double rightPoint, double alpha)| -  Return the error at the mid-point. The type of error depends on the state
// of the concrete error metric. For instance, it can return an absolute
// or relative error metric.
// See RequiresEdgeSubdivision() for a description of the arguments.
// \pre leftPoint_exists: leftPoint!=0
// \pre midPoint_exists: midPoint!=0
// \pre rightPoint_exists: rightPoint!=0
// \pre clamped_alpha: alpha>0 && alpha<1
// \pre valid_size: sizeof(leftPoint)=sizeof(midPoint)=sizeof(rightPoint)
//          =GetAttributeCollection()->GetNumberOfPointCenteredComponents()+6
// \post positive_result: result>=0
////\end{itemize}
//!
