#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBSPCuts object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBSPCuts.h"

//@@Signature
//sfunction @vtkBSPCuts:vtkBSPCuts vtkBSPCutsConstructorFunction
//input a
//output p
//@@Parents vtkBSPCuts vtkObject 
ArrayVector vtkBSPCutsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBSPCuts::New(),"vtkBSPCuts",eval);
  } else if (arg[0].className() == "vtkBSPCuts") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBSPCuts"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBSPCuts");
    vtkBSPCuts*q = reinterpret_cast<vtkBSPCuts*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBSPCuts");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBSPCuts:GetClassName vtkBSPCutsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBSPCutsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBSPCuts requires 1 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:IsA vtkBSPCutsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBSPCutsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBSPCuts requires 2 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:NewInstance vtkBSPCutsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBSPCutsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBSPCuts *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBSPCuts requires 1 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  vtkBSPCuts  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBSPCuts",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:SafeDownCast vtkBSPCutsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBSPCutsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBSPCuts *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBSPCuts requires 2 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBSPCuts  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBSPCuts",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:CreateCuts__1 vtkBSPCutsCreateCuts__1Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkBSPCutsCreateCuts__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateCuts (double *bounds, int ncuts, int *dim, double *coord, int *lower, int *upper, double *lowerDataCoord, double *upperDataCoord, int *npoints); */
  if (arg.size() < 10) 
    throw Exception("Function CreateCuts__1 for class vtkBSPCuts requires 10 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  int     *temp2;
  double  *temp3;
  int     *temp4;
  int     *temp5;
  double  *temp6;
  double  *temp7;
  int     *temp8;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new int[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (int)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new int[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (int)data[k+1];
      }
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp6 = new double[length];
      for ( int k = 0; k < length; k++ ) temp6[k] = (double)data[k+1];
      }
    if ( !arg[8].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[8].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp7 = new double[length];
      for ( int k = 0; k < length; k++ ) temp7[k] = (double)data[k+1];
      }
    if ( !arg[9].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[9].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp8 = new int[length];
      for ( int k = 0; k < length; k++ ) temp8[k] = (int)data[k+1];
      }
  vtk_pointer->CreateCuts(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:CreateCuts__2 vtkBSPCutsCreateCuts__2Function
//input a0 a1 
//output none
ArrayVector vtkBSPCutsCreateCuts__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateCuts (vtkKdNode *kd); */
  if (arg.size() < 2) 
    throw Exception("Function CreateCuts__2 for class vtkBSPCuts requires 2 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  vtkKdNode  *temp0;
  temp0 = GetVTKPointer<vtkKdNode>(arg[1]);
  vtk_pointer->CreateCuts(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:GetKdNodeTree vtkBSPCutsGetKdNodeTreeFunction
//input a0 
//output y
ArrayVector vtkBSPCutsGetKdNodeTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdNode *GetKdNodeTree ();return this Top  */
  if (arg.size() < 1) 
    throw Exception("Function GetKdNodeTree for class vtkBSPCuts requires 1 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  vtkKdNode  *temp20;
  temp20 = (vtk_pointer)->GetKdNodeTree();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:GetNumberOfCuts vtkBSPCutsGetNumberOfCutsFunction
//input a0 
//output y
ArrayVector vtkBSPCutsGetNumberOfCutsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCuts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCuts for class vtkBSPCuts requires 1 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCuts();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:GetArrays vtkBSPCutsGetArraysFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output y
ArrayVector vtkBSPCutsGetArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrays (int len, int *dim, double *coord, int *lower, int *upper, double *lowerDataCoord, double *upperDataCoord, int *npoints); */
  if (arg.size() < 9) 
    throw Exception("Function GetArrays for class vtkBSPCuts requires 9 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  double  *temp2;
  int     *temp3;
  int     *temp4;
  double  *temp5;
  double  *temp6;
  int     *temp7;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new int[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (int)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp6 = new double[length];
      for ( int k = 0; k < length; k++ ) temp6[k] = (double)data[k+1];
      }
    if ( !arg[8].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[8].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp7 = new int[length];
      for ( int k = 0; k < length; k++ ) temp7[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->GetArrays(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:Equals vtkBSPCutsEqualsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkBSPCutsEqualsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Equals (vtkBSPCuts *other, double tolerance); */
  if (arg.size() < 3) 
    throw Exception("Function Equals for class vtkBSPCuts requires 3 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  vtkBSPCuts  *temp0;
  double   temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkBSPCuts>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->Equals(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:PrintTree vtkBSPCutsPrintTreeFunction
//input a0 
//output none
ArrayVector vtkBSPCutsPrintTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrintTree (); */
  if (arg.size() < 1) 
    throw Exception("Function PrintTree for class vtkBSPCuts requires 1 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  vtk_pointer->PrintTree();
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:PrintArrays vtkBSPCutsPrintArraysFunction
//input a0 
//output none
ArrayVector vtkBSPCutsPrintArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrintArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function PrintArrays for class vtkBSPCuts requires 1 argument(s)");
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  Array retval;
  vtk_pointer->PrintArrays();
  return retval;
}

//@@Signature
//sfunction @vtkBSPCuts:CreateCuts vtkBSPCutsCreateCutsFunction
//input varargin
//output varargout
ArrayVector vtkBSPCutsCreateCutsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 10) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]) && VTKIsVectorArg(arg[7]) && VTKIsVectorArg(arg[8]) && VTKIsVectorArg(arg[9]))
    return vtkBSPCutsCreateCuts__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkKdNode"))
    return vtkBSPCutsCreateCuts__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBSPCutsCreateCuts");
}

//@@Signature
//sfunction @vtkBSPCuts:display vtkBSPCutsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBSPCutsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBSPCuts* vtk_pointer = GetVTKPointer<vtkBSPCuts>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBSPCuts:delete vtkBSPCutsDeleteFunction
//input varargin
//output none
ArrayVector vtkBSPCutsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBSPCuts
//@@Section VTKFiltering
//@@Usage
//    This class converts between the vtkKdTree 
//    representation of a tree of vtkKdNodes (used by vtkDistributedDataFilter)
//    and a compact array representation that might be provided by a 
//    graph partitioning library like Zoltan.  Such a representation
//    could be used in message passing.
//     
//
//To create an instance of class vtkBSPCuts, simply
//invoke its constructor as follows
//@[
//  obj = vtkBSPCuts
//@]
//@@Methods
//The class vtkBSPCuts has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBSPCuts class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBSPCuts = obj.NewInstance ()|
// \item @|vtkBSPCuts = obj.SafeDownCast (vtkObject o)|
// \item @|obj.CreateCuts (double bounds, int ncuts, int dim, double coord, int lower, int upper, double lowerDataCoord, double upperDataCoord, int npoints)|
// \item @|obj.CreateCuts (vtkKdNode kd)|
// \item @|vtkKdNode = obj.GetKdNodeTree ()|
// \item @|int = obj.GetNumberOfCuts ()|
// \item @|int = obj.GetArrays (int len, int dim, double coord, int lower, int upper, double lowerDataCoord, double upperDataCoord, int npoints)|
// \item @|int = obj.Equals (vtkBSPCuts other, double tolerance)| -  Compare these cuts with those of the other tree.  Returns true if
// the two trees are the same.
//// \item @|obj.PrintTree ()|
// \item @|obj.PrintArrays ()|
//\end{itemize}
//!
