#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBSPIntersections object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBSPIntersections.h"

//@@Signature
//sfunction @vtkBSPIntersections:vtkBSPIntersections vtkBSPIntersectionsConstructorFunction
//input a
//output p
//@@Parents vtkBSPIntersections vtkObject 
ArrayVector vtkBSPIntersectionsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBSPIntersections::New(),"vtkBSPIntersections",eval);
  } else if (arg[0].className() == "vtkBSPIntersections") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBSPIntersections"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBSPIntersections");
    vtkBSPIntersections*q = reinterpret_cast<vtkBSPIntersections*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBSPIntersections");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBSPIntersections:GetClassName vtkBSPIntersectionsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBSPIntersectionsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBSPIntersections requires 1 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:IsA vtkBSPIntersectionsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBSPIntersectionsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBSPIntersections requires 2 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:NewInstance vtkBSPIntersectionsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBSPIntersectionsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBSPIntersections *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBSPIntersections requires 1 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  vtkBSPIntersections  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBSPIntersections",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:SafeDownCast vtkBSPIntersectionsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBSPIntersectionsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBSPIntersections *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBSPIntersections requires 2 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBSPIntersections  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBSPIntersections",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:SetCuts vtkBSPIntersectionsSetCutsFunction
//input a0 a1 
//output none
ArrayVector vtkBSPIntersectionsSetCutsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCuts (vtkBSPCuts *cuts); */
  if (arg.size() < 2) 
    throw Exception("Function SetCuts for class vtkBSPIntersections requires 2 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  vtkBSPCuts  *temp0;
  temp0 = GetVTKPointer<vtkBSPCuts>(arg[1]);
  vtk_pointer->SetCuts(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:GetCuts vtkBSPIntersectionsGetCutsFunction
//input a0 
//output y
ArrayVector vtkBSPIntersectionsGetCutsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBSPCuts *GetCuts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCuts for class vtkBSPIntersections requires 1 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  vtkBSPCuts  *temp20;
  temp20 = (vtk_pointer)->GetCuts();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBSPCuts",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:GetBounds vtkBSPIntersectionsGetBoundsFunction
//input a0 a1 
//output y
ArrayVector vtkBSPIntersectionsGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBounds (double *bounds); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds for class vtkBSPIntersections requires 2 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->GetBounds(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:GetNumberOfRegions vtkBSPIntersectionsGetNumberOfRegionsFunction
//input a0 
//output y
ArrayVector vtkBSPIntersectionsGetNumberOfRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRegions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRegions for class vtkBSPIntersections requires 1 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRegions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:GetRegionBounds vtkBSPIntersectionsGetRegionBoundsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkBSPIntersectionsGetRegionBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionBounds (int regionID, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionBounds for class vtkBSPIntersections requires 3 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[6];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetRegionBounds(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:GetRegionDataBounds vtkBSPIntersectionsGetRegionDataBoundsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkBSPIntersectionsGetRegionDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionDataBounds (int regionID, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionDataBounds for class vtkBSPIntersections requires 3 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[6];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetRegionDataBounds(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsBox__1 vtkBSPIntersectionsIntersectsBox__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkBSPIntersectionsIntersectsBox__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsBox (int regionId, double *x); */
  if (arg.size() < 3) 
    throw Exception("Function IntersectsBox__1 for class vtkBSPIntersections requires 3 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->IntersectsBox(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsBox__2 vtkBSPIntersectionsIntersectsBox__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkBSPIntersectionsIntersectsBox__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsBox (int regionId, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 8) 
    throw Exception("Function IntersectsBox__2 for class vtkBSPIntersections requires 8 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  temp20 = (vtk_pointer)->IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsBox__3 vtkBSPIntersectionsIntersectsBox__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkBSPIntersectionsIntersectsBox__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsBox (int *ids, int len, double *x); */
  if (arg.size() < 4) 
    throw Exception("Function IntersectsBox__3 for class vtkBSPIntersections requires 4 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp1;
  double  *temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->IntersectsBox(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsBox__4 vtkBSPIntersectionsIntersectsBox__4Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output y
ArrayVector vtkBSPIntersectionsIntersectsBox__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsBox (int *ids, int len, double x0, double x1, double y0, double y1, double z0, double z1); */
  if (arg.size() < 9) 
    throw Exception("Function IntersectsBox__4 for class vtkBSPIntersections requires 9 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  temp20 = (vtk_pointer)->IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsSphere2__1 vtkBSPIntersectionsIntersectsSphere2__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkBSPIntersectionsIntersectsSphere2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsSphere2 (int regionId, double x, double y, double z, double rSquared); */
  if (arg.size() < 6) 
    throw Exception("Function IntersectsSphere2__1 for class vtkBSPIntersections requires 6 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  temp20 = (vtk_pointer)->IntersectsSphere2(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsSphere2__2 vtkBSPIntersectionsIntersectsSphere2__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkBSPIntersectionsIntersectsSphere2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsSphere2 (int *ids, int len, double x, double y, double z, double rSquared); */
  if (arg.size() < 7) 
    throw Exception("Function IntersectsSphere2__2 for class vtkBSPIntersections requires 7 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  temp20 = (vtk_pointer)->IntersectsSphere2(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsCell__1 vtkBSPIntersectionsIntersectsCell__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkBSPIntersectionsIntersectsCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsCell (int regionId, vtkCell *cell, int cellRegion); */
  if (arg.size() < 4) 
    throw Exception("Function IntersectsCell__1 for class vtkBSPIntersections requires 4 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkCell>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->IntersectsCell(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsCell__2 vtkBSPIntersectionsIntersectsCell__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkBSPIntersectionsIntersectsCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsCell (int *ids, int len, vtkCell *cell, int cellRegion); */
  if (arg.size() < 5) 
    throw Exception("Function IntersectsCell__2 for class vtkBSPIntersections requires 5 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp1;
  vtkCell  *temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkCell>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->IntersectsCell(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:GetComputeIntersectionsUsingDataBounds vtkBSPIntersectionsGetComputeIntersectionsUsingDataBoundsFunction
//input a0 
//output y
ArrayVector vtkBSPIntersectionsGetComputeIntersectionsUsingDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeIntersectionsUsingDataBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeIntersectionsUsingDataBounds for class vtkBSPIntersections requires 1 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeIntersectionsUsingDataBounds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:SetComputeIntersectionsUsingDataBounds vtkBSPIntersectionsSetComputeIntersectionsUsingDataBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkBSPIntersectionsSetComputeIntersectionsUsingDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeIntersectionsUsingDataBounds (int c); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeIntersectionsUsingDataBounds for class vtkBSPIntersections requires 2 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeIntersectionsUsingDataBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:ComputeIntersectionsUsingDataBoundsOn vtkBSPIntersectionsComputeIntersectionsUsingDataBoundsOnFunction
//input a0 
//output none
ArrayVector vtkBSPIntersectionsComputeIntersectionsUsingDataBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeIntersectionsUsingDataBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeIntersectionsUsingDataBoundsOn for class vtkBSPIntersections requires 1 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  vtk_pointer->ComputeIntersectionsUsingDataBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:ComputeIntersectionsUsingDataBoundsOff vtkBSPIntersectionsComputeIntersectionsUsingDataBoundsOffFunction
//input a0 
//output none
ArrayVector vtkBSPIntersectionsComputeIntersectionsUsingDataBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeIntersectionsUsingDataBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeIntersectionsUsingDataBoundsOff for class vtkBSPIntersections requires 1 argument(s)");
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  Array retval;
  vtk_pointer->ComputeIntersectionsUsingDataBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsBox vtkBSPIntersectionsIntersectsBoxFunction
//input varargin
//output varargout
ArrayVector vtkBSPIntersectionsIntersectsBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkBSPIntersectionsIntersectsBox__1Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkBSPIntersectionsIntersectsBox__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkBSPIntersectionsIntersectsBox__3Function(nargout,arg,eval);
  if ((arg.size() == 9) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]) && VTKIsScalarArg(arg[8]))
    return vtkBSPIntersectionsIntersectsBox__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBSPIntersectionsIntersectsBox");
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsSphere2 vtkBSPIntersectionsIntersectsSphere2Function
//input varargin
//output varargout
ArrayVector vtkBSPIntersectionsIntersectsSphere2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkBSPIntersectionsIntersectsSphere2__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkBSPIntersectionsIntersectsSphere2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBSPIntersectionsIntersectsSphere2");
}

//@@Signature
//sfunction @vtkBSPIntersections:IntersectsCell vtkBSPIntersectionsIntersectsCellFunction
//input varargin
//output varargout
ArrayVector vtkBSPIntersectionsIntersectsCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkCell") && VTKIsScalarArg(arg[3]))
    return vtkBSPIntersectionsIntersectsCell__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkCell") && VTKIsScalarArg(arg[4]))
    return vtkBSPIntersectionsIntersectsCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBSPIntersectionsIntersectsCell");
}

//@@Signature
//sfunction @vtkBSPIntersections:display vtkBSPIntersectionsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBSPIntersectionsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBSPIntersections* vtk_pointer = GetVTKPointer<vtkBSPIntersections>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBSPIntersections:delete vtkBSPIntersectionsDeleteFunction
//input varargin
//output none
ArrayVector vtkBSPIntersectionsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBSPIntersections
//@@Section VTKFiltering
//@@Usage
//    Given an axis aligned binary spatial partitioning described by a
//    vtkBSPCuts object, perform intersection queries on various
//    geometric entities with regions of the spatial partitioning.
//
//
//To create an instance of class vtkBSPIntersections, simply
//invoke its constructor as follows
//@[
//  obj = vtkBSPIntersections
//@]
//@@Methods
//The class vtkBSPIntersections has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBSPIntersections class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBSPIntersections = obj.NewInstance ()|
// \item @|vtkBSPIntersections = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCuts (vtkBSPCuts cuts)|
// \item @|vtkBSPCuts = obj.GetCuts ()|
// \item @|int = obj.GetBounds (double bounds)|
// \item @|int = obj.GetNumberOfRegions ()|
// \item @|int = obj.GetRegionBounds (int regionID, double bounds[6])|
// \item @|int = obj.GetRegionDataBounds (int regionID, double bounds[6])|
// \item @|int = obj.IntersectsBox (int regionId, double x)| -     Determine whether a region of the spatial decomposition 
//    intersects an axis aligned box.
//// \item @|int = obj.IntersectsBox (int regionId, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -     Determine whether a region of the spatial decomposition 
//    intersects an axis aligned box.
//// \item @|int = obj.IntersectsBox (int ids, int len, double x)| -     Compute a list of the Ids of all regions that 
//    intersect the specified axis aligned box.
//    Returns: the number of ids in the list.
//// \item @|int = obj.IntersectsBox (int ids, int len, double x0, double x1, double y0, double y1, double z0, double z1)| -     Compute a list of the Ids of all regions that 
//    intersect the specified axis aligned box.
//    Returns: the number of ids in the list.
//// \item @|int = obj.IntersectsSphere2 (int regionId, double x, double y, double z, double rSquared)| -     Determine whether a region of the spatial decomposition 
//    intersects a sphere, given the center of the sphere 
//    and the square of it's radius.
//// \item @|int = obj.IntersectsSphere2 (int ids, int len, double x, double y, double z, double rSquared)| -     Compute a list of the Ids of all regions that 
//    intersect the specified sphere.  The sphere is given
//    by it's center and the square of it's radius.
//    Returns: the number of ids in the list.
//// \item @|int = obj.IntersectsCell (int regionId, vtkCell cell, int cellRegion)| -     Determine whether a region of the spatial decomposition
//    intersects the given cell.  If you already
//    know the region that the cell centroid lies in, provide 
//    that as the last argument to make the computation quicker.
//// \item @|int = obj.IntersectsCell (int ids, int len, vtkCell cell, int cellRegion)| -     Compute a list of the Ids of all regions that
//    intersect the given cell.  If you alrady
//    know the region that the cell centroid lies in, provide
//    that as the last argument to make the computation quicker.
//    Returns the number of regions the cell intersects.
//// \item @|int = obj.GetComputeIntersectionsUsingDataBounds ()|
// \item @|obj.SetComputeIntersectionsUsingDataBounds (int c)|
// \item @|obj.ComputeIntersectionsUsingDataBoundsOn ()|
// \item @|obj.ComputeIntersectionsUsingDataBoundsOff ()|
//\end{itemize}
//!
