#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBiQuadraticQuad object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBiQuadraticQuad.h"

//@@Signature
//sfunction @vtkBiQuadraticQuad:vtkBiQuadraticQuad vtkBiQuadraticQuadConstructorFunction
//input a
//output p
//@@Parents vtkBiQuadraticQuad vtkNonLinearCell 
ArrayVector vtkBiQuadraticQuadConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBiQuadraticQuad::New(),"vtkBiQuadraticQuad",eval);
  } else if (arg[0].className() == "vtkBiQuadraticQuad") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBiQuadraticQuad"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBiQuadraticQuad");
    vtkBiQuadraticQuad*q = reinterpret_cast<vtkBiQuadraticQuad*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBiQuadraticQuad");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBiQuadraticQuad:GetClassName vtkBiQuadraticQuadGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBiQuadraticQuadGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBiQuadraticQuad requires 1 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:IsA vtkBiQuadraticQuadIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBiQuadraticQuadIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBiQuadraticQuad requires 2 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:NewInstance vtkBiQuadraticQuadNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBiQuadraticQuadNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBiQuadraticQuad *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBiQuadraticQuad requires 1 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  vtkBiQuadraticQuad  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBiQuadraticQuad",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:SafeDownCast vtkBiQuadraticQuadSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBiQuadraticQuadSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBiQuadraticQuad *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBiQuadraticQuad requires 2 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBiQuadraticQuad  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBiQuadraticQuad",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:GetCellType vtkBiQuadraticQuadGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkBiQuadraticQuadGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType ();return VTK_BIQUADRATIC_QUAD  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkBiQuadraticQuad requires 1 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:GetCellDimension vtkBiQuadraticQuadGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkBiQuadraticQuadGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkBiQuadraticQuad requires 1 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:GetNumberOfEdges vtkBiQuadraticQuadGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkBiQuadraticQuadGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkBiQuadraticQuad requires 1 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:GetNumberOfFaces vtkBiQuadraticQuadGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkBiQuadraticQuadGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkBiQuadraticQuad requires 1 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:GetEdge vtkBiQuadraticQuadGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkBiQuadraticQuadGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkBiQuadraticQuad requires 2 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:GetFace vtkBiQuadraticQuadGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkBiQuadraticQuadGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int );return  */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkBiQuadraticQuad requires 2 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:CellBoundary vtkBiQuadraticQuadCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkBiQuadraticQuadCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkBiQuadraticQuad requires 4 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:Triangulate vtkBiQuadraticQuadTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkBiQuadraticQuadTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkBiQuadraticQuad requires 4 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:Derivatives vtkBiQuadraticQuadDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkBiQuadraticQuadDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkBiQuadraticQuad requires 6 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:Contour vtkBiQuadraticQuadContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkBiQuadraticQuadContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkBiQuadraticQuad requires 12 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:Clip vtkBiQuadraticQuadClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkBiQuadraticQuadClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut); */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkBiQuadraticQuad requires 11 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:GetParametricCenter vtkBiQuadraticQuadGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkBiQuadraticQuadGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParametricCenter (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkBiQuadraticQuad requires 2 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:InterpolationFunctions vtkBiQuadraticQuadInterpolationFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBiQuadraticQuadInterpolationFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationFunctions (double pcoords[3], double weights[9]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationFunctions for class vtkBiQuadraticQuad requires 3 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:InterpolationDerivs vtkBiQuadraticQuadInterpolationDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBiQuadraticQuadInterpolationDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationDerivs (double pcoords[3], double derivs[18]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationDerivs for class vtkBiQuadraticQuad requires 3 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[18];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 18) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:InterpolateFunctions vtkBiQuadraticQuadInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBiQuadraticQuadInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double weights[9]);vtkBiQuadraticQuad InterpolationFunctions pcoords weights  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkBiQuadraticQuad requires 3 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:InterpolateDerivs vtkBiQuadraticQuadInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBiQuadraticQuadInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double derivs[18]);vtkBiQuadraticQuad InterpolationDerivs pcoords derivs  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkBiQuadraticQuad requires 3 argument(s)");
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[18];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 18) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBiQuadraticQuad:display vtkBiQuadraticQuadDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBiQuadraticQuadDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBiQuadraticQuad* vtk_pointer = GetVTKPointer<vtkBiQuadraticQuad>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBiQuadraticQuad:delete vtkBiQuadraticQuadDeleteFunction
//input varargin
//output none
ArrayVector vtkBiQuadraticQuadDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBiQuadraticQuad
//@@Section VTKFiltering
//@@Usage
// vtkQuadraticQuad is a concrete implementation of vtkNonLinearCell to
// represent a two-dimensional, 9-node isoparametric parabolic quadrilateral
// element with a Centerpoint. The interpolation is the standard finite
// element, quadratic isoparametric shape function. The cell includes a
// mid-edge node for each of the four edges of the cell and a center node at
// the surface. The ordering of the eight points defining the cell are point
// ids (0-3,4-8) where ids 0-3 define the four corner vertices of the quad;
// ids 4-7 define the midedge nodes (0,1), (1,2), (2,3), (3,0) and 8 define
// the face center node.
//
//
//To create an instance of class vtkBiQuadraticQuad, simply
//invoke its constructor as follows
//@[
//  obj = vtkBiQuadraticQuad
//@]
//@@Methods
//The class vtkBiQuadraticQuad has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBiQuadraticQuad class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBiQuadraticQuad = obj.NewInstance ()|
// \item @|vtkBiQuadraticQuad = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetCellType ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.GetCellDimension ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|vtkCell = obj.GetEdge (int )| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|vtkCell = obj.GetFace (int )|
// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)|
// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)|
// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)|
// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)|
// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  Clip this biquadratic quad using scalar value provided. Like contouring,
// except that it cuts the twi quads to produce linear triangles.
//// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  Return the center of the pyramid in parametric coordinates.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double weights[9])| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs[18])|
//\end{itemize}
//!
