#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCardinalSpline object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCardinalSpline.h"

//@@Signature
//sfunction @vtkCardinalSpline:vtkCardinalSpline vtkCardinalSplineConstructorFunction
//input a
//output p
//@@Parents vtkCardinalSpline vtkSpline 
ArrayVector vtkCardinalSplineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCardinalSpline::New(),"vtkCardinalSpline",eval);
  } else if (arg[0].className() == "vtkCardinalSpline") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCardinalSpline"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCardinalSpline");
    vtkCardinalSpline*q = reinterpret_cast<vtkCardinalSpline*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCardinalSpline");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCardinalSpline:GetClassName vtkCardinalSplineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCardinalSplineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCardinalSpline requires 1 argument(s)");
  vtkCardinalSpline* vtk_pointer = GetVTKPointer<vtkCardinalSpline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCardinalSpline:IsA vtkCardinalSplineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCardinalSplineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCardinalSpline requires 2 argument(s)");
  vtkCardinalSpline* vtk_pointer = GetVTKPointer<vtkCardinalSpline>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCardinalSpline:NewInstance vtkCardinalSplineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCardinalSplineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCardinalSpline *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCardinalSpline requires 1 argument(s)");
  vtkCardinalSpline* vtk_pointer = GetVTKPointer<vtkCardinalSpline>(arg[0]);
  Array retval;
  vtkCardinalSpline  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCardinalSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCardinalSpline:SafeDownCast vtkCardinalSplineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCardinalSplineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCardinalSpline *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCardinalSpline requires 2 argument(s)");
  vtkCardinalSpline* vtk_pointer = GetVTKPointer<vtkCardinalSpline>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCardinalSpline  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCardinalSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCardinalSpline:Compute vtkCardinalSplineComputeFunction
//input a0 
//output none
ArrayVector vtkCardinalSplineComputeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Compute (); */
  if (arg.size() < 1) 
    throw Exception("Function Compute for class vtkCardinalSpline requires 1 argument(s)");
  vtkCardinalSpline* vtk_pointer = GetVTKPointer<vtkCardinalSpline>(arg[0]);
  Array retval;
  vtk_pointer->Compute();
  return retval;
}

//@@Signature
//sfunction @vtkCardinalSpline:Evaluate vtkCardinalSplineEvaluateFunction
//input a0 a1 
//output y
ArrayVector vtkCardinalSplineEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double Evaluate (double t); */
  if (arg.size() < 2) 
    throw Exception("Function Evaluate for class vtkCardinalSpline requires 2 argument(s)");
  vtkCardinalSpline* vtk_pointer = GetVTKPointer<vtkCardinalSpline>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->Evaluate(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCardinalSpline:DeepCopy vtkCardinalSplineDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCardinalSplineDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkSpline *s); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkCardinalSpline requires 2 argument(s)");
  vtkCardinalSpline* vtk_pointer = GetVTKPointer<vtkCardinalSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp0;
  temp0 = GetVTKPointer<vtkSpline>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCardinalSpline:display vtkCardinalSplineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCardinalSplineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCardinalSpline* vtk_pointer = GetVTKPointer<vtkCardinalSpline>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCardinalSpline:delete vtkCardinalSplineDeleteFunction
//input varargin
//output none
ArrayVector vtkCardinalSplineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCardinalSpline
//@@Section VTKFiltering
//@@Usage
// vtkCardinalSpline is a concrete implementation of vtkSpline using a
// Cardinal basis.
//
//To create an instance of class vtkCardinalSpline, simply
//invoke its constructor as follows
//@[
//  obj = vtkCardinalSpline
//@]
//@@Methods
//The class vtkCardinalSpline has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCardinalSpline class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCardinalSpline = obj.NewInstance ()|
// \item @|vtkCardinalSpline = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Compute ()|
// \item @|double = obj.Evaluate (double t)| -  Evaluate a 1D cardinal spline.
//// \item @|obj.DeepCopy (vtkSpline s)| -  Deep copy of cardinal spline data.
////\end{itemize}
//!
