#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCastToConcrete object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCastToConcrete.h"

//@@Signature
//sfunction @vtkCastToConcrete:vtkCastToConcrete vtkCastToConcreteConstructorFunction
//input a
//output p
//@@Parents vtkCastToConcrete vtkDataSetAlgorithm 
ArrayVector vtkCastToConcreteConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCastToConcrete::New(),"vtkCastToConcrete",eval);
  } else if (arg[0].className() == "vtkCastToConcrete") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCastToConcrete"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCastToConcrete");
    vtkCastToConcrete*q = reinterpret_cast<vtkCastToConcrete*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCastToConcrete");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCastToConcrete:GetClassName vtkCastToConcreteGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCastToConcreteGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCastToConcrete requires 1 argument(s)");
  vtkCastToConcrete* vtk_pointer = GetVTKPointer<vtkCastToConcrete>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCastToConcrete:IsA vtkCastToConcreteIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCastToConcreteIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCastToConcrete requires 2 argument(s)");
  vtkCastToConcrete* vtk_pointer = GetVTKPointer<vtkCastToConcrete>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCastToConcrete:NewInstance vtkCastToConcreteNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCastToConcreteNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCastToConcrete *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCastToConcrete requires 1 argument(s)");
  vtkCastToConcrete* vtk_pointer = GetVTKPointer<vtkCastToConcrete>(arg[0]);
  Array retval;
  vtkCastToConcrete  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCastToConcrete",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCastToConcrete:SafeDownCast vtkCastToConcreteSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCastToConcreteSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCastToConcrete *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCastToConcrete requires 2 argument(s)");
  vtkCastToConcrete* vtk_pointer = GetVTKPointer<vtkCastToConcrete>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCastToConcrete  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCastToConcrete",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCastToConcrete:display vtkCastToConcreteDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCastToConcreteDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCastToConcrete* vtk_pointer = GetVTKPointer<vtkCastToConcrete>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCastToConcrete:delete vtkCastToConcreteDeleteFunction
//input varargin
//output none
ArrayVector vtkCastToConcreteDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCastToConcrete
//@@Section VTKFiltering
//@@Usage
// vtkCastToConcrete is a filter that works around type-checking limitations
// in the filter classes. Some filters generate abstract types on output, 
// and cannot be connected to the input of filters requiring a concrete
// input type. For example, vtkElevationFilter generates vtkDataSet for output,
// and cannot be connected to vtkDecimate, because vtkDecimate requires 
// vtkPolyData as input. This is true even though (in this example) the input 
// to vtkElevationFilter is of type vtkPolyData, and you know the output of 
// vtkElevationFilter is the same type as its input.
//
// vtkCastToConcrete performs run-time checking to insure that output type
// is of the right type. An error message will result if you try to cast
// an input type improperly. Otherwise, the filter performs the appropriate
// cast and returns the data.
//
//To create an instance of class vtkCastToConcrete, simply
//invoke its constructor as follows
//@[
//  obj = vtkCastToConcrete
//@]
//@@Methods
//The class vtkCastToConcrete has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCastToConcrete class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCastToConcrete = obj.NewInstance ()|
// \item @|vtkCastToConcrete = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
