#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCell object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCell.h"

//@@Signature
//sfunction @vtkCell:vtkCell vtkCellConstructorFunction
//input a
//output p
//@@Parents vtkCell vtkObject 
ArrayVector vtkCellConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCell::New(),"vtkCell",eval);
  } else if (arg[0].className() == "vtkCell") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCell"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCell");
    vtkCell*q = reinterpret_cast<vtkCell*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCell");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCell:GetClassName vtkCellGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:IsA vtkCellIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCell requires 2 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:NewInstance vtkCellNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  vtkCell  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCell:SafeDownCast vtkCellSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCell requires 2 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCell  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCell:ShallowCopy vtkCellShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCellShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkCell *c); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkCell requires 2 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCell:DeepCopy vtkCellDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCellDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkCell *c); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkCell requires 2 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetCellType vtkCellGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkCellGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCellType () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetCellDimension vtkCellGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkCellGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCellDimension () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:IsLinear vtkCellIsLinearFunction
//input a0 
//output y
ArrayVector vtkCellIsLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsLinear ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsLinear for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLinear();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:RequiresInitialization vtkCellRequiresInitializationFunction
//input a0 
//output y
ArrayVector vtkCellRequiresInitializationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RequiresInitialization ();return  */
  if (arg.size() < 1) 
    throw Exception("Function RequiresInitialization for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->RequiresInitialization();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:Initialize__2 vtkCellInitialize__2Function
//input a0 
//output none
ArrayVector vtkCellInitialize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize__2 for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkCell:IsExplicitCell vtkCellIsExplicitCellFunction
//input a0 
//output y
ArrayVector vtkCellIsExplicitCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsExplicitCell ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsExplicitCell for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsExplicitCell();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetPoints vtkCellGetPointsFunction
//input a0 
//output y
ArrayVector vtkCellGetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetPoints ();return this Points  */
  if (arg.size() < 1) 
    throw Exception("Function GetPoints for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetNumberOfPoints vtkCellGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkCellGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPoints ();return this PointIds GetNumberOfIds  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetNumberOfEdges vtkCellGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkCellGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfEdges () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetNumberOfFaces vtkCellGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkCellGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfFaces () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetPointIds vtkCellGetPointIdsFunction
//input a0 
//output y
ArrayVector vtkCellGetPointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *GetPointIds ();return this PointIds  */
  if (arg.size() < 1) 
    throw Exception("Function GetPointIds for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  vtkIdList  *temp20;
  temp20 = (vtk_pointer)->GetPointIds();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetPointId vtkCellGetPointIdFunction
//input a0 a1 
//output y
ArrayVector vtkCellGetPointIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointId (int ptId);return this PointIds GetId ptId  */
  if (arg.size() < 2) 
    throw Exception("Function GetPointId for class vtkCell requires 2 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetEdge vtkCellGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkCellGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCell *GetEdge (int edgeId) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkCell requires 2 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetFace vtkCellGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkCellGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCell *GetFace (int faceId) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkCell requires 2 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCell:CellBoundary vtkCellCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCellCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CellBoundary (int subId, double pcoords[3], vtkIdList *pts) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkCell requires 4 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:Contour vtkCellContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkCellContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd) = 0; */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkCell requires 12 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkCell:Clip vtkCellClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkCellClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut) = 0; */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkCell requires 11 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkCell:Triangulate vtkCellTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCellTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkCell requires 4 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:Derivatives vtkCellDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkCellDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs) = 0; */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkCell requires 6 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetBounds__1 vtkCellGetBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkCellGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__1 for class vtkCell requires 2 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetBounds__2 vtkCellGetBounds__2Function
//input a0 
//output y
ArrayVector vtkCellGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__2 for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetLength2 vtkCellGetLength2Function
//input a0 
//output y
ArrayVector vtkCellGetLength2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLength2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength2 for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength2();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetParametricCenter vtkCellGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkCellGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetParametricCenter (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkCell requires 2 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:GetParametricDistance vtkCellGetParametricDistanceFunction
//input a0 a1 
//output y
ArrayVector vtkCellGetParametricDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetParametricDistance (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricDistance for class vtkCell requires 2 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricDistance(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:IsPrimaryCell vtkCellIsPrimaryCellFunction
//input a0 
//output y
ArrayVector vtkCellIsPrimaryCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsPrimaryCell ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsPrimaryCell for class vtkCell requires 1 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsPrimaryCell();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell:InterpolateFunctions vtkCellInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCellInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double weights[3]);void pcoords void weights  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkCell requires 3 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCell:InterpolateDerivs vtkCellInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCellInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double derivs[3]);void pcoords void derivs  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkCell requires 3 argument(s)");
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCell:Initialize vtkCellInitializeFunction
//input varargin
//output varargout
ArrayVector vtkCellInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkCellInitialize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCellInitialize");
}

//@@Signature
//sfunction @vtkCell:GetBounds vtkCellGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkCellGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCellGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkCellGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCellGetBounds");
}

//@@Signature
//sfunction @vtkCell:display vtkCellDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCell* vtk_pointer = GetVTKPointer<vtkCell>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCell:delete vtkCellDeleteFunction
//input varargin
//output none
ArrayVector vtkCellDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCell
//@@Section VTKFiltering
//@@Usage
// vtkCell is an abstract class that specifies the interfaces for data cells.
// Data cells are simple topological elements like points, lines, polygons, 
// and tetrahedra of which visualization datasets are composed. In some 
// cases visualization datasets may explicitly represent cells (e.g., 
// vtkPolyData, vtkUnstructuredGrid), and in some cases, the datasets are 
// implicitly composed of cells (e.g., vtkStructuredPoints).
//
//
//To create an instance of class vtkCell, simply
//invoke its constructor as follows
//@[
//  obj = vtkCell
//@]
//@@Methods
//The class vtkCell has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCell class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCell = obj.NewInstance ()|
// \item @|vtkCell = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ShallowCopy (vtkCell c)| -  Copy this cell by reference counting the internal data structures. 
// This is safe if you want a "read-only" copy. If you modify the cell
// you might wish to use DeepCopy().
//// \item @|obj.DeepCopy (vtkCell c)| -  Copy this cell by completely copying internal data structures. This is
// slower but safer than ShallowCopy().
//// \item @|int = obj.GetCellType ()| -  Return the type of cell.
//// \item @|int = obj.GetCellDimension ()| -  Return the topological dimensional of the cell (0,1,2, or 3).
//// \item @|int = obj.IsLinear ()| -  Some cells require initialization prior to access. For example, they
// may have to triangulate themselves or set up internal data structures.
//// \item @|int = obj.RequiresInitialization ()| -  Some cells require initialization prior to access. For example, they
// may have to triangulate themselves or set up internal data structures.
//// \item @|obj.Initialize ()| -  Explicit cells require additional representational information
// beyond the usual cell type and connectivity list information.
// Most cells in VTK are implicit cells.
//// \item @|int = obj.IsExplicitCell ()| -  Get the point coordinates for the cell.
//// \item @|vtkPoints = obj.GetPoints ()| -  Return the number of points in the cell.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Return the number of edges in the cell.
//// \item @|int = obj.GetNumberOfEdges ()| -  Return the number of edges in the cell.
//// \item @|int = obj.GetNumberOfFaces ()| -  Return the number of faces in the cell.
//// \item @|vtkIdList = obj.GetPointIds ()| -  For cell point i, return the actual point id.
//// \item @|vtkIdType = obj.GetPointId (int ptId)| -  Return the edge cell from the edgeId of the cell.
//// \item @|vtkCell = obj.GetEdge (int edgeId)| -  Return the edge cell from the edgeId of the cell.
//// \item @|vtkCell = obj.GetFace (int faceId)| -  Return the face cell from the faceId of the cell.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)| -  Given parametric coordinates of a point, return the closest cell
// boundary, and whether the point is inside or outside of the cell. The
// cell boundary is defined by a list of points (pts) that specify a face
// (3D cell), edge (2D cell), or vertex (1D cell). If the return value of
// the method is != 0, then the point is inside the cell.
//// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)| -  Generate contouring primitives. The scalar list cellScalars are
// scalar values at each cell point. The point locator is essentially a 
// points list that merges points as they are inserted (i.e., prevents 
// duplicates). Contouring primitives can be vertices, lines, or
// polygons. It is possible to interpolate point data along the edge
// by providing input and output point data - if outPd is NULL, then
// no interpolation is performed. Also, if the output cell data is
// non-NULL, the cell data from the contoured cell is passed to the
// generated contouring primitives. (Note: the CopyAllocate() method
// must be invoked on both the output cell and point data. The 
// cellId refers to the cell from which the cell data is copied.)
//// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray connectivity, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  Cut (or clip) the cell based on the input cellScalars and the
// specified value. The output of the clip operation will be one or
// more cells of the same topological dimension as the original cell. 
// The flag insideOut controls what part of the cell is considered inside - 
// normally cell points whose scalar value is greater than "value" are
// considered inside. If insideOut is on, this is reversed. Also, if the 
// output cell data is non-NULL, the cell data from the clipped cell is 
// passed to the generated contouring primitives. (Note: the CopyAllocate() 
// method must be invoked on both the output cell and point data. The
// cellId refers to the cell from which the cell data is copied.)
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)| -  Generate simplices of proper dimension. If cell is 3D, tetrahedron are 
// generated; if 2D triangles; if 1D lines; if 0D points. The form of the
// output is a sequence of points, each n+1 points (where n is topological 
// cell dimension) defining a simplex. The index is a parameter that controls
// which triangulation to use (if more than one is possible). If numerical
// degeneracy encountered, 0 is returned, otherwise 1 is returned.
// This method does not insert new points: all the points that define the
// simplices are the points that define the cell.
//// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)| -  Compute derivatives given cell subId and parametric coordinates. The
// values array is a series of data value(s) at the cell points. There is a
// one-to-one correspondence between cell point and data value(s). Dim is
// the number of data values per cell point. Derivs are derivatives in the
// x-y-z coordinate directions for each data value. Thus, if computing
// derivatives for a scalar function in a hexahedron, dim=1, 8 values are
// supplied, and 3 deriv values are returned (i.e., derivatives in x-y-z
// directions). On the other hand, if computing derivatives of velocity
// (vx,vy,vz) dim=3, 24 values are supplied ((vx,vy,vz)1, (vx,vy,vz)2,
// ....()8), and 9 deriv values are returned
// ((d(vx)/dx),(d(vx)/dy),(d(vx)/dz), (d(vy)/dx),(d(vy)/dy), (d(vy)/dz),
// (d(vz)/dx),(d(vz)/dy),(d(vz)/dz)).
//// \item @|obj.GetBounds (double bounds[6])| -  Compute cell bounding box (xmin,xmax,ymin,ymax,zmin,zmax). Copy result
// into user provided array.
//// \item @|double = obj.GetBounds ()| -  Compute cell bounding box (xmin,xmax,ymin,ymax,zmin,zmax). Return pointer
// to array of six double values.
//// \item @|double = obj.GetLength2 ()| -  Compute Length squared of cell (i.e., bounding box diagonal squared).
//// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  Return center of the cell in parametric coordinates.  Note that the
// parametric center is not always located at (0.5,0.5,0.5). The return
// value is the subId that the center is in (if a composite cell). If you
// want the center in x-y-z space, invoke the EvaluateLocation() method.
//// \item @|double = obj.GetParametricDistance (double pcoords[3])| -  Return the distance of the parametric coordinate provided to the
// cell. If inside the cell, a distance of zero is returned. This is
// used during picking to get the correct cell picked. (The tolerance
// will occasionally allow cells to be picked who are not really
// intersected "inside" the cell.)
//// \item @|int = obj.IsPrimaryCell ()| -  Return a contiguous array of parametric coordinates of the points
// defining this cell. In other words, (px,py,pz, px,py,pz, etc..)  The
// coordinates are ordered consistent with the definition of the point
// ordering for the cell. This method returns a non-NULL pointer when
// the cell is a primary type (i.e., IsPrimaryCell() is true). Note that
// 3D parametric coordinates are returned no matter what the topological
// dimension of the cell.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double weights[3])| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
// No-ops at this level. Typically overridden in subclasses.
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs[3])|
//\end{itemize}
//!
