#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCell3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCell3D.h"

//@@Signature
//sfunction @vtkCell3D:vtkCell3D vtkCell3DConstructorFunction
//input a
//output p
//@@Parents vtkCell3D vtkCell 
ArrayVector vtkCell3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCell3D::New(),"vtkCell3D",eval);
  } else if (arg[0].className() == "vtkCell3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCell3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCell3D");
    vtkCell3D*q = reinterpret_cast<vtkCell3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCell3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCell3D:GetClassName vtkCell3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCell3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCell3D requires 1 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:IsA vtkCell3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCell3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCell3D requires 2 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:NewInstance vtkCell3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCell3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCell3D requires 1 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  vtkCell3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:SafeDownCast vtkCell3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCell3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCell3D requires 2 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCell3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:Contour vtkCell3DContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkCell3DContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkCell3D requires 12 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:Clip vtkCell3DClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkCell3DClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut); */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkCell3D requires 11 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:GetCellDimension vtkCell3DGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkCell3DGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCellDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkCell3D requires 1 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:SetMergeTolerance vtkCell3DSetMergeToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkCell3DSetMergeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMergeTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMergeTolerance for class vtkCell3D requires 2 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMergeTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:GetMergeToleranceMinValue vtkCell3DGetMergeToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkCell3DGetMergeToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeToleranceMinValue for class vtkCell3D requires 1 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:GetMergeToleranceMaxValue vtkCell3DGetMergeToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkCell3DGetMergeToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeToleranceMaxValue for class vtkCell3D requires 1 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:GetMergeTolerance vtkCell3DGetMergeToleranceFunction
//input a0 
//output y
ArrayVector vtkCell3DGetMergeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeTolerance for class vtkCell3D requires 1 argument(s)");
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCell3D:display vtkCell3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCell3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCell3D* vtk_pointer = GetVTKPointer<vtkCell3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCell3D:delete vtkCell3DDeleteFunction
//input varargin
//output none
ArrayVector vtkCell3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCell3D
//@@Section VTKFiltering
//@@Usage
// vtkCell3D is an abstract class that extends the interfaces for 3D data 
// cells, and implements methods needed to satisfy the vtkCell API. The 
// 3D cells include hexehedra, tetrahedra, wedge, pyramid, and voxel.
//
//To create an instance of class vtkCell3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkCell3D
//@]
//@@Methods
//The class vtkCell3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCell3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCell3D = obj.NewInstance ()|
// \item @|vtkCell3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)|
// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray connectivity, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  Cut (or clip) the cell based on the input cellScalars and the specified
// value. The output of the clip operation will be one or more cells of the
// same topological dimension as the original cell.  The flag insideOut
// controls what part of the cell is considered inside - normally cell
// points whose scalar value is greater than "value" are considered
// inside. If insideOut is on, this is reversed. Also, if the output cell
// data is non-NULL, the cell data from the clipped cell is passed to the
// generated contouring primitives. (Note: the CopyAllocate() method must
// be invoked on both the output cell and point data. The cellId refers to
// the cell from which the cell data is copied.)  (Satisfies vtkCell API.)
//// \item @|int = obj.GetCellDimension ()| -  Set the tolerance for merging clip intersection points that are near
// the vertices of cells. This tolerance is used to prevent the generation
// of degenerate tetrahedra during clipping.
//// \item @|obj.SetMergeTolerance (double )| -  Set the tolerance for merging clip intersection points that are near
// the vertices of cells. This tolerance is used to prevent the generation
// of degenerate tetrahedra during clipping.
//// \item @|double = obj.GetMergeToleranceMinValue ()| -  Set the tolerance for merging clip intersection points that are near
// the vertices of cells. This tolerance is used to prevent the generation
// of degenerate tetrahedra during clipping.
//// \item @|double = obj.GetMergeToleranceMaxValue ()| -  Set the tolerance for merging clip intersection points that are near
// the vertices of cells. This tolerance is used to prevent the generation
// of degenerate tetrahedra during clipping.
//// \item @|double = obj.GetMergeTolerance ()| -  Set the tolerance for merging clip intersection points that are near
// the vertices of cells. This tolerance is used to prevent the generation
// of degenerate tetrahedra during clipping.
////\end{itemize}
//!
