#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCellArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCellArray.h"

//@@Signature
//sfunction @vtkCellArray:vtkCellArray vtkCellArrayConstructorFunction
//input a
//output p
//@@Parents vtkCellArray vtkObject 
ArrayVector vtkCellArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCellArray::New(),"vtkCellArray",eval);
  } else if (arg[0].className() == "vtkCellArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCellArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCellArray");
    vtkCellArray*q = reinterpret_cast<vtkCellArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCellArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCellArray:GetClassName vtkCellArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:IsA vtkCellArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:NewInstance vtkCellArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkCellArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:SafeDownCast vtkCellArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCellArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:Allocate vtkCellArrayAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkCellArrayAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Allocate (const vtkIdType sz, const int ext);return this Ia Allocate sz ext  */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkCellArray requires 3 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:Initialize vtkCellArrayInitializeFunction
//input a0 
//output none
ArrayVector vtkCellArrayInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:GetNumberOfCells vtkCellArrayGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkCellArrayGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:SetNumberOfCells vtkCellArraySetNumberOfCellsFunction
//input a0 a1 
//output none
ArrayVector vtkCellArraySetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfCells (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfCells for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:EstimateSize vtkCellArrayEstimateSizeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkCellArrayEstimateSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType EstimateSize (vtkIdType numCells, int maxPtsPerCell);return numCells maxPtsPerCell  */
  if (arg.size() < 3) 
    throw Exception("Function EstimateSize for class vtkCellArray requires 3 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->EstimateSize(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:InitTraversal vtkCellArrayInitTraversalFunction
//input a0 
//output none
ArrayVector vtkCellArrayInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitTraversal ();this TraversalLocation  */
  if (arg.size() < 1) 
    throw Exception("Function InitTraversal for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtk_pointer->InitTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:GetSize vtkCellArrayGetSizeFunction
//input a0 
//output y
ArrayVector vtkCellArrayGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetSize ();return this Ia GetSize  */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:GetNumberOfConnectivityEntries vtkCellArrayGetNumberOfConnectivityEntriesFunction
//input a0 
//output y
ArrayVector vtkCellArrayGetNumberOfConnectivityEntriesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfConnectivityEntries ();return this Ia GetMaxId  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfConnectivityEntries for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfConnectivityEntries();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:InsertNextCell__1 vtkCellArrayInsertNextCell__1Function
//input a0 a1 
//output y
ArrayVector vtkCellArrayInsertNextCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextCell (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextCell__1 for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->InsertNextCell(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:InsertNextCell__3 vtkCellArrayInsertNextCell__3Function
//input a0 a1 
//output y
ArrayVector vtkCellArrayInsertNextCell__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextCell (vtkIdList *pts); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextCell__3 for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp20 = (vtk_pointer)->InsertNextCell(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:InsertNextCell__4 vtkCellArrayInsertNextCell__4Function
//input a0 a1 
//output y
ArrayVector vtkCellArrayInsertNextCell__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextCell (int npts); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextCell__4 for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextCell(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:InsertCellPoint vtkCellArrayInsertCellPointFunction
//input a0 a1 
//output none
ArrayVector vtkCellArrayInsertCellPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertCellPoint (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function InsertCellPoint for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->InsertCellPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:UpdateCellCount vtkCellArrayUpdateCellCountFunction
//input a0 a1 
//output none
ArrayVector vtkCellArrayUpdateCellCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdateCellCount (int npts); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateCellCount for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->UpdateCellCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:GetInsertLocation vtkCellArrayGetInsertLocationFunction
//input a0 a1 
//output y
ArrayVector vtkCellArrayGetInsertLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetInsertLocation (int npts);return this InsertLocation npts  */
  if (arg.size() < 2) 
    throw Exception("Function GetInsertLocation for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInsertLocation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:GetTraversalLocation__1 vtkCellArrayGetTraversalLocation__1Function
//input a0 
//output y
ArrayVector vtkCellArrayGetTraversalLocation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetTraversalLocation ();return this TraversalLocation  */
  if (arg.size() < 1) 
    throw Exception("Function GetTraversalLocation__1 for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetTraversalLocation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:SetTraversalLocation vtkCellArraySetTraversalLocationFunction
//input a0 a1 
//output none
ArrayVector vtkCellArraySetTraversalLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTraversalLocation (vtkIdType loc);this TraversalLocation loc  */
  if (arg.size() < 2) 
    throw Exception("Function SetTraversalLocation for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTraversalLocation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:GetTraversalLocation__2 vtkCellArrayGetTraversalLocation__2Function
//input a0 a1 
//output y
ArrayVector vtkCellArrayGetTraversalLocation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetTraversalLocation (vtkIdType npts);return this TraversalLocation npts  */
  if (arg.size() < 2) 
    throw Exception("Function GetTraversalLocation__2 for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTraversalLocation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:ReverseCell vtkCellArrayReverseCellFunction
//input a0 a1 
//output none
ArrayVector vtkCellArrayReverseCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseCell (vtkIdType loc); */
  if (arg.size() < 2) 
    throw Exception("Function ReverseCell for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->ReverseCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:GetMaxCellSize vtkCellArrayGetMaxCellSizeFunction
//input a0 
//output y
ArrayVector vtkCellArrayGetMaxCellSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxCellSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellSize for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:GetPointer vtkCellArrayGetPointerFunction
//input a0 
//output y
ArrayVector vtkCellArrayGetPointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType *GetPointer ();return this Ia GetPointer  */
  if (arg.size() < 1) 
    throw Exception("Function GetPointer for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType  *temp20;
  temp20 = (vtk_pointer)->GetPointer();
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:WritePointer vtkCellArrayWritePointerFunction
//input a0 a1 a2 
//output y
ArrayVector vtkCellArrayWritePointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType *WritePointer (const vtkIdType ncells, const vtkIdType size); */
  if (arg.size() < 3) 
    throw Exception("Function WritePointer for class vtkCellArray requires 3 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->WritePointer(temp0,temp1);
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:SetCells vtkCellArraySetCellsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCellArraySetCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCells (vtkIdType ncells, vtkIdTypeArray *cells); */
  if (arg.size() < 3) 
    throw Exception("Function SetCells for class vtkCellArray requires 3 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdTypeArray>(arg[2]);
  vtk_pointer->SetCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:DeepCopy vtkCellArrayDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCellArrayDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkCellArray *ca); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkCellArray requires 2 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkCellArray  *temp0;
  temp0 = GetVTKPointer<vtkCellArray>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:GetData vtkCellArrayGetDataFunction
//input a0 
//output y
ArrayVector vtkCellArrayGetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdTypeArray *GetData ();return this Ia  */
  if (arg.size() < 1) 
    throw Exception("Function GetData for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp20;
  temp20 = (vtk_pointer)->GetData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdTypeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:Reset vtkCellArrayResetFunction
//input a0 
//output none
ArrayVector vtkCellArrayResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:Squeeze vtkCellArraySqueezeFunction
//input a0 
//output none
ArrayVector vtkCellArraySqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze ();this Ia Squeeze  */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:GetActualMemorySize vtkCellArrayGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkCellArrayGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkCellArray requires 1 argument(s)");
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellArray:InsertNextCell vtkCellArrayInsertNextCellFunction
//input varargin
//output varargout
ArrayVector vtkCellArrayInsertNextCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCell"))
    return vtkCellArrayInsertNextCell__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkIdList"))
    return vtkCellArrayInsertNextCell__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkCellArrayInsertNextCell__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCellArrayInsertNextCell");
}

//@@Signature
//sfunction @vtkCellArray:GetTraversalLocation vtkCellArrayGetTraversalLocationFunction
//input varargin
//output varargout
ArrayVector vtkCellArrayGetTraversalLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkCellArrayGetTraversalLocation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkCellArrayGetTraversalLocation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCellArrayGetTraversalLocation");
}

//@@Signature
//sfunction @vtkCellArray:display vtkCellArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCellArray* vtk_pointer = GetVTKPointer<vtkCellArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCellArray:delete vtkCellArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkCellArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCellArray
//@@Section VTKFiltering
//@@Usage
// vtkCellArray is a supporting object that explicitly represents cell 
// connectivity. The cell array structure is a raw integer list
// of the form: (n,id1,id2,...,idn, n,id1,id2,...,idn, ...)
// where n is the number of points in the cell, and id is a zero-offset index 
// into an associated point list.
//
// Advantages of this data structure are its compactness, simplicity, and 
// easy interface to external data.  However, it is totally inadequate for 
// random access.  This functionality (when necessary) is accomplished by 
// using the vtkCellTypes and vtkCellLinks objects to extend the definition of 
// the data structure.
//
//
//To create an instance of class vtkCellArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkCellArray
//@]
//@@Methods
//The class vtkCellArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCellArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCellArray = obj.NewInstance ()|
// \item @|vtkCellArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Allocate (vtkIdType sz, int ext)| -  Free any memory and reset to an empty state.
//// \item @|obj.Initialize ()| -  Free any memory and reset to an empty state.
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Get the number of cells in the array.
//// \item @|obj.SetNumberOfCells (vtkIdType )| -  Set the number of cells in the array.
// DO NOT do any kind of allocation, advanced use only.
//// \item @|vtkIdType = obj.EstimateSize (vtkIdType numCells, int maxPtsPerCell)| -  A cell traversal methods that is more efficient than vtkDataSet traversal
// methods.  InitTraversal() initializes the traversal of the list of cells.
//// \item @|obj.InitTraversal ()| -  A cell traversal methods that is more efficient than vtkDataSet traversal
// methods.  InitTraversal() initializes the traversal of the list of cells.
//// \item @|vtkIdType = obj.GetSize ()| -  Get the total number of entries (i.e., data values) in the connectivity 
// array. This may be much less than the allocated size (i.e., return value 
// from GetSize().)
//// \item @|vtkIdType = obj.GetNumberOfConnectivityEntries ()| -  Internal method used to retrieve a cell given an offset into
// the internal array.
//// \item @|vtkIdType = obj.InsertNextCell (vtkCell cell)| -  Insert a cell object. Return the cell id of the cell.
//// \item @|vtkIdType = obj.InsertNextCell (vtkIdList pts)| -  Create a cell by specifying a list of point ids. Return the cell id of
// the cell.
//// \item @|vtkIdType = obj.InsertNextCell (int npts)| -  Create cells by specifying count, and then adding points one at a time
// using method InsertCellPoint(). If you don't know the count initially,
// use the method UpdateCellCount() to complete the cell. Return the cell
// id of the cell.
//// \item @|obj.InsertCellPoint (vtkIdType id)| -  Used in conjunction with InsertNextCell(int npts) to add another point
// to the list of cells.
//// \item @|obj.UpdateCellCount (int npts)| -  Used in conjunction with InsertNextCell(int npts) and InsertCellPoint() to
// update the number of points defining the cell.
//// \item @|vtkIdType = obj.GetInsertLocation (int npts)| -  Computes the current insertion location within the internal array. 
// Used in conjunction with GetCell(int loc,...).
//// \item @|vtkIdType = obj.GetTraversalLocation ()| -  Get/Set the current traversal location.
//// \item @|obj.SetTraversalLocation (vtkIdType loc)| -  Computes the current traversal location within the internal array. Used 
// in conjunction with GetCell(int loc,...).
//// \item @|vtkIdType = obj.GetTraversalLocation (vtkIdType npts)| -  Special method inverts ordering of current cell. Must be called
// carefully or the cell topology may be corrupted.
//// \item @|obj.ReverseCell (vtkIdType loc)| -  Special method inverts ordering of current cell. Must be called
// carefully or the cell topology may be corrupted.
//// \item @|int = obj.GetMaxCellSize ()| -  Returns the size of the largest cell. The size is the number of points
// defining the cell.
//// \item @|vtkIdType = obj.GetPointer ()| -  Get pointer to data array for purpose of direct writes of data. Size is the
// total storage consumed by the cell array. ncells is the number of cells
// represented in the array.
//// \item @|vtkIdType = obj.WritePointer (vtkIdType ncells, vtkIdType size)| -  Get pointer to data array for purpose of direct writes of data. Size is the
// total storage consumed by the cell array. ncells is the number of cells
// represented in the array.
//// \item @|obj.SetCells (vtkIdType ncells, vtkIdTypeArray cells)| -  Define multiple cells by providing a connectivity list. The list is in
// the form (npts,p0,p1,...p(npts-1), repeated for each cell). Be careful
// using this method because it discards the old cells, and anything
// referring these cells becomes invalid (for example, if BuildCells() has
// been called see vtkPolyData).  The traversal location is reset to the
// beginning of the list; the insertion location is set to the end of the
// list.
//// \item @|obj.DeepCopy (vtkCellArray ca)| -  Perform a deep copy (no reference counting) of the given cell array.
//// \item @|vtkIdTypeArray = obj.GetData ()| -  Reuse list. Reset to initial condition.
//// \item @|obj.Reset ()| -  Reuse list. Reset to initial condition.
//// \item @|obj.Squeeze ()| -  Return the memory in kilobytes consumed by this cell array. Used to
// support streaming and reading/writing data. The value returned is
// guaranteed to be greater than or equal to the memory required to
// actually represent the data represented by this object. The 
// information returned is valid only after the pipeline has 
// been updated.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the memory in kilobytes consumed by this cell array. Used to
// support streaming and reading/writing data. The value returned is
// guaranteed to be greater than or equal to the memory required to
// actually represent the data represented by this object. The 
// information returned is valid only after the pipeline has 
// been updated.
////\end{itemize}
//!
