#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCellData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCellData.h"

//@@Signature
//sfunction @vtkCellData:vtkCellData vtkCellDataConstructorFunction
//input a
//output p
//@@Parents vtkCellData vtkDataSetAttributes 
ArrayVector vtkCellDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCellData::New(),"vtkCellData",eval);
  } else if (arg[0].className() == "vtkCellData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCellData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCellData");
    vtkCellData*q = reinterpret_cast<vtkCellData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCellData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCellData:GetClassName vtkCellDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCellData requires 1 argument(s)");
  vtkCellData* vtk_pointer = GetVTKPointer<vtkCellData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellData:IsA vtkCellDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCellData requires 2 argument(s)");
  vtkCellData* vtk_pointer = GetVTKPointer<vtkCellData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellData:NewInstance vtkCellDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCellData requires 1 argument(s)");
  vtkCellData* vtk_pointer = GetVTKPointer<vtkCellData>(arg[0]);
  Array retval;
  vtkCellData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellData:SafeDownCast vtkCellDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCellData requires 2 argument(s)");
  vtkCellData* vtk_pointer = GetVTKPointer<vtkCellData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCellData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellData:display vtkCellDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCellData* vtk_pointer = GetVTKPointer<vtkCellData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCellData:delete vtkCellDataDeleteFunction
//input varargin
//output none
ArrayVector vtkCellDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCellData
//@@Section VTKFiltering
//@@Usage
// vtkCellData is a class that is used to represent and manipulate
// cell attribute data (e.g., scalars, vectors, normals, texture 
// coordinates, etc.) Special methods are provided to work with filter
// objects, such as passing data through filter, copying data from one 
// cell to another, and interpolating data given cell interpolation weights.
//
//To create an instance of class vtkCellData, simply
//invoke its constructor as follows
//@[
//  obj = vtkCellData
//@]
//@@Methods
//The class vtkCellData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCellData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCellData = obj.NewInstance ()|
// \item @|vtkCellData = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
