#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCellLinks object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCellLinks.h"

//@@Signature
//sfunction @vtkCellLinks:vtkCellLinks vtkCellLinksConstructorFunction
//input a
//output p
//@@Parents vtkCellLinks vtkObject 
ArrayVector vtkCellLinksConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCellLinks::New(),"vtkCellLinks",eval);
  } else if (arg[0].className() == "vtkCellLinks") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCellLinks"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCellLinks");
    vtkCellLinks*q = reinterpret_cast<vtkCellLinks*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCellLinks");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCellLinks:GetClassName vtkCellLinksGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellLinksGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCellLinks requires 1 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:IsA vtkCellLinksIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellLinksIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCellLinks requires 2 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:NewInstance vtkCellLinksNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellLinksNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellLinks *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCellLinks requires 1 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkCellLinks  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellLinks",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:SafeDownCast vtkCellLinksSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellLinksSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellLinks *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCellLinks requires 2 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCellLinks  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellLinks",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:Allocate vtkCellLinksAllocateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCellLinksAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Allocate (vtkIdType numLinks, vtkIdType ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkCellLinks requires 3 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Allocate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:GetNcells vtkCellLinksGetNcellsFunction
//input a0 a1 
//output y
ArrayVector vtkCellLinksGetNcellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned short GetNcells (vtkIdType ptId);return this Array ptId ncells  */
  if (arg.size() < 2) 
    throw Exception("Function GetNcells for class vtkCellLinks requires 2 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned short    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNcells(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:BuildLinks__1 vtkCellLinksBuildLinks__1Function
//input a0 a1 
//output none
ArrayVector vtkCellLinksBuildLinks__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLinks (vtkDataSet *data); */
  if (arg.size() < 2) 
    throw Exception("Function BuildLinks__1 for class vtkCellLinks requires 2 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->BuildLinks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:BuildLinks__2 vtkCellLinksBuildLinks__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkCellLinksBuildLinks__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLinks (vtkDataSet *data, vtkCellArray *Connectivity); */
  if (arg.size() < 3) 
    throw Exception("Function BuildLinks__2 for class vtkCellLinks requires 3 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  vtkCellArray  *temp1;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp1 = GetVTKPointer<vtkCellArray>(arg[2]);
  vtk_pointer->BuildLinks(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:GetCells vtkCellLinksGetCellsFunction
//input a0 a1 
//output y
ArrayVector vtkCellLinksGetCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType *GetCells (vtkIdType ptId);return this Array ptId cells  */
  if (arg.size() < 2) 
    throw Exception("Function GetCells for class vtkCellLinks requires 2 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCells(temp0);
  BasicArray<double> tempResult(NTuple(0,1));
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:InsertNextPoint vtkCellLinksInsertNextPointFunction
//input a0 a1 
//output y
ArrayVector vtkCellLinksInsertNextPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextPoint (int numLinks); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextPoint for class vtkCellLinks requires 2 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:InsertNextCellReference vtkCellLinksInsertNextCellReferenceFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCellLinksInsertNextCellReferenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertNextCellReference (vtkIdType ptId, vtkIdType cellId); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextCellReference for class vtkCellLinks requires 3 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->InsertNextCellReference(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:DeletePoint vtkCellLinksDeletePointFunction
//input a0 a1 
//output none
ArrayVector vtkCellLinksDeletePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeletePoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function DeletePoint for class vtkCellLinks requires 2 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DeletePoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:RemoveCellReference vtkCellLinksRemoveCellReferenceFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCellLinksRemoveCellReferenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveCellReference (vtkIdType cellId, vtkIdType ptId); */
  if (arg.size() < 3) 
    throw Exception("Function RemoveCellReference for class vtkCellLinks requires 3 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->RemoveCellReference(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:AddCellReference vtkCellLinksAddCellReferenceFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCellLinksAddCellReferenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCellReference (vtkIdType cellId, vtkIdType ptId); */
  if (arg.size() < 3) 
    throw Exception("Function AddCellReference for class vtkCellLinks requires 3 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddCellReference(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:ResizeCellList vtkCellLinksResizeCellListFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCellLinksResizeCellListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResizeCellList (vtkIdType ptId, int size); */
  if (arg.size() < 3) 
    throw Exception("Function ResizeCellList for class vtkCellLinks requires 3 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->ResizeCellList(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:Squeeze vtkCellLinksSqueezeFunction
//input a0 
//output none
ArrayVector vtkCellLinksSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze (); */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkCellLinks requires 1 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:Reset vtkCellLinksResetFunction
//input a0 
//output none
ArrayVector vtkCellLinksResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkCellLinks requires 1 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:GetActualMemorySize vtkCellLinksGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkCellLinksGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkCellLinks requires 1 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:DeepCopy vtkCellLinksDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCellLinksDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkCellLinks *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkCellLinks requires 2 argument(s)");
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  Array retval;
  vtkCellLinks  *temp0;
  temp0 = GetVTKPointer<vtkCellLinks>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellLinks:BuildLinks vtkCellLinksBuildLinksFunction
//input varargin
//output varargout
ArrayVector vtkCellLinksBuildLinksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataSet"))
    return vtkCellLinksBuildLinks__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsClass(arg[2],"vtkCellArray"))
    return vtkCellLinksBuildLinks__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCellLinksBuildLinks");
}

//@@Signature
//sfunction @vtkCellLinks:display vtkCellLinksDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellLinksDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCellLinks* vtk_pointer = GetVTKPointer<vtkCellLinks>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCellLinks:delete vtkCellLinksDeleteFunction
//input varargin
//output none
ArrayVector vtkCellLinksDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCellLinks
//@@Section VTKFiltering
//@@Usage
// vtkCellLinks is a supplemental object to vtkCellArray and vtkCellTypes, 
// enabling access from points to the cells using the points. vtkCellLinks is
// a list of Links, each link represents a dynamic list of cell id's using the 
// point. The information provided by this object can be used to determine 
// neighbors and construct other local topological information.
//
//To create an instance of class vtkCellLinks, simply
//invoke its constructor as follows
//@[
//  obj = vtkCellLinks
//@]
//@@Methods
//The class vtkCellLinks has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCellLinks class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCellLinks = obj.NewInstance ()|
// \item @|vtkCellLinks = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Allocate (vtkIdType numLinks, vtkIdType ext)| -  Allocate the specified number of links (i.e., number of points) that
// will be built.
//// \item @|short = obj.GetNcells (vtkIdType ptId)| -  Get the number of cells using the point specified by ptId.
//// \item @|obj.BuildLinks (vtkDataSet data)| -  Build the link list array.
//// \item @|obj.BuildLinks (vtkDataSet data, vtkCellArray Connectivity)| -  Build the link list array.
//// \item @|vtkIdType = obj.GetCells (vtkIdType ptId)| -  Return a list of cell ids using the point.
//// \item @|vtkIdType = obj.InsertNextPoint (int numLinks)| -  Insert a new point into the cell-links data structure. The size parameter
// is the initial size of the list.
//// \item @|obj.InsertNextCellReference (vtkIdType ptId, vtkIdType cellId)| -  Insert a cell id into the list of cells (at the end) using the cell id 
// provided. (Make sure to extend the link list (if necessary) using the
// method ResizeCellList().)
//// \item @|obj.DeletePoint (vtkIdType ptId)| -  Delete point (and storage) by destroying links to using cells.
//// \item @|obj.RemoveCellReference (vtkIdType cellId, vtkIdType ptId)| -  Delete the reference to the cell (cellId) from the point (ptId). This
// removes the reference to the cellId from the cell list, but does not
// resize the list (recover memory with ResizeCellList(), if necessary).
//// \item @|obj.AddCellReference (vtkIdType cellId, vtkIdType ptId)| -  Add the reference to the cell (cellId) from the point (ptId). This
// adds a reference to the cellId from the cell list, but does not resize
// the list (extend memory with ResizeCellList(), if necessary).
//// \item @|obj.ResizeCellList (vtkIdType ptId, int size)| -  Change the length of a point's link list (i.e., list of cells using a
// point) by the size specified.
//// \item @|obj.Squeeze ()| -  Reclaim any unused memory.
//// \item @|obj.Reset ()| -  Reset to a state of no entries without freeing the memory.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the memory in kilobytes consumed by this cell links array. 
// Used to support streaming and reading/writing data. The value 
// returned is guaranteed to be greater than or equal to the memory 
// required to actually represent the data represented by this object. 
// The information returned is valid only after the pipeline has 
// been updated.
//// \item @|obj.DeepCopy (vtkCellLinks src)| -  Standard DeepCopy method.  Since this object contains no reference
// to other objects, there is no ShallowCopy.
////\end{itemize}
//!
