#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCellLocator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCellLocator.h"

//@@Signature
//sfunction @vtkCellLocator:vtkCellLocator vtkCellLocatorConstructorFunction
//input a
//output p
//@@Parents vtkCellLocator vtkAbstractCellLocator 
ArrayVector vtkCellLocatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCellLocator::New(),"vtkCellLocator",eval);
  } else if (arg[0].className() == "vtkCellLocator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCellLocator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCellLocator");
    vtkCellLocator*q = reinterpret_cast<vtkCellLocator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCellLocator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCellLocator:GetClassName vtkCellLocatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellLocatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCellLocator requires 1 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:IsA vtkCellLocatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellLocatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCellLocator requires 2 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:NewInstance vtkCellLocatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellLocatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellLocator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCellLocator requires 1 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  vtkCellLocator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:SafeDownCast vtkCellLocatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellLocatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellLocator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCellLocator requires 2 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCellLocator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:SetNumberOfCellsPerBucket vtkCellLocatorSetNumberOfCellsPerBucketFunction
//input a0 a1 
//output none
ArrayVector vtkCellLocatorSetNumberOfCellsPerBucketFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfCellsPerBucket (int N);this SetNumberOfCellsPerNode N  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfCellsPerBucket for class vtkCellLocator requires 2 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfCellsPerBucket(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:GetNumberOfCellsPerBucket vtkCellLocatorGetNumberOfCellsPerBucketFunction
//input a0 
//output y
ArrayVector vtkCellLocatorGetNumberOfCellsPerBucketFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellsPerBucket ();return this NumberOfCellsPerNode  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellsPerBucket for class vtkCellLocator requires 1 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellsPerBucket();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:IntersectWithLine__3 vtkCellLocatorIntersectWithLine__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCellLocatorIntersectWithLine__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IntersectWithLine (const double a0[3], const double a1[3], vtkPoints *points, vtkIdList *cellIds);return Superclass IntersectWithLine a0 a1 points cellIds  */
  if (arg.size() < 5) 
    throw Exception("Function IntersectWithLine__3 for class vtkCellLocator requires 5 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  vtkPoints  *temp2;
  vtkIdList  *temp3;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkPoints>(arg[7]);
  temp3 = GetVTKPointer<vtkIdList>(arg[8]);
  temp20 = (vtk_pointer)->IntersectWithLine(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:GetCells vtkCellLocatorGetCellsFunction
//input a0 a1 
//output y
ArrayVector vtkCellLocatorGetCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdList *GetCells (int bucket); */
  if (arg.size() < 2) 
    throw Exception("Function GetCells for class vtkCellLocator requires 2 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCells(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:GetNumberOfBuckets vtkCellLocatorGetNumberOfBucketsFunction
//input a0 
//output y
ArrayVector vtkCellLocatorGetNumberOfBucketsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfBuckets (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBuckets for class vtkCellLocator requires 1 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfBuckets();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:FindCell__1 vtkCellLocatorFindCell__1Function
//input a0 a1 
//output y
ArrayVector vtkCellLocatorFindCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindCell (double x[3]);return this Superclass FindCell x  */
  if (arg.size() < 2) 
    throw Exception("Function FindCell__1 for class vtkCellLocator requires 2 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindCell(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:FindCell__2 vtkCellLocatorFindCell__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkCellLocatorFindCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindCell (double x[3], double tol2, vtkGenericCell *GenCell, double pcoords[3], double *weights); */
  if (arg.size() < 6) 
    throw Exception("Function FindCell__2 for class vtkCellLocator requires 6 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp1;
  vtkGenericCell  *temp2;
  double temp3[3];
  double  *temp4;
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[4].asDouble();
  temp2 = GetVTKPointer<vtkGenericCell>(arg[5]);
  if ( !(arg[6].isVector() && arg[6].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
    if ( !arg[9].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[9].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FindCell(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:FindCellsWithinBounds vtkCellLocatorFindCellsWithinBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCellLocatorFindCellsWithinBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindCellsWithinBounds (double *bbox, vtkIdList *cells); */
  if (arg.size() < 3) 
    throw Exception("Function FindCellsWithinBounds for class vtkCellLocator requires 3 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdList  *temp1;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->FindCellsWithinBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:FindCellsAlongLine vtkCellLocatorFindCellsAlongLineFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkCellLocatorFindCellsAlongLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindCellsAlongLine (double p1[3], double p2[3], double tolerance, vtkIdList *cells); */
  if (arg.size() < 5) 
    throw Exception("Function FindCellsAlongLine for class vtkCellLocator requires 5 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double   temp2;
  vtkIdList  *temp3;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[7].asDouble();
  temp3 = GetVTKPointer<vtkIdList>(arg[8]);
  vtk_pointer->FindCellsAlongLine(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:FreeSearchStructure vtkCellLocatorFreeSearchStructureFunction
//input a0 
//output none
ArrayVector vtkCellLocatorFreeSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FreeSearchStructure (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeSearchStructure for class vtkCellLocator requires 1 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->FreeSearchStructure();
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:BuildLocator vtkCellLocatorBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkCellLocatorBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkCellLocator requires 1 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:BuildLocatorIfNeeded vtkCellLocatorBuildLocatorIfNeededFunction
//input a0 
//output none
ArrayVector vtkCellLocatorBuildLocatorIfNeededFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildLocatorIfNeeded (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocatorIfNeeded for class vtkCellLocator requires 1 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocatorIfNeeded();
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:ForceBuildLocator vtkCellLocatorForceBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkCellLocatorForceBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ForceBuildLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function ForceBuildLocator for class vtkCellLocator requires 1 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->ForceBuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:BuildLocatorInternal vtkCellLocatorBuildLocatorInternalFunction
//input a0 
//output none
ArrayVector vtkCellLocatorBuildLocatorInternalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildLocatorInternal (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocatorInternal for class vtkCellLocator requires 1 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocatorInternal();
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:GenerateRepresentation vtkCellLocatorGenerateRepresentationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCellLocatorGenerateRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GenerateRepresentation (int level, vtkPolyData *pd); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateRepresentation for class vtkCellLocator requires 3 argument(s)");
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->GenerateRepresentation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCellLocator:IntersectWithLine vtkCellLocatorIntersectWithLineFunction
//input varargin
//output varargout
ArrayVector vtkCellLocatorIntersectWithLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsClass(arg[3],"vtkPoints") && VTKIsClass(arg[4],"vtkIdList"))
    return vtkCellLocatorIntersectWithLine__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCellLocatorIntersectWithLine");
}

//@@Signature
//sfunction @vtkCellLocator:FindClosestPoint vtkCellLocatorFindClosestPointFunction
//input varargin
//output varargout
ArrayVector vtkCellLocatorFindClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCellLocatorFindClosestPoint");
}

//@@Signature
//sfunction @vtkCellLocator:FindClosestPointWithinRadius vtkCellLocatorFindClosestPointWithinRadiusFunction
//input varargin
//output varargout
ArrayVector vtkCellLocatorFindClosestPointWithinRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCellLocatorFindClosestPointWithinRadius");
}

//@@Signature
//sfunction @vtkCellLocator:FindCell vtkCellLocatorFindCellFunction
//input varargin
//output varargout
ArrayVector vtkCellLocatorFindCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCellLocatorFindCell__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkGenericCell") && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkCellLocatorFindCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCellLocatorFindCell");
}

//@@Signature
//sfunction @vtkCellLocator:ClearCellHasBeenVisited vtkCellLocatorClearCellHasBeenVisitedFunction
//input varargin
//output varargout
ArrayVector vtkCellLocatorClearCellHasBeenVisitedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCellLocatorClearCellHasBeenVisited");
}

//@@Signature
//sfunction @vtkCellLocator:display vtkCellLocatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellLocatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCellLocator* vtk_pointer = GetVTKPointer<vtkCellLocator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCellLocator:delete vtkCellLocatorDeleteFunction
//input varargin
//output none
ArrayVector vtkCellLocatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCellLocator
//@@Section VTKFiltering
//@@Usage
// vtkCellLocator is a spatial search object to quickly locate cells in 3D.
// vtkCellLocator uses a uniform-level octree subdivision, where each octant
// (an octant is also referred to as a bucket) carries an indication of
// whether it is empty or not, and each leaf octant carries a list of the
// cells inside of it. (An octant is not empty if it has one or more cells
// inside of it.)  Typical operations are intersection with a line to return
// candidate cells, or intersection with another vtkCellLocator to return
// candidate cells.
//
//To create an instance of class vtkCellLocator, simply
//invoke its constructor as follows
//@[
//  obj = vtkCellLocator
//@]
//@@Methods
//The class vtkCellLocator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCellLocator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCellLocator = obj.NewInstance ()|
// \item @|vtkCellLocator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfCellsPerBucket (int N)| -  Specify the average number of cells in each octant.
//// \item @|int = obj.GetNumberOfCellsPerBucket ()| -  reimplemented from vtkAbstractCellLocator to support bad compilers
//// \item @|int = obj.IntersectWithLine (double a0[3], double a1[3], vtkPoints points, vtkIdList cellIds)| -  Return intersection point (if any) AND the cell which was intersected by
// the finite line. The cell is returned as a cell id and as a generic cell.
// For other IntersectWithLine signatures, see vtkAbstractCellLocator
//// \item @|vtkIdList = obj.GetCells (int bucket)| -  Get the cells in a particular bucket.
//// \item @|int = obj.GetNumberOfBuckets (void )| -  Return number of buckets available. Insure that the locator has been 
// built before attempting to access buckets (octants).
//// \item @|vtkIdType = obj.FindCell (double x[3])| -  Find the cell containing a given point. returns -1 if no cell found
// the cell parameters are copied into the supplied variables, a cell must
// be provided to store the information.
//// \item @|vtkIdType = obj.FindCell (double x[3], double tol2, vtkGenericCell GenCell, double pcoords[3], double weights)| -  Find the cell containing a given point. returns -1 if no cell found
// the cell parameters are copied into the supplied variables, a cell must
// be provided to store the information.
//// \item @|obj.FindCellsWithinBounds (double bbox, vtkIdList cells)| -  Return a list of unique cell ids inside of a given bounding box. The
// user must provide the vtkIdList to populate. This method returns data
// only after the locator has been built.
//// \item @|obj.FindCellsAlongLine (double p1[3], double p2[3], double tolerance, vtkIdList cells)| -  Given a finite line defined by the two points (p1,p2), return the list
// of unique cell ids in the buckets containing the line. It is possible
// that an empty cell list is returned. The user must provide the vtkIdList
// to populate. This method returns data only after the locator has been
// built.
//// \item @|obj.FreeSearchStructure ()| -  Satisfy vtkLocator abstract interface.
//// \item @|obj.BuildLocator ()| -  Satisfy vtkLocator abstract interface.
//// \item @|obj.BuildLocatorIfNeeded ()| -  Satisfy vtkLocator abstract interface.
//// \item @|obj.ForceBuildLocator ()| -  Satisfy vtkLocator abstract interface.
//// \item @|obj.BuildLocatorInternal ()| -  Satisfy vtkLocator abstract interface.
//// \item @|obj.GenerateRepresentation (int level, vtkPolyData pd)| -  Satisfy vtkLocator abstract interface.
////\end{itemize}
//!
