#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCellTypes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCellTypes.h"

//@@Signature
//sfunction @vtkCellTypes:vtkCellTypes vtkCellTypesConstructorFunction
//input a
//output p
//@@Parents vtkCellTypes vtkObject 
ArrayVector vtkCellTypesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCellTypes::New(),"vtkCellTypes",eval);
  } else if (arg[0].className() == "vtkCellTypes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCellTypes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCellTypes");
    vtkCellTypes*q = reinterpret_cast<vtkCellTypes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCellTypes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCellTypes:GetClassName vtkCellTypesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellTypesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCellTypes requires 1 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:IsA vtkCellTypesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellTypesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCellTypes requires 2 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:NewInstance vtkCellTypesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellTypesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellTypes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCellTypes requires 1 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  vtkCellTypes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellTypes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:SafeDownCast vtkCellTypesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellTypesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellTypes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCellTypes requires 2 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCellTypes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellTypes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:Allocate vtkCellTypesAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkCellTypesAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Allocate (int sz, int ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkCellTypes requires 3 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:InsertCell vtkCellTypesInsertCellFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCellTypesInsertCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertCell (int id, unsigned char type, int loc); */
  if (arg.size() < 4) 
    throw Exception("Function InsertCell for class vtkCellTypes requires 4 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  int      temp0;
  unsigned char     temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->InsertCell(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:InsertNextCell vtkCellTypesInsertNextCellFunction
//input a0 a1 a2 
//output y
ArrayVector vtkCellTypesInsertNextCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InsertNextCell (unsigned char type, int loc); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextCell for class vtkCellTypes requires 3 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  unsigned char     temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->InsertNextCell(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:SetCellTypes vtkCellTypesSetCellTypesFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCellTypesSetCellTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypes (int ncells, vtkUnsignedCharArray *cellTypes, vtkIntArray *cellLocations); */
  if (arg.size() < 4) 
    throw Exception("Function SetCellTypes for class vtkCellTypes requires 4 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnsignedCharArray  *temp1;
  vtkIntArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkUnsignedCharArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIntArray>(arg[3]);
  vtk_pointer->SetCellTypes(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:GetCellLocation vtkCellTypesGetCellLocationFunction
//input a0 a1 
//output y
ArrayVector vtkCellTypesGetCellLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellLocation (int cellId);return this LocationArray GetValue cellId  */
  if (arg.size() < 2) 
    throw Exception("Function GetCellLocation for class vtkCellTypes requires 2 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellLocation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:DeleteCell vtkCellTypesDeleteCellFunction
//input a0 a1 
//output none
ArrayVector vtkCellTypesDeleteCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteCell (vtkIdType cellId);this TypeArray SetValue cellId VTK_EMPTY_CELL  */
  if (arg.size() < 2) 
    throw Exception("Function DeleteCell for class vtkCellTypes requires 2 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DeleteCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:GetNumberOfTypes vtkCellTypesGetNumberOfTypesFunction
//input a0 
//output y
ArrayVector vtkCellTypesGetNumberOfTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTypes ();return this MaxId  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTypes for class vtkCellTypes requires 1 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTypes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:IsType vtkCellTypesIsTypeFunction
//input a0 a1 
//output y
ArrayVector vtkCellTypesIsTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsType (unsigned char type); */
  if (arg.size() < 2) 
    throw Exception("Function IsType for class vtkCellTypes requires 2 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  unsigned char     temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:InsertNextType vtkCellTypesInsertNextTypeFunction
//input a0 a1 
//output y
ArrayVector vtkCellTypesInsertNextTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InsertNextType (unsigned char type);return this InsertNextCell type  */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextType for class vtkCellTypes requires 2 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  unsigned char     temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:GetCellType vtkCellTypesGetCellTypeFunction
//input a0 a1 
//output y
ArrayVector vtkCellTypesGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char GetCellType (int cellId);return this TypeArray GetValue cellId  */
  if (arg.size() < 2) 
    throw Exception("Function GetCellType for class vtkCellTypes requires 2 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  int      temp0;
  unsigned char     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:Squeeze vtkCellTypesSqueezeFunction
//input a0 
//output none
ArrayVector vtkCellTypesSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze (); */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkCellTypes requires 1 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:Reset vtkCellTypesResetFunction
//input a0 
//output none
ArrayVector vtkCellTypesResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkCellTypes requires 1 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:GetActualMemorySize vtkCellTypesGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkCellTypesGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkCellTypes requires 1 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:DeepCopy vtkCellTypesDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCellTypesDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkCellTypes *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkCellTypes requires 2 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  vtkCellTypes  *temp0;
  temp0 = GetVTKPointer<vtkCellTypes>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:GetClassNameFromTypeId vtkCellTypesGetClassNameFromTypeIdFunction
//input a0 a1 
//output y
ArrayVector vtkCellTypesGetClassNameFromTypeIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetClassNameFromTypeId (int typeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetClassNameFromTypeId for class vtkCellTypes requires 2 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetClassNameFromTypeId(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:GetTypeIdFromClassName vtkCellTypesGetTypeIdFromClassNameFunction
//input a0 a1 
//output y
ArrayVector vtkCellTypesGetTypeIdFromClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetTypeIdFromClassName (const char *classname); */
  if (arg.size() < 2) 
    throw Exception("Function GetTypeIdFromClassName for class vtkCellTypes requires 2 argument(s)");
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetTypeIdFromClassName(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellTypes:display vtkCellTypesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellTypesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCellTypes* vtk_pointer = GetVTKPointer<vtkCellTypes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCellTypes:delete vtkCellTypesDeleteFunction
//input varargin
//output none
ArrayVector vtkCellTypesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCellTypes
//@@Section VTKFiltering
//@@Usage
// This class is a supplemental object to vtkCellArray to allow random access
// into cells as well as representing cell type information.  The "location"
// field is the location in the vtkCellArray list in terms of an integer
// offset.  An integer offset was used instead of a pointer for easy storage
// and inter-process communication. The type information is defined in the
// file vtkCellType.h.
//
//
//To create an instance of class vtkCellTypes, simply
//invoke its constructor as follows
//@[
//  obj = vtkCellTypes
//@]
//@@Methods
//The class vtkCellTypes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCellTypes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCellTypes = obj.NewInstance ()|
// \item @|vtkCellTypes = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Allocate (int sz, int ext)| -  Allocate memory for this array. Delete old storage only if necessary.
//// \item @|obj.InsertCell (int id, char type, int loc)| -  Add a cell at specified id.
//// \item @|int = obj.InsertNextCell (char type, int loc)| -  Add a cell to the object in the next available slot.
//// \item @|obj.SetCellTypes (int ncells, vtkUnsignedCharArray cellTypes, vtkIntArray cellLocations)| -  Specify a group of cell types.
//// \item @|int = obj.GetCellLocation (int cellId)| -  Return the location of the cell in the associated vtkCellArray.
//// \item @|obj.DeleteCell (vtkIdType cellId)| -  Delete cell by setting to NULL cell type.
//// \item @|int = obj.GetNumberOfTypes ()| -  Return the number of types in the list.
//// \item @|int = obj.IsType (char type)| -  Return 1 if type specified is contained in list; 0 otherwise.
//// \item @|int = obj.InsertNextType (char type)| -  Add the type specified to the end of the list. Range checking is performed.
//// \item @|char = obj.GetCellType (int cellId)| -  Return the type of cell.
//// \item @|obj.Squeeze ()| -  Reclaim any extra memory.
//// \item @|obj.Reset ()| -  Initialize object without releasing memory.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the memory in kilobytes consumed by this cell type array. 
// Used to support streaming and reading/writing data. The value 
// returned is guaranteed to be greater than or equal to the memory 
// required to actually represent the data represented by this object. 
// The information returned is valid only after the pipeline has 
// been updated.
//// \item @|obj.DeepCopy (vtkCellTypes src)| -  Standard DeepCopy method.  Since this object contains no reference
// to other objects, there is no ShallowCopy.
////\end{itemize}
//!
