#include "VTKWrap.hpp"

// FreeMat wrapper for vtkColorTransferFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkColorTransferFunction.h"

//@@Signature
//sfunction @vtkColorTransferFunction:vtkColorTransferFunction vtkColorTransferFunctionConstructorFunction
//input a
//output p
//@@Parents vtkColorTransferFunction vtkScalarsToColors 
ArrayVector vtkColorTransferFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkColorTransferFunction::New(),"vtkColorTransferFunction",eval);
  } else if (arg[0].className() == "vtkColorTransferFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkColorTransferFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkColorTransferFunction");
    vtkColorTransferFunction*q = reinterpret_cast<vtkColorTransferFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkColorTransferFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkColorTransferFunction:GetClassName vtkColorTransferFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:IsA vtkColorTransferFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkColorTransferFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:NewInstance vtkColorTransferFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkColorTransferFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtkColorTransferFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkColorTransferFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SafeDownCast vtkColorTransferFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkColorTransferFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkColorTransferFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkColorTransferFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkColorTransferFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:DeepCopy vtkColorTransferFunctionDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkColorTransferFunctionDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkColorTransferFunction *f); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtkColorTransferFunction  *temp0;
  temp0 = GetVTKPointer<vtkColorTransferFunction>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:ShallowCopy vtkColorTransferFunctionShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkColorTransferFunctionShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkColorTransferFunction *f); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtkColorTransferFunction  *temp0;
  temp0 = GetVTKPointer<vtkColorTransferFunction>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetSize vtkColorTransferFunctionGetSizeFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:AddRGBPoint__1 vtkColorTransferFunctionAddRGBPoint__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkColorTransferFunctionAddRGBPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddRGBPoint (double x, double r, double g, double b); */
  if (arg.size() < 5) 
    throw Exception("Function AddRGBPoint__1 for class vtkColorTransferFunction requires 5 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->AddRGBPoint(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:AddRGBPoint__2 vtkColorTransferFunctionAddRGBPoint__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkColorTransferFunctionAddRGBPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddRGBPoint (double x, double r, double g, double b, double midpoint, double sharpness); */
  if (arg.size() < 7) 
    throw Exception("Function AddRGBPoint__2 for class vtkColorTransferFunction requires 7 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  temp20 = (vtk_pointer)->AddRGBPoint(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:AddHSVPoint__1 vtkColorTransferFunctionAddHSVPoint__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkColorTransferFunctionAddHSVPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddHSVPoint (double x, double h, double s, double v); */
  if (arg.size() < 5) 
    throw Exception("Function AddHSVPoint__1 for class vtkColorTransferFunction requires 5 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->AddHSVPoint(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:AddHSVPoint__2 vtkColorTransferFunctionAddHSVPoint__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkColorTransferFunctionAddHSVPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddHSVPoint (double x, double h, double s, double v, double midpoint, double sharpness); */
  if (arg.size() < 7) 
    throw Exception("Function AddHSVPoint__2 for class vtkColorTransferFunction requires 7 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  temp20 = (vtk_pointer)->AddHSVPoint(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:RemovePoint vtkColorTransferFunctionRemovePointFunction
//input a0 a1 
//output y
ArrayVector vtkColorTransferFunctionRemovePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemovePoint (double x); */
  if (arg.size() < 2) 
    throw Exception("Function RemovePoint for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->RemovePoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:AddRGBSegment vtkColorTransferFunctionAddRGBSegmentFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output none
ArrayVector vtkColorTransferFunctionAddRGBSegmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddRGBSegment (double x1, double r1, double g1, double b1, double x2, double r2, double g2, double b2); */
  if (arg.size() < 9) 
    throw Exception("Function AddRGBSegment for class vtkColorTransferFunction requires 9 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  vtk_pointer->AddRGBSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:AddHSVSegment vtkColorTransferFunctionAddHSVSegmentFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output none
ArrayVector vtkColorTransferFunctionAddHSVSegmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddHSVSegment (double x1, double h1, double s1, double v1, double x2, double h2, double s2, double v2); */
  if (arg.size() < 9) 
    throw Exception("Function AddHSVSegment for class vtkColorTransferFunction requires 9 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  vtk_pointer->AddHSVSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:RemoveAllPoints vtkColorTransferFunctionRemoveAllPointsFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionRemoveAllPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllPoints for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllPoints();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetColor__1 vtkColorTransferFunctionGetColor__1Function
//input a0 a1 
//output y
ArrayVector vtkColorTransferFunctionGetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetColor (double x);return vtkScalarsToColors GetColor x  */
  if (arg.size() < 2) 
    throw Exception("Function GetColor__1 for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetColor(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetColor__2 vtkColorTransferFunctionGetColor__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkColorTransferFunctionGetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetColor (double x, double rgb[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetColor__2 for class vtkColorTransferFunction requires 3 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetRedValue vtkColorTransferFunctionGetRedValueFunction
//input a0 a1 
//output y
ArrayVector vtkColorTransferFunctionGetRedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRedValue (double x); */
  if (arg.size() < 2) 
    throw Exception("Function GetRedValue for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRedValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetGreenValue vtkColorTransferFunctionGetGreenValueFunction
//input a0 a1 
//output y
ArrayVector vtkColorTransferFunctionGetGreenValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGreenValue (double x); */
  if (arg.size() < 2) 
    throw Exception("Function GetGreenValue for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGreenValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetBlueValue vtkColorTransferFunctionGetBlueValueFunction
//input a0 a1 
//output y
ArrayVector vtkColorTransferFunctionGetBlueValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBlueValue (double x); */
  if (arg.size() < 2) 
    throw Exception("Function GetBlueValue for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBlueValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetNodeValue vtkColorTransferFunctionGetNodeValueFunction
//input a0 a1 a2 
//output y
ArrayVector vtkColorTransferFunctionGetNodeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNodeValue (int index, double val[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetNodeValue for class vtkColorTransferFunction requires 3 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[6];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetNodeValue(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetNodeValue vtkColorTransferFunctionSetNodeValueFunction
//input a0 a1 a2 
//output y
ArrayVector vtkColorTransferFunctionSetNodeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetNodeValue (int index, double val[6]); */
  if (arg.size() < 3) 
    throw Exception("Function SetNodeValue for class vtkColorTransferFunction requires 3 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[6];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->SetNodeValue(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetRange vtkColorTransferFunctionGetRangeFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRange for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:AdjustRange vtkColorTransferFunctionAdjustRangeFunction
//input a0 a1 
//output y
ArrayVector vtkColorTransferFunctionAdjustRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AdjustRange (double range[2]); */
  if (arg.size() < 2) 
    throw Exception("Function AdjustRange for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->AdjustRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetTable__1 vtkColorTransferFunctionGetTable__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkColorTransferFunctionGetTable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTable (double x1, double x2, int n, double *table); */
  if (arg.size() < 5) 
    throw Exception("Function GetTable__1 for class vtkColorTransferFunction requires 5 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  double  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->GetTable(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetTable__2 vtkColorTransferFunctionGetTable__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkColorTransferFunctionGetTable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTable (double x1, double x2, int n, float *table); */
  if (arg.size() < 5) 
    throw Exception("Function GetTable__2 for class vtkColorTransferFunction requires 5 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  float   *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new float[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
      }
  vtk_pointer->GetTable(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:BuildFunctionFromTable vtkColorTransferFunctionBuildFunctionFromTableFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkColorTransferFunctionBuildFunctionFromTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildFunctionFromTable (double x1, double x2, int size, double *table); */
  if (arg.size() < 5) 
    throw Exception("Function BuildFunctionFromTable for class vtkColorTransferFunction requires 5 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  double  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->BuildFunctionFromTable(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetClamping vtkColorTransferFunctionSetClampingFunction
//input a0 a1 
//output none
ArrayVector vtkColorTransferFunctionSetClampingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClamping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClamping for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClamping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetClampingMinValue vtkColorTransferFunctionGetClampingMinValueFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetClampingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClampingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClampingMinValue for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClampingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetClampingMaxValue vtkColorTransferFunctionGetClampingMaxValueFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetClampingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClampingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClampingMaxValue for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClampingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetClamping vtkColorTransferFunctionGetClampingFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetClampingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClamping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClamping for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClamping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:ClampingOn vtkColorTransferFunctionClampingOnFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionClampingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampingOn for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->ClampingOn();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:ClampingOff vtkColorTransferFunctionClampingOffFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionClampingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampingOff for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->ClampingOff();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetColorSpace vtkColorTransferFunctionSetColorSpaceFunction
//input a0 a1 
//output none
ArrayVector vtkColorTransferFunctionSetColorSpaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorSpace (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorSpace for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorSpace(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetColorSpaceMinValue vtkColorTransferFunctionGetColorSpaceMinValueFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetColorSpaceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorSpaceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorSpaceMinValue for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorSpaceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetColorSpaceMaxValue vtkColorTransferFunctionGetColorSpaceMaxValueFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetColorSpaceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorSpaceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorSpaceMaxValue for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorSpaceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetColorSpaceToRGB vtkColorTransferFunctionSetColorSpaceToRGBFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionSetColorSpaceToRGBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorSpaceToRGB ();this SetColorSpace VTK_CTF_RGB  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorSpaceToRGB for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetColorSpaceToRGB();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetColorSpaceToHSV vtkColorTransferFunctionSetColorSpaceToHSVFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionSetColorSpaceToHSVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorSpaceToHSV ();this SetColorSpace VTK_CTF_HSV  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorSpaceToHSV for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetColorSpaceToHSV();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetColorSpaceToLab vtkColorTransferFunctionSetColorSpaceToLabFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionSetColorSpaceToLabFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorSpaceToLab ();this SetColorSpace VTK_CTF_LAB  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorSpaceToLab for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetColorSpaceToLab();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetColorSpaceToDiverging vtkColorTransferFunctionSetColorSpaceToDivergingFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionSetColorSpaceToDivergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorSpaceToDiverging ();this SetColorSpace VTK_CTF_DIVERGING  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorSpaceToDiverging for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetColorSpaceToDiverging();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetColorSpace vtkColorTransferFunctionGetColorSpaceFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetColorSpaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorSpace (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorSpace for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorSpace();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetHSVWrap vtkColorTransferFunctionSetHSVWrapFunction
//input a0 a1 
//output none
ArrayVector vtkColorTransferFunctionSetHSVWrapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHSVWrap (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHSVWrap for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHSVWrap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetHSVWrap vtkColorTransferFunctionGetHSVWrapFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetHSVWrapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHSVWrap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHSVWrap for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHSVWrap();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:HSVWrapOn vtkColorTransferFunctionHSVWrapOnFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionHSVWrapOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HSVWrapOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HSVWrapOn for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->HSVWrapOn();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:HSVWrapOff vtkColorTransferFunctionHSVWrapOffFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionHSVWrapOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HSVWrapOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HSVWrapOff for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->HSVWrapOff();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetScale vtkColorTransferFunctionSetScaleFunction
//input a0 a1 
//output none
ArrayVector vtkColorTransferFunctionSetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScale for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetScaleToLinear vtkColorTransferFunctionSetScaleToLinearFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionSetScaleToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleToLinear ();this SetScale VTK_CTF_LINEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScaleToLinear for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetScaleToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetScaleToLog10 vtkColorTransferFunctionSetScaleToLog10Function
//input a0 
//output none
ArrayVector vtkColorTransferFunctionSetScaleToLog10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleToLog10 ();this SetScale VTK_CTF_LOG10  */
  if (arg.size() < 1) 
    throw Exception("Function SetScaleToLog10 for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetScaleToLog10();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetScale vtkColorTransferFunctionGetScaleFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:FillFromDataPointer vtkColorTransferFunctionFillFromDataPointerFunction
//input a0 a1 a2 
//output none
ArrayVector vtkColorTransferFunctionFillFromDataPointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FillFromDataPointer (int , double *); */
  if (arg.size() < 3) 
    throw Exception("Function FillFromDataPointer for class vtkColorTransferFunction requires 3 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->FillFromDataPointer(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetAllowDuplicateScalars vtkColorTransferFunctionSetAllowDuplicateScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkColorTransferFunctionSetAllowDuplicateScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllowDuplicateScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllowDuplicateScalars for class vtkColorTransferFunction requires 2 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllowDuplicateScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetAllowDuplicateScalars vtkColorTransferFunctionGetAllowDuplicateScalarsFunction
//input a0 
//output y
ArrayVector vtkColorTransferFunctionGetAllowDuplicateScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAllowDuplicateScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllowDuplicateScalars for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAllowDuplicateScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:AllowDuplicateScalarsOn vtkColorTransferFunctionAllowDuplicateScalarsOnFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionAllowDuplicateScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowDuplicateScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowDuplicateScalarsOn for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->AllowDuplicateScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:AllowDuplicateScalarsOff vtkColorTransferFunctionAllowDuplicateScalarsOffFunction
//input a0 
//output none
ArrayVector vtkColorTransferFunctionAllowDuplicateScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowDuplicateScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowDuplicateScalarsOff for class vtkColorTransferFunction requires 1 argument(s)");
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->AllowDuplicateScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkColorTransferFunction:AddRGBPoint vtkColorTransferFunctionAddRGBPointFunction
//input varargin
//output varargout
ArrayVector vtkColorTransferFunctionAddRGBPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkColorTransferFunctionAddRGBPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkColorTransferFunctionAddRGBPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkColorTransferFunctionAddRGBPoint");
}

//@@Signature
//sfunction @vtkColorTransferFunction:AddHSVPoint vtkColorTransferFunctionAddHSVPointFunction
//input varargin
//output varargout
ArrayVector vtkColorTransferFunctionAddHSVPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkColorTransferFunctionAddHSVPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkColorTransferFunctionAddHSVPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkColorTransferFunctionAddHSVPoint");
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetColor vtkColorTransferFunctionGetColorFunction
//input varargin
//output varargout
ArrayVector vtkColorTransferFunctionGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkColorTransferFunctionGetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkColorTransferFunctionGetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkColorTransferFunctionGetColor");
}

//@@Signature
//sfunction @vtkColorTransferFunction:GetTable vtkColorTransferFunctionGetTableFunction
//input varargin
//output varargout
ArrayVector vtkColorTransferFunctionGetTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkColorTransferFunctionGetTable__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkColorTransferFunctionGetTable__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkColorTransferFunctionGetTable");
}

//@@Signature
//sfunction @vtkColorTransferFunction:SetRange vtkColorTransferFunctionSetRangeFunction
//input varargin
//output varargout
ArrayVector vtkColorTransferFunctionSetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkColorTransferFunctionSetRange");
}

//@@Signature
//sfunction @vtkColorTransferFunction:display vtkColorTransferFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkColorTransferFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkColorTransferFunction* vtk_pointer = GetVTKPointer<vtkColorTransferFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkColorTransferFunction:delete vtkColorTransferFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkColorTransferFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkColorTransferFunction
//@@Section VTKFiltering
//@@Usage
// vtkColorTransferFunction is a color mapping in RGB or HSV space that
// uses piecewise hermite functions to allow interpolation that can be
// piecewise constant, piecewise linear, or somewhere in-between 
// (a modified piecewise hermite function that squishes the function
// according to a sharpness parameter). The function also allows for
// the specification of the midpoint (the place where the function
// reaches the average of the two bounding nodes) as a normalize distance
// between nodes.
// See the description of class vtkPiecewiseFunction for an explanation of
// midpoint and sharpness.
//
//To create an instance of class vtkColorTransferFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkColorTransferFunction
//@]
//@@Methods
//The class vtkColorTransferFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkColorTransferFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkColorTransferFunction = obj.NewInstance ()|
// \item @|vtkColorTransferFunction = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DeepCopy (vtkColorTransferFunction f)|
// \item @|obj.ShallowCopy (vtkColorTransferFunction f)|
// \item @|int = obj.GetSize ()| -  How many points are there defining this function?
//// \item @|int = obj.AddRGBPoint (double x, double r, double g, double b)| -  Add/Remove a point to/from the function defined in RGB or HSV
// Return the index of the point (0 based), or -1 on error.
// See the description of class vtkPiecewiseFunction for an explanation of
// midpoint and sharpness.
//// \item @|int = obj.AddRGBPoint (double x, double r, double g, double b, double midpoint, double sharpness)| -  Add/Remove a point to/from the function defined in RGB or HSV
// Return the index of the point (0 based), or -1 on error.
// See the description of class vtkPiecewiseFunction for an explanation of
// midpoint and sharpness.
//// \item @|int = obj.AddHSVPoint (double x, double h, double s, double v)| -  Add/Remove a point to/from the function defined in RGB or HSV
// Return the index of the point (0 based), or -1 on error.
// See the description of class vtkPiecewiseFunction for an explanation of
// midpoint and sharpness.
//// \item @|int = obj.AddHSVPoint (double x, double h, double s, double v, double midpoint, double sharpness)| -  Add/Remove a point to/from the function defined in RGB or HSV
// Return the index of the point (0 based), or -1 on error.
// See the description of class vtkPiecewiseFunction for an explanation of
// midpoint and sharpness.
//// \item @|int = obj.RemovePoint (double x)| -  Add/Remove a point to/from the function defined in RGB or HSV
// Return the index of the point (0 based), or -1 on error.
// See the description of class vtkPiecewiseFunction for an explanation of
// midpoint and sharpness.
//// \item @|obj.AddRGBSegment (double x1, double r1, double g1, double b1, double x2, double r2, double g2, double b2)| -  Add two points to the function and remove all the points 
// between them
//// \item @|obj.AddHSVSegment (double x1, double h1, double s1, double v1, double x2, double h2, double s2, double v2)| -  Add two points to the function and remove all the points 
// between them
//// \item @|obj.RemoveAllPoints ()| -  Remove all points
//// \item @|double = obj.GetColor (double x)| -  Returns an RGB color for the specified scalar value 
//// \item @|obj.GetColor (double x, double rgb[3])| -  Returns an RGB color for the specified scalar value 
//// \item @|double = obj.GetRedValue (double x)| -  Get the color components individually.
//// \item @|double = obj.GetGreenValue (double x)| -  Get the color components individually.
//// \item @|double = obj.GetBlueValue (double x)| -  Get the color components individually.
//// \item @|int = obj.GetNodeValue (int index, double val[6])| -  For the node specified by index, set/get the
// location (X), R, G, and B values, midpoint, and 
// sharpness values at the node.
//// \item @|int = obj.SetNodeValue (int index, double val[6])| -  For the node specified by index, set/get the
// location (X), R, G, and B values, midpoint, and 
// sharpness values at the node.
//// \item @|double = obj. GetRange ()| -  Returns min and max position of all function points.
//// \item @|int = obj.AdjustRange (double range[2])| -  Remove all points out of the new range, and make sure there is a point
// at each end of that range.
// Return 1 on success, 0 otherwise.
//// \item @|obj.GetTable (double x1, double x2, int n, double table)| -  Fills in a table of n function values between x1 and x2
//// \item @|obj.GetTable (double x1, double x2, int n, float table)| -  Fills in a table of n function values between x1 and x2
//// \item @|obj.BuildFunctionFromTable (double x1, double x2, int size, double table)| -  Construct a color transfer function from a table. Function range is
// is set to [x1, x2], each function size is set to size, and function 
// points are regularly spaced between x1 and x2. Parameter "table" is 
// assumed to be a block of memory of size [3*size]
//// \item @|obj.SetClamping (int )| -  Sets and gets the clamping value for this transfer function.
//// \item @|int = obj.GetClampingMinValue ()| -  Sets and gets the clamping value for this transfer function.
//// \item @|int = obj.GetClampingMaxValue ()| -  Sets and gets the clamping value for this transfer function.
//// \item @|int = obj.GetClamping ()| -  Sets and gets the clamping value for this transfer function.
//// \item @|obj.ClampingOn ()| -  Sets and gets the clamping value for this transfer function.
//// \item @|obj.ClampingOff ()| -  Sets and gets the clamping value for this transfer function.
//// \item @|obj.SetColorSpace (int )| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|int = obj.GetColorSpaceMinValue ()| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|int = obj.GetColorSpaceMaxValue ()| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|obj.SetColorSpaceToRGB ()| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|obj.SetColorSpaceToHSV ()| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|obj.SetColorSpaceToLab ()| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|obj.SetColorSpaceToDiverging ()| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|int = obj.GetColorSpace ()| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|obj.SetHSVWrap (int )| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|int = obj.GetHSVWrap ()| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|obj.HSVWrapOn ()| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|obj.HSVWrapOff ()| -  Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or
// Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path
// in Hue (going back through 0 if that is the shortest way around the hue
// circle) whereas if HSVWrap is off it will not go through 0 (in order the
// match the current functionality of vtkLookupTable).  Diverging is a special
// mode where colors will pass through white when interpolating between two
// saturated colors.
//// \item @|obj.SetScale (int )| -  Set the type of scale to use, linear or logarithmic.  The default
// is linear.  If the scale is logarithmic, and the range contains
// zero, the color mapping will be linear.
//// \item @|obj.SetScaleToLinear ()| -  Set the type of scale to use, linear or logarithmic.  The default
// is linear.  If the scale is logarithmic, and the range contains
// zero, the color mapping will be linear.
//// \item @|obj.SetScaleToLog10 ()| -  Set the type of scale to use, linear or logarithmic.  The default
// is linear.  If the scale is logarithmic, and the range contains
// zero, the color mapping will be linear.
//// \item @|int = obj.GetScale ()| -  Set the type of scale to use, linear or logarithmic.  The default
// is linear.  If the scale is logarithmic, and the range contains
// zero, the color mapping will be linear.
//// \item @|obj.FillFromDataPointer (int , double )| -  Returns a list of all nodes
// Fills from a pointer to data stored in a similar list of nodes.
//// \item @|obj.SetAllowDuplicateScalars (int )| -  Toggle whether to allow duplicate scalar values in the color transfer
// function (off by default).
//// \item @|int = obj.GetAllowDuplicateScalars ()| -  Toggle whether to allow duplicate scalar values in the color transfer
// function (off by default).
//// \item @|obj.AllowDuplicateScalarsOn ()| -  Toggle whether to allow duplicate scalar values in the color transfer
// function (off by default).
//// \item @|obj.AllowDuplicateScalarsOff ()| -  Toggle whether to allow duplicate scalar values in the color transfer
// function (off by default).
////\end{itemize}
//!
