#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompositeDataIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompositeDataIterator.h"

//@@Signature
//sfunction @vtkCompositeDataIterator:vtkCompositeDataIterator vtkCompositeDataIteratorConstructorFunction
//input a
//output p
//@@Parents vtkCompositeDataIterator vtkObject 
ArrayVector vtkCompositeDataIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompositeDataIterator::New(),"vtkCompositeDataIterator",eval);
  } else if (arg[0].className() == "vtkCompositeDataIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompositeDataIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompositeDataIterator");
    vtkCompositeDataIterator*q = reinterpret_cast<vtkCompositeDataIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompositeDataIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompositeDataIterator:GetClassName vtkCompositeDataIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:IsA vtkCompositeDataIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompositeDataIterator requires 2 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:NewInstance vtkCompositeDataIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:SafeDownCast vtkCompositeDataIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompositeDataIterator requires 2 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompositeDataIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:SetDataSet vtkCompositeDataIteratorSetDataSetFunction
//input a0 a1 
//output none
ArrayVector vtkCompositeDataIteratorSetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataSet (vtkCompositeDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSet for class vtkCompositeDataIterator requires 2 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtkCompositeDataSet  *temp0;
  temp0 = GetVTKPointer<vtkCompositeDataSet>(arg[1]);
  vtk_pointer->SetDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:GetDataSet vtkCompositeDataIteratorGetDataSetFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataSet *GetDataSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSet for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtkCompositeDataSet  *temp20;
  temp20 = (vtk_pointer)->GetDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:InitTraversal vtkCompositeDataIteratorInitTraversalFunction
//input a0 
//output none
ArrayVector vtkCompositeDataIteratorInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitTraversal for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtk_pointer->InitTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:InitReverseTraversal vtkCompositeDataIteratorInitReverseTraversalFunction
//input a0 
//output none
ArrayVector vtkCompositeDataIteratorInitReverseTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitReverseTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitReverseTraversal for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtk_pointer->InitReverseTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:GoToFirstItem vtkCompositeDataIteratorGoToFirstItemFunction
//input a0 
//output none
ArrayVector vtkCompositeDataIteratorGoToFirstItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GoToFirstItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GoToFirstItem for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtk_pointer->GoToFirstItem();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:GoToNextItem vtkCompositeDataIteratorGoToNextItemFunction
//input a0 
//output none
ArrayVector vtkCompositeDataIteratorGoToNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GoToNextItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GoToNextItem for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtk_pointer->GoToNextItem();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:IsDoneWithTraversal vtkCompositeDataIteratorIsDoneWithTraversalFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorIsDoneWithTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsDoneWithTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function IsDoneWithTraversal for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsDoneWithTraversal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:GetCurrentDataObject vtkCompositeDataIteratorGetCurrentDataObjectFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorGetCurrentDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataObject *GetCurrentDataObject (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentDataObject for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetCurrentDataObject();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:GetCurrentMetaData vtkCompositeDataIteratorGetCurrentMetaDataFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorGetCurrentMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkInformation *GetCurrentMetaData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentMetaData for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtkInformation  *temp20;
  temp20 = (vtk_pointer)->GetCurrentMetaData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:HasCurrentMetaData vtkCompositeDataIteratorHasCurrentMetaDataFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorHasCurrentMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasCurrentMetaData (); */
  if (arg.size() < 1) 
    throw Exception("Function HasCurrentMetaData for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasCurrentMetaData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:SetVisitOnlyLeaves vtkCompositeDataIteratorSetVisitOnlyLeavesFunction
//input a0 a1 
//output none
ArrayVector vtkCompositeDataIteratorSetVisitOnlyLeavesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVisitOnlyLeaves (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVisitOnlyLeaves for class vtkCompositeDataIterator requires 2 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVisitOnlyLeaves(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:GetVisitOnlyLeaves vtkCompositeDataIteratorGetVisitOnlyLeavesFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorGetVisitOnlyLeavesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVisitOnlyLeaves (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVisitOnlyLeaves for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVisitOnlyLeaves();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:VisitOnlyLeavesOn vtkCompositeDataIteratorVisitOnlyLeavesOnFunction
//input a0 
//output none
ArrayVector vtkCompositeDataIteratorVisitOnlyLeavesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VisitOnlyLeavesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VisitOnlyLeavesOn for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtk_pointer->VisitOnlyLeavesOn();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:VisitOnlyLeavesOff vtkCompositeDataIteratorVisitOnlyLeavesOffFunction
//input a0 
//output none
ArrayVector vtkCompositeDataIteratorVisitOnlyLeavesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VisitOnlyLeavesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VisitOnlyLeavesOff for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtk_pointer->VisitOnlyLeavesOff();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:SetTraverseSubTree vtkCompositeDataIteratorSetTraverseSubTreeFunction
//input a0 a1 
//output none
ArrayVector vtkCompositeDataIteratorSetTraverseSubTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTraverseSubTree (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTraverseSubTree for class vtkCompositeDataIterator requires 2 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTraverseSubTree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:GetTraverseSubTree vtkCompositeDataIteratorGetTraverseSubTreeFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorGetTraverseSubTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTraverseSubTree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTraverseSubTree for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTraverseSubTree();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:TraverseSubTreeOn vtkCompositeDataIteratorTraverseSubTreeOnFunction
//input a0 
//output none
ArrayVector vtkCompositeDataIteratorTraverseSubTreeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TraverseSubTreeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TraverseSubTreeOn for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtk_pointer->TraverseSubTreeOn();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:TraverseSubTreeOff vtkCompositeDataIteratorTraverseSubTreeOffFunction
//input a0 
//output none
ArrayVector vtkCompositeDataIteratorTraverseSubTreeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TraverseSubTreeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TraverseSubTreeOff for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtk_pointer->TraverseSubTreeOff();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:SetSkipEmptyNodes vtkCompositeDataIteratorSetSkipEmptyNodesFunction
//input a0 a1 
//output none
ArrayVector vtkCompositeDataIteratorSetSkipEmptyNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSkipEmptyNodes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSkipEmptyNodes for class vtkCompositeDataIterator requires 2 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSkipEmptyNodes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:GetSkipEmptyNodes vtkCompositeDataIteratorGetSkipEmptyNodesFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorGetSkipEmptyNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSkipEmptyNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSkipEmptyNodes for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSkipEmptyNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:SkipEmptyNodesOn vtkCompositeDataIteratorSkipEmptyNodesOnFunction
//input a0 
//output none
ArrayVector vtkCompositeDataIteratorSkipEmptyNodesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SkipEmptyNodesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SkipEmptyNodesOn for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtk_pointer->SkipEmptyNodesOn();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:SkipEmptyNodesOff vtkCompositeDataIteratorSkipEmptyNodesOffFunction
//input a0 
//output none
ArrayVector vtkCompositeDataIteratorSkipEmptyNodesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SkipEmptyNodesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SkipEmptyNodesOff for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  vtk_pointer->SkipEmptyNodesOff();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:GetCurrentFlatIndex vtkCompositeDataIteratorGetCurrentFlatIndexFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorGetCurrentFlatIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetCurrentFlatIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentFlatIndex for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetCurrentFlatIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:GetReverse vtkCompositeDataIteratorGetReverseFunction
//input a0 
//output y
ArrayVector vtkCompositeDataIteratorGetReverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReverse (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverse for class vtkCompositeDataIterator requires 1 argument(s)");
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReverse();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataIterator:display vtkCompositeDataIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompositeDataIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompositeDataIterator* vtk_pointer = GetVTKPointer<vtkCompositeDataIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompositeDataIterator:delete vtkCompositeDataIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkCompositeDataIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompositeDataIterator
//@@Section VTKFiltering
//@@Usage
// vtkCompositeDataIterator provides an interface for accessing datasets
// in a collection (vtkCompositeDataIterator). 
//
//To create an instance of class vtkCompositeDataIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompositeDataIterator
//@]
//@@Methods
//The class vtkCompositeDataIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompositeDataIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompositeDataIterator = obj.NewInstance ()|
// \item @|vtkCompositeDataIterator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDataSet (vtkCompositeDataSet ds)| -  Set the composite dataset this iterator is iterating over. 
// Must be set before traversal begins.
//// \item @|vtkCompositeDataSet = obj.GetDataSet ()| -  Set the composite dataset this iterator is iterating over. 
// Must be set before traversal begins.
//// \item @|obj.InitTraversal ()| -  Begin iterating over the composite dataset structure.
//// \item @|obj.InitReverseTraversal ()| -  Begin iterating over the composite dataset structure in reverse order.
//// \item @|obj.GoToFirstItem ()| -  Move the iterator to the beginning of the collection.
//// \item @|obj.GoToNextItem ()| -  Move the iterator to the next item in the collection.
//// \item @|int = obj.IsDoneWithTraversal ()| -  Test whether the iterator is finished with the traversal.
// Returns 1 for yes, and 0 for no. 
// It is safe to call any of the GetCurrent...() methods only when
// IsDoneWithTraversal() returns 0.
//// \item @|vtkDataObject = obj.GetCurrentDataObject ()| -  Returns the current item. Valid only when IsDoneWithTraversal() returns 0.
//// \item @|vtkInformation = obj.GetCurrentMetaData ()| -  Returns the meta-data associated with the current item. This will allocate
// a new vtkInformation object is none is already present. Use
// HasCurrentMetaData to avoid unnecessary creation of vtkInformation objects.
//// \item @|int = obj.HasCurrentMetaData ()| -  Returns if the a meta-data information object is present for the current
// item. Return 1 on success, 0 otherwise.
//// \item @|obj.SetVisitOnlyLeaves (int )| -  If VisitOnlyLeaves is true, the iterator will only visit nodes
// (sub-datasets) that are not composite. If it encounters a composite
// data set, it will automatically traverse that composite dataset until
// it finds non-composite datasets. With this options, it is possible to
// visit all non-composite datasets in tree of composite datasets
// (composite of composite of composite for example :-) ) If
// VisitOnlyLeaves is false, GetCurrentDataObject() may return
// vtkCompositeDataSet. By default, VisitOnlyLeaves is 1.
//// \item @|int = obj.GetVisitOnlyLeaves ()| -  If VisitOnlyLeaves is true, the iterator will only visit nodes
// (sub-datasets) that are not composite. If it encounters a composite
// data set, it will automatically traverse that composite dataset until
// it finds non-composite datasets. With this options, it is possible to
// visit all non-composite datasets in tree of composite datasets
// (composite of composite of composite for example :-) ) If
// VisitOnlyLeaves is false, GetCurrentDataObject() may return
// vtkCompositeDataSet. By default, VisitOnlyLeaves is 1.
//// \item @|obj.VisitOnlyLeavesOn ()| -  If VisitOnlyLeaves is true, the iterator will only visit nodes
// (sub-datasets) that are not composite. If it encounters a composite
// data set, it will automatically traverse that composite dataset until
// it finds non-composite datasets. With this options, it is possible to
// visit all non-composite datasets in tree of composite datasets
// (composite of composite of composite for example :-) ) If
// VisitOnlyLeaves is false, GetCurrentDataObject() may return
// vtkCompositeDataSet. By default, VisitOnlyLeaves is 1.
//// \item @|obj.VisitOnlyLeavesOff ()| -  If VisitOnlyLeaves is true, the iterator will only visit nodes
// (sub-datasets) that are not composite. If it encounters a composite
// data set, it will automatically traverse that composite dataset until
// it finds non-composite datasets. With this options, it is possible to
// visit all non-composite datasets in tree of composite datasets
// (composite of composite of composite for example :-) ) If
// VisitOnlyLeaves is false, GetCurrentDataObject() may return
// vtkCompositeDataSet. By default, VisitOnlyLeaves is 1.
//// \item @|obj.SetTraverseSubTree (int )| -  If TraverseSubTree is set to true, the iterator will visit the entire tree
// structure, otherwise it only visits the first level children. Set to 1 by
// default.
//// \item @|int = obj.GetTraverseSubTree ()| -  If TraverseSubTree is set to true, the iterator will visit the entire tree
// structure, otherwise it only visits the first level children. Set to 1 by
// default.
//// \item @|obj.TraverseSubTreeOn ()| -  If TraverseSubTree is set to true, the iterator will visit the entire tree
// structure, otherwise it only visits the first level children. Set to 1 by
// default.
//// \item @|obj.TraverseSubTreeOff ()| -  If TraverseSubTree is set to true, the iterator will visit the entire tree
// structure, otherwise it only visits the first level children. Set to 1 by
// default.
//// \item @|obj.SetSkipEmptyNodes (int )| -  If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is
// true.
//// \item @|int = obj.GetSkipEmptyNodes ()| -  If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is
// true.
//// \item @|obj.SkipEmptyNodesOn ()| -  If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is
// true.
//// \item @|obj.SkipEmptyNodesOff ()| -  If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is
// true.
//// \item @|int = obj.GetCurrentFlatIndex ()| -  Flat index is an index obtained by traversing the tree in preorder.
// This can be used to uniquely identify nodes in the tree.
// Not valid if IsDoneWithTraversal() returns true.
//// \item @|int = obj.GetReverse ()| -  Returns if the iteration is in reverse order.
////\end{itemize}
//!
