#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompositeDataPipeline object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompositeDataPipeline.h"

//@@Signature
//sfunction @vtkCompositeDataPipeline:vtkCompositeDataPipeline vtkCompositeDataPipelineConstructorFunction
//input a
//output p
//@@Parents vtkCompositeDataPipeline vtkStreamingDemandDrivenPipeline 
ArrayVector vtkCompositeDataPipelineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompositeDataPipeline::New(),"vtkCompositeDataPipeline",eval);
  } else if (arg[0].className() == "vtkCompositeDataPipeline") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompositeDataPipeline"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompositeDataPipeline");
    vtkCompositeDataPipeline*q = reinterpret_cast<vtkCompositeDataPipeline*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompositeDataPipeline");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompositeDataPipeline:GetClassName vtkCompositeDataPipelineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompositeDataPipelineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompositeDataPipeline requires 1 argument(s)");
  vtkCompositeDataPipeline* vtk_pointer = GetVTKPointer<vtkCompositeDataPipeline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataPipeline:IsA vtkCompositeDataPipelineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataPipelineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompositeDataPipeline requires 2 argument(s)");
  vtkCompositeDataPipeline* vtk_pointer = GetVTKPointer<vtkCompositeDataPipeline>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataPipeline:NewInstance vtkCompositeDataPipelineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompositeDataPipelineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataPipeline *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompositeDataPipeline requires 1 argument(s)");
  vtkCompositeDataPipeline* vtk_pointer = GetVTKPointer<vtkCompositeDataPipeline>(arg[0]);
  Array retval;
  vtkCompositeDataPipeline  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataPipeline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataPipeline:SafeDownCast vtkCompositeDataPipelineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataPipelineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataPipeline *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompositeDataPipeline requires 2 argument(s)");
  vtkCompositeDataPipeline* vtk_pointer = GetVTKPointer<vtkCompositeDataPipeline>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompositeDataPipeline  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataPipeline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataPipeline:GetCompositeOutputData vtkCompositeDataPipelineGetCompositeOutputDataFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataPipelineGetCompositeOutputDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetCompositeOutputData (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetCompositeOutputData for class vtkCompositeDataPipeline requires 2 argument(s)");
  vtkCompositeDataPipeline* vtk_pointer = GetVTKPointer<vtkCompositeDataPipeline>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCompositeOutputData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataPipeline:REQUIRES_TIME_DOWNSTREAM vtkCompositeDataPipelineREQUIRES_TIME_DOWNSTREAMFunction
//input a0 
//output y
ArrayVector vtkCompositeDataPipelineREQUIRES_TIME_DOWNSTREAMFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *REQUIRES_TIME_DOWNSTREAM (); */
  if (arg.size() < 1) 
    throw Exception("Function REQUIRES_TIME_DOWNSTREAM for class vtkCompositeDataPipeline requires 1 argument(s)");
  vtkCompositeDataPipeline* vtk_pointer = GetVTKPointer<vtkCompositeDataPipeline>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->REQUIRES_TIME_DOWNSTREAM();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataPipeline:COMPOSITE_DATA_META_DATA vtkCompositeDataPipelineCOMPOSITE_DATA_META_DATAFunction
//input a0 
//output y
ArrayVector vtkCompositeDataPipelineCOMPOSITE_DATA_META_DATAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationObjectBaseKey *COMPOSITE_DATA_META_DATA (); */
  if (arg.size() < 1) 
    throw Exception("Function COMPOSITE_DATA_META_DATA for class vtkCompositeDataPipeline requires 1 argument(s)");
  vtkCompositeDataPipeline* vtk_pointer = GetVTKPointer<vtkCompositeDataPipeline>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp20;
  temp20 = (vtk_pointer)->COMPOSITE_DATA_META_DATA();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataPipeline:UPDATE_COMPOSITE_INDICES vtkCompositeDataPipelineUPDATE_COMPOSITE_INDICESFunction
//input a0 
//output y
ArrayVector vtkCompositeDataPipelineUPDATE_COMPOSITE_INDICESFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerVectorKey *UPDATE_COMPOSITE_INDICES (); */
  if (arg.size() < 1) 
    throw Exception("Function UPDATE_COMPOSITE_INDICES for class vtkCompositeDataPipeline requires 1 argument(s)");
  vtkCompositeDataPipeline* vtk_pointer = GetVTKPointer<vtkCompositeDataPipeline>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp20;
  temp20 = (vtk_pointer)->UPDATE_COMPOSITE_INDICES();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataPipeline:COMPOSITE_INDICES vtkCompositeDataPipelineCOMPOSITE_INDICESFunction
//input a0 
//output y
ArrayVector vtkCompositeDataPipelineCOMPOSITE_INDICESFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerVectorKey *COMPOSITE_INDICES (); */
  if (arg.size() < 1) 
    throw Exception("Function COMPOSITE_INDICES for class vtkCompositeDataPipeline requires 1 argument(s)");
  vtkCompositeDataPipeline* vtk_pointer = GetVTKPointer<vtkCompositeDataPipeline>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp20;
  temp20 = (vtk_pointer)->COMPOSITE_INDICES();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataPipeline:ForwardUpstream vtkCompositeDataPipelineForwardUpstreamFunction
//input varargin
//output varargout
ArrayVector vtkCompositeDataPipelineForwardUpstreamFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCompositeDataPipelineForwardUpstream");
}

//@@Signature
//sfunction @vtkCompositeDataPipeline:display vtkCompositeDataPipelineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompositeDataPipelineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompositeDataPipeline* vtk_pointer = GetVTKPointer<vtkCompositeDataPipeline>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompositeDataPipeline:delete vtkCompositeDataPipelineDeleteFunction
//input varargin
//output none
ArrayVector vtkCompositeDataPipelineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompositeDataPipeline
//@@Section VTKFiltering
//@@Usage
// vtkCompositeDataPipeline is an executive that supports the processing of
// composite dataset. It supports algorithms that are aware of composite
// dataset as well as those that are not. Type checking is performed at run
// time. Algorithms that are not composite dataset-aware have to support
// all dataset types contained in the composite dataset. The pipeline
// execution can be summarized as follows: 
//
// * REQUEST_INFORMATION: The producers have to provide information about
// the contents of the composite dataset in this pass. 
// Sources that can produce more than one piece (note that a piece is
// different than a block; each piece consistes of 0 or more blocks) should
// set MAXIMUM_NUMBER_OF_PIECES to -1.
//
// * REQUEST_UPDATE_EXTENT: This pass is identical to the one implemented
// in vtkStreamingDemandDrivenPipeline
//
// * REQUEST_DATA: This is where the algorithms execute. If the 
// vtkCompositeDataPipeline is assigned to a simple filter, 
// it will invoke the  vtkStreamingDemandDrivenPipeline passes in a loop, 
// passing a different block each time and will collect the results in a 
// composite dataset. 
// .SECTION See also
//  vtkCompositeDataSet
//
//To create an instance of class vtkCompositeDataPipeline, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompositeDataPipeline
//@]
//@@Methods
//The class vtkCompositeDataPipeline has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompositeDataPipeline class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompositeDataPipeline = obj.NewInstance ()|
// \item @|vtkCompositeDataPipeline = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataObject = obj.GetCompositeOutputData (int port)| -  Returns the data object stored with the DATA_OBJECT() in the
// output port
////\end{itemize}
//!
