#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompositeDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompositeDataSet.h"

//@@Signature
//sfunction @vtkCompositeDataSet:vtkCompositeDataSet vtkCompositeDataSetConstructorFunction
//input a
//output p
//@@Parents vtkCompositeDataSet vtkDataObject 
ArrayVector vtkCompositeDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompositeDataSet::New(),"vtkCompositeDataSet",eval);
  } else if (arg[0].className() == "vtkCompositeDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompositeDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompositeDataSet");
    vtkCompositeDataSet*q = reinterpret_cast<vtkCompositeDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompositeDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompositeDataSet:GetClassName vtkCompositeDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompositeDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompositeDataSet requires 1 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:IsA vtkCompositeDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompositeDataSet requires 2 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:NewInstance vtkCompositeDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompositeDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompositeDataSet requires 1 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:SafeDownCast vtkCompositeDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompositeDataSet requires 2 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompositeDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:NewIterator vtkCompositeDataSetNewIteratorFunction
//input a0 
//output y
ArrayVector vtkCompositeDataSetNewIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCompositeDataIterator *NewIterator (); */
  if (arg.size() < 1) 
    throw Exception("Function NewIterator for class vtkCompositeDataSet requires 1 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp20;
  temp20 = (vtk_pointer)->NewIterator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:GetDataObjectType vtkCompositeDataSetGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkCompositeDataSetGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_COMPOSITE_DATA_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkCompositeDataSet requires 1 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:GetProducerPort vtkCompositeDataSetGetProducerPortFunction
//input a0 
//output y
ArrayVector vtkCompositeDataSetGetProducerPortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetProducerPort (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProducerPort for class vtkCompositeDataSet requires 1 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp20;
  temp20 = (vtk_pointer)->GetProducerPort();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:CopyStructure vtkCompositeDataSetCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkCompositeDataSetCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyStructure (vtkCompositeDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkCompositeDataSet requires 2 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataSet  *temp0;
  temp0 = GetVTKPointer<vtkCompositeDataSet>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:SetDataSet vtkCompositeDataSetSetDataSetFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCompositeDataSetSetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataSet (vtkCompositeDataIterator *iter, vtkDataObject *dataObj); */
  if (arg.size() < 3) 
    throw Exception("Function SetDataSet for class vtkCompositeDataSet requires 3 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetDataSet(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:GetDataSet vtkCompositeDataSetGetDataSetFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataSetGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataObject *GetDataSet (vtkCompositeDataIterator *iter); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataSet for class vtkCompositeDataSet requires 2 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->GetDataSet(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:GetMetaData vtkCompositeDataSetGetMetaDataFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataSetGetMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkInformation *GetMetaData (vtkCompositeDataIterator *iter); */
  if (arg.size() < 2) 
    throw Exception("Function GetMetaData for class vtkCompositeDataSet requires 2 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->GetMetaData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:HasMetaData vtkCompositeDataSetHasMetaDataFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataSetHasMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasMetaData (vtkCompositeDataIterator *iter); */
  if (arg.size() < 2) 
    throw Exception("Function HasMetaData for class vtkCompositeDataSet requires 2 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->HasMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:Initialize vtkCompositeDataSetInitializeFunction
//input a0 
//output none
ArrayVector vtkCompositeDataSetInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkCompositeDataSet requires 1 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:ShallowCopy vtkCompositeDataSetShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCompositeDataSetShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkCompositeDataSet requires 2 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:DeepCopy vtkCompositeDataSetDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCompositeDataSetDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkCompositeDataSet requires 2 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:GetNumberOfPoints vtkCompositeDataSetGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkCompositeDataSetGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkCompositeDataSet requires 1 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:NAME vtkCompositeDataSetNAMEFunction
//input a0 
//output y
ArrayVector vtkCompositeDataSetNAMEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationStringKey *NAME (); */
  if (arg.size() < 1) 
    throw Exception("Function NAME for class vtkCompositeDataSet requires 1 argument(s)");
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp20;
  temp20 = (vtk_pointer)->NAME();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationStringKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSet:display vtkCompositeDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompositeDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompositeDataSet* vtk_pointer = GetVTKPointer<vtkCompositeDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompositeDataSet:delete vtkCompositeDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkCompositeDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompositeDataSet
//@@Section VTKFiltering
//@@Usage
// vtkCompositeDataSet is an abstract class that represents a collection
// of datasets (including other composite datasets). It
// provides an interface to access the datasets through iterators.
// vtkCompositeDataSet provides methods that are used by subclasses to store the
// datasets.
// vtkCompositeDataSet provides the datastructure for a full tree 
// representation. Subclasses provide the semantics for it and control how
// this tree is built.
//
//To create an instance of class vtkCompositeDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompositeDataSet
//@]
//@@Methods
//The class vtkCompositeDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompositeDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompositeDataSet = obj.NewInstance ()|
// \item @|vtkCompositeDataSet = obj.SafeDownCast (vtkObject o)|
// \item @|vtkCompositeDataIterator = obj.NewIterator ()| -  Return a new iterator (the iterator has to be deleted by user).
//// \item @|int = obj.GetDataObjectType ()| -  Get the port currently producing this object.
//// \item @|vtkAlgorithmOutput = obj.GetProducerPort ()| -  Get the port currently producing this object.
//// \item @|obj.CopyStructure (vtkCompositeDataSet input)| -  Copies the tree structure from the input. All pointers to non-composite
// data objects are intialized to NULL. This also shallow copies the meta data
// associated with all the nodes.
//// \item @|obj.SetDataSet (vtkCompositeDataIterator iter, vtkDataObject dataObj)| -  Sets the data set at the location pointed by the iterator.
// The iterator does not need to be iterating over this dataset itself. It can
// be any composite datasite with similar structure (achieved by using
// CopyStructure).
//// \item @|vtkDataObject = obj.GetDataSet (vtkCompositeDataIterator iter)| -  Returns the dataset located at the positiong pointed by the iterator.
// The iterator does not need to be iterating over this dataset itself. It can
// be an iterator for composite dataset with similar structure (achieved by
// using CopyStructure).
//// \item @|vtkInformation = obj.GetMetaData (vtkCompositeDataIterator iter)| -  Returns the meta-data associated with the position pointed by the iterator.
// This will create a new vtkInformation object if none already exists. Use
// HasMetaData to avoid creating the vtkInformation object unnecessarily.
// The iterator does not need to be iterating over this dataset itself. It can
// be an iterator for composite dataset with similar structure (achieved by
// using CopyStructure).
//// \item @|int = obj.HasMetaData (vtkCompositeDataIterator iter)| -  Returns if any meta-data associated with the position pointed by the iterator.
// The iterator does not need to be iterating over this dataset itself. It can
// be an iterator for composite dataset with similar structure (achieved by
// using CopyStructure).
//// \item @|obj.Initialize ()| -  Restore data object to initial state,
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Returns the total number of points of all blocks. This will
// iterate over all blocks and call GetNumberOfPoints() so it
// might be expansive.
////\end{itemize}
//!
