#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompositeDataSetAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompositeDataSetAlgorithm.h"

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:vtkCompositeDataSetAlgorithm vtkCompositeDataSetAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkCompositeDataSetAlgorithm vtkAlgorithm 
ArrayVector vtkCompositeDataSetAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompositeDataSetAlgorithm::New(),"vtkCompositeDataSetAlgorithm",eval);
  } else if (arg[0].className() == "vtkCompositeDataSetAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompositeDataSetAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompositeDataSetAlgorithm");
    vtkCompositeDataSetAlgorithm*q = reinterpret_cast<vtkCompositeDataSetAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompositeDataSetAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:GetClassName vtkCompositeDataSetAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompositeDataSetAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompositeDataSetAlgorithm requires 1 argument(s)");
  vtkCompositeDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkCompositeDataSetAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:IsA vtkCompositeDataSetAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataSetAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompositeDataSetAlgorithm requires 2 argument(s)");
  vtkCompositeDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkCompositeDataSetAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:NewInstance vtkCompositeDataSetAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompositeDataSetAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataSetAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompositeDataSetAlgorithm requires 1 argument(s)");
  vtkCompositeDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkCompositeDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkCompositeDataSetAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:SafeDownCast vtkCompositeDataSetAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataSetAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataSetAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompositeDataSetAlgorithm requires 2 argument(s)");
  vtkCompositeDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkCompositeDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompositeDataSetAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:GetOutput__1 vtkCompositeDataSetAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkCompositeDataSetAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkCompositeDataSetAlgorithm requires 1 argument(s)");
  vtkCompositeDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkCompositeDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkCompositeDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:GetOutput__2 vtkCompositeDataSetAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkCompositeDataSetAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataSet *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkCompositeDataSetAlgorithm requires 2 argument(s)");
  vtkCompositeDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkCompositeDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkCompositeDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:SetInput__1 vtkCompositeDataSetAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkCompositeDataSetAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkCompositeDataSetAlgorithm requires 2 argument(s)");
  vtkCompositeDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkCompositeDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:SetInput__2 vtkCompositeDataSetAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkCompositeDataSetAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkCompositeDataSetAlgorithm requires 3 argument(s)");
  vtkCompositeDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkCompositeDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:GetOutput vtkCompositeDataSetAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkCompositeDataSetAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkCompositeDataSetAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkCompositeDataSetAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCompositeDataSetAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:SetInput vtkCompositeDataSetAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkCompositeDataSetAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkCompositeDataSetAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkCompositeDataSetAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCompositeDataSetAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkCompositeDataSetAlgorithm:display vtkCompositeDataSetAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompositeDataSetAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompositeDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkCompositeDataSetAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompositeDataSetAlgorithm:delete vtkCompositeDataSetAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkCompositeDataSetAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompositeDataSetAlgorithm
//@@Section VTKFiltering
//@@Usage
// Algorithms that take any type of data object (including composite dataset)
// and produce a vtkCompositeDataSet in the output can subclass from this
// class.
//
//To create an instance of class vtkCompositeDataSetAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompositeDataSetAlgorithm
//@]
//@@Methods
//The class vtkCompositeDataSetAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompositeDataSetAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompositeDataSetAlgorithm = obj.NewInstance ()|
// \item @|vtkCompositeDataSetAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkCompositeDataSet = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkCompositeDataSet = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
////\end{itemize}
//!
