#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCone object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCone.h"

//@@Signature
//sfunction @vtkCone:vtkCone vtkConeConstructorFunction
//input a
//output p
//@@Parents vtkCone vtkImplicitFunction 
ArrayVector vtkConeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCone::New(),"vtkCone",eval);
  } else if (arg[0].className() == "vtkCone") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCone"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCone");
    vtkCone*q = reinterpret_cast<vtkCone*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCone");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCone:GetClassName vtkConeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkConeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCone requires 1 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCone:IsA vtkConeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkConeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCone requires 2 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCone:NewInstance vtkConeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkConeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCone *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCone requires 1 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  vtkCone  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCone",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCone:SafeDownCast vtkConeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkConeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCone *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCone requires 2 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCone  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCone",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCone:EvaluateFunction__1 vtkConeEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkConeEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkCone requires 2 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCone:EvaluateFunction__2 vtkConeEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkConeEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkCone requires 4 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCone:EvaluateGradient vtkConeEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkConeEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double g[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkCone requires 3 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCone:SetAngle vtkConeSetAngleFunction
//input a0 a1 
//output none
ArrayVector vtkConeSetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAngle for class vtkCone requires 2 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCone:GetAngleMinValue vtkConeGetAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkConeGetAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngleMinValue for class vtkCone requires 1 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCone:GetAngleMaxValue vtkConeGetAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkConeGetAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngleMaxValue for class vtkCone requires 1 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCone:GetAngle vtkConeGetAngleFunction
//input a0 
//output y
ArrayVector vtkConeGetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngle for class vtkCone requires 1 argument(s)");
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCone:EvaluateFunction vtkConeEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkConeEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkConeEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkConeEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkConeEvaluateFunction");
}

//@@Signature
//sfunction @vtkCone:display vtkConeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkConeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCone* vtk_pointer = GetVTKPointer<vtkCone>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCone:delete vtkConeDeleteFunction
//input varargin
//output none
ArrayVector vtkConeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCone
//@@Section VTKFiltering
//@@Usage
// vtkCone computes the implicit function and function gradient for a cone.
// vtkCone is a concrete implementation of vtkImplicitFunction. The cone vertex
// is located at the origin with axis of rotation coincident with x-axis. (Use
// the superclass' vtkImplicitFunction transformation matrix if necessary to 
// reposition.) The angle specifies the angle between the axis of rotation 
// and the side of the cone.
//
//To create an instance of class vtkCone, simply
//invoke its constructor as follows
//@[
//  obj = vtkCone
//@]
//@@Methods
//The class vtkCone has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCone class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCone = obj.NewInstance ()|
// \item @|vtkCone = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double g[3])|
// \item @|obj.SetAngle (double )| -  Set/Get the cone angle (expressed in degrees).
//// \item @|double = obj.GetAngleMinValue ()| -  Set/Get the cone angle (expressed in degrees).
//// \item @|double = obj.GetAngleMaxValue ()| -  Set/Get the cone angle (expressed in degrees).
//// \item @|double = obj.GetAngle ()| -  Set/Get the cone angle (expressed in degrees).
////\end{itemize}
//!
