#include "VTKWrap.hpp"

// FreeMat wrapper for vtkConvexPointSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkConvexPointSet.h"

//@@Signature
//sfunction @vtkConvexPointSet:vtkConvexPointSet vtkConvexPointSetConstructorFunction
//input a
//output p
//@@Parents vtkConvexPointSet vtkCell3D 
ArrayVector vtkConvexPointSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkConvexPointSet::New(),"vtkConvexPointSet",eval);
  } else if (arg[0].className() == "vtkConvexPointSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkConvexPointSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkConvexPointSet");
    vtkConvexPointSet*q = reinterpret_cast<vtkConvexPointSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkConvexPointSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkConvexPointSet:GetClassName vtkConvexPointSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkConvexPointSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkConvexPointSet requires 1 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:IsA vtkConvexPointSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkConvexPointSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkConvexPointSet requires 2 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:NewInstance vtkConvexPointSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkConvexPointSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConvexPointSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkConvexPointSet requires 1 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  vtkConvexPointSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConvexPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:SafeDownCast vtkConvexPointSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkConvexPointSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConvexPointSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkConvexPointSet requires 2 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkConvexPointSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConvexPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:HasFixedTopology vtkConvexPointSetHasFixedTopologyFunction
//input a0 
//output y
ArrayVector vtkConvexPointSetHasFixedTopologyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasFixedTopology ();return  */
  if (arg.size() < 1) 
    throw Exception("Function HasFixedTopology for class vtkConvexPointSet requires 1 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasFixedTopology();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:GetCellType vtkConvexPointSetGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkConvexPointSetGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCellType ();return VTK_CONVEX_POINT_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkConvexPointSet requires 1 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:RequiresInitialization vtkConvexPointSetRequiresInitializationFunction
//input a0 
//output y
ArrayVector vtkConvexPointSetRequiresInitializationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RequiresInitialization ();return  */
  if (arg.size() < 1) 
    throw Exception("Function RequiresInitialization for class vtkConvexPointSet requires 1 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->RequiresInitialization();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:Initialize vtkConvexPointSetInitializeFunction
//input a0 
//output none
ArrayVector vtkConvexPointSetInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkConvexPointSet requires 1 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:GetNumberOfEdges vtkConvexPointSetGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkConvexPointSetGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfEdges ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkConvexPointSet requires 1 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:GetEdge vtkConvexPointSetGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkConvexPointSetGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCell *GetEdge (int );return NULL  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkConvexPointSet requires 2 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:GetNumberOfFaces vtkConvexPointSetGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkConvexPointSetGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfFaces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkConvexPointSet requires 1 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:GetFace vtkConvexPointSetGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkConvexPointSetGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCell *GetFace (int faceId); */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkConvexPointSet requires 2 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:Contour vtkConvexPointSetContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkConvexPointSetContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkConvexPointSet requires 12 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:Clip vtkConvexPointSetClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkConvexPointSetClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut); */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkConvexPointSet requires 11 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:Triangulate vtkConvexPointSetTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkConvexPointSetTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkConvexPointSet requires 4 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:Derivatives vtkConvexPointSetDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkConvexPointSetDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkConvexPointSet requires 6 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:CellBoundary vtkConvexPointSetCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkConvexPointSetCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkConvexPointSet requires 4 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:GetParametricCenter vtkConvexPointSetGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkConvexPointSetGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetParametricCenter (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkConvexPointSet requires 2 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:IsPrimaryCell vtkConvexPointSetIsPrimaryCellFunction
//input a0 
//output y
ArrayVector vtkConvexPointSetIsPrimaryCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsPrimaryCell ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsPrimaryCell for class vtkConvexPointSet requires 1 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsPrimaryCell();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:InterpolateFunctions vtkConvexPointSetInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkConvexPointSetInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double *sf); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkConvexPointSet requires 3 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:InterpolateDerivs vtkConvexPointSetInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkConvexPointSetInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double *derivs); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkConvexPointSet requires 3 argument(s)");
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkConvexPointSet:display vtkConvexPointSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkConvexPointSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkConvexPointSet* vtk_pointer = GetVTKPointer<vtkConvexPointSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkConvexPointSet:delete vtkConvexPointSetDeleteFunction
//input varargin
//output none
ArrayVector vtkConvexPointSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkConvexPointSet
//@@Section VTKFiltering
//@@Usage
// vtkConvexPointSet is a concrete implementation that represents a 3D cell
// defined by a convex set of points. An example of such a cell is an octant
// (from an octree). vtkConvexPointSet uses the ordered triangulations
// approach (vtkOrderedTriangulator) to create triangulations guaranteed to
// be compatible across shared faces. This allows a general approach to
// processing complex, convex cell types.
//
//To create an instance of class vtkConvexPointSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkConvexPointSet
//@]
//@@Methods
//The class vtkConvexPointSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkConvexPointSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkConvexPointSet = obj.NewInstance ()|
// \item @|vtkConvexPointSet = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.HasFixedTopology ()| -  See vtkCell3D API for description of these methods.
//// \item @|int = obj.GetCellType ()| -  This cell requires that it be initialized prior to access.
//// \item @|int = obj.RequiresInitialization ()| -  This cell requires that it be initialized prior to access.
//// \item @|obj.Initialize ()| -  This cell requires that it be initialized prior to access.
//// \item @|int = obj.GetNumberOfEdges ()| -  A convex point set has no explicit cell edge or faces; however
// implicitly (after triangulation) it does. Currently the method
// GetNumberOfEdges() always returns 0 while the GetNumberOfFaces() returns
// the number of boundary triangles of the triangulation of the convex
// point set. The method GetNumberOfFaces() triggers a triangulation of the
// convex point set; repeated calls to GetFace() then return the boundary
// faces. (Note: GetNumberOfEdges() currently returns 0 because it is a
// rarely used method and hard to implement. It can be changed in the future.
//// \item @|vtkCell = obj.GetEdge (int )| -  A convex point set has no explicit cell edge or faces; however
// implicitly (after triangulation) it does. Currently the method
// GetNumberOfEdges() always returns 0 while the GetNumberOfFaces() returns
// the number of boundary triangles of the triangulation of the convex
// point set. The method GetNumberOfFaces() triggers a triangulation of the
// convex point set; repeated calls to GetFace() then return the boundary
// faces. (Note: GetNumberOfEdges() currently returns 0 because it is a
// rarely used method and hard to implement. It can be changed in the future.
//// \item @|int = obj.GetNumberOfFaces ()| -  A convex point set has no explicit cell edge or faces; however
// implicitly (after triangulation) it does. Currently the method
// GetNumberOfEdges() always returns 0 while the GetNumberOfFaces() returns
// the number of boundary triangles of the triangulation of the convex
// point set. The method GetNumberOfFaces() triggers a triangulation of the
// convex point set; repeated calls to GetFace() then return the boundary
// faces. (Note: GetNumberOfEdges() currently returns 0 because it is a
// rarely used method and hard to implement. It can be changed in the future.
//// \item @|vtkCell = obj.GetFace (int faceId)| -  A convex point set has no explicit cell edge or faces; however
// implicitly (after triangulation) it does. Currently the method
// GetNumberOfEdges() always returns 0 while the GetNumberOfFaces() returns
// the number of boundary triangles of the triangulation of the convex
// point set. The method GetNumberOfFaces() triggers a triangulation of the
// convex point set; repeated calls to GetFace() then return the boundary
// faces. (Note: GetNumberOfEdges() currently returns 0 because it is a
// rarely used method and hard to implement. It can be changed in the future.
//// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)| -  Satisfy the vtkCell API. This method contours by triangulating the
// cell and then contouring the resulting tetrahedra.
//// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray connectivity, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  Satisfy the vtkCell API. This method contours by triangulating the
// cell and then adding clip-edge intersection points into the
// triangulation; extracting the clipped region.
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)| -  Triangulate using methods of vtkOrderedTriangulator.
//// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)| -  Computes derivatives by triangulating and from subId and pcoords,
// evaluating derivatives on the resulting tetrahedron.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)| -  Returns the set of points forming a face of the triangulation of these
// points that are on the boundary of the cell that are closest
// parametrically to the point specified.
//// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  Return the center of the cell in parametric coordinates.
//// \item @|int = obj.IsPrimaryCell ()| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateFunctions (double pcoords[3], double sf)| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs)| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
////\end{itemize}
//!
