#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCoordinate object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCoordinate.h"

//@@Signature
//sfunction @vtkCoordinate:vtkCoordinate vtkCoordinateConstructorFunction
//input a
//output p
//@@Parents vtkCoordinate vtkObject 
ArrayVector vtkCoordinateConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCoordinate::New(),"vtkCoordinate",eval);
  } else if (arg[0].className() == "vtkCoordinate") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCoordinate"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCoordinate");
    vtkCoordinate*q = reinterpret_cast<vtkCoordinate*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCoordinate");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCoordinate:GetClassName vtkCoordinateGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCoordinateGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:IsA vtkCoordinateIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCoordinateIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:NewInstance vtkCoordinateNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCoordinateNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SafeDownCast vtkCoordinateSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCoordinateSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCoordinate  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetCoordinateSystem vtkCoordinateSetCoordinateSystemFunction
//input a0 a1 
//output none
ArrayVector vtkCoordinateSetCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoordinateSystem (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoordinateSystem for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCoordinateSystem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetCoordinateSystem vtkCoordinateGetCoordinateSystemFunction
//input a0 
//output y
ArrayVector vtkCoordinateGetCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCoordinateSystem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoordinateSystem for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCoordinateSystem();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetCoordinateSystemToDisplay vtkCoordinateSetCoordinateSystemToDisplayFunction
//input a0 
//output none
ArrayVector vtkCoordinateSetCoordinateSystemToDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoordinateSystemToDisplay ();this SetCoordinateSystem VTK_DISPLAY  */
  if (arg.size() < 1) 
    throw Exception("Function SetCoordinateSystemToDisplay for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtk_pointer->SetCoordinateSystemToDisplay();
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetCoordinateSystemToNormalizedDisplay vtkCoordinateSetCoordinateSystemToNormalizedDisplayFunction
//input a0 
//output none
ArrayVector vtkCoordinateSetCoordinateSystemToNormalizedDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoordinateSystemToNormalizedDisplay ();this SetCoordinateSystem VTK_NORMALIZED_DISPLAY  */
  if (arg.size() < 1) 
    throw Exception("Function SetCoordinateSystemToNormalizedDisplay for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtk_pointer->SetCoordinateSystemToNormalizedDisplay();
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetCoordinateSystemToViewport vtkCoordinateSetCoordinateSystemToViewportFunction
//input a0 
//output none
ArrayVector vtkCoordinateSetCoordinateSystemToViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoordinateSystemToViewport ();this SetCoordinateSystem VTK_VIEWPORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetCoordinateSystemToViewport for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtk_pointer->SetCoordinateSystemToViewport();
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetCoordinateSystemToNormalizedViewport vtkCoordinateSetCoordinateSystemToNormalizedViewportFunction
//input a0 
//output none
ArrayVector vtkCoordinateSetCoordinateSystemToNormalizedViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoordinateSystemToNormalizedViewport ();this SetCoordinateSystem VTK_NORMALIZED_VIEWPORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetCoordinateSystemToNormalizedViewport for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtk_pointer->SetCoordinateSystemToNormalizedViewport();
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetCoordinateSystemToView vtkCoordinateSetCoordinateSystemToViewFunction
//input a0 
//output none
ArrayVector vtkCoordinateSetCoordinateSystemToViewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoordinateSystemToView ();this SetCoordinateSystem VTK_VIEW  */
  if (arg.size() < 1) 
    throw Exception("Function SetCoordinateSystemToView for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtk_pointer->SetCoordinateSystemToView();
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetCoordinateSystemToWorld vtkCoordinateSetCoordinateSystemToWorldFunction
//input a0 
//output none
ArrayVector vtkCoordinateSetCoordinateSystemToWorldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoordinateSystemToWorld ();this SetCoordinateSystem VTK_WORLD  */
  if (arg.size() < 1) 
    throw Exception("Function SetCoordinateSystemToWorld for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtk_pointer->SetCoordinateSystemToWorld();
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetCoordinateSystemAsString vtkCoordinateGetCoordinateSystemAsStringFunction
//input a0 
//output y
ArrayVector vtkCoordinateGetCoordinateSystemAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCoordinateSystemAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoordinateSystemAsString for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetCoordinateSystemAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetValue__1 vtkCoordinateSetValue__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCoordinateSetValue__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetValue__1 for class vtkCoordinate requires 4 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetValue(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetValue__2 vtkCoordinateSetValue__2Function
//input a0 a1 
//output none
ArrayVector vtkCoordinateSetValue__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue__2 for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetValue vtkCoordinateGetValueFunction
//input a0 
//output y
ArrayVector vtkCoordinateGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetValue();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetValue__3 vtkCoordinateSetValue__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkCoordinateSetValue__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double a, double b);this SetValue a b  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue__3 for class vtkCoordinate requires 3 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetReferenceCoordinate vtkCoordinateSetReferenceCoordinateFunction
//input a0 a1 
//output none
ArrayVector vtkCoordinateSetReferenceCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetReferenceCoordinate (vtkCoordinate *); */
  if (arg.size() < 2) 
    throw Exception("Function SetReferenceCoordinate for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkCoordinate  *temp0;
  temp0 = GetVTKPointer<vtkCoordinate>(arg[1]);
  vtk_pointer->SetReferenceCoordinate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetReferenceCoordinate vtkCoordinateGetReferenceCoordinateFunction
//input a0 
//output y
ArrayVector vtkCoordinateGetReferenceCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetReferenceCoordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReferenceCoordinate for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetReferenceCoordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetViewport vtkCoordinateSetViewportFunction
//input a0 a1 
//output none
ArrayVector vtkCoordinateSetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewport (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewport for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  vtk_pointer->SetViewport(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetViewport vtkCoordinateGetViewportFunction
//input a0 
//output y
ArrayVector vtkCoordinateGetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewport *GetViewport (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewport for class vtkCoordinate requires 1 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkViewport  *temp20;
  temp20 = (vtk_pointer)->GetViewport();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetComputedWorldValue vtkCoordinateGetComputedWorldValueFunction
//input a0 a1 
//output y
ArrayVector vtkCoordinateGetComputedWorldValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetComputedWorldValue (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function GetComputedWorldValue for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  double  *temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->GetComputedWorldValue(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetComputedViewportValue vtkCoordinateGetComputedViewportValueFunction
//input a0 a1 
//output y
ArrayVector vtkCoordinateGetComputedViewportValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetComputedViewportValue (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function GetComputedViewportValue for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int     *temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->GetComputedViewportValue(temp0);
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetComputedDisplayValue vtkCoordinateGetComputedDisplayValueFunction
//input a0 a1 
//output y
ArrayVector vtkCoordinateGetComputedDisplayValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetComputedDisplayValue (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function GetComputedDisplayValue for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int     *temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->GetComputedDisplayValue(temp0);
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetComputedLocalDisplayValue vtkCoordinateGetComputedLocalDisplayValueFunction
//input a0 a1 
//output y
ArrayVector vtkCoordinateGetComputedLocalDisplayValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetComputedLocalDisplayValue (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function GetComputedLocalDisplayValue for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int     *temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->GetComputedLocalDisplayValue(temp0);
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetComputedDoubleViewportValue vtkCoordinateGetComputedDoubleViewportValueFunction
//input a0 a1 
//output y
ArrayVector vtkCoordinateGetComputedDoubleViewportValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetComputedDoubleViewportValue (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function GetComputedDoubleViewportValue for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  double  *temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->GetComputedDoubleViewportValue(temp0);
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:GetComputedDoubleDisplayValue vtkCoordinateGetComputedDoubleDisplayValueFunction
//input a0 a1 
//output y
ArrayVector vtkCoordinateGetComputedDoubleDisplayValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetComputedDoubleDisplayValue (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function GetComputedDoubleDisplayValue for class vtkCoordinate requires 2 argument(s)");
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  double  *temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->GetComputedDoubleDisplayValue(temp0);
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCoordinate:SetValue vtkCoordinateSetValueFunction
//input varargin
//output varargout
ArrayVector vtkCoordinateSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCoordinateSetValue__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCoordinateSetValue__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkCoordinateSetValue__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCoordinateSetValue");
}

//@@Signature
//sfunction @vtkCoordinate:display vtkCoordinateDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCoordinateDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCoordinate* vtk_pointer = GetVTKPointer<vtkCoordinate>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCoordinate:delete vtkCoordinateDeleteFunction
//input varargin
//output none
ArrayVector vtkCoordinateDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCoordinate
//@@Section VTKFiltering
//@@Usage
// vtkCoordinate represents position in a variety of coordinate systems, and
// converts position to other coordinate systems. It also supports relative
// positioning, so you can create a cascade of vtkCoordinate objects (no loops
// please!) that refer to each other. The typical usage of this object is
// to set the coordinate system in which to represent a position (e.g., 
// SetCoordinateSystemToNormalizedDisplay()), set the value of the coordinate
// (e.g., SetValue()), and then invoke the appropriate method to convert to 
// another coordinate system (e.g., GetComputedWorldValue()).
// 
// The coordinate systems in vtk are as follows:
//<PRE>
//  DISPLAY -             x-y pixel values in window
//  NORMALIZED DISPLAY -  x-y (0,1) normalized values
//  VIEWPORT -            x-y pixel values in viewport
//  NORMALIZED VIEWPORT - x-y (0,1) normalized value in viewport
//  VIEW -                x-y-z (-1,1) values in camera coordinates. (z is depth)
//  WORLD -               x-y-z global coordinate values
//  USERDEFINED -         x-y-z in User defined space
//</PRE>
//
// If you cascade vtkCoordinate objects, you refer to another vtkCoordinate
// object which in turn can refer to others, and so on. This allows you to
// create composite groups of things like vtkActor2D that are positioned
// relative to one another. Note that in cascaded sequences, each
// vtkCoordinate object may be specified in different coordinate systems!
//
//To create an instance of class vtkCoordinate, simply
//invoke its constructor as follows
//@[
//  obj = vtkCoordinate
//@]
//@@Methods
//The class vtkCoordinate has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCoordinate class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCoordinate = obj.NewInstance ()|
// \item @|vtkCoordinate = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCoordinateSystem (int )| -  Set/get the coordinate system which this coordinate
// is defined in. The options are Display, Normalized Display,
// Viewport, Normalized Viewport, View, and World.
//// \item @|int = obj.GetCoordinateSystem ()| -  Set/get the coordinate system which this coordinate
// is defined in. The options are Display, Normalized Display,
// Viewport, Normalized Viewport, View, and World.
//// \item @|obj.SetCoordinateSystemToDisplay ()| -  Set/get the coordinate system which this coordinate
// is defined in. The options are Display, Normalized Display,
// Viewport, Normalized Viewport, View, and World.
//// \item @|obj.SetCoordinateSystemToNormalizedDisplay ()| -  Set/get the coordinate system which this coordinate
// is defined in. The options are Display, Normalized Display,
// Viewport, Normalized Viewport, View, and World.
//// \item @|obj.SetCoordinateSystemToViewport ()| -  Set/get the coordinate system which this coordinate
// is defined in. The options are Display, Normalized Display,
// Viewport, Normalized Viewport, View, and World.
//// \item @|obj.SetCoordinateSystemToNormalizedViewport ()| -  Set/get the coordinate system which this coordinate
// is defined in. The options are Display, Normalized Display,
// Viewport, Normalized Viewport, View, and World.
//// \item @|obj.SetCoordinateSystemToView ()| -  Set/get the coordinate system which this coordinate
// is defined in. The options are Display, Normalized Display,
// Viewport, Normalized Viewport, View, and World.
//// \item @|obj.SetCoordinateSystemToWorld ()|
// \item @|string = obj.GetCoordinateSystemAsString ()|
// \item @|obj.SetValue (double , double , double )| -  Set/get the value of this coordinate. This can be thought of as
// the position of this coordinate in its coordinate system.
//// \item @|obj.SetValue (double  a[3])| -  Set/get the value of this coordinate. This can be thought of as
// the position of this coordinate in its coordinate system.
//// \item @|double = obj. GetValue ()| -  Set/get the value of this coordinate. This can be thought of as
// the position of this coordinate in its coordinate system.
//// \item @|obj.SetValue (double a, double b)| -  If this coordinate is relative to another coordinate,
// then specify that coordinate as the ReferenceCoordinate.
// If this is NULL the coordinate is assumed to be absolute.
//// \item @|obj.SetReferenceCoordinate (vtkCoordinate )| -  If this coordinate is relative to another coordinate,
// then specify that coordinate as the ReferenceCoordinate.
// If this is NULL the coordinate is assumed to be absolute.
//// \item @|vtkCoordinate = obj.GetReferenceCoordinate ()| -  If this coordinate is relative to another coordinate,
// then specify that coordinate as the ReferenceCoordinate.
// If this is NULL the coordinate is assumed to be absolute.
//// \item @|obj.SetViewport (vtkViewport viewport)| -  If you want this coordinate to be relative to a specific
// vtkViewport (vtkRenderer) then you can specify
// that here.
// NOTE: this is a raw pointer, not a weak pointer not a reference counted
// object to avoid reference cycle loop between rendering classes and filter
// classes.
//// \item @|vtkViewport = obj.GetViewport ()| -  If you want this coordinate to be relative to a specific
// vtkViewport (vtkRenderer) then you can specify
// that here.
// NOTE: this is a raw pointer, not a weak pointer not a reference counted
// object to avoid reference cycle loop between rendering classes and filter
// classes.
//// \item @|double = obj.GetComputedWorldValue (vtkViewport )| -  Return the computed value in a specified coordinate system.
//// \item @|int = obj.GetComputedViewportValue (vtkViewport )| -  Return the computed value in a specified coordinate system.
//// \item @|int = obj.GetComputedDisplayValue (vtkViewport )| -  Return the computed value in a specified coordinate system.
//// \item @|int = obj.GetComputedLocalDisplayValue (vtkViewport )| -  Return the computed value in a specified coordinate system.
//// \item @|double = obj.GetComputedDoubleViewportValue (vtkViewport )|
// \item @|double = obj.GetComputedDoubleDisplayValue (vtkViewport )|
//\end{itemize}
//!
