#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCylinder object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCylinder.h"

//@@Signature
//sfunction @vtkCylinder:vtkCylinder vtkCylinderConstructorFunction
//input a
//output p
//@@Parents vtkCylinder vtkImplicitFunction 
ArrayVector vtkCylinderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCylinder::New(),"vtkCylinder",eval);
  } else if (arg[0].className() == "vtkCylinder") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCylinder"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCylinder");
    vtkCylinder*q = reinterpret_cast<vtkCylinder*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCylinder");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCylinder:GetClassName vtkCylinderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCylinderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCylinder requires 1 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:IsA vtkCylinderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCylinderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCylinder requires 2 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:NewInstance vtkCylinderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCylinderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCylinder *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCylinder requires 1 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  vtkCylinder  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCylinder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:SafeDownCast vtkCylinderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCylinderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCylinder *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCylinder requires 2 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCylinder  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCylinder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:EvaluateFunction__1 vtkCylinderEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkCylinderEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkCylinder requires 2 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:EvaluateFunction__2 vtkCylinderEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCylinderEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkCylinder requires 4 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:EvaluateGradient vtkCylinderEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCylinderEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double g[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkCylinder requires 3 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:SetRadius vtkCylinderSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkCylinderSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkCylinder requires 2 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:GetRadius vtkCylinderGetRadiusFunction
//input a0 
//output y
ArrayVector vtkCylinderGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkCylinder requires 1 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:SetCenter__1 vtkCylinderSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCylinderSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkCylinder requires 4 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:SetCenter__2 vtkCylinderSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkCylinderSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkCylinder requires 2 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:GetCenter vtkCylinderGetCenterFunction
//input a0 
//output y
ArrayVector vtkCylinderGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkCylinder requires 1 argument(s)");
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCylinder:EvaluateFunction vtkCylinderEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkCylinderEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCylinderEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCylinderEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCylinderEvaluateFunction");
}

//@@Signature
//sfunction @vtkCylinder:SetCenter vtkCylinderSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkCylinderSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCylinderSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCylinderSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCylinderSetCenter");
}

//@@Signature
//sfunction @vtkCylinder:display vtkCylinderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCylinderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCylinder* vtk_pointer = GetVTKPointer<vtkCylinder>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCylinder:delete vtkCylinderDeleteFunction
//input varargin
//output none
ArrayVector vtkCylinderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCylinder
//@@Section VTKFiltering
//@@Usage
// vtkCylinder computes the implicit function and function gradient for a
// cylinder. vtkCylinder is a concrete implementation of vtkImplicitFunction.
// Cylinder is centered at Center and axes of rotation is along the
// y-axis. (Use the superclass' vtkImplicitFunction transformation matrix if
// necessary to reposition.)
//
//To create an instance of class vtkCylinder, simply
//invoke its constructor as follows
//@[
//  obj = vtkCylinder
//@]
//@@Methods
//The class vtkCylinder has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCylinder class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCylinder = obj.NewInstance ()|
// \item @|vtkCylinder = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double g[3])|
// \item @|obj.SetRadius (double )| -  Set/Get cylinder radius.
//// \item @|double = obj.GetRadius ()| -  Set/Get cylinder radius.
//// \item @|obj.SetCenter (double , double , double )| -  Set/Get cylinder center
//// \item @|obj.SetCenter (double  a[3])| -  Set/Get cylinder center
//// \item @|double = obj. GetCenter ()| -  Set/Get cylinder center
////\end{itemize}
//!
