#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataObject object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataObject.h"

//@@Signature
//sfunction @vtkDataObject:vtkDataObject vtkDataObjectConstructorFunction
//input a
//output p
//@@Parents vtkDataObject vtkObject 
ArrayVector vtkDataObjectConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataObject::New(),"vtkDataObject",eval);
  } else if (arg[0].className() == "vtkDataObject") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataObject"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataObject");
    vtkDataObject*q = reinterpret_cast<vtkDataObject*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataObject");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataObject:GetClassName vtkDataObjectGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:IsA vtkDataObjectIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:NewInstance vtkDataObjectNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataObjectNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SafeDownCast vtkDataObjectSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataObject  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetSource vtkDataObjectGetSourceFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSource *GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkSource  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetSource vtkDataObjectSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkSource *s); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkSource  *temp0;
  temp0 = GetVTKPointer<vtkSource>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetInformation vtkDataObjectGetInformationFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInformation for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp20;
  temp20 = (vtk_pointer)->GetInformation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetInformation vtkDataObjectSetInformationFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInformation (vtkInformation *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInformation for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->SetInformation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetPipelineInformation vtkDataObjectGetPipelineInformationFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetPipelineInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetPipelineInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPipelineInformation for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp20;
  temp20 = (vtk_pointer)->GetPipelineInformation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetPipelineInformation vtkDataObjectSetPipelineInformationFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetPipelineInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPipelineInformation (vtkInformation *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPipelineInformation for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->SetPipelineInformation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetProducerPort vtkDataObjectGetProducerPortFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetProducerPortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetProducerPort (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProducerPort for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp20;
  temp20 = (vtk_pointer)->GetProducerPort();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetMTime vtkDataObjectGetMTimeFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:Initialize vtkDataObjectInitializeFunction
//input a0 
//output none
ArrayVector vtkDataObjectInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:ReleaseData vtkDataObjectReleaseDataFunction
//input a0 
//output none
ArrayVector vtkDataObjectReleaseDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseData (); */
  if (arg.size() < 1) 
    throw Exception("Function ReleaseData for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->ReleaseData();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:ShouldIReleaseData vtkDataObjectShouldIReleaseDataFunction
//input a0 
//output y
ArrayVector vtkDataObjectShouldIReleaseDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ShouldIReleaseData (); */
  if (arg.size() < 1) 
    throw Exception("Function ShouldIReleaseData for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->ShouldIReleaseData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetDataReleased vtkDataObjectGetDataReleasedFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetDataReleasedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataReleased (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataReleased for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataReleased();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetReleaseDataFlag vtkDataObjectSetReleaseDataFlagFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetReleaseDataFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReleaseDataFlag (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReleaseDataFlag for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReleaseDataFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetReleaseDataFlag vtkDataObjectGetReleaseDataFlagFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetReleaseDataFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReleaseDataFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReleaseDataFlag for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReleaseDataFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:ReleaseDataFlagOn vtkDataObjectReleaseDataFlagOnFunction
//input a0 
//output none
ArrayVector vtkDataObjectReleaseDataFlagOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseDataFlagOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReleaseDataFlagOn for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->ReleaseDataFlagOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:ReleaseDataFlagOff vtkDataObjectReleaseDataFlagOffFunction
//input a0 
//output none
ArrayVector vtkDataObjectReleaseDataFlagOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseDataFlagOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReleaseDataFlagOff for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->ReleaseDataFlagOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetGlobalReleaseDataFlag vtkDataObjectSetGlobalReleaseDataFlagFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetGlobalReleaseDataFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetGlobalReleaseDataFlag (int val); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalReleaseDataFlag for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlobalReleaseDataFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GlobalReleaseDataFlagOn vtkDataObjectGlobalReleaseDataFlagOnFunction
//input a0 
//output none
ArrayVector vtkDataObjectGlobalReleaseDataFlagOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GlobalReleaseDataFlagOn ();this SetGlobalReleaseDataFlag  */
  if (arg.size() < 1) 
    throw Exception("Function GlobalReleaseDataFlagOn for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->GlobalReleaseDataFlagOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GlobalReleaseDataFlagOff vtkDataObjectGlobalReleaseDataFlagOffFunction
//input a0 
//output none
ArrayVector vtkDataObjectGlobalReleaseDataFlagOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GlobalReleaseDataFlagOff ();this SetGlobalReleaseDataFlag  */
  if (arg.size() < 1) 
    throw Exception("Function GlobalReleaseDataFlagOff for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->GlobalReleaseDataFlagOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetGlobalReleaseDataFlag vtkDataObjectGetGlobalReleaseDataFlagFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetGlobalReleaseDataFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalReleaseDataFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalReleaseDataFlag for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlobalReleaseDataFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetFieldData vtkDataObjectSetFieldDataFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFieldData (vtkFieldData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldData for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkFieldData  *temp0;
  temp0 = GetVTKPointer<vtkFieldData>(arg[1]);
  vtk_pointer->SetFieldData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetFieldData vtkDataObjectGetFieldDataFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFieldData *GetFieldData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldData for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkFieldData  *temp20;
  temp20 = (vtk_pointer)->GetFieldData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFieldData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:Register vtkDataObjectRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:UnRegister vtkDataObjectUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:Update vtkDataObjectUpdateFunction
//input a0 
//output none
ArrayVector vtkDataObjectUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:UpdateInformation vtkDataObjectUpdateInformationFunction
//input a0 
//output none
ArrayVector vtkDataObjectUpdateInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateInformation for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->UpdateInformation();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:PropagateUpdateExtent vtkDataObjectPropagateUpdateExtentFunction
//input a0 
//output none
ArrayVector vtkDataObjectPropagateUpdateExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PropagateUpdateExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function PropagateUpdateExtent for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->PropagateUpdateExtent();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:TriggerAsynchronousUpdate vtkDataObjectTriggerAsynchronousUpdateFunction
//input a0 
//output none
ArrayVector vtkDataObjectTriggerAsynchronousUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TriggerAsynchronousUpdate (); */
  if (arg.size() < 1) 
    throw Exception("Function TriggerAsynchronousUpdate for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->TriggerAsynchronousUpdate();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:UpdateData vtkDataObjectUpdateDataFunction
//input a0 
//output none
ArrayVector vtkDataObjectUpdateDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateData (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateData for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->UpdateData();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetEstimatedMemorySize vtkDataObjectGetEstimatedMemorySizeFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetEstimatedMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetEstimatedMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEstimatedMemorySize for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetEstimatedMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetUpdateExtent__1 vtkDataObjectSetUpdateExtent__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataObjectSetUpdateExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetUpdateExtent (int piece, int numPieces, int ghostLevel); */
  if (arg.size() < 4) 
    throw Exception("Function SetUpdateExtent__1 for class vtkDataObject requires 4 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetUpdateExtent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetUpdateExtent__2 vtkDataObjectSetUpdateExtent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectSetUpdateExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUpdateExtent (int piece, int numPieces);this SetUpdateExtent piece numPieces  */
  if (arg.size() < 3) 
    throw Exception("Function SetUpdateExtent__2 for class vtkDataObject requires 3 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetUpdateExtent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetUpdateExtent__3 vtkDataObjectSetUpdateExtent__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkDataObjectSetUpdateExtent__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetUpdateExtent (int x0, int x1, int y0, int y1, int z0, int z1); */
  if (arg.size() < 7) 
    throw Exception("Function SetUpdateExtent__3 for class vtkDataObject requires 7 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetUpdateExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetUpdateExtent__4 vtkDataObjectSetUpdateExtent__4Function
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetUpdateExtent__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetUpdateExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetUpdateExtent__4 for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetUpdateExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetUpdateExtent__1 vtkDataObjectGetUpdateExtent__1Function
//input a0 
//output y
ArrayVector vtkDataObjectGetUpdateExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int *GetUpdateExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpdateExtent__1 for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetUpdateExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetUpdateExtent__3 vtkDataObjectGetUpdateExtent__3Function
//input a0 a1 
//output none
ArrayVector vtkDataObjectGetUpdateExtent__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetUpdateExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetUpdateExtent__3 for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetUpdateExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetDataObjectType vtkDataObjectGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_DATA_OBJECT  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetUpdateTime vtkDataObjectGetUpdateTimeFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetUpdateTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetUpdateTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpdateTime for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetUpdateTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetUpdateExtentToWholeExtent vtkDataObjectSetUpdateExtentToWholeExtentFunction
//input a0 
//output none
ArrayVector vtkDataObjectSetUpdateExtentToWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUpdateExtentToWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function SetUpdateExtentToWholeExtent for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->SetUpdateExtentToWholeExtent();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetPipelineMTime vtkDataObjectGetPipelineMTimeFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetPipelineMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetPipelineMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPipelineMTime for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetPipelineMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetActualMemorySize vtkDataObjectGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:CopyInformation vtkDataObjectCopyInformationFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectCopyInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyInformation (vtkDataObject *data); */
  if (arg.size() < 2) 
    throw Exception("Function CopyInformation for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->CopyInformation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:CopyTypeSpecificInformation vtkDataObjectCopyTypeSpecificInformationFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectCopyTypeSpecificInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyTypeSpecificInformation (vtkDataObject *data);this CopyInformation data  */
  if (arg.size() < 2) 
    throw Exception("Function CopyTypeSpecificInformation for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->CopyTypeSpecificInformation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetUpdatePiece vtkDataObjectSetUpdatePieceFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetUpdatePieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUpdatePiece (int piece); */
  if (arg.size() < 2) 
    throw Exception("Function SetUpdatePiece for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUpdatePiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetUpdateNumberOfPieces vtkDataObjectSetUpdateNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetUpdateNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUpdateNumberOfPieces (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetUpdateNumberOfPieces for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUpdateNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetUpdatePiece vtkDataObjectGetUpdatePieceFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetUpdatePieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetUpdatePiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpdatePiece for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUpdatePiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetUpdateNumberOfPieces vtkDataObjectGetUpdateNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetUpdateNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetUpdateNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpdateNumberOfPieces for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUpdateNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetUpdateGhostLevel vtkDataObjectSetUpdateGhostLevelFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetUpdateGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUpdateGhostLevel (int level); */
  if (arg.size() < 2) 
    throw Exception("Function SetUpdateGhostLevel for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUpdateGhostLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetUpdateGhostLevel vtkDataObjectGetUpdateGhostLevelFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetUpdateGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetUpdateGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpdateGhostLevel for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUpdateGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetRequestExactExtent vtkDataObjectSetRequestExactExtentFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetRequestExactExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRequestExactExtent (int flag); */
  if (arg.size() < 2) 
    throw Exception("Function SetRequestExactExtent for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRequestExactExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetRequestExactExtent vtkDataObjectGetRequestExactExtentFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetRequestExactExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetRequestExactExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRequestExactExtent for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRequestExactExtent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:RequestExactExtentOn vtkDataObjectRequestExactExtentOnFunction
//input a0 
//output none
ArrayVector vtkDataObjectRequestExactExtentOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RequestExactExtentOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RequestExactExtentOn for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->RequestExactExtentOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:RequestExactExtentOff vtkDataObjectRequestExactExtentOffFunction
//input a0 
//output none
ArrayVector vtkDataObjectRequestExactExtentOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RequestExactExtentOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RequestExactExtentOff for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->RequestExactExtentOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetWholeExtent__1 vtkDataObjectSetWholeExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkDataObjectSetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWholeExtent (int x0, int x1, int y0, int y1, int z0, int z1); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent__1 for class vtkDataObject requires 7 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetWholeExtent__2 vtkDataObjectSetWholeExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWholeExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeExtent__2 for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetWholeExtent__1 vtkDataObjectGetWholeExtent__1Function
//input a0 
//output y
ArrayVector vtkDataObjectGetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int *GetWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeExtent__1 for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetWholeExtent__3 vtkDataObjectGetWholeExtent__3Function
//input a0 a1 
//output none
ArrayVector vtkDataObjectGetWholeExtent__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetWholeExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetWholeExtent__3 for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetWholeBoundingBox__1 vtkDataObjectSetWholeBoundingBox__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkDataObjectSetWholeBoundingBox__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWholeBoundingBox (double x0, double x1, double y0, double y1, double z0, double z1); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeBoundingBox__1 for class vtkDataObject requires 7 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetWholeBoundingBox(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetWholeBoundingBox__2 vtkDataObjectSetWholeBoundingBox__2Function
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetWholeBoundingBox__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWholeBoundingBox (double bb[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeBoundingBox__2 for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetWholeBoundingBox(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetWholeBoundingBox__1 vtkDataObjectGetWholeBoundingBox__1Function
//input a0 
//output y
ArrayVector vtkDataObjectGetWholeBoundingBox__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetWholeBoundingBox (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeBoundingBox__1 for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetWholeBoundingBox();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetWholeBoundingBox__3 vtkDataObjectGetWholeBoundingBox__3Function
//input a0 a1 
//output none
ArrayVector vtkDataObjectGetWholeBoundingBox__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetWholeBoundingBox (double extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetWholeBoundingBox__3 for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetWholeBoundingBox(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetMaximumNumberOfPieces vtkDataObjectSetMaximumNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetMaximumNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMaximumNumberOfPieces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfPieces for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetMaximumNumberOfPieces vtkDataObjectGetMaximumNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetMaximumNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetMaximumNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfPieces for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:CopyInformationToPipeline__1 vtkDataObjectCopyInformationToPipeline__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataObjectCopyInformationToPipeline__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyInformationToPipeline (vtkInformation *request, vtkInformation *input, vtkInformation *output, int forceCopy); */
  if (arg.size() < 5) 
    throw Exception("Function CopyInformationToPipeline__1 for class vtkDataObject requires 5 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  vtkInformation  *temp2;
  int      temp3;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp2 = GetVTKPointer<vtkInformation>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->CopyInformationToPipeline(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:CopyInformationToPipeline__2 vtkDataObjectCopyInformationToPipeline__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectCopyInformationToPipeline__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyInformationToPipeline (vtkInformation *request, vtkInformation *input);this CopyInformationToPipeline request input this PipelineInformation  */
  if (arg.size() < 3) 
    throw Exception("Function CopyInformationToPipeline__2 for class vtkDataObject requires 3 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->CopyInformationToPipeline(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:CopyInformationFromPipeline vtkDataObjectCopyInformationFromPipelineFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectCopyInformationFromPipelineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyInformationFromPipeline (vtkInformation *request); */
  if (arg.size() < 2) 
    throw Exception("Function CopyInformationFromPipeline for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->CopyInformationFromPipeline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetActiveFieldInformation vtkDataObjectGetActiveFieldInformationFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkDataObjectGetActiveFieldInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformation *GetActiveFieldInformation (vtkInformation *info, int fieldAssociation, int attributeType); */
  if (arg.size() < 4) 
    throw Exception("Function GetActiveFieldInformation for class vtkDataObject requires 4 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  int      temp2;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetActiveFieldInformation(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetNamedFieldInformation vtkDataObjectGetNamedFieldInformationFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkDataObjectGetNamedFieldInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformation *GetNamedFieldInformation (vtkInformation *info, int fieldAssociation, const char *name); */
  if (arg.size() < 4) 
    throw Exception("Function GetNamedFieldInformation for class vtkDataObject requires 4 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  char    *temp2;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp20 = (vtk_pointer)->GetNamedFieldInformation(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:RemoveNamedFieldInformation vtkDataObjectRemoveNamedFieldInformationFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataObjectRemoveNamedFieldInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RemoveNamedFieldInformation (vtkInformation *info, int fieldAssociation, const char *name); */
  if (arg.size() < 4) 
    throw Exception("Function RemoveNamedFieldInformation for class vtkDataObject requires 4 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  char    *temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  vtk_pointer->RemoveNamedFieldInformation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetActiveAttribute vtkDataObjectSetActiveAttributeFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkDataObjectSetActiveAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformation *SetActiveAttribute (vtkInformation *info, int fieldAssociation, const char *attributeName, int attributeType); */
  if (arg.size() < 5) 
    throw Exception("Function SetActiveAttribute for class vtkDataObject requires 5 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->SetActiveAttribute(temp0,temp1,temp2,temp3);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetActiveAttributeInfo vtkDataObjectSetActiveAttributeInfoFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkDataObjectSetActiveAttributeInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetActiveAttributeInfo (vtkInformation *info, int fieldAssociation, int attributeType, const char *name, int arrayType, int numComponents, int numTuples); */
  if (arg.size() < 8) 
    throw Exception("Function SetActiveAttributeInfo for class vtkDataObject requires 8 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  int      temp2;
  char    *temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  char tmp_string3[1024];
  strcpy(tmp_string3,qPrintable(arg[4].asString())); 
  temp3 = tmp_string3;
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  vtk_pointer->SetActiveAttributeInfo(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetPointDataActiveScalarInfo vtkDataObjectSetPointDataActiveScalarInfoFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataObjectSetPointDataActiveScalarInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetPointDataActiveScalarInfo (vtkInformation *info, int arrayType, int numComponents); */
  if (arg.size() < 4) 
    throw Exception("Function SetPointDataActiveScalarInfo for class vtkDataObject requires 4 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetPointDataActiveScalarInfo(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DataHasBeenGenerated vtkDataObjectDataHasBeenGeneratedFunction
//input a0 
//output none
ArrayVector vtkDataObjectDataHasBeenGeneratedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DataHasBeenGenerated (); */
  if (arg.size() < 1) 
    throw Exception("Function DataHasBeenGenerated for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->DataHasBeenGenerated();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:PrepareForNewData vtkDataObjectPrepareForNewDataFunction
//input a0 
//output none
ArrayVector vtkDataObjectPrepareForNewDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PrepareForNewData ();this Initialize  */
  if (arg.size() < 1) 
    throw Exception("Function PrepareForNewData for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->PrepareForNewData();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:ShallowCopy vtkDataObjectShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DeepCopy vtkDataObjectDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetExtentTranslator vtkDataObjectSetExtentTranslatorFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSetExtentTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtentTranslator (vtkExtentTranslator *translator); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtentTranslator for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkExtentTranslator  *temp0;
  temp0 = GetVTKPointer<vtkExtentTranslator>(arg[1]);
  vtk_pointer->SetExtentTranslator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetExtentTranslator vtkDataObjectGetExtentTranslatorFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetExtentTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtentTranslator *GetExtentTranslator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentTranslator for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkExtentTranslator  *temp20;
  temp20 = (vtk_pointer)->GetExtentTranslator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetExtentType vtkDataObjectGetExtentTypeFunction
//input a0 
//output y
ArrayVector vtkDataObjectGetExtentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetExtentType ();return VTK_PIECES_EXTENT  */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentType for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtentType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:Crop vtkDataObjectCropFunction
//input a0 
//output none
ArrayVector vtkDataObjectCropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Crop (); */
  if (arg.size() < 1) 
    throw Exception("Function Crop for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtk_pointer->Crop();
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetAttributes vtkDataObjectGetAttributesFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectGetAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataSetAttributes *GetAttributes (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributes for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSetAttributes  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributes(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetAttributesAsFieldData vtkDataObjectGetAttributesAsFieldDataFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectGetAttributesAsFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkFieldData *GetAttributesAsFieldData (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributesAsFieldData for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  vtkFieldData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributesAsFieldData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFieldData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetAttributeTypeForArray vtkDataObjectGetAttributeTypeForArrayFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectGetAttributeTypeForArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetAttributeTypeForArray (vtkAbstractArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributeTypeForArray for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  temp20 = (vtk_pointer)->GetAttributeTypeForArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetNumberOfElements vtkDataObjectGetNumberOfElementsFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectGetNumberOfElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfElements (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfElements for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfElements(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:GetAssociationTypeAsString vtkDataObjectGetAssociationTypeAsStringFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectGetAssociationTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetAssociationTypeAsString (int associationType); */
  if (arg.size() < 2) 
    throw Exception("Function GetAssociationTypeAsString for class vtkDataObject requires 2 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAssociationTypeAsString(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DATA_TYPE_NAME vtkDataObjectDATA_TYPE_NAMEFunction
//input a0 
//output y
ArrayVector vtkDataObjectDATA_TYPE_NAMEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationStringKey *DATA_TYPE_NAME (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_TYPE_NAME for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp20;
  temp20 = (vtk_pointer)->DATA_TYPE_NAME();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationStringKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DATA_OBJECT vtkDataObjectDATA_OBJECTFunction
//input a0 
//output y
ArrayVector vtkDataObjectDATA_OBJECTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDataObjectKey *DATA_OBJECT (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_OBJECT for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationDataObjectKey  *temp20;
  temp20 = (vtk_pointer)->DATA_OBJECT();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDataObjectKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DATA_EXTENT_TYPE vtkDataObjectDATA_EXTENT_TYPEFunction
//input a0 
//output y
ArrayVector vtkDataObjectDATA_EXTENT_TYPEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *DATA_EXTENT_TYPE (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_EXTENT_TYPE for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->DATA_EXTENT_TYPE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DATA_EXTENT vtkDataObjectDATA_EXTENTFunction
//input a0 
//output y
ArrayVector vtkDataObjectDATA_EXTENTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerPointerKey *DATA_EXTENT (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_EXTENT for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerPointerKey  *temp20;
  temp20 = (vtk_pointer)->DATA_EXTENT();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerPointerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DATA_PIECE_NUMBER vtkDataObjectDATA_PIECE_NUMBERFunction
//input a0 
//output y
ArrayVector vtkDataObjectDATA_PIECE_NUMBERFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *DATA_PIECE_NUMBER (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_PIECE_NUMBER for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->DATA_PIECE_NUMBER();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DATA_NUMBER_OF_PIECES vtkDataObjectDATA_NUMBER_OF_PIECESFunction
//input a0 
//output y
ArrayVector vtkDataObjectDATA_NUMBER_OF_PIECESFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *DATA_NUMBER_OF_PIECES (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_NUMBER_OF_PIECES for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->DATA_NUMBER_OF_PIECES();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DATA_NUMBER_OF_GHOST_LEVELS vtkDataObjectDATA_NUMBER_OF_GHOST_LEVELSFunction
//input a0 
//output y
ArrayVector vtkDataObjectDATA_NUMBER_OF_GHOST_LEVELSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *DATA_NUMBER_OF_GHOST_LEVELS (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_NUMBER_OF_GHOST_LEVELS for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->DATA_NUMBER_OF_GHOST_LEVELS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DATA_RESOLUTION vtkDataObjectDATA_RESOLUTIONFunction
//input a0 
//output y
ArrayVector vtkDataObjectDATA_RESOLUTIONFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleKey *DATA_RESOLUTION (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_RESOLUTION for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationDoubleKey  *temp20;
  temp20 = (vtk_pointer)->DATA_RESOLUTION();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DATA_TIME_STEPS vtkDataObjectDATA_TIME_STEPSFunction
//input a0 
//output y
ArrayVector vtkDataObjectDATA_TIME_STEPSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *DATA_TIME_STEPS (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_TIME_STEPS for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->DATA_TIME_STEPS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:POINT_DATA_VECTOR vtkDataObjectPOINT_DATA_VECTORFunction
//input a0 
//output y
ArrayVector vtkDataObjectPOINT_DATA_VECTORFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationInformationVectorKey *POINT_DATA_VECTOR (); */
  if (arg.size() < 1) 
    throw Exception("Function POINT_DATA_VECTOR for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp20;
  temp20 = (vtk_pointer)->POINT_DATA_VECTOR();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationInformationVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:CELL_DATA_VECTOR vtkDataObjectCELL_DATA_VECTORFunction
//input a0 
//output y
ArrayVector vtkDataObjectCELL_DATA_VECTORFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationInformationVectorKey *CELL_DATA_VECTOR (); */
  if (arg.size() < 1) 
    throw Exception("Function CELL_DATA_VECTOR for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp20;
  temp20 = (vtk_pointer)->CELL_DATA_VECTOR();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationInformationVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:VERTEX_DATA_VECTOR vtkDataObjectVERTEX_DATA_VECTORFunction
//input a0 
//output y
ArrayVector vtkDataObjectVERTEX_DATA_VECTORFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationInformationVectorKey *VERTEX_DATA_VECTOR (); */
  if (arg.size() < 1) 
    throw Exception("Function VERTEX_DATA_VECTOR for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp20;
  temp20 = (vtk_pointer)->VERTEX_DATA_VECTOR();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationInformationVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:EDGE_DATA_VECTOR vtkDataObjectEDGE_DATA_VECTORFunction
//input a0 
//output y
ArrayVector vtkDataObjectEDGE_DATA_VECTORFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationInformationVectorKey *EDGE_DATA_VECTOR (); */
  if (arg.size() < 1) 
    throw Exception("Function EDGE_DATA_VECTOR for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationInformationVectorKey  *temp20;
  temp20 = (vtk_pointer)->EDGE_DATA_VECTOR();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationInformationVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:FIELD_ARRAY_TYPE vtkDataObjectFIELD_ARRAY_TYPEFunction
//input a0 
//output y
ArrayVector vtkDataObjectFIELD_ARRAY_TYPEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *FIELD_ARRAY_TYPE (); */
  if (arg.size() < 1) 
    throw Exception("Function FIELD_ARRAY_TYPE for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->FIELD_ARRAY_TYPE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:FIELD_ASSOCIATION vtkDataObjectFIELD_ASSOCIATIONFunction
//input a0 
//output y
ArrayVector vtkDataObjectFIELD_ASSOCIATIONFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *FIELD_ASSOCIATION (); */
  if (arg.size() < 1) 
    throw Exception("Function FIELD_ASSOCIATION for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->FIELD_ASSOCIATION();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:FIELD_ATTRIBUTE_TYPE vtkDataObjectFIELD_ATTRIBUTE_TYPEFunction
//input a0 
//output y
ArrayVector vtkDataObjectFIELD_ATTRIBUTE_TYPEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *FIELD_ATTRIBUTE_TYPE (); */
  if (arg.size() < 1) 
    throw Exception("Function FIELD_ATTRIBUTE_TYPE for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->FIELD_ATTRIBUTE_TYPE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:FIELD_ACTIVE_ATTRIBUTE vtkDataObjectFIELD_ACTIVE_ATTRIBUTEFunction
//input a0 
//output y
ArrayVector vtkDataObjectFIELD_ACTIVE_ATTRIBUTEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *FIELD_ACTIVE_ATTRIBUTE (); */
  if (arg.size() < 1) 
    throw Exception("Function FIELD_ACTIVE_ATTRIBUTE for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->FIELD_ACTIVE_ATTRIBUTE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:FIELD_NUMBER_OF_COMPONENTS vtkDataObjectFIELD_NUMBER_OF_COMPONENTSFunction
//input a0 
//output y
ArrayVector vtkDataObjectFIELD_NUMBER_OF_COMPONENTSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *FIELD_NUMBER_OF_COMPONENTS (); */
  if (arg.size() < 1) 
    throw Exception("Function FIELD_NUMBER_OF_COMPONENTS for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->FIELD_NUMBER_OF_COMPONENTS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:FIELD_NUMBER_OF_TUPLES vtkDataObjectFIELD_NUMBER_OF_TUPLESFunction
//input a0 
//output y
ArrayVector vtkDataObjectFIELD_NUMBER_OF_TUPLESFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *FIELD_NUMBER_OF_TUPLES (); */
  if (arg.size() < 1) 
    throw Exception("Function FIELD_NUMBER_OF_TUPLES for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->FIELD_NUMBER_OF_TUPLES();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:FIELD_OPERATION vtkDataObjectFIELD_OPERATIONFunction
//input a0 
//output y
ArrayVector vtkDataObjectFIELD_OPERATIONFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *FIELD_OPERATION (); */
  if (arg.size() < 1) 
    throw Exception("Function FIELD_OPERATION for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->FIELD_OPERATION();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:FIELD_RANGE vtkDataObjectFIELD_RANGEFunction
//input a0 
//output y
ArrayVector vtkDataObjectFIELD_RANGEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *FIELD_RANGE (); */
  if (arg.size() < 1) 
    throw Exception("Function FIELD_RANGE for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->FIELD_RANGE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:PIECE_FIELD_RANGE vtkDataObjectPIECE_FIELD_RANGEFunction
//input a0 
//output y
ArrayVector vtkDataObjectPIECE_FIELD_RANGEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *PIECE_FIELD_RANGE (); */
  if (arg.size() < 1) 
    throw Exception("Function PIECE_FIELD_RANGE for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->PIECE_FIELD_RANGE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:PIECE_EXTENT vtkDataObjectPIECE_EXTENTFunction
//input a0 
//output y
ArrayVector vtkDataObjectPIECE_EXTENTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerVectorKey *PIECE_EXTENT (); */
  if (arg.size() < 1) 
    throw Exception("Function PIECE_EXTENT for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp20;
  temp20 = (vtk_pointer)->PIECE_EXTENT();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:FIELD_NAME vtkDataObjectFIELD_NAMEFunction
//input a0 
//output y
ArrayVector vtkDataObjectFIELD_NAMEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationStringKey *FIELD_NAME (); */
  if (arg.size() < 1) 
    throw Exception("Function FIELD_NAME for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp20;
  temp20 = (vtk_pointer)->FIELD_NAME();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationStringKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:ORIGIN vtkDataObjectORIGINFunction
//input a0 
//output y
ArrayVector vtkDataObjectORIGINFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *ORIGIN (); */
  if (arg.size() < 1) 
    throw Exception("Function ORIGIN for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->ORIGIN();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SPACING vtkDataObjectSPACINGFunction
//input a0 
//output y
ArrayVector vtkDataObjectSPACINGFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *SPACING (); */
  if (arg.size() < 1) 
    throw Exception("Function SPACING for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->SPACING();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:DATA_GEOMETRY_UNMODIFIED vtkDataObjectDATA_GEOMETRY_UNMODIFIEDFunction
//input a0 
//output y
ArrayVector vtkDataObjectDATA_GEOMETRY_UNMODIFIEDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *DATA_GEOMETRY_UNMODIFIED (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_GEOMETRY_UNMODIFIED for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->DATA_GEOMETRY_UNMODIFIED();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SIL vtkDataObjectSILFunction
//input a0 
//output y
ArrayVector vtkDataObjectSILFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDataObjectKey *SIL (); */
  if (arg.size() < 1) 
    throw Exception("Function SIL for class vtkDataObject requires 1 argument(s)");
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  Array retval;
  vtkInformationDataObjectKey  *temp20;
  temp20 = (vtk_pointer)->SIL();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDataObjectKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObject:SetUpdateExtent vtkDataObjectSetUpdateExtentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectSetUpdateExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkDataObjectSetUpdateExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkDataObjectSetUpdateExtent__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkDataObjectSetUpdateExtent__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataObjectSetUpdateExtent__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectSetUpdateExtent");
}

//@@Signature
//sfunction @vtkDataObject:GetUpdateExtent vtkDataObjectGetUpdateExtentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectGetUpdateExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataObjectGetUpdateExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataObjectGetUpdateExtent__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectGetUpdateExtent");
}

//@@Signature
//sfunction @vtkDataObject:SetWholeExtent vtkDataObjectSetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkDataObjectSetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataObjectSetWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectSetWholeExtent");
}

//@@Signature
//sfunction @vtkDataObject:GetWholeExtent vtkDataObjectGetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectGetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataObjectGetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataObjectGetWholeExtent__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectGetWholeExtent");
}

//@@Signature
//sfunction @vtkDataObject:SetWholeBoundingBox vtkDataObjectSetWholeBoundingBoxFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectSetWholeBoundingBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkDataObjectSetWholeBoundingBox__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataObjectSetWholeBoundingBox__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectSetWholeBoundingBox");
}

//@@Signature
//sfunction @vtkDataObject:GetWholeBoundingBox vtkDataObjectGetWholeBoundingBoxFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectGetWholeBoundingBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataObjectGetWholeBoundingBox__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataObjectGetWholeBoundingBox__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectGetWholeBoundingBox");
}

//@@Signature
//sfunction @vtkDataObject:CopyInformationToPipeline vtkDataObjectCopyInformationToPipelineFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectCopyInformationToPipelineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformation") && VTKIsClass(arg[3],"vtkInformation") && VTKIsScalarArg(arg[4]))
    return vtkDataObjectCopyInformationToPipeline__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformation") && VTKIsClass(arg[2],"vtkInformation"))
    return vtkDataObjectCopyInformationToPipeline__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectCopyInformationToPipeline");
}

//@@Signature
//sfunction @vtkDataObject:display vtkDataObjectDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataObject* vtk_pointer = GetVTKPointer<vtkDataObject>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataObject:delete vtkDataObjectDeleteFunction
//input varargin
//output none
ArrayVector vtkDataObjectDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataObject
//@@Section VTKFiltering
//@@Usage
// vtkDataObject is an general representation of visualization data. It serves
// to encapsulate instance variables and methods for visualization network 
// execution, as well as representing data consisting of a field (i.e., just
// an unstructured pile of data). This is to be compared with a vtkDataSet,
// which is data with geometric and/or topological structure.
//
// vtkDataObjects are used to represent arbitrary repositories of data via the
// vtkFieldData instance variable. These data must be eventually mapped into a
// concrete subclass of vtkDataSet before they can actually be displayed.
//
//
//To create an instance of class vtkDataObject, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataObject
//@]
//@@Methods
//The class vtkDataObject has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataObject class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataObject = obj.NewInstance ()|
// \item @|vtkDataObject = obj.SafeDownCast (vtkObject o)|
// \item @|vtkSource = obj.GetSource ()| -  Set/Get the source object creating this data object.
//// \item @|obj.SetSource (vtkSource s)| -  Set/Get the source object creating this data object.
//// \item @|vtkInformation = obj.GetInformation ()| -  Set/Get the information object associated with this data object.
//// \item @|obj.SetInformation (vtkInformation )| -  Set/Get the information object associated with this data object.
//// \item @|vtkInformation = obj.GetPipelineInformation ()| -  Get/Set the pipeline information object that owns this data
// object.
//// \item @|obj.SetPipelineInformation (vtkInformation )| -  Get/Set the pipeline information object that owns this data
// object.
//// \item @|vtkAlgorithmOutput = obj.GetProducerPort ()| -  Get the port currently producing this object.
//// \item @|long = obj.GetMTime ()| -  Data objects are composite objects and need to check each part for MTime.
// The information object also needs to be considered.
//// \item @|obj.Initialize ()| -  Restore data object to initial state,
//// \item @|obj.ReleaseData ()| -  Release data back to system to conserve memory resource. Used during
// visualization network execution.  Releasing this data does not make 
// down-stream data invalid, so it does not modify the MTime of this 
// data object.
//// \item @|int = obj.ShouldIReleaseData ()| -  Return flag indicating whether data should be released after use  
// by a filter.
//// \item @|int = obj.GetDataReleased ()| -  Get the flag indicating the data has been released.
//// \item @|obj.SetReleaseDataFlag (int )| -  Turn on/off flag to control whether this object's data is released
// after being used by a filter.
//// \item @|int = obj.GetReleaseDataFlag ()| -  Turn on/off flag to control whether this object's data is released
// after being used by a filter.
//// \item @|obj.ReleaseDataFlagOn ()| -  Turn on/off flag to control whether this object's data is released
// after being used by a filter.
//// \item @|obj.ReleaseDataFlagOff ()| -  Turn on/off flag to control whether this object's data is released
// after being used by a filter.
//// \item @|obj.GlobalReleaseDataFlagOn ()| -  Turn on/off flag to control whether every object releases its data
// after being used by a filter.
//// \item @|obj.GlobalReleaseDataFlagOff ()| -  Turn on/off flag to control whether every object releases its data
// after being used by a filter.
//// \item @|obj.SetFieldData (vtkFieldData )| -  Assign or retrieve a general field data to this data object.
//// \item @|vtkFieldData = obj.GetFieldData ()| -  Assign or retrieve a general field data to this data object.
//// \item @|obj.Register (vtkObjectBase o)|
// \item @|obj.UnRegister (vtkObjectBase o)|
// \item @|obj.Update ()| -  Provides opportunity for the data object to insure internal 
// consistency before access. Also causes owning source/filter 
// (if any) to update itself. The Update() method is composed of 
// UpdateInformation(), PropagateUpdateExtent(), 
// TriggerAsynchronousUpdate(), and UpdateData().
//// \item @|obj.UpdateInformation ()| -  WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. 
// THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.
// Update all the "easy to update" information about the object such
// as the extent which will be used to control the update.
// This propagates all the way up then back down the pipeline.
// As a by-product the PipelineMTime is updated.
//// \item @|obj.PropagateUpdateExtent ()| -  WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. 
// THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.
// The update extent for this object is propagated up the pipeline.
// This propagation may early terminate based on the PipelineMTime.
//// \item @|obj.TriggerAsynchronousUpdate ()| -  WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. 
// THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.
// Propagate back up the pipeline for ports and trigger the update on the
// other side of the port to allow for asynchronous parallel processing in
// the pipeline.
// This propagation may early terminate based on the PipelineMTime.
//// \item @|obj.UpdateData ()| -  WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. 
// THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.
// Propagate the update back up the pipeline, and perform the actual 
// work of updating on the way down. When the propagate arrives at a
// port, block and wait for the asynchronous update to finish on the
// other side.
// This propagation may early terminate based on the PipelineMTime.
//// \item @|long = obj.GetEstimatedMemorySize ()| -  Get the estimated size of this data object itself. Should be called
// after UpdateInformation() and PropagateUpdateExtent() have both been 
// called. Should be overridden in a subclass - otherwise the default
// is to assume that this data object requires no memory.
// The size is returned in kilobytes.
//// \item @|obj.SetUpdateExtent (int piece, int numPieces, int ghostLevel)| -  A generic way of specifying an update extent.  Subclasses
// must decide what a piece is.  When the NumberOfPieces is zero, then
// no data is requested, and the source will not execute.
//// \item @|obj.SetUpdateExtent (int piece, int numPieces)| -  Set the update extent for data objects that use 3D extents. Using this
// method on data objects that set extents as pieces (such as vtkPolyData or
// vtkUnstructuredGrid) has no real effect.
// Don't use the set macro to set the update extent
// since we don't want this object to be modified just due to
// a change in update extent. When the volume of the extent is zero (0, -1,..), 
// then no data is requested, and the source will not execute.
//// \item @|obj.SetUpdateExtent (int x0, int x1, int y0, int y1, int z0, int z1)| -  Set the update extent for data objects that use 3D extents. Using this
// method on data objects that set extents as pieces (such as vtkPolyData or
// vtkUnstructuredGrid) has no real effect.
// Don't use the set macro to set the update extent
// since we don't want this object to be modified just due to
// a change in update extent. When the volume of the extent is zero (0, -1,..), 
// then no data is requested, and the source will not execute.
//// \item @|obj.SetUpdateExtent (int extent[6])| -  Set the update extent for data objects that use 3D extents. Using this
// method on data objects that set extents as pieces (such as vtkPolyData or
// vtkUnstructuredGrid) has no real effect.
// Don't use the set macro to set the update extent
// since we don't want this object to be modified just due to
// a change in update extent. When the volume of the extent is zero (0, -1,..), 
// then no data is requested, and the source will not execute.
//// \item @|int = obj.GetUpdateExtent ()| -  Set the update extent for data objects that use 3D extents. Using this
// method on data objects that set extents as pieces (such as vtkPolyData or
// vtkUnstructuredGrid) has no real effect.
// Don't use the set macro to set the update extent
// since we don't want this object to be modified just due to
// a change in update extent. When the volume of the extent is zero (0, -1,..), 
// then no data is requested, and the source will not execute.
//// \item @|obj.GetUpdateExtent (int extent[6])| -  Set the update extent for data objects that use 3D extents. Using this
// method on data objects that set extents as pieces (such as vtkPolyData or
// vtkUnstructuredGrid) has no real effect.
// Don't use the set macro to set the update extent
// since we don't want this object to be modified just due to
// a change in update extent. When the volume of the extent is zero (0, -1,..), 
// then no data is requested, and the source will not execute.
//// \item @|int = obj.GetDataObjectType ()| -  Used by Threaded ports to determine if they should initiate an
// asynchronous update (still in development).
//// \item @|long = obj.GetUpdateTime ()| -  Used by Threaded ports to determine if they should initiate an
// asynchronous update (still in development).
//// \item @|obj.SetUpdateExtentToWholeExtent ()| -  If the whole input extent is required to generate the requested output
// extent, this method can be called to set the input update extent to the
// whole input extent. This method assumes that the whole extent is known
// (that UpdateInformation has been called)
//// \item @|long = obj.GetPipelineMTime ()| -  Get the cumulative modified time of everything upstream.  Does
// not include the MTime of this object.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value).
//// \item @|obj.CopyInformation (vtkDataObject data)| -  Copy the generic information (WholeExtent ...)
//// \item @|obj.CopyTypeSpecificInformation (vtkDataObject data)| -  By default, there is no type specific information
//// \item @|obj.SetUpdatePiece (int piece)| -  Set / Get the update piece and the update number of pieces. Similar
// to update extent in 3D.
//// \item @|obj.SetUpdateNumberOfPieces (int num)| -  Set / Get the update piece and the update number of pieces. Similar
// to update extent in 3D.
//// \item @|int = obj.GetUpdatePiece ()| -  Set / Get the update piece and the update number of pieces. Similar
// to update extent in 3D.
//// \item @|int = obj.GetUpdateNumberOfPieces ()| -  Set / Get the update piece and the update number of pieces. Similar
// to update extent in 3D.
//// \item @|obj.SetUpdateGhostLevel (int level)| -  Set / Get the update ghost level and the update number of ghost levels.
// Similar to update extent in 3D.
//// \item @|int = obj.GetUpdateGhostLevel ()| -  Set / Get the update ghost level and the update number of ghost levels.
// Similar to update extent in 3D.
//// \item @|obj.SetRequestExactExtent (int flag)| -  This request flag indicates whether the requester can handle 
// more data than requested.  Right now it is used in vtkImageData.
// Image filters can return more data than requested.  The the 
// consumer cannot handle this (i.e. DataSetToDataSetFitler)
// the image will crop itself.  This functionality used to be in 
// ImageToStructuredPoints.
//// \item @|int = obj.GetRequestExactExtent ()| -  This request flag indicates whether the requester can handle 
// more data than requested.  Right now it is used in vtkImageData.
// Image filters can return more data than requested.  The the 
// consumer cannot handle this (i.e. DataSetToDataSetFitler)
// the image will crop itself.  This functionality used to be in 
// ImageToStructuredPoints.
//// \item @|obj.RequestExactExtentOn ()| -  This request flag indicates whether the requester can handle 
// more data than requested.  Right now it is used in vtkImageData.
// Image filters can return more data than requested.  The the 
// consumer cannot handle this (i.e. DataSetToDataSetFitler)
// the image will crop itself.  This functionality used to be in 
// ImageToStructuredPoints.
//// \item @|obj.RequestExactExtentOff ()| -  This request flag indicates whether the requester can handle 
// more data than requested.  Right now it is used in vtkImageData.
// Image filters can return more data than requested.  The the 
// consumer cannot handle this (i.e. DataSetToDataSetFitler)
// the image will crop itself.  This functionality used to be in 
// ImageToStructuredPoints.
//// \item @|obj.SetWholeExtent (int x0, int x1, int y0, int y1, int z0, int z1)| -  Set/Get the whole extent of this data object.  
// The whole extent is meta data for structured data sets.
// It gets set by the source during the update information call.
//// \item @|obj.SetWholeExtent (int extent[6])| -  Set/Get the whole extent of this data object.  
// The whole extent is meta data for structured data sets.
// It gets set by the source during the update information call.
//// \item @|int = obj.GetWholeExtent ()| -  Set/Get the whole extent of this data object.  
// The whole extent is meta data for structured data sets.
// It gets set by the source during the update information call.
//// \item @|obj.GetWholeExtent (int extent[6])| -  Set/Get the whole extent of this data object.  
// The whole extent is meta data for structured data sets.
// It gets set by the source during the update information call.
//// \item @|obj.SetWholeBoundingBox (double x0, double x1, double y0, double y1, double z0, double z1)| -  Set/Get the whole bounding box of this data object.  
// The whole whole bounding box is meta data for data sets
// It gets set by the source during the update information call.
//// \item @|obj.SetWholeBoundingBox (double bb[6])| -  Set/Get the whole bounding box of this data object.  
// The whole whole bounding box is meta data for data sets
// It gets set by the source during the update information call.
//// \item @|double = obj.GetWholeBoundingBox ()| -  Set/Get the whole bounding box of this data object.  
// The whole whole bounding box is meta data for data sets
// It gets set by the source during the update information call.
//// \item @|obj.GetWholeBoundingBox (double extent[6])| -  Set/Get the whole bounding box of this data object.  
// The whole whole bounding box is meta data for data sets
// It gets set by the source during the update information call.
//// \item @|obj.SetMaximumNumberOfPieces (int )| -  Set/Get the maximum number of pieces that can be requested.  
// The maximum number of pieces is meta data for unstructured data sets.
// It gets set by the source during the update information call.
// A value of -1 indicates that there is no maximum.  A value of
//// \item @|int = obj.GetMaximumNumberOfPieces ()| -  Set/Get the maximum number of pieces that can be requested.  
// The maximum number of pieces is meta data for unstructured data sets.
// It gets set by the source during the update information call.
// A value of -1 indicates that there is no maximum.  A value of
//// \item @|obj.CopyInformationToPipeline (vtkInformation request, vtkInformation input, vtkInformation output, int forceCopy)| -  Copy information about this data object to the output
// information from its own Information for the given
// request.  If the second argument is not NULL then it is the
// pipeline information object for the input to this data object's
// producer. If forceCopy is true, information is copied even
// if it exists in the output.
//// \item @|obj.CopyInformationToPipeline (vtkInformation request, vtkInformation input)| -  Copy information about this data object from the
// PipelineInformation to its own Information for the given request.
//// \item @|obj.CopyInformationFromPipeline (vtkInformation request)| -  Copy information about this data object from the
// PipelineInformation to its own Information for the given request.
//// \item @|obj.DataHasBeenGenerated ()| -  This method is called by the source when it executes to generate data.
// It is sort of the opposite of ReleaseData.
// It sets the DataReleased flag to 0, and sets a new UpdateTime.
//// \item @|obj.PrepareForNewData ()| -  make the output data ready for new data to be inserted. For most 
// objects we just call Initialize. But for vtkImageData we leave the old
// data in case the memory can be reused.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.  These copy the data, but not any of the 
// pipeline connections.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.  These copy the data, but not any of the 
// pipeline connections.
//// \item @|obj.SetExtentTranslator (vtkExtentTranslator translator)| -  An object that will translate pieces into structured extents.
//// \item @|vtkExtentTranslator = obj.GetExtentTranslator ()| -  An object that will translate pieces into structured extents.
//// \item @|int = obj.GetExtentType ()| -  The ExtentType will be left as VTK_PIECES_EXTENT for data objects 
// such as vtkPolyData and vtkUnstructuredGrid. The ExtentType will be 
// changed to VTK_3D_EXTENT for data objects with 3D structure such as 
// vtkImageData (and its subclass vtkStructuredPoints), vtkRectilinearGrid,
// and vtkStructuredGrid. The default is the have an extent in pieces,
// with only one piece (no streaming possible).
//// \item @|obj.Crop ()| -  This method crops the data object (if necesary) so that the extent
// matches the update extent.
//// \item @|vtkDataSetAttributes = obj.GetAttributes (int type)| -  Returns the attributes of the data object of the specified
// attribute type. The type may be:
// <ul>
// <li>POINT  - Defined in vtkDataSet subclasses.
// <li>CELL   - Defined in vtkDataSet subclasses.
// <li>VERTEX - Defined in vtkGraph subclasses.
// <li>EDGE   - Defined in vtkGraph subclasses.
// <li>ROW    - Defined in vtkTable.
// </ul>
// The other attribute type, FIELD, will return NULL since
// field data is stored as a vtkFieldData instance, not a
// vtkDataSetAttributes instance. To retrieve field data, use
// GetAttributesAsFieldData.
//// \item @|vtkFieldData = obj.GetAttributesAsFieldData (int type)| -  Returns the attributes of the data object as a vtkFieldData.
// This returns non-null values in all the same cases as GetAttributes,
// in addition to the case of FIELD, which will return the field data
// for any vtkDataObject subclass.
//// \item @|int = obj.GetAttributeTypeForArray (vtkAbstractArray arr)| -  Retrieves the attribute type that an array came from.
// This is useful for obtaining which attribute type a input array
// to an algorithm came from (retrieved from GetInputAbstractArrayToProcesss).
//// \item @|vtkIdType = obj.GetNumberOfElements (int type)| -  Get the number of elements for a specific attribute type (POINT, CELL, etc.).
////\end{itemize}
//!
