#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataObjectCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataObjectCollection.h"

//@@Signature
//sfunction @vtkDataObjectCollection:vtkDataObjectCollection vtkDataObjectCollectionConstructorFunction
//input a
//output p
//@@Parents vtkDataObjectCollection vtkCollection 
ArrayVector vtkDataObjectCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataObjectCollection::New(),"vtkDataObjectCollection",eval);
  } else if (arg[0].className() == "vtkDataObjectCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataObjectCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataObjectCollection");
    vtkDataObjectCollection*q = reinterpret_cast<vtkDataObjectCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataObjectCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataObjectCollection:GetClassName vtkDataObjectCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataObjectCollection requires 1 argument(s)");
  vtkDataObjectCollection* vtk_pointer = GetVTKPointer<vtkDataObjectCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectCollection:IsA vtkDataObjectCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataObjectCollection requires 2 argument(s)");
  vtkDataObjectCollection* vtk_pointer = GetVTKPointer<vtkDataObjectCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectCollection:NewInstance vtkDataObjectCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataObjectCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataObjectCollection requires 1 argument(s)");
  vtkDataObjectCollection* vtk_pointer = GetVTKPointer<vtkDataObjectCollection>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectCollection:SafeDownCast vtkDataObjectCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataObjectCollection requires 2 argument(s)");
  vtkDataObjectCollection* vtk_pointer = GetVTKPointer<vtkDataObjectCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataObjectCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectCollection:AddItem__1 vtkDataObjectCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkDataObjectCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkDataObject *ds);this vtkCollection AddItem ds  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkDataObjectCollection requires 2 argument(s)");
  vtkDataObjectCollection* vtk_pointer = GetVTKPointer<vtkDataObjectCollection>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectCollection:GetNextItem vtkDataObjectCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkDataObjectCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetNextItem ();return static_cast vtkDataObject this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkDataObjectCollection requires 1 argument(s)");
  vtkDataObjectCollection* vtk_pointer = GetVTKPointer<vtkDataObjectCollection>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectCollection:GetItem vtkDataObjectCollectionGetItemFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectCollectionGetItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetItem (int i);return static_cast vtkDataObject this GetItemAsObject i  */
  if (arg.size() < 2) 
    throw Exception("Function GetItem for class vtkDataObjectCollection requires 2 argument(s)");
  vtkDataObjectCollection* vtk_pointer = GetVTKPointer<vtkDataObjectCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetItem(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectCollection:AddItem vtkDataObjectCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkDataObjectCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectCollectionAddItem");
}

//@@Signature
//sfunction @vtkDataObjectCollection:display vtkDataObjectCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataObjectCollection* vtk_pointer = GetVTKPointer<vtkDataObjectCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataObjectCollection:delete vtkDataObjectCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkDataObjectCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataObjectCollection
//@@Section VTKFiltering
//@@Usage
// vtkDataObjectCollection is an object that creates and manipulates lists of
// data objects. See also vtkCollection and subclasses.
//
//To create an instance of class vtkDataObjectCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataObjectCollection
//@]
//@@Methods
//The class vtkDataObjectCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataObjectCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataObjectCollection = obj.NewInstance ()|
// \item @|vtkDataObjectCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkDataObject ds)| -  Get the next data object in the list.
//// \item @|vtkDataObject = obj.GetNextItem ()| -  Get the ith data object in the list.
//// \item @|vtkDataObject = obj.GetItem (int i)|
//\end{itemize}
//!
