#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataObjectSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataObjectSource.h"

//@@Signature
//sfunction @vtkDataObjectSource:vtkDataObjectSource vtkDataObjectSourceConstructorFunction
//input a
//output p
//@@Parents vtkDataObjectSource vtkSource 
ArrayVector vtkDataObjectSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataObjectSource::New(),"vtkDataObjectSource",eval);
  } else if (arg[0].className() == "vtkDataObjectSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataObjectSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataObjectSource");
    vtkDataObjectSource*q = reinterpret_cast<vtkDataObjectSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataObjectSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataObjectSource:GetClassName vtkDataObjectSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataObjectSource requires 1 argument(s)");
  vtkDataObjectSource* vtk_pointer = GetVTKPointer<vtkDataObjectSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectSource:IsA vtkDataObjectSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataObjectSource requires 2 argument(s)");
  vtkDataObjectSource* vtk_pointer = GetVTKPointer<vtkDataObjectSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectSource:NewInstance vtkDataObjectSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataObjectSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataObjectSource requires 1 argument(s)");
  vtkDataObjectSource* vtk_pointer = GetVTKPointer<vtkDataObjectSource>(arg[0]);
  Array retval;
  vtkDataObjectSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectSource:SafeDownCast vtkDataObjectSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataObjectSource requires 2 argument(s)");
  vtkDataObjectSource* vtk_pointer = GetVTKPointer<vtkDataObjectSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataObjectSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectSource:GetOutput__1 vtkDataObjectSourceGetOutput__1Function
//input a0 
//output y
ArrayVector vtkDataObjectSourceGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkDataObjectSource requires 1 argument(s)");
  vtkDataObjectSource* vtk_pointer = GetVTKPointer<vtkDataObjectSource>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectSource:GetOutput__2 vtkDataObjectSourceGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkDataObjectSourceGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (int idx);return this vtkSource GetOutput idx  */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkDataObjectSource requires 2 argument(s)");
  vtkDataObjectSource* vtk_pointer = GetVTKPointer<vtkDataObjectSource>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectSource:SetOutput vtkDataObjectSourceSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectSourceSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkDataObjectSource requires 2 argument(s)");
  vtkDataObjectSource* vtk_pointer = GetVTKPointer<vtkDataObjectSource>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectSource:GetOutput vtkDataObjectSourceGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataObjectSourceGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataObjectSourceGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectSourceGetOutput");
}

//@@Signature
//sfunction @vtkDataObjectSource:display vtkDataObjectSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataObjectSource* vtk_pointer = GetVTKPointer<vtkDataObjectSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataObjectSource:delete vtkDataObjectSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkDataObjectSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataObjectSource
//@@Section VTKFiltering
//@@Usage
// vtkDataObjectSource is an abstract object that specifies behavior and
// interface of field source objects. Field source objects are source objects
// that create vtkFieldData (field data) on output.
//
// Concrete subclasses of vtkDataObjectSource must define Update() and
// Execute() methods. The public method Update() invokes network execution
// and will bring the network up-to-date. The protected Execute() method
// actually does the work of data creation/generation. The difference between
// the two methods is that Update() implements input consistency checks and
// modified time comparisons and then invokes the Execute() which is an
// implementation of a particular algorithm.
//
// vtkDataObjectSource provides a mechanism for invoking the methods
// StartMethod() and EndMethod() before and after object execution (via
// Execute()). These are convenience methods you can use for any purpose
// (e.g., debugging info, highlighting/notifying user interface, etc.) These
// methods accept a single void* pointer that can be used to send data to the
// methods. It is also possible to specify a function to delete the argument
// via StartMethodArgDelete and EndMethodArgDelete.
//
// Another method, ProgressMethod() can be specified. Some filters invoke this 
// method periodically during their execution. The use is similar to that of 
// StartMethod() and EndMethod().
//
// An important feature of subclasses of vtkDataObjectSource is that it is
// possible to control the memory-management model (i.e., retain output
// versus delete output data). If enabled the ReleaseDataFlag enables the
// deletion of the output data once the downstream process object finishes
// processing the data (please see text).
//
//To create an instance of class vtkDataObjectSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataObjectSource
//@]
//@@Methods
//The class vtkDataObjectSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataObjectSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataObjectSource = obj.NewInstance ()|
// \item @|vtkDataObjectSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataObject = obj.GetOutput ()| -  Get the output field of this source.
//// \item @|vtkDataObject = obj.GetOutput (int idx)|
// \item @|obj.SetOutput (vtkDataObject )|
//\end{itemize}
//!
