#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataObjectTypes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataObjectTypes.h"

//@@Signature
//sfunction @vtkDataObjectTypes:vtkDataObjectTypes vtkDataObjectTypesConstructorFunction
//input a
//output p
//@@Parents vtkDataObjectTypes vtkObject 
ArrayVector vtkDataObjectTypesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataObjectTypes::New(),"vtkDataObjectTypes",eval);
  } else if (arg[0].className() == "vtkDataObjectTypes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataObjectTypes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataObjectTypes");
    vtkDataObjectTypes*q = reinterpret_cast<vtkDataObjectTypes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataObjectTypes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataObjectTypes:GetClassName vtkDataObjectTypesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectTypesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataObjectTypes requires 1 argument(s)");
  vtkDataObjectTypes* vtk_pointer = GetVTKPointer<vtkDataObjectTypes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectTypes:IsA vtkDataObjectTypesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectTypesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataObjectTypes requires 2 argument(s)");
  vtkDataObjectTypes* vtk_pointer = GetVTKPointer<vtkDataObjectTypes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectTypes:NewInstance vtkDataObjectTypesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataObjectTypesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectTypes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataObjectTypes requires 1 argument(s)");
  vtkDataObjectTypes* vtk_pointer = GetVTKPointer<vtkDataObjectTypes>(arg[0]);
  Array retval;
  vtkDataObjectTypes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectTypes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectTypes:SafeDownCast vtkDataObjectTypesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectTypesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectTypes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataObjectTypes requires 2 argument(s)");
  vtkDataObjectTypes* vtk_pointer = GetVTKPointer<vtkDataObjectTypes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataObjectTypes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectTypes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectTypes:GetClassNameFromTypeId vtkDataObjectTypesGetClassNameFromTypeIdFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectTypesGetClassNameFromTypeIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetClassNameFromTypeId (int typeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetClassNameFromTypeId for class vtkDataObjectTypes requires 2 argument(s)");
  vtkDataObjectTypes* vtk_pointer = GetVTKPointer<vtkDataObjectTypes>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetClassNameFromTypeId(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectTypes:GetTypeIdFromClassName vtkDataObjectTypesGetTypeIdFromClassNameFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectTypesGetTypeIdFromClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetTypeIdFromClassName (const char *classname); */
  if (arg.size() < 2) 
    throw Exception("Function GetTypeIdFromClassName for class vtkDataObjectTypes requires 2 argument(s)");
  vtkDataObjectTypes* vtk_pointer = GetVTKPointer<vtkDataObjectTypes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetTypeIdFromClassName(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectTypes:NewDataObject__1 vtkDataObjectTypesNewDataObject__1Function
//input a0 a1 
//output y
ArrayVector vtkDataObjectTypesNewDataObject__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkDataObject *NewDataObject (const char *classname); */
  if (arg.size() < 2) 
    throw Exception("Function NewDataObject__1 for class vtkDataObjectTypes requires 2 argument(s)");
  vtkDataObjectTypes* vtk_pointer = GetVTKPointer<vtkDataObjectTypes>(arg[0]);
  Array retval;
  char    *temp0;
  vtkDataObject  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->NewDataObject(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectTypes:NewDataObject__2 vtkDataObjectTypesNewDataObject__2Function
//input a0 a1 
//output y
ArrayVector vtkDataObjectTypesNewDataObject__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkDataObject *NewDataObject (int typeId); */
  if (arg.size() < 2) 
    throw Exception("Function NewDataObject__2 for class vtkDataObjectTypes requires 2 argument(s)");
  vtkDataObjectTypes* vtk_pointer = GetVTKPointer<vtkDataObjectTypes>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->NewDataObject(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectTypes:NewDataObject vtkDataObjectTypesNewDataObjectFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectTypesNewDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkDataObjectTypesNewDataObject__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataObjectTypesNewDataObject__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectTypesNewDataObject");
}

//@@Signature
//sfunction @vtkDataObjectTypes:display vtkDataObjectTypesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectTypesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataObjectTypes* vtk_pointer = GetVTKPointer<vtkDataObjectTypes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataObjectTypes:delete vtkDataObjectTypesDeleteFunction
//input varargin
//output none
ArrayVector vtkDataObjectTypesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataObjectTypes
//@@Section VTKFiltering
//@@Usage
// vtkDataObjectTypes is a helper class that supports conversion between
// integer types defined in vtkType.h and string names as well as creation
// of data objects from either integer or string types. This class has
// to be updated every time a new data type is added to VTK.
//
//To create an instance of class vtkDataObjectTypes, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataObjectTypes
//@]
//@@Methods
//The class vtkDataObjectTypes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataObjectTypes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataObjectTypes = obj.NewInstance ()|
// \item @|vtkDataObjectTypes = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
