#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSet.h"

//@@Signature
//sfunction @vtkDataSet:vtkDataSet vtkDataSetConstructorFunction
//input a
//output p
//@@Parents vtkDataSet vtkDataObject 
ArrayVector vtkDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSet::New(),"vtkDataSet",eval);
  } else if (arg[0].className() == "vtkDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSet");
    vtkDataSet*q = reinterpret_cast<vtkDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSet:GetClassName vtkDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:IsA vtkDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:NewInstance vtkDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:SafeDownCast vtkDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:CopyStructure vtkDataSetCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyStructure (vtkDataSet *ds) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:CopyAttributes vtkDataSetCopyAttributesFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetCopyAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyAttributes (vtkDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function CopyAttributes for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->CopyAttributes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetNumberOfPoints vtkDataSetGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkDataSetGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfPoints () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetNumberOfCells vtkDataSetGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkDataSetGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfCells () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetPoint__1 vtkDataSetGetPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkDataSetGetPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetPoint (vtkIdType ptId) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint__1 for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPoint(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetPoint__2 vtkDataSetGetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetGetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint (vtkIdType id, double x[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetPoint__2 for class vtkDataSet requires 3 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetCell__1 vtkDataSetGetCell__1Function
//input a0 a1 
//output y
ArrayVector vtkDataSetGetCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCell *GetCell (vtkIdType cellId) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetCell__1 for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetCell__2 vtkDataSetGetCell__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetGetCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetCell__2 for class vtkDataSet requires 3 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  vtk_pointer->GetCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetCellBounds vtkDataSetGetCellBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetGetCellBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellBounds (vtkIdType cellId, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellBounds for class vtkDataSet requires 3 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[6];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetCellBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetCellType vtkDataSetGetCellTypeFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCellType (vtkIdType cellId) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetCellType for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetCellTypes vtkDataSetGetCellTypesFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetGetCellTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellTypes (vtkCellTypes *types); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellTypes for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkCellTypes  *temp0;
  temp0 = GetVTKPointer<vtkCellTypes>(arg[1]);
  vtk_pointer->GetCellTypes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetCellPoints vtkDataSetGetCellPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetGetCellPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetCellPoints for class vtkDataSet requires 3 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetCellPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetPointCells vtkDataSetGetPointCellsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetGetPointCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointCells (vtkIdType ptId, vtkIdList *cellIds) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetPointCells for class vtkDataSet requires 3 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetPointCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetCellNeighbors vtkDataSetGetCellNeighborsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataSetGetCellNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds); */
  if (arg.size() < 4) 
    throw Exception("Function GetCellNeighbors for class vtkDataSet requires 4 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  vtk_pointer->GetCellNeighbors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:FindPoint__1 vtkDataSetFindPoint__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkDataSetFindPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType FindPoint (double x, double y, double z);double xyz xyz x xyz y xyz z return this FindPoint xyz  */
  if (arg.size() < 4) 
    throw Exception("Function FindPoint__1 for class vtkDataSet requires 4 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->FindPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:FindPoint__2 vtkDataSetFindPoint__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetFindPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindPoint (double x[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function FindPoint__2 for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetMTime vtkDataSetGetMTimeFunction
//input a0 
//output y
ArrayVector vtkDataSetGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetCellData vtkDataSetGetCellDataFunction
//input a0 
//output y
ArrayVector vtkDataSetGetCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellData *GetCellData ();return this CellData  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellData for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkCellData  *temp20;
  temp20 = (vtk_pointer)->GetCellData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetPointData vtkDataSetGetPointDataFunction
//input a0 
//output y
ArrayVector vtkDataSetGetPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointData *GetPointData ();return this PointData  */
  if (arg.size() < 1) 
    throw Exception("Function GetPointData for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkPointData  *temp20;
  temp20 = (vtk_pointer)->GetPointData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:Squeeze vtkDataSetSqueezeFunction
//input a0 
//output none
ArrayVector vtkDataSetSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Squeeze (); */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:ComputeBounds vtkDataSetComputeBoundsFunction
//input a0 
//output none
ArrayVector vtkDataSetComputeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeBounds for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtk_pointer->ComputeBounds();
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetBounds__1 vtkDataSetGetBounds__1Function
//input a0 
//output y
ArrayVector vtkDataSetGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetBounds__2 vtkDataSetGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkDataSetGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetCenter__1 vtkDataSetGetCenter__1Function
//input a0 
//output y
ArrayVector vtkDataSetGetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter__1 for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetCenter__2 vtkDataSetGetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkDataSetGetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCenter (double center[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCenter__2 for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetLength vtkDataSetGetLengthFunction
//input a0 
//output y
ArrayVector vtkDataSetGetLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:Initialize vtkDataSetInitializeFunction
//input a0 
//output none
ArrayVector vtkDataSetInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetScalarRange__1 vtkDataSetGetScalarRange__1Function
//input a0 a1 
//output none
ArrayVector vtkDataSetGetScalarRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetScalarRange (double range[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarRange__1 for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetScalarRange__2 vtkDataSetGetScalarRange__2Function
//input a0 
//output y
ArrayVector vtkDataSetGetScalarRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetScalarRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarRange__2 for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScalarRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetMaxCellSize vtkDataSetGetMaxCellSizeFunction
//input a0 
//output y
ArrayVector vtkDataSetGetMaxCellSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetMaxCellSize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellSize for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetActualMemorySize vtkDataSetGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkDataSetGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetDataObjectType vtkDataSetGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkDataSetGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType ();return VTK_DATA_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:ShallowCopy vtkDataSetShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:DeepCopy vtkDataSetDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:CheckAttributes vtkDataSetCheckAttributesFunction
//input a0 
//output y
ArrayVector vtkDataSetCheckAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CheckAttributes (); */
  if (arg.size() < 1) 
    throw Exception("Function CheckAttributes for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->CheckAttributes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GenerateGhostLevelArray vtkDataSetGenerateGhostLevelArrayFunction
//input a0 
//output none
ArrayVector vtkDataSetGenerateGhostLevelArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GenerateGhostLevelArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGhostLevelArray for class vtkDataSet requires 1 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGhostLevelArray();
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetAttributesAsFieldData vtkDataSetGetAttributesAsFieldDataFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetGetAttributesAsFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkFieldData *GetAttributesAsFieldData (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributesAsFieldData for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  int      temp0;
  vtkFieldData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributesAsFieldData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFieldData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetNumberOfElements vtkDataSetGetNumberOfElementsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetGetNumberOfElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfElements (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfElements for class vtkDataSet requires 2 argument(s)");
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfElements(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSet:GetPoint vtkDataSetGetPointFunction
//input varargin
//output varargout
ArrayVector vtkDataSetGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataSetGetPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkDataSetGetPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetGetPoint");
}

//@@Signature
//sfunction @vtkDataSet:GetCell vtkDataSetGetCellFunction
//input varargin
//output varargout
ArrayVector vtkDataSetGetCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataSetGetCell__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericCell"))
    return vtkDataSetGetCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetGetCell");
}

//@@Signature
//sfunction @vtkDataSet:FindPoint vtkDataSetFindPointFunction
//input varargin
//output varargout
ArrayVector vtkDataSetFindPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkDataSetFindPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataSetFindPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetFindPoint");
}

//@@Signature
//sfunction @vtkDataSet:FindCell vtkDataSetFindCellFunction
//input varargin
//output varargout
ArrayVector vtkDataSetFindCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetFindCell");
}

//@@Signature
//sfunction @vtkDataSet:GetBounds vtkDataSetGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkDataSetGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataSetGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetGetBounds");
}

//@@Signature
//sfunction @vtkDataSet:GetCenter vtkDataSetGetCenterFunction
//input varargin
//output varargout
ArrayVector vtkDataSetGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetGetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataSetGetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetGetCenter");
}

//@@Signature
//sfunction @vtkDataSet:GetScalarRange vtkDataSetGetScalarRangeFunction
//input varargin
//output varargout
ArrayVector vtkDataSetGetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataSetGetScalarRange__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkDataSetGetScalarRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetGetScalarRange");
}

//@@Signature
//sfunction @vtkDataSet:display vtkDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSet* vtk_pointer = GetVTKPointer<vtkDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSet:delete vtkDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSet
//@@Section VTKFiltering
//@@Usage
// vtkDataSet is an abstract class that specifies an interface for dataset
// objects. vtkDataSet also provides methods to provide informations about
// the data, such as center, bounding box, and representative length.
//
// In vtk a dataset consists of a structure (geometry and topology) and 
// attribute data. The structure is defined implicitly or explicitly as
// a collection of cells. The geometry of the structure is contained in
// point coordinates plus the cell interpolation functions. The topology
// of the dataset structure is defined by cell types and how the cells
// share their defining points. 
//
// Attribute data in vtk is either point data (data at points) or cell data
// (data at cells). Typically filters operate on point data, but some may
// operate on cell data, both cell and point data, either one, or none.
//
//To create an instance of class vtkDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSet
//@]
//@@Methods
//The class vtkDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSet = obj.NewInstance ()|
// \item @|vtkDataSet = obj.SafeDownCast (vtkObject o)|
// \item @|obj.CopyStructure (vtkDataSet ds)| -  Copy the geometric and topological structure of an object. Note that
// the invoking object and the object pointed to by the parameter ds must
// be of the same type.
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|obj.CopyAttributes (vtkDataSet ds)| -  Copy the attributes associated with the specified dataset to this
// instance of vtkDataSet.
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Determine the number of points composing the dataset.
// THIS METHOD IS THREAD SAFE
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Determine the number of cells composing the dataset.
// THIS METHOD IS THREAD SAFE
//// \item @|double = obj.GetPoint (vtkIdType ptId)| -  Get point coordinates with ptId such that: 0 <= ptId < NumberOfPoints.
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|obj.GetPoint (vtkIdType id, double x[3])| -  Copy point coordinates into user provided array x[3] for specified
// point id.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|vtkCell = obj.GetCell (vtkIdType cellId)| -  Get cell with cellId such that: 0 <= cellId < NumberOfCells.
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|obj.GetCell (vtkIdType cellId, vtkGenericCell cell)| -  Get cell with cellId such that: 0 <= cellId < NumberOfCells. 
// This is a thread-safe alternative to the previous GetCell()
// method.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|obj.GetCellBounds (vtkIdType cellId, double bounds[6])| -  Get the bounds of the cell with cellId such that:
//     0 <= cellId < NumberOfCells.
// A subclass may be able to determine the bounds of cell without using
// an expensive GetCell() method. A default implementation is provided
// that actually uses a GetCell() call.  This is to ensure the method
// is available to all datasets.  Subclasses should override this method
// to provide an efficient implementation.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|int = obj.GetCellType (vtkIdType cellId)| -  Get type of cell with cellId such that: 0 <= cellId < NumberOfCells.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|obj.GetCellTypes (vtkCellTypes types)| -  Get a list of types of cells in a dataset. The list consists of an array
// of types (not necessarily in any order), with a single entry per type.
// For example a dataset 5 triangles, 3 lines, and 100 hexahedra would
// result a list of three entries, corresponding to the types VTK_TRIANGLE,
// VTK_LINE, and VTK_HEXAHEDRON.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|obj.GetCellPoints (vtkIdType cellId, vtkIdList ptIds)| -  Topological inquiry to get points defining cell.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|obj.GetPointCells (vtkIdType ptId, vtkIdList cellIds)| -  Topological inquiry to get cells using point.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|obj.GetCellNeighbors (vtkIdType cellId, vtkIdList ptIds, vtkIdList cellIds)| -  Topological inquiry to get all cells using list of points exclusive of
// cell specified (e.g., cellId). Note that the list consists of only
// cells that use ALL the points provided.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|vtkIdType = obj.FindPoint (double x, double y, double z)| -  Locate the closest point to the global coordinate x. Return the
// point id. If point id < 0; then no point found. (This may arise
// when point is outside of dataset.)
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|vtkIdType = obj.FindPoint (double x[3])| -  Locate the closest point to the global coordinate x. Return the
// point id. If point id < 0; then no point found. (This may arise
// when point is outside of dataset.)
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|long = obj.GetMTime ()| -  Datasets are composite objects and need to check each part for MTime
// THIS METHOD IS THREAD SAFE
//// \item @|vtkCellData = obj.GetCellData ()| -  Return a pointer to this dataset's cell data.
// THIS METHOD IS THREAD SAFE
//// \item @|vtkPointData = obj.GetPointData ()| -  Return a pointer to this dataset's point data.
// THIS METHOD IS THREAD SAFE
//// \item @|obj.Squeeze ()| -  Reclaim any extra memory used to store data.
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|obj.ComputeBounds ()| -  Compute the data bounding box from data points.
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|double = obj.GetBounds ()| -  Return a pointer to the geometry bounding box in the form
// (xmin,xmax, ymin,ymax, zmin,zmax).
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|obj.GetBounds (double bounds[6])| -  Return a pointer to the geometry bounding box in the form
// (xmin,xmax, ymin,ymax, zmin,zmax).
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|double = obj.GetCenter ()| -  Get the center of the bounding box.
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|obj.GetCenter (double center[3])| -  Get the center of the bounding box.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|double = obj.GetLength ()| -  Return the length of the diagonal of the bounding box.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|obj.Initialize ()| -  Restore data object to initial state,
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|obj.GetScalarRange (double range[2])| -  Convenience method to get the range of the scalar data (if there is any 
// scalar data). Returns the (min/max) range of combined point and cell data.
// If there are no point or cell scalars the method will return (0,1).
// Note: Update needs to be called to create the scalars.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|double = obj.GetScalarRange ()| -  Convenience method to get the range of the scalar data (if there is any 
// scalar data). 
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|int = obj.GetMaxCellSize ()| -  Convenience method returns largest cell size in dataset. This is generally
// used to allocate memory for supporting data structures.
// THIS METHOD IS THREAD SAFE
//// \item @|long = obj.GetActualMemorySize ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value). THIS METHOD
// IS THREAD SAFE.
//// \item @|int = obj.GetDataObjectType ()| -  Shallow and Deep copy.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|int = obj.CheckAttributes ()| -  This method checks to see if the cell and point attributes
// match the geometry.  Many filters will crash if the number of
// tupples in an array is less than the number of points/cells.
// This method returns 1 if there is a mismatch,
// and 0 if everything is ok.  It prints an error if an
// array is too short, and a warning if an array is too long.
//// \item @|obj.GenerateGhostLevelArray ()| -  Normally called by pipeline executives or algoritgms only. This method
// computes the ghost arrays for a given dataset.
//// \item @|vtkFieldData = obj.GetAttributesAsFieldData (int type)| -  Returns the attributes of the data object as a vtkFieldData.
// This returns non-null values in all the same cases as GetAttributes,
// in addition to the case of FIELD, which will return the field data
// for any vtkDataObject subclass.
//// \item @|vtkIdType = obj.GetNumberOfElements (int type)| -  Get the number of elements for a specific attribute type (POINT, CELL, etc.).
////\end{itemize}
//!
