#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetAlgorithm.h"

//@@Signature
//sfunction @vtkDataSetAlgorithm:vtkDataSetAlgorithm vtkDataSetAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkDataSetAlgorithm vtkAlgorithm 
ArrayVector vtkDataSetAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetAlgorithm::New(),"vtkDataSetAlgorithm",eval);
  } else if (arg[0].className() == "vtkDataSetAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetAlgorithm");
    vtkDataSetAlgorithm*q = reinterpret_cast<vtkDataSetAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetAlgorithm:GetClassName vtkDataSetAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetAlgorithm requires 1 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:IsA vtkDataSetAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetAlgorithm requires 2 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:NewInstance vtkDataSetAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetAlgorithm requires 1 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataSetAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:SafeDownCast vtkDataSetAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetAlgorithm requires 2 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetOutput__1 vtkDataSetAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkDataSetAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkDataSetAlgorithm requires 1 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetOutput__2 vtkDataSetAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkDataSetAlgorithm requires 2 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetInput__1 vtkDataSetAlgorithmGetInput__1Function
//input a0 
//output y
ArrayVector vtkDataSetAlgorithmGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkDataSetAlgorithm requires 1 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetPolyDataOutput vtkDataSetAlgorithmGetPolyDataOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetAlgorithmGetPolyDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPolyDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataOutput for class vtkDataSetAlgorithm requires 1 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetStructuredPointsOutput vtkDataSetAlgorithmGetStructuredPointsOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetAlgorithmGetStructuredPointsOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetStructuredPointsOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredPointsOutput for class vtkDataSetAlgorithm requires 1 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetStructuredPointsOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetImageDataOutput vtkDataSetAlgorithmGetImageDataOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetAlgorithmGetImageDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetImageDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageDataOutput for class vtkDataSetAlgorithm requires 1 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetImageDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetStructuredGridOutput vtkDataSetAlgorithmGetStructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetAlgorithmGetStructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetStructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredGridOutput for class vtkDataSetAlgorithm requires 1 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetStructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetUnstructuredGridOutput vtkDataSetAlgorithmGetUnstructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetAlgorithmGetUnstructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGridOutput for class vtkDataSetAlgorithm requires 1 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetRectilinearGridOutput vtkDataSetAlgorithmGetRectilinearGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetAlgorithmGetRectilinearGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetRectilinearGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRectilinearGridOutput for class vtkDataSetAlgorithm requires 1 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->GetRectilinearGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:SetInput__1 vtkDataSetAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkDataSetAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkDataSetAlgorithm requires 2 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:SetInput__2 vtkDataSetAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkDataSetAlgorithm requires 3 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:SetInput__3 vtkDataSetAlgorithmSetInput__3Function
//input a0 a1 
//output none
ArrayVector vtkDataSetAlgorithmSetInput__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__3 for class vtkDataSetAlgorithm requires 2 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:SetInput__4 vtkDataSetAlgorithmSetInput__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAlgorithmSetInput__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataSet *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__4 for class vtkDataSetAlgorithm requires 3 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataSet>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:AddInput__1 vtkDataSetAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkDataSetAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkDataSetAlgorithm requires 2 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:AddInput__2 vtkDataSetAlgorithmAddInput__2Function
//input a0 a1 
//output none
ArrayVector vtkDataSetAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__2 for class vtkDataSetAlgorithm requires 2 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:AddInput__3 vtkDataSetAlgorithmAddInput__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAlgorithmAddInput__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataSet *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__3 for class vtkDataSetAlgorithm requires 3 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataSet>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:AddInput__4 vtkDataSetAlgorithmAddInput__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAlgorithmAddInput__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__4 for class vtkDataSetAlgorithm requires 3 argument(s)");
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetOutput vtkDataSetAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataSetAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:GetInput vtkDataSetAlgorithmGetInputFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetAlgorithmGetInput__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAlgorithmGetInput");
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:SetInput vtkDataSetAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkDataSetAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkDataSetAlgorithmSetInput__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataSet"))
    return vtkDataSetAlgorithmSetInput__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataSet"))
    return vtkDataSetAlgorithmSetInput__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:AddInput vtkDataSetAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkDataSetAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataSet"))
    return vtkDataSetAlgorithmAddInput__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataSet"))
    return vtkDataSetAlgorithmAddInput__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkDataSetAlgorithmAddInput__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkDataSetAlgorithm:display vtkDataSetAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkDataSetAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetAlgorithm:delete vtkDataSetAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetAlgorithm
//@@Section VTKFiltering
//@@Usage
// vtkDataSetAlgorithm is a convenience class to make writing algorithms
// easier. It is also designed to help transition old algorithms to the new
// pipeline architecture. Ther are some assumptions and defaults made by this
// class you should be aware of. This class defaults such that your filter
// will have one input port and one output port. If that is not the case
// simply change it with SetNumberOfInputPorts etc. See this classes
// contstructor for the default. This class also provides a FillInputPortInfo
// method that by default says that all inputs will be DataSet. If that isn't
// the case then please override this method in your subclass. This class
// breaks out the downstream requests into seperate functions such as
// RequestDataObject RequestData and RequestInformation. The default
// implementation of RequestDataObject will create an output data of the 
// same type as the input.
//
//To create an instance of class vtkDataSetAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetAlgorithm
//@]
//@@Methods
//The class vtkDataSetAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetAlgorithm = obj.NewInstance ()|
// \item @|vtkDataSetAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataSet = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataSet = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetInput ()| -  Get the input data object. This method is not recommended for use, but
// lots of old style filters use it.
//// \item @|vtkPolyData = obj.GetPolyDataOutput ()| -  Get the output as vtkPolyData.
//// \item @|vtkStructuredPoints = obj.GetStructuredPointsOutput ()| -  Get the output as vtkStructuredPoints.
//// \item @|vtkImageData = obj.GetImageDataOutput ()| -  Get the output as vtkStructuredPoints.
//// \item @|vtkStructuredGrid = obj.GetStructuredGridOutput ()| -  Get the output as vtkStructuredGrid.
//// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridOutput ()| -  Get the output as vtkUnstructuredGrid.
//// \item @|vtkRectilinearGrid = obj.GetRectilinearGridOutput ()| -  Get the output as vtkRectilinearGrid. 
//// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (vtkDataSet )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataSet )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (vtkDataSet )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataSet )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
