#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetAttributes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetAttributes.h"

//@@Signature
//sfunction @vtkDataSetAttributes:vtkDataSetAttributes vtkDataSetAttributesConstructorFunction
//input a
//output p
//@@Parents vtkDataSetAttributes vtkFieldData 
ArrayVector vtkDataSetAttributesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetAttributes::New(),"vtkDataSetAttributes",eval);
  } else if (arg[0].className() == "vtkDataSetAttributes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetAttributes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetAttributes");
    vtkDataSetAttributes*q = reinterpret_cast<vtkDataSetAttributes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetAttributes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetAttributes:GetClassName vtkDataSetAttributesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetAttributesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:IsA vtkDataSetAttributesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:NewInstance vtkDataSetAttributesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetAttributesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetAttributes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SafeDownCast vtkDataSetAttributesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetAttributes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetAttributes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:Initialize vtkDataSetAttributesInitializeFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:Update vtkDataSetAttributesUpdateFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:DeepCopy vtkDataSetAttributesDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetAttributesDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkFieldData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkFieldData  *temp0;
  temp0 = GetVTKPointer<vtkFieldData>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:ShallowCopy vtkDataSetAttributesShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetAttributesShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkFieldData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkFieldData  *temp0;
  temp0 = GetVTKPointer<vtkFieldData>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetScalars vtkDataSetAttributesSetScalarsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetScalars (vtkDataArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalars for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp20 = (vtk_pointer)->SetScalars(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetActiveScalars vtkDataSetAttributesSetActiveScalarsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetActiveScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetActiveScalars (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveScalars for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->SetActiveScalars(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetScalars__1 vtkDataSetAttributesGetScalars__1Function
//input a0 
//output y
ArrayVector vtkDataSetAttributesGetScalars__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalars__1 for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetScalars();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetVectors vtkDataSetAttributesSetVectorsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetVectors (vtkDataArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectors for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp20 = (vtk_pointer)->SetVectors(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetActiveVectors vtkDataSetAttributesSetActiveVectorsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetActiveVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetActiveVectors (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveVectors for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->SetActiveVectors(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetVectors__1 vtkDataSetAttributesGetVectors__1Function
//input a0 
//output y
ArrayVector vtkDataSetAttributesGetVectors__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetVectors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectors__1 for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetVectors();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetNormals vtkDataSetAttributesSetNormalsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetNormals (vtkDataArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormals for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp20 = (vtk_pointer)->SetNormals(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetActiveNormals vtkDataSetAttributesSetActiveNormalsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetActiveNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetActiveNormals (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveNormals for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->SetActiveNormals(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetNormals__1 vtkDataSetAttributesGetNormals__1Function
//input a0 
//output y
ArrayVector vtkDataSetAttributesGetNormals__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormals__1 for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetNormals();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetTCoords vtkDataSetAttributesSetTCoordsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetTCoords (vtkDataArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function SetTCoords for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp20 = (vtk_pointer)->SetTCoords(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetActiveTCoords vtkDataSetAttributesSetActiveTCoordsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetActiveTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetActiveTCoords (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveTCoords for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->SetActiveTCoords(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetTCoords__1 vtkDataSetAttributesGetTCoords__1Function
//input a0 
//output y
ArrayVector vtkDataSetAttributesGetTCoords__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetTCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTCoords__1 for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetTCoords();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetTensors vtkDataSetAttributesSetTensorsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetTensors (vtkDataArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function SetTensors for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp20 = (vtk_pointer)->SetTensors(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetActiveTensors vtkDataSetAttributesSetActiveTensorsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetActiveTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetActiveTensors (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveTensors for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->SetActiveTensors(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetTensors__1 vtkDataSetAttributesGetTensors__1Function
//input a0 
//output y
ArrayVector vtkDataSetAttributesGetTensors__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetTensors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTensors__1 for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetTensors();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetGlobalIds vtkDataSetAttributesSetGlobalIdsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetGlobalIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetGlobalIds (vtkDataArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalIds for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp20 = (vtk_pointer)->SetGlobalIds(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetActiveGlobalIds vtkDataSetAttributesSetActiveGlobalIdsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetActiveGlobalIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetActiveGlobalIds (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveGlobalIds for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->SetActiveGlobalIds(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetGlobalIds__1 vtkDataSetAttributesGetGlobalIds__1Function
//input a0 
//output y
ArrayVector vtkDataSetAttributesGetGlobalIds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetGlobalIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalIds__1 for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetGlobalIds();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetPedigreeIds vtkDataSetAttributesSetPedigreeIdsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetPedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetPedigreeIds (vtkAbstractArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function SetPedigreeIds for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  temp20 = (vtk_pointer)->SetPedigreeIds(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetActivePedigreeIds vtkDataSetAttributesSetActivePedigreeIdsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesSetActivePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetActivePedigreeIds (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetActivePedigreeIds for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->SetActivePedigreeIds(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetPedigreeIds__1 vtkDataSetAttributesGetPedigreeIds__1Function
//input a0 
//output y
ArrayVector vtkDataSetAttributesGetPedigreeIds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *GetPedigreeIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeIds__1 for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp20;
  temp20 = (vtk_pointer)->GetPedigreeIds();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetScalars__2 vtkDataSetAttributesGetScalars__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetScalars__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetScalars (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalars__2 for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  vtkDataArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetScalars(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetVectors__2 vtkDataSetAttributesGetVectors__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetVectors__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetVectors (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectors__2 for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  vtkDataArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetVectors(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetNormals__2 vtkDataSetAttributesGetNormals__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetNormals__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetNormals (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormals__2 for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  vtkDataArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNormals(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetTCoords__2 vtkDataSetAttributesGetTCoords__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetTCoords__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetTCoords (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetTCoords__2 for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  vtkDataArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetTCoords(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetTensors__2 vtkDataSetAttributesGetTensors__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetTensors__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetTensors (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetTensors__2 for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  vtkDataArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetTensors(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetGlobalIds__2 vtkDataSetAttributesGetGlobalIds__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetGlobalIds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetGlobalIds (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetGlobalIds__2 for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  vtkDataArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetGlobalIds(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetPedigreeIds__2 vtkDataSetAttributesGetPedigreeIds__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetPedigreeIds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *GetPedigreeIds (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetPedigreeIds__2 for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  vtkAbstractArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPedigreeIds(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetActiveAttribute__1 vtkDataSetAttributesSetActiveAttribute__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkDataSetAttributesSetActiveAttribute__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetActiveAttribute (const char *name, int attributeType); */
  if (arg.size() < 3) 
    throw Exception("Function SetActiveAttribute__1 for class vtkDataSetAttributes requires 3 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->SetActiveAttribute(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetActiveAttribute__2 vtkDataSetAttributesSetActiveAttribute__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkDataSetAttributesSetActiveAttribute__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetActiveAttribute (int index, int attributeType); */
  if (arg.size() < 3) 
    throw Exception("Function SetActiveAttribute__2 for class vtkDataSetAttributes requires 3 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->SetActiveAttribute(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetAttributeIndices vtkDataSetAttributesGetAttributeIndicesFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetAttributesGetAttributeIndicesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetAttributeIndices (int *indexArray); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributeIndices for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->GetAttributeIndices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:IsArrayAnAttribute vtkDataSetAttributesIsArrayAnAttributeFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesIsArrayAnAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsArrayAnAttribute (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function IsArrayAnAttribute for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsArrayAnAttribute(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetAttribute vtkDataSetAttributesGetAttributeFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetAttribute (int attributeType); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttribute for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttribute(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetAbstractAttribute vtkDataSetAttributesGetAbstractAttributeFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetAbstractAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *GetAbstractAttribute (int attributeType); */
  if (arg.size() < 2) 
    throw Exception("Function GetAbstractAttribute for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  vtkAbstractArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAbstractAttribute(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:RemoveArray vtkDataSetAttributesRemoveArrayFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetAttributesRemoveArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveArray (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveArray for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetAttributeTypeAsString vtkDataSetAttributesGetAttributeTypeAsStringFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetAttributeTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetAttributeTypeAsString (int attributeType); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributeTypeAsString for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributeTypeAsString(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetLongAttributeTypeAsString vtkDataSetAttributesGetLongAttributeTypeAsStringFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetLongAttributeTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetLongAttributeTypeAsString (int attributeType); */
  if (arg.size() < 2) 
    throw Exception("Function GetLongAttributeTypeAsString for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLongAttributeTypeAsString(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetCopyAttribute vtkDataSetAttributesSetCopyAttributeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataSetAttributesSetCopyAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyAttribute (int index, int value, int ctypeALLCOPY); */
  if (arg.size() < 4) 
    throw Exception("Function SetCopyAttribute for class vtkDataSetAttributes requires 4 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetCopyAttribute(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetCopyScalars vtkDataSetAttributesSetCopyScalarsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAttributesSetCopyScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyScalars (int i, int ctypeALLCOPY); */
  if (arg.size() < 3) 
    throw Exception("Function SetCopyScalars for class vtkDataSetAttributes requires 3 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCopyScalars(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetCopyScalars vtkDataSetAttributesGetCopyScalarsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetCopyScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyScalars (int ctypeALLCOPY); */
  if (arg.size() < 2) 
    throw Exception("Function GetCopyScalars for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCopyScalars(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyScalarsOn vtkDataSetAttributesCopyScalarsOnFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyScalarsOn for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyScalarsOff vtkDataSetAttributesCopyScalarsOffFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyScalarsOff for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetCopyVectors vtkDataSetAttributesSetCopyVectorsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAttributesSetCopyVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyVectors (int i, int ctypeALLCOPY); */
  if (arg.size() < 3) 
    throw Exception("Function SetCopyVectors for class vtkDataSetAttributes requires 3 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCopyVectors(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetCopyVectors vtkDataSetAttributesGetCopyVectorsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetCopyVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyVectors (int ctypeALLCOPY); */
  if (arg.size() < 2) 
    throw Exception("Function GetCopyVectors for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCopyVectors(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyVectorsOn vtkDataSetAttributesCopyVectorsOnFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyVectorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyVectorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyVectorsOn for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyVectorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyVectorsOff vtkDataSetAttributesCopyVectorsOffFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyVectorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyVectorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyVectorsOff for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyVectorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetCopyNormals vtkDataSetAttributesSetCopyNormalsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAttributesSetCopyNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyNormals (int i, int ctypeALLCOPY); */
  if (arg.size() < 3) 
    throw Exception("Function SetCopyNormals for class vtkDataSetAttributes requires 3 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCopyNormals(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetCopyNormals vtkDataSetAttributesGetCopyNormalsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetCopyNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyNormals (int ctypeALLCOPY); */
  if (arg.size() < 2) 
    throw Exception("Function GetCopyNormals for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCopyNormals(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyNormalsOn vtkDataSetAttributesCopyNormalsOnFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyNormalsOn for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyNormalsOff vtkDataSetAttributesCopyNormalsOffFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyNormalsOff for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetCopyTCoords vtkDataSetAttributesSetCopyTCoordsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAttributesSetCopyTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyTCoords (int i, int ctypeALLCOPY); */
  if (arg.size() < 3) 
    throw Exception("Function SetCopyTCoords for class vtkDataSetAttributes requires 3 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCopyTCoords(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetCopyTCoords vtkDataSetAttributesGetCopyTCoordsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetCopyTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyTCoords (int ctypeALLCOPY); */
  if (arg.size() < 2) 
    throw Exception("Function GetCopyTCoords for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCopyTCoords(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyTCoordsOn vtkDataSetAttributesCopyTCoordsOnFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyTCoordsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyTCoordsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyTCoordsOn for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyTCoordsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyTCoordsOff vtkDataSetAttributesCopyTCoordsOffFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyTCoordsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyTCoordsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyTCoordsOff for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyTCoordsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetCopyTensors vtkDataSetAttributesSetCopyTensorsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAttributesSetCopyTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyTensors (int i, int ctypeALLCOPY); */
  if (arg.size() < 3) 
    throw Exception("Function SetCopyTensors for class vtkDataSetAttributes requires 3 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCopyTensors(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetCopyTensors vtkDataSetAttributesGetCopyTensorsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetCopyTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyTensors (int ctypeALLCOPY); */
  if (arg.size() < 2) 
    throw Exception("Function GetCopyTensors for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCopyTensors(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyTensorsOn vtkDataSetAttributesCopyTensorsOnFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyTensorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyTensorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyTensorsOn for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyTensorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyTensorsOff vtkDataSetAttributesCopyTensorsOffFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyTensorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyTensorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyTensorsOff for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyTensorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetCopyGlobalIds vtkDataSetAttributesSetCopyGlobalIdsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAttributesSetCopyGlobalIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyGlobalIds (int i, int ctypeALLCOPY); */
  if (arg.size() < 3) 
    throw Exception("Function SetCopyGlobalIds for class vtkDataSetAttributes requires 3 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCopyGlobalIds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetCopyGlobalIds vtkDataSetAttributesGetCopyGlobalIdsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetCopyGlobalIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyGlobalIds (int ctypeALLCOPY); */
  if (arg.size() < 2) 
    throw Exception("Function GetCopyGlobalIds for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCopyGlobalIds(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyGlobalIdsOn vtkDataSetAttributesCopyGlobalIdsOnFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyGlobalIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyGlobalIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyGlobalIdsOn for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyGlobalIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyGlobalIdsOff vtkDataSetAttributesCopyGlobalIdsOffFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyGlobalIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyGlobalIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyGlobalIdsOff for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyGlobalIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetCopyPedigreeIds vtkDataSetAttributesSetCopyPedigreeIdsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetAttributesSetCopyPedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyPedigreeIds (int i, int ctypeALLCOPY); */
  if (arg.size() < 3) 
    throw Exception("Function SetCopyPedigreeIds for class vtkDataSetAttributes requires 3 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCopyPedigreeIds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetCopyPedigreeIds vtkDataSetAttributesGetCopyPedigreeIdsFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetAttributesGetCopyPedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyPedigreeIds (int ctypeALLCOPY); */
  if (arg.size() < 2) 
    throw Exception("Function GetCopyPedigreeIds for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCopyPedigreeIds(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyPedigreeIdsOn vtkDataSetAttributesCopyPedigreeIdsOnFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyPedigreeIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyPedigreeIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyPedigreeIdsOn for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyPedigreeIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyPedigreeIdsOff vtkDataSetAttributesCopyPedigreeIdsOffFunction
//input a0 
//output none
ArrayVector vtkDataSetAttributesCopyPedigreeIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyPedigreeIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyPedigreeIdsOff for class vtkDataSetAttributes requires 1 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtk_pointer->CopyPedigreeIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyAllOn vtkDataSetAttributesCopyAllOnFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetAttributesCopyAllOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyAllOn (int ctypeALLCOPY); */
  if (arg.size() < 2) 
    throw Exception("Function CopyAllOn for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->CopyAllOn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyAllOff vtkDataSetAttributesCopyAllOffFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetAttributesCopyAllOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyAllOff (int ctypeALLCOPY); */
  if (arg.size() < 2) 
    throw Exception("Function CopyAllOff for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->CopyAllOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:PassData vtkDataSetAttributesPassDataFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetAttributesPassDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PassData (vtkFieldData *fd); */
  if (arg.size() < 2) 
    throw Exception("Function PassData for class vtkDataSetAttributes requires 2 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkFieldData  *temp0;
  temp0 = GetVTKPointer<vtkFieldData>(arg[1]);
  vtk_pointer->PassData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyAllocate__1 vtkDataSetAttributesCopyAllocate__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataSetAttributesCopyAllocate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext);this CopyAllocate pd sze ext  */
  if (arg.size() < 4) 
    throw Exception("Function CopyAllocate__1 for class vtkDataSetAttributes requires 4 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyAllocate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyAllocate__2 vtkDataSetAttributesCopyAllocate__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataSetAttributesCopyAllocate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext, int shallowCopyArrays); */
  if (arg.size() < 5) 
    throw Exception("Function CopyAllocate__2 for class vtkDataSetAttributes requires 5 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp3;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->CopyAllocate(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyStructuredData vtkDataSetAttributesCopyStructuredDataFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataSetAttributesCopyStructuredDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyStructuredData (vtkDataSetAttributes *inDsa, const int *inExt, const int *outExt); */
  if (arg.size() < 4) 
    throw Exception("Function CopyStructuredData for class vtkDataSetAttributes requires 4 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  int     *temp1;
  int     *temp2;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  vtk_pointer->CopyStructuredData(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyData vtkDataSetAttributesCopyDataFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataSetAttributesCopyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyData (vtkDataSetAttributes *fromPd, vtkIdType fromId, vtkIdType toId); */
  if (arg.size() < 4) 
    throw Exception("Function CopyData for class vtkDataSetAttributes requires 4 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CopyData(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyTuple vtkDataSetAttributesCopyTupleFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataSetAttributesCopyTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyTuple (vtkAbstractArray *fromData, vtkAbstractArray *toData, vtkIdType fromId, vtkIdType toId); */
  if (arg.size() < 5) 
    throw Exception("Function CopyTuple for class vtkDataSetAttributes requires 5 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  vtkAbstractArray  *temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  temp1 = GetVTKPointer<vtkAbstractArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->CopyTuple(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:InterpolateAllocate__1 vtkDataSetAttributesInterpolateAllocate__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataSetAttributesInterpolateAllocate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext);this InterpolateAllocate pd sze ext  */
  if (arg.size() < 4) 
    throw Exception("Function InterpolateAllocate__1 for class vtkDataSetAttributes requires 4 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->InterpolateAllocate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:InterpolateAllocate__2 vtkDataSetAttributesInterpolateAllocate__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataSetAttributesInterpolateAllocate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext, int shallowCopyArrays); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateAllocate__2 for class vtkDataSetAttributes requires 5 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp3;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->InterpolateAllocate(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:InterpolatePoint vtkDataSetAttributesInterpolatePointFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataSetAttributesInterpolatePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolatePoint (vtkDataSetAttributes *fromPd, vtkIdType toId, vtkIdList *ids, double *weights); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolatePoint for class vtkDataSetAttributes requires 5 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdList  *temp2;
  double  *temp3;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolatePoint(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:InterpolateEdge vtkDataSetAttributesInterpolateEdgeFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkDataSetAttributesInterpolateEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateEdge (vtkDataSetAttributes *fromPd, vtkIdType toId, vtkIdType p1, vtkIdType p2, double t); */
  if (arg.size() < 6) 
    throw Exception("Function InterpolateEdge for class vtkDataSetAttributes requires 6 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  double   temp4;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:InterpolateTime vtkDataSetAttributesInterpolateTimeFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataSetAttributesInterpolateTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateTime (vtkDataSetAttributes *from1, vtkDataSetAttributes *from2, vtkIdType id, double t); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateTime for class vtkDataSetAttributes requires 5 argument(s)");
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  vtkDataSetAttributes  *temp1;
  vtkIdType   temp2;
  double   temp3;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  temp1 = GetVTKPointer<vtkDataSetAttributes>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->InterpolateTime(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetScalars vtkDataSetAttributesGetScalarsFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesGetScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetAttributesGetScalars__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkDataSetAttributesGetScalars__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAttributesGetScalars");
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetVectors vtkDataSetAttributesGetVectorsFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesGetVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetAttributesGetVectors__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkDataSetAttributesGetVectors__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAttributesGetVectors");
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetNormals vtkDataSetAttributesGetNormalsFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesGetNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetAttributesGetNormals__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkDataSetAttributesGetNormals__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAttributesGetNormals");
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetTCoords vtkDataSetAttributesGetTCoordsFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesGetTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetAttributesGetTCoords__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkDataSetAttributesGetTCoords__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAttributesGetTCoords");
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetTensors vtkDataSetAttributesGetTensorsFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesGetTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetAttributesGetTensors__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkDataSetAttributesGetTensors__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAttributesGetTensors");
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetGlobalIds vtkDataSetAttributesGetGlobalIdsFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesGetGlobalIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetAttributesGetGlobalIds__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkDataSetAttributesGetGlobalIds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAttributesGetGlobalIds");
}

//@@Signature
//sfunction @vtkDataSetAttributes:GetPedigreeIds vtkDataSetAttributesGetPedigreeIdsFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesGetPedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetAttributesGetPedigreeIds__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkDataSetAttributesGetPedigreeIds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAttributesGetPedigreeIds");
}

//@@Signature
//sfunction @vtkDataSetAttributes:SetActiveAttribute vtkDataSetAttributesSetActiveAttributeFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesSetActiveAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataSetAttributesSetActiveAttribute__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkDataSetAttributesSetActiveAttribute__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAttributesSetActiveAttribute");
}

//@@Signature
//sfunction @vtkDataSetAttributes:CopyAllocate vtkDataSetAttributesCopyAllocateFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesCopyAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSetAttributes") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkDataSetAttributesCopyAllocate__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkDataSetAttributes") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataSetAttributesCopyAllocate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAttributesCopyAllocate");
}

//@@Signature
//sfunction @vtkDataSetAttributes:InterpolateAllocate vtkDataSetAttributesInterpolateAllocateFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesInterpolateAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSetAttributes") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkDataSetAttributesInterpolateAllocate__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkDataSetAttributes") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataSetAttributesInterpolateAllocate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetAttributesInterpolateAllocate");
}

//@@Signature
//sfunction @vtkDataSetAttributes:display vtkDataSetAttributesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetAttributesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetAttributes* vtk_pointer = GetVTKPointer<vtkDataSetAttributes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetAttributes:delete vtkDataSetAttributesDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetAttributesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetAttributes
//@@Section VTKFiltering
//@@Usage
// vtkDataSetAttributes is a class that is used to represent and manipulate
// attribute data (e.g., scalars, vectors, normals, texture coordinates,
// tensors, global ids, pedigree ids, and field data). 
//
// This adds to vtkFieldData the ability to pick one of the arrays from the 
// field as the currently active array for each attribute type. In other 
// words, you pick one array to be called "THE" Scalars, and then filters down 
// the pipeline will treat that array specially. For example vtkContourFilter 
// will contour "THE" Scalar array unless a different array is asked for.
//
// Additionally vtkDataSetAttributes provides methods that filters call to 
// pass data through, copy data into, and interpolate from Fields. PassData 
// passes entire arrays from the source to the destination. Copy passes 
// through some subset of the tuples from the source to the destination. 
// Interpolate interpolates from the chosen tuple(s) in the source data, using 
// the provided weights, to produce new tuples in the destination. 
// Each attribute type has pass, copy and interpolate "copy" flags that 
// can be set in the destination to choose which attribute arrays will be
// transfered from the source to the destination. 
// 
// Finally this class provides a mechanism to determine which attributes a 
// group of sources have in common, and to copy tuples from a source into 
// the destination, for only those attributes that are held by all.
//
//To create an instance of class vtkDataSetAttributes, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetAttributes
//@]
//@@Methods
//The class vtkDataSetAttributes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetAttributes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetAttributes = obj.NewInstance ()|
// \item @|vtkDataSetAttributes = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Initialize all of the object's data to NULL
// Also, clear the copy flags.
//// \item @|obj.Update ()| -  Deep copy of data (i.e., create new data arrays and
// copy from input data). 
// Ignores the copy flags but preserves them in the output.
//// \item @|obj.DeepCopy (vtkFieldData pd)| -  Deep copy of data (i.e., create new data arrays and
// copy from input data). 
// Ignores the copy flags but preserves them in the output.
//// \item @|obj.ShallowCopy (vtkFieldData pd)| -  Shallow copy of data (i.e., use reference counting).
// Ignores the copy flags but preserves them in the output.
//// \item @|int = obj.SetScalars (vtkDataArray da)| -  Set/Get the scalar data.
//// \item @|int = obj.SetActiveScalars (string name)| -  Set/Get the scalar data.
//// \item @|vtkDataArray = obj.GetScalars ()| -  Set/Get the scalar data.
//// \item @|int = obj.SetVectors (vtkDataArray da)| -  Set/Get the vector data.
//// \item @|int = obj.SetActiveVectors (string name)| -  Set/Get the vector data.
//// \item @|vtkDataArray = obj.GetVectors ()| -  Set/Get the vector data.
//// \item @|int = obj.SetNormals (vtkDataArray da)| -  Set/get the normal data.
//// \item @|int = obj.SetActiveNormals (string name)| -  Set/get the normal data.
//// \item @|vtkDataArray = obj.GetNormals ()| -  Set/get the normal data.
//// \item @|int = obj.SetTCoords (vtkDataArray da)| -  Set/Get the texture coordinate data.
//// \item @|int = obj.SetActiveTCoords (string name)| -  Set/Get the texture coordinate data.
//// \item @|vtkDataArray = obj.GetTCoords ()| -  Set/Get the texture coordinate data.
//// \item @|int = obj.SetTensors (vtkDataArray da)| -  Set/Get the tensor data.
//// \item @|int = obj.SetActiveTensors (string name)| -  Set/Get the tensor data.
//// \item @|vtkDataArray = obj.GetTensors ()| -  Set/Get the tensor data.
//// \item @|int = obj.SetGlobalIds (vtkDataArray da)| -  Set/Get the global id data.
//// \item @|int = obj.SetActiveGlobalIds (string name)| -  Set/Get the global id data.
//// \item @|vtkDataArray = obj.GetGlobalIds ()| -  Set/Get the global id data.
//// \item @|int = obj.SetPedigreeIds (vtkAbstractArray da)| -  Set/Get the pedigree id data.
//// \item @|int = obj.SetActivePedigreeIds (string name)| -  Set/Get the pedigree id data.
//// \item @|vtkAbstractArray = obj.GetPedigreeIds ()| -  Set/Get the pedigree id data.
//// \item @|vtkDataArray = obj.GetScalars (string name)| -  This will first look for an array with the correct name.
// If one exists, it is returned. Otherwise, the name argument
// is ignored, and the active attribute is returned.
//// \item @|vtkDataArray = obj.GetVectors (string name)| -  This will first look for an array with the correct name.
// If one exists, it is returned. Otherwise, the name argument
// is ignored, and the active attribute is returned.
//// \item @|vtkDataArray = obj.GetNormals (string name)| -  This will first look for an array with the correct name.
// If one exists, it is returned. Otherwise, the name argument
// is ignored, and the active attribute is returned.
//// \item @|vtkDataArray = obj.GetTCoords (string name)| -  This will first look for an array with the correct name.
// If one exists, it is returned. Otherwise, the name argument
// is ignored, and the active attribute is returned.
//// \item @|vtkDataArray = obj.GetTensors (string name)| -  This will first look for an array with the correct name.
// If one exists, it is returned. Otherwise, the name argument
// is ignored, and the active attribute is returned.
//// \item @|vtkDataArray = obj.GetGlobalIds (string name)| -  This will first look for an array with the correct name.
// If one exists, it is returned. Otherwise, the name argument
// is ignored, and the active attribute is returned.
//// \item @|vtkAbstractArray = obj.GetPedigreeIds (string name)| -  This will first look for an array with the correct name.
// If one exists, it is returned. Otherwise, the name argument
// is ignored, and the active attribute is returned.
//// \item @|int = obj.SetActiveAttribute (string name, int attributeType)| -  Make the array with the given name the active attribute.
// Attribute types are:
//  vtkDataSetAttributes::SCALARS = 0
//  vtkDataSetAttributes::VECTORS = 1
//  vtkDataSetAttributes::NORMALS = 2
//  vtkDataSetAttributes::TCOORDS = 3
//  vtkDataSetAttributes::TENSORS = 4
//  vtkDataSetAttributes::GLOBALIDS = 5
//  vtkDataSetAttributes::PEDIGREEIDS = 6
// Returns the index of the array if succesful, -1 if the array 
// is not in the list of arrays.
//// \item @|int = obj.SetActiveAttribute (int index, int attributeType)| -  Make the array with the given index the active attribute.
//// \item @|obj.GetAttributeIndices (int indexArray)| -  Get the field data array indices corresponding to scalars, 
// vectors, tensors, etc.
//// \item @|int = obj.IsArrayAnAttribute (int idx)| -  Determine whether a data array of index idx is considered a data set
// attribute (i.e., scalar, vector, tensor, etc). Return less-than zero 
// if it is, otherwise an index 0<=idx<NUM_ATTRIBUTES to indicate 
// which attribute.
//// \item @|vtkDataArray = obj.GetAttribute (int attributeType)| -  Return an attribute given the attribute type
// (see vtkDataSetAttributes::AttributeTypes).
// Some attributes (such as PEDIGREEIDS) may not be vtkDataArray subclass,
// so in that case use GetAbstractAttribute().
//// \item @|vtkAbstractArray = obj.GetAbstractAttribute (int attributeType)| -  Return an attribute given the attribute type
// (see vtkDataSetAttributes::AttributeTypes).
// This is the same as GetAttribute(), except that the returned array
// is a vtkAbstractArray instead of vtkDataArray.
// Some attributes (such as PEDIGREEIDS) may not be vtkDataArray subclass.
//// \item @|obj.RemoveArray (string name)| -  Remove an array (with the given name) from the list of arrays.
//// \item @|obj.SetCopyAttribute (int index, int value, int ctypeALLCOPY)| -  Specify whether to copy the data attribute referred to by index.
// ctype selects from the AttributeCopyOperations.
// If ctype is set to ALLCOPY, then COPYTUPLE, INTERPOLATE, and 
// PASSDATA are set to value. If value is 0, copying is disallowed.
// otherwise it is allowed.
//// \item @|obj.SetCopyScalars (int i, int ctypeALLCOPY)| -  Turn on/off the copying of scalar data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|int = obj.GetCopyScalars (int ctypeALLCOPY)| -  Turn on/off the copying of scalar data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyScalarsOn ()| -  Turn on/off the copying of scalar data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyScalarsOff ()| -  Turn on/off the copying of scalar data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.SetCopyVectors (int i, int ctypeALLCOPY)| -  Turn on/off the copying of vector data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|int = obj.GetCopyVectors (int ctypeALLCOPY)| -  Turn on/off the copying of vector data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyVectorsOn ()| -  Turn on/off the copying of vector data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyVectorsOff ()| -  Turn on/off the copying of vector data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.SetCopyNormals (int i, int ctypeALLCOPY)| -  Turn on/off the copying of normals data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|int = obj.GetCopyNormals (int ctypeALLCOPY)| -  Turn on/off the copying of normals data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyNormalsOn ()| -  Turn on/off the copying of normals data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyNormalsOff ()| -  Turn on/off the copying of normals data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.SetCopyTCoords (int i, int ctypeALLCOPY)| -  Turn on/off the copying of texture coordinates data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|int = obj.GetCopyTCoords (int ctypeALLCOPY)| -  Turn on/off the copying of texture coordinates data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyTCoordsOn ()| -  Turn on/off the copying of texture coordinates data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyTCoordsOff ()| -  Turn on/off the copying of texture coordinates data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.SetCopyTensors (int i, int ctypeALLCOPY)| -  Turn on/off the copying of tensor data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|int = obj.GetCopyTensors (int ctypeALLCOPY)| -  Turn on/off the copying of tensor data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyTensorsOn ()| -  Turn on/off the copying of tensor data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyTensorsOff ()| -  Turn on/off the copying of tensor data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.SetCopyGlobalIds (int i, int ctypeALLCOPY)| -  Turn on/off the copying of global id data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|int = obj.GetCopyGlobalIds (int ctypeALLCOPY)| -  Turn on/off the copying of global id data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyGlobalIdsOn ()| -  Turn on/off the copying of global id data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyGlobalIdsOff ()| -  Turn on/off the copying of global id data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.SetCopyPedigreeIds (int i, int ctypeALLCOPY)| -  Turn on/off the copying of pedigree id data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|int = obj.GetCopyPedigreeIds (int ctypeALLCOPY)| -  Turn on/off the copying of pedigree id data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyPedigreeIdsOn ()| -  Turn on/off the copying of pedigree id data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyPedigreeIdsOff ()| -  Turn on/off the copying of pedigree id data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyAllOn (int ctypeALLCOPY)| -  Turn on copying of all data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyAllOff (int ctypeALLCOPY)| -  Turn off copying of all data.
// ctype is one of the AttributeCopyOperations, and controls copy, 
// interpolate and passdata behavior.
// For set, ctype=ALLCOPY means set all three flags to the same value.
// For get, ctype=ALLCOPY returns true only if all three flags are true.
//
// During copying, interpolation and passdata, the following rules are 
// followed for each array:
// 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.
//    This overrides rules 2 and 3.
// 2. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 3.
// 3. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.PassData (vtkFieldData fd)| -  Pass entire arrays of input data through to output. Obey the "copy"
// flags. When passing a field,  the following copying rules are 
// followed: 1) Check if a field is an attribute, if yes and if there
// is a PASSDATA copy flag for that attribute (on or off), obey the flag 
// for that attribute, ignore (2) and (3), 2) if there is a copy field for
// that field (on or off), obey the flag, ignore (3) 3) obey
// CopyAllOn/Off
//// \item @|obj.CopyAllocate (vtkDataSetAttributes pd, vtkIdType sze, vtkIdType ext)| -  Allocates point data for point-by-point (or cell-by-cell) copy operation.
// If sze=0, then use the input DataSetAttributes to create (i.e., find 
// initial size of) new objects; otherwise use the sze variable.
// Note that pd HAS to be the vtkDataSetAttributes object which
// will later be used with CopyData. If this is not the case,
// consider using the alternative forms of CopyAllocate and CopyData.
// ext is no longer used.
// If shallowCopyArrays is true, input arrays are copied to the output
// instead of new ones being allocated.
//// \item @|obj.CopyAllocate (vtkDataSetAttributes pd, vtkIdType sze, vtkIdType ext, int shallowCopyArrays)| -  Allocates point data for point-by-point (or cell-by-cell) copy operation.
// If sze=0, then use the input DataSetAttributes to create (i.e., find 
// initial size of) new objects; otherwise use the sze variable.
// Note that pd HAS to be the vtkDataSetAttributes object which
// will later be used with CopyData. If this is not the case,
// consider using the alternative forms of CopyAllocate and CopyData.
// ext is no longer used.
// If shallowCopyArrays is true, input arrays are copied to the output
// instead of new ones being allocated.
//// \item @|obj.CopyStructuredData (vtkDataSetAttributes inDsa, int inExt, int outExt)| -  This method is used to copy data arrays in images.
// You should call "CopyAllocate" before calling this method.
//// \item @|obj.CopyData (vtkDataSetAttributes fromPd, vtkIdType fromId, vtkIdType toId)| -  Copy the attribute data from one id to another. Make sure CopyAllocate()
// has been invoked before using this method. When copying a field,  
// the following copying rules are 
// followed: 1) Check if a field is an attribute, if yes and if there
// is a COPYTUPLE copy flag for that attribute (on or off), obey the  flag 
// for that attribute, ignore (2) and (3), 2) if there is a copy field for
// that field (on or off), obey the flag, ignore (3) 3) obey
// CopyAllOn/Off
//// \item @|obj.CopyTuple (vtkAbstractArray fromData, vtkAbstractArray toData, vtkIdType fromId, vtkIdType toId)| -  Copy a tuple of data from one data array to another. This method
// assumes that the fromData and toData objects are of the
// same type, and have the same number of components. This is true if you
// invoke CopyAllocate() or InterpolateAllocate().
//// \item @|obj.InterpolateAllocate (vtkDataSetAttributes pd, vtkIdType sze, vtkIdType ext)| -  Initialize point interpolation method.
// Note that pd HAS to be the vtkDataSetAttributes object which
// will later be used with InterpolatePoint or InterpolateEdge.
// ext is no longer used.
// If shallowCopyArrays is true, input arrays are copied to the output
// instead of new ones being allocated.
//// \item @|obj.InterpolateAllocate (vtkDataSetAttributes pd, vtkIdType sze, vtkIdType ext, int shallowCopyArrays)| -  Initialize point interpolation method.
// Note that pd HAS to be the vtkDataSetAttributes object which
// will later be used with InterpolatePoint or InterpolateEdge.
// ext is no longer used.
// If shallowCopyArrays is true, input arrays are copied to the output
// instead of new ones being allocated.
//// \item @|obj.InterpolatePoint (vtkDataSetAttributes fromPd, vtkIdType toId, vtkIdList ids, double weights)| -  Interpolate data set attributes from other data set attributes
// given cell or point ids and associated interpolation weights.
// If the INTERPOLATION copy flag is set to 0 for an array, interpolation
// is prevented. If the flag is set to 1, weighted interpolation occurs.
// If the flag is set to 2, nearest neighbor interpolation is used.
//// \item @|obj.InterpolateEdge (vtkDataSetAttributes fromPd, vtkIdType toId, vtkIdType p1, vtkIdType p2, double t)| -  Interpolate data from the two points p1,p2 (forming an edge) and an 
// interpolation factor, t, along the edge. The weight ranges from (0,1), 
// with t=0 located at p1. Make sure that the method InterpolateAllocate() 
// has been invoked before using this method.
// If the INTERPOLATION copy flag is set to 0 for an array, interpolation
// is prevented. If the flag is set to 1, weighted interpolation occurs.
// If the flag is set to 2, nearest neighbor interpolation is used.
//// \item @|obj.InterpolateTime (vtkDataSetAttributes from1, vtkDataSetAttributes from2, vtkIdType id, double t)| -  Interpolate data from the same id (point or cell) at different points
// in time (parameter t). Two input data set attributes objects are input.
// The parameter t lies between (0<=t<=1). IMPORTANT: it is assumed that
// the number of attributes and number of components is the same for both
// from1 and from2, and the type of data for from1 and from2 are the same.
// Make sure that the method InterpolateAllocate() has been invoked before 
// using this method.
// If the INTERPOLATION copy flag is set to 0 for an array, interpolation
// is prevented. If the flag is set to 1, weighted interpolation occurs.
// If the flag is set to 2, nearest neighbor interpolation is used.
////\end{itemize}
//!
