#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetCollection.h"

//@@Signature
//sfunction @vtkDataSetCollection:vtkDataSetCollection vtkDataSetCollectionConstructorFunction
//input a
//output p
//@@Parents vtkDataSetCollection vtkCollection 
ArrayVector vtkDataSetCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetCollection::New(),"vtkDataSetCollection",eval);
  } else if (arg[0].className() == "vtkDataSetCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetCollection");
    vtkDataSetCollection*q = reinterpret_cast<vtkDataSetCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetCollection:GetClassName vtkDataSetCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetCollection requires 1 argument(s)");
  vtkDataSetCollection* vtk_pointer = GetVTKPointer<vtkDataSetCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetCollection:IsA vtkDataSetCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetCollection requires 2 argument(s)");
  vtkDataSetCollection* vtk_pointer = GetVTKPointer<vtkDataSetCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetCollection:NewInstance vtkDataSetCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetCollection requires 1 argument(s)");
  vtkDataSetCollection* vtk_pointer = GetVTKPointer<vtkDataSetCollection>(arg[0]);
  Array retval;
  vtkDataSetCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetCollection:SafeDownCast vtkDataSetCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetCollection requires 2 argument(s)");
  vtkDataSetCollection* vtk_pointer = GetVTKPointer<vtkDataSetCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetCollection:AddItem__1 vtkDataSetCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkDataSetCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkDataSet *ds);this vtkCollection AddItem ds  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkDataSetCollection requires 2 argument(s)");
  vtkDataSetCollection* vtk_pointer = GetVTKPointer<vtkDataSetCollection>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetCollection:GetNextItem vtkDataSetCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkDataSetCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetNextItem ();return static_cast vtkDataSet this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkDataSetCollection requires 1 argument(s)");
  vtkDataSetCollection* vtk_pointer = GetVTKPointer<vtkDataSetCollection>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetCollection:GetNextDataSet vtkDataSetCollectionGetNextDataSetFunction
//input a0 
//output y
ArrayVector vtkDataSetCollectionGetNextDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetNextDataSet ();return static_cast vtkDataSet this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextDataSet for class vtkDataSetCollection requires 1 argument(s)");
  vtkDataSetCollection* vtk_pointer = GetVTKPointer<vtkDataSetCollection>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetNextDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetCollection:GetItem vtkDataSetCollectionGetItemFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetCollectionGetItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetItem (int i);return static_cast vtkDataSet this GetItemAsObject i  */
  if (arg.size() < 2) 
    throw Exception("Function GetItem for class vtkDataSetCollection requires 2 argument(s)");
  vtkDataSetCollection* vtk_pointer = GetVTKPointer<vtkDataSetCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetItem(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetCollection:GetDataSet vtkDataSetCollectionGetDataSetFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetCollectionGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetDataSet (int i);return static_cast vtkDataSet this GetItemAsObject i  */
  if (arg.size() < 2) 
    throw Exception("Function GetDataSet for class vtkDataSetCollection requires 2 argument(s)");
  vtkDataSetCollection* vtk_pointer = GetVTKPointer<vtkDataSetCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDataSet(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetCollection:AddItem vtkDataSetCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkDataSetCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataSet"))
    return vtkDataSetCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetCollectionAddItem");
}

//@@Signature
//sfunction @vtkDataSetCollection:display vtkDataSetCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetCollection* vtk_pointer = GetVTKPointer<vtkDataSetCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetCollection:delete vtkDataSetCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetCollection
//@@Section VTKFiltering
//@@Usage
// vtkDataSetCollection is an object that creates and manipulates lists of
// datasets. See also vtkCollection and subclasses.
//
//To create an instance of class vtkDataSetCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetCollection
//@]
//@@Methods
//The class vtkDataSetCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetCollection = obj.NewInstance ()|
// \item @|vtkDataSetCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkDataSet ds)| -  Get the next dataset in the list.
//// \item @|vtkDataSet = obj.GetNextItem ()| -  Get the next dataset in the list.
//// \item @|vtkDataSet = obj.GetNextDataSet ()| -  Get the next dataset in the list.
//// \item @|vtkDataSet = obj.GetItem (int i)| -  Get the ith dataset in the list.
//// \item @|vtkDataSet = obj.GetDataSet (int i)| -  Get the ith dataset in the list.
////\end{itemize}
//!
