#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetSource.h"

//@@Signature
//sfunction @vtkDataSetSource:vtkDataSetSource vtkDataSetSourceConstructorFunction
//input a
//output p
//@@Parents vtkDataSetSource vtkSource 
ArrayVector vtkDataSetSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetSource::New(),"vtkDataSetSource",eval);
  } else if (arg[0].className() == "vtkDataSetSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetSource");
    vtkDataSetSource*q = reinterpret_cast<vtkDataSetSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetSource:GetClassName vtkDataSetSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetSource requires 1 argument(s)");
  vtkDataSetSource* vtk_pointer = GetVTKPointer<vtkDataSetSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSource:IsA vtkDataSetSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetSource requires 2 argument(s)");
  vtkDataSetSource* vtk_pointer = GetVTKPointer<vtkDataSetSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSource:NewInstance vtkDataSetSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetSource requires 1 argument(s)");
  vtkDataSetSource* vtk_pointer = GetVTKPointer<vtkDataSetSource>(arg[0]);
  Array retval;
  vtkDataSetSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSource:SafeDownCast vtkDataSetSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetSource requires 2 argument(s)");
  vtkDataSetSource* vtk_pointer = GetVTKPointer<vtkDataSetSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSource:GetOutput__1 vtkDataSetSourceGetOutput__1Function
//input a0 
//output y
ArrayVector vtkDataSetSourceGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkDataSetSource requires 1 argument(s)");
  vtkDataSetSource* vtk_pointer = GetVTKPointer<vtkDataSetSource>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSource:GetOutput__2 vtkDataSetSourceGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetSourceGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkDataSetSource requires 2 argument(s)");
  vtkDataSetSource* vtk_pointer = GetVTKPointer<vtkDataSetSource>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSource:SetOutput vtkDataSetSourceSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetSourceSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkDataSetSource requires 2 argument(s)");
  vtkDataSetSource* vtk_pointer = GetVTKPointer<vtkDataSetSource>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSource:GetOutput vtkDataSetSourceGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkDataSetSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetSourceGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataSetSourceGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetSourceGetOutput");
}

//@@Signature
//sfunction @vtkDataSetSource:display vtkDataSetSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetSource* vtk_pointer = GetVTKPointer<vtkDataSetSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetSource:delete vtkDataSetSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetSource
//@@Section VTKFiltering
//@@Usage
// vtkDataSetSource is an abstract class whose subclasses generate datasets.
//
//To create an instance of class vtkDataSetSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetSource
//@]
//@@Methods
//The class vtkDataSetSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetSource = obj.NewInstance ()|
// \item @|vtkDataSetSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataSet = obj.GetOutput ()| -  Get the output of this source.
//// \item @|vtkDataSet = obj.GetOutput (int idx)| -  Get the output of this source.
//// \item @|obj.SetOutput (vtkDataSet )|
//\end{itemize}
//!
