#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetToDataSetFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetToDataSetFilter.h"

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:vtkDataSetToDataSetFilter vtkDataSetToDataSetFilterConstructorFunction
//input a
//output p
//@@Parents vtkDataSetToDataSetFilter vtkDataSetSource 
ArrayVector vtkDataSetToDataSetFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetToDataSetFilter::New(),"vtkDataSetToDataSetFilter",eval);
  } else if (arg[0].className() == "vtkDataSetToDataSetFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetToDataSetFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetToDataSetFilter");
    vtkDataSetToDataSetFilter*q = reinterpret_cast<vtkDataSetToDataSetFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetToDataSetFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetToDataSetFilter:GetClassName vtkDataSetToDataSetFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataSetFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetToDataSetFilter requires 1 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:IsA vtkDataSetToDataSetFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToDataSetFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetToDataSetFilter requires 2 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:NewInstance vtkDataSetToDataSetFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataSetFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToDataSetFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetToDataSetFilter requires 1 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkDataSetToDataSetFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToDataSetFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:SafeDownCast vtkDataSetToDataSetFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToDataSetFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToDataSetFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetToDataSetFilter requires 2 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetToDataSetFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToDataSetFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:SetInput vtkDataSetToDataSetFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToDataSetFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkDataSetToDataSetFilter requires 2 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:GetOutput__1 vtkDataSetToDataSetFilterGetOutput__1Function
//input a0 
//output y
ArrayVector vtkDataSetToDataSetFilterGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkDataSetToDataSetFilter requires 1 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:GetOutput__2 vtkDataSetToDataSetFilterGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetToDataSetFilterGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkDataSetToDataSetFilter requires 2 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:GetPolyDataOutput vtkDataSetToDataSetFilterGetPolyDataOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataSetFilterGetPolyDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkPolyData *GetPolyDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataOutput for class vtkDataSetToDataSetFilter requires 1 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:GetStructuredPointsOutput vtkDataSetToDataSetFilterGetStructuredPointsOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataSetFilterGetStructuredPointsOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStructuredPoints *GetStructuredPointsOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredPointsOutput for class vtkDataSetToDataSetFilter requires 1 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetStructuredPointsOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:GetStructuredGridOutput vtkDataSetToDataSetFilterGetStructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataSetFilterGetStructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStructuredGrid *GetStructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredGridOutput for class vtkDataSetToDataSetFilter requires 1 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetStructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:GetUnstructuredGridOutput vtkDataSetToDataSetFilterGetUnstructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataSetFilterGetUnstructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkUnstructuredGrid *GetUnstructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGridOutput for class vtkDataSetToDataSetFilter requires 1 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:GetRectilinearGridOutput vtkDataSetToDataSetFilterGetRectilinearGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataSetFilterGetRectilinearGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkRectilinearGrid *GetRectilinearGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRectilinearGridOutput for class vtkDataSetToDataSetFilter requires 1 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->GetRectilinearGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:GetInput vtkDataSetToDataSetFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataSetFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkDataSetToDataSetFilter requires 1 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:ComputeInputUpdateExtents vtkDataSetToDataSetFilterComputeInputUpdateExtentsFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToDataSetFilterComputeInputUpdateExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeInputUpdateExtents (vtkDataObject *output); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeInputUpdateExtents for class vtkDataSetToDataSetFilter requires 2 argument(s)");
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ComputeInputUpdateExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:GetOutput vtkDataSetToDataSetFilterGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkDataSetToDataSetFilterGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetToDataSetFilterGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataSetToDataSetFilterGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetToDataSetFilterGetOutput");
}

//@@Signature
//sfunction @vtkDataSetToDataSetFilter:display vtkDataSetToDataSetFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetToDataSetFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataSetFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetToDataSetFilter:delete vtkDataSetToDataSetFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetToDataSetFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetToDataSetFilter
//@@Section VTKFiltering
//@@Usage
// vtkDataSetToDataSetFilter is an abstract filter class. Subclasses of
// vtkDataSetToDataSetFilter take a dataset as input and create a dataset as
// output. The form of the input geometry is not changed in these filters,
// only the point attributes (e.g. scalars, vectors, etc.).
//
// This is an abstract filter type. What that means is that the output of the
// filter is an abstract type (i.e., vtkDataSet), no matter what the input of
// the filter is. This can cause problems connecting together filters due to
// the change in dataset type. (For example, in a series of filters
// processing vtkPolyData, when a vtkDataSetToDataSetFilter or subclass is
// introduced into the pipeline, if the filter downstream of it takes
// vtkPolyData as input, the pipeline connection cannot be made.) To get
// around this problem, use one of the convenience methods to return a
// concrete type (e.g., vtkGetPolyDataOutput(), GetStructuredPointsOutput(),
// etc.).
//
//To create an instance of class vtkDataSetToDataSetFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetToDataSetFilter
//@]
//@@Methods
//The class vtkDataSetToDataSetFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetToDataSetFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetToDataSetFilter = obj.NewInstance ()|
// \item @|vtkDataSetToDataSetFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkDataSet input)| -  Specify the input data or filter.
//// \item @|vtkDataSet = obj.GetOutput ()| -  Get the output of this filter. If output is NULL then input
// hasn't been set which is necessary for abstract objects.
//// \item @|vtkDataSet = obj.GetOutput (int idx)| -  Get the output of this filter. If output is NULL then input
// hasn't been set which is necessary for abstract objects.
//// \item @|vtkPolyData = obj.GetPolyDataOutput ()| -  Get the output as vtkPolyData.
//// \item @|vtkStructuredPoints = obj.GetStructuredPointsOutput ()| -  Get the output as vtkStructuredPoints.
//// \item @|vtkStructuredGrid = obj.GetStructuredGridOutput ()| -  Get the output as vtkStructuredGrid.
//// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridOutput ()| -  Get the output as vtkUnstructuredGrid.
//// \item @|vtkRectilinearGrid = obj.GetRectilinearGridOutput ()| -  Get the output as vtkRectilinearGrid. 
//// \item @|vtkDataSet = obj.GetInput ()| -  Get the input data or filter.
//// \item @|obj.ComputeInputUpdateExtents (vtkDataObject output)| -  By default copy the output update extent to the input
////\end{itemize}
//!
