#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetToImageFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetToImageFilter.h"

//@@Signature
//sfunction @vtkDataSetToImageFilter:vtkDataSetToImageFilter vtkDataSetToImageFilterConstructorFunction
//input a
//output p
//@@Parents vtkDataSetToImageFilter vtkImageSource 
ArrayVector vtkDataSetToImageFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetToImageFilter::New(),"vtkDataSetToImageFilter",eval);
  } else if (arg[0].className() == "vtkDataSetToImageFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetToImageFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetToImageFilter");
    vtkDataSetToImageFilter*q = reinterpret_cast<vtkDataSetToImageFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetToImageFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetToImageFilter:GetClassName vtkDataSetToImageFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetToImageFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetToImageFilter requires 1 argument(s)");
  vtkDataSetToImageFilter* vtk_pointer = GetVTKPointer<vtkDataSetToImageFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToImageFilter:IsA vtkDataSetToImageFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToImageFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetToImageFilter requires 2 argument(s)");
  vtkDataSetToImageFilter* vtk_pointer = GetVTKPointer<vtkDataSetToImageFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToImageFilter:NewInstance vtkDataSetToImageFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetToImageFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToImageFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetToImageFilter requires 1 argument(s)");
  vtkDataSetToImageFilter* vtk_pointer = GetVTKPointer<vtkDataSetToImageFilter>(arg[0]);
  Array retval;
  vtkDataSetToImageFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToImageFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToImageFilter:SafeDownCast vtkDataSetToImageFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToImageFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToImageFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetToImageFilter requires 2 argument(s)");
  vtkDataSetToImageFilter* vtk_pointer = GetVTKPointer<vtkDataSetToImageFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetToImageFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToImageFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToImageFilter:SetInput vtkDataSetToImageFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToImageFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkDataSetToImageFilter requires 2 argument(s)");
  vtkDataSetToImageFilter* vtk_pointer = GetVTKPointer<vtkDataSetToImageFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToImageFilter:GetInput vtkDataSetToImageFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkDataSetToImageFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkDataSetToImageFilter requires 1 argument(s)");
  vtkDataSetToImageFilter* vtk_pointer = GetVTKPointer<vtkDataSetToImageFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToImageFilter:display vtkDataSetToImageFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetToImageFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetToImageFilter* vtk_pointer = GetVTKPointer<vtkDataSetToImageFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetToImageFilter:delete vtkDataSetToImageFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetToImageFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetToImageFilter
//@@Section VTKFiltering
//@@Usage
// vtkDataSetToImageFilter is an abstract filter class whose subclasses take
// as input any dataset and generate image data on output.
//
//To create an instance of class vtkDataSetToImageFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetToImageFilter
//@]
//@@Methods
//The class vtkDataSetToImageFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetToImageFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetToImageFilter = obj.NewInstance ()|
// \item @|vtkDataSetToImageFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkDataSet input)| -  Set / get the input data or filter.
//// \item @|vtkDataSet = obj.GetInput ()| -  Set / get the input data or filter.
////\end{itemize}
//!
