#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetToPolyDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetToPolyDataFilter.h"

//@@Signature
//sfunction @vtkDataSetToPolyDataFilter:vtkDataSetToPolyDataFilter vtkDataSetToPolyDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkDataSetToPolyDataFilter vtkPolyDataSource 
ArrayVector vtkDataSetToPolyDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetToPolyDataFilter::New(),"vtkDataSetToPolyDataFilter",eval);
  } else if (arg[0].className() == "vtkDataSetToPolyDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetToPolyDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetToPolyDataFilter");
    vtkDataSetToPolyDataFilter*q = reinterpret_cast<vtkDataSetToPolyDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetToPolyDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetToPolyDataFilter:GetClassName vtkDataSetToPolyDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetToPolyDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetToPolyDataFilter requires 1 argument(s)");
  vtkDataSetToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkDataSetToPolyDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToPolyDataFilter:IsA vtkDataSetToPolyDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToPolyDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetToPolyDataFilter requires 2 argument(s)");
  vtkDataSetToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkDataSetToPolyDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToPolyDataFilter:NewInstance vtkDataSetToPolyDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetToPolyDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToPolyDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetToPolyDataFilter requires 1 argument(s)");
  vtkDataSetToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkDataSetToPolyDataFilter>(arg[0]);
  Array retval;
  vtkDataSetToPolyDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToPolyDataFilter:SafeDownCast vtkDataSetToPolyDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToPolyDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToPolyDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetToPolyDataFilter requires 2 argument(s)");
  vtkDataSetToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkDataSetToPolyDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetToPolyDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToPolyDataFilter:SetInput vtkDataSetToPolyDataFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToPolyDataFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkDataSetToPolyDataFilter requires 2 argument(s)");
  vtkDataSetToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkDataSetToPolyDataFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToPolyDataFilter:GetInput vtkDataSetToPolyDataFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkDataSetToPolyDataFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkDataSetToPolyDataFilter requires 1 argument(s)");
  vtkDataSetToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkDataSetToPolyDataFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToPolyDataFilter:ComputeInputUpdateExtents vtkDataSetToPolyDataFilterComputeInputUpdateExtentsFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToPolyDataFilterComputeInputUpdateExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeInputUpdateExtents (vtkDataObject *output); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeInputUpdateExtents for class vtkDataSetToPolyDataFilter requires 2 argument(s)");
  vtkDataSetToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkDataSetToPolyDataFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ComputeInputUpdateExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToPolyDataFilter:display vtkDataSetToPolyDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetToPolyDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkDataSetToPolyDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetToPolyDataFilter:delete vtkDataSetToPolyDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetToPolyDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetToPolyDataFilter
//@@Section VTKFiltering
//@@Usage
// vtkDataSetToPolyDataFilter is an abstract filter class whose subclasses 
// take as input any dataset and generate polygonal data on output.
//
//To create an instance of class vtkDataSetToPolyDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetToPolyDataFilter
//@]
//@@Methods
//The class vtkDataSetToPolyDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetToPolyDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetToPolyDataFilter = obj.NewInstance ()|
// \item @|vtkDataSetToPolyDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkDataSet input)| -  Set / get the input data or filter.
//// \item @|vtkDataSet = obj.GetInput ()| -  Set / get the input data or filter.
//// \item @|obj.ComputeInputUpdateExtents (vtkDataObject output)| -  Do not let images return more than requested.
////\end{itemize}
//!
