#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetToStructuredGridFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetToStructuredGridFilter.h"

//@@Signature
//sfunction @vtkDataSetToStructuredGridFilter:vtkDataSetToStructuredGridFilter vtkDataSetToStructuredGridFilterConstructorFunction
//input a
//output p
//@@Parents vtkDataSetToStructuredGridFilter vtkStructuredGridSource 
ArrayVector vtkDataSetToStructuredGridFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetToStructuredGridFilter::New(),"vtkDataSetToStructuredGridFilter",eval);
  } else if (arg[0].className() == "vtkDataSetToStructuredGridFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetToStructuredGridFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetToStructuredGridFilter");
    vtkDataSetToStructuredGridFilter*q = reinterpret_cast<vtkDataSetToStructuredGridFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetToStructuredGridFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetToStructuredGridFilter:GetClassName vtkDataSetToStructuredGridFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetToStructuredGridFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetToStructuredGridFilter requires 1 argument(s)");
  vtkDataSetToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredGridFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredGridFilter:IsA vtkDataSetToStructuredGridFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToStructuredGridFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetToStructuredGridFilter requires 2 argument(s)");
  vtkDataSetToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredGridFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredGridFilter:NewInstance vtkDataSetToStructuredGridFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetToStructuredGridFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToStructuredGridFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetToStructuredGridFilter requires 1 argument(s)");
  vtkDataSetToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredGridFilter>(arg[0]);
  Array retval;
  vtkDataSetToStructuredGridFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToStructuredGridFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredGridFilter:SafeDownCast vtkDataSetToStructuredGridFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToStructuredGridFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToStructuredGridFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetToStructuredGridFilter requires 2 argument(s)");
  vtkDataSetToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredGridFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetToStructuredGridFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToStructuredGridFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredGridFilter:SetInput vtkDataSetToStructuredGridFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToStructuredGridFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkDataSetToStructuredGridFilter requires 2 argument(s)");
  vtkDataSetToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredGridFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredGridFilter:GetInput vtkDataSetToStructuredGridFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkDataSetToStructuredGridFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkDataSetToStructuredGridFilter requires 1 argument(s)");
  vtkDataSetToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredGridFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredGridFilter:display vtkDataSetToStructuredGridFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetToStructuredGridFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredGridFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetToStructuredGridFilter:delete vtkDataSetToStructuredGridFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetToStructuredGridFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetToStructuredGridFilter
//@@Section VTKFiltering
//@@Usage
// vtkDataSetToStructuredGridFilter is an abstract filter class whose 
// subclasses take as input any dataset and generate a structured
// grid on output.
//
//To create an instance of class vtkDataSetToStructuredGridFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetToStructuredGridFilter
//@]
//@@Methods
//The class vtkDataSetToStructuredGridFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetToStructuredGridFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetToStructuredGridFilter = obj.NewInstance ()|
// \item @|vtkDataSetToStructuredGridFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkDataSet input)| -  Set / get the input data or filter.
//// \item @|vtkDataSet = obj.GetInput ()| -  Set / get the input data or filter.
////\end{itemize}
//!
