#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetToStructuredPointsFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetToStructuredPointsFilter.h"

//@@Signature
//sfunction @vtkDataSetToStructuredPointsFilter:vtkDataSetToStructuredPointsFilter vtkDataSetToStructuredPointsFilterConstructorFunction
//input a
//output p
//@@Parents vtkDataSetToStructuredPointsFilter vtkStructuredPointsSource 
ArrayVector vtkDataSetToStructuredPointsFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetToStructuredPointsFilter::New(),"vtkDataSetToStructuredPointsFilter",eval);
  } else if (arg[0].className() == "vtkDataSetToStructuredPointsFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetToStructuredPointsFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetToStructuredPointsFilter");
    vtkDataSetToStructuredPointsFilter*q = reinterpret_cast<vtkDataSetToStructuredPointsFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetToStructuredPointsFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetToStructuredPointsFilter:GetClassName vtkDataSetToStructuredPointsFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetToStructuredPointsFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetToStructuredPointsFilter requires 1 argument(s)");
  vtkDataSetToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredPointsFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredPointsFilter:IsA vtkDataSetToStructuredPointsFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToStructuredPointsFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetToStructuredPointsFilter requires 2 argument(s)");
  vtkDataSetToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredPointsFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredPointsFilter:NewInstance vtkDataSetToStructuredPointsFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetToStructuredPointsFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToStructuredPointsFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetToStructuredPointsFilter requires 1 argument(s)");
  vtkDataSetToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredPointsFilter>(arg[0]);
  Array retval;
  vtkDataSetToStructuredPointsFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToStructuredPointsFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredPointsFilter:SafeDownCast vtkDataSetToStructuredPointsFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToStructuredPointsFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToStructuredPointsFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetToStructuredPointsFilter requires 2 argument(s)");
  vtkDataSetToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredPointsFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetToStructuredPointsFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToStructuredPointsFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredPointsFilter:SetInput vtkDataSetToStructuredPointsFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToStructuredPointsFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkDataSetToStructuredPointsFilter requires 2 argument(s)");
  vtkDataSetToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredPointsFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredPointsFilter:GetInput vtkDataSetToStructuredPointsFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkDataSetToStructuredPointsFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkDataSetToStructuredPointsFilter requires 1 argument(s)");
  vtkDataSetToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredPointsFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToStructuredPointsFilter:display vtkDataSetToStructuredPointsFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetToStructuredPointsFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkDataSetToStructuredPointsFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetToStructuredPointsFilter:delete vtkDataSetToStructuredPointsFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetToStructuredPointsFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetToStructuredPointsFilter
//@@Section VTKFiltering
//@@Usage
// vtkDataSetToStructuredPointsFilter is an abstract filter class whose
// subclasses take as input any dataset and generate structured points 
// data on output.
//
//To create an instance of class vtkDataSetToStructuredPointsFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetToStructuredPointsFilter
//@]
//@@Methods
//The class vtkDataSetToStructuredPointsFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetToStructuredPointsFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetToStructuredPointsFilter = obj.NewInstance ()|
// \item @|vtkDataSetToStructuredPointsFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkDataSet input)| -  Set / get the input data or filter.
//// \item @|vtkDataSet = obj.GetInput ()| -  Set / get the input data or filter.
////\end{itemize}
//!
