#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetToUnstructuredGridFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetToUnstructuredGridFilter.h"

//@@Signature
//sfunction @vtkDataSetToUnstructuredGridFilter:vtkDataSetToUnstructuredGridFilter vtkDataSetToUnstructuredGridFilterConstructorFunction
//input a
//output p
//@@Parents vtkDataSetToUnstructuredGridFilter vtkUnstructuredGridSource 
ArrayVector vtkDataSetToUnstructuredGridFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetToUnstructuredGridFilter::New(),"vtkDataSetToUnstructuredGridFilter",eval);
  } else if (arg[0].className() == "vtkDataSetToUnstructuredGridFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetToUnstructuredGridFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetToUnstructuredGridFilter");
    vtkDataSetToUnstructuredGridFilter*q = reinterpret_cast<vtkDataSetToUnstructuredGridFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetToUnstructuredGridFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetToUnstructuredGridFilter:GetClassName vtkDataSetToUnstructuredGridFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetToUnstructuredGridFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetToUnstructuredGridFilter requires 1 argument(s)");
  vtkDataSetToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToUnstructuredGridFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToUnstructuredGridFilter:IsA vtkDataSetToUnstructuredGridFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToUnstructuredGridFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetToUnstructuredGridFilter requires 2 argument(s)");
  vtkDataSetToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToUnstructuredGridFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToUnstructuredGridFilter:NewInstance vtkDataSetToUnstructuredGridFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetToUnstructuredGridFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToUnstructuredGridFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetToUnstructuredGridFilter requires 1 argument(s)");
  vtkDataSetToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToUnstructuredGridFilter>(arg[0]);
  Array retval;
  vtkDataSetToUnstructuredGridFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToUnstructuredGridFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToUnstructuredGridFilter:SafeDownCast vtkDataSetToUnstructuredGridFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToUnstructuredGridFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToUnstructuredGridFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetToUnstructuredGridFilter requires 2 argument(s)");
  vtkDataSetToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToUnstructuredGridFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetToUnstructuredGridFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToUnstructuredGridFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToUnstructuredGridFilter:SetInput vtkDataSetToUnstructuredGridFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToUnstructuredGridFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkDataSetToUnstructuredGridFilter requires 2 argument(s)");
  vtkDataSetToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToUnstructuredGridFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToUnstructuredGridFilter:GetInput vtkDataSetToUnstructuredGridFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkDataSetToUnstructuredGridFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkDataSetToUnstructuredGridFilter requires 1 argument(s)");
  vtkDataSetToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToUnstructuredGridFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToUnstructuredGridFilter:display vtkDataSetToUnstructuredGridFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetToUnstructuredGridFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkDataSetToUnstructuredGridFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetToUnstructuredGridFilter:delete vtkDataSetToUnstructuredGridFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetToUnstructuredGridFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetToUnstructuredGridFilter
//@@Section VTKFiltering
//@@Usage
// vtkDataSetToUnstructuredGridFilter is an abstract filter class whose 
// subclasses take as input any dataset and generate an unstructured
// grid on output.
//
//To create an instance of class vtkDataSetToUnstructuredGridFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetToUnstructuredGridFilter
//@]
//@@Methods
//The class vtkDataSetToUnstructuredGridFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetToUnstructuredGridFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetToUnstructuredGridFilter = obj.NewInstance ()|
// \item @|vtkDataSetToUnstructuredGridFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkDataSet input)| -  Set / get the input data or filter.
//// \item @|vtkDataSet = obj.GetInput ()| -  Set / get the input data or filter.
////\end{itemize}
//!
