#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDemandDrivenPipeline object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDemandDrivenPipeline.h"

//@@Signature
//sfunction @vtkDemandDrivenPipeline:vtkDemandDrivenPipeline vtkDemandDrivenPipelineConstructorFunction
//input a
//output p
//@@Parents vtkDemandDrivenPipeline vtkExecutive 
ArrayVector vtkDemandDrivenPipelineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDemandDrivenPipeline::New(),"vtkDemandDrivenPipeline",eval);
  } else if (arg[0].className() == "vtkDemandDrivenPipeline") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDemandDrivenPipeline"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDemandDrivenPipeline");
    vtkDemandDrivenPipeline*q = reinterpret_cast<vtkDemandDrivenPipeline*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDemandDrivenPipeline");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDemandDrivenPipeline:GetClassName vtkDemandDrivenPipelineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:IsA vtkDemandDrivenPipelineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDemandDrivenPipelineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDemandDrivenPipeline requires 2 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:NewInstance vtkDemandDrivenPipelineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDemandDrivenPipeline *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  vtkDemandDrivenPipeline  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDemandDrivenPipeline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:SafeDownCast vtkDemandDrivenPipelineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDemandDrivenPipelineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDemandDrivenPipeline *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDemandDrivenPipeline requires 2 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDemandDrivenPipeline  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDemandDrivenPipeline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:Update__1 vtkDemandDrivenPipelineUpdate__1Function
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineUpdate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update__1 for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Update();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:Update__2 vtkDemandDrivenPipelineUpdate__2Function
//input a0 a1 
//output y
ArrayVector vtkDemandDrivenPipelineUpdate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Update (int port); */
  if (arg.size() < 2) 
    throw Exception("Function Update__2 for class vtkDemandDrivenPipeline requires 2 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->Update(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:GetPipelineMTime vtkDemandDrivenPipelineGetPipelineMTimeFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineGetPipelineMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetPipelineMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPipelineMTime for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetPipelineMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:SetReleaseDataFlag vtkDemandDrivenPipelineSetReleaseDataFlagFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDemandDrivenPipelineSetReleaseDataFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetReleaseDataFlag (int port, int n); */
  if (arg.size() < 3) 
    throw Exception("Function SetReleaseDataFlag for class vtkDemandDrivenPipeline requires 3 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->SetReleaseDataFlag(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:GetReleaseDataFlag vtkDemandDrivenPipelineGetReleaseDataFlagFunction
//input a0 a1 
//output y
ArrayVector vtkDemandDrivenPipelineGetReleaseDataFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetReleaseDataFlag (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetReleaseDataFlag for class vtkDemandDrivenPipeline requires 2 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetReleaseDataFlag(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:UpdatePipelineMTime vtkDemandDrivenPipelineUpdatePipelineMTimeFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineUpdatePipelineMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdatePipelineMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdatePipelineMTime for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UpdatePipelineMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:UpdateDataObject vtkDemandDrivenPipelineUpdateDataObjectFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineUpdateDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateDataObject (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateDataObject for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UpdateDataObject();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:UpdateInformation vtkDemandDrivenPipelineUpdateInformationFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineUpdateInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateInformation for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UpdateInformation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:UpdateData vtkDemandDrivenPipelineUpdateDataFunction
//input a0 a1 
//output y
ArrayVector vtkDemandDrivenPipelineUpdateDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateData (int outputPort); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateData for class vtkDemandDrivenPipeline requires 2 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->UpdateData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:REQUEST_DATA_OBJECT vtkDemandDrivenPipelineREQUEST_DATA_OBJECTFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineREQUEST_DATA_OBJECTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationRequestKey *REQUEST_DATA_OBJECT (); */
  if (arg.size() < 1) 
    throw Exception("Function REQUEST_DATA_OBJECT for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp20;
  temp20 = (vtk_pointer)->REQUEST_DATA_OBJECT();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationRequestKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:REQUEST_INFORMATION vtkDemandDrivenPipelineREQUEST_INFORMATIONFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineREQUEST_INFORMATIONFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationRequestKey *REQUEST_INFORMATION (); */
  if (arg.size() < 1) 
    throw Exception("Function REQUEST_INFORMATION for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp20;
  temp20 = (vtk_pointer)->REQUEST_INFORMATION();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationRequestKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:REQUEST_DATA vtkDemandDrivenPipelineREQUEST_DATAFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineREQUEST_DATAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationRequestKey *REQUEST_DATA (); */
  if (arg.size() < 1) 
    throw Exception("Function REQUEST_DATA for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp20;
  temp20 = (vtk_pointer)->REQUEST_DATA();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationRequestKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:REQUEST_DATA_NOT_GENERATED vtkDemandDrivenPipelineREQUEST_DATA_NOT_GENERATEDFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineREQUEST_DATA_NOT_GENERATEDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationRequestKey *REQUEST_DATA_NOT_GENERATED (); */
  if (arg.size() < 1) 
    throw Exception("Function REQUEST_DATA_NOT_GENERATED for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  vtkInformationRequestKey  *temp20;
  temp20 = (vtk_pointer)->REQUEST_DATA_NOT_GENERATED();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationRequestKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:RELEASE_DATA vtkDemandDrivenPipelineRELEASE_DATAFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineRELEASE_DATAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *RELEASE_DATA (); */
  if (arg.size() < 1) 
    throw Exception("Function RELEASE_DATA for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->RELEASE_DATA();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:DATA_NOT_GENERATED vtkDemandDrivenPipelineDATA_NOT_GENERATEDFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineDATA_NOT_GENERATEDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *DATA_NOT_GENERATED (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_NOT_GENERATED for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->DATA_NOT_GENERATED();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:NewDataObject vtkDemandDrivenPipelineNewDataObjectFunction
//input a0 a1 
//output y
ArrayVector vtkDemandDrivenPipelineNewDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkDataObject *NewDataObject (const char *type); */
  if (arg.size() < 2) 
    throw Exception("Function NewDataObject for class vtkDemandDrivenPipeline requires 2 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  char    *temp0;
  vtkDataObject  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->NewDataObject(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:REQUEST_REGENERATE_INFORMATION vtkDemandDrivenPipelineREQUEST_REGENERATE_INFORMATIONFunction
//input a0 
//output y
ArrayVector vtkDemandDrivenPipelineREQUEST_REGENERATE_INFORMATIONFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *REQUEST_REGENERATE_INFORMATION (); */
  if (arg.size() < 1) 
    throw Exception("Function REQUEST_REGENERATE_INFORMATION for class vtkDemandDrivenPipeline requires 1 argument(s)");
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->REQUEST_REGENERATE_INFORMATION();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:Update vtkDemandDrivenPipelineUpdateFunction
//input varargin
//output varargout
ArrayVector vtkDemandDrivenPipelineUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDemandDrivenPipelineUpdate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDemandDrivenPipelineUpdate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDemandDrivenPipelineUpdate");
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:InputCountIsValid vtkDemandDrivenPipelineInputCountIsValidFunction
//input varargin
//output varargout
ArrayVector vtkDemandDrivenPipelineInputCountIsValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDemandDrivenPipelineInputCountIsValid");
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:InputTypeIsValid vtkDemandDrivenPipelineInputTypeIsValidFunction
//input varargin
//output varargout
ArrayVector vtkDemandDrivenPipelineInputTypeIsValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDemandDrivenPipelineInputTypeIsValid");
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:InputFieldsAreValid vtkDemandDrivenPipelineInputFieldsAreValidFunction
//input varargin
//output varargout
ArrayVector vtkDemandDrivenPipelineInputFieldsAreValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDemandDrivenPipelineInputFieldsAreValid");
}

//@@Signature
//sfunction @vtkDemandDrivenPipeline:display vtkDemandDrivenPipelineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDemandDrivenPipelineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDemandDrivenPipeline* vtk_pointer = GetVTKPointer<vtkDemandDrivenPipeline>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDemandDrivenPipeline:delete vtkDemandDrivenPipelineDeleteFunction
//input varargin
//output none
ArrayVector vtkDemandDrivenPipelineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDemandDrivenPipeline
//@@Section VTKFiltering
//@@Usage
// vtkDemandDrivenPipeline is an executive that will execute an
// algorithm only when its outputs are out-of-date with respect to its
// inputs.
//
//To create an instance of class vtkDemandDrivenPipeline, simply
//invoke its constructor as follows
//@[
//  obj = vtkDemandDrivenPipeline
//@]
//@@Methods
//The class vtkDemandDrivenPipeline has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDemandDrivenPipeline class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDemandDrivenPipeline = obj.NewInstance ()|
// \item @|vtkDemandDrivenPipeline = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Update ()| -  Bring the algorithm's outputs up-to-date.  Returns 1 for success
// and 0 for failure.
//// \item @|int = obj.Update (int port)| -  Bring the algorithm's outputs up-to-date.  Returns 1 for success
// and 0 for failure.
//// \item @|long = obj.GetPipelineMTime ()| -  Get the PipelineMTime for this exective.
//// \item @|int = obj.SetReleaseDataFlag (int port, int n)| -  Set whether the given output port releases data when it is
// consumed.  Returns 1 if the the value changes and 0 otherwise.
//// \item @|int = obj.GetReleaseDataFlag (int port)| -  Get whether the given output port releases data when it is consumed.
//// \item @|int = obj.UpdatePipelineMTime ()| -  Bring the PipelineMTime up to date.
//// \item @|int = obj.UpdateDataObject ()| -  Bring the output data object's existence up to date.  This does
// not actually produce data, but does create the data object that
// will store data produced during the UpdateData step.
//// \item @|int = obj.UpdateInformation ()| -  Bring the output information up to date.
//// \item @|int = obj.UpdateData (int outputPort)| -  Bring the output data up to date.  This should be called only
// when information is up to date.  Use the Update method if it is
// not known that the information is up to date.
////\end{itemize}
//!
