#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDirectedAcyclicGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDirectedAcyclicGraph.h"

//@@Signature
//sfunction @vtkDirectedAcyclicGraph:vtkDirectedAcyclicGraph vtkDirectedAcyclicGraphConstructorFunction
//input a
//output p
//@@Parents vtkDirectedAcyclicGraph vtkDirectedGraph 
ArrayVector vtkDirectedAcyclicGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDirectedAcyclicGraph::New(),"vtkDirectedAcyclicGraph",eval);
  } else if (arg[0].className() == "vtkDirectedAcyclicGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDirectedAcyclicGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDirectedAcyclicGraph");
    vtkDirectedAcyclicGraph*q = reinterpret_cast<vtkDirectedAcyclicGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDirectedAcyclicGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDirectedAcyclicGraph:GetClassName vtkDirectedAcyclicGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDirectedAcyclicGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDirectedAcyclicGraph requires 1 argument(s)");
  vtkDirectedAcyclicGraph* vtk_pointer = GetVTKPointer<vtkDirectedAcyclicGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectedAcyclicGraph:IsA vtkDirectedAcyclicGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDirectedAcyclicGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDirectedAcyclicGraph requires 2 argument(s)");
  vtkDirectedAcyclicGraph* vtk_pointer = GetVTKPointer<vtkDirectedAcyclicGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectedAcyclicGraph:NewInstance vtkDirectedAcyclicGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDirectedAcyclicGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDirectedAcyclicGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDirectedAcyclicGraph requires 1 argument(s)");
  vtkDirectedAcyclicGraph* vtk_pointer = GetVTKPointer<vtkDirectedAcyclicGraph>(arg[0]);
  Array retval;
  vtkDirectedAcyclicGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDirectedAcyclicGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDirectedAcyclicGraph:SafeDownCast vtkDirectedAcyclicGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDirectedAcyclicGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDirectedAcyclicGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDirectedAcyclicGraph requires 2 argument(s)");
  vtkDirectedAcyclicGraph* vtk_pointer = GetVTKPointer<vtkDirectedAcyclicGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDirectedAcyclicGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDirectedAcyclicGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDirectedAcyclicGraph:GetDataObjectType vtkDirectedAcyclicGraphGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkDirectedAcyclicGraphGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_DIRECTED_ACYCLIC_GRAPH  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkDirectedAcyclicGraph requires 1 argument(s)");
  vtkDirectedAcyclicGraph* vtk_pointer = GetVTKPointer<vtkDirectedAcyclicGraph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectedAcyclicGraph:display vtkDirectedAcyclicGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDirectedAcyclicGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDirectedAcyclicGraph* vtk_pointer = GetVTKPointer<vtkDirectedAcyclicGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDirectedAcyclicGraph:delete vtkDirectedAcyclicGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkDirectedAcyclicGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDirectedAcyclicGraph
//@@Section VTKFiltering
//@@Usage
// vtkDirectedAcyclicGraph is a connected directed graph with no cycles. A tree is a type of
// directed graph, so works with all graph algorithms.
//
// vtkDirectedAcyclicGraph is a read-only data structure.
// To construct a tree, create an instance of vtkMutableDirectedGraph.
// Add vertices and edges with AddVertex() and AddEdge(). You may alternately
// start by adding a single vertex as the root then call graph->AddChild(parent)
// which adds a new vertex and connects the parent to the child.
// The tree MUST have all edges in the proper direction, from parent to child.
// After building the tree, call tree->CheckedShallowCopy(graph) to copy the
// structure into a vtkDirectedAcyclicGraph. This method will return false if the graph is
// an invalid tree.
//
// vtkDirectedAcyclicGraph provides some convenience methods for obtaining the parent and
// children of a vertex, for finding the root, and determining if a vertex
// is a leaf (a vertex with no children).
//
//
//To create an instance of class vtkDirectedAcyclicGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkDirectedAcyclicGraph
//@]
//@@Methods
//The class vtkDirectedAcyclicGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDirectedAcyclicGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDirectedAcyclicGraph = obj.NewInstance ()|
// \item @|vtkDirectedAcyclicGraph = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()|
//\end{itemize}
//!
