#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDirectedGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDirectedGraph.h"

//@@Signature
//sfunction @vtkDirectedGraph:vtkDirectedGraph vtkDirectedGraphConstructorFunction
//input a
//output p
//@@Parents vtkDirectedGraph vtkGraph 
ArrayVector vtkDirectedGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDirectedGraph::New(),"vtkDirectedGraph",eval);
  } else if (arg[0].className() == "vtkDirectedGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDirectedGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDirectedGraph");
    vtkDirectedGraph*q = reinterpret_cast<vtkDirectedGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDirectedGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDirectedGraph:GetClassName vtkDirectedGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDirectedGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDirectedGraph requires 1 argument(s)");
  vtkDirectedGraph* vtk_pointer = GetVTKPointer<vtkDirectedGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectedGraph:IsA vtkDirectedGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDirectedGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDirectedGraph requires 2 argument(s)");
  vtkDirectedGraph* vtk_pointer = GetVTKPointer<vtkDirectedGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectedGraph:NewInstance vtkDirectedGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDirectedGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDirectedGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDirectedGraph requires 1 argument(s)");
  vtkDirectedGraph* vtk_pointer = GetVTKPointer<vtkDirectedGraph>(arg[0]);
  Array retval;
  vtkDirectedGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDirectedGraph:SafeDownCast vtkDirectedGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDirectedGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDirectedGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDirectedGraph requires 2 argument(s)");
  vtkDirectedGraph* vtk_pointer = GetVTKPointer<vtkDirectedGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDirectedGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDirectedGraph:GetDataObjectType vtkDirectedGraphGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkDirectedGraphGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_DIRECTED_GRAPH  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkDirectedGraph requires 1 argument(s)");
  vtkDirectedGraph* vtk_pointer = GetVTKPointer<vtkDirectedGraph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectedGraph:display vtkDirectedGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDirectedGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDirectedGraph* vtk_pointer = GetVTKPointer<vtkDirectedGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDirectedGraph:delete vtkDirectedGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkDirectedGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDirectedGraph
//@@Section VTKFiltering
//@@Usage
// vtkDirectedGraph is a collection of vertices along with a collection of
// directed edges (edges that have a source and target). ShallowCopy()
// and DeepCopy() (and CheckedShallowCopy(), CheckedDeepCopy())
// accept instances of vtkTree and vtkMutableDirectedGraph.
//
// vtkDirectedGraph is read-only. To create an undirected graph,
// use an instance of vtkMutableDirectedGraph, then you may set the
// structure to a vtkDirectedGraph using ShallowCopy().
//
//
//To create an instance of class vtkDirectedGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkDirectedGraph
//@]
//@@Methods
//The class vtkDirectedGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDirectedGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDirectedGraph = obj.NewInstance ()|
// \item @|vtkDirectedGraph = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()|
//\end{itemize}
//!
