#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDiscretizableColorTransferFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDiscretizableColorTransferFunction.h"

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:vtkDiscretizableColorTransferFunction vtkDiscretizableColorTransferFunctionConstructorFunction
//input a
//output p
//@@Parents vtkDiscretizableColorTransferFunction vtkColorTransferFunction 
ArrayVector vtkDiscretizableColorTransferFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDiscretizableColorTransferFunction::New(),"vtkDiscretizableColorTransferFunction",eval);
  } else if (arg[0].className() == "vtkDiscretizableColorTransferFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDiscretizableColorTransferFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDiscretizableColorTransferFunction");
    vtkDiscretizableColorTransferFunction*q = reinterpret_cast<vtkDiscretizableColorTransferFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDiscretizableColorTransferFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:GetClassName vtkDiscretizableColorTransferFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDiscretizableColorTransferFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDiscretizableColorTransferFunction requires 1 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:IsA vtkDiscretizableColorTransferFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDiscretizableColorTransferFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDiscretizableColorTransferFunction requires 2 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:NewInstance vtkDiscretizableColorTransferFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDiscretizableColorTransferFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDiscretizableColorTransferFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDiscretizableColorTransferFunction requires 1 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  vtkDiscretizableColorTransferFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDiscretizableColorTransferFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:SafeDownCast vtkDiscretizableColorTransferFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDiscretizableColorTransferFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDiscretizableColorTransferFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDiscretizableColorTransferFunction requires 2 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDiscretizableColorTransferFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDiscretizableColorTransferFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:Build vtkDiscretizableColorTransferFunctionBuildFunction
//input a0 
//output none
ArrayVector vtkDiscretizableColorTransferFunctionBuildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Build (); */
  if (arg.size() < 1) 
    throw Exception("Function Build for class vtkDiscretizableColorTransferFunction requires 1 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->Build();
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:SetDiscretize vtkDiscretizableColorTransferFunctionSetDiscretizeFunction
//input a0 a1 
//output none
ArrayVector vtkDiscretizableColorTransferFunctionSetDiscretizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiscretize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiscretize for class vtkDiscretizableColorTransferFunction requires 2 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDiscretize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:GetDiscretize vtkDiscretizableColorTransferFunctionGetDiscretizeFunction
//input a0 
//output y
ArrayVector vtkDiscretizableColorTransferFunctionGetDiscretizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDiscretize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiscretize for class vtkDiscretizableColorTransferFunction requires 1 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDiscretize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:DiscretizeOn vtkDiscretizableColorTransferFunctionDiscretizeOnFunction
//input a0 
//output none
ArrayVector vtkDiscretizableColorTransferFunctionDiscretizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DiscretizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DiscretizeOn for class vtkDiscretizableColorTransferFunction requires 1 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->DiscretizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:DiscretizeOff vtkDiscretizableColorTransferFunctionDiscretizeOffFunction
//input a0 
//output none
ArrayVector vtkDiscretizableColorTransferFunctionDiscretizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DiscretizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DiscretizeOff for class vtkDiscretizableColorTransferFunction requires 1 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  vtk_pointer->DiscretizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:SetUseLogScale vtkDiscretizableColorTransferFunctionSetUseLogScaleFunction
//input a0 a1 
//output none
ArrayVector vtkDiscretizableColorTransferFunctionSetUseLogScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetUseLogScale (int useLogScale); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseLogScale for class vtkDiscretizableColorTransferFunction requires 2 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseLogScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:GetUseLogScale vtkDiscretizableColorTransferFunctionGetUseLogScaleFunction
//input a0 
//output y
ArrayVector vtkDiscretizableColorTransferFunctionGetUseLogScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseLogScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseLogScale for class vtkDiscretizableColorTransferFunction requires 1 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseLogScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:SetNumberOfValues vtkDiscretizableColorTransferFunctionSetNumberOfValuesFunction
//input a0 a1 
//output none
ArrayVector vtkDiscretizableColorTransferFunctionSetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfValues (vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfValues for class vtkDiscretizableColorTransferFunction requires 2 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:GetNumberOfValues vtkDiscretizableColorTransferFunctionGetNumberOfValuesFunction
//input a0 
//output y
ArrayVector vtkDiscretizableColorTransferFunctionGetNumberOfValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfValues for class vtkDiscretizableColorTransferFunction requires 1 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:GetColor vtkDiscretizableColorTransferFunctionGetColorFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDiscretizableColorTransferFunctionGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetColor (double v, double rgb[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetColor for class vtkDiscretizableColorTransferFunction requires 3 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:MapScalars vtkDiscretizableColorTransferFunctionMapScalarsFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkDiscretizableColorTransferFunctionMapScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkUnsignedCharArray *MapScalars (vtkDataArray *scalars, int colorMode, int component); */
  if (arg.size() < 4) 
    throw Exception("Function MapScalars for class vtkDiscretizableColorTransferFunction requires 4 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  vtkUnsignedCharArray  *temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->MapScalars(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:SetAlpha vtkDiscretizableColorTransferFunctionSetAlphaFunction
//input a0 a1 
//output none
ArrayVector vtkDiscretizableColorTransferFunctionSetAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAlpha (double alpha); */
  if (arg.size() < 2) 
    throw Exception("Function SetAlpha for class vtkDiscretizableColorTransferFunction requires 2 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAlpha(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:UsingLogScale vtkDiscretizableColorTransferFunctionUsingLogScaleFunction
//input a0 
//output y
ArrayVector vtkDiscretizableColorTransferFunctionUsingLogScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UsingLogScale ();return this UseLogScale  */
  if (arg.size() < 1) 
    throw Exception("Function UsingLogScale for class vtkDiscretizableColorTransferFunction requires 1 argument(s)");
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UsingLogScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiscretizableColorTransferFunction:display vtkDiscretizableColorTransferFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDiscretizableColorTransferFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDiscretizableColorTransferFunction* vtk_pointer = GetVTKPointer<vtkDiscretizableColorTransferFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDiscretizableColorTransferFunction:delete vtkDiscretizableColorTransferFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkDiscretizableColorTransferFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDiscretizableColorTransferFunction
//@@Section VTKFiltering
//@@Usage
// This is a cross between a vtkColorTransferFunction and a vtkLookupTable
// selectively combiniting the functionality of both.
// NOTE: One must call Build() after making any changes to the points
// in the ColorTransferFunction to ensure that the discrete and non-discrete
// version match up.
//
//To create an instance of class vtkDiscretizableColorTransferFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkDiscretizableColorTransferFunction
//@]
//@@Methods
//The class vtkDiscretizableColorTransferFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDiscretizableColorTransferFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDiscretizableColorTransferFunction = obj.NewInstance ()|
// \item @|vtkDiscretizableColorTransferFunction = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Build ()| -  Generate discretized lookup table, if applicable.
// This method must be called after changes to the ColorTransferFunction
// otherwise the discretized version will be inconsitent with the 
// non-discretized one.
//// \item @|obj.SetDiscretize (int )| -  Set if the values are to mapped after discretization. The
// number of discrete values is set by using SetNumberOfValues().
// Not set by default, i.e. color value is determined by
// interpolating at the scalar value.
//// \item @|int = obj.GetDiscretize ()| -  Set if the values are to mapped after discretization. The
// number of discrete values is set by using SetNumberOfValues().
// Not set by default, i.e. color value is determined by
// interpolating at the scalar value.
//// \item @|obj.DiscretizeOn ()| -  Set if the values are to mapped after discretization. The
// number of discrete values is set by using SetNumberOfValues().
// Not set by default, i.e. color value is determined by
// interpolating at the scalar value.
//// \item @|obj.DiscretizeOff ()| -  Set if the values are to mapped after discretization. The
// number of discrete values is set by using SetNumberOfValues().
// Not set by default, i.e. color value is determined by
// interpolating at the scalar value.
//// \item @|obj.SetUseLogScale (int useLogScale)| -  Get/Set if log scale must be used while mapping scalars
// to colors. The default is 0.
//// \item @|int = obj.GetUseLogScale ()| -  Get/Set if log scale must be used while mapping scalars
// to colors. The default is 0.
//// \item @|obj.SetNumberOfValues (vtkIdType number)| -  Set the number of values i.e. colors to be generated in the
// discrete lookup table. This has no effect if Discretize is off.
// The default is 256.
//// \item @|vtkIdType = obj.GetNumberOfValues ()| -  Set the number of values i.e. colors to be generated in the
// discrete lookup table. This has no effect if Discretize is off.
// The default is 256.
//// \item @|obj.GetColor (double v, double rgb[3])| -  Map one value through the lookup table and return the color as
// an RGB array of doubles between 0 and 1.
//// \item @|vtkUnsignedCharArray = obj.MapScalars (vtkDataArray scalars, int colorMode, int component)| -  An internal method maps a data array into a 4-component, unsigned char
// RGBA array. The color mode determines the behavior of mapping. If 
// VTK_COLOR_MODE_DEFAULT is set, then unsigned char data arrays are
// treated as colors (and converted to RGBA if necessary); otherwise, 
// the data is mapped through this instance of ScalarsToColors. The offset
// is used for data arrays with more than one component; it indicates 
// which component to use to do the blending.
// When the component argument is -1, then the this object uses its
// own selected technique to change a vector into a scalar to map.
//// \item @|obj.SetAlpha (double alpha)| -  Specify an additional opacity (alpha) value to blend with. Values
// != 1 modify the resulting color consistent with the requested
// form of the output. This is typically used by an actor in order to
// blend its opacity.
// Overridden to pass the alpha to the internal vtkLookupTable.
//// \item @|int = obj.UsingLogScale ()|
//\end{itemize}
//!
