#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDistributedGraphHelper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDistributedGraphHelper.h"

//@@Signature
//sfunction @vtkDistributedGraphHelper:vtkDistributedGraphHelper vtkDistributedGraphHelperConstructorFunction
//input a
//output p
//@@Parents vtkDistributedGraphHelper vtkObject 
ArrayVector vtkDistributedGraphHelperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDistributedGraphHelper::New(),"vtkDistributedGraphHelper",eval);
  } else if (arg[0].className() == "vtkDistributedGraphHelper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDistributedGraphHelper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDistributedGraphHelper");
    vtkDistributedGraphHelper*q = reinterpret_cast<vtkDistributedGraphHelper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDistributedGraphHelper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDistributedGraphHelper:GetClassName vtkDistributedGraphHelperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDistributedGraphHelperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDistributedGraphHelper requires 1 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:IsA vtkDistributedGraphHelperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDistributedGraphHelperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDistributedGraphHelper requires 2 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:NewInstance vtkDistributedGraphHelperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDistributedGraphHelperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistributedGraphHelper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDistributedGraphHelper requires 1 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  vtkDistributedGraphHelper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistributedGraphHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:SafeDownCast vtkDistributedGraphHelperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDistributedGraphHelperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistributedGraphHelper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDistributedGraphHelper requires 2 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDistributedGraphHelper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistributedGraphHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:GetVertexOwner vtkDistributedGraphHelperGetVertexOwnerFunction
//input a0 a1 
//output y
ArrayVector vtkDistributedGraphHelperGetVertexOwnerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetVertexOwner (vtkIdType v) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetVertexOwner for class vtkDistributedGraphHelper requires 2 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVertexOwner(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:GetVertexIndex vtkDistributedGraphHelperGetVertexIndexFunction
//input a0 a1 
//output y
ArrayVector vtkDistributedGraphHelperGetVertexIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetVertexIndex (vtkIdType v) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetVertexIndex for class vtkDistributedGraphHelper requires 2 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVertexIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:GetEdgeOwner vtkDistributedGraphHelperGetEdgeOwnerFunction
//input a0 a1 
//output y
ArrayVector vtkDistributedGraphHelperGetEdgeOwnerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetEdgeOwner (vtkIdType e_id) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeOwner for class vtkDistributedGraphHelper requires 2 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdgeOwner(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:GetEdgeIndex vtkDistributedGraphHelperGetEdgeIndexFunction
//input a0 a1 
//output y
ArrayVector vtkDistributedGraphHelperGetEdgeIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetEdgeIndex (vtkIdType e_id) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeIndex for class vtkDistributedGraphHelper requires 2 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdgeIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:MakeDistributedId vtkDistributedGraphHelperMakeDistributedIdFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDistributedGraphHelperMakeDistributedIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType MakeDistributedId (int owner, vtkIdType local); */
  if (arg.size() < 3) 
    throw Exception("Function MakeDistributedId for class vtkDistributedGraphHelper requires 3 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->MakeDistributedId(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:Synchronize vtkDistributedGraphHelperSynchronizeFunction
//input a0 
//output none
ArrayVector vtkDistributedGraphHelperSynchronizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Synchronize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Synchronize for class vtkDistributedGraphHelper requires 1 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  vtk_pointer->Synchronize();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:Clone vtkDistributedGraphHelperCloneFunction
//input a0 
//output y
ArrayVector vtkDistributedGraphHelperCloneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDistributedGraphHelper *Clone () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Clone for class vtkDistributedGraphHelper requires 1 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  vtkDistributedGraphHelper  *temp20;
  temp20 = (vtk_pointer)->Clone();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistributedGraphHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:DISTRIBUTEDVERTEXIDS vtkDistributedGraphHelperDISTRIBUTEDVERTEXIDSFunction
//input a0 
//output y
ArrayVector vtkDistributedGraphHelperDISTRIBUTEDVERTEXIDSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *DISTRIBUTEDVERTEXIDS (); */
  if (arg.size() < 1) 
    throw Exception("Function DISTRIBUTEDVERTEXIDS for class vtkDistributedGraphHelper requires 1 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->DISTRIBUTEDVERTEXIDS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:DISTRIBUTEDEDGEIDS vtkDistributedGraphHelperDISTRIBUTEDEDGEIDSFunction
//input a0 
//output y
ArrayVector vtkDistributedGraphHelperDISTRIBUTEDEDGEIDSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *DISTRIBUTEDEDGEIDS (); */
  if (arg.size() < 1) 
    throw Exception("Function DISTRIBUTEDEDGEIDS for class vtkDistributedGraphHelper requires 1 argument(s)");
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->DISTRIBUTEDEDGEIDS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:AddVertexInternal vtkDistributedGraphHelperAddVertexInternalFunction
//input varargin
//output varargout
ArrayVector vtkDistributedGraphHelperAddVertexInternalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDistributedGraphHelperAddVertexInternal");
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:AddEdgeInternal vtkDistributedGraphHelperAddEdgeInternalFunction
//input varargin
//output varargout
ArrayVector vtkDistributedGraphHelperAddEdgeInternalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDistributedGraphHelperAddEdgeInternal");
}

//@@Signature
//sfunction @vtkDistributedGraphHelper:display vtkDistributedGraphHelperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDistributedGraphHelperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDistributedGraphHelper* vtk_pointer = GetVTKPointer<vtkDistributedGraphHelper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDistributedGraphHelper:delete vtkDistributedGraphHelperDeleteFunction
//input varargin
//output none
ArrayVector vtkDistributedGraphHelperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDistributedGraphHelper
//@@Section VTKFiltering
//@@Usage
// A distributed graph helper can be attached to an empty vtkGraph
// object to turn the vtkGraph into a distributed graph, whose
// vertices and edges are distributed across several different
// processors. vtkDistributedGraphHelper is an abstract class. Use a
// subclass of vtkDistributedGraphHelper, such as
// vtkPBGLDistributedGraphHelper, to build distributed graphs.
//
// The distributed graph helper provides facilities used by vtkGraph
// to communicate with other processors that store other parts of the
// same distributed graph. The only user-level functionality provided
// by vtkDistributedGraphHelper involves this communication among
// processors and the ability to map between "distributed" vertex and
// edge IDs and their component parts (processor and local index). For
// example, the Synchronize() method provides a barrier that allows
// all processors to catch up to the same point in the code before any
// processor can leave that Synchronize() call. For example, one would
// call Synchronize() after adding many edges to a distributed graph,
// so that all processors can handle the addition of inter-processor
// edges and continue, after the Synchronize() call, with a consistent
// view of the distributed graph. For more information about
// manipulating (distributed) graphs, see the vtkGraph documentation.
//
//
//To create an instance of class vtkDistributedGraphHelper, simply
//invoke its constructor as follows
//@[
//  obj = vtkDistributedGraphHelper
//@]
//@@Methods
//The class vtkDistributedGraphHelper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDistributedGraphHelper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDistributedGraphHelper = obj.NewInstance ()|
// \item @|vtkDistributedGraphHelper = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.GetVertexOwner (vtkIdType v) const| -  Returns owner of vertex v, by extracting top ceil(log2 P) bits of v.
//// \item @|vtkIdType = obj.GetVertexIndex (vtkIdType v) const| -  Returns local index of vertex v, by masking off top ceil(log2 P) bits of v.
//// \item @|vtkIdType = obj.GetEdgeOwner (vtkIdType e_id) const| -  Returns owner of edge with ID e_id, by extracting top ceil(log2 P) bits of e_id.
//// \item @|vtkIdType = obj.GetEdgeIndex (vtkIdType e_id) const| -  Returns local index of edge with ID e_id, by masking off top ceil(log2 P)
// bits of e_id.
//// \item @|vtkIdType = obj.MakeDistributedId (int owner, vtkIdType local)| -  Builds a distributed ID consisting of the given owner and the local ID.
//// \item @|obj.Synchronize ()| -  Synchronizes all of the processors involved in this distributed
// graph, so that all processors have a consistent view of the
// distributed graph for the computation that follows. This routine
// should be invoked after adding new edges into the distributed
// graph, so that other processors will see those edges (or their
// corresponding back-edges).
//// \item @|vtkDistributedGraphHelper = obj.Clone ()| -  Clones the distributed graph helper, returning another
// distributed graph helper of the same kind that can be used in
// another vtkGraph.
////\end{itemize}
//!
