#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEdgeListIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEdgeListIterator.h"

//@@Signature
//sfunction @vtkEdgeListIterator:vtkEdgeListIterator vtkEdgeListIteratorConstructorFunction
//input a
//output p
//@@Parents vtkEdgeListIterator vtkObject 
ArrayVector vtkEdgeListIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEdgeListIterator::New(),"vtkEdgeListIterator",eval);
  } else if (arg[0].className() == "vtkEdgeListIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEdgeListIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEdgeListIterator");
    vtkEdgeListIterator*q = reinterpret_cast<vtkEdgeListIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEdgeListIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEdgeListIterator:GetClassName vtkEdgeListIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEdgeListIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEdgeListIterator requires 1 argument(s)");
  vtkEdgeListIterator* vtk_pointer = GetVTKPointer<vtkEdgeListIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeListIterator:IsA vtkEdgeListIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeListIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEdgeListIterator requires 2 argument(s)");
  vtkEdgeListIterator* vtk_pointer = GetVTKPointer<vtkEdgeListIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeListIterator:NewInstance vtkEdgeListIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEdgeListIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeListIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEdgeListIterator requires 1 argument(s)");
  vtkEdgeListIterator* vtk_pointer = GetVTKPointer<vtkEdgeListIterator>(arg[0]);
  Array retval;
  vtkEdgeListIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeListIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeListIterator:SafeDownCast vtkEdgeListIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeListIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeListIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEdgeListIterator requires 2 argument(s)");
  vtkEdgeListIterator* vtk_pointer = GetVTKPointer<vtkEdgeListIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEdgeListIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeListIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeListIterator:GetGraph vtkEdgeListIteratorGetGraphFunction
//input a0 
//output y
ArrayVector vtkEdgeListIteratorGetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetGraph (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraph for class vtkEdgeListIterator requires 1 argument(s)");
  vtkEdgeListIterator* vtk_pointer = GetVTKPointer<vtkEdgeListIterator>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetGraph();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeListIterator:SetGraph vtkEdgeListIteratorSetGraphFunction
//input a0 a1 
//output none
ArrayVector vtkEdgeListIteratorSetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraph (vtkGraph *graph); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraph for class vtkEdgeListIterator requires 2 argument(s)");
  vtkEdgeListIterator* vtk_pointer = GetVTKPointer<vtkEdgeListIterator>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->SetGraph(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeListIterator:NextGraphEdge vtkEdgeListIteratorNextGraphEdgeFunction
//input a0 
//output y
ArrayVector vtkEdgeListIteratorNextGraphEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphEdge *NextGraphEdge (); */
  if (arg.size() < 1) 
    throw Exception("Function NextGraphEdge for class vtkEdgeListIterator requires 1 argument(s)");
  vtkEdgeListIterator* vtk_pointer = GetVTKPointer<vtkEdgeListIterator>(arg[0]);
  Array retval;
  vtkGraphEdge  *temp20;
  temp20 = (vtk_pointer)->NextGraphEdge();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphEdge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeListIterator:HasNext vtkEdgeListIteratorHasNextFunction
//input a0 
//output y
ArrayVector vtkEdgeListIteratorHasNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool HasNext (); */
  if (arg.size() < 1) 
    throw Exception("Function HasNext for class vtkEdgeListIterator requires 1 argument(s)");
  vtkEdgeListIterator* vtk_pointer = GetVTKPointer<vtkEdgeListIterator>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasNext();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeListIterator:display vtkEdgeListIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEdgeListIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEdgeListIterator* vtk_pointer = GetVTKPointer<vtkEdgeListIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEdgeListIterator:delete vtkEdgeListIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkEdgeListIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEdgeListIterator
//@@Section VTKFiltering
//@@Usage
// vtkEdgeListIterator iterates through all the edges in a graph, by traversing
// the adjacency list for each vertex. You may instantiate this class directly
// and call SetGraph() to traverse a certain graph. You may also call the graph's
// GetEdges() method to set up the iterator for a certain graph.
//
// Note that this class does NOT guarantee that the edges will be processed in
// order of their ids (i.e. it will not necessarily return edge 0, then edge 1,
// etc.).
//
//
//To create an instance of class vtkEdgeListIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkEdgeListIterator
//@]
//@@Methods
//The class vtkEdgeListIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEdgeListIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEdgeListIterator = obj.NewInstance ()|
// \item @|vtkEdgeListIterator = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGraph = obj.GetGraph ()|
// \item @|obj.SetGraph (vtkGraph graph)|
// \item @|vtkGraphEdge = obj.NextGraphEdge ()| -  Just like Next(), but
// returns heavy-weight vtkGraphEdge object instead of
// the vtkEdgeType struct, for use with wrappers.
// The graph edge is owned by this iterator, and changes
// after each call to NextGraphEdge().
//// \item @|bool = obj.HasNext ()| -  Whether this iterator has more edges.
////\end{itemize}
//!
