#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExecutive object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExecutive.h"

//@@Signature
//sfunction @vtkExecutive:vtkExecutive vtkExecutiveConstructorFunction
//input a
//output p
//@@Parents vtkExecutive vtkObject 
ArrayVector vtkExecutiveConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExecutive::New(),"vtkExecutive",eval);
  } else if (arg[0].className() == "vtkExecutive") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExecutive"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExecutive");
    vtkExecutive*q = reinterpret_cast<vtkExecutive*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExecutive");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExecutive:GetClassName vtkExecutiveGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExecutiveGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:IsA vtkExecutiveIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExecutiveIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:NewInstance vtkExecutiveNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExecutiveNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExecutive *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkExecutive  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExecutive",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:SafeDownCast vtkExecutiveSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExecutiveSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExecutive *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExecutive  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExecutive",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetAlgorithm vtkExecutiveGetAlgorithmFunction
//input a0 
//output y
ArrayVector vtkExecutiveGetAlgorithmFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithm *GetAlgorithm (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlgorithm for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkAlgorithm  *temp20;
  temp20 = (vtk_pointer)->GetAlgorithm();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:Update__1 vtkExecutiveUpdate__1Function
//input a0 
//output y
ArrayVector vtkExecutiveUpdate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update__1 for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Update();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:Update__2 vtkExecutiveUpdate__2Function
//input a0 a1 
//output y
ArrayVector vtkExecutiveUpdate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Update (int port); */
  if (arg.size() < 2) 
    throw Exception("Function Update__2 for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->Update(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetNumberOfInputPorts vtkExecutiveGetNumberOfInputPortsFunction
//input a0 
//output y
ArrayVector vtkExecutiveGetNumberOfInputPortsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfInputPorts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfInputPorts for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfInputPorts();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetNumberOfOutputPorts vtkExecutiveGetNumberOfOutputPortsFunction
//input a0 
//output y
ArrayVector vtkExecutiveGetNumberOfOutputPortsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfOutputPorts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfOutputPorts for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfOutputPorts();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetNumberOfInputConnections vtkExecutiveGetNumberOfInputConnectionsFunction
//input a0 a1 
//output y
ArrayVector vtkExecutiveGetNumberOfInputConnectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfInputConnections (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfInputConnections for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfInputConnections(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetOutputInformation__1 vtkExecutiveGetOutputInformation__1Function
//input a0 a1 
//output y
ArrayVector vtkExecutiveGetOutputInformation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkInformation *GetOutputInformation (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputInformation__1 for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutputInformation(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetOutputInformation__2 vtkExecutiveGetOutputInformation__2Function
//input a0 
//output y
ArrayVector vtkExecutiveGetOutputInformation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationVector *GetOutputInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputInformation__2 for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkInformationVector  *temp20;
  temp20 = (vtk_pointer)->GetOutputInformation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationVector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetInputInformation__1 vtkExecutiveGetInputInformation__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExecutiveGetInputInformation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetInputInformation (int port, int connection); */
  if (arg.size() < 3) 
    throw Exception("Function GetInputInformation__1 for class vtkExecutive requires 3 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInputInformation(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetInputInformation__2 vtkExecutiveGetInputInformation__2Function
//input a0 a1 
//output y
ArrayVector vtkExecutiveGetInputInformation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationVector *GetInputInformation (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInputInformation__2 for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformationVector  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInputInformation(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationVector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetInputExecutive vtkExecutiveGetInputExecutiveFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExecutiveGetInputExecutiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExecutive *GetInputExecutive (int port, int connection); */
  if (arg.size() < 3) 
    throw Exception("Function GetInputExecutive for class vtkExecutive requires 3 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkExecutive  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInputExecutive(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExecutive",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetOutputData vtkExecutiveGetOutputDataFunction
//input a0 a1 
//output y
ArrayVector vtkExecutiveGetOutputDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataObject *GetOutputData (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputData for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutputData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:SetOutputData__1 vtkExecutiveSetOutputData__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkExecutiveSetOutputData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutputData (int port, vtkDataObject *, vtkInformation *info); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutputData__1 for class vtkExecutive requires 4 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  vtkInformation  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  temp2 = GetVTKPointer<vtkInformation>(arg[3]);
  vtk_pointer->SetOutputData(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:SetOutputData__2 vtkExecutiveSetOutputData__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExecutiveSetOutputData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutputData (int port, vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetOutputData__2 for class vtkExecutive requires 3 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetOutputData(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetInputData__1 vtkExecutiveGetInputData__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExecutiveGetInputData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataObject *GetInputData (int port, int connection); */
  if (arg.size() < 3) 
    throw Exception("Function GetInputData__1 for class vtkExecutive requires 3 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInputData(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:GetProducerPort vtkExecutiveGetProducerPortFunction
//input a0 a1 
//output y
ArrayVector vtkExecutiveGetProducerPortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetProducerPort (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function GetProducerPort for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  vtkAlgorithmOutput  *temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  temp20 = (vtk_pointer)->GetProducerPort(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:SetSharedOutputInformation vtkExecutiveSetSharedOutputInformationFunction
//input a0 a1 
//output none
ArrayVector vtkExecutiveSetSharedOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSharedOutputInformation (vtkInformationVector *outInfoVec); */
  if (arg.size() < 2) 
    throw Exception("Function SetSharedOutputInformation for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkInformationVector  *temp0;
  temp0 = GetVTKPointer<vtkInformationVector>(arg[1]);
  vtk_pointer->SetSharedOutputInformation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:Register vtkExecutiveRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkExecutiveRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:UnRegister vtkExecutiveUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkExecutiveUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkExecutive requires 2 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:PRODUCER vtkExecutivePRODUCERFunction
//input a0 
//output y
ArrayVector vtkExecutivePRODUCERFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationExecutivePortKey *PRODUCER (); */
  if (arg.size() < 1) 
    throw Exception("Function PRODUCER for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkInformationExecutivePortKey  *temp20;
  temp20 = (vtk_pointer)->PRODUCER();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationExecutivePortKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:CONSUMERS vtkExecutiveCONSUMERSFunction
//input a0 
//output y
ArrayVector vtkExecutiveCONSUMERSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationExecutivePortVectorKey *CONSUMERS (); */
  if (arg.size() < 1) 
    throw Exception("Function CONSUMERS for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkInformationExecutivePortVectorKey  *temp20;
  temp20 = (vtk_pointer)->CONSUMERS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationExecutivePortVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:FROM_OUTPUT_PORT vtkExecutiveFROM_OUTPUT_PORTFunction
//input a0 
//output y
ArrayVector vtkExecutiveFROM_OUTPUT_PORTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *FROM_OUTPUT_PORT (); */
  if (arg.size() < 1) 
    throw Exception("Function FROM_OUTPUT_PORT for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->FROM_OUTPUT_PORT();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:ALGORITHM_BEFORE_FORWARD vtkExecutiveALGORITHM_BEFORE_FORWARDFunction
//input a0 
//output y
ArrayVector vtkExecutiveALGORITHM_BEFORE_FORWARDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *ALGORITHM_BEFORE_FORWARD (); */
  if (arg.size() < 1) 
    throw Exception("Function ALGORITHM_BEFORE_FORWARD for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->ALGORITHM_BEFORE_FORWARD();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:ALGORITHM_AFTER_FORWARD vtkExecutiveALGORITHM_AFTER_FORWARDFunction
//input a0 
//output y
ArrayVector vtkExecutiveALGORITHM_AFTER_FORWARDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *ALGORITHM_AFTER_FORWARD (); */
  if (arg.size() < 1) 
    throw Exception("Function ALGORITHM_AFTER_FORWARD for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->ALGORITHM_AFTER_FORWARD();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:ALGORITHM_DIRECTION vtkExecutiveALGORITHM_DIRECTIONFunction
//input a0 
//output y
ArrayVector vtkExecutiveALGORITHM_DIRECTIONFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *ALGORITHM_DIRECTION (); */
  if (arg.size() < 1) 
    throw Exception("Function ALGORITHM_DIRECTION for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->ALGORITHM_DIRECTION();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:FORWARD_DIRECTION vtkExecutiveFORWARD_DIRECTIONFunction
//input a0 
//output y
ArrayVector vtkExecutiveFORWARD_DIRECTIONFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *FORWARD_DIRECTION (); */
  if (arg.size() < 1) 
    throw Exception("Function FORWARD_DIRECTION for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->FORWARD_DIRECTION();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:KEYS_TO_COPY vtkExecutiveKEYS_TO_COPYFunction
//input a0 
//output y
ArrayVector vtkExecutiveKEYS_TO_COPYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationKeyVectorKey *KEYS_TO_COPY (); */
  if (arg.size() < 1) 
    throw Exception("Function KEYS_TO_COPY for class vtkExecutive requires 1 argument(s)");
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  Array retval;
  vtkInformationKeyVectorKey  *temp20;
  temp20 = (vtk_pointer)->KEYS_TO_COPY();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationKeyVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutive:Update vtkExecutiveUpdateFunction
//input varargin
//output varargout
ArrayVector vtkExecutiveUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkExecutiveUpdate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExecutiveUpdate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExecutiveUpdate");
}

//@@Signature
//sfunction @vtkExecutive:GetOutputInformation vtkExecutiveGetOutputInformationFunction
//input varargin
//output varargout
ArrayVector vtkExecutiveGetOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExecutiveGetOutputInformation__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkExecutiveGetOutputInformation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExecutiveGetOutputInformation");
}

//@@Signature
//sfunction @vtkExecutive:GetInputInformation vtkExecutiveGetInputInformationFunction
//input varargin
//output varargout
ArrayVector vtkExecutiveGetInputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExecutiveGetInputInformation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExecutiveGetInputInformation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExecutiveGetInputInformation");
}

//@@Signature
//sfunction @vtkExecutive:SetOutputData vtkExecutiveSetOutputDataFunction
//input varargin
//output varargout
ArrayVector vtkExecutiveSetOutputDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject") && VTKIsClass(arg[3],"vtkInformation"))
    return vtkExecutiveSetOutputData__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkExecutiveSetOutputData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExecutiveSetOutputData");
}

//@@Signature
//sfunction @vtkExecutive:GetInputData vtkExecutiveGetInputDataFunction
//input varargin
//output varargout
ArrayVector vtkExecutiveGetInputDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExecutiveGetInputData__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExecutiveGetInputData");
}

//@@Signature
//sfunction @vtkExecutive:display vtkExecutiveDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExecutiveDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExecutive* vtk_pointer = GetVTKPointer<vtkExecutive>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExecutive:delete vtkExecutiveDeleteFunction
//input varargin
//output none
ArrayVector vtkExecutiveDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExecutive
//@@Section VTKFiltering
//@@Usage
// vtkExecutive is the superclass for all pipeline executives in VTK.
// A VTK executive is responsible for controlling one instance of
// vtkAlgorithm.  A pipeline consists of one or more executives that
// control data flow.  Every reader, source, writer, or data
// processing algorithm in the pipeline is implemented in an instance
// of vtkAlgorithm.
//
//To create an instance of class vtkExecutive, simply
//invoke its constructor as follows
//@[
//  obj = vtkExecutive
//@]
//@@Methods
//The class vtkExecutive has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExecutive class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExecutive = obj.NewInstance ()|
// \item @|vtkExecutive = obj.SafeDownCast (vtkObject o)|
// \item @|vtkAlgorithm = obj.GetAlgorithm ()| -  Get the algorithm to which this executive has been assigned.
//// \item @|int = obj.Update ()| -  Bring the algorithm's outputs up-to-date.  Returns 1 for success
// and 0 for failure.
//// \item @|int = obj.Update (int port)| -  Bring the algorithm's outputs up-to-date.  Returns 1 for success
// and 0 for failure.
//// \item @|int = obj.GetNumberOfInputPorts ()| -  Get the number of input/output ports for the algorithm associated
// with this executive.  Returns 0 if no algorithm is set.
//// \item @|int = obj.GetNumberOfOutputPorts ()| -  Get the number of input/output ports for the algorithm associated
// with this executive.  Returns 0 if no algorithm is set.
//// \item @|int = obj.GetNumberOfInputConnections (int port)| -  Get the number of input connections on the given port.
//// \item @|vtkInformation = obj.GetOutputInformation (int port)| -  Get the pipeline information object for the given output port.
//// \item @|vtkInformationVector = obj.GetOutputInformation ()| -  Get the pipeline information object for all output ports.
//// \item @|vtkInformation = obj.GetInputInformation (int port, int connection)| -  Get the pipeline information for the given input connection.
//// \item @|vtkInformationVector = obj.GetInputInformation (int port)| -  Get the pipeline information vectors for the given input port.
//// \item @|vtkExecutive = obj.GetInputExecutive (int port, int connection)| -  Get the executive managing the given input connection.
//// \item @|vtkDataObject = obj.GetOutputData (int port)| -  Get/Set the data object for an output port of the algorithm.
//// \item @|obj.SetOutputData (int port, vtkDataObject , vtkInformation info)| -  Get/Set the data object for an output port of the algorithm.
//// \item @|obj.SetOutputData (int port, vtkDataObject )| -  Get/Set the data object for an output port of the algorithm.
//// \item @|vtkDataObject = obj.GetInputData (int port, int connection)| -  Get the data object for an input port of the algorithm.
//// \item @|vtkAlgorithmOutput = obj.GetProducerPort (vtkDataObject )| -  Get the output port that produces the given data object.
//// \item @|obj.SetSharedOutputInformation (vtkInformationVector outInfoVec)| -  Set a pointer to an outside instance of input or output
// information vectors.  No references are held to the given
// vectors, and setting this does not change the executive object
// modification time.  This is a preliminary interface to use in
// implementing filters with internal pipelines, and may change
// without notice when a future interface is created.
//// \item @|obj.Register (vtkObjectBase o)| -  Participate in garbage collection.
//// \item @|obj.UnRegister (vtkObjectBase o)| -  Participate in garbage collection.
////\end{itemize}
//!
