#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExecutiveCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExecutiveCollection.h"

//@@Signature
//sfunction @vtkExecutiveCollection:vtkExecutiveCollection vtkExecutiveCollectionConstructorFunction
//input a
//output p
//@@Parents vtkExecutiveCollection vtkCollection 
ArrayVector vtkExecutiveCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExecutiveCollection::New(),"vtkExecutiveCollection",eval);
  } else if (arg[0].className() == "vtkExecutiveCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExecutiveCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExecutiveCollection");
    vtkExecutiveCollection*q = reinterpret_cast<vtkExecutiveCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExecutiveCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExecutiveCollection:GetClassName vtkExecutiveCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExecutiveCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExecutiveCollection requires 1 argument(s)");
  vtkExecutiveCollection* vtk_pointer = GetVTKPointer<vtkExecutiveCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExecutiveCollection:IsA vtkExecutiveCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExecutiveCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExecutiveCollection requires 2 argument(s)");
  vtkExecutiveCollection* vtk_pointer = GetVTKPointer<vtkExecutiveCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExecutiveCollection:NewInstance vtkExecutiveCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExecutiveCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExecutiveCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExecutiveCollection requires 1 argument(s)");
  vtkExecutiveCollection* vtk_pointer = GetVTKPointer<vtkExecutiveCollection>(arg[0]);
  Array retval;
  vtkExecutiveCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExecutiveCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutiveCollection:SafeDownCast vtkExecutiveCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExecutiveCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExecutiveCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExecutiveCollection requires 2 argument(s)");
  vtkExecutiveCollection* vtk_pointer = GetVTKPointer<vtkExecutiveCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExecutiveCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExecutiveCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutiveCollection:AddItem__1 vtkExecutiveCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkExecutiveCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkExecutive *exec);this vtkCollection AddItem exec  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkExecutiveCollection requires 2 argument(s)");
  vtkExecutiveCollection* vtk_pointer = GetVTKPointer<vtkExecutiveCollection>(arg[0]);
  Array retval;
  vtkExecutive  *temp0;
  temp0 = GetVTKPointer<vtkExecutive>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExecutiveCollection:GetNextItem vtkExecutiveCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkExecutiveCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExecutive *GetNextItem ();return static_cast vtkExecutive this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkExecutiveCollection requires 1 argument(s)");
  vtkExecutiveCollection* vtk_pointer = GetVTKPointer<vtkExecutiveCollection>(arg[0]);
  Array retval;
  vtkExecutive  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExecutive",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExecutiveCollection:AddItem vtkExecutiveCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkExecutiveCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkExecutive"))
    return vtkExecutiveCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExecutiveCollectionAddItem");
}

//@@Signature
//sfunction @vtkExecutiveCollection:display vtkExecutiveCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExecutiveCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExecutiveCollection* vtk_pointer = GetVTKPointer<vtkExecutiveCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExecutiveCollection:delete vtkExecutiveCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkExecutiveCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExecutiveCollection
//@@Section VTKFiltering
//@@Usage
// vtkExecutiveCollection is an object that creates and manipulates lists of
// objects that are (inherited from) vtkExecutives.
//
//To create an instance of class vtkExecutiveCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkExecutiveCollection
//@]
//@@Methods
//The class vtkExecutiveCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExecutiveCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExecutiveCollection = obj.NewInstance ()|
// \item @|vtkExecutiveCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkExecutive exec)| -  Get the next executive in the list.
//// \item @|vtkExecutive = obj.GetNextItem ()|
//\end{itemize}
//!
