#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExplicitCell object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExplicitCell.h"

//@@Signature
//sfunction @vtkExplicitCell:vtkExplicitCell vtkExplicitCellConstructorFunction
//input a
//output p
//@@Parents vtkExplicitCell vtkNonLinearCell 
ArrayVector vtkExplicitCellConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExplicitCell::New(),"vtkExplicitCell",eval);
  } else if (arg[0].className() == "vtkExplicitCell") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExplicitCell"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExplicitCell");
    vtkExplicitCell*q = reinterpret_cast<vtkExplicitCell*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExplicitCell");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExplicitCell:GetClassName vtkExplicitCellGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExplicitCellGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExplicitCell requires 1 argument(s)");
  vtkExplicitCell* vtk_pointer = GetVTKPointer<vtkExplicitCell>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExplicitCell:IsA vtkExplicitCellIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExplicitCellIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExplicitCell requires 2 argument(s)");
  vtkExplicitCell* vtk_pointer = GetVTKPointer<vtkExplicitCell>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExplicitCell:NewInstance vtkExplicitCellNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExplicitCellNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExplicitCell *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExplicitCell requires 1 argument(s)");
  vtkExplicitCell* vtk_pointer = GetVTKPointer<vtkExplicitCell>(arg[0]);
  Array retval;
  vtkExplicitCell  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExplicitCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExplicitCell:SafeDownCast vtkExplicitCellSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExplicitCellSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExplicitCell *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExplicitCell requires 2 argument(s)");
  vtkExplicitCell* vtk_pointer = GetVTKPointer<vtkExplicitCell>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExplicitCell  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExplicitCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExplicitCell:IsExplicitCell vtkExplicitCellIsExplicitCellFunction
//input a0 
//output y
ArrayVector vtkExplicitCellIsExplicitCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsExplicitCell ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsExplicitCell for class vtkExplicitCell requires 1 argument(s)");
  vtkExplicitCell* vtk_pointer = GetVTKPointer<vtkExplicitCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsExplicitCell();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExplicitCell:SetCellId vtkExplicitCellSetCellIdFunction
//input a0 a1 
//output none
ArrayVector vtkExplicitCellSetCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellId (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellId for class vtkExplicitCell requires 2 argument(s)");
  vtkExplicitCell* vtk_pointer = GetVTKPointer<vtkExplicitCell>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExplicitCell:GetCellId vtkExplicitCellGetCellIdFunction
//input a0 
//output y
ArrayVector vtkExplicitCellGetCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellId for class vtkExplicitCell requires 1 argument(s)");
  vtkExplicitCell* vtk_pointer = GetVTKPointer<vtkExplicitCell>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExplicitCell:SetDataSet vtkExplicitCellSetDataSetFunction
//input a0 a1 
//output none
ArrayVector vtkExplicitCellSetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataSet (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSet for class vtkExplicitCell requires 2 argument(s)");
  vtkExplicitCell* vtk_pointer = GetVTKPointer<vtkExplicitCell>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExplicitCell:GetDataSet vtkExplicitCellGetDataSetFunction
//input a0 
//output y
ArrayVector vtkExplicitCellGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetDataSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSet for class vtkExplicitCell requires 1 argument(s)");
  vtkExplicitCell* vtk_pointer = GetVTKPointer<vtkExplicitCell>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExplicitCell:display vtkExplicitCellDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExplicitCellDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExplicitCell* vtk_pointer = GetVTKPointer<vtkExplicitCell>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExplicitCell:delete vtkExplicitCellDeleteFunction
//input varargin
//output none
ArrayVector vtkExplicitCellDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExplicitCell
//@@Section VTKFiltering
//@@Usage
// vtkExplicitCell is an abstract superclass for cells that cannot be
// represented implicitly. An implicit representation requires only a
// cell type and connectivity list (e.g., triangle). Explicit cells
// require information beyond this; e.g., a NURBS surface or cells that
// require explicit face/edge descriptions. Most cells in VTK are
// implicitly represented.
//
//To create an instance of class vtkExplicitCell, simply
//invoke its constructor as follows
//@[
//  obj = vtkExplicitCell
//@]
//@@Methods
//The class vtkExplicitCell has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExplicitCell class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExplicitCell = obj.NewInstance ()|
// \item @|vtkExplicitCell = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.IsExplicitCell ()| -  Set/Get the cell id. This is necessary for explicit cells because they
// often need to keep extra information (typically contained in the
// cell data of a point set). This information might be things like
// knot points/weights, boundaries, etc.
//// \item @|obj.SetCellId (vtkIdType )| -  Set/Get the cell id. This is necessary for explicit cells because they
// often need to keep extra information (typically contained in the
// cell data of a point set). This information might be things like
// knot points/weights, boundaries, etc.
//// \item @|vtkIdType = obj.GetCellId ()| -  Set/Get the cell id. This is necessary for explicit cells because they
// often need to keep extra information (typically contained in the
// cell data of a point set). This information might be things like
// knot points/weights, boundaries, etc.
//// \item @|obj.SetDataSet (vtkDataSet )| -  Set/Get the mesh that owns this cell. This is necessary for explicit
// cells because they often need to keep extra information (typically
// contained in the cell data of a point set). This information might be
// things like knot points/weights, boundaries, etc.
//// \item @|vtkDataSet = obj.GetDataSet ()| -  Set/Get the mesh that owns this cell. This is necessary for explicit
// cells because they often need to keep extra information (typically
// contained in the cell data of a point set). This information might be
// things like knot points/weights, boundaries, etc.
////\end{itemize}
//!
