#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFieldData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFieldData.h"

//@@Signature
//sfunction @vtkFieldData:vtkFieldData vtkFieldDataConstructorFunction
//input a
//output p
//@@Parents vtkFieldData vtkObject 
ArrayVector vtkFieldDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFieldData::New(),"vtkFieldData",eval);
  } else if (arg[0].className() == "vtkFieldData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFieldData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFieldData");
    vtkFieldData*q = reinterpret_cast<vtkFieldData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFieldData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFieldData:GetClassName vtkFieldDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFieldDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFieldData requires 1 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:IsA vtkFieldDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:NewInstance vtkFieldDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFieldDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFieldData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFieldData requires 1 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkFieldData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFieldData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:SafeDownCast vtkFieldDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFieldData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFieldData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFieldData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:Initialize vtkFieldDataInitializeFunction
//input a0 
//output none
ArrayVector vtkFieldDataInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkFieldData requires 1 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:Allocate vtkFieldDataAllocateFunction
//input a0 a1 a2 
//output y
ArrayVector vtkFieldDataAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Allocate (const vtkIdType sz, const vtkIdType ext); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkFieldData requires 3 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Allocate(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:CopyStructure vtkFieldDataCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyStructure (vtkFieldData *); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkFieldData  *temp0;
  temp0 = GetVTKPointer<vtkFieldData>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:AllocateArrays vtkFieldDataAllocateArraysFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataAllocateArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllocateArrays (int num); */
  if (arg.size() < 2) 
    throw Exception("Function AllocateArrays for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AllocateArrays(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetNumberOfArrays vtkFieldDataGetNumberOfArraysFunction
//input a0 
//output y
ArrayVector vtkFieldDataGetNumberOfArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfArrays ();return this NumberOfActiveArrays  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfArrays for class vtkFieldData requires 1 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:AddArray vtkFieldDataAddArrayFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataAddArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddArray (vtkAbstractArray *array); */
  if (arg.size() < 2) 
    throw Exception("Function AddArray for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  temp20 = (vtk_pointer)->AddArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:RemoveArray__1 vtkFieldDataRemoveArray__1Function
//input a0 a1 
//output none
ArrayVector vtkFieldDataRemoveArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveArray (const char *name);int i this GetAbstractArray name i this RemoveArray i  */
  if (arg.size() < 2) 
    throw Exception("Function RemoveArray__1 for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetArray__1 vtkFieldDataGetArray__1Function
//input a0 a1 
//output y
ArrayVector vtkFieldDataGetArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetArray (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetArray__1 for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetArray(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetArray__3 vtkFieldDataGetArray__3Function
//input a0 a1 
//output y
ArrayVector vtkFieldDataGetArray__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetArray (const char *arrayName);int i return this GetArray arrayName i  */
  if (arg.size() < 2) 
    throw Exception("Function GetArray__3 for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  char    *temp0;
  vtkDataArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetArray(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetAbstractArray__1 vtkFieldDataGetAbstractArray__1Function
//input a0 a1 
//output y
ArrayVector vtkFieldDataGetAbstractArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *GetAbstractArray (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetAbstractArray__1 for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  int      temp0;
  vtkAbstractArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAbstractArray(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetAbstractArray__3 vtkFieldDataGetAbstractArray__3Function
//input a0 a1 
//output y
ArrayVector vtkFieldDataGetAbstractArray__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *GetAbstractArray (const char *arrayName);int i return this GetAbstractArray arrayName i  */
  if (arg.size() < 2) 
    throw Exception("Function GetAbstractArray__3 for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  char    *temp0;
  vtkAbstractArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetAbstractArray(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:HasArray vtkFieldDataHasArrayFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataHasArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasArray (const char *name);int i vtkAbstractArray array this GetAbstractArray name i return array  */
  if (arg.size() < 2) 
    throw Exception("Function HasArray for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->HasArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetArrayName vtkFieldDataGetArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetArrayName (int i);vtkAbstractArray da this GetAbstractArray i return da da GetName  */
  if (arg.size() < 2) 
    throw Exception("Function GetArrayName for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:PassData vtkFieldDataPassDataFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataPassDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PassData (vtkFieldData *fd); */
  if (arg.size() < 2) 
    throw Exception("Function PassData for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkFieldData  *temp0;
  temp0 = GetVTKPointer<vtkFieldData>(arg[1]);
  vtk_pointer->PassData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:CopyFieldOn vtkFieldDataCopyFieldOnFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataCopyFieldOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyFieldOn (const char *name);this CopyFieldOnOff name  */
  if (arg.size() < 2) 
    throw Exception("Function CopyFieldOn for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->CopyFieldOn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:CopyFieldOff vtkFieldDataCopyFieldOffFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataCopyFieldOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyFieldOff (const char *name);this CopyFieldOnOff name  */
  if (arg.size() < 2) 
    throw Exception("Function CopyFieldOff for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->CopyFieldOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:CopyAllOn vtkFieldDataCopyAllOnFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataCopyAllOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyAllOn (int unused); */
  if (arg.size() < 2) 
    throw Exception("Function CopyAllOn for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->CopyAllOn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:CopyAllOff vtkFieldDataCopyAllOffFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataCopyAllOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyAllOff (int unused); */
  if (arg.size() < 2) 
    throw Exception("Function CopyAllOff for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->CopyAllOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:DeepCopy vtkFieldDataDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkFieldData *da); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkFieldData  *temp0;
  temp0 = GetVTKPointer<vtkFieldData>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:ShallowCopy vtkFieldDataShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkFieldData *da); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkFieldData  *temp0;
  temp0 = GetVTKPointer<vtkFieldData>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:Squeeze vtkFieldDataSqueezeFunction
//input a0 
//output none
ArrayVector vtkFieldDataSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze (); */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkFieldData requires 1 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:Reset vtkFieldDataResetFunction
//input a0 
//output none
ArrayVector vtkFieldDataResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkFieldData requires 1 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetActualMemorySize vtkFieldDataGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkFieldDataGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkFieldData requires 1 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetMTime vtkFieldDataGetMTimeFunction
//input a0 
//output y
ArrayVector vtkFieldDataGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkFieldData requires 1 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetField vtkFieldDataGetFieldFunction
//input a0 a1 a2 
//output none
ArrayVector vtkFieldDataGetFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetField (vtkIdList *ptId, vtkFieldData *f); */
  if (arg.size() < 3) 
    throw Exception("Function GetField for class vtkFieldData requires 3 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  vtkFieldData  *temp1;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp1 = GetVTKPointer<vtkFieldData>(arg[2]);
  vtk_pointer->GetField(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetNumberOfComponents vtkFieldDataGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkFieldDataGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkFieldData requires 1 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetNumberOfTuples vtkFieldDataGetNumberOfTuplesFunction
//input a0 
//output y
ArrayVector vtkFieldDataGetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTuples (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTuples for class vtkFieldData requires 1 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTuples();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:SetNumberOfTuples vtkFieldDataSetNumberOfTuplesFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataSetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfTuples (const vtkIdType number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTuples for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTuples(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:SetTuple__1 vtkFieldDataSetTuple__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFieldDataSetTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTuple (const vtkIdType i, const vtkIdType j, vtkFieldData *source); */
  if (arg.size() < 4) 
    throw Exception("Function SetTuple__1 for class vtkFieldData requires 4 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkFieldData  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkFieldData>(arg[3]);
  vtk_pointer->SetTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:InsertTuple__1 vtkFieldDataInsertTuple__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFieldDataInsertTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTuple (const vtkIdType i, const vtkIdType j, vtkFieldData *source); */
  if (arg.size() < 4) 
    throw Exception("Function InsertTuple__1 for class vtkFieldData requires 4 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkFieldData  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkFieldData>(arg[3]);
  vtk_pointer->InsertTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:InsertNextTuple__1 vtkFieldDataInsertNextTuple__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkFieldDataInsertNextTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextTuple (const vtkIdType j, vtkFieldData *source); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextTuple__1 for class vtkFieldData requires 3 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkFieldData  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkFieldData>(arg[2]);
  temp20 = (vtk_pointer)->InsertNextTuple(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetTuple__2 vtkFieldDataGetTuple__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkFieldDataGetTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTuple (const vtkIdType i, double *tuple); */
  if (arg.size() < 3) 
    throw Exception("Function GetTuple__2 for class vtkFieldData requires 3 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->GetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:SetTuple__2 vtkFieldDataSetTuple__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkFieldDataSetTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTuple (const vtkIdType i, const double *tuple); */
  if (arg.size() < 3) 
    throw Exception("Function SetTuple__2 for class vtkFieldData requires 3 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->SetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:InsertTuple__2 vtkFieldDataInsertTuple__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkFieldDataInsertTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertTuple (const vtkIdType i, const double *tuple); */
  if (arg.size() < 3) 
    throw Exception("Function InsertTuple__2 for class vtkFieldData requires 3 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InsertTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:InsertNextTuple__2 vtkFieldDataInsertNextTuple__2Function
//input a0 a1 
//output y
ArrayVector vtkFieldDataInsertNextTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextTuple (const double *tuple); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextTuple__2 for class vtkFieldData requires 2 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdType   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->InsertNextTuple(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:GetComponent vtkFieldDataGetComponentFunction
//input a0 a1 a2 
//output y
ArrayVector vtkFieldDataGetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetComponent (const vtkIdType i, const int j); */
  if (arg.size() < 3) 
    throw Exception("Function GetComponent for class vtkFieldData requires 3 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetComponent(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:SetComponent vtkFieldDataSetComponentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFieldDataSetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponent (const vtkIdType i, const int j, const double c); */
  if (arg.size() < 4) 
    throw Exception("Function SetComponent for class vtkFieldData requires 4 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:InsertComponent vtkFieldDataInsertComponentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFieldDataInsertComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertComponent (const vtkIdType i, const int j, const double c); */
  if (arg.size() < 4) 
    throw Exception("Function InsertComponent for class vtkFieldData requires 4 argument(s)");
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->InsertComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFieldData:RemoveArray vtkFieldDataRemoveArrayFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataRemoveArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkFieldDataRemoveArray__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataRemoveArray");
}

//@@Signature
//sfunction @vtkFieldData:GetArray vtkFieldDataGetArrayFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataGetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkFieldDataGetArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkFieldDataGetArray__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataGetArray");
}

//@@Signature
//sfunction @vtkFieldData:GetAbstractArray vtkFieldDataGetAbstractArrayFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataGetAbstractArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkFieldDataGetAbstractArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkFieldDataGetAbstractArray__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataGetAbstractArray");
}

//@@Signature
//sfunction @vtkFieldData:SetTuple vtkFieldDataSetTupleFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataSetTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkFieldData"))
    return vtkFieldDataSetTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkFieldDataSetTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataSetTuple");
}

//@@Signature
//sfunction @vtkFieldData:InsertTuple vtkFieldDataInsertTupleFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataInsertTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkFieldData"))
    return vtkFieldDataInsertTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkFieldDataInsertTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataInsertTuple");
}

//@@Signature
//sfunction @vtkFieldData:InsertNextTuple vtkFieldDataInsertNextTupleFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataInsertNextTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkFieldData"))
    return vtkFieldDataInsertNextTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFieldDataInsertNextTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataInsertNextTuple");
}

//@@Signature
//sfunction @vtkFieldData:GetTuple vtkFieldDataGetTupleFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataGetTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkFieldDataGetTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataGetTuple");
}

//@@Signature
//sfunction @vtkFieldData:display vtkFieldDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFieldData* vtk_pointer = GetVTKPointer<vtkFieldData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFieldData:delete vtkFieldDataDeleteFunction
//input varargin
//output none
ArrayVector vtkFieldDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFieldData
//@@Section VTKFiltering
//@@Usage
// vtkFieldData represents and manipulates fields of data. The model of a field
// is a m x n matrix of data values, where m is the number of tuples, and n
// is the number of components. (A tuple is a row of n components in the
// matrix.) The field is assumed to be composed of a set of one or more data
// arrays, where the data in the arrays are of different types (e.g., int,
// double, char, etc.), and there may be variable numbers of components in
// each array. Note that each data array is assumed to be "m" in length
// (i.e., number of tuples), which typically corresponds to the number of
// points or cells in a dataset. Also, each data array must have a
// character-string name. (This is used to manipulate data.)
//
// There are two ways of manipulating and interfacing to fields. You can do
// it generically by manipulating components/tuples via a double-type data
// exchange, or you can do it by grabbing the arrays and manipulating them
// directly. The former is simpler but performs type conversion, which is bad
// if your data has non-castable types like (void) pointers, or you lose
// information as a result of the cast. The, more efficient method means
// managing each array in the field.  Using this method you can create
// faster, more efficient algorithms that do not lose information.
//
//To create an instance of class vtkFieldData, simply
//invoke its constructor as follows
//@[
//  obj = vtkFieldData
//@]
//@@Methods
//The class vtkFieldData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFieldData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFieldData = obj.NewInstance ()|
// \item @|vtkFieldData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Release all data but do not delete object.
// Also, clear the copy flags.
//// \item @|int = obj.Allocate (vtkIdType sz, vtkIdType ext)| -  Allocate data for each array.
// Note that ext is no longer used.
//// \item @|obj.CopyStructure (vtkFieldData )| -  Copy data array structure from a given field.  The same arrays
// will exist with the same types, but will contain nothing in the
// copy.
//// \item @|obj.AllocateArrays (int num)| -  AllocateOfArrays actually sets the number of
// vtkAbstractArray pointers in the vtkFieldData object, not the
// number of used pointers (arrays). Adding more arrays will
// cause the object to dynamically adjust the number of pointers
// if it needs to extend. Although AllocateArrays can
// be used if the number of arrays which will be added is
// known, it can be omitted with a small computation cost.
//// \item @|int = obj.GetNumberOfArrays ()| -  Add an array to the array list. If an array with the same name
// already exists - then the added array will replace it.
//// \item @|int = obj.AddArray (vtkAbstractArray array)| -  Add an array to the array list. If an array with the same name
// already exists - then the added array will replace it.
//// \item @|obj.RemoveArray (string name)| -  Return the ith array in the field. A NULL is returned if the
// index i is out of range. A NULL is returned if the array at the given 
// index is not a vtkDataArray.
//// \item @|vtkDataArray = obj.GetArray (int i)| -  Return the ith array in the field. A NULL is returned if the
// index i is out of range. A NULL is returned if the array at the given 
// index is not a vtkDataArray.
//// \item @|vtkDataArray = obj.GetArray (string arrayName)| -  Returns the ith array in the field. Unlike GetArray(), this method returns
// a vtkAbstractArray. A NULL is returned only if the index i is 
// out of range.
//// \item @|vtkAbstractArray = obj.GetAbstractArray (int i)| -  Returns the ith array in the field. Unlike GetArray(), this method returns
// a vtkAbstractArray. A NULL is returned only if the index i is 
// out of range.
//// \item @|vtkAbstractArray = obj.GetAbstractArray (string arrayName)| -  Return 1 if an array with the given name could be found. 0 otherwise.
//// \item @|int = obj.HasArray (string name)| -  Get the name of ith array.
// Note that this is equivalent to:
// GetAbstractArray(i)->GetName() if ith array pointer is not NULL
//// \item @|string = obj.GetArrayName (int i)| -  Pass entire arrays of input data through to output. Obey the "copy"
// flags.
//// \item @|obj.PassData (vtkFieldData fd)| -  Pass entire arrays of input data through to output. Obey the "copy"
// flags.
//// \item @|obj.CopyFieldOn (string name)| -  Turn on/off the copying of the field specified by name.
// During the copying/passing, the following rules are followed for each
// array:
// 1. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 2.
// 2. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyFieldOff (string name)| -  Turn on copying of all data.
// During the copying/passing, the following rules are followed for each
// array:
// 1. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 2.
// 2. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyAllOn (int unused)| -  Turn on copying of all data.
// During the copying/passing, the following rules are followed for each
// array:
// 1. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 2.
// 2. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyAllOff (int unused)| -  Turn off copying of all data.
// During the copying/passing, the following rules are followed for each
// array:
// 1. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 2.
// 2. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.DeepCopy (vtkFieldData da)| -  Copy a field by creating new data arrays (i.e., duplicate storage).
//// \item @|obj.ShallowCopy (vtkFieldData da)| -  Copy a field by reference counting the data arrays.
//// \item @|obj.Squeeze ()| -  Squeezes each data array in the field (Squeeze() reclaims unused memory.)
//// \item @|obj.Reset ()| -  Resets each data array in the field (Reset() does not release memory but
// it makes the arrays look like they are empty.)
//// \item @|long = obj.GetActualMemorySize ()| -  Return the memory in kilobytes consumed by this field data. Used to
// support streaming and reading/writing data. The value returned is
// guaranteed to be greater than or equal to the memory required to
// actually represent the data represented by this object.
//// \item @|long = obj.GetMTime ()| -  Check object's components for modified times.
//// \item @|obj.GetField (vtkIdList ptId, vtkFieldData f)| -  Get a field from a list of ids. Supplied field f should have same
// types and number of data arrays as this one (i.e., like
// CopyStructure() creates).  This method should not be used if the
// instance is from a subclass of vtkFieldData (vtkPointData or
// vtkCellData).  This is because in those cases, the attribute data
// is stored with the other fields and will cause the method to
// behave in an unexpected way.
//// \item @|int = obj.GetNumberOfComponents ()| -  Get the number of components in the field. This is determined by adding
// up the components in each non-NULL array.
// This method should not be used if the instance is from a
// subclass of vtkFieldData (vtkPointData or vtkCellData).
// This is because in those cases, the attribute data is 
// stored with the other fields and will cause the method
// to behave in an unexpected way.
//// \item @|vtkIdType = obj.GetNumberOfTuples ()| -  Get the number of tuples in the field. Note: some fields have arrays with
// different numbers of tuples; this method returns the number of tuples in
// the first array. Mixed-length arrays may have to be treated specially.
// This method should not be used if the instance is from a
// subclass of vtkFieldData (vtkPointData or vtkCellData).
// This is because in those cases, the attribute data is 
// stored with the other fields and will cause the method
// to behave in an unexpected way.
//// \item @|obj.SetNumberOfTuples (vtkIdType number)| -  Set the number of tuples for each data array in the field.
// This method should not be used if the instance is from a
// subclass of vtkFieldData (vtkPointData or vtkCellData).
// This is because in those cases, the attribute data is 
// stored with the other fields and will cause the method
// to behave in an unexpected way.
//// \item @|obj.SetTuple (vtkIdType i, vtkIdType j, vtkFieldData source)| -  Set the jth tuple in source field data at the ith location. 
// Set operations mean that no range checking is performed, so 
// they're faster.
//// \item @|obj.InsertTuple (vtkIdType i, vtkIdType j, vtkFieldData source)| -  Insert the jth tuple in source field data at the ith location. 
// Range checking is performed and memory allocates as necessary.
//// \item @|vtkIdType = obj.InsertNextTuple (vtkIdType j, vtkFieldData source)| -  Insert the jth tuple in source field data  at the end of the 
// tuple matrix. Range checking is performed and memory is allocated 
// as necessary.
//// \item @|obj.GetTuple (vtkIdType i, double tuple)| -  Copy the ith tuple value into a user provided tuple array. Make
// sure that you've allocated enough space for the copy.
// @deprecated as of VTK 5.2. Using this method for FieldData
// having arrays that are not subclasses of vtkDataArray may
// yield unexpected results.
//// \item @|obj.SetTuple (vtkIdType i, double tuple)| -  Set the tuple value at the ith location. Set operations
// mean that no range checking is performed, so they're faster.
// @deprecated as of VTK 5.2. Using this method for FieldData
// having arrays that are not subclasses of vtkDataArray may
// yield unexpected results.
//// \item @|obj.InsertTuple (vtkIdType i, double tuple)| -  Insert the tuple value at the ith location. Range checking is
// performed and memory allocates as necessary.
// @deprecated as of VTK 5.2. Using this method for FieldData
// having arrays that are not subclasses of vtkDataArray may
// yield unexpected results.
//// \item @|vtkIdType = obj.InsertNextTuple (double tuple)| -  Insert the tuple value at the end of the tuple matrix. Range
// checking is performed and memory is allocated as necessary.
// @deprecated as of VTK 5.2. Using this method for FieldData
// having arrays that are not subclasses of vtkDataArray may
// yield unexpected results.
//// \item @|double = obj.GetComponent (vtkIdType i, int j)| -  Get the component value at the ith tuple (or row) and jth component (or
// column).
// @deprecated as of VTK 5.2. Using this method for FieldData
// having arrays that are not subclasses of vtkDataArray may
// yield unexpected results.
//// \item @|obj.SetComponent (vtkIdType i, int j, double c)| -  Set the component value at the ith tuple (or row) and jth component (or
// column).  Range checking is not performed, so set the object up properly
// before invoking.
// @deprecated as of VTK 5.2. Using this method for FieldData
// having arrays that are not subclasses of vtkDataArray may
// yield unexpected results.
//// \item @|obj.InsertComponent (vtkIdType i, int j, double c)| -  Insert the component value at the ith tuple (or row) and jth component
// (or column).  Range checking is performed and memory allocated as
// necessary o hold data.
// @deprecated as of VTK 5.2. Using this method for FieldData
// having arrays that are not subclasses of vtkDataArray may
// yield unexpected results.
////\end{itemize}
//!
