#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericAdaptorCell object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericAdaptorCell.h"

//@@Signature
//sfunction @vtkGenericAdaptorCell:vtkGenericAdaptorCell vtkGenericAdaptorCellConstructorFunction
//input a
//output p
//@@Parents vtkGenericAdaptorCell vtkObject 
ArrayVector vtkGenericAdaptorCellConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericAdaptorCell::New(),"vtkGenericAdaptorCell",eval);
  } else if (arg[0].className() == "vtkGenericAdaptorCell") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericAdaptorCell"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericAdaptorCell");
    vtkGenericAdaptorCell*q = reinterpret_cast<vtkGenericAdaptorCell*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericAdaptorCell");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericAdaptorCell:GetClassName vtkGenericAdaptorCellGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:IsA vtkGenericAdaptorCellIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:NewInstance vtkGenericAdaptorCellNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericAdaptorCell *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAdaptorCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:SafeDownCast vtkGenericAdaptorCellSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericAdaptorCell *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericAdaptorCell  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAdaptorCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetId vtkGenericAdaptorCellGetIdFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellGetIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetId () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetId for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:IsInDataSet vtkGenericAdaptorCellIsInDataSetFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellIsInDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsInDataSet () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function IsInDataSet for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsInDataSet();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetType vtkGenericAdaptorCellGetTypeFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellGetTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetType () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetType for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetDimension vtkGenericAdaptorCellGetDimensionFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetGeometryOrder vtkGenericAdaptorCellGetGeometryOrderFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellGetGeometryOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetGeometryOrder () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetGeometryOrder for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeometryOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:IsGeometryLinear vtkGenericAdaptorCellIsGeometryLinearFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellIsGeometryLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsGeometryLinear (); */
  if (arg.size() < 1) 
    throw Exception("Function IsGeometryLinear for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsGeometryLinear();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetAttributeOrder vtkGenericAdaptorCellGetAttributeOrderFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellGetAttributeOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetAttributeOrder (vtkGenericAttribute *a) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributeOrder for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericAttribute  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkGenericAttribute>(arg[1]);
  temp20 = (vtk_pointer)->GetAttributeOrder(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetHighestOrderAttribute vtkGenericAdaptorCellGetHighestOrderAttributeFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellGetHighestOrderAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetHighestOrderAttribute (vtkGenericAttributeCollection *ac); */
  if (arg.size() < 2) 
    throw Exception("Function GetHighestOrderAttribute for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericAttributeCollection  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkGenericAttributeCollection>(arg[1]);
  temp20 = (vtk_pointer)->GetHighestOrderAttribute(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:IsAttributeLinear vtkGenericAdaptorCellIsAttributeLinearFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellIsAttributeLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsAttributeLinear (vtkGenericAttribute *a); */
  if (arg.size() < 2) 
    throw Exception("Function IsAttributeLinear for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericAttribute  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkGenericAttribute>(arg[1]);
  temp20 = (vtk_pointer)->IsAttributeLinear(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:IsPrimary vtkGenericAdaptorCellIsPrimaryFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellIsPrimaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsPrimary () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function IsPrimary for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsPrimary();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetNumberOfPoints vtkGenericAdaptorCellGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfPoints () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetNumberOfBoundaries vtkGenericAdaptorCellGetNumberOfBoundariesFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellGetNumberOfBoundariesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfBoundaries (int dim) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfBoundaries for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfBoundaries(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetNumberOfDOFNodes vtkGenericAdaptorCellGetNumberOfDOFNodesFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellGetNumberOfDOFNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfDOFNodes () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfDOFNodes for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfDOFNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetPointIterator vtkGenericAdaptorCellGetPointIteratorFunction
//input a0 a1 
//output none
ArrayVector vtkGenericAdaptorCellGetPointIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointIterator (vtkGenericPointIterator *it) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPointIterator for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericPointIterator  *temp0;
  temp0 = GetVTKPointer<vtkGenericPointIterator>(arg[1]);
  vtk_pointer->GetPointIterator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:NewCellIterator vtkGenericAdaptorCellNewCellIteratorFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellNewCellIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGenericCellIterator *NewCellIterator () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function NewCellIterator for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericCellIterator  *temp20;
  temp20 = (vtk_pointer)->NewCellIterator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericCellIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetBoundaryIterator vtkGenericAdaptorCellGetBoundaryIteratorFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericAdaptorCellGetBoundaryIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBoundaryIterator (vtkGenericCellIterator *boundaries, int dim) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetBoundaryIterator for class vtkGenericAdaptorCell requires 3 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericCellIterator  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkGenericCellIterator>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->GetBoundaryIterator(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:CountNeighbors vtkGenericAdaptorCellCountNeighborsFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellCountNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CountNeighbors (vtkGenericAdaptorCell *boundary) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function CountNeighbors for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkGenericAdaptorCell>(arg[1]);
  temp20 = (vtk_pointer)->CountNeighbors(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:CountEdgeNeighbors vtkGenericAdaptorCellCountEdgeNeighborsFunction
//input a0 a1 
//output none
ArrayVector vtkGenericAdaptorCellCountEdgeNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CountEdgeNeighbors (int *sharing) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function CountEdgeNeighbors for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->CountEdgeNeighbors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetNeighbors vtkGenericAdaptorCellGetNeighborsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericAdaptorCellGetNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetNeighbors (vtkGenericAdaptorCell *boundary, vtkGenericCellIterator *neighbors) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetNeighbors for class vtkGenericAdaptorCell requires 3 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericCellIterator  *temp1;
  temp0 = GetVTKPointer<vtkGenericAdaptorCell>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericCellIterator>(arg[2]);
  vtk_pointer->GetNeighbors(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:EvaluateLocation vtkGenericAdaptorCellEvaluateLocationFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGenericAdaptorCellEvaluateLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EvaluateLocation (int subId, double pcoords[3], double x[3]) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateLocation for class vtkGenericAdaptorCell requires 4 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double temp2[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateLocation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:InterpolateTuple__1 vtkGenericAdaptorCellInterpolateTuple__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGenericAdaptorCellInterpolateTuple__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateTuple (vtkGenericAttribute *a, double pcoords[3], double *val) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function InterpolateTuple__1 for class vtkGenericAdaptorCell requires 4 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericAttribute  *temp0;
  double temp1[3];
  double  *temp2;
  temp0 = GetVTKPointer<vtkGenericAttribute>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:InterpolateTuple__2 vtkGenericAdaptorCellInterpolateTuple__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGenericAdaptorCellInterpolateTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateTuple (vtkGenericAttributeCollection *c, double pcoords[3], double *val) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function InterpolateTuple__2 for class vtkGenericAdaptorCell requires 4 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericAttributeCollection  *temp0;
  double temp1[3];
  double  *temp2;
  temp0 = GetVTKPointer<vtkGenericAttributeCollection>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateTuple(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:Contour vtkGenericAdaptorCellContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 a12 a13 
//output none
ArrayVector vtkGenericAdaptorCellContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Contour (vtkContourValues *values, vtkImplicitFunction *f, vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *outPd, vtkCellData *outCd, vtkPointData *internalPd, vtkPointData *secondaryPd, vtkCellData *secondaryCd); */
  if (arg.size() < 14) 
    throw Exception("Function Contour for class vtkGenericAdaptorCell requires 14 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkContourValues  *temp0;
  vtkImplicitFunction  *temp1;
  vtkGenericAttributeCollection  *temp2;
  vtkGenericCellTessellator  *temp3;
  vtkIncrementalPointLocator  *temp4;
  vtkCellArray  *temp5;
  vtkCellArray  *temp6;
  vtkCellArray  *temp7;
  vtkPointData  *temp8;
  vtkCellData  *temp9;
  vtkPointData  *temp10;
  vtkPointData  *temp11;
  vtkCellData  *temp12;
  temp0 = GetVTKPointer<vtkContourValues>(arg[1]);
  temp1 = GetVTKPointer<vtkImplicitFunction>(arg[2]);
  temp2 = GetVTKPointer<vtkGenericAttributeCollection>(arg[3]);
  temp3 = GetVTKPointer<vtkGenericCellTessellator>(arg[4]);
  temp4 = GetVTKPointer<vtkIncrementalPointLocator>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkCellArray>(arg[7]);
  temp7 = GetVTKPointer<vtkCellArray>(arg[8]);
  temp8 = GetVTKPointer<vtkPointData>(arg[9]);
  temp9 = GetVTKPointer<vtkCellData>(arg[10]);
  temp10 = GetVTKPointer<vtkPointData>(arg[11]);
  temp11 = GetVTKPointer<vtkPointData>(arg[12]);
  temp12 = GetVTKPointer<vtkCellData>(arg[13]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11,temp12);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:Clip vtkGenericAdaptorCellClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 a12 
//output none
ArrayVector vtkGenericAdaptorCellClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Clip (double value, vtkImplicitFunction *f, vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, int insideOut, vtkIncrementalPointLocator *locator, vtkCellArray *connectivity, vtkPointData *outPd, vtkCellData *outCd, vtkPointData *internalPd, vtkPointData *secondaryPd, vtkCellData *secondaryCd); */
  if (arg.size() < 13) 
    throw Exception("Function Clip for class vtkGenericAdaptorCell requires 13 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  double   temp0;
  vtkImplicitFunction  *temp1;
  vtkGenericAttributeCollection  *temp2;
  vtkGenericCellTessellator  *temp3;
  int      temp4;
  vtkIncrementalPointLocator  *temp5;
  vtkCellArray  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkPointData  *temp9;
  vtkPointData  *temp10;
  vtkCellData  *temp11;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkImplicitFunction>(arg[2]);
  temp2 = GetVTKPointer<vtkGenericAttributeCollection>(arg[3]);
  temp3 = GetVTKPointer<vtkGenericCellTessellator>(arg[4]);
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp5 = GetVTKPointer<vtkIncrementalPointLocator>(arg[6]);
  temp6 = GetVTKPointer<vtkCellArray>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  temp9 = GetVTKPointer<vtkPointData>(arg[10]);
  temp10 = GetVTKPointer<vtkPointData>(arg[11]);
  temp11 = GetVTKPointer<vtkCellData>(arg[12]);
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:Derivatives vtkGenericAdaptorCellDerivativesFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkGenericAdaptorCellDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Derivatives (int subId, double pcoords[3], vtkGenericAttribute *attribute, double *derivs) = 0; */
  if (arg.size() < 5) 
    throw Exception("Function Derivatives for class vtkGenericAdaptorCell requires 5 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkGenericAttribute  *temp2;
  double  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkGenericAttribute>(arg[5]);
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetBounds__1 vtkGenericAdaptorCellGetBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkGenericAdaptorCellGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double bounds[6]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__1 for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetLength2 vtkGenericAdaptorCellGetLength2Function
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellGetLength2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetLength2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength2 for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength2();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetParametricCenter vtkGenericAdaptorCellGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetParametricCenter (double pcoords[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetParametricDistance vtkGenericAdaptorCellGetParametricDistanceFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellGetParametricDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetParametricDistance (double pcoords[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricDistance for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricDistance(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:Tessellate vtkGenericAdaptorCellTessellateFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkGenericAdaptorCellTessellateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Tessellate (vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, vtkPoints *points, vtkIncrementalPointLocator *locator, vtkCellArray *cellArray, vtkPointData *internalPd, vtkPointData *pd, vtkCellData *cd, vtkUnsignedCharArray *types); */
  if (arg.size() < 10) 
    throw Exception("Function Tessellate for class vtkGenericAdaptorCell requires 10 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericAttributeCollection  *temp0;
  vtkGenericCellTessellator  *temp1;
  vtkPoints  *temp2;
  vtkIncrementalPointLocator  *temp3;
  vtkCellArray  *temp4;
  vtkPointData  *temp5;
  vtkPointData  *temp6;
  vtkCellData  *temp7;
  vtkUnsignedCharArray  *temp8;
  temp0 = GetVTKPointer<vtkGenericAttributeCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericCellTessellator>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp3 = GetVTKPointer<vtkIncrementalPointLocator>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkCellData>(arg[8]);
  temp8 = GetVTKPointer<vtkUnsignedCharArray>(arg[9]);
  vtk_pointer->Tessellate(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:IsFaceOnBoundary vtkGenericAdaptorCellIsFaceOnBoundaryFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellIsFaceOnBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsFaceOnBoundary (vtkIdType faceId) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function IsFaceOnBoundary for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsFaceOnBoundary(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:IsOnBoundary vtkGenericAdaptorCellIsOnBoundaryFunction
//input a0 
//output y
ArrayVector vtkGenericAdaptorCellIsOnBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsOnBoundary () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function IsOnBoundary for class vtkGenericAdaptorCell requires 1 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsOnBoundary();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:TriangulateFace vtkGenericAdaptorCellTriangulateFaceFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkGenericAdaptorCellTriangulateFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TriangulateFace (vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, int index, vtkPoints *points, vtkIncrementalPointLocator *locator, vtkCellArray *cellArray, vtkPointData *internalPd, vtkPointData *pd, vtkCellData *cd); */
  if (arg.size() < 10) 
    throw Exception("Function TriangulateFace for class vtkGenericAdaptorCell requires 10 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  vtkGenericAttributeCollection  *temp0;
  vtkGenericCellTessellator  *temp1;
  int      temp2;
  vtkPoints  *temp3;
  vtkIncrementalPointLocator  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  temp0 = GetVTKPointer<vtkGenericAttributeCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericCellTessellator>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkPoints>(arg[4]);
  temp4 = GetVTKPointer<vtkIncrementalPointLocator>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  vtk_pointer->TriangulateFace(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetNumberOfVerticesOnFace vtkGenericAdaptorCellGetNumberOfVerticesOnFaceFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAdaptorCellGetNumberOfVerticesOnFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfVerticesOnFace (int faceId) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfVerticesOnFace for class vtkGenericAdaptorCell requires 2 argument(s)");
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfVerticesOnFace(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:InterpolateTuple vtkGenericAdaptorCellInterpolateTupleFunction
//input varargin
//output varargout
ArrayVector vtkGenericAdaptorCellInterpolateTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkGenericAttribute") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkGenericAdaptorCellInterpolateTuple__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkGenericAttributeCollection") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkGenericAdaptorCellInterpolateTuple__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericAdaptorCellInterpolateTuple");
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:GetBounds vtkGenericAdaptorCellGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkGenericAdaptorCellGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGenericAdaptorCellGetBounds__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericAdaptorCellGetBounds");
}

//@@Signature
//sfunction @vtkGenericAdaptorCell:display vtkGenericAdaptorCellDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericAdaptorCellDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericAdaptorCell* vtk_pointer = GetVTKPointer<vtkGenericAdaptorCell>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericAdaptorCell:delete vtkGenericAdaptorCellDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericAdaptorCellDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericAdaptorCell
//@@Section VTKFiltering
//@@Usage
// In VTK, spatial-temporal data is defined in terms of a dataset which is
// composed of cells. The cells are topological entities over which an 
// interpolation field is applied. Cells are defined in terms of a topology
// (e.g., vertices, lines, triangles, polygons, tetrahedra, etc.), points
// that instantiate the geometry of the cells, and interpolation fields
// (in the general case one interpolation field is for geometry, the other
// is for attribute data associated with the cell).
//
// Currently most algorithms in VTK use vtkCell and vtkDataSet, which make 
// assumptions about the nature of datasets, cells, and attributes. In
// particular, this abstraction assumes that cell interpolation functions
// are linear, or products of linear functions. Further, VTK implements
// most of the interpolation functions. This implementation starts breaking
// down as the complexity of the interpolation (or basis) functions
// increases. 
//
// vtkGenericAdaptorCell addresses these issues by providing more general
// abstraction for cells. It also adopts modern C++ practices including using
// iterators. The vtkGenericAdaptorCell is designed to fit within the adaptor
// framework; meaning that it is meant to adapt VTK to external simulation
// systems (see the GenericFiltering/README.html).
//
// Please note that most cells are defined in terms of other cells (the
// boundary cells). They are also defined in terms of points, which are
// not the same as vertices (vertices are a 0-D cell; points represent a
// position in space).
//
// Another important concept is the notion of DOFNodes. These concept
// supports cell types with complex interpolation functions. For example,
// higher-order p-method finite elements may have different functions on each
// of their topological features (edges, faces, region). The coefficients of
// these polynomial functions are associated with DOFNodes. (There is a
// single DOFNode for each topological feature.) Note that from this
// perspective, points are used to establish the topological form of the 
// cell; mid-side nodes and such are considered DOFNodes.
//
//To create an instance of class vtkGenericAdaptorCell, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericAdaptorCell
//@]
//@@Methods
//The class vtkGenericAdaptorCell has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericAdaptorCell class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericAdaptorCell = obj.NewInstance ()|
// \item @|vtkGenericAdaptorCell = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.GetId ()| -  Unique identification number of the cell over the whole
// data set. This unique key may not be contiguous.
//// \item @|int = obj.IsInDataSet ()| -  Does `this' a cell of a dataset? (otherwise, it is a boundary cell)
//// \item @|int = obj.GetType ()| -  Return the type of the current cell.
// \post (result==VTK_HIGHER_ORDER_EDGE)||
//       (result==VTK_HIGHER_ORDER_TRIANGLE)||
//       (result==VTK_HIGHER_ORDER_TETRAHEDRON)
//// \item @|int = obj.GetDimension ()| -  Return the topological dimension of the current cell.
// \post valid_result: result>=0 && result<=3
//// \item @|int = obj.GetGeometryOrder ()| -  Return the interpolation order of the geometry.
// \post positive_result: result>=0
//// \item @|int = obj.IsGeometryLinear ()| -  Does the cell have a non-linear interpolation for the geometry?
// \post definition: result==(GetGeometryOrder()==1)
//// \item @|int = obj.GetAttributeOrder (vtkGenericAttribute a)| -  Return the interpolation order of attribute `a' on the cell
// (may differ by cell).  
// \pre a_exists: a!=0 
// \post positive_result: result>=0
//// \item @|int = obj.GetHighestOrderAttribute (vtkGenericAttributeCollection ac)| -  Return the index of the first point centered attribute with the highest
// order in `ac'.
// \pre ac_exists: ac!=0
// \post valid_result: result>=-1 && result<ac->GetNumberOfAttributes()
//// \item @|int = obj.IsAttributeLinear (vtkGenericAttribute a)| -  Does the attribute `a' have a non-linear interpolation?
// \pre a_exists: a!=0
// \post definition: result==(GetAttributeOrder()==1)
//// \item @|int = obj.IsPrimary ()| -  Is the cell primary (i.e. not composite) ?
//// \item @|int = obj.GetNumberOfPoints ()| -  Return the number of corner points that compose the cell.
// \post positive_result: result>=0
//// \item @|int = obj.GetNumberOfBoundaries (int dim)| -  Return the number of boundaries of dimension `dim' (or all dimensions
// greater than 0 and less than GetDimension() if -1) of the cell.
// When \a dim is -1, the number of vertices is not included in the
// count because vertices are a special case: a vertex will have
// at most a single field value associated with it; DOF nodes may have
// an arbitrary number of field values associated with them.
// \pre valid_dim_range: (dim==-1) || ((dim>=0)&&(dim<GetDimension()))
// \post positive_result: result>=0
//// \item @|int = obj.GetNumberOfDOFNodes ()| -  Accumulated number of DOF nodes of the current cell. A DOF node is
// a component of cell with a given topological dimension. e.g.: a triangle
// has 4 DOF: 1 face and 3 edges. An hexahedron has 19 DOF:
// 1 region, 6 faces, and 12 edges.
//
// The number of vertices is not included in the
// count because vertices are a special case: a vertex will have
// at most a single field value associated with it; DOF nodes may have
// an arbitrary number of field values associated with them.
// \post valid_result: result==GetNumberOfBoundaries(-1)+1
//// \item @|obj.GetPointIterator (vtkGenericPointIterator it)| -  Return the points of cell into `it'.
// \pre it_exists: it!=0
//// \item @|vtkGenericCellIterator = obj.NewCellIterator ()| -  Create an empty cell iterator. The user is responsible for deleting it.
// \post result_exists: result!=0
//// \item @|obj.GetBoundaryIterator (vtkGenericCellIterator boundaries, int dim)| -  Return the `boundaries' cells of dimension `dim' (or all dimensions
// less than GetDimension() if -1) that are part of the boundary of the cell.
// \pre valid_dim_range: (dim==-1) || ((dim>=0)&&(dim<GetDimension()))
// \pre boundaries_exist: boundaries!=0
//// \item @|int = obj.CountNeighbors (vtkGenericAdaptorCell boundary)| -  Number of cells (dimension>boundary->GetDimension()) of the dataset
// that share the boundary `boundary' of `this'.
// `this' IS NOT INCLUDED.
// \pre boundary_exists: boundary!=0
// \pre real_boundary: !boundary->IsInDataSet()
// \pre cell_of_the_dataset: IsInDataSet()
// \pre boundary: HasBoundary(boundary)
// \post positive_result: result>=0
//// \item @|obj.CountEdgeNeighbors (int sharing)| -  Number of cells (dimension>boundary->GetDimension()) of the dataset
// that share the boundary `boundary' of `this'.
// `this' IS NOT INCLUDED.
// \pre boundary_exists: boundary!=0
// \pre real_boundary: !boundary->IsInDataSet()
// \pre cell_of_the_dataset: IsInDataSet()
// \pre boundary: HasBoundary(boundary)
// \post positive_result: result>=0
//// \item @|obj.GetNeighbors (vtkGenericAdaptorCell boundary, vtkGenericCellIterator neighbors)| -  Put into `neighbors' the cells (dimension>boundary->GetDimension())
// of the dataset that share the boundary `boundary' with this cell.
// `this' IS NOT INCLUDED.
// \pre boundary_exists: boundary!=0
// \pre real_boundary: !boundary->IsInDataSet()
// \pre cell_of_the_dataset: IsInDataSet()
// \pre boundary: HasBoundary(boundary)
// \pre neighbors_exist: neighbors!=0
//// \item @|obj.EvaluateLocation (int subId, double pcoords[3], double x[3])| -  Determine the global coordinates `x' from sub-cell `subId' and parametric
// coordinates `pcoords' in the cell.
// \pre positive_subId: subId>=0
// \pre clamped_pcoords: (0<=pcoords[0])&&(pcoords[0]<=1)&&(0<=pcoords[1])
// &&(pcoords[1]<=1)&&(0<=pcoords[2])&&(pcoords[2]<=1)
//// \item @|obj.InterpolateTuple (vtkGenericAttribute a, double pcoords[3], double val)| -  Interpolate the attribute `a' at local position `pcoords' of the cell into
// `val'.
// \pre a_exists: a!=0
// \pre a_is_point_centered: a->GetCentering()==vtkPointCentered
// \pre clamped_point: pcoords[0]>=0 && pcoords[0]<=1 && pcoords[1]>=0 &&
//                     pcoords[1]<=1 && pcoords[2]>=0 && pcoords[2]<=1
// \pre val_exists: val!=0
// \pre valid_size: sizeof(val)==a->GetNumberOfComponents()
//// \item @|obj.InterpolateTuple (vtkGenericAttributeCollection c, double pcoords[3], double val)| -  Interpolate the whole collection of attributes `c' at local position
// `pcoords' of the cell into `val'. Only point centered attributes are
// taken into account.
// \pre c_exists: c!=0
// \pre clamped_point: pcoords[0]>=0 && pcoords[0]<=1 && pcoords[1]>=0 &&
//                     pcoords[1]<=1 && pcoords[2]>=0 && pcoords[2]<=1
// \pre val_exists: val!=0
// \pre valid_size: sizeof(val)==c->GetNumberOfPointCenteredComponents()
//// \item @|obj.Contour (vtkContourValues values, vtkImplicitFunction f, vtkGenericAttributeCollection attributes, vtkGenericCellTessellator tess, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData outPd, vtkCellData outCd, vtkPointData internalPd, vtkPointData secondaryPd, vtkCellData secondaryCd)| -  Generate a contour (contouring primitives) for each `values' or with
// respect to an implicit function `f'. Contouring is performed on the
// scalar attribute (`attributes->GetActiveAttribute()'
// `attributes->GetActiveComponent()').  Contouring interpolates the
// `attributes->GetNumberOfattributesToInterpolate()' attributes
// `attributes->GetAttributesToInterpolate()'.  The `locator', `verts',
// `lines', `polys', `outPd' and `outCd' are cumulative data arrays over
// cell iterations: they store the result of each call to Contour():
// - `locator' is a points list that merges points as they are inserted
//  (i.e., prevents duplicates).
// - `verts' is an array of generated vertices
// - `lines' is an array of generated lines
// - `polys' is an array of generated polygons
// - `outPd' is an array of interpolated point data along the edge (if
// not-NULL)
// - `outCd' is an array of copied cell data of the current cell (if 
// not-NULL)
// `internalPd', `secondaryPd' and `secondaryCd' are initialized by the
// filter that call it from `attributes'.
// - `internalPd' stores the result of the tessellation pass: the
// higher-order cell is tessellated into linear sub-cells.
// - `secondaryPd' and `secondaryCd' are used internally as inputs to the
// Contour() method on linear sub-cells.
// Note: the CopyAllocate() method must be invoked on both `outPd' and
// `outCd', from `secondaryPd' and `secondaryCd'.
//
// NOTE: `vtkGenericAttributeCollection *attributes' will be replaced by a
//       `vtkInformation'.
//
// \pre values_exist: (values!=0 && f==0) || (values==0 && f!=0)
// \pre attributes_exist: attributes!=0
// \pre tessellator_exists: tess!=0
// \pre locator_exists: locator!=0
// \pre verts_exist: verts!=0
// \pre lines_exist: lines!=0
// \pre polys_exist: polys!=0
// \pre internalPd_exists: internalPd!=0
// \pre secondaryPd_exists: secondaryPd!=0
// \pre secondaryCd_exists: secondaryCd!=0
//// \item @|obj.Clip (double value, vtkImplicitFunction f, vtkGenericAttributeCollection attributes, vtkGenericCellTessellator tess, int insideOut, vtkIncrementalPointLocator locator, vtkCellArray connectivity, vtkPointData outPd, vtkCellData outCd, vtkPointData internalPd, vtkPointData secondaryPd, vtkCellData secondaryCd)| -  Cut (or clip) the current cell with respect to the contour defined by
// the `value' or the implicit function `f' of the scalar attribute
// (`attributes->GetActiveAttribute()',`attributes->GetActiveComponent()').
// If `f' exists, `value' is not used. The output is the part of the
// current cell which is inside the contour.  The output is a set of zero,
// one or more cells of the same topological dimension as the current
// cell. Normally, cell points whose scalar value is greater than "value"
// are considered inside. If `insideOut' is on, this is reversed.  Clipping
// interpolates the `attributes->GetNumberOfattributesToInterpolate()'
// attributes `attributes->GetAttributesToInterpolate()'.  `locator',
// `connectivity', `outPd' and `outCd' are cumulative data arrays over cell
// iterations: they store the result of each call to Clip():
// - `locator' is a points list that merges points as they are inserted
// (i.e., prevents duplicates).
// - `connectivity' is an array of generated cells
// - `outPd' is an array of interpolated point data along the edge (if
// not-NULL)
// - `outCd' is an array of copied cell data of the current cell (if
// not-NULL)
// `internalPd', `secondaryPd' and `secondaryCd' are initialized by the
// filter that call it from `attributes'.
// - `internalPd' stores the result of the tessellation pass: the
// higher-order cell is tessellated into linear sub-cells.
// - `secondaryPd' and `secondaryCd' are used internally as inputs to the
// Clip() method on linear sub-cells.
// Note: the CopyAllocate() method must be invoked on both `outPd' and
// `outCd', from `secondaryPd' and `secondaryCd'.
//
// NOTE: `vtkGenericAttributeCollection *attributes' will be replaced by a
//       `vtkInformation'.
//
// \pre attributes_exist: attributes!=0
// \pre tessellator_exists: tess!=0
// \pre locator_exists: locator!=0
// \pre connectivity_exists: connectivity!=0
// \pre internalPd_exists: internalPd!=0
// \pre secondaryPd_exists: secondaryPd!=0
// \pre secondaryCd_exists: secondaryCd!=0
//// \item @|obj.Derivatives (int subId, double pcoords[3], vtkGenericAttribute attribute, double derivs)| -  Compute derivatives `derivs' of the attribute `attribute' (from its
// values at the corner points of the cell) given sub-cell `subId' (0 means
// primary cell) and parametric coordinates `pcoords'.
// Derivatives are in the x-y-z coordinate directions for each data value.
// \pre positive_subId: subId>=0
// \pre clamped_pcoords: (0<=pcoords[0])&&(pcoords[0]<=1)&&(0<=pcoords[1])
// &&(pcoords[1]<=1)&&(0<=pcoords[2])%%(pcoords[2]<=1)
// \pre attribute_exists: attribute!=0
// \pre derivs_exists: derivs!=0
// \pre valid_size: sizeof(derivs)>=attribute->GetNumberOfComponents()*3
//// \item @|obj.GetBounds (double bounds[6])| -  Compute the bounding box of the current cell in `bounds' in global
// coordinates.
// THREAD SAFE
//// \item @|double = obj.GetLength2 ()| -  Return the bounding box diagonal squared of the current cell.
// \post positive_result: result>=0
//// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  Get the center of the current cell (in parametric coordinates) and place
// it in `pcoords'.  If the current cell is a composite, the return value
// is the sub-cell id that the center is in.  \post valid_result:
// (result>=0) && (IsPrimary() implies result==0)
//// \item @|double = obj.GetParametricDistance (double pcoords[3])| -  Return the distance of the parametric coordinate `pcoords' to the
// current cell.  If inside the cell, a distance of zero is returned. This
// is used during picking to get the correct cell picked. (The tolerance
// will occasionally allow cells to be picked who are not really
// intersected "inside" the cell.)  \post positive_result: result>=0
//// \item @|obj.Tessellate (vtkGenericAttributeCollection attributes, vtkGenericCellTessellator tess, vtkPoints points, vtkIncrementalPointLocator locator, vtkCellArray cellArray, vtkPointData internalPd, vtkPointData pd, vtkCellData cd, vtkUnsignedCharArray types)| -  Tessellate the cell if it is not linear or if at least one attribute of
// `attributes' is not linear. The output are linear cells of the same
// dimension than the cell. If the cell is linear and all attributes are
// linear, the output is just a copy of the current cell.
// `points', `cellArray', `pd' and `cd' are cumulative output data arrays
// over cell iterations: they store the result of each call to Tessellate().
// `internalPd' is initialized by the calling filter and stores the
// result of the tessellation.
// If it is not null, `types' is filled with the types of the linear cells.
// `types' is null when it is called from vtkGenericGeometryFilter and not
// null when it is called from vtkGenericDatasetTessellator.
// \pre attributes_exist: attributes!=0
// \pre tessellator_exists: tess!=0
// \pre points_exist: points!=0
// \pre cellArray_exists: cellArray!=0
// \pre internalPd_exists: internalPd!=0
// \pre pd_exist: pd!=0
// \pre cd_exists: cd!=0
//// \item @|int = obj.IsFaceOnBoundary (vtkIdType faceId)| -  Is the face `faceId' of the current cell on the exterior boundary of the
// dataset?
// \pre 3d: GetDimension()==3
//// \item @|int = obj.IsOnBoundary ()| -  Is the cell on the exterior boundary of the dataset?
// \pre 2d: GetDimension()==2
//// \item @|obj.TriangulateFace (vtkGenericAttributeCollection attributes, vtkGenericCellTessellator tess, int index, vtkPoints points, vtkIncrementalPointLocator locator, vtkCellArray cellArray, vtkPointData internalPd, vtkPointData pd, vtkCellData cd)| -  Tessellate face `index' of the cell. See Tessellate() for further
// explanations.
// \pre cell_is_3d: GetDimension()==3
// \pre attributes_exist: attributes!=0
// \pre tessellator_exists: tess!=0
// \pre valid_face: index>=0
// \pre points_exist: points!=0
// \pre cellArray_exists: cellArray!=0
// \pre internalPd_exists: internalPd!=0
// \pre pd_exist: pd!=0
// \pre cd_exists: cd!=0
//// \item @|int = obj.GetNumberOfVerticesOnFace (int faceId)| -  Return the number of vertices defining face `faceId'.
// \pre is_3d: this->GetDimension()==3
// \pre valid_faceId_range: faceId>=0 && faceId<this->GetNumberOfBoundaries(2)
// \post positive_result: && result>0
////\end{itemize}
//!
