#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericAttribute object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericAttribute.h"

//@@Signature
//sfunction @vtkGenericAttribute:vtkGenericAttribute vtkGenericAttributeConstructorFunction
//input a
//output p
//@@Parents vtkGenericAttribute vtkObject 
ArrayVector vtkGenericAttributeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericAttribute::New(),"vtkGenericAttribute",eval);
  } else if (arg[0].className() == "vtkGenericAttribute") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericAttribute"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericAttribute");
    vtkGenericAttribute*q = reinterpret_cast<vtkGenericAttribute*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericAttribute");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericAttribute:GetClassName vtkGenericAttributeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericAttribute requires 1 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:IsA vtkGenericAttributeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAttributeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericAttribute requires 2 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:NewInstance vtkGenericAttributeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericAttribute *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericAttribute requires 1 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  vtkGenericAttribute  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAttribute",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:SafeDownCast vtkGenericAttributeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAttributeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericAttribute *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericAttribute requires 2 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericAttribute  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAttribute",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetName vtkGenericAttributeGetNameFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeGetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetName () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetName for class vtkGenericAttribute requires 1 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetNumberOfComponents vtkGenericAttributeGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfComponents () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkGenericAttribute requires 1 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetCentering vtkGenericAttributeGetCenteringFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeGetCenteringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCentering () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetCentering for class vtkGenericAttribute requires 1 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCentering();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetType vtkGenericAttributeGetTypeFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeGetTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetType () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetType for class vtkGenericAttribute requires 1 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetComponentType vtkGenericAttributeGetComponentTypeFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeGetComponentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetComponentType () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentType for class vtkGenericAttribute requires 1 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponentType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetSize vtkGenericAttributeGetSizeFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetSize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkGenericAttribute requires 1 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetActualMemorySize vtkGenericAttributeGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetActualMemorySize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkGenericAttribute requires 1 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetRange__2 vtkGenericAttributeGetRange__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGenericAttributeGetRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetRange (int component, double range[2]) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetRange__2 for class vtkGenericAttribute requires 3 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetMaxNorm vtkGenericAttributeGetMaxNormFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeGetMaxNormFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetMaxNorm () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNorm for class vtkGenericAttribute requires 1 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaxNorm();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetTuple__2 vtkGenericAttributeGetTuple__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGenericAttributeGetTuple__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTuple (vtkGenericAdaptorCell *c, double *tuple) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetTuple__2 for class vtkGenericAttribute requires 3 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp0;
  double  *temp1;
  temp0 = GetVTKPointer<vtkGenericAdaptorCell>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->GetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetTuple__4 vtkGenericAttributeGetTuple__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkGenericAttributeGetTuple__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTuple (vtkGenericCellIterator *c, double *tuple) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetTuple__4 for class vtkGenericAttribute requires 3 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  vtkGenericCellIterator  *temp0;
  double  *temp1;
  temp0 = GetVTKPointer<vtkGenericCellIterator>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->GetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetTuple__6 vtkGenericAttributeGetTuple__6Function
//input a0 a1 a2 
//output none
ArrayVector vtkGenericAttributeGetTuple__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTuple (vtkGenericPointIterator *p, double *tuple) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetTuple__6 for class vtkGenericAttribute requires 3 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  vtkGenericPointIterator  *temp0;
  double  *temp1;
  temp0 = GetVTKPointer<vtkGenericPointIterator>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->GetTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetComponent__1 vtkGenericAttributeGetComponent__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGenericAttributeGetComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetComponent (int i, vtkGenericCellIterator *c, double *values) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function GetComponent__1 for class vtkGenericAttribute requires 4 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  int      temp0;
  vtkGenericCellIterator  *temp1;
  double  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericCellIterator>(arg[2]);
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->GetComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetComponent__2 vtkGenericAttributeGetComponent__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkGenericAttributeGetComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetComponent (int i, vtkGenericPointIterator *p) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GetComponent__2 for class vtkGenericAttribute requires 3 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  int      temp0;
  vtkGenericPointIterator  *temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericPointIterator>(arg[2]);
  temp20 = (vtk_pointer)->GetComponent(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:DeepCopy vtkGenericAttributeDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGenericAttributeDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkGenericAttribute *other) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkGenericAttribute requires 2 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  vtkGenericAttribute  *temp0;
  temp0 = GetVTKPointer<vtkGenericAttribute>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:ShallowCopy vtkGenericAttributeShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGenericAttributeShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkGenericAttribute *other) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkGenericAttribute requires 2 argument(s)");
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  Array retval;
  vtkGenericAttribute  *temp0;
  temp0 = GetVTKPointer<vtkGenericAttribute>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttribute:GetRange vtkGenericAttributeGetRangeFunction
//input varargin
//output varargout
ArrayVector vtkGenericAttributeGetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGenericAttributeGetRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericAttributeGetRange");
}

//@@Signature
//sfunction @vtkGenericAttribute:GetTuple vtkGenericAttributeGetTupleFunction
//input varargin
//output varargout
ArrayVector vtkGenericAttributeGetTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkGenericAdaptorCell") && VTKIsVectorArg(arg[2]))
    return vtkGenericAttributeGetTuple__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkGenericCellIterator") && VTKIsVectorArg(arg[2]))
    return vtkGenericAttributeGetTuple__4Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkGenericPointIterator") && VTKIsVectorArg(arg[2]))
    return vtkGenericAttributeGetTuple__6Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericAttributeGetTuple");
}

//@@Signature
//sfunction @vtkGenericAttribute:GetComponent vtkGenericAttributeGetComponentFunction
//input varargin
//output varargout
ArrayVector vtkGenericAttributeGetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericCellIterator") && VTKIsVectorArg(arg[3]))
    return vtkGenericAttributeGetComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericPointIterator"))
    return vtkGenericAttributeGetComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericAttributeGetComponent");
}

//@@Signature
//sfunction @vtkGenericAttribute:display vtkGenericAttributeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericAttributeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericAttribute* vtk_pointer = GetVTKPointer<vtkGenericAttribute>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericAttribute:delete vtkGenericAttributeDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericAttributeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericAttribute
//@@Section VTKFiltering
//@@Usage
// vtkGenericAttribute is an abstract class that defines an API for attribute
// data. Attribute data is data associated with the topology or geometry of
// a dataset (i.e., points, cells, etc.). vtkGenericAttribute is part of the
// adaptor framework (see GenericFiltering/README.html).
//
// vtkGenericAttribute provides a more general interface to attribute data
// than its counterpart vtkDataArray (which assumes a linear, contiguous
// array). It adopts an iterator interface, and allows attributes to be
// associated with points, edges, faces, or edges.
//
//To create an instance of class vtkGenericAttribute, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericAttribute
//@]
//@@Methods
//The class vtkGenericAttribute has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericAttribute class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericAttribute = obj.NewInstance ()|
// \item @|vtkGenericAttribute = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetName ()| -  Name of the attribute. (e.g. "velocity")
// \post result_may_not_exist: result!=0 || result==0
//// \item @|int = obj.GetNumberOfComponents ()| -  Dimension of the attribute. (1 for scalar, 3 for velocity)
// \post positive_result: result>=0
// \post GetType()==VTK_SCALARS implies result==1
// \post (GetType()==VTK_VECTORS||(GetType()==VTK_NORMALS)||(GetType()==VTK_TCOORDS) implies result==3
// \post GetType()==VTK_TENSORS implies result==6
//// \item @|int = obj.GetCentering ()| -  Is the attribute centered either on points, cells or boundaries?
// \post valid_result: (result==vtkPointCentered)||(result==vtkCellCentered)
//// \item @|int = obj.GetType ()| -  Type of the attribute: scalar, vector, normal, texture coordinate, tensor
// \post valid_result: (result==vtkDataSetAttributes::SCALARS)
//                   ||(result==vtkDataSetAttributes::VECTORS)
//                   ||(result==vtkDataSetAttributes::NORMALS)
//                   ||(result==vtkDataSetAttributes::TCOORDS)
//                   ||(result==vtkDataSetAttributes::TENSORS)
//// \item @|int = obj.GetComponentType ()| -  Type of the components of the attribute: int, float, double
// \post valid_result: (result==VTK_BIT)           ||(result==VTK_CHAR)
//                   ||(result==VTK_UNSIGNED_CHAR) ||(result==VTK_SHORT)
//                   ||(result==VTK_UNSIGNED_SHORT)||(result==VTK_INT)
//                   ||(result==VTK_UNSIGNED_INT)  ||(result==VTK_LONG)
//                   ||(result==VTK_UNSIGNED_LONG) ||(result==VTK_FLOAT)
//                   ||(result==VTK_DOUBLE)        ||(result==VTK_ID_TYPE)
//// \item @|vtkIdType = obj.GetSize ()| -  Number of tuples.
// \post valid_result: result>=0
//// \item @|long = obj.GetActualMemorySize ()| -  Size in kilobytes taken by the attribute.
//// \item @|obj.GetRange (int component, double range[2])| -  Range of the attribute component `component'. If `component'==-1, it
// returns the range of the magnitude (euclidean norm).
// THREAD SAFE
// \pre valid_component: (component>=-1)&&(component<GetNumberOfComponents())
//// \item @|double = obj.GetMaxNorm ()| -  Return the maximum euclidean norm for the tuples.
// \post positive_result: result>=0
//// \item @|obj.GetTuple (vtkGenericAdaptorCell c, double tuple)| -  Put attribute at all points of cell `c' in `tuple'.
// \pre c_exists: c!=0
// \pre c_valid: !c->IsAtEnd()
// \pre tuple_exists: tuple!=0
// \pre valid_tuple: sizeof(tuple)>=GetNumberOfComponents()*c->GetCell()->GetNumberOfPoints()
//// \item @|obj.GetTuple (vtkGenericCellIterator c, double tuple)| -  Put attribute at all points of cell `c' in `tuple'.
// \pre c_exists: c!=0
// \pre c_valid: !c->IsAtEnd()
// \pre tuple_exists: tuple!=0
// \pre valid_tuple: sizeof(tuple)>=GetNumberOfComponents()*c->GetCell()->GetNumberOfPoints()
//// \item @|obj.GetTuple (vtkGenericPointIterator p, double tuple)| -  Put the value of the attribute at position `p' into `tuple'.
// \pre p_exists: p!=0
// \pre p_valid: !p->IsAtEnd()
// \pre tuple_exists: tuple!=0
// \pre valid_tuple_size: sizeof(tuple)>=GetNumberOfComponents()
//// \item @|obj.GetComponent (int i, vtkGenericCellIterator c, double values)| -  Put component `i' of the attribute at all points of cell `c' in `values'.
// \pre valid_component: (i>=0) && (i<GetNumberOfComponents())
// \pre c_exists: c!=0
// \pre c_valid: !c->IsAtEnd()
// \pre values_exist: values!=0
// \pre valid_values: sizeof(values)>=c->GetCell()->GetNumberOfPoints()
//// \item @|double = obj.GetComponent (int i, vtkGenericPointIterator p)| -  Value of the component `i' of the attribute at position `p'.
// \pre valid_component: (i>=0) && (i<GetNumberOfComponents())
// \pre p_exists: p!=0
// \pre p_valid: !p->IsAtEnd()
//// \item @|obj.DeepCopy (vtkGenericAttribute other)| -  Recursive duplication of `other' in `this'.
// \pre other_exists: other!=0
// \pre not_self: other!=this
//// \item @|obj.ShallowCopy (vtkGenericAttribute other)| -  Update `this' using fields of `other'.
// \pre other_exists: other!=0
// \pre not_self: other!=this
////\end{itemize}
//!
