#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericAttributeCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericAttributeCollection.h"

//@@Signature
//sfunction @vtkGenericAttributeCollection:vtkGenericAttributeCollection vtkGenericAttributeCollectionConstructorFunction
//input a
//output p
//@@Parents vtkGenericAttributeCollection vtkObject 
ArrayVector vtkGenericAttributeCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericAttributeCollection::New(),"vtkGenericAttributeCollection",eval);
  } else if (arg[0].className() == "vtkGenericAttributeCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericAttributeCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericAttributeCollection");
    vtkGenericAttributeCollection*q = reinterpret_cast<vtkGenericAttributeCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericAttributeCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericAttributeCollection:GetClassName vtkGenericAttributeCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:IsA vtkGenericAttributeCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAttributeCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericAttributeCollection requires 2 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:NewInstance vtkGenericAttributeCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericAttributeCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  vtkGenericAttributeCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAttributeCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:SafeDownCast vtkGenericAttributeCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAttributeCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericAttributeCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericAttributeCollection requires 2 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericAttributeCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAttributeCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetNumberOfAttributes vtkGenericAttributeCollectionGetNumberOfAttributesFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionGetNumberOfAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAttributes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAttributes for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAttributes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetNumberOfComponents vtkGenericAttributeCollectionGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetNumberOfPointCenteredComponents vtkGenericAttributeCollectionGetNumberOfPointCenteredComponentsFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionGetNumberOfPointCenteredComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointCenteredComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointCenteredComponents for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointCenteredComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetMaxNumberOfComponents vtkGenericAttributeCollectionGetMaxNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionGetMaxNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfComponents for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetActualMemorySize vtkGenericAttributeCollectionGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:IsEmpty vtkGenericAttributeCollectionIsEmptyFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionIsEmptyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsEmpty (); */
  if (arg.size() < 1) 
    throw Exception("Function IsEmpty for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsEmpty();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetAttribute vtkGenericAttributeCollectionGetAttributeFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAttributeCollectionGetAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericAttribute *GetAttribute (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttribute for class vtkGenericAttributeCollection requires 2 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkGenericAttribute  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttribute(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAttribute",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:FindAttribute vtkGenericAttributeCollectionFindAttributeFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAttributeCollectionFindAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FindAttribute (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function FindAttribute for class vtkGenericAttributeCollection requires 2 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->FindAttribute(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetAttributeIndex vtkGenericAttributeCollectionGetAttributeIndexFunction
//input a0 a1 
//output y
ArrayVector vtkGenericAttributeCollectionGetAttributeIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributeIndex (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributeIndex for class vtkGenericAttributeCollection requires 2 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributeIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:InsertNextAttribute vtkGenericAttributeCollectionInsertNextAttributeFunction
//input a0 a1 
//output none
ArrayVector vtkGenericAttributeCollectionInsertNextAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertNextAttribute (vtkGenericAttribute *a); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextAttribute for class vtkGenericAttributeCollection requires 2 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  vtkGenericAttribute  *temp0;
  temp0 = GetVTKPointer<vtkGenericAttribute>(arg[1]);
  vtk_pointer->InsertNextAttribute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:InsertAttribute vtkGenericAttributeCollectionInsertAttributeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericAttributeCollectionInsertAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertAttribute (int i, vtkGenericAttribute *a); */
  if (arg.size() < 3) 
    throw Exception("Function InsertAttribute for class vtkGenericAttributeCollection requires 3 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp0;
  vtkGenericAttribute  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericAttribute>(arg[2]);
  vtk_pointer->InsertAttribute(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:RemoveAttribute vtkGenericAttributeCollectionRemoveAttributeFunction
//input a0 a1 
//output none
ArrayVector vtkGenericAttributeCollectionRemoveAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAttribute (int i); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveAttribute for class vtkGenericAttributeCollection requires 2 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveAttribute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:Reset vtkGenericAttributeCollectionResetFunction
//input a0 
//output none
ArrayVector vtkGenericAttributeCollectionResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:DeepCopy vtkGenericAttributeCollectionDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGenericAttributeCollectionDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkGenericAttributeCollection *other); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkGenericAttributeCollection requires 2 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  vtkGenericAttributeCollection  *temp0;
  temp0 = GetVTKPointer<vtkGenericAttributeCollection>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:ShallowCopy vtkGenericAttributeCollectionShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGenericAttributeCollectionShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkGenericAttributeCollection *other); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkGenericAttributeCollection requires 2 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  vtkGenericAttributeCollection  *temp0;
  temp0 = GetVTKPointer<vtkGenericAttributeCollection>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetMTime vtkGenericAttributeCollectionGetMTimeFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetActiveAttribute vtkGenericAttributeCollectionGetActiveAttributeFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionGetActiveAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetActiveAttribute (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveAttribute for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetActiveAttribute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetActiveComponent vtkGenericAttributeCollectionGetActiveComponentFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionGetActiveComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetActiveComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveComponent for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetActiveComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:SetActiveAttribute vtkGenericAttributeCollectionSetActiveAttributeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericAttributeCollectionSetActiveAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActiveAttribute (int attribute, int component); */
  if (arg.size() < 3) 
    throw Exception("Function SetActiveAttribute for class vtkGenericAttributeCollection requires 3 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetActiveAttribute(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:GetNumberOfAttributesToInterpolate vtkGenericAttributeCollectionGetNumberOfAttributesToInterpolateFunction
//input a0 
//output y
ArrayVector vtkGenericAttributeCollectionGetNumberOfAttributesToInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAttributesToInterpolate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAttributesToInterpolate for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAttributesToInterpolate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:HasAttribute vtkGenericAttributeCollectionHasAttributeFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGenericAttributeCollectionHasAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasAttribute (int size, int *attributes, int attribute); */
  if (arg.size() < 4) 
    throw Exception("Function HasAttribute for class vtkGenericAttributeCollection requires 4 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->HasAttribute(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:SetAttributesToInterpolate vtkGenericAttributeCollectionSetAttributesToInterpolateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericAttributeCollectionSetAttributesToInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributesToInterpolate (int size, int *attributes); */
  if (arg.size() < 3) 
    throw Exception("Function SetAttributesToInterpolate for class vtkGenericAttributeCollection requires 3 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->SetAttributesToInterpolate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:SetAttributesToInterpolateToAll vtkGenericAttributeCollectionSetAttributesToInterpolateToAllFunction
//input a0 
//output none
ArrayVector vtkGenericAttributeCollectionSetAttributesToInterpolateToAllFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributesToInterpolateToAll (); */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributesToInterpolateToAll for class vtkGenericAttributeCollection requires 1 argument(s)");
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributesToInterpolateToAll();
  return retval;
}

//@@Signature
//sfunction @vtkGenericAttributeCollection:display vtkGenericAttributeCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericAttributeCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericAttributeCollection* vtk_pointer = GetVTKPointer<vtkGenericAttributeCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericAttributeCollection:delete vtkGenericAttributeCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericAttributeCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericAttributeCollection
//@@Section VTKFiltering
//@@Usage
// vtkGenericAttributeCollection is a class that collects attributes 
// (represented by vtkGenericAttribute).
//
//To create an instance of class vtkGenericAttributeCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericAttributeCollection
//@]
//@@Methods
//The class vtkGenericAttributeCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericAttributeCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard type definition and print methods for a VTK class.
//// \item @|int = obj.IsA (string name)| -  Standard type definition and print methods for a VTK class.
//// \item @|vtkGenericAttributeCollection = obj.NewInstance ()| -  Standard type definition and print methods for a VTK class.
//// \item @|vtkGenericAttributeCollection = obj.SafeDownCast (vtkObject o)| -  Standard type definition and print methods for a VTK class.
//// \item @|int = obj.GetNumberOfAttributes ()| -  Return the number of attributes (e.g., instances of vtkGenericAttribute) 
// in the collection.
// \post positive_result: result>=0
//// \item @|int = obj.GetNumberOfComponents ()| -  Return the number of components. This is the sum of all components
// found in all attributes.
// \post positive_result: result>=0
//// \item @|int = obj.GetNumberOfPointCenteredComponents ()| -  Return the number of components. This is the sum of all components
// found in all point centered attributes.
// \post positive_result: result>=0
//// \item @|int = obj.GetMaxNumberOfComponents ()| -  Maximum number of components encountered among all attributes.
// \post positive_result: result>=0
// \post valid_result: result<=GetNumberOfComponents()
//// \item @|long = obj.GetActualMemorySize ()| -  Actual size of the data in kilobytes; only valid after the pipeline has
// updated. It is guaranteed to be greater than or equal to the memory
// required to represent the data.
//// \item @|int = obj.IsEmpty ()| -  Indicate whether the collection contains any attributes.
// \post definition: result==(GetNumberOfAttributes()==0)
//// \item @|vtkGenericAttribute = obj.GetAttribute (int i)| -  Return a pointer to the ith instance of vtkGenericAttribute.
// \pre not_empty: !IsEmpty()
// \pre valid_i: i>=0 && i<GetNumberOfAttributes()
// \post result_exists: result!=0
//// \item @|int = obj.FindAttribute (string name)| -  Return the index of the attribute named `name'. Return the non-negative
// index if found. Return -1 otherwise.
// \pre name_exists: name!=0
// \post valid_result: (result==-1) || (result>=0) && (result<=GetNumberOfAttributes())
//// \item @|int = obj.GetAttributeIndex (int i)| -  Return the index of the first component of attribute `i' in an array of
// format attrib0comp0 attrib0comp1 ... attrib4comp0 ...
// \pre valid_i: i>=0 && i<GetNumberOfAttributes()
// \pre is_point_centered: GetAttribute(i)->GetCentering()==vtkPointCentered
//// \item @|obj.InsertNextAttribute (vtkGenericAttribute a)| -  Add the attribute `a' to the end of the collection.
// \pre a_exists: a!=0
// \post more_items: GetNumberOfAttributes()==old GetNumberOfAttributes()+1
// \post a_is_set: GetAttribute(GetNumberOfAttributes()-1)==a
//// \item @|obj.InsertAttribute (int i, vtkGenericAttribute a)| -  Replace the attribute at index `i' by `a'.
// \pre not_empty: !IsEmpty()
// \pre a_exists: a!=0
// \pre valid_i: i>=0 && i<GetNumberOfAttributes()
// \post same_size: GetNumberOfAttributes()==old GetNumberOfAttributes()
// \post item_is_set: GetAttribute(i)==a
//// \item @|obj.RemoveAttribute (int i)| -  Remove the attribute at `i'.
// \pre not_empty: !IsEmpty()
// \pre valid_i: i>=0 && i<GetNumberOfAttributes()
// \post fewer_items: GetNumberOfAttributes()==old GetNumberOfAttributes()-1
//// \item @|obj.Reset ()| -  Remove all attributes.
// \post is_empty: GetNumberOfAttributes()==0
//// \item @|obj.DeepCopy (vtkGenericAttributeCollection other)| -  Copy, without reference counting, the other attribute array.
// \pre other_exists: other!=0
// \pre not_self: other!=this
// \post same_size: GetNumberOfAttributes()==other->GetNumberOfAttributes()
//// \item @|obj.ShallowCopy (vtkGenericAttributeCollection other)| -  Copy, via reference counting, the other attribute array.
// \pre other_exists: other!=0
// \pre not_self: other!=this
// \post same_size: GetNumberOfAttributes()==other->GetNumberOfAttributes()
//// \item @|long = obj.GetMTime ()| -  vtkAttributeCollection is a composite object and needs to check each
// member of its collection for modified time.
//// \item @|int = obj.GetActiveAttribute ()| -  Index of the attribute to be processed (not necessarily scalar).
// \pre not_empty: !IsEmpty()
// \post valid_result: result>=0 && result<GetNumberOfAttributes()
//// \item @|int = obj.GetActiveComponent ()| -  Component of the active attribute to be processed. -1 means module.
// \pre not_empty: GetNumberOfAttributes()>0
// \post valid_result: result>=-1 &&
//       result<GetAttribute(GetActiveAttribute())->GetNumberOfComponents()
//// \item @|obj.SetActiveAttribute (int attribute, int component)| -  Set the scalar attribute to be processed. -1 means module.
// \pre not_empty: !IsEmpty()
// \pre valid_attribute: attribute>=0 && attribute<GetNumberOfAttributes()
// \pre valid_component: component>=-1 &&
//              component<GetAttribute(attribute)->GetNumberOfComponents()
// \post is_set: GetActiveAttribute()==attribute &&
//               GetActiveComponent()==component
//// \item @|int = obj.GetNumberOfAttributesToInterpolate ()| -  Number of attributes to interpolate.
// \pre not_empty: !IsEmpty()
// \post positive_result: result>=0
//// \item @|int = obj.HasAttribute (int size, int attributes, int attribute)|
// \item @|obj.SetAttributesToInterpolate (int size, int attributes)| -  Set the attributes to interpolate.
// \pre not_empty: !IsEmpty()
// \pre positive_size: size>=0
// \pre valid_attributes: size>0 implies attributes!=0
// \pre valid_attributes_contents: attributes!=0 implies
//                     !HasAttributes(size,attributes,GetActiveAttribute())
// \post is_set: (GetNumberOfAttributesToInterpolate()==size)&&
//               (GetAttributesToInterpolate()==attributes)
//// \item @|obj.SetAttributesToInterpolateToAll ()| -  Set the attributes to interpolate.
// \pre not_empty: !IsEmpty()
// \pre positive_size: size>=0
// \pre valid_attributes: size>0 implies attributes!=0
// \pre valid_attributes_contents: attributes!=0 implies
//                     !HasAttributes(size,attributes,GetActiveAttribute())
// \post is_set: (GetNumberOfAttributesToInterpolate()==size)&&
//               (GetAttributesToInterpolate()==attributes)
////\end{itemize}
//!
