#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericCell object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericCell.h"

//@@Signature
//sfunction @vtkGenericCell:vtkGenericCell vtkGenericCellConstructorFunction
//input a
//output p
//@@Parents vtkGenericCell vtkCell 
ArrayVector vtkGenericCellConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericCell::New(),"vtkGenericCell",eval);
  } else if (arg[0].className() == "vtkGenericCell") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericCell"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericCell");
    vtkGenericCell*q = reinterpret_cast<vtkGenericCell*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericCell");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericCell:GetClassName vtkGenericCellGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericCellGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:IsA vtkGenericCellIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericCellIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericCell requires 2 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:NewInstance vtkGenericCellNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericCellNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericCell *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtkGenericCell  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SafeDownCast vtkGenericCellSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericCellSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericCell *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericCell requires 2 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericCell  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:ShallowCopy vtkGenericCellShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGenericCellShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkCell *c); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkGenericCell requires 2 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:DeepCopy vtkGenericCellDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGenericCellDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkCell *c); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkGenericCell requires 2 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:GetCellType vtkGenericCellGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkGenericCellGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:GetCellDimension vtkGenericCellGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkGenericCellGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:IsLinear vtkGenericCellIsLinearFunction
//input a0 
//output y
ArrayVector vtkGenericCellIsLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsLinear (); */
  if (arg.size() < 1) 
    throw Exception("Function IsLinear for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLinear();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:RequiresInitialization vtkGenericCellRequiresInitializationFunction
//input a0 
//output y
ArrayVector vtkGenericCellRequiresInitializationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RequiresInitialization (); */
  if (arg.size() < 1) 
    throw Exception("Function RequiresInitialization for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->RequiresInitialization();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:Initialize vtkGenericCellInitializeFunction
//input a0 
//output none
ArrayVector vtkGenericCellInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:GetNumberOfEdges vtkGenericCellGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkGenericCellGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:GetNumberOfFaces vtkGenericCellGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkGenericCellGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:GetEdge vtkGenericCellGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkGenericCellGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int edgeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkGenericCell requires 2 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:GetFace vtkGenericCellGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkGenericCellGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int faceId); */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkGenericCell requires 2 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:CellBoundary vtkGenericCellCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGenericCellCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkGenericCell requires 4 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:Contour vtkGenericCellContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkGenericCellContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkGenericCell requires 12 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:Clip vtkGenericCellClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkGenericCellClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut); */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkGenericCell requires 11 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:Triangulate vtkGenericCellTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGenericCellTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkGenericCell requires 4 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:Derivatives vtkGenericCellDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkGenericCellDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkGenericCell requires 6 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:GetParametricCenter vtkGenericCellGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkGenericCellGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParametricCenter (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkGenericCell requires 2 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:IsPrimaryCell vtkGenericCellIsPrimaryCellFunction
//input a0 
//output y
ArrayVector vtkGenericCellIsPrimaryCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsPrimaryCell (); */
  if (arg.size() < 1) 
    throw Exception("Function IsPrimaryCell for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsPrimaryCell();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:InterpolateFunctions vtkGenericCellInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericCellInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double *weights); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkGenericCell requires 3 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:InterpolateDerivs vtkGenericCellInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericCellInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double *derivs); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkGenericCell requires 3 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellType vtkGenericCellSetCellTypeFunction
//input a0 a1 
//output none
ArrayVector vtkGenericCellSetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellType (int cellType); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellType for class vtkGenericCell requires 2 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToEmptyCell vtkGenericCellSetCellTypeToEmptyCellFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToEmptyCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToEmptyCell ();this SetCellType VTK_EMPTY_CELL  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToEmptyCell for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToEmptyCell();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToVertex vtkGenericCellSetCellTypeToVertexFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToVertex ();this SetCellType VTK_VERTEX  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToVertex for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToVertex();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToPolyVertex vtkGenericCellSetCellTypeToPolyVertexFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToPolyVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToPolyVertex ();this SetCellType VTK_POLY_VERTEX  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToPolyVertex for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToPolyVertex();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToLine vtkGenericCellSetCellTypeToLineFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToLine ();this SetCellType VTK_LINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToLine for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToLine();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToPolyLine vtkGenericCellSetCellTypeToPolyLineFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToPolyLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToPolyLine ();this SetCellType VTK_POLY_LINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToPolyLine for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToPolyLine();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToTriangle vtkGenericCellSetCellTypeToTriangleFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToTriangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToTriangle ();this SetCellType VTK_TRIANGLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToTriangle for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToTriangle();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToTriangleStrip vtkGenericCellSetCellTypeToTriangleStripFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToTriangleStripFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToTriangleStrip ();this SetCellType VTK_TRIANGLE_STRIP  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToTriangleStrip for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToTriangleStrip();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToPolygon vtkGenericCellSetCellTypeToPolygonFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToPolygonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToPolygon ();this SetCellType VTK_POLYGON  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToPolygon for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToPolygon();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToPixel vtkGenericCellSetCellTypeToPixelFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToPixelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToPixel ();this SetCellType VTK_PIXEL  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToPixel for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToPixel();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToQuad vtkGenericCellSetCellTypeToQuadFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToQuadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToQuad ();this SetCellType VTK_QUAD  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToQuad for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToQuad();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToTetra vtkGenericCellSetCellTypeToTetraFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToTetraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToTetra ();this SetCellType VTK_TETRA  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToTetra for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToTetra();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToVoxel vtkGenericCellSetCellTypeToVoxelFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToVoxelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToVoxel ();this SetCellType VTK_VOXEL  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToVoxel for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToVoxel();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToHexahedron vtkGenericCellSetCellTypeToHexahedronFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToHexahedronFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToHexahedron ();this SetCellType VTK_HEXAHEDRON  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToHexahedron for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToHexahedron();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToWedge vtkGenericCellSetCellTypeToWedgeFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToWedgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToWedge ();this SetCellType VTK_WEDGE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToWedge for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToWedge();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToPyramid vtkGenericCellSetCellTypeToPyramidFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToPyramidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToPyramid ();this SetCellType VTK_PYRAMID  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToPyramid for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToPyramid();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToPentagonalPrism vtkGenericCellSetCellTypeToPentagonalPrismFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToPentagonalPrismFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToPentagonalPrism ();this SetCellType VTK_PENTAGONAL_PRISM  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToPentagonalPrism for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToPentagonalPrism();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToHexagonalPrism vtkGenericCellSetCellTypeToHexagonalPrismFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToHexagonalPrismFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToHexagonalPrism ();this SetCellType VTK_HEXAGONAL_PRISM  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToHexagonalPrism for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToHexagonalPrism();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToConvexPointSet vtkGenericCellSetCellTypeToConvexPointSetFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToConvexPointSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToConvexPointSet ();this SetCellType VTK_CONVEX_POINT_SET  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToConvexPointSet for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToConvexPointSet();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToQuadraticEdge vtkGenericCellSetCellTypeToQuadraticEdgeFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToQuadraticEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToQuadraticEdge ();this SetCellType VTK_QUADRATIC_EDGE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToQuadraticEdge for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToQuadraticEdge();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToCubicLine vtkGenericCellSetCellTypeToCubicLineFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToCubicLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToCubicLine ();this SetCellType VTK_CUBIC_LINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToCubicLine for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToCubicLine();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToQuadraticTriangle vtkGenericCellSetCellTypeToQuadraticTriangleFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToQuadraticTriangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToQuadraticTriangle ();this SetCellType VTK_QUADRATIC_TRIANGLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToQuadraticTriangle for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToQuadraticTriangle();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToBiQuadraticTriangle vtkGenericCellSetCellTypeToBiQuadraticTriangleFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToBiQuadraticTriangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToBiQuadraticTriangle ();this SetCellType VTK_BIQUADRATIC_TRIANGLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToBiQuadraticTriangle for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToBiQuadraticTriangle();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToQuadraticQuad vtkGenericCellSetCellTypeToQuadraticQuadFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToQuadraticQuadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToQuadraticQuad ();this SetCellType VTK_QUADRATIC_QUAD  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToQuadraticQuad for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToQuadraticQuad();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToQuadraticTetra vtkGenericCellSetCellTypeToQuadraticTetraFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToQuadraticTetraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToQuadraticTetra ();this SetCellType VTK_QUADRATIC_TETRA  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToQuadraticTetra for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToQuadraticTetra();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToQuadraticHexahedron vtkGenericCellSetCellTypeToQuadraticHexahedronFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToQuadraticHexahedronFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToQuadraticHexahedron ();this SetCellType VTK_QUADRATIC_HEXAHEDRON  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToQuadraticHexahedron for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToQuadraticHexahedron();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToQuadraticWedge vtkGenericCellSetCellTypeToQuadraticWedgeFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToQuadraticWedgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToQuadraticWedge ();this SetCellType VTK_QUADRATIC_WEDGE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToQuadraticWedge for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToQuadraticWedge();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToQuadraticPyramid vtkGenericCellSetCellTypeToQuadraticPyramidFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToQuadraticPyramidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToQuadraticPyramid ();this SetCellType VTK_QUADRATIC_PYRAMID  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToQuadraticPyramid for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToQuadraticPyramid();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToQuadraticLinearQuad vtkGenericCellSetCellTypeToQuadraticLinearQuadFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToQuadraticLinearQuadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToQuadraticLinearQuad ();this SetCellType VTK_QUADRATIC_LINEAR_QUAD  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToQuadraticLinearQuad for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToQuadraticLinearQuad();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToBiQuadraticQuad vtkGenericCellSetCellTypeToBiQuadraticQuadFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToBiQuadraticQuadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToBiQuadraticQuad ();this SetCellType VTK_BIQUADRATIC_QUAD  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToBiQuadraticQuad for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToBiQuadraticQuad();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToQuadraticLinearWedge vtkGenericCellSetCellTypeToQuadraticLinearWedgeFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToQuadraticLinearWedgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToQuadraticLinearWedge ();this SetCellType VTK_QUADRATIC_LINEAR_WEDGE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToQuadraticLinearWedge for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToQuadraticLinearWedge();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToBiQuadraticQuadraticWedge vtkGenericCellSetCellTypeToBiQuadraticQuadraticWedgeFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToBiQuadraticQuadraticWedgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToBiQuadraticQuadraticWedge ();this SetCellType VTK_BIQUADRATIC_QUADRATIC_WEDGE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToBiQuadraticQuadraticWedge for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToBiQuadraticQuadraticWedge();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToTriQuadraticHexahedron vtkGenericCellSetCellTypeToTriQuadraticHexahedronFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToTriQuadraticHexahedronFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToTriQuadraticHexahedron ();this SetCellType VTK_TRIQUADRATIC_HEXAHEDRON  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToTriQuadraticHexahedron for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToTriQuadraticHexahedron();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:SetCellTypeToBiQuadraticQuadraticHexahedron vtkGenericCellSetCellTypeToBiQuadraticQuadraticHexahedronFunction
//input a0 
//output none
ArrayVector vtkGenericCellSetCellTypeToBiQuadraticQuadraticHexahedronFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeToBiQuadraticQuadraticHexahedron ();this SetCellType VTK_BIQUADRATIC_QUADRATIC_HEXAHEDRON  */
  if (arg.size() < 1) 
    throw Exception("Function SetCellTypeToBiQuadraticQuadraticHexahedron for class vtkGenericCell requires 1 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  vtk_pointer->SetCellTypeToBiQuadraticQuadraticHexahedron();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:InstantiateCell vtkGenericCellInstantiateCellFunction
//input a0 a1 
//output y
ArrayVector vtkGenericCellInstantiateCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkCell *InstantiateCell (int cellType); */
  if (arg.size() < 2) 
    throw Exception("Function InstantiateCell for class vtkGenericCell requires 2 argument(s)");
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InstantiateCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCell:display vtkGenericCellDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericCellDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericCell* vtk_pointer = GetVTKPointer<vtkGenericCell>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericCell:delete vtkGenericCellDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericCellDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericCell
//@@Section VTKFiltering
//@@Usage
// vtkGenericCell is a class that provides access to concrete types of cells.
// It's main purpose is to allow thread-safe access to cells, supporting
// the vtkDataSet::GetCell(vtkGenericCell *) method. vtkGenericCell acts
// like any type of cell, it just dereferences an internal representation.
// The SetCellType() methods use \#define constants; these are defined in
// the file vtkCellType.h.
//
//To create an instance of class vtkGenericCell, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericCell
//@]
//@@Methods
//The class vtkGenericCell has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericCell class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericCell = obj.NewInstance ()|
// \item @|vtkGenericCell = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ShallowCopy (vtkCell c)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.DeepCopy (vtkCell c)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetCellType ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetCellDimension ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.IsLinear ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.RequiresInitialization ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Initialize ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetEdge (int edgeId)| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetFace (int faceId)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray connectivity, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.IsPrimaryCell ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double weights)| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs)| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.SetCellType (int cellType)| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToEmptyCell ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToVertex ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToPolyVertex ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToLine ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToPolyLine ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToTriangle ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToTriangleStrip ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToPolygon ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToPixel ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToQuad ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToTetra ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToVoxel ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToHexahedron ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToWedge ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToPyramid ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToPentagonalPrism ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToHexagonalPrism ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToConvexPointSet ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToQuadraticEdge ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToCubicLine ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToQuadraticTriangle ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToBiQuadraticTriangle ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToQuadraticQuad ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToQuadraticTetra ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToQuadraticHexahedron ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToQuadraticWedge ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToQuadraticPyramid ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToQuadraticLinearQuad ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToBiQuadraticQuad ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToQuadraticLinearWedge ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToBiQuadraticQuadraticWedge ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToTriQuadraticHexahedron ()| -  This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)
// method. It allows vtkGenericCell to act like any cell type by
// dereferencing an internal instance of a concrete cell type. When
// you set the cell type, you are resetting a pointer to an internal
// cell which is then used for computation.
//// \item @|obj.SetCellTypeToBiQuadraticQuadraticHexahedron ()| -  Instantiate a new vtkCell based on it's cell type value
////\end{itemize}
//!
