#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericCellIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericCellIterator.h"

//@@Signature
//sfunction @vtkGenericCellIterator:vtkGenericCellIterator vtkGenericCellIteratorConstructorFunction
//input a
//output p
//@@Parents vtkGenericCellIterator vtkObject 
ArrayVector vtkGenericCellIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericCellIterator::New(),"vtkGenericCellIterator",eval);
  } else if (arg[0].className() == "vtkGenericCellIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericCellIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericCellIterator");
    vtkGenericCellIterator*q = reinterpret_cast<vtkGenericCellIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericCellIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericCellIterator:GetClassName vtkGenericCellIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericCellIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericCellIterator requires 1 argument(s)");
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellIterator:IsA vtkGenericCellIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericCellIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericCellIterator requires 2 argument(s)");
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellIterator:NewInstance vtkGenericCellIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericCellIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericCellIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericCellIterator requires 1 argument(s)");
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  Array retval;
  vtkGenericCellIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericCellIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellIterator:SafeDownCast vtkGenericCellIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericCellIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericCellIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericCellIterator requires 2 argument(s)");
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericCellIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericCellIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellIterator:Begin vtkGenericCellIteratorBeginFunction
//input a0 
//output none
ArrayVector vtkGenericCellIteratorBeginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Begin () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Begin for class vtkGenericCellIterator requires 1 argument(s)");
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  Array retval;
  vtk_pointer->Begin();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellIterator:IsAtEnd vtkGenericCellIteratorIsAtEndFunction
//input a0 
//output y
ArrayVector vtkGenericCellIteratorIsAtEndFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsAtEnd () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function IsAtEnd for class vtkGenericCellIterator requires 1 argument(s)");
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsAtEnd();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellIterator:NewCell vtkGenericCellIteratorNewCellFunction
//input a0 
//output y
ArrayVector vtkGenericCellIteratorNewCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGenericAdaptorCell *NewCell () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function NewCell for class vtkGenericCellIterator requires 1 argument(s)");
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp20;
  temp20 = (vtk_pointer)->NewCell();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAdaptorCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellIterator:GetCell__1 vtkGenericCellIteratorGetCell__1Function
//input a0 a1 
//output none
ArrayVector vtkGenericCellIteratorGetCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCell (vtkGenericAdaptorCell *c) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetCell__1 for class vtkGenericCellIterator requires 2 argument(s)");
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp0;
  temp0 = GetVTKPointer<vtkGenericAdaptorCell>(arg[1]);
  vtk_pointer->GetCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellIterator:GetCell__2 vtkGenericCellIteratorGetCell__2Function
//input a0 
//output y
ArrayVector vtkGenericCellIteratorGetCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGenericAdaptorCell *GetCell () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetCell__2 for class vtkGenericCellIterator requires 1 argument(s)");
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp20;
  temp20 = (vtk_pointer)->GetCell();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAdaptorCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellIterator:Next vtkGenericCellIteratorNextFunction
//input a0 
//output none
ArrayVector vtkGenericCellIteratorNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Next () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Next for class vtkGenericCellIterator requires 1 argument(s)");
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  Array retval;
  vtk_pointer->Next();
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellIterator:GetCell vtkGenericCellIteratorGetCellFunction
//input varargin
//output varargout
ArrayVector vtkGenericCellIteratorGetCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkGenericAdaptorCell"))
    return vtkGenericCellIteratorGetCell__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkGenericCellIteratorGetCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericCellIteratorGetCell");
}

//@@Signature
//sfunction @vtkGenericCellIterator:display vtkGenericCellIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericCellIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericCellIterator* vtk_pointer = GetVTKPointer<vtkGenericCellIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericCellIterator:delete vtkGenericCellIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericCellIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericCellIterator
//@@Section VTKFiltering
//@@Usage
// This class (and subclasses) are used to iterate over cells. Use it
// only in conjunction with vtkGenericDataSet (i.e., the adaptor framework).
//
// Typical use is:
// <pre>
// vtkGenericDataSet *dataset;
// vtkGenericCellIterator *it = dataset->NewCellIterator(2);
// for (it->Begin(); !it->IsAtEnd(); it->Next());
//   {
//   spec=it->GetCell();
//   }
// </pre>
//
//To create an instance of class vtkGenericCellIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericCellIterator
//@]
//@@Methods
//The class vtkGenericCellIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericCellIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK construction and type macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK construction and type macros.
//// \item @|vtkGenericCellIterator = obj.NewInstance ()| -  Standard VTK construction and type macros.
//// \item @|vtkGenericCellIterator = obj.SafeDownCast (vtkObject o)| -  Standard VTK construction and type macros.
//// \item @|obj.Begin ()| -  Move iterator to first position if any (loop initialization).
//// \item @|int = obj.IsAtEnd ()| -  Is the iterator at the end of traversal?
//// \item @|vtkGenericAdaptorCell = obj.NewCell ()| -  Create an empty cell. The user is responsible for deleting it.
// \post result_exists: result!=0
//// \item @|obj.GetCell (vtkGenericAdaptorCell c)| -  Get the cell at current position. The cell should be instantiated
// with the NewCell() method.
// \pre not_at_end: !IsAtEnd()
// \pre c_exists: c!=0
// THREAD SAFE
//// \item @|vtkGenericAdaptorCell = obj.GetCell ()| -  Get the cell at the current traversal position.
// NOT THREAD SAFE
// \pre not_at_end: !IsAtEnd()
// \post result_exits: result!=0
//// \item @|obj.Next ()| -  Move the iterator to the next position in the list.
// \pre not_at_end: !IsAtEnd()
////\end{itemize}
//!
