#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericCellTessellator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericCellTessellator.h"

//@@Signature
//sfunction @vtkGenericCellTessellator:vtkGenericCellTessellator vtkGenericCellTessellatorConstructorFunction
//input a
//output p
//@@Parents vtkGenericCellTessellator vtkObject 
ArrayVector vtkGenericCellTessellatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericCellTessellator::New(),"vtkGenericCellTessellator",eval);
  } else if (arg[0].className() == "vtkGenericCellTessellator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericCellTessellator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericCellTessellator");
    vtkGenericCellTessellator*q = reinterpret_cast<vtkGenericCellTessellator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericCellTessellator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericCellTessellator:GetClassName vtkGenericCellTessellatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericCellTessellatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericCellTessellator requires 1 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:IsA vtkGenericCellTessellatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericCellTessellatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericCellTessellator requires 2 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:NewInstance vtkGenericCellTessellatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericCellTessellatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericCellTessellator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericCellTessellator requires 1 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  vtkGenericCellTessellator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericCellTessellator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:SafeDownCast vtkGenericCellTessellatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericCellTessellatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericCellTessellator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericCellTessellator requires 2 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericCellTessellator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericCellTessellator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:TessellateFace vtkGenericCellTessellatorTessellateFaceFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkGenericCellTessellatorTessellateFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TessellateFace (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkIdType index, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd) = 0; */
  if (arg.size() < 7) 
    throw Exception("Function TessellateFace for class vtkGenericCellTessellator requires 7 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkIdType   temp2;
  vtkDoubleArray  *temp3;
  vtkCellArray  *temp4;
  vtkPointData  *temp5;
  temp0 = GetVTKPointer<vtkGenericAdaptorCell>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericAttributeCollection>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkDoubleArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  vtk_pointer->TessellateFace(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:Tessellate vtkGenericCellTessellatorTessellateFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkGenericCellTessellatorTessellateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Tessellate (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd) = 0; */
  if (arg.size() < 6) 
    throw Exception("Function Tessellate for class vtkGenericCellTessellator requires 6 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkDoubleArray  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  temp0 = GetVTKPointer<vtkGenericAdaptorCell>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericAttributeCollection>(arg[2]);
  temp2 = GetVTKPointer<vtkDoubleArray>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  vtk_pointer->Tessellate(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:Triangulate vtkGenericCellTessellatorTriangulateFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkGenericCellTessellatorTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Triangulate (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd) = 0; */
  if (arg.size() < 6) 
    throw Exception("Function Triangulate for class vtkGenericCellTessellator requires 6 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkDoubleArray  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  temp0 = GetVTKPointer<vtkGenericAdaptorCell>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericAttributeCollection>(arg[2]);
  temp2 = GetVTKPointer<vtkDoubleArray>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  vtk_pointer->Triangulate(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:SetErrorMetrics vtkGenericCellTessellatorSetErrorMetricsFunction
//input a0 a1 
//output none
ArrayVector vtkGenericCellTessellatorSetErrorMetricsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetErrorMetrics (vtkCollection *someErrorMetrics); */
  if (arg.size() < 2) 
    throw Exception("Function SetErrorMetrics for class vtkGenericCellTessellator requires 2 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  vtkCollection  *temp0;
  temp0 = GetVTKPointer<vtkCollection>(arg[1]);
  vtk_pointer->SetErrorMetrics(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:GetErrorMetrics vtkGenericCellTessellatorGetErrorMetricsFunction
//input a0 
//output y
ArrayVector vtkGenericCellTessellatorGetErrorMetricsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollection *GetErrorMetrics (); */
  if (arg.size() < 1) 
    throw Exception("Function GetErrorMetrics for class vtkGenericCellTessellator requires 1 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  vtkCollection  *temp20;
  temp20 = (vtk_pointer)->GetErrorMetrics();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:Initialize vtkGenericCellTessellatorInitializeFunction
//input a0 a1 
//output none
ArrayVector vtkGenericCellTessellatorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (vtkGenericDataSet *ds) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function Initialize for class vtkGenericCellTessellator requires 2 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  vtkGenericDataSet  *temp0;
  temp0 = GetVTKPointer<vtkGenericDataSet>(arg[1]);
  vtk_pointer->Initialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:InitErrorMetrics vtkGenericCellTessellatorInitErrorMetricsFunction
//input a0 a1 
//output none
ArrayVector vtkGenericCellTessellatorInitErrorMetricsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitErrorMetrics (vtkGenericDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function InitErrorMetrics for class vtkGenericCellTessellator requires 2 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  vtkGenericDataSet  *temp0;
  temp0 = GetVTKPointer<vtkGenericDataSet>(arg[1]);
  vtk_pointer->InitErrorMetrics(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:GetMeasurement vtkGenericCellTessellatorGetMeasurementFunction
//input a0 
//output y
ArrayVector vtkGenericCellTessellatorGetMeasurementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMeasurement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMeasurement for class vtkGenericCellTessellator requires 1 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMeasurement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:SetMeasurement vtkGenericCellTessellatorSetMeasurementFunction
//input a0 a1 
//output none
ArrayVector vtkGenericCellTessellatorSetMeasurementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMeasurement (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMeasurement for class vtkGenericCellTessellator requires 2 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMeasurement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:GetMaxErrors vtkGenericCellTessellatorGetMaxErrorsFunction
//input a0 a1 
//output none
ArrayVector vtkGenericCellTessellatorGetMaxErrorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetMaxErrors (double *errors); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaxErrors for class vtkGenericCellTessellator requires 2 argument(s)");
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetMaxErrors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericCellTessellator:display vtkGenericCellTessellatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericCellTessellatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericCellTessellator* vtk_pointer = GetVTKPointer<vtkGenericCellTessellator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericCellTessellator:delete vtkGenericCellTessellatorDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericCellTessellatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericCellTessellator
//@@Section VTKFiltering
//@@Usage
// vtkGenericCellTessellator is a helper class to perform adaptive tessellation
// of particular cell topologies. The major purpose for this class is to
// transform higher-order cell types (e.g., higher-order finite elements)
// into linear cells that can then be easily visualized by VTK. This class
// works in conjunction with the vtkGenericDataSet and vtkGenericAdaptorCell
// classes.
//
// This algorithm is based on edge subdivision. An error metric along each
// edge is evaluated, and if the error is greater than some tolerance, the
// edge is subdivided (as well as all connected 2D and 3D cells). The process
// repeats until the error metric is satisfied. 
//
// A significant issue addressed by this algorithm is to insure face
// compatibility across neigboring cells. That is, diagonals due to face
// triangulation must match to insure that the mesh is compatible. The
// algorithm employs a precomputed table to accelerate the tessellation
// process. The table was generated with the help of vtkOrderedTriangulator;
// the basic idea is that the choice of diagonal is made by considering the
// relative value of the point ids.
//
//To create an instance of class vtkGenericCellTessellator, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericCellTessellator
//@]
//@@Methods
//The class vtkGenericCellTessellator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericCellTessellator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericCellTessellator = obj.NewInstance ()|
// \item @|vtkGenericCellTessellator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.TessellateFace (vtkGenericAdaptorCell cell, vtkGenericAttributeCollection att, vtkIdType index, vtkDoubleArray points, vtkCellArray cellArray, vtkPointData internalPd)| -  Tessellate a face of a 3D `cell'. The face is specified by the
// index value.
// The result is a set of smaller linear triangles in `cellArray' with
// `points' and point data `internalPd'.
// \pre cell_exists: cell!=0
// \pre valid_dimension: cell->GetDimension()==3
// \pre valid_index_range: (index>=0) && (index<cell->GetNumberOfBoundaries(2))
// \pre att_exists: att!=0
// \pre points_exists: points!=0
// \pre cellArray_exists: cellArray!=0
// \pre internalPd_exists: internalPd!=0
//// \item @|obj.Tessellate (vtkGenericAdaptorCell cell, vtkGenericAttributeCollection att, vtkDoubleArray points, vtkCellArray cellArray, vtkPointData internalPd)| -  Tessellate a 3D `cell'. The result is a set of smaller linear
// tetrahedra in `cellArray' with `points' and point data `internalPd'.
// \pre cell_exists: cell!=0
// \pre valid_dimension: cell->GetDimension()==3
// \pre att_exists: att!=0
// \pre points_exists: points!=0
// \pre cellArray_exists: cellArray!=0
// \pre internalPd_exists: internalPd!=0
//// \item @|obj.Triangulate (vtkGenericAdaptorCell cell, vtkGenericAttributeCollection att, vtkDoubleArray points, vtkCellArray cellArray, vtkPointData internalPd)| -  Triangulate a 2D `cell'. The result is a set of smaller linear triangles
// in `cellArray' with `points' and point data `internalPd'.
// \pre cell_exists: cell!=0
// \pre valid_dimension: cell->GetDimension()==2
// \pre att_exists: att!=0
// \pre points_exists: points!=0
// \pre cellArray_exists: cellArray!=0
// \pre internalPd_exists: internalPd!=0
//// \item @|obj.SetErrorMetrics (vtkCollection someErrorMetrics)| -  Specify the list of error metrics used to decide if an edge has to be
// splitted or not. It is a collection of vtkGenericSubdivisionErrorMetric-s.
//// \item @|vtkCollection = obj.GetErrorMetrics ()| -  Specify the list of error metrics used to decide if an edge has to be
// splitted or not. It is a collection of vtkGenericSubdivisionErrorMetric-s.
//// \item @|obj.Initialize (vtkGenericDataSet ds)| -  Initialize the tessellator with a data set `ds'.
//// \item @|obj.InitErrorMetrics (vtkGenericDataSet ds)| -  Init the error metric with the dataset. Should be called in each filter
// before any tessellation of any cell.
//// \item @|int = obj.GetMeasurement ()| -  If true, measure the quality of the fixed subdivision.
//// \item @|obj.SetMeasurement (int )| -  If true, measure the quality of the fixed subdivision.
//// \item @|obj.GetMaxErrors (double errors)| -  Get the maximum error measured after the fixed subdivision.
// \pre errors_exists: errors!=0
// \pre valid_size: sizeof(errors)==GetErrorMetrics()->GetNumberOfItems()
////\end{itemize}
//!
