#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericDataSet.h"

//@@Signature
//sfunction @vtkGenericDataSet:vtkGenericDataSet vtkGenericDataSetConstructorFunction
//input a
//output p
//@@Parents vtkGenericDataSet vtkDataObject 
ArrayVector vtkGenericDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericDataSet::New(),"vtkGenericDataSet",eval);
  } else if (arg[0].className() == "vtkGenericDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericDataSet");
    vtkGenericDataSet*q = reinterpret_cast<vtkGenericDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericDataSet:GetClassName vtkGenericDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:IsA vtkGenericDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericDataSet requires 2 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:NewInstance vtkGenericDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  vtkGenericDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:SafeDownCast vtkGenericDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericDataSet requires 2 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetNumberOfPoints vtkGenericDataSetGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfPoints () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetNumberOfCells vtkGenericDataSetGetNumberOfCellsFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataSetGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfCells (int dim) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfCells for class vtkGenericDataSet requires 2 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfCells(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetCellDimension vtkGenericDataSetGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCellDimension () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetCellTypes vtkGenericDataSetGetCellTypesFunction
//input a0 a1 
//output none
ArrayVector vtkGenericDataSetGetCellTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellTypes (vtkCellTypes *types); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellTypes for class vtkGenericDataSet requires 2 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  vtkCellTypes  *temp0;
  temp0 = GetVTKPointer<vtkCellTypes>(arg[1]);
  vtk_pointer->GetCellTypes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:NewCellIterator vtkGenericDataSetNewCellIteratorFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataSetNewCellIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGenericCellIterator *NewCellIterator (int dim) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function NewCellIterator for class vtkGenericDataSet requires 2 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  int      temp0;
  vtkGenericCellIterator  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->NewCellIterator(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericCellIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:NewBoundaryIterator vtkGenericDataSetNewBoundaryIteratorFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGenericDataSetNewBoundaryIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGenericCellIterator *NewBoundaryIterator (int dim, int exteriorOnly) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function NewBoundaryIterator for class vtkGenericDataSet requires 3 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkGenericCellIterator  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->NewBoundaryIterator(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericCellIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:NewPointIterator vtkGenericDataSetNewPointIteratorFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetNewPointIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGenericPointIterator *NewPointIterator () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function NewPointIterator for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  vtkGenericPointIterator  *temp20;
  temp20 = (vtk_pointer)->NewPointIterator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericPointIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:FindPoint vtkGenericDataSetFindPointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericDataSetFindPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindPoint (double x[3], vtkGenericPointIterator *p) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function FindPoint for class vtkGenericDataSet requires 3 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  double temp0[3];
  vtkGenericPointIterator  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkGenericPointIterator>(arg[4]);
  vtk_pointer->FindPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetMTime vtkGenericDataSetGetMTimeFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:ComputeBounds vtkGenericDataSetComputeBoundsFunction
//input a0 
//output none
ArrayVector vtkGenericDataSetComputeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeBounds () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function ComputeBounds for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  vtk_pointer->ComputeBounds();
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetBounds__2 vtkGenericDataSetGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkGenericDataSetGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkGenericDataSet requires 2 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetCenter__2 vtkGenericDataSetGetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkGenericDataSetGetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCenter (double center[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCenter__2 for class vtkGenericDataSet requires 2 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetLength vtkGenericDataSetGetLengthFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetGetLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetAttributes__1 vtkGenericDataSetGetAttributes__1Function
//input a0 
//output y
ArrayVector vtkGenericDataSetGetAttributes__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericAttributeCollection *GetAttributes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributes__1 for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  vtkGenericAttributeCollection  *temp20;
  temp20 = (vtk_pointer)->GetAttributes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAttributeCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetAttributes__2 vtkGenericDataSetGetAttributes__2Function
//input a0 a1 
//output y
ArrayVector vtkGenericDataSetGetAttributes__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataSetAttributes *GetAttributes (int type);return this Superclass GetAttributes type  */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributes__2 for class vtkGenericDataSet requires 2 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSetAttributes  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributes(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:SetTessellator vtkGenericDataSetSetTessellatorFunction
//input a0 a1 
//output none
ArrayVector vtkGenericDataSetSetTessellatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTessellator (vtkGenericCellTessellator *tessellator); */
  if (arg.size() < 2) 
    throw Exception("Function SetTessellator for class vtkGenericDataSet requires 2 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  vtkGenericCellTessellator  *temp0;
  temp0 = GetVTKPointer<vtkGenericCellTessellator>(arg[1]);
  vtk_pointer->SetTessellator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetTessellator vtkGenericDataSetGetTessellatorFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetGetTessellatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericCellTessellator *GetTessellator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTessellator for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  vtkGenericCellTessellator  *temp20;
  temp20 = (vtk_pointer)->GetTessellator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericCellTessellator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetActualMemorySize vtkGenericDataSetGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetDataObjectType vtkGenericDataSetGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetEstimatedSize vtkGenericDataSetGetEstimatedSizeFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetGetEstimatedSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetEstimatedSize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetEstimatedSize for class vtkGenericDataSet requires 1 argument(s)");
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetEstimatedSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSet:GetBounds vtkGenericDataSetGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataSetGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGenericDataSetGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericDataSetGetBounds");
}

//@@Signature
//sfunction @vtkGenericDataSet:GetCenter vtkGenericDataSetGetCenterFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataSetGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGenericDataSetGetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericDataSetGetCenter");
}

//@@Signature
//sfunction @vtkGenericDataSet:GetAttributes vtkGenericDataSetGetAttributesFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataSetGetAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkGenericDataSetGetAttributes__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkGenericDataSetGetAttributes__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericDataSetGetAttributes");
}

//@@Signature
//sfunction @vtkGenericDataSet:display vtkGenericDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericDataSet* vtk_pointer = GetVTKPointer<vtkGenericDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericDataSet:delete vtkGenericDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericDataSet
//@@Section VTKFiltering
//@@Usage
// In VTK, spatial-temporal data is defined in terms of a dataset. The
// dataset consists of geometry (e.g., points), topology (e.g., cells), and
// attributes (e.g., scalars, vectors, etc.) vtkGenericDataSet is an abstract
// class defining this abstraction.
//
// Since vtkGenericDataSet provides a general interface to manipulate data,
// algorithms that process it tend to be slower than those specialized for a
// particular data type. For this reason, there are concrete, non-abstract
// subclasses that represent and provide access to data more efficiently.
// Note that filters to process this dataset type are currently found in the
// VTK/GenericFiltering/ subdirectory.
//
// Unlike the vtkDataSet class, vtkGenericDataSet provides a more flexible
// interface including support for iterators. vtkGenericDataSet is also
// designed to interface VTK to external simulation packages without the
// penalty of copying memory (see VTK/GenericFiltering/README.html) for
// more information. Thus vtkGenericDataSet plays a central role in the
// adaptor framework.
//
// Please note that this class introduces the concepts of "boundary cells".
// This refers to the boundaries of a cell (e.g., face of a tetrahedron)
// which may in turn be represented as a cell. Boundary cells are derivative
// topological features of cells, and are therefore never explicitly
// represented in the dataset. Often in visualization algorithms, looping
// over boundaries (edges or faces) is employed, while the actual dataset
// cells may not traversed. Thus there are methods to loop over these
// boundary cells.
//
// Finally, as a point of clarification, points are not the same as vertices.
// Vertices refer to points, and points specify a position is space. Vertices
// are a type of 0-D cell. Also, the concept of a DOFNode, which is where
// coefficients for higher-order cells are kept, is a new concept introduced
// by the adaptor framework (see vtkGenericAdaptorCell for more information).
//
//
//To create an instance of class vtkGenericDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericDataSet
//@]
//@@Methods
//The class vtkGenericDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK type and print macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK type and print macros.
//// \item @|vtkGenericDataSet = obj.NewInstance ()| -  Standard VTK type and print macros.
//// \item @|vtkGenericDataSet = obj.SafeDownCast (vtkObject o)| -  Standard VTK type and print macros.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Return the number of points composing the dataset. See NewPointIterator()
// for more details.
// \post positive_result: result>=0
//// \item @|vtkIdType = obj.GetNumberOfCells (int dim)| -  Return the number of cells that explicitly define the dataset. See
// NewCellIterator() for more details.
// \pre valid_dim_range: (dim>=-1) && (dim<=3)
// \post positive_result: result>=0
//// \item @|int = obj.GetCellDimension ()| -  Return -1 if the dataset is explicitly defined by cells of varying
// dimensions or if there are no cells. If the dataset is explicitly
// defined by cells of a unique dimension, return this dimension.
// \post valid_range: (result>=-1) && (result<=3)
//// \item @|obj.GetCellTypes (vtkCellTypes types)| -  Get a list of types of cells in a dataset. The list consists of an array
// of types (not necessarily in any order), with a single entry per type.
// For example a dataset 5 triangles, 3 lines, and 100 hexahedra would
// result a list of three entries, corresponding to the types VTK_TRIANGLE,
// VTK_LINE, and VTK_HEXAHEDRON.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
// \pre types_exist: types!=0
//// \item @|vtkGenericCellIterator = obj.NewCellIterator (int dim)| -  Return an iterator to traverse cells of dimension `dim' (or all
// dimensions if -1) that explicitly define the dataset. For instance, it
// will return only tetrahedra if the mesh is defined by tetrahedra. If the
// mesh is composed of two parts, one with tetrahedra and another part with
// triangles, it will return both, but will not return the boundary edges
// and vertices of these cells. The user is responsible for deleting the
// iterator.
// \pre valid_dim_range: (dim>=-1) && (dim<=3)
// \post result_exists: result!=0
//// \item @|vtkGenericCellIterator = obj.NewBoundaryIterator (int dim, int exteriorOnly)| -  Return an iterator to traverse cell boundaries of dimension `dim' (or
// all dimensions if -1) of the dataset.  If `exteriorOnly' is true, only
// the exterior cell boundaries of the dataset will be returned, otherwise
// it will return exterior and interior cell boundaries. The user is
// responsible for deleting the iterator.
// \pre valid_dim_range: (dim>=-1) && (dim<=2)
// \post result_exists: result!=0
//// \item @|vtkGenericPointIterator = obj.NewPointIterator ()| -  Return an iterator to traverse the points composing the dataset; they
// can be points that define a cell (corner points) or isolated points.
// The user is responsible for deleting the iterator.
// \post result_exists: result!=0
//// \item @|obj.FindPoint (double x[3], vtkGenericPointIterator p)| -  Locate the closest point `p' to position `x' (global coordinates).
// \pre not_empty: GetNumberOfPoints()>0
// \pre p_exists: p!=0
//// \item @|long = obj.GetMTime ()| -  Datasets are composite objects and need to check each part for their
// modified time.
//// \item @|obj.ComputeBounds ()| -  Compute the geometry bounding box.
//// \item @|obj.GetBounds (double bounds[6])| -  Return the geometry bounding box in global coordinates in
// the form (xmin,xmax, ymin,ymax, zmin,zmax) in the `bounds' array.
//// \item @|obj.GetCenter (double center[3])| -  Get the center of the bounding box in global coordinates.
//// \item @|double = obj.GetLength ()| -  Return the length of the diagonal of the bounding box.
// \post positive_result: result>=0
//// \item @|vtkGenericAttributeCollection = obj.GetAttributes ()| -  Get the collection of attributes associated with this dataset.
//// \item @|vtkDataSetAttributes = obj.GetAttributes (int type)| -  Set/Get a cell tessellator if cells must be tessellated during
// processing.
// \pre tessellator_exists: tessellator!=0
//// \item @|obj.SetTessellator (vtkGenericCellTessellator tessellator)| -  Set/Get a cell tessellator if cells must be tessellated during
// processing.
// \pre tessellator_exists: tessellator!=0
//// \item @|vtkGenericCellTessellator = obj.GetTessellator ()| -  Set/Get a cell tessellator if cells must be tessellated during
// processing.
// \pre tessellator_exists: tessellator!=0
//// \item @|long = obj.GetActualMemorySize ()| -  Actual size of the data in kilobytes; only valid after the pipeline has
// updated. It is guaranteed to be greater than or equal to the memory
// required to represent the data.
//// \item @|int = obj.GetDataObjectType ()| -  Return the type of data object.
//// \item @|vtkIdType = obj.GetEstimatedSize ()| -  Estimated size needed after tessellation (or special operation)
////\end{itemize}
//!
