#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericDataSetAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericDataSetAlgorithm.h"

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:vtkGenericDataSetAlgorithm vtkGenericDataSetAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkGenericDataSetAlgorithm vtkAlgorithm 
ArrayVector vtkGenericDataSetAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericDataSetAlgorithm::New(),"vtkGenericDataSetAlgorithm",eval);
  } else if (arg[0].className() == "vtkGenericDataSetAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericDataSetAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericDataSetAlgorithm");
    vtkGenericDataSetAlgorithm*q = reinterpret_cast<vtkGenericDataSetAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericDataSetAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:GetClassName vtkGenericDataSetAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericDataSetAlgorithm requires 1 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:IsA vtkGenericDataSetAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataSetAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericDataSetAlgorithm requires 2 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:NewInstance vtkGenericDataSetAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericDataSetAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataSetAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericDataSetAlgorithm requires 1 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkGenericDataSetAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:SafeDownCast vtkGenericDataSetAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataSetAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataSetAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericDataSetAlgorithm requires 2 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericDataSetAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:GetOutput__1 vtkGenericDataSetAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkGenericDataSetAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkGenericDataSetAlgorithm requires 1 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkGenericDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:GetOutput__2 vtkGenericDataSetAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkGenericDataSetAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataSet *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkGenericDataSetAlgorithm requires 2 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkGenericDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:SetOutput vtkGenericDataSetAlgorithmSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkGenericDataSetAlgorithmSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutput (vtkDataObject *d); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkGenericDataSetAlgorithm requires 2 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:GetInput__1 vtkGenericDataSetAlgorithmGetInput__1Function
//input a0 
//output y
ArrayVector vtkGenericDataSetAlgorithmGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkGenericDataSetAlgorithm requires 1 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:GetInput__2 vtkGenericDataSetAlgorithmGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkGenericDataSetAlgorithmGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkGenericDataSetAlgorithm requires 2 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:GetGenericDataSetInput vtkGenericDataSetAlgorithmGetGenericDataSetInputFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataSetAlgorithmGetGenericDataSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataSet *GetGenericDataSetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetGenericDataSetInput for class vtkGenericDataSetAlgorithm requires 2 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkGenericDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGenericDataSetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:SetInput__1 vtkGenericDataSetAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkGenericDataSetAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkGenericDataSetAlgorithm requires 2 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:SetInput__2 vtkGenericDataSetAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGenericDataSetAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkGenericDataSetAlgorithm requires 3 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:AddInput__1 vtkGenericDataSetAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkGenericDataSetAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkGenericDataSetAlgorithm requires 2 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:AddInput__2 vtkGenericDataSetAlgorithmAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGenericDataSetAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkGenericDataSetAlgorithm requires 3 argument(s)");
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:GetOutput vtkGenericDataSetAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataSetAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkGenericDataSetAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkGenericDataSetAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericDataSetAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:GetInput vtkGenericDataSetAlgorithmGetInputFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataSetAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkGenericDataSetAlgorithmGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkGenericDataSetAlgorithmGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericDataSetAlgorithmGetInput");
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:SetInput vtkGenericDataSetAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataSetAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkGenericDataSetAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkGenericDataSetAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericDataSetAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:AddInput vtkGenericDataSetAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataSetAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkGenericDataSetAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkGenericDataSetAlgorithmAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericDataSetAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkGenericDataSetAlgorithm:display vtkGenericDataSetAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataSetAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkGenericDataSetAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericDataSetAlgorithm:delete vtkGenericDataSetAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericDataSetAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericDataSetAlgorithm
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkGenericDataSetAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericDataSetAlgorithm
//@]
//@@Methods
//The class vtkGenericDataSetAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericDataSetAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericDataSetAlgorithm = obj.NewInstance ()|
// \item @|vtkGenericDataSetAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGenericDataSet = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkGenericDataSet = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetOutput (vtkDataObject d)| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetInput ()|
// \item @|vtkDataObject = obj.GetInput (int port)|
// \item @|vtkGenericDataSet = obj.GetGenericDataSetInput (int port)|
// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
