#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericEdgeTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericEdgeTable.h"

//@@Signature
//sfunction @vtkGenericEdgeTable:vtkGenericEdgeTable vtkGenericEdgeTableConstructorFunction
//input a
//output p
//@@Parents vtkGenericEdgeTable vtkObject 
ArrayVector vtkGenericEdgeTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericEdgeTable::New(),"vtkGenericEdgeTable",eval);
  } else if (arg[0].className() == "vtkGenericEdgeTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericEdgeTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericEdgeTable");
    vtkGenericEdgeTable*q = reinterpret_cast<vtkGenericEdgeTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericEdgeTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericEdgeTable:GetClassName vtkGenericEdgeTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericEdgeTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericEdgeTable requires 1 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:IsA vtkGenericEdgeTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEdgeTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericEdgeTable requires 2 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:NewInstance vtkGenericEdgeTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericEdgeTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericEdgeTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericEdgeTable requires 1 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkGenericEdgeTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericEdgeTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:SafeDownCast vtkGenericEdgeTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEdgeTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericEdgeTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericEdgeTable requires 2 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericEdgeTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericEdgeTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:InsertEdge__2 vtkGenericEdgeTableInsertEdge__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkGenericEdgeTableInsertEdge__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertEdge (vtkIdType e1, vtkIdType e2, vtkIdType cellId, int ref); */
  if (arg.size() < 5) 
    throw Exception("Function InsertEdge__2 for class vtkGenericEdgeTable requires 5 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->InsertEdge(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:RemoveEdge vtkGenericEdgeTableRemoveEdgeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGenericEdgeTableRemoveEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveEdge (vtkIdType e1, vtkIdType e2); */
  if (arg.size() < 3) 
    throw Exception("Function RemoveEdge for class vtkGenericEdgeTable requires 3 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->RemoveEdge(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:IncrementEdgeReferenceCount vtkGenericEdgeTableIncrementEdgeReferenceCountFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGenericEdgeTableIncrementEdgeReferenceCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IncrementEdgeReferenceCount (vtkIdType e1, vtkIdType e2, vtkIdType cellId); */
  if (arg.size() < 4) 
    throw Exception("Function IncrementEdgeReferenceCount for class vtkGenericEdgeTable requires 4 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->IncrementEdgeReferenceCount(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:CheckEdgeReferenceCount vtkGenericEdgeTableCheckEdgeReferenceCountFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGenericEdgeTableCheckEdgeReferenceCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CheckEdgeReferenceCount (vtkIdType e1, vtkIdType e2); */
  if (arg.size() < 3) 
    throw Exception("Function CheckEdgeReferenceCount for class vtkGenericEdgeTable requires 3 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->CheckEdgeReferenceCount(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:Initialize vtkGenericEdgeTableInitializeFunction
//input a0 a1 
//output none
ArrayVector vtkGenericEdgeTableInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (vtkIdType start); */
  if (arg.size() < 2) 
    throw Exception("Function Initialize for class vtkGenericEdgeTable requires 2 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Initialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:GetNumberOfComponents vtkGenericEdgeTableGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkGenericEdgeTableGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkGenericEdgeTable requires 1 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:SetNumberOfComponents vtkGenericEdgeTableSetNumberOfComponentsFunction
//input a0 a1 
//output none
ArrayVector vtkGenericEdgeTableSetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfComponents (int count); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfComponents for class vtkGenericEdgeTable requires 2 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:CheckPoint__1 vtkGenericEdgeTableCheckPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkGenericEdgeTableCheckPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CheckPoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function CheckPoint__1 for class vtkGenericEdgeTable requires 2 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->CheckPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:CheckPoint__2 vtkGenericEdgeTableCheckPoint__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGenericEdgeTableCheckPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CheckPoint (vtkIdType ptId, double point[3], double *scalar); */
  if (arg.size() < 4) 
    throw Exception("Function CheckPoint__2 for class vtkGenericEdgeTable requires 4 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  double  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->CheckPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:InsertPoint vtkGenericEdgeTableInsertPointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericEdgeTableInsertPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertPoint (vtkIdType ptId, double point[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InsertPoint for class vtkGenericEdgeTable requires 3 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InsertPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:InsertPointAndScalar vtkGenericEdgeTableInsertPointAndScalarFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGenericEdgeTableInsertPointAndScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertPointAndScalar (vtkIdType ptId, double pt[3], double *s); */
  if (arg.size() < 4) 
    throw Exception("Function InsertPointAndScalar for class vtkGenericEdgeTable requires 4 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  double  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->InsertPointAndScalar(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:RemovePoint vtkGenericEdgeTableRemovePointFunction
//input a0 a1 
//output none
ArrayVector vtkGenericEdgeTableRemovePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemovePoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function RemovePoint for class vtkGenericEdgeTable requires 2 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemovePoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:IncrementPointReferenceCount vtkGenericEdgeTableIncrementPointReferenceCountFunction
//input a0 a1 
//output none
ArrayVector vtkGenericEdgeTableIncrementPointReferenceCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncrementPointReferenceCount (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function IncrementPointReferenceCount for class vtkGenericEdgeTable requires 2 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->IncrementPointReferenceCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:DumpTable vtkGenericEdgeTableDumpTableFunction
//input a0 
//output none
ArrayVector vtkGenericEdgeTableDumpTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DumpTable (); */
  if (arg.size() < 1) 
    throw Exception("Function DumpTable for class vtkGenericEdgeTable requires 1 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtk_pointer->DumpTable();
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:LoadFactor vtkGenericEdgeTableLoadFactorFunction
//input a0 
//output none
ArrayVector vtkGenericEdgeTableLoadFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LoadFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function LoadFactor for class vtkGenericEdgeTable requires 1 argument(s)");
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  Array retval;
  vtk_pointer->LoadFactor();
  return retval;
}

//@@Signature
//sfunction @vtkGenericEdgeTable:InsertEdge vtkGenericEdgeTableInsertEdgeFunction
//input varargin
//output varargout
ArrayVector vtkGenericEdgeTableInsertEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkGenericEdgeTableInsertEdge__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericEdgeTableInsertEdge");
}

//@@Signature
//sfunction @vtkGenericEdgeTable:CheckPoint vtkGenericEdgeTableCheckPointFunction
//input varargin
//output varargout
ArrayVector vtkGenericEdgeTableCheckPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkGenericEdgeTableCheckPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkGenericEdgeTableCheckPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericEdgeTableCheckPoint");
}

//@@Signature
//sfunction @vtkGenericEdgeTable:HashFunction vtkGenericEdgeTableHashFunctionFunction
//input varargin
//output varargout
ArrayVector vtkGenericEdgeTableHashFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGenericEdgeTableHashFunction");
}

//@@Signature
//sfunction @vtkGenericEdgeTable:display vtkGenericEdgeTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericEdgeTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericEdgeTable* vtk_pointer = GetVTKPointer<vtkGenericEdgeTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericEdgeTable:delete vtkGenericEdgeTableDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericEdgeTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericEdgeTable
//@@Section VTKFiltering
//@@Usage
// vtkGenericEdgeTable is used to indicate the existance of and hold
// information about edges. Similar to vtkEdgeTable, this class is
// more sophisticated in that it uses reference counting to keep track
// of when information about an edge should be deleted.
//
// vtkGenericEdgeTable is a helper class used in the adaptor framework.  It
// is used during the tessellation process to hold information about the
// error metric on each edge. This avoids recomputing the error metric each
// time the same edge is visited.
//
//To create an instance of class vtkGenericEdgeTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericEdgeTable
//@]
//@@Methods
//The class vtkGenericEdgeTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericEdgeTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK type and print macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK type and print macros.
//// \item @|vtkGenericEdgeTable = obj.NewInstance ()| -  Standard VTK type and print macros.
//// \item @|vtkGenericEdgeTable = obj.SafeDownCast (vtkObject o)| -  Standard VTK type and print macros.
//// \item @|obj.InsertEdge (vtkIdType e1, vtkIdType e2, vtkIdType cellId, int ref)| -  Insert an edge but do not split it.
//// \item @|int = obj.RemoveEdge (vtkIdType e1, vtkIdType e2)| -  Method to remove an edge from the table. The method returns the
// current reference count.
//// \item @|int = obj.IncrementEdgeReferenceCount (vtkIdType e1, vtkIdType e2, vtkIdType cellId)| -  Method that increments the referencecount and returns it.
//// \item @|int = obj.CheckEdgeReferenceCount (vtkIdType e1, vtkIdType e2)| -  Return the edge reference count.
//// \item @|obj.Initialize (vtkIdType start)| -  To specify the starting point id. It will initialize LastPointId
// This is very sensitive the start point should be cautiously chosen
//// \item @|int = obj.GetNumberOfComponents ()| -  Return the total number of components for the point-centered attributes.
// \post positive_result: result>0
//// \item @|obj.SetNumberOfComponents (int count)| -  Set the total number of components for the point-centered attributes.
// \pre positive_count: count>0
//// \item @|int = obj.CheckPoint (vtkIdType ptId)| -  Check if a point is already in the point table.
//// \item @|int = obj.CheckPoint (vtkIdType ptId, double point[3], double scalar)| -  Check for the existence of a point and return its coordinate value.
// \pre scalar_size: sizeof(scalar)==this->GetNumberOfComponents()
//// \item @|obj.InsertPoint (vtkIdType ptId, double point[3])| -  Insert point associated with an edge.
//// \item @|obj.InsertPointAndScalar (vtkIdType ptId, double pt[3], double s)| -  Insert point associated with an edge.
// \pre: sizeof(s)==GetNumberOfComponents()
//// \item @|obj.RemovePoint (vtkIdType ptId)| -  Remove a point from the point table.
//// \item @|obj.IncrementPointReferenceCount (vtkIdType ptId)| -  Increment the reference count for the indicated point.
//// \item @|obj.DumpTable ()| -  For debugging purposes. It is particularly useful to dump the table
// and check that nothing is left after a complete iteration. LoadFactor
// should ideally be very low to be able to have a constant time access
//// \item @|obj.LoadFactor ()| -  For debugging purposes. It is particularly useful to dump the table
// and check that nothing is left after a complete iteration. LoadFactor
// should ideally be very low to be able to have a constant time access
////\end{itemize}
//!
