#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericInterpolatedVelocityField object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericInterpolatedVelocityField.h"

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:vtkGenericInterpolatedVelocityField vtkGenericInterpolatedVelocityFieldConstructorFunction
//input a
//output p
//@@Parents vtkGenericInterpolatedVelocityField vtkFunctionSet 
ArrayVector vtkGenericInterpolatedVelocityFieldConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericInterpolatedVelocityField::New(),"vtkGenericInterpolatedVelocityField",eval);
  } else if (arg[0].className() == "vtkGenericInterpolatedVelocityField") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericInterpolatedVelocityField"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericInterpolatedVelocityField");
    vtkGenericInterpolatedVelocityField*q = reinterpret_cast<vtkGenericInterpolatedVelocityField*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericInterpolatedVelocityField");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:GetClassName vtkGenericInterpolatedVelocityFieldGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:IsA vtkGenericInterpolatedVelocityFieldIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericInterpolatedVelocityField requires 2 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:NewInstance vtkGenericInterpolatedVelocityFieldNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericInterpolatedVelocityField *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkGenericInterpolatedVelocityField  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericInterpolatedVelocityField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:SafeDownCast vtkGenericInterpolatedVelocityFieldSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericInterpolatedVelocityField *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericInterpolatedVelocityField requires 2 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericInterpolatedVelocityField  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericInterpolatedVelocityField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:FunctionValues__1 vtkGenericInterpolatedVelocityFieldFunctionValues__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldFunctionValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int FunctionValues (double *x, double *f); */
  if (arg.size() < 3) 
    throw Exception("Function FunctionValues__1 for class vtkGenericInterpolatedVelocityField requires 3 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FunctionValues(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:AddDataSet vtkGenericInterpolatedVelocityFieldAddDataSetFunction
//input a0 a1 
//output none
ArrayVector vtkGenericInterpolatedVelocityFieldAddDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddDataSet (vtkGenericDataSet *dataset); */
  if (arg.size() < 2) 
    throw Exception("Function AddDataSet for class vtkGenericInterpolatedVelocityField requires 2 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkGenericDataSet  *temp0;
  temp0 = GetVTKPointer<vtkGenericDataSet>(arg[1]);
  vtk_pointer->AddDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:ClearLastCell vtkGenericInterpolatedVelocityFieldClearLastCellFunction
//input a0 
//output none
ArrayVector vtkGenericInterpolatedVelocityFieldClearLastCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearLastCell (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearLastCell for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtk_pointer->ClearLastCell();
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:GetLastCell vtkGenericInterpolatedVelocityFieldGetLastCellFunction
//input a0 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldGetLastCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericAdaptorCell *GetLastCell (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastCell for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp20;
  temp20 = (vtk_pointer)->GetLastCell();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAdaptorCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:GetLastLocalCoordinates vtkGenericInterpolatedVelocityFieldGetLastLocalCoordinatesFunction
//input a0 a1 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldGetLastLocalCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLastLocalCoordinates (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetLastLocalCoordinates for class vtkGenericInterpolatedVelocityField requires 2 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetLastLocalCoordinates(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:GetCaching vtkGenericInterpolatedVelocityFieldGetCachingFunction
//input a0 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldGetCachingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCaching (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCaching for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCaching();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:SetCaching vtkGenericInterpolatedVelocityFieldSetCachingFunction
//input a0 a1 
//output none
ArrayVector vtkGenericInterpolatedVelocityFieldSetCachingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCaching (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCaching for class vtkGenericInterpolatedVelocityField requires 2 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCaching(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:CachingOn vtkGenericInterpolatedVelocityFieldCachingOnFunction
//input a0 
//output none
ArrayVector vtkGenericInterpolatedVelocityFieldCachingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CachingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CachingOn for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtk_pointer->CachingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:CachingOff vtkGenericInterpolatedVelocityFieldCachingOffFunction
//input a0 
//output none
ArrayVector vtkGenericInterpolatedVelocityFieldCachingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CachingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CachingOff for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtk_pointer->CachingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:GetCacheHit vtkGenericInterpolatedVelocityFieldGetCacheHitFunction
//input a0 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldGetCacheHitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheHit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheHit for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheHit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:GetCacheMiss vtkGenericInterpolatedVelocityFieldGetCacheMissFunction
//input a0 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldGetCacheMissFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheMiss (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheMiss for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheMiss();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:GetVectorsSelection vtkGenericInterpolatedVelocityFieldGetVectorsSelectionFunction
//input a0 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldGetVectorsSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVectorsSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorsSelection for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVectorsSelection();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:SelectVectors vtkGenericInterpolatedVelocityFieldSelectVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkGenericInterpolatedVelocityFieldSelectVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName  */
  if (arg.size() < 2) 
    throw Exception("Function SelectVectors for class vtkGenericInterpolatedVelocityField requires 2 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SelectVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:GetLastDataSet vtkGenericInterpolatedVelocityFieldGetLastDataSetFunction
//input a0 
//output y
ArrayVector vtkGenericInterpolatedVelocityFieldGetLastDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataSet *GetLastDataSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastDataSet for class vtkGenericInterpolatedVelocityField requires 1 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkGenericDataSet  *temp20;
  temp20 = (vtk_pointer)->GetLastDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:CopyParameters vtkGenericInterpolatedVelocityFieldCopyParametersFunction
//input a0 a1 
//output none
ArrayVector vtkGenericInterpolatedVelocityFieldCopyParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyParameters (vtkGenericInterpolatedVelocityField *from); */
  if (arg.size() < 2) 
    throw Exception("Function CopyParameters for class vtkGenericInterpolatedVelocityField requires 2 argument(s)");
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkGenericInterpolatedVelocityField  *temp0;
  temp0 = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[1]);
  vtk_pointer->CopyParameters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:FunctionValues vtkGenericInterpolatedVelocityFieldFunctionValuesFunction
//input varargin
//output varargout
ArrayVector vtkGenericInterpolatedVelocityFieldFunctionValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGenericInterpolatedVelocityFieldFunctionValues__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericInterpolatedVelocityFieldFunctionValues");
}

//@@Signature
//sfunction @vtkGenericInterpolatedVelocityField:display vtkGenericInterpolatedVelocityFieldDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericInterpolatedVelocityFieldDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkGenericInterpolatedVelocityField>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericInterpolatedVelocityField:delete vtkGenericInterpolatedVelocityFieldDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericInterpolatedVelocityFieldDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericInterpolatedVelocityField
//@@Section VTKFiltering
//@@Usage
// vtkGenericInterpolatedVelocityField acts as a continuous velocity field
// by performing cell interpolation on the underlying vtkDataSet.
// This is a concrete sub-class of vtkFunctionSet with 
// NumberOfIndependentVariables = 4 (x,y,z,t) and 
// NumberOfFunctions = 3 (u,v,w). Normally, every time an evaluation
// is performed, the cell which contains the point (x,y,z) has to
// be found by calling FindCell. This is a computationally expansive 
// operation. In certain cases, the cell search can be avoided or shortened 
// by providing a guess for the cell iterator. For example, in streamline
// integration, the next evaluation is usually in the same or a neighbour
// cell. For this reason, vtkGenericInterpolatedVelocityField stores the last
// cell iterator. If caching is turned on, it uses this iterator as the
// starting point.
//
//To create an instance of class vtkGenericInterpolatedVelocityField, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericInterpolatedVelocityField
//@]
//@@Methods
//The class vtkGenericInterpolatedVelocityField has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericInterpolatedVelocityField class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericInterpolatedVelocityField = obj.NewInstance ()|
// \item @|vtkGenericInterpolatedVelocityField = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.FunctionValues (double x, double f)| -  Evaluate the velocity field, f, at (x, y, z, t).
// For now, t is ignored.
//// \item @|obj.AddDataSet (vtkGenericDataSet dataset)| -  Add a dataset used for the implicit function evaluation.
// If more than one dataset is added, the evaluation point is
// searched in all until a match is found. THIS FUNCTION
// DOES NOT CHANGE THE REFERENCE COUNT OF dataset FOR THREAD
// SAFETY REASONS.
//// \item @|obj.ClearLastCell ()| -  Set the last cell id to -1 so that the next search does not
// start from the previous cell
//// \item @|vtkGenericAdaptorCell = obj.GetLastCell ()| -  Return the cell cached from last evaluation.
//// \item @|int = obj.GetLastLocalCoordinates (double pcoords[3])| -  Returns the interpolation weights cached from last evaluation
// if the cached cell is valid (returns 1). Otherwise, it does not
// change w and returns 0.
//// \item @|int = obj.GetCaching ()| -  Turn caching on/off.
//// \item @|obj.SetCaching (int )| -  Turn caching on/off.
//// \item @|obj.CachingOn ()| -  Turn caching on/off.
//// \item @|obj.CachingOff ()| -  Turn caching on/off.
//// \item @|int = obj.GetCacheHit ()| -  Caching statistics.
//// \item @|int = obj.GetCacheMiss ()| -  Caching statistics.
//// \item @|string = obj.GetVectorsSelection ()| -  If you want to work with an arbitrary vector array, then set its name 
// here. By default this in NULL and the filter will use the active vector 
// array.
//// \item @|obj.SelectVectors (string fieldName)| -  Returns the last dataset that was visited. Can be used
// as a first guess as to where the next point will be as
// well as to avoid searching through all datasets to get
// more information about the point.
//// \item @|vtkGenericDataSet = obj.GetLastDataSet ()| -  Returns the last dataset that was visited. Can be used
// as a first guess as to where the next point will be as
// well as to avoid searching through all datasets to get
// more information about the point.
//// \item @|obj.CopyParameters (vtkGenericInterpolatedVelocityField from)| -  Copy the user set parameters from source. This copies
// the Caching parameters. Sub-classes can add more after
// chaining.
////\end{itemize}
//!
