#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericPointIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericPointIterator.h"

//@@Signature
//sfunction @vtkGenericPointIterator:vtkGenericPointIterator vtkGenericPointIteratorConstructorFunction
//input a
//output p
//@@Parents vtkGenericPointIterator vtkObject 
ArrayVector vtkGenericPointIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericPointIterator::New(),"vtkGenericPointIterator",eval);
  } else if (arg[0].className() == "vtkGenericPointIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericPointIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericPointIterator");
    vtkGenericPointIterator*q = reinterpret_cast<vtkGenericPointIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericPointIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericPointIterator:GetClassName vtkGenericPointIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericPointIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericPointIterator requires 1 argument(s)");
  vtkGenericPointIterator* vtk_pointer = GetVTKPointer<vtkGenericPointIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericPointIterator:IsA vtkGenericPointIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericPointIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericPointIterator requires 2 argument(s)");
  vtkGenericPointIterator* vtk_pointer = GetVTKPointer<vtkGenericPointIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericPointIterator:NewInstance vtkGenericPointIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericPointIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericPointIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericPointIterator requires 1 argument(s)");
  vtkGenericPointIterator* vtk_pointer = GetVTKPointer<vtkGenericPointIterator>(arg[0]);
  Array retval;
  vtkGenericPointIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericPointIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericPointIterator:SafeDownCast vtkGenericPointIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericPointIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericPointIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericPointIterator requires 2 argument(s)");
  vtkGenericPointIterator* vtk_pointer = GetVTKPointer<vtkGenericPointIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericPointIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericPointIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericPointIterator:Begin vtkGenericPointIteratorBeginFunction
//input a0 
//output none
ArrayVector vtkGenericPointIteratorBeginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Begin () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Begin for class vtkGenericPointIterator requires 1 argument(s)");
  vtkGenericPointIterator* vtk_pointer = GetVTKPointer<vtkGenericPointIterator>(arg[0]);
  Array retval;
  vtk_pointer->Begin();
  return retval;
}

//@@Signature
//sfunction @vtkGenericPointIterator:IsAtEnd vtkGenericPointIteratorIsAtEndFunction
//input a0 
//output y
ArrayVector vtkGenericPointIteratorIsAtEndFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsAtEnd () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function IsAtEnd for class vtkGenericPointIterator requires 1 argument(s)");
  vtkGenericPointIterator* vtk_pointer = GetVTKPointer<vtkGenericPointIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsAtEnd();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericPointIterator:Next vtkGenericPointIteratorNextFunction
//input a0 
//output none
ArrayVector vtkGenericPointIteratorNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Next () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Next for class vtkGenericPointIterator requires 1 argument(s)");
  vtkGenericPointIterator* vtk_pointer = GetVTKPointer<vtkGenericPointIterator>(arg[0]);
  Array retval;
  vtk_pointer->Next();
  return retval;
}

//@@Signature
//sfunction @vtkGenericPointIterator:GetPosition__2 vtkGenericPointIteratorGetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkGenericPointIteratorGetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPosition (double x[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPosition__2 for class vtkGenericPointIterator requires 2 argument(s)");
  vtkGenericPointIterator* vtk_pointer = GetVTKPointer<vtkGenericPointIterator>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericPointIterator:GetId vtkGenericPointIteratorGetIdFunction
//input a0 
//output y
ArrayVector vtkGenericPointIteratorGetIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetId () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetId for class vtkGenericPointIterator requires 1 argument(s)");
  vtkGenericPointIterator* vtk_pointer = GetVTKPointer<vtkGenericPointIterator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericPointIterator:GetPosition vtkGenericPointIteratorGetPositionFunction
//input varargin
//output varargout
ArrayVector vtkGenericPointIteratorGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGenericPointIteratorGetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericPointIteratorGetPosition");
}

//@@Signature
//sfunction @vtkGenericPointIterator:display vtkGenericPointIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericPointIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericPointIterator* vtk_pointer = GetVTKPointer<vtkGenericPointIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericPointIterator:delete vtkGenericPointIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericPointIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericPointIterator
//@@Section VTKFiltering
//@@Usage
// This class (and subclasses) are used to iterate over points. Use it
// only in conjunction with vtkGenericDataSet (i.e., the adaptor framework).
//
// Typical use is:
// <pre>
// vtkGenericDataSet *dataset;
// vtkGenericPointIterator *it = dataset->NewPointIterator();
// for (it->Begin(); !it->IsAtEnd(); it->Next());
//   {
//   x=it->GetPosition();
//   }
// </pre>
//
//To create an instance of class vtkGenericPointIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericPointIterator
//@]
//@@Methods
//The class vtkGenericPointIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericPointIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK construction and type macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK construction and type macros.
//// \item @|vtkGenericPointIterator = obj.NewInstance ()| -  Standard VTK construction and type macros.
//// \item @|vtkGenericPointIterator = obj.SafeDownCast (vtkObject o)| -  Standard VTK construction and type macros.
//// \item @|obj.Begin ()| -  Move iterator to first position if any (loop initialization).
//// \item @|int = obj.IsAtEnd ()| -  Is the iterator at the end of traversal?
//// \item @|obj.Next ()| -  Move the iterator to the next position in the list.
// \pre not_off: !IsAtEnd()
//// \item @|obj.GetPosition (double x[3])| -  Get the coordinates of the point at the current iterator position.
// \pre not_off: !IsAtEnd()
// \pre x_exists: x!=0
//// \item @|vtkIdType = obj.GetId ()| -  Return the unique identifier for the point, could be non-contiguous.
// \pre not_off: !IsAtEnd()
////\end{itemize}
//!
