#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeometricErrorMetric object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeometricErrorMetric.h"

//@@Signature
//sfunction @vtkGeometricErrorMetric:vtkGeometricErrorMetric vtkGeometricErrorMetricConstructorFunction
//input a
//output p
//@@Parents vtkGeometricErrorMetric vtkGenericSubdivisionErrorMetric 
ArrayVector vtkGeometricErrorMetricConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeometricErrorMetric::New(),"vtkGeometricErrorMetric",eval);
  } else if (arg[0].className() == "vtkGeometricErrorMetric") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeometricErrorMetric"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeometricErrorMetric");
    vtkGeometricErrorMetric*q = reinterpret_cast<vtkGeometricErrorMetric*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeometricErrorMetric");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeometricErrorMetric:GetClassName vtkGeometricErrorMetricGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeometricErrorMetricGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeometricErrorMetric requires 1 argument(s)");
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometricErrorMetric:IsA vtkGeometricErrorMetricIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeometricErrorMetricIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeometricErrorMetric requires 2 argument(s)");
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometricErrorMetric:NewInstance vtkGeometricErrorMetricNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeometricErrorMetricNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeometricErrorMetric *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeometricErrorMetric requires 1 argument(s)");
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  Array retval;
  vtkGeometricErrorMetric  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeometricErrorMetric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeometricErrorMetric:SafeDownCast vtkGeometricErrorMetricSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeometricErrorMetricSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeometricErrorMetric *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeometricErrorMetric requires 2 argument(s)");
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeometricErrorMetric  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeometricErrorMetric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeometricErrorMetric:GetAbsoluteGeometricTolerance vtkGeometricErrorMetricGetAbsoluteGeometricToleranceFunction
//input a0 
//output y
ArrayVector vtkGeometricErrorMetricGetAbsoluteGeometricToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAbsoluteGeometricTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbsoluteGeometricTolerance for class vtkGeometricErrorMetric requires 1 argument(s)");
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAbsoluteGeometricTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometricErrorMetric:SetAbsoluteGeometricTolerance vtkGeometricErrorMetricSetAbsoluteGeometricToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkGeometricErrorMetricSetAbsoluteGeometricToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAbsoluteGeometricTolerance (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetAbsoluteGeometricTolerance for class vtkGeometricErrorMetric requires 2 argument(s)");
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAbsoluteGeometricTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometricErrorMetric:SetRelativeGeometricTolerance vtkGeometricErrorMetricSetRelativeGeometricToleranceFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGeometricErrorMetricSetRelativeGeometricToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRelativeGeometricTolerance (double value, vtkGenericDataSet *ds); */
  if (arg.size() < 3) 
    throw Exception("Function SetRelativeGeometricTolerance for class vtkGeometricErrorMetric requires 3 argument(s)");
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  Array retval;
  double   temp0;
  vtkGenericDataSet  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericDataSet>(arg[2]);
  vtk_pointer->SetRelativeGeometricTolerance(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeometricErrorMetric:RequiresEdgeSubdivision vtkGeometricErrorMetricRequiresEdgeSubdivisionFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkGeometricErrorMetricRequiresEdgeSubdivisionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RequiresEdgeSubdivision (double *leftPoint, double *midPoint, double *rightPoint, double alpha); */
  if (arg.size() < 5) 
    throw Exception("Function RequiresEdgeSubdivision for class vtkGeometricErrorMetric requires 5 argument(s)");
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  double   temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->RequiresEdgeSubdivision(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometricErrorMetric:GetError vtkGeometricErrorMetricGetErrorFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkGeometricErrorMetricGetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetError (double *leftPoint, double *midPoint, double *rightPoint, double alpha); */
  if (arg.size() < 5) 
    throw Exception("Function GetError for class vtkGeometricErrorMetric requires 5 argument(s)");
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  double   temp3;
  double   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->GetError(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometricErrorMetric:GetRelative vtkGeometricErrorMetricGetRelativeFunction
//input a0 
//output y
ArrayVector vtkGeometricErrorMetricGetRelativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRelative (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRelative for class vtkGeometricErrorMetric requires 1 argument(s)");
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRelative();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometricErrorMetric:display vtkGeometricErrorMetricDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeometricErrorMetricDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeometricErrorMetric* vtk_pointer = GetVTKPointer<vtkGeometricErrorMetric>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeometricErrorMetric:delete vtkGeometricErrorMetricDeleteFunction
//input varargin
//output none
ArrayVector vtkGeometricErrorMetricDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeometricErrorMetric
//@@Section VTKFiltering
//@@Usage
// It is a concrete error metric, based on a geometric criterium:
// the variation of the edge from a straight line.
//
//
//To create an instance of class vtkGeometricErrorMetric, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeometricErrorMetric
//@]
//@@Methods
//The class vtkGeometricErrorMetric has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeometricErrorMetric class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK type and error macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK type and error macros.
//// \item @|vtkGeometricErrorMetric = obj.NewInstance ()| -  Standard VTK type and error macros.
//// \item @|vtkGeometricErrorMetric = obj.SafeDownCast (vtkObject o)| -  Standard VTK type and error macros.
//// \item @|double = obj.GetAbsoluteGeometricTolerance ()| -  Return the squared absolute geometric accuracy. See
// SetAbsoluteGeometricTolerance() for details.
// \post positive_result: result>0
//// \item @|obj.SetAbsoluteGeometricTolerance (double value)| -  Set the geometric accuracy with a squared absolute value.
// This is the geometric object-based accuracy.
// Subdivision will be required if the square distance between the real
// point and the straight line passing through the vertices of the edge is
// greater than `value'. For instance 0.01 will give better result than 0.1.
// \pre positive_value: value>0
//// \item @|obj.SetRelativeGeometricTolerance (double value, vtkGenericDataSet ds)| -  Set the geometric accuracy with a value relative to the length of the
// bounding box of the dataset. Internally compute the absolute tolerance.
// For instance 0.01 will give better result than 0.1.
// \pre valid_range_value: value>0 && value<1
// \pre ds_exists: ds!=0
//// \item @|int = obj.RequiresEdgeSubdivision (double leftPoint, double midPoint, double rightPoint, double alpha)| -  Does the edge need to be subdivided according to the distance between
// the line passing through its endpoints and the mid point?
// The edge is defined by its `leftPoint' and its `rightPoint'.
// `leftPoint', `midPoint' and `rightPoint' have to be initialized before
// calling RequiresEdgeSubdivision().
// Their format is global coordinates, parametric coordinates and
// point centered attributes: xyx rst abc de...
// `alpha' is the normalized abscissa of the midpoint along the edge.
// (close to 0 means close to the left point, close to 1 means close to the
// right point)
// \pre leftPoint_exists: leftPoint!=0
// \pre midPoint_exists: midPoint!=0
// \pre rightPoint_exists: rightPoint!=0
// \pre clamped_alpha: alpha>0 && alpha<1
// \pre valid_size: sizeof(leftPoint)=sizeof(midPoint)=sizeof(rightPoint)
//          =GetAttributeCollection()->GetNumberOfPointCenteredComponents()+6
//// \item @|double = obj.GetError (double leftPoint, double midPoint, double rightPoint, double alpha)| -  Return the error at the mid-point. It will return an error relative to
// the bounding box size if GetRelative() is true, a square absolute error
// otherwise.
// See RequiresEdgeSubdivision() for a description of the arguments.
// \pre leftPoint_exists: leftPoint!=0
// \pre midPoint_exists: midPoint!=0
// \pre rightPoint_exists: rightPoint!=0
// \pre clamped_alpha: alpha>0 && alpha<1
// \pre valid_size: sizeof(leftPoint)=sizeof(midPoint)=sizeof(rightPoint)
//          =GetAttributeCollection()->GetNumberOfPointCenteredComponents()+6
// \post positive_result: result>=0
//// \item @|int = obj.GetRelative ()| -  Return the type of output of GetError()
////\end{itemize}
//!
