#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraph.h"

//@@Signature
//sfunction @vtkGraph:vtkGraph vtkGraphConstructorFunction
//input a
//output p
//@@Parents vtkGraph vtkDataObject 
ArrayVector vtkGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraph::New(),"vtkGraph",eval);
  } else if (arg[0].className() == "vtkGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraph");
    vtkGraph*q = reinterpret_cast<vtkGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraph:GetClassName vtkGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:IsA vtkGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:NewInstance vtkGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:SafeDownCast vtkGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetVertexData vtkGraphGetVertexDataFunction
//input a0 
//output y
ArrayVector vtkGraphGetVertexDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetAttributes *GetVertexData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexData for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp20;
  temp20 = (vtk_pointer)->GetVertexData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetEdgeData vtkGraphGetEdgeDataFunction
//input a0 
//output y
ArrayVector vtkGraphGetEdgeDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetAttributes *GetEdgeData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeData for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp20;
  temp20 = (vtk_pointer)->GetEdgeData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetDataObjectType vtkGraphGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkGraphGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_GRAPH  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:Initialize vtkGraphInitializeFunction
//input a0 
//output none
ArrayVector vtkGraphInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetPoint__2 vtkGraphGetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGraphGetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint (vtkIdType ptId, double x[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetPoint__2 for class vtkGraph requires 3 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetPoints vtkGraphGetPointsFunction
//input a0 
//output y
ArrayVector vtkGraphGetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoints for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:SetPoints vtkGraphSetPointsFunction
//input a0 a1 
//output none
ArrayVector vtkGraphSetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoints (vtkPoints *points); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoints for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:ComputeBounds vtkGraphComputeBoundsFunction
//input a0 
//output none
ArrayVector vtkGraphComputeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeBounds for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtk_pointer->ComputeBounds();
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetBounds__2 vtkGraphGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkGraphGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetMTime vtkGraphGetMTimeFunction
//input a0 
//output y
ArrayVector vtkGraphGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetOutEdges__1 vtkGraphGetOutEdges__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGraphGetOutEdges__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetOutEdges (vtkIdType v, vtkOutEdgeIterator *it); */
  if (arg.size() < 3) 
    throw Exception("Function GetOutEdges__1 for class vtkGraph requires 3 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkOutEdgeIterator  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkOutEdgeIterator>(arg[2]);
  vtk_pointer->GetOutEdges(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetDegree vtkGraphGetDegreeFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGetDegreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetDegree (vtkIdType v); */
  if (arg.size() < 2) 
    throw Exception("Function GetDegree for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDegree(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetOutDegree vtkGraphGetOutDegreeFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGetOutDegreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetOutDegree (vtkIdType v); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutDegree for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutDegree(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetOutEdge vtkGraphGetOutEdgeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGraphGetOutEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetOutEdge (vtkIdType v, vtkIdType index, vtkGraphEdge *e); */
  if (arg.size() < 4) 
    throw Exception("Function GetOutEdge for class vtkGraph requires 4 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkGraphEdge>(arg[3]);
  vtk_pointer->GetOutEdge(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetInEdges__1 vtkGraphGetInEdges__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGraphGetInEdges__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetInEdges (vtkIdType v, vtkInEdgeIterator *it); */
  if (arg.size() < 3) 
    throw Exception("Function GetInEdges__1 for class vtkGraph requires 3 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkInEdgeIterator  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInEdgeIterator>(arg[2]);
  vtk_pointer->GetInEdges(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetInDegree vtkGraphGetInDegreeFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGetInDegreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetInDegree (vtkIdType v); */
  if (arg.size() < 2) 
    throw Exception("Function GetInDegree for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInDegree(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetInEdge vtkGraphGetInEdgeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGraphGetInEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetInEdge (vtkIdType v, vtkIdType index, vtkGraphEdge *e); */
  if (arg.size() < 4) 
    throw Exception("Function GetInEdge for class vtkGraph requires 4 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkGraphEdge>(arg[3]);
  vtk_pointer->GetInEdge(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetAdjacentVertices vtkGraphGetAdjacentVerticesFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGraphGetAdjacentVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetAdjacentVertices (vtkIdType v, vtkAdjacentVertexIterator *it); */
  if (arg.size() < 3) 
    throw Exception("Function GetAdjacentVertices for class vtkGraph requires 3 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkAdjacentVertexIterator  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAdjacentVertexIterator>(arg[2]);
  vtk_pointer->GetAdjacentVertices(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetEdges vtkGraphGetEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkGraphGetEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetEdges (vtkEdgeListIterator *it); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdges for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkEdgeListIterator  *temp0;
  temp0 = GetVTKPointer<vtkEdgeListIterator>(arg[1]);
  vtk_pointer->GetEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetNumberOfEdges vtkGraphGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkGraphGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetVertices vtkGraphGetVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkGraphGetVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetVertices (vtkVertexListIterator *it); */
  if (arg.size() < 2) 
    throw Exception("Function GetVertices for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkVertexListIterator  *temp0;
  temp0 = GetVTKPointer<vtkVertexListIterator>(arg[1]);
  vtk_pointer->GetVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetNumberOfVertices vtkGraphGetNumberOfVerticesFunction
//input a0 
//output y
ArrayVector vtkGraphGetNumberOfVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVertices for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfVertices();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:SetDistributedGraphHelper vtkGraphSetDistributedGraphHelperFunction
//input a0 a1 
//output none
ArrayVector vtkGraphSetDistributedGraphHelperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistributedGraphHelper (vtkDistributedGraphHelper *helper); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistributedGraphHelper for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkDistributedGraphHelper  *temp0;
  temp0 = GetVTKPointer<vtkDistributedGraphHelper>(arg[1]);
  vtk_pointer->SetDistributedGraphHelper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetDistributedGraphHelper vtkGraphGetDistributedGraphHelperFunction
//input a0 
//output y
ArrayVector vtkGraphGetDistributedGraphHelperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistributedGraphHelper *GetDistributedGraphHelper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistributedGraphHelper for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkDistributedGraphHelper  *temp20;
  temp20 = (vtk_pointer)->GetDistributedGraphHelper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistributedGraphHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:ShallowCopy vtkGraphShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGraphShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *obj); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:DeepCopy vtkGraphDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGraphDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *obj); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:CopyStructure vtkGraphCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkGraphCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyStructure (vtkGraph *g); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:CheckedShallowCopy vtkGraphCheckedShallowCopyFunction
//input a0 a1 
//output y
ArrayVector vtkGraphCheckedShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool CheckedShallowCopy (vtkGraph *g); */
  if (arg.size() < 2) 
    throw Exception("Function CheckedShallowCopy for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  temp20 = (vtk_pointer)->CheckedShallowCopy(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:CheckedDeepCopy vtkGraphCheckedDeepCopyFunction
//input a0 a1 
//output y
ArrayVector vtkGraphCheckedDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool CheckedDeepCopy (vtkGraph *g); */
  if (arg.size() < 2) 
    throw Exception("Function CheckedDeepCopy for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  temp20 = (vtk_pointer)->CheckedDeepCopy(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:Squeeze vtkGraphSqueezeFunction
//input a0 
//output none
ArrayVector vtkGraphSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Squeeze (); */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkGraph:ReorderOutVertices vtkGraphReorderOutVerticesFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGraphReorderOutVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReorderOutVertices (vtkIdType v, vtkIdTypeArray *vertices); */
  if (arg.size() < 3) 
    throw Exception("Function ReorderOutVertices for class vtkGraph requires 3 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdTypeArray>(arg[2]);
  vtk_pointer->ReorderOutVertices(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:IsSameStructure vtkGraphIsSameStructureFunction
//input a0 a1 
//output y
ArrayVector vtkGraphIsSameStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsSameStructure (vtkGraph *other); */
  if (arg.size() < 2) 
    throw Exception("Function IsSameStructure for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  temp20 = (vtk_pointer)->IsSameStructure(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetSourceVertex vtkGraphGetSourceVertexFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGetSourceVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetSourceVertex (vtkIdType e); */
  if (arg.size() < 2) 
    throw Exception("Function GetSourceVertex for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSourceVertex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetTargetVertex vtkGraphGetTargetVertexFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGetTargetVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetTargetVertex (vtkIdType e); */
  if (arg.size() < 2) 
    throw Exception("Function GetTargetVertex for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTargetVertex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetNumberOfEdgePoints vtkGraphGetNumberOfEdgePointsFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGetNumberOfEdgePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfEdgePoints (vtkIdType e); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfEdgePoints for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfEdgePoints(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetEdgePoint vtkGraphGetEdgePointFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGraphGetEdgePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetEdgePoint (vtkIdType e, vtkIdType i); */
  if (arg.size() < 3) 
    throw Exception("Function GetEdgePoint for class vtkGraph requires 3 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetEdgePoint(temp0,temp1);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:ClearEdgePoints vtkGraphClearEdgePointsFunction
//input a0 a1 
//output none
ArrayVector vtkGraphClearEdgePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearEdgePoints (vtkIdType e); */
  if (arg.size() < 2) 
    throw Exception("Function ClearEdgePoints for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->ClearEdgePoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:SetEdgePoint__1 vtkGraphSetEdgePoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGraphSetEdgePoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgePoint (vtkIdType e, vtkIdType i, double x[3]); */
  if (arg.size() < 4) 
    throw Exception("Function SetEdgePoint__1 for class vtkGraph requires 4 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  double temp2[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->SetEdgePoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:SetEdgePoint__2 vtkGraphSetEdgePoint__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkGraphSetEdgePoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgePoint (vtkIdType e, vtkIdType i, double x, double y, double z);double p x y z this SetEdgePoint e i p  */
  if (arg.size() < 6) 
    throw Exception("Function SetEdgePoint__2 for class vtkGraph requires 6 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->SetEdgePoint(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:AddEdgePoint__1 vtkGraphAddEdgePoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGraphAddEdgePoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddEdgePoint (vtkIdType e, double x[3]); */
  if (arg.size() < 3) 
    throw Exception("Function AddEdgePoint__1 for class vtkGraph requires 3 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->AddEdgePoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:AddEdgePoint__2 vtkGraphAddEdgePoint__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkGraphAddEdgePoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddEdgePoint (vtkIdType e, double x, double y, double z);double p x y z this AddEdgePoint e p  */
  if (arg.size() < 5) 
    throw Exception("Function AddEdgePoint__2 for class vtkGraph requires 5 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->AddEdgePoint(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:ShallowCopyEdgePoints vtkGraphShallowCopyEdgePointsFunction
//input a0 a1 
//output none
ArrayVector vtkGraphShallowCopyEdgePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopyEdgePoints (vtkGraph *g); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopyEdgePoints for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->ShallowCopyEdgePoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:DeepCopyEdgePoints vtkGraphDeepCopyEdgePointsFunction
//input a0 a1 
//output none
ArrayVector vtkGraphDeepCopyEdgePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopyEdgePoints (vtkGraph *g); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopyEdgePoints for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->DeepCopyEdgePoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetGraphInternals vtkGraphGetGraphInternalsFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGetGraphInternalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphInternals *GetGraphInternals (bool modifying); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphInternals for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  bool   temp0;
  vtkGraphInternals  *temp20;
  temp20 = (vtk_pointer)->GetGraphInternals(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphInternals",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetInducedEdges vtkGraphGetInducedEdgesFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGraphGetInducedEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetInducedEdges (vtkIdTypeArray *verts, vtkIdTypeArray *edges); */
  if (arg.size() < 3) 
    throw Exception("Function GetInducedEdges for class vtkGraph requires 3 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  vtkIdTypeArray  *temp1;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  temp1 = GetVTKPointer<vtkIdTypeArray>(arg[2]);
  vtk_pointer->GetInducedEdges(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetAttributesAsFieldData vtkGraphGetAttributesAsFieldDataFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGetAttributesAsFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkFieldData *GetAttributesAsFieldData (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributesAsFieldData for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  int      temp0;
  vtkFieldData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributesAsFieldData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFieldData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetNumberOfElements vtkGraphGetNumberOfElementsFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGetNumberOfElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfElements (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfElements for class vtkGraph requires 2 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfElements(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraph:Dump vtkGraphDumpFunction
//input a0 
//output none
ArrayVector vtkGraphDumpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Dump (); */
  if (arg.size() < 1) 
    throw Exception("Function Dump for class vtkGraph requires 1 argument(s)");
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  Array retval;
  vtk_pointer->Dump();
  return retval;
}

//@@Signature
//sfunction @vtkGraph:GetPoint vtkGraphGetPointFunction
//input varargin
//output varargout
ArrayVector vtkGraphGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGraphGetPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphGetPoint");
}

//@@Signature
//sfunction @vtkGraph:GetBounds vtkGraphGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkGraphGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGraphGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphGetBounds");
}

//@@Signature
//sfunction @vtkGraph:GetOutEdges vtkGraphGetOutEdgesFunction
//input varargin
//output varargout
ArrayVector vtkGraphGetOutEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkOutEdgeIterator"))
    return vtkGraphGetOutEdges__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphGetOutEdges");
}

//@@Signature
//sfunction @vtkGraph:GetInEdges vtkGraphGetInEdgesFunction
//input varargin
//output varargout
ArrayVector vtkGraphGetInEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkInEdgeIterator"))
    return vtkGraphGetInEdges__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphGetInEdges");
}

//@@Signature
//sfunction @vtkGraph:SetEdgePoint vtkGraphSetEdgePointFunction
//input varargin
//output varargout
ArrayVector vtkGraphSetEdgePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkGraphSetEdgePoint__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkGraphSetEdgePoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphSetEdgePoint");
}

//@@Signature
//sfunction @vtkGraph:AddEdgePoint vtkGraphAddEdgePointFunction
//input varargin
//output varargout
ArrayVector vtkGraphAddEdgePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGraphAddEdgePoint__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkGraphAddEdgePoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphAddEdgePoint");
}

//@@Signature
//sfunction @vtkGraph:display vtkGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraph* vtk_pointer = GetVTKPointer<vtkGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraph:delete vtkGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraph
//@@Section VTKFiltering
//@@Usage
// vtkGraph is the abstract base class that provides all read-only API for graph
// data types. A graph consists of a collection of vertices and a
// collection of edges connecting pairs of vertices. The vtkDirectedGraph
// subclass represents a graph whose edges have inherent order from source
// vertex to target vertex, while vtkUndirectedGraph is a graph whose edges
// have no inherent ordering.
//
// Graph vertices may be traversed in two ways. In the current implementation,
// all vertices are assigned consecutive ids starting at zero, so they may
// be traversed in a simple for loop from 0 to graph->GetNumberOfVertices() - 1.
// You may alternately create a vtkVertexListIterator and call graph->GetVertices(it).
// it->Next() will return the id of the next vertex, while it->HasNext() indicates
// whether there are more vertices in the graph.
// This is the preferred method, since in the future graphs may support filtering
// or subsetting where the vertex ids may not be contiguous.
//
// Graph edges must be traversed through iterators. To traverse all edges
// in a graph, create an instance of vtkEdgeListIterator and call graph->GetEdges(it).
// it->Next() returns lightweight vtkEdgeType structures, which contain the public
// fields Id, Source and Target. Id is the identifier for the edge, which may
// be used to look up values in assiciated edge data arrays. Source and Target
// store the ids of the source and target vertices of the edge. Note that the
// edge list iterator DOES NOT necessarily iterate over edges in order of ascending
// id. To traverse edges from wrapper code (Python, Tcl, Java), use
// it->NextGraphEdge() instead of it->Next().  This will return a heavyweight,
// wrappable vtkGraphEdge object, which has the same fields as vtkEdgeType
// accessible through getter methods.
//
// To traverse all edges outgoing from a vertex, create a vtkOutEdgeIterator and
// call graph->GetOutEdges(v, it). it->Next() returns a lightweight vtkOutEdgeType
// containing the fields Id and Target. The source of the edge is always the
// vertex that was passed as an argument to GetOutEdges().
// Incoming edges may be similarly traversed with vtkInEdgeIterator, which returns
// vtkInEdgeType structures with Id and Source fields.
// Both vtkOutEdgeIterator and vtkInEdgeIterator also provide the wrapper functions
// NextGraphEdge() which return vtkGraphEdge objects.
//
// An additional iterator, vtkAdjacentVertexIterator can traverse outgoing vertices
// directly, instead needing to parse through edges. Initialize the iterator by
// calling graph->GetAdjacentVertices(v, it).
//
// vtkGraph has two instances of vtkDataSetAttributes for associated
// vertex and edge data. It also has a vtkPoints instance which may store
// x,y,z locations for each vertex. This is populated by filters such as
// vtkGraphLayout and vtkAssignCoordinates.
//
// All graph types share the same implementation, so the structure of one
// may be shared among multiple graphs, even graphs of different types.
// Structures from vtkUndirectedGraph and vtkMutableUndirectedGraph may be
// shared directly.  Structures from vtkDirectedGraph, vtkMutableDirectedGraph,
// and vtkTree may be shared directly with the exception that setting a
// structure to a tree requires that a "is a tree" test passes.
//
// For graph types that are known to be compatible, calling ShallowCopy()
// or DeepCopy() will work as expected.  When the outcome of a conversion
// is unknown (i.e. setting a graph to a tree), CheckedShallowCopy() and
// CheckedDeepCopy() exist which are identical to ShallowCopy() and DeepCopy(),
// except that instead of emitting an error for an incompatible structure,
// the function returns false.  This allows you to programmatically check
// structure compatibility without causing error messages.
//
// To construct a graph, use vtkMutableDirectedGraph or
// vtkMutableUndirectedGraph. You may then use CheckedShallowCopy
// to set the contents of a mutable graph type into one of the non-mutable
// types vtkDirectedGraph, vtkUndirectedGraph.
// To construct a tree, use vtkMutableDirectedGraph, with directed edges
// which point from the parent to the child, then use CheckedShallowCopy
// to set the structure to a vtkTree.
//
//
//To create an instance of class vtkGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraph
//@]
//@@Methods
//The class vtkGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraph = obj.NewInstance ()|
// \item @|vtkGraph = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataSetAttributes = obj.GetVertexData ()| -  Get the vertex or edge data.
//// \item @|vtkDataSetAttributes = obj.GetEdgeData ()| -  Get the vertex or edge data.
//// \item @|int = obj.GetDataObjectType ()| -  Initialize to an empty graph.
//// \item @|obj.Initialize ()| -  Initialize to an empty graph.
//// \item @|obj.GetPoint (vtkIdType ptId, double x[3])| -  These methods return the point (0,0,0) until the points structure
// is created, when it returns the actual point position. In a
// distributed graph, only the points for local vertices can be
// retrieved.
//// \item @|vtkPoints = obj.GetPoints ()| -  Returns the points array for this graph.
// If points is not yet constructed, generates and returns
// a new points array filled with (0,0,0) coordinates. In a
// distributed graph, only the points for local vertices can be
// retrieved or modified.
//// \item @|obj.SetPoints (vtkPoints points)| -  Returns the points array for this graph.
// If points is not yet constructed, generates and returns
// a new points array filled with (0,0,0) coordinates. In a
// distributed graph, only the points for local vertices can be
// retrieved or modified.
//// \item @|obj.ComputeBounds ()| -  Compute the bounds of the graph. In a distributed graph, this
// computes the bounds around the local part of the graph.
//// \item @|obj.GetBounds (double bounds[6])| -  Return a pointer to the geometry bounding box in the form
// (xmin,xmax, ymin,ymax, zmin,zmax). In a distributed graph, this
// computes the bounds around the local part of the graph.
//// \item @|long = obj.GetMTime ()| -  The modified time of the graph.
//// \item @|obj.GetOutEdges (vtkIdType v, vtkOutEdgeIterator it)| -  Initializes the out edge iterator to iterate over
// all outgoing edges of vertex v.  For an undirected graph,
// returns all incident edges. In a distributed graph, the vertex
// v must be local to this processor.
//// \item @|vtkIdType = obj.GetDegree (vtkIdType v)| -  The total of all incoming and outgoing vertices for vertex v.
// For undirected graphs, this is simply the number of edges incident
// to v. In a distributed graph, the vertex v must be local to this
// processor.
//// \item @|vtkIdType = obj.GetOutDegree (vtkIdType v)| -  The number of outgoing edges from vertex v.
// For undirected graphs, returns the same as GetDegree(). In a
// distributed graph, the vertex v must be local to this processor.
//// \item @|obj.GetOutEdge (vtkIdType v, vtkIdType index, vtkGraphEdge e)| -  Random-access method for retrieving outgoing edges from vertex v.
// The method fills the vtkGraphEdge instance with the id, source, and
// target of the edge. This method is provided for wrappers,
// GetOutEdge(vtkIdType, vtkIdType) is preferred.
//// \item @|obj.GetInEdges (vtkIdType v, vtkInEdgeIterator it)| -  Initializes the in edge iterator to iterate over
// all incoming edges to vertex v.  For an undirected graph,
// returns all incident edges. In a distributed graph, the vertex
// v must be local to this processor.
//// \item @|vtkIdType = obj.GetInDegree (vtkIdType v)| -  The number of incoming edges to vertex v.
// For undirected graphs, returns the same as GetDegree(). In a
// distributed graph, the vertex v must be local to this processor.
//// \item @|obj.GetInEdge (vtkIdType v, vtkIdType index, vtkGraphEdge e)| -  Random-access method for retrieving incoming edges to vertex v.
// The method fills the vtkGraphEdge instance with the id, source, and
// target of the edge. This method is provided for wrappers,
// GetInEdge(vtkIdType, vtkIdType) is preferred.
//// \item @|obj.GetAdjacentVertices (vtkIdType v, vtkAdjacentVertexIterator it)| -  Initializes the adjacent vertex iterator to iterate over
// all outgoing vertices from vertex v.  For an undirected graph,
// returns all adjacent vertices. In a distributed graph, the vertex
// v must be local to this processor.
//// \item @|obj.GetEdges (vtkEdgeListIterator it)| -  Initializes the edge list iterator to iterate over all
// edges in the graph. Edges may not be traversed in order of
// increasing edge id. In a distributed graph, this returns edges
// that are stored locally.
//// \item @|vtkIdType = obj.GetNumberOfEdges ()| -  The number of edges in the graph. In a distributed graph,
// this returns the number of edges stored locally.
//// \item @|obj.GetVertices (vtkVertexListIterator it)| -  Initializes the vertex list iterator to iterate over all
// vertices in the graph. In a distributed graph, the iterator
// traverses all local vertices.
//// \item @|vtkIdType = obj.GetNumberOfVertices ()| -  The number of vertices in the graph. In a distributed graph,
// returns the number of local vertices in the graph.
//// \item @|obj.SetDistributedGraphHelper (vtkDistributedGraphHelper helper)| -  Sets the distributed graph helper of this graph, turning it into a
// distributed graph. This operation can only be executed on an empty
// graph.
//// \item @|vtkDistributedGraphHelper = obj.GetDistributedGraphHelper ()| -  Retrieves the distributed graph helper for this graph
//// \item @|obj.ShallowCopy (vtkDataObject obj)| -  Shallow copies the data object into this graph.
// If it is an incompatible graph, reports an error.
//// \item @|obj.DeepCopy (vtkDataObject obj)| -  Deep copies the data object into this graph.
// If it is an incompatible graph, reports an error.
//// \item @|obj.CopyStructure (vtkGraph g)| -  Does a shallow copy of the topological information,
// but not the associated attributes.
//// \item @|bool = obj.CheckedShallowCopy (vtkGraph g)| -  Performs the same operation as ShallowCopy(),
// but instead of reporting an error for an incompatible graph,
// returns false.
//// \item @|bool = obj.CheckedDeepCopy (vtkGraph g)| -  Performs the same operation as DeepCopy(),
// but instead of reporting an error for an incompatible graph,
// returns false.
//// \item @|obj.Squeeze ()|
// \item @|obj.ReorderOutVertices (vtkIdType v, vtkIdTypeArray vertices)| -  Reorder the outgoing vertices of a vertex.
// The vertex list must have the same elements as the current out edge
// list, just in a different order.
// This method does not change the topology of the graph.
// In a distributed graph, the vertex v must be local.
//// \item @|bool = obj.IsSameStructure (vtkGraph other)| -  Returns true if both graphs point to the same adjacency structure.
// Can be used to test the copy-on-write feature of the graph.
//// \item @|vtkIdType = obj.GetSourceVertex (vtkIdType e)| -  Retrieve the source and target vertices for an edge id.
// NOTE: The first time this is called, the graph will build
// a mapping array from edge id to source/target that is the
// same size as the number of edges in the graph. If you have
// access to a vtkOutEdgeType, vtkInEdgeType, vtkEdgeType, or
// vtkGraphEdge, you should directly use these structures
// to look up the source or target instead of this method.
//// \item @|vtkIdType = obj.GetTargetVertex (vtkIdType e)| -  Retrieve the source and target vertices for an edge id.
// NOTE: The first time this is called, the graph will build
// a mapping array from edge id to source/target that is the
// same size as the number of edges in the graph. If you have
// access to a vtkOutEdgeType, vtkInEdgeType, vtkEdgeType, or
// vtkGraphEdge, you should directly use these structures
// to look up the source or target instead of this method.
//// \item @|vtkIdType = obj.GetNumberOfEdgePoints (vtkIdType e)| -  Get the number of edge points associated with an edge.
//// \item @|double = obj.GetEdgePoint (vtkIdType e, vtkIdType i)| -  Get the x,y,z location of a point along edge e.
//// \item @|obj.ClearEdgePoints (vtkIdType e)| -  Clear all points associated with an edge.
//// \item @|obj.SetEdgePoint (vtkIdType e, vtkIdType i, double x[3])| -  Set an x,y,z location of a point along an edge.
// This assumes there is already a point at location i, and simply
// overwrites it.
//// \item @|obj.SetEdgePoint (vtkIdType e, vtkIdType i, double x, double y, double z)| -  Adds a point to the end of the list of edge points for a certain edge.
//// \item @|obj.AddEdgePoint (vtkIdType e, double x[3])| -  Adds a point to the end of the list of edge points for a certain edge.
//// \item @|obj.AddEdgePoint (vtkIdType e, double x, double y, double z)| -  Copy the internal edge point data from another graph into this graph.
// Both graphs must have the same number of edges.
//// \item @|obj.ShallowCopyEdgePoints (vtkGraph g)| -  Copy the internal edge point data from another graph into this graph.
// Both graphs must have the same number of edges.
//// \item @|obj.DeepCopyEdgePoints (vtkGraph g)| -  Copy the internal edge point data from another graph into this graph.
// Both graphs must have the same number of edges.
//// \item @|vtkGraphInternals = obj.GetGraphInternals (bool modifying)| -  Returns the internal representation of the graph. If modifying is
// true, then the returned vtkGraphInternals object will be unique to
// this vtkGraph object.
//// \item @|obj.GetInducedEdges (vtkIdTypeArray verts, vtkIdTypeArray edges)| -  Fills a list of edge indices with the edges contained in the induced
// subgraph formed by the vertices in the vertex list.
//// \item @|vtkFieldData = obj.GetAttributesAsFieldData (int type)| -  Returns the attributes of the data object as a vtkFieldData.
// This returns non-null values in all the same cases as GetAttributes,
// in addition to the case of FIELD, which will return the field data
// for any vtkDataObject subclass.
//// \item @|vtkIdType = obj.GetNumberOfElements (int type)| -  Get the number of elements for a specific attribute type (VERTEX, EDGE, etc.).
//// \item @|obj.Dump ()| -  Dump the contents of the graph to standard output.
////\end{itemize}
//!
