#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphEdge object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphEdge.h"

//@@Signature
//sfunction @vtkGraphEdge:vtkGraphEdge vtkGraphEdgeConstructorFunction
//input a
//output p
//@@Parents vtkGraphEdge vtkObject 
ArrayVector vtkGraphEdgeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphEdge::New(),"vtkGraphEdge",eval);
  } else if (arg[0].className() == "vtkGraphEdge") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphEdge"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphEdge");
    vtkGraphEdge*q = reinterpret_cast<vtkGraphEdge*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphEdge");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphEdge:GetClassName vtkGraphEdgeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphEdgeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphEdge requires 1 argument(s)");
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphEdge:IsA vtkGraphEdgeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphEdgeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphEdge requires 2 argument(s)");
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphEdge:NewInstance vtkGraphEdgeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphEdgeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphEdge *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphEdge requires 1 argument(s)");
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  Array retval;
  vtkGraphEdge  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphEdge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphEdge:SafeDownCast vtkGraphEdgeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphEdgeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphEdge *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphEdge requires 2 argument(s)");
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphEdge  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphEdge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphEdge:SetSource vtkGraphEdgeSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkGraphEdgeSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkGraphEdge requires 2 argument(s)");
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphEdge:GetSource vtkGraphEdgeGetSourceFunction
//input a0 
//output y
ArrayVector vtkGraphEdgeGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkGraphEdge requires 1 argument(s)");
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphEdge:SetTarget vtkGraphEdgeSetTargetFunction
//input a0 a1 
//output none
ArrayVector vtkGraphEdgeSetTargetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTarget (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTarget for class vtkGraphEdge requires 2 argument(s)");
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTarget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphEdge:GetTarget vtkGraphEdgeGetTargetFunction
//input a0 
//output y
ArrayVector vtkGraphEdgeGetTargetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetTarget (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTarget for class vtkGraphEdge requires 1 argument(s)");
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetTarget();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphEdge:SetId vtkGraphEdgeSetIdFunction
//input a0 a1 
//output none
ArrayVector vtkGraphEdgeSetIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetId (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetId for class vtkGraphEdge requires 2 argument(s)");
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphEdge:GetId vtkGraphEdgeGetIdFunction
//input a0 
//output y
ArrayVector vtkGraphEdgeGetIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetId for class vtkGraphEdge requires 1 argument(s)");
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphEdge:display vtkGraphEdgeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphEdgeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphEdge* vtk_pointer = GetVTKPointer<vtkGraphEdge>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphEdge:delete vtkGraphEdgeDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphEdgeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphEdge
//@@Section VTKFiltering
//@@Usage
// A heavy-weight (vtkObject subclass) graph edge object that may be used
// instead of the vtkEdgeType struct, for use with wrappers.
// The edge contains the source and target vertex ids, and the edge id.
//
//
//To create an instance of class vtkGraphEdge, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphEdge
//@]
//@@Methods
//The class vtkGraphEdge has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphEdge class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphEdge = obj.NewInstance ()|
// \item @|vtkGraphEdge = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSource (vtkIdType )| -  The source of the edge.
//// \item @|vtkIdType = obj.GetSource ()| -  The source of the edge.
//// \item @|obj.SetTarget (vtkIdType )| -  The target of the edge.
//// \item @|vtkIdType = obj.GetTarget ()| -  The target of the edge.
//// \item @|obj.SetId (vtkIdType )| -  The id of the edge.
//// \item @|vtkIdType = obj.GetId ()| -  The id of the edge.
////\end{itemize}
//!
