#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphInternals object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphInternals.h"

//@@Signature
//sfunction @vtkGraphInternals:vtkGraphInternals vtkGraphInternalsConstructorFunction
//input a
//output p
//@@Parents vtkGraphInternals vtkObject 
ArrayVector vtkGraphInternalsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphInternals::New(),"vtkGraphInternals",eval);
  } else if (arg[0].className() == "vtkGraphInternals") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphInternals"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphInternals");
    vtkGraphInternals*q = reinterpret_cast<vtkGraphInternals*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphInternals");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphInternals:display vtkGraphInternalsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphInternalsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphInternals* vtk_pointer = GetVTKPointer<vtkGraphInternals>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphInternals:delete vtkGraphInternalsDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphInternalsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphInternals
//@@Section VTKFiltering
//@@Usage
// This is the internal representation of vtkGraph, used only in rare cases 
// where one must modify that representation.
//
//To create an instance of class vtkGraphInternals, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphInternals
//@]
//!
