#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHexahedron object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHexahedron.h"

//@@Signature
//sfunction @vtkHexahedron:vtkHexahedron vtkHexahedronConstructorFunction
//input a
//output p
//@@Parents vtkHexahedron vtkCell3D 
ArrayVector vtkHexahedronConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHexahedron::New(),"vtkHexahedron",eval);
  } else if (arg[0].className() == "vtkHexahedron") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHexahedron"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHexahedron");
    vtkHexahedron*q = reinterpret_cast<vtkHexahedron*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHexahedron");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHexahedron:GetClassName vtkHexahedronGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHexahedronGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHexahedron requires 1 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:IsA vtkHexahedronIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHexahedronIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHexahedron requires 2 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:NewInstance vtkHexahedronNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHexahedronNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHexahedron *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHexahedron requires 1 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  vtkHexahedron  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHexahedron",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:SafeDownCast vtkHexahedronSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHexahedronSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHexahedron *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHexahedron requires 2 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHexahedron  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHexahedron",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:GetCellType vtkHexahedronGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkHexahedronGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType ();return VTK_HEXAHEDRON  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkHexahedron requires 1 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:GetNumberOfEdges vtkHexahedronGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkHexahedronGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkHexahedron requires 1 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:GetNumberOfFaces vtkHexahedronGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkHexahedronGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkHexahedron requires 1 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:GetEdge vtkHexahedronGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkHexahedronGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int edgeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkHexahedron requires 2 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:GetFace vtkHexahedronGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkHexahedronGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int faceId); */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkHexahedron requires 2 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:CellBoundary vtkHexahedronCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkHexahedronCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkHexahedron requires 4 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:Contour vtkHexahedronContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkHexahedronContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkHexahedron requires 12 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:Triangulate vtkHexahedronTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkHexahedronTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkHexahedron requires 4 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:Derivatives vtkHexahedronDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkHexahedronDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkHexahedron requires 6 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:InterpolationFunctions vtkHexahedronInterpolationFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkHexahedronInterpolationFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationFunctions (double pcoords[3], double weights[8]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationFunctions for class vtkHexahedron requires 3 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[8];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 8) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:InterpolationDerivs vtkHexahedronInterpolationDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkHexahedronInterpolationDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationDerivs (double pcoords[3], double derivs[24]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationDerivs for class vtkHexahedron requires 3 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[24];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 24) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:InterpolateFunctions vtkHexahedronInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkHexahedronInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double weights[8]);vtkHexahedron InterpolationFunctions pcoords weights  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkHexahedron requires 3 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[8];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 8) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:InterpolateDerivs vtkHexahedronInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkHexahedronInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double derivs[24]);vtkHexahedron InterpolationDerivs pcoords derivs  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkHexahedron requires 3 argument(s)");
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[24];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 24) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHexahedron:display vtkHexahedronDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHexahedronDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHexahedron* vtk_pointer = GetVTKPointer<vtkHexahedron>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHexahedron:delete vtkHexahedronDeleteFunction
//input varargin
//output none
ArrayVector vtkHexahedronDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHexahedron
//@@Section VTKFiltering
//@@Usage
// vtkHexahedron is a concrete implementation of vtkCell to represent a
// linear, 3D rectangular hexahedron (e.g., "brick" topology). vtkHexahedron
// uses the standard isoparametric shape functions for a linear
// hexahedron. The hexahedron is defined by the eight points (0-7) where
// (0,1,2,3) is the base of the hexahedron which, using the right hand rule,
// forms a quadrilaterial whose normal points in the direction of the
// opposite face (4,5,6,7).
//
//To create an instance of class vtkHexahedron, simply
//invoke its constructor as follows
//@[
//  obj = vtkHexahedron
//@]
//@@Methods
//The class vtkHexahedron has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHexahedron class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHexahedron = obj.NewInstance ()|
// \item @|vtkHexahedron = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetCellType ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetEdge (int edgeId)| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetFace (int faceId)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)|
// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)|
// \item @|obj.InterpolateFunctions (double pcoords[3], double weights[8])| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs[24])| -  Return the ids of the vertices defining edge/face (`edgeId`/`faceId').
// Ids are related to the cell, not to the dataset.
////\end{itemize}
//!
