#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHierarchicalBoxDataIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHierarchicalBoxDataIterator.h"

//@@Signature
//sfunction @vtkHierarchicalBoxDataIterator:vtkHierarchicalBoxDataIterator vtkHierarchicalBoxDataIteratorConstructorFunction
//input a
//output p
//@@Parents vtkHierarchicalBoxDataIterator vtkCompositeDataIterator 
ArrayVector vtkHierarchicalBoxDataIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHierarchicalBoxDataIterator::New(),"vtkHierarchicalBoxDataIterator",eval);
  } else if (arg[0].className() == "vtkHierarchicalBoxDataIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHierarchicalBoxDataIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHierarchicalBoxDataIterator");
    vtkHierarchicalBoxDataIterator*q = reinterpret_cast<vtkHierarchicalBoxDataIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHierarchicalBoxDataIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHierarchicalBoxDataIterator:GetClassName vtkHierarchicalBoxDataIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHierarchicalBoxDataIterator requires 1 argument(s)");
  vtkHierarchicalBoxDataIterator* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataIterator:IsA vtkHierarchicalBoxDataIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHierarchicalBoxDataIterator requires 2 argument(s)");
  vtkHierarchicalBoxDataIterator* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataIterator:NewInstance vtkHierarchicalBoxDataIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalBoxDataIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHierarchicalBoxDataIterator requires 1 argument(s)");
  vtkHierarchicalBoxDataIterator* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataIterator>(arg[0]);
  Array retval;
  vtkHierarchicalBoxDataIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalBoxDataIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataIterator:SafeDownCast vtkHierarchicalBoxDataIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalBoxDataIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHierarchicalBoxDataIterator requires 2 argument(s)");
  vtkHierarchicalBoxDataIterator* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHierarchicalBoxDataIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalBoxDataIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataIterator:GetCurrentLevel vtkHierarchicalBoxDataIteratorGetCurrentLevelFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataIteratorGetCurrentLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetCurrentLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentLevel for class vtkHierarchicalBoxDataIterator requires 1 argument(s)");
  vtkHierarchicalBoxDataIterator* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataIterator>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetCurrentLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataIterator:GetCurrentIndex vtkHierarchicalBoxDataIteratorGetCurrentIndexFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataIteratorGetCurrentIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetCurrentIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentIndex for class vtkHierarchicalBoxDataIterator requires 1 argument(s)");
  vtkHierarchicalBoxDataIterator* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataIterator>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetCurrentIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataIterator:display vtkHierarchicalBoxDataIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalBoxDataIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHierarchicalBoxDataIterator* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHierarchicalBoxDataIterator:delete vtkHierarchicalBoxDataIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkHierarchicalBoxDataIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHierarchicalBoxDataIterator
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkHierarchicalBoxDataIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkHierarchicalBoxDataIterator
//@]
//@@Methods
//The class vtkHierarchicalBoxDataIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHierarchicalBoxDataIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHierarchicalBoxDataIterator = obj.NewInstance ()|
// \item @|vtkHierarchicalBoxDataIterator = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetCurrentLevel ()| -  Returns the level for the current dataset.
//// \item @|int = obj.GetCurrentIndex ()| -  Returns the dataset index for the current data object. Valid only if the
// current data is a leaf node i.e. no a composite dataset.
////\end{itemize}
//!
