#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHierarchicalBoxDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHierarchicalBoxDataSet.h"

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:vtkHierarchicalBoxDataSet vtkHierarchicalBoxDataSetConstructorFunction
//input a
//output p
//@@Parents vtkHierarchicalBoxDataSet vtkCompositeDataSet 
ArrayVector vtkHierarchicalBoxDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHierarchicalBoxDataSet::New(),"vtkHierarchicalBoxDataSet",eval);
  } else if (arg[0].className() == "vtkHierarchicalBoxDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHierarchicalBoxDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHierarchicalBoxDataSet");
    vtkHierarchicalBoxDataSet*q = reinterpret_cast<vtkHierarchicalBoxDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHierarchicalBoxDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetClassName vtkHierarchicalBoxDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHierarchicalBoxDataSet requires 1 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:IsA vtkHierarchicalBoxDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:NewInstance vtkHierarchicalBoxDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalBoxDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHierarchicalBoxDataSet requires 1 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkHierarchicalBoxDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalBoxDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:SafeDownCast vtkHierarchicalBoxDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalBoxDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHierarchicalBoxDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalBoxDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:NewIterator vtkHierarchicalBoxDataSetNewIteratorFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetNewIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCompositeDataIterator *NewIterator (); */
  if (arg.size() < 1) 
    throw Exception("Function NewIterator for class vtkHierarchicalBoxDataSet requires 1 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp20;
  temp20 = (vtk_pointer)->NewIterator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetDataObjectType vtkHierarchicalBoxDataSetGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_HIERARCHICAL_BOX_DATA_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkHierarchicalBoxDataSet requires 1 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:SetNumberOfLevels vtkHierarchicalBoxDataSetSetNumberOfLevelsFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalBoxDataSetSetNumberOfLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfLevels (unsigned int numLevels); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfLevels for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetNumberOfLevels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetNumberOfLevels vtkHierarchicalBoxDataSetGetNumberOfLevelsFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetNumberOfLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetNumberOfLevels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLevels for class vtkHierarchicalBoxDataSet requires 1 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLevels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:SetNumberOfDataSets vtkHierarchicalBoxDataSetSetNumberOfDataSetsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkHierarchicalBoxDataSetSetNumberOfDataSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfDataSets (unsigned int level, unsigned int numdatasets); */
  if (arg.size() < 3) 
    throw Exception("Function SetNumberOfDataSets for class vtkHierarchicalBoxDataSet requires 3 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  vtk_pointer->SetNumberOfDataSets(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetNumberOfDataSets vtkHierarchicalBoxDataSetGetNumberOfDataSetsFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetNumberOfDataSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetNumberOfDataSets (unsigned int level); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfDataSets for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfDataSets(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:SetDataSet__1 vtkHierarchicalBoxDataSetSetDataSet__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkHierarchicalBoxDataSetSetDataSet__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataSet (vtkCompositeDataIterator *iter, vtkDataObject *dataObj);this Superclass SetDataSet iter dataObj  */
  if (arg.size() < 3) 
    throw Exception("Function SetDataSet__1 for class vtkHierarchicalBoxDataSet requires 3 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetDataSet(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:SetDataSet__2 vtkHierarchicalBoxDataSetSetDataSet__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkHierarchicalBoxDataSetSetDataSet__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSet (unsigned int level, unsigned int id, int LoCorner[3], int HiCorner[3], vtkUniformGrid *dataSet); */
  if (arg.size() < 6) 
    throw Exception("Function SetDataSet__2 for class vtkHierarchicalBoxDataSet requires 6 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  int    temp2[3];
  int    temp3[3];
  vtkUniformGrid  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
  }
  if ( !(arg[6].isVector() && arg[6].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
  }
  temp4 = GetVTKPointer<vtkUniformGrid>(arg[9]);
  vtk_pointer->SetDataSet(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetLevelMetaData vtkHierarchicalBoxDataSetGetLevelMetaDataFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetLevelMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetLevelMetaData (unsigned int level);return this GetChildMetaData level  */
  if (arg.size() < 2) 
    throw Exception("Function GetLevelMetaData for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLevelMetaData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:HasLevelMetaData vtkHierarchicalBoxDataSetHasLevelMetaDataFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetHasLevelMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasLevelMetaData (unsigned int level);return this HasChildMetaData level  */
  if (arg.size() < 2) 
    throw Exception("Function HasLevelMetaData for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->HasLevelMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetMetaData__1 vtkHierarchicalBoxDataSetGetMetaData__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetMetaData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetMetaData (unsigned int level, unsigned int index); */
  if (arg.size() < 3) 
    throw Exception("Function GetMetaData__1 for class vtkHierarchicalBoxDataSet requires 3 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetMetaData(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:HasMetaData__1 vtkHierarchicalBoxDataSetHasMetaData__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkHierarchicalBoxDataSetHasMetaData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasMetaData (unsigned int level, unsigned int index); */
  if (arg.size() < 3) 
    throw Exception("Function HasMetaData__1 for class vtkHierarchicalBoxDataSet requires 3 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  temp20 = (vtk_pointer)->HasMetaData(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:SetRefinementRatio vtkHierarchicalBoxDataSetSetRefinementRatioFunction
//input a0 a1 a2 
//output none
ArrayVector vtkHierarchicalBoxDataSetSetRefinementRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRefinementRatio (unsigned int level, int refRatio); */
  if (arg.size() < 3) 
    throw Exception("Function SetRefinementRatio for class vtkHierarchicalBoxDataSet requires 3 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetRefinementRatio(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetRefinementRatio__1 vtkHierarchicalBoxDataSetGetRefinementRatio__1Function
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetRefinementRatio__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRefinementRatio (unsigned int level); */
  if (arg.size() < 2) 
    throw Exception("Function GetRefinementRatio__1 for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRefinementRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetRefinementRatio__2 vtkHierarchicalBoxDataSetGetRefinementRatio__2Function
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetRefinementRatio__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRefinementRatio (vtkCompositeDataIterator *iter); */
  if (arg.size() < 2) 
    throw Exception("Function GetRefinementRatio__2 for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->GetRefinementRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GenerateVisibilityArrays vtkHierarchicalBoxDataSetGenerateVisibilityArraysFunction
//input a0 
//output none
ArrayVector vtkHierarchicalBoxDataSetGenerateVisibilityArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVisibilityArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVisibilityArrays for class vtkHierarchicalBoxDataSet requires 1 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVisibilityArrays();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:BOX vtkHierarchicalBoxDataSetBOXFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetBOXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerVectorKey *BOX (); */
  if (arg.size() < 1) 
    throw Exception("Function BOX for class vtkHierarchicalBoxDataSet requires 1 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkInformationIntegerVectorKey  *temp20;
  temp20 = (vtk_pointer)->BOX();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:REFINEMENT_RATIO vtkHierarchicalBoxDataSetREFINEMENT_RATIOFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetREFINEMENT_RATIOFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *REFINEMENT_RATIO (); */
  if (arg.size() < 1) 
    throw Exception("Function REFINEMENT_RATIO for class vtkHierarchicalBoxDataSet requires 1 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->REFINEMENT_RATIO();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:NUMBER_OF_BLANKED_POINTS vtkHierarchicalBoxDataSetNUMBER_OF_BLANKED_POINTSFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetNUMBER_OF_BLANKED_POINTSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIdTypeKey *NUMBER_OF_BLANKED_POINTS (); */
  if (arg.size() < 1) 
    throw Exception("Function NUMBER_OF_BLANKED_POINTS for class vtkHierarchicalBoxDataSet requires 1 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkInformationIdTypeKey  *temp20;
  temp20 = (vtk_pointer)->NUMBER_OF_BLANKED_POINTS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIdTypeKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetScalarRange__1 vtkHierarchicalBoxDataSetGetScalarRange__1Function
//input a0 a1 
//output none
ArrayVector vtkHierarchicalBoxDataSetGetScalarRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetScalarRange (double range[]); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarRange__1 for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetDataSet vtkHierarchicalBoxDataSetGetDataSetFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataObject *GetDataSet (vtkCompositeDataIterator *iter);return this Superclass GetDataSet iter  */
  if (arg.size() < 2) 
    throw Exception("Function GetDataSet for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->GetDataSet(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetMetaData__2 vtkHierarchicalBoxDataSetGetMetaData__2Function
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetMetaData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkInformation *GetMetaData (vtkCompositeDataIterator *iter);return this Superclass GetMetaData iter  */
  if (arg.size() < 2) 
    throw Exception("Function GetMetaData__2 for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->GetMetaData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:HasMetaData__2 vtkHierarchicalBoxDataSetHasMetaData__2Function
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetHasMetaData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasMetaData (vtkCompositeDataIterator *iter);return this Superclass HasMetaData iter  */
  if (arg.size() < 2) 
    throw Exception("Function HasMetaData__2 for class vtkHierarchicalBoxDataSet requires 2 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->HasMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetFlatIndex vtkHierarchicalBoxDataSetGetFlatIndexFunction
//input a0 a1 a2 
//output y
ArrayVector vtkHierarchicalBoxDataSetGetFlatIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetFlatIndex (unsigned int level, unsigned int index); */
  if (arg.size() < 3) 
    throw Exception("Function GetFlatIndex for class vtkHierarchicalBoxDataSet requires 3 argument(s)");
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetFlatIndex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:SetDataSet vtkHierarchicalBoxDataSetSetDataSetFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalBoxDataSetSetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkCompositeDataIterator") && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkHierarchicalBoxDataSetSetDataSet__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsClass(arg[5],"vtkUniformGrid"))
    return vtkHierarchicalBoxDataSetSetDataSet__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHierarchicalBoxDataSetSetDataSet");
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetMetaData vtkHierarchicalBoxDataSetGetMetaDataFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalBoxDataSetGetMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkHierarchicalBoxDataSetGetMetaData__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCompositeDataIterator"))
    return vtkHierarchicalBoxDataSetGetMetaData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHierarchicalBoxDataSetGetMetaData");
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:HasMetaData vtkHierarchicalBoxDataSetHasMetaDataFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalBoxDataSetHasMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkHierarchicalBoxDataSetHasMetaData__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCompositeDataIterator"))
    return vtkHierarchicalBoxDataSetHasMetaData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHierarchicalBoxDataSetHasMetaData");
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetRefinementRatio vtkHierarchicalBoxDataSetGetRefinementRatioFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalBoxDataSetGetRefinementRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkHierarchicalBoxDataSetGetRefinementRatio__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCompositeDataIterator"))
    return vtkHierarchicalBoxDataSetGetRefinementRatio__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHierarchicalBoxDataSetGetRefinementRatio");
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:GetScalarRange vtkHierarchicalBoxDataSetGetScalarRangeFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalBoxDataSetGetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHierarchicalBoxDataSetGetScalarRange__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHierarchicalBoxDataSetGetScalarRange");
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSet:display vtkHierarchicalBoxDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalBoxDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHierarchicalBoxDataSet* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHierarchicalBoxDataSet:delete vtkHierarchicalBoxDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkHierarchicalBoxDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHierarchicalBoxDataSet
//@@Section VTKFiltering
//@@Usage
// vtkHierarchicalBoxDataSet is a concrete implementation of
// vtkCompositeDataSet. The dataset type is restricted to
// vtkUniformGrid. Each dataset has an associated vtkAMRBox that represents
// it's region (similar to extent) in space.
//
// .SECTION Warning
// To compute the cellId of a cell within a vtkUniformGrid with AMRBox=box, 
// you should not use vtkUniformGrid::ComputeCellId( {x,y,z} ) but instead
// use the following pseudo code:
// for (int i=0; i<3; i++)
//   {
//   cellDims[i] = box.HiCorner[i] - box.LoCorner[i] + 1;
//   }
// vtkIdType cellId =
//   (z-box.LoCorner[2])*cellDims[0]*cellDims[1] +
//   (y-box.LoCorner[1])*cellDims[0] +
//   (x-box.LoCorner[0]);
//
// NOTE vtkAMRBox is used to compute cell visibility, therefor it 
// should be dimensioned according to the visible region.
//
//To create an instance of class vtkHierarchicalBoxDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkHierarchicalBoxDataSet
//@]
//@@Methods
//The class vtkHierarchicalBoxDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHierarchicalBoxDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHierarchicalBoxDataSet = obj.NewInstance ()|
// \item @|vtkHierarchicalBoxDataSet = obj.SafeDownCast (vtkObject o)|
// \item @|vtkCompositeDataIterator = obj.NewIterator ()| -  Return a new iterator (the iterator has to be deleted by user).
//// \item @|int = obj.GetDataObjectType ()| -  Set the number of refinement levels. This call might cause
// allocation if the new number of levels is larger than the
// current one.
//// \item @|obj.SetNumberOfLevels (int numLevels)| -  Set the number of refinement levels. This call might cause
// allocation if the new number of levels is larger than the
// current one.
//// \item @|int = obj.GetNumberOfLevels ()| -  Returns the number of levels.
//// \item @|obj.SetNumberOfDataSets (int level, int numdatasets)| -  Set the number of data set at a given level.
//// \item @|int = obj.GetNumberOfDataSets (int level)| -  Returns the number of data sets available at any level.
//// \item @|obj.SetDataSet (vtkCompositeDataIterator iter, vtkDataObject dataObj)| -  Set the dataset pointer for a given node. This will resize the number of
// levels and the number of datasets in the level to fit level, id requested. 
//// \item @|obj.SetDataSet (int level, int id, int LoCorner[3], int HiCorner[3], vtkUniformGrid dataSet)| -  Set the dataset pointer for a given node. This will resize the number of
// levels and the number of datasets in the level to fit level, id requested. 
//// \item @|vtkInformation = obj.GetLevelMetaData (int level)| -  Returns if meta-data exists for a given level.
//// \item @|int = obj.HasLevelMetaData (int level)| -  Get meta-data associated with a dataset.  This may allocate a new
// vtkInformation object if none is already present. Use HasMetaData to
// avoid unnecessary allocations.
//// \item @|vtkInformation = obj.GetMetaData (int level, int index)| -  Get meta-data associated with a dataset.  This may allocate a new
// vtkInformation object if none is already present. Use HasMetaData to
// avoid unnecessary allocations.
//// \item @|int = obj.HasMetaData (int level, int index)| -  Returns if meta-data exists for a given dataset under a given level.
//// \item @|obj.SetRefinementRatio (int level, int refRatio)| -  Sets the refinement of a given level. The spacing at level
// level+1 is defined as spacing(level+1) = spacing(level)/refRatio(level).
// Note that currently, this is not enforced by this class however
// some algorithms might not function properly if the spacing in
// the blocks (vtkUniformGrid) does not match the one described
// by the refinement ratio.
//// \item @|int = obj.GetRefinementRatio (int level)| -  Returns the refinement of a given level.
//// \item @|int = obj.GetRefinementRatio (vtkCompositeDataIterator iter)| -  Returns the refinement ratio for the position pointed by the iterator.
//// \item @|obj.GenerateVisibilityArrays ()| -  Blank lower level cells if they are overlapped by higher
// level ones.
//// \item @|obj.GetScalarRange (double range[])| -  Copy the cached scalar range into range.
//// \item @|vtkDataObject = obj.GetDataSet (vtkCompositeDataIterator iter)| -  Unhiding superclass method.
//// \item @|vtkInformation = obj.GetMetaData (vtkCompositeDataIterator iter)| -  Unhiding superclass method.
//// \item @|int = obj.HasMetaData (vtkCompositeDataIterator iter)| -  Given the level and dataset index, returns the flat index provided level
// and dataset index are valid.
//// \item @|int = obj.GetFlatIndex (int level, int index)| -  Given the level and dataset index, returns the flat index provided level
// and dataset index are valid.
////\end{itemize}
//!
