#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHierarchicalBoxDataSetAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHierarchicalBoxDataSetAlgorithm.h"

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:vtkHierarchicalBoxDataSetAlgorithm vtkHierarchicalBoxDataSetAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkHierarchicalBoxDataSetAlgorithm vtkAlgorithm 
ArrayVector vtkHierarchicalBoxDataSetAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHierarchicalBoxDataSetAlgorithm::New(),"vtkHierarchicalBoxDataSetAlgorithm",eval);
  } else if (arg[0].className() == "vtkHierarchicalBoxDataSetAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHierarchicalBoxDataSetAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHierarchicalBoxDataSetAlgorithm");
    vtkHierarchicalBoxDataSetAlgorithm*q = reinterpret_cast<vtkHierarchicalBoxDataSetAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHierarchicalBoxDataSetAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:GetClassName vtkHierarchicalBoxDataSetAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHierarchicalBoxDataSetAlgorithm requires 1 argument(s)");
  vtkHierarchicalBoxDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSetAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:IsA vtkHierarchicalBoxDataSetAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHierarchicalBoxDataSetAlgorithm requires 2 argument(s)");
  vtkHierarchicalBoxDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSetAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:NewInstance vtkHierarchicalBoxDataSetAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalBoxDataSetAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHierarchicalBoxDataSetAlgorithm requires 1 argument(s)");
  vtkHierarchicalBoxDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkHierarchicalBoxDataSetAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalBoxDataSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:SafeDownCast vtkHierarchicalBoxDataSetAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalBoxDataSetAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHierarchicalBoxDataSetAlgorithm requires 2 argument(s)");
  vtkHierarchicalBoxDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHierarchicalBoxDataSetAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalBoxDataSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:GetOutput__1 vtkHierarchicalBoxDataSetAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkHierarchicalBoxDataSetAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalBoxDataSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkHierarchicalBoxDataSetAlgorithm requires 1 argument(s)");
  vtkHierarchicalBoxDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkHierarchicalBoxDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalBoxDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:GetOutput__2 vtkHierarchicalBoxDataSetAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkHierarchicalBoxDataSetAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalBoxDataSet *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkHierarchicalBoxDataSetAlgorithm requires 2 argument(s)");
  vtkHierarchicalBoxDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkHierarchicalBoxDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalBoxDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:SetInput__1 vtkHierarchicalBoxDataSetAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkHierarchicalBoxDataSetAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkHierarchicalBoxDataSetAlgorithm requires 2 argument(s)");
  vtkHierarchicalBoxDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:SetInput__2 vtkHierarchicalBoxDataSetAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkHierarchicalBoxDataSetAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkHierarchicalBoxDataSetAlgorithm requires 3 argument(s)");
  vtkHierarchicalBoxDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:GetOutput vtkHierarchicalBoxDataSetAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalBoxDataSetAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkHierarchicalBoxDataSetAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkHierarchicalBoxDataSetAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHierarchicalBoxDataSetAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:SetInput vtkHierarchicalBoxDataSetAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalBoxDataSetAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkHierarchicalBoxDataSetAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkHierarchicalBoxDataSetAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHierarchicalBoxDataSetAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkHierarchicalBoxDataSetAlgorithm:display vtkHierarchicalBoxDataSetAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalBoxDataSetAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHierarchicalBoxDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkHierarchicalBoxDataSetAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHierarchicalBoxDataSetAlgorithm:delete vtkHierarchicalBoxDataSetAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkHierarchicalBoxDataSetAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHierarchicalBoxDataSetAlgorithm
//@@Section VTKFiltering
//@@Usage
// Algorithms that take any type of data object (including composite dataset)
// and produce a vtkHierarchicalBoxDataSet in the output can subclass from this
// class.
//
//To create an instance of class vtkHierarchicalBoxDataSetAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkHierarchicalBoxDataSetAlgorithm
//@]
//@@Methods
//The class vtkHierarchicalBoxDataSetAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHierarchicalBoxDataSetAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHierarchicalBoxDataSetAlgorithm = obj.NewInstance ()|
// \item @|vtkHierarchicalBoxDataSetAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkHierarchicalBoxDataSet = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkHierarchicalBoxDataSet = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
////\end{itemize}
//!
