#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHyperOctree object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHyperOctree.h"

//@@Signature
//sfunction @vtkHyperOctree:vtkHyperOctree vtkHyperOctreeConstructorFunction
//input a
//output p
//@@Parents vtkHyperOctree vtkDataSet 
ArrayVector vtkHyperOctreeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHyperOctree::New(),"vtkHyperOctree",eval);
  } else if (arg[0].className() == "vtkHyperOctree") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHyperOctree"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHyperOctree");
    vtkHyperOctree*q = reinterpret_cast<vtkHyperOctree*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHyperOctree");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHyperOctree:LEVELS vtkHyperOctreeLEVELSFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeLEVELSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *LEVELS (); */
  if (arg.size() < 1) 
    throw Exception("Function LEVELS for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->LEVELS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:DIMENSION vtkHyperOctreeDIMENSIONFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeDIMENSIONFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *DIMENSION (); */
  if (arg.size() < 1) 
    throw Exception("Function DIMENSION for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->DIMENSION();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:SIZES vtkHyperOctreeSIZESFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeSIZESFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *SIZES (); */
  if (arg.size() < 1) 
    throw Exception("Function SIZES for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->SIZES();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetClassName vtkHyperOctreeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:IsA vtkHyperOctreeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:NewInstance vtkHyperOctreeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctree *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkHyperOctree  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:SafeDownCast vtkHyperOctreeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctree *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHyperOctree  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetDataObjectType vtkHyperOctreeGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:CopyStructure vtkHyperOctreeCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyStructure (vtkDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetDimension vtkHyperOctreeGetDimensionFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:SetDimension vtkHyperOctreeSetDimensionFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeSetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimension (int dim); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimension for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetNumberOfCells vtkHyperOctreeGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetNumberOfLeaves vtkHyperOctreeGetNumberOfLeavesFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetNumberOfLeavesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfLeaves (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLeaves for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfLeaves();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetNumberOfPoints vtkHyperOctreeGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetMaxNumberOfPoints vtkHyperOctreeGetMaxNumberOfPointsFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeGetMaxNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaxNumberOfPoints (int level); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaxNumberOfPoints for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMaxNumberOfPoints(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetMaxNumberOfPointsOnBoundary vtkHyperOctreeGetMaxNumberOfPointsOnBoundaryFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeGetMaxNumberOfPointsOnBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaxNumberOfPointsOnBoundary (int level); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaxNumberOfPointsOnBoundary for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMaxNumberOfPointsOnBoundary(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetMaxNumberOfCellsOnBoundary vtkHyperOctreeGetMaxNumberOfCellsOnBoundaryFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeGetMaxNumberOfCellsOnBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaxNumberOfCellsOnBoundary (int level); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaxNumberOfCellsOnBoundary for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMaxNumberOfCellsOnBoundary(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetNumberOfLevels vtkHyperOctreeGetNumberOfLevelsFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetNumberOfLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfLevels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLevels for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfLevels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:SetSize__1 vtkHyperOctreeSetSize__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkHyperOctreeSetSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSize (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSize__1 for class vtkHyperOctree requires 4 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSize(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:SetSize__2 vtkHyperOctreeSetSize__2Function
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeSetSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSize (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSize__2 for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetSize vtkHyperOctreeGetSizeFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSize();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:SetOrigin__1 vtkHyperOctreeSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkHyperOctreeSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkHyperOctree requires 4 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:SetOrigin__2 vtkHyperOctreeSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetOrigin vtkHyperOctreeGetOriginFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:NewCellCursor vtkHyperOctreeNewCellCursorFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeNewCellCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeCursor *NewCellCursor (); */
  if (arg.size() < 1) 
    throw Exception("Function NewCellCursor for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkHyperOctreeCursor  *temp20;
  temp20 = (vtk_pointer)->NewCellCursor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeCursor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:SubdivideLeaf vtkHyperOctreeSubdivideLeafFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeSubdivideLeafFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SubdivideLeaf (vtkHyperOctreeCursor *leaf); */
  if (arg.size() < 2) 
    throw Exception("Function SubdivideLeaf for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkHyperOctreeCursor  *temp0;
  temp0 = GetVTKPointer<vtkHyperOctreeCursor>(arg[1]);
  vtk_pointer->SubdivideLeaf(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:CollapseTerminalNode vtkHyperOctreeCollapseTerminalNodeFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeCollapseTerminalNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CollapseTerminalNode (vtkHyperOctreeCursor *node); */
  if (arg.size() < 2) 
    throw Exception("Function CollapseTerminalNode for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkHyperOctreeCursor  *temp0;
  temp0 = GetVTKPointer<vtkHyperOctreeCursor>(arg[1]);
  vtk_pointer->CollapseTerminalNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetPoint__1 vtkHyperOctreeGetPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeGetPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetPoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint__1 for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPoint(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetPoint__2 vtkHyperOctreeGetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkHyperOctreeGetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint (vtkIdType id, double x[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetPoint__2 for class vtkHyperOctree requires 3 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetCell__1 vtkHyperOctreeGetCell__1Function
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeGetCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCell *GetCell (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCell__1 for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetCell__2 vtkHyperOctreeGetCell__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkHyperOctreeGetCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell); */
  if (arg.size() < 3) 
    throw Exception("Function GetCell__2 for class vtkHyperOctree requires 3 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  vtk_pointer->GetCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetCellType vtkHyperOctreeGetCellTypeFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCellType (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellType for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetCellPoints__1 vtkHyperOctreeGetCellPoints__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkHyperOctreeGetCellPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellPoints__1 for class vtkHyperOctree requires 3 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetCellPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetPointCells vtkHyperOctreeGetPointCellsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkHyperOctreeGetPointCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointCells (vtkIdType ptId, vtkIdList *cellIds); */
  if (arg.size() < 3) 
    throw Exception("Function GetPointCells for class vtkHyperOctree requires 3 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetPointCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetCellNeighbors vtkHyperOctreeGetCellNeighborsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkHyperOctreeGetCellNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds); */
  if (arg.size() < 4) 
    throw Exception("Function GetCellNeighbors for class vtkHyperOctree requires 4 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  vtk_pointer->GetCellNeighbors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:FindPoint vtkHyperOctreeFindPointFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeFindPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindPoint (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindPoint for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:Initialize vtkHyperOctreeInitializeFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetMaxCellSize vtkHyperOctreeGetMaxCellSizeFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetMaxCellSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetMaxCellSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellSize for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:ShallowCopy vtkHyperOctreeShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:DeepCopy vtkHyperOctreeDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetPointsOnFace vtkHyperOctreeGetPointsOnFaceFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkHyperOctreeGetPointsOnFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPointsOnFace (vtkHyperOctreeCursor *sibling, int face, int level, vtkHyperOctreePointsGrabber *grabber); */
  if (arg.size() < 5) 
    throw Exception("Function GetPointsOnFace for class vtkHyperOctree requires 5 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkHyperOctreeCursor  *temp0;
  int      temp1;
  int      temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  temp0 = GetVTKPointer<vtkHyperOctreeCursor>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkHyperOctreePointsGrabber>(arg[4]);
  vtk_pointer->GetPointsOnFace(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetPointsOnParentFaces vtkHyperOctreeGetPointsOnParentFacesFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkHyperOctreeGetPointsOnParentFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPointsOnParentFaces (int faces[3], int level, vtkHyperOctreeCursor *cursor, vtkHyperOctreePointsGrabber *grabber); */
  if (arg.size() < 5) 
    throw Exception("Function GetPointsOnParentFaces for class vtkHyperOctree requires 5 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  int    temp0[3];
  int      temp1;
  vtkHyperOctreeCursor  *temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[4].asDouble();
  temp2 = GetVTKPointer<vtkHyperOctreeCursor>(arg[5]);
  temp3 = GetVTKPointer<vtkHyperOctreePointsGrabber>(arg[6]);
  vtk_pointer->GetPointsOnParentFaces(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetPointsOnEdge vtkHyperOctreeGetPointsOnEdgeFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkHyperOctreeGetPointsOnEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPointsOnEdge (vtkHyperOctreeCursor *sibling, int level, int axis, int k, int j, vtkHyperOctreePointsGrabber *grabber); */
  if (arg.size() < 7) 
    throw Exception("Function GetPointsOnEdge for class vtkHyperOctree requires 7 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkHyperOctreeCursor  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkHyperOctreePointsGrabber  *temp5;
  temp0 = GetVTKPointer<vtkHyperOctreeCursor>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp5 = GetVTKPointer<vtkHyperOctreePointsGrabber>(arg[6]);
  vtk_pointer->GetPointsOnEdge(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetPointsOnParentEdge vtkHyperOctreeGetPointsOnParentEdgeFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkHyperOctreeGetPointsOnParentEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPointsOnParentEdge (vtkHyperOctreeCursor *cursor, int level, int axis, int k, int j, vtkHyperOctreePointsGrabber *grabber); */
  if (arg.size() < 7) 
    throw Exception("Function GetPointsOnParentEdge for class vtkHyperOctree requires 7 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkHyperOctreeCursor  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkHyperOctreePointsGrabber  *temp5;
  temp0 = GetVTKPointer<vtkHyperOctreeCursor>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp5 = GetVTKPointer<vtkHyperOctreePointsGrabber>(arg[6]);
  vtk_pointer->GetPointsOnParentEdge(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetPointsOnEdge2D vtkHyperOctreeGetPointsOnEdge2DFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkHyperOctreeGetPointsOnEdge2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPointsOnEdge2D (vtkHyperOctreeCursor *sibling, int edge, int level, vtkHyperOctreePointsGrabber *grabber); */
  if (arg.size() < 5) 
    throw Exception("Function GetPointsOnEdge2D for class vtkHyperOctree requires 5 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkHyperOctreeCursor  *temp0;
  int      temp1;
  int      temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  temp0 = GetVTKPointer<vtkHyperOctreeCursor>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkHyperOctreePointsGrabber>(arg[4]);
  vtk_pointer->GetPointsOnEdge2D(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetPointsOnParentEdge2D vtkHyperOctreeGetPointsOnParentEdge2DFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkHyperOctreeGetPointsOnParentEdge2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPointsOnParentEdge2D (vtkHyperOctreeCursor *cursor, int edge, int level, vtkHyperOctreePointsGrabber *grabber); */
  if (arg.size() < 5) 
    throw Exception("Function GetPointsOnParentEdge2D for class vtkHyperOctree requires 5 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkHyperOctreeCursor  *temp0;
  int      temp1;
  int      temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  temp0 = GetVTKPointer<vtkHyperOctreeCursor>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkHyperOctreePointsGrabber>(arg[4]);
  vtk_pointer->GetPointsOnParentEdge2D(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetLeafData vtkHyperOctreeGetLeafDataFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetLeafDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetAttributes *GetLeafData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeafData for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp20;
  temp20 = (vtk_pointer)->GetLeafData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:SetDualGridFlag vtkHyperOctreeSetDualGridFlagFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeSetDualGridFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDualGridFlag (int flag); */
  if (arg.size() < 2) 
    throw Exception("Function SetDualGridFlag for class vtkHyperOctree requires 2 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDualGridFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetDualGridFlag vtkHyperOctreeGetDualGridFlagFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetDualGridFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDualGridFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDualGridFlag for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDualGridFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:GetActualMemorySize vtkHyperOctreeGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkHyperOctree requires 1 argument(s)");
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctree:SetSize vtkHyperOctreeSetSizeFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeSetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkHyperOctreeSetSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHyperOctreeSetSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeSetSize");
}

//@@Signature
//sfunction @vtkHyperOctree:SetOrigin vtkHyperOctreeSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkHyperOctreeSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHyperOctreeSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeSetOrigin");
}

//@@Signature
//sfunction @vtkHyperOctree:GetPoint vtkHyperOctreeGetPointFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkHyperOctreeGetPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkHyperOctreeGetPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeGetPoint");
}

//@@Signature
//sfunction @vtkHyperOctree:GetCell vtkHyperOctreeGetCellFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeGetCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkHyperOctreeGetCell__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericCell"))
    return vtkHyperOctreeGetCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeGetCell");
}

//@@Signature
//sfunction @vtkHyperOctree:GetCellPoints vtkHyperOctreeGetCellPointsFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeGetCellPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList"))
    return vtkHyperOctreeGetCellPoints__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeGetCellPoints");
}

//@@Signature
//sfunction @vtkHyperOctree:FindCell vtkHyperOctreeFindCellFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeFindCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeFindCell");
}

//@@Signature
//sfunction @vtkHyperOctree:display vtkHyperOctreeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHyperOctree* vtk_pointer = GetVTKPointer<vtkHyperOctree>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHyperOctree:delete vtkHyperOctreeDeleteFunction
//input varargin
//output none
ArrayVector vtkHyperOctreeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHyperOctree
//@@Section VTKFiltering
//@@Usage
// An hyperoctree is a dataset where each node has either exactly 2^n children
// or no child at all if the node is a leaf. `n' is the dimension of the
// dataset (1 (binary tree), 2 (quadtree) or 3 (octree) ).
// The class name comes from the following paper:
//
// \verbatim
// @ARTICLE{yau-srihari-1983,
//  author={Mann-May Yau and Sargur N. Srihari},
//  title={A Hierarchical Data Structure for Multidimensional Digital Images},
//  journal={Communications of the ACM},
//  month={July},
//  year={1983},
//  volume={26},
//  number={7},
//  pages={504--515}
//  }
// \endverbatim
//
// Each node is a cell. Attributes are associated with cells, not with points.
// The geometry is implicitly given by the size of the root node on each axis
// and position of the center and the orientation. (TODO: review center
// position and orientation). The geometry is then not limited to an hybercube
// but can have a rectangular shape.
// Attributes are associated with leaves. For LOD (Level-Of-Detail) purpose,
// attributes can be computed on none-leaf nodes by computing the average
// values from its children (which can be leaves or not).
//
// By construction, an hyperoctree is efficient in memory usage when the
// geometry is sparse. The LOD feature allows to cull quickly part of the
// dataset.
//
// A couple of filters can be applied on this dataset: contour, outline,
// geometry.
//
// * 3D case (octree)
// for each node, each child index (from 0 to 7) is encoded in the following
// orientation. It is easy to access each child as a cell of a grid.
// Note also that the binary representation is relevant, each bit code a
// side: bit 0 encodes -x side (0) or +x side (1)
// bit 1 encodes -y side (0) or +y side (1)
// bit 2 encodes -z side (0) or +z side (2)
// - the -z side first
// - 0: -y -x sides
// - 1: -y +x sides
// - 2: +y -x sides
// - 3: +y +x sides
// \verbatim
//              +y
// +-+-+        ^
// |2|3|        |
// +-+-+  O +z  +-> +x
// |0|1|
// +-+-+
// \endverbatim
//
// - then the +z side, in counter-clockwise
// - 4: -y -x sides
// - 5: -y +x sides
// - 6: +y -x sides
// - 7: +y +x sides
// \verbatim
//              +y
// +-+-+        ^
// |6|7|        |
// +-+-+  O +z  +-> +x
// |4|5|
// +-+-+
// \endverbatim
//
// The cases with fewer dimensions are consistent with the octree case:
//
// * Quadtree:
// in counter-clockwise
// - 0: -y -x edges
// - 1: -y +x edges
// - 2: +y -x edges
// - 3: +y +x edges
// \verbatim
//         +y
// +-+-+   ^
// |2|3|   |
// +-+-+  O+-> +x
// |0|1|
// +-+-+
// \endverbatim
//
// * Binary tree:
// \verbatim
// +0+1+  O+-> +x
// \endverbatim
//
//
//To create an instance of class vtkHyperOctree, simply
//invoke its constructor as follows
//@[
//  obj = vtkHyperOctree
//@]
//@@Methods
//The class vtkHyperOctree has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHyperOctree class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHyperOctree = obj.NewInstance ()|
// \item @|vtkHyperOctree = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()| -  Return what type of dataset this is.
//// \item @|obj.CopyStructure (vtkDataSet ds)| -  Copy the geometric and topological structure of an input rectilinear grid
// object.
//// \item @|int = obj.GetDimension ()| -  Return the dimension of the tree (1D:binary tree(2 children), 2D:quadtree(4 children),
// 3D:octree (8 children))
// \post valid_result: result>=1 && result<=3
//// \item @|obj.SetDimension (int dim)| -  Set the dimension of the tree with `dim'. See GetDimension() for details.
// \pre valid_dim: dim>=1 && dim<=3
// \post dimension_is_set: GetDimension()==dim
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Return the number of cells in the dual grid.
// \post positive_result: result>=0
//// \item @|vtkIdType = obj.GetNumberOfLeaves ()| -  Get the number of leaves in the tree.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Return the number of points in the dual grid.
// \post positive_result: result>=0
//// \item @|vtkIdType = obj.GetMaxNumberOfPoints (int level)| -  Return the number of points corresponding to an hyperoctree starting at
// level `level' where all the leaves at at the last level. In this case, the
// hyperoctree is like a uniform grid. So this number is the number of points
// of the uniform grid. 
// \pre positive_level: level>=0 && level<this->GetNumberOfLevels()
// \post definition: result==(2^(GetNumberOfLevels()-level-1)+1)^GetDimension()
//// \item @|vtkIdType = obj.GetMaxNumberOfPointsOnBoundary (int level)| -  Return the number of points corresponding to the boundary of an
// hyperoctree starting at level `level' where all the leaves at at the last
// level. In this case, the hyperoctree is like a uniform grid. So this
// number is the number of points of on the boundary of the uniform grid.
// For an octree, the boundary are the faces. For a quadtree, the boundary
// are the edges.
// \pre 2d_or_3d: this->GetDimension()==2 || this->GetDimension()==3
// \pre positive_level: level>=0 && level<this->GetNumberOfLevels()
// \post min_result: result>=GetMaxNumberOfPoints(this->GetNumberOfLevels()-1)
// \post max_result: result<=GetMaxNumberOfPoints(level)
//// \item @|vtkIdType = obj.GetMaxNumberOfCellsOnBoundary (int level)| -  Return the number of cells corresponding to the boundary of a cell
// of level `level' where all the leaves at at the last level. 
// \pre positive_level: level>=0 && level<this->GetNumberOfLevels()
// \post positive_result: result>=0
//// \item @|vtkIdType = obj.GetNumberOfLevels ()| -  Return the number of levels.
// \post result_greater_or_equal_to_one: result>=1
//// \item @|obj.SetSize (double , double , double )| -  Set the size on each axis.
//// \item @|obj.SetSize (double  a[3])| -  Set the size on each axis.
//// \item @|double = obj. GetSize ()| -  Return the size on each axis.
//// \item @|obj.SetOrigin (double , double , double )| -  Set the origin (position of corner (0,0,0) of the root.
//// \item @|obj.SetOrigin (double  a[3])| -  Set the origin (position of corner (0,0,0) of the root.
//// \item @|double = obj. GetOrigin ()| -  Set the origin (position of corner (0,0,0) of the root.
// Return the origin (position of corner (0,0,0) ) of the root.
//// \item @|vtkHyperOctreeCursor = obj.NewCellCursor ()| -  Create a new cursor: an object that can traverse
// the cell of an hyperoctree.
// \post result_exists: result!=0
//// \item @|obj.SubdivideLeaf (vtkHyperOctreeCursor leaf)| -  Subdivide node pointed by cursor, only if its a leaf.
// At the end, cursor points on the node that used to be leaf.
// \pre leaf_exists: leaf!=0
// \pre is_a_leaf: leaf->CurrentIsLeaf()
//// \item @|obj.CollapseTerminalNode (vtkHyperOctreeCursor node)| -  Collapse a node for which all children are leaves.
// At the end, cursor points on the leaf that used to be a node.
// \pre node_exists: node!=0
// \pre node_is_node: !node->CurrentIsLeaf()
// \pre children_are_leaves: node->CurrentIsTerminalNode()
//// \item @|double = obj.GetPoint (vtkIdType ptId)| -  Get point coordinates with ptId such that: 0 <= ptId < NumberOfPoints.
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|obj.GetPoint (vtkIdType id, double x[3])| -  Copy point coordinates into user provided array x[3] for specified
// point id.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|vtkCell = obj.GetCell (vtkIdType cellId)| -  Get cell with cellId such that: 0 <= cellId < NumberOfCells.
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|obj.GetCell (vtkIdType cellId, vtkGenericCell cell)| -  Get cell with cellId such that: 0 <= cellId < NumberOfCells. 
// This is a thread-safe alternative to the previous GetCell()
// method.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|int = obj.GetCellType (vtkIdType cellId)| -  Get type of cell with cellId such that: 0 <= cellId < NumberOfCells.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|obj.GetCellPoints (vtkIdType cellId, vtkIdList ptIds)| -  Topological inquiry to get points defining cell.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|obj.GetPointCells (vtkIdType ptId, vtkIdList cellIds)| -  Topological inquiry to get cells using point.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|obj.GetCellNeighbors (vtkIdType cellId, vtkIdList ptIds, vtkIdList cellIds)| -  Topological inquiry to get all cells using list of points exclusive of
// cell specified (e.g., cellId). Note that the list consists of only
// cells that use ALL the points provided.
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|vtkIdType = obj.FindPoint (double x[3])|
// \item @|obj.Initialize ()| -  Restore data object to initial state,
// THIS METHOD IS NOT THREAD SAFE.
//// \item @|int = obj.GetMaxCellSize ()| -  Convenience method returns largest cell size in dataset. This is generally
// used to allocate memory for supporting data structures.
// This is the number of points of a cell.
// THIS METHOD IS THREAD SAFE
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.GetPointsOnFace (vtkHyperOctreeCursor sibling, int face, int level, vtkHyperOctreePointsGrabber grabber)| -  Get the points of node `sibling' on its face `face'.
// \pre sibling_exists: sibling!=0
// \pre sibling_not_leaf: !sibling->CurrentIsLeaf()
// \pre sibling_3d: sibling->GetDimension()==3
// \pre valid_face: face>=0 && face<6
// \pre valid_level_not_leaf: level>=0 level<(this->GetNumberOfLevels()-1)
//// \item @|obj.GetPointsOnParentFaces (int faces[3], int level, vtkHyperOctreeCursor cursor, vtkHyperOctreePointsGrabber grabber)| -  Get the points of the parent node of `cursor' on its faces `faces' at
// level `level' or deeper.
// \pre cursor_exists: cursor!=0
// \pre cursor_3d: cursor->GetDimension()==3
// \pre valid_level: level>=0
// \pre boolean_faces: (faces[0]==0 || faces[0]==1) && (faces[1]==0 || faces[1]==1) && (faces[2]==0 || faces[2]==1)
//// \item @|obj.GetPointsOnEdge (vtkHyperOctreeCursor sibling, int level, int axis, int k, int j, vtkHyperOctreePointsGrabber grabber)| -  Get the points of node `sibling' on its edge `axis','k','j'.
// If axis==0, the edge is X-aligned and k gives the z coordinate and j the
// y-coordinate. If axis==1, the edge is Y-aligned and k gives the x coordinate
// and j the z coordinate. If axis==2, the edge is Z-aligned and k gives the
// y coordinate and j the x coordinate.
// \pre sibling_exists: sibling!=0
// \pre sibling_3d: sibling->GetDimension()==3
// \pre sibling_not_leaf: !sibling->CurrentIsLeaf()
// \pre valid_axis: axis>=0 && axis<3
// \pre valid_k: k>=0 && k<=1
// \pre valid_j: j>=0 && j<=1
// \pre valid_level_not_leaf: level>=0 level<(this->Input->GetNumberOfLevels()-1)
//// \item @|obj.GetPointsOnParentEdge (vtkHyperOctreeCursor cursor, int level, int axis, int k, int j, vtkHyperOctreePointsGrabber grabber)| -  Get the points of the parent node of `cursor' on its edge `axis','k','j'
// at level `level' or deeper.
// If axis==0, the edge is X-aligned and k gives the z coordinate and j the
// y-coordinate. If axis==1, the edge is Y-aligned and k gives the x
// coordinate and j the z coordinate. If axis==2, the edge is Z-aligned and
// k gives the y coordinate and j the x coordinate.
// \pre cursor_exists: cursor!=0
// \pre cursor_3d: cursor->GetDimension()==3
// \pre valid_level: level>=0
// \pre valid_range_axis: axis>=0 && axis<3
// \pre valid_range_k: k>=0 && k<=1
// \pre valid_range_j: j>=0 && j<=1
//// \item @|obj.GetPointsOnEdge2D (vtkHyperOctreeCursor sibling, int edge, int level, vtkHyperOctreePointsGrabber grabber)| -  Get the points of node `sibling' on its edge `edge'.
// \pre sibling_exists: sibling!=0
// \pre sibling_not_leaf: !sibling->CurrentIsLeaf()
// \pre sibling_2d: sibling->GetDimension()==2
// \pre valid_edge: edge>=0 && edge<4
// \pre valid_level_not_leaf: level>=0 level<(this->Input->GetNumberOfLevels()-1)
//// \item @|obj.GetPointsOnParentEdge2D (vtkHyperOctreeCursor cursor, int edge, int level, vtkHyperOctreePointsGrabber grabber)| -  Get the points of the parent node of `cursor' on its edge `edge' at
// level `level' or deeper. (edge=0 for -X, 1 for +X, 2 for -Y, 3 for +Y)
// \pre cursor_exists: cursor!=0
// \pre cursor_2d: cursor->GetDimension()==2
// \pre valid_level: level>=0
// \pre valid_edge: edge>=0 && edge<4
//// \item @|vtkDataSetAttributes = obj.GetLeafData ()| -  A generic way to set the leaf data attributes.
// This can be either point data for dual or cell data for normal grid.
//// \item @|obj.SetDualGridFlag (int flag)| -  Switch between returning leaves as cells, or the dual grid.
//// \item @|int = obj.GetDualGridFlag ()| -  Switch between returning leaves as cells, or the dual grid.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value). THIS METHOD
// IS THREAD SAFE.
////\end{itemize}
//!
