#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHyperOctreeAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHyperOctreeAlgorithm.h"

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:vtkHyperOctreeAlgorithm vtkHyperOctreeAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkHyperOctreeAlgorithm vtkAlgorithm 
ArrayVector vtkHyperOctreeAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHyperOctreeAlgorithm::New(),"vtkHyperOctreeAlgorithm",eval);
  } else if (arg[0].className() == "vtkHyperOctreeAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHyperOctreeAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHyperOctreeAlgorithm");
    vtkHyperOctreeAlgorithm*q = reinterpret_cast<vtkHyperOctreeAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHyperOctreeAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:GetClassName vtkHyperOctreeAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHyperOctreeAlgorithm requires 1 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:IsA vtkHyperOctreeAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHyperOctreeAlgorithm requires 2 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:NewInstance vtkHyperOctreeAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHyperOctreeAlgorithm requires 1 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  vtkHyperOctreeAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:SafeDownCast vtkHyperOctreeAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHyperOctreeAlgorithm requires 2 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHyperOctreeAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:GetOutput__1 vtkHyperOctreeAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkHyperOctreeAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctree *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkHyperOctreeAlgorithm requires 1 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  vtkHyperOctree  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:GetOutput__2 vtkHyperOctreeAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctree *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkHyperOctreeAlgorithm requires 2 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkHyperOctree  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:SetOutput vtkHyperOctreeAlgorithmSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeAlgorithmSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutput (vtkDataObject *d); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkHyperOctreeAlgorithm requires 2 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:GetInput__1 vtkHyperOctreeAlgorithmGetInput__1Function
//input a0 
//output y
ArrayVector vtkHyperOctreeAlgorithmGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkHyperOctreeAlgorithm requires 1 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:GetInput__2 vtkHyperOctreeAlgorithmGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeAlgorithmGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkHyperOctreeAlgorithm requires 2 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:GetHyperOctreeInput vtkHyperOctreeAlgorithmGetHyperOctreeInputFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeAlgorithmGetHyperOctreeInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctree *GetHyperOctreeInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetHyperOctreeInput for class vtkHyperOctreeAlgorithm requires 2 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkHyperOctree  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetHyperOctreeInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:SetInput__1 vtkHyperOctreeAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkHyperOctreeAlgorithm requires 2 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:SetInput__2 vtkHyperOctreeAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkHyperOctreeAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkHyperOctreeAlgorithm requires 3 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:AddInput__1 vtkHyperOctreeAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkHyperOctreeAlgorithm requires 2 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:AddInput__2 vtkHyperOctreeAlgorithmAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkHyperOctreeAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkHyperOctreeAlgorithm requires 3 argument(s)");
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:GetOutput vtkHyperOctreeAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkHyperOctreeAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkHyperOctreeAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:GetInput vtkHyperOctreeAlgorithmGetInputFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkHyperOctreeAlgorithmGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkHyperOctreeAlgorithmGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeAlgorithmGetInput");
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:SetInput vtkHyperOctreeAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkHyperOctreeAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkHyperOctreeAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:AddInput vtkHyperOctreeAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkHyperOctreeAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkHyperOctreeAlgorithmAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkHyperOctreeAlgorithm:display vtkHyperOctreeAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHyperOctreeAlgorithm* vtk_pointer = GetVTKPointer<vtkHyperOctreeAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHyperOctreeAlgorithm:delete vtkHyperOctreeAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkHyperOctreeAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHyperOctreeAlgorithm
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkHyperOctreeAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkHyperOctreeAlgorithm
//@]
//@@Methods
//The class vtkHyperOctreeAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHyperOctreeAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHyperOctreeAlgorithm = obj.NewInstance ()|
// \item @|vtkHyperOctreeAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkHyperOctree = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkHyperOctree = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetOutput (vtkDataObject d)| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetInput ()|
// \item @|vtkDataObject = obj.GetInput (int port)|
// \item @|vtkHyperOctree = obj.GetHyperOctreeInput (int port)|
// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm.
//// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.
////\end{itemize}
//!
