#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageAlgorithm.h"

//@@Signature
//sfunction @vtkImageAlgorithm:vtkImageAlgorithm vtkImageAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkImageAlgorithm vtkAlgorithm 
ArrayVector vtkImageAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageAlgorithm::New(),"vtkImageAlgorithm",eval);
  } else if (arg[0].className() == "vtkImageAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageAlgorithm");
    vtkImageAlgorithm*q = reinterpret_cast<vtkImageAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageAlgorithm:GetClassName vtkImageAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageAlgorithm requires 1 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:IsA vtkImageAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageAlgorithm requires 2 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:NewInstance vtkImageAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageAlgorithm requires 1 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  vtkImageAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:SafeDownCast vtkImageAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageAlgorithm requires 2 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:GetOutput__1 vtkImageAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkImageAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkImageAlgorithm requires 1 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:GetOutput__2 vtkImageAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkImageAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkImageAlgorithm requires 2 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:SetOutput vtkImageAlgorithmSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkImageAlgorithmSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutput (vtkDataObject *d); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkImageAlgorithm requires 2 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:SetInput__1 vtkImageAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkImageAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkImageAlgorithm requires 2 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:SetInput__2 vtkImageAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkImageAlgorithm requires 3 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:GetInput__1 vtkImageAlgorithmGetInput__1Function
//input a0 a1 
//output y
ArrayVector vtkImageAlgorithmGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__1 for class vtkImageAlgorithm requires 2 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:GetInput__2 vtkImageAlgorithmGetInput__2Function
//input a0 
//output y
ArrayVector vtkImageAlgorithmGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput ();return this GetInput  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__2 for class vtkImageAlgorithm requires 1 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:GetImageDataInput vtkImageAlgorithmGetImageDataInputFunction
//input a0 a1 
//output y
ArrayVector vtkImageAlgorithmGetImageDataInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetImageDataInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetImageDataInput for class vtkImageAlgorithm requires 2 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetImageDataInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:AddInput__1 vtkImageAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkImageAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkImageAlgorithm requires 2 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:AddInput__2 vtkImageAlgorithmAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkImageAlgorithm requires 3 argument(s)");
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageAlgorithm:GetOutput vtkImageAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkImageAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkImageAlgorithm:SetInput vtkImageAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkImageAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkImageAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkImageAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkImageAlgorithm:GetInput vtkImageAlgorithmGetInputFunction
//input varargin
//output varargout
ArrayVector vtkImageAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageAlgorithmGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageAlgorithmGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAlgorithmGetInput");
}

//@@Signature
//sfunction @vtkImageAlgorithm:AddInput vtkImageAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkImageAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkImageAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkImageAlgorithmAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkImageAlgorithm:AllocateOutputData vtkImageAlgorithmAllocateOutputDataFunction
//input varargin
//output varargout
ArrayVector vtkImageAlgorithmAllocateOutputDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkImageAlgorithmAllocateOutputData");
}

//@@Signature
//sfunction @vtkImageAlgorithm:display vtkImageAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageAlgorithm* vtk_pointer = GetVTKPointer<vtkImageAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageAlgorithm:delete vtkImageAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkImageAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageAlgorithm
//@@Section VTKFiltering
//@@Usage
// vtkImageAlgorithm is a filter superclass that hides much of the 
// pipeline  complexity. It handles breaking the pipeline execution 
// into smaller extents so that the vtkImageData limits are observed. It 
// also provides support for multithreading. If you don't need any of this
// functionality, consider using vtkSimpleImageToImageFilter instead.
// .SECTION See also
// vtkSimpleImageToImageFilter
//
//To create an instance of class vtkImageAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageAlgorithm
//@]
//@@Methods
//The class vtkImageAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageAlgorithm = obj.NewInstance ()|
// \item @|vtkImageAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkImageData = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkImageData = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetOutput (vtkDataObject d)| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|vtkDataObject = obj.GetInput (int port)|
// \item @|vtkDataObject = obj.GetInput ()|
// \item @|vtkImageData = obj.GetImageDataInput (int port)|
// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
