#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageData.h"

//@@Signature
//sfunction @vtkImageData:vtkImageData vtkImageDataConstructorFunction
//input a
//output p
//@@Parents vtkImageData vtkDataSet 
ArrayVector vtkImageDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageData::New(),"vtkImageData",eval);
  } else if (arg[0].className() == "vtkImageData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageData");
    vtkImageData*q = reinterpret_cast<vtkImageData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageData:GetClassName vtkImageDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:IsA vtkImageDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:NewInstance vtkImageDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SafeDownCast vtkImageDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:CopyStructure vtkImageDataCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyStructure (vtkDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetDataObjectType vtkImageDataGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkImageDataGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_IMAGE_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetNumberOfCells vtkImageDataGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkImageDataGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetNumberOfPoints vtkImageDataGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkImageDataGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetPoint__1 vtkImageDataGetPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkImageDataGetPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetPoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint__1 for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPoint(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetPoint__2 vtkImageDataGetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageDataGetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint (vtkIdType id, double x[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetPoint__2 for class vtkImageData requires 3 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetCell__1 vtkImageDataGetCell__1Function
//input a0 a1 
//output y
ArrayVector vtkImageDataGetCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCell *GetCell (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCell__1 for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetCell__2 vtkImageDataGetCell__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageDataGetCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell); */
  if (arg.size() < 3) 
    throw Exception("Function GetCell__2 for class vtkImageData requires 3 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  vtk_pointer->GetCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetCellBounds vtkImageDataGetCellBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageDataGetCellBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellBounds (vtkIdType cellId, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellBounds for class vtkImageData requires 3 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[6];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetCellBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:FindPoint__1 vtkImageDataFindPoint__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImageDataFindPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindPoint (double x, double y, double z);return this vtkDataSet FindPoint x y z  */
  if (arg.size() < 4) 
    throw Exception("Function FindPoint__1 for class vtkImageData requires 4 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->FindPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:FindPoint__2 vtkImageDataFindPoint__2Function
//input a0 a1 
//output y
ArrayVector vtkImageDataFindPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindPoint (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindPoint__2 for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetCellType vtkImageDataGetCellTypeFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCellType (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellType for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetCellPoints vtkImageDataGetCellPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageDataGetCellPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);vtkStructuredData GetCellPoints cellId ptIds this DataDescription this GetDimensions  */
  if (arg.size() < 3) 
    throw Exception("Function GetCellPoints for class vtkImageData requires 3 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetCellPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetPointCells vtkImageDataGetPointCellsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageDataGetPointCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);vtkStructuredData GetPointCells ptId cellIds this GetDimensions  */
  if (arg.size() < 3) 
    throw Exception("Function GetPointCells for class vtkImageData requires 3 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetPointCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:ComputeBounds vtkImageDataComputeBoundsFunction
//input a0 
//output none
ArrayVector vtkImageDataComputeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeBounds for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->ComputeBounds();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetMaxCellSize vtkImageDataGetMaxCellSizeFunction
//input a0 
//output y
ArrayVector vtkImageDataGetMaxCellSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetMaxCellSize ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellSize for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:Initialize vtkImageDataInitializeFunction
//input a0 
//output none
ArrayVector vtkImageDataInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetDimensions__1 vtkImageDataSetDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageDataSetDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDimensions (int i, int j, int k); */
  if (arg.size() < 4) 
    throw Exception("Function SetDimensions__1 for class vtkImageData requires 4 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetDimensions__2 vtkImageDataSetDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkImageDataSetDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDimensions (const int dims[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensions__2 for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetDimensions__1 vtkImageDataGetDimensions__1Function
//input a0 
//output y
ArrayVector vtkImageDataGetDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int *GetDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensions__1 for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetDimensions__2 vtkImageDataGetDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkImageDataGetDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetDimensions (int dims[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetDimensions__2 for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:ComputeStructuredCoordinates vtkImageDataComputeStructuredCoordinatesFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImageDataComputeStructuredCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeStructuredCoordinates (double x[3], int ijk[3], double pcoords[3]); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeStructuredCoordinates for class vtkImageData requires 4 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double temp0[3];
  int    temp1[3];
  double temp2[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeStructuredCoordinates(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetVoxelGradient vtkImageDataGetVoxelGradientFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkImageDataGetVoxelGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetVoxelGradient (int i, int j, int k, vtkDataArray *s, vtkDataArray *g); */
  if (arg.size() < 6) 
    throw Exception("Function GetVoxelGradient for class vtkImageData requires 6 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  vtkDataArray  *temp3;
  vtkDataArray  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkDataArray>(arg[4]);
  temp4 = GetVTKPointer<vtkDataArray>(arg[5]);
  vtk_pointer->GetVoxelGradient(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetPointGradient vtkImageDataGetPointGradientFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkImageDataGetPointGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointGradient (int i, int j, int k, vtkDataArray *s, double g[3]); */
  if (arg.size() < 6) 
    throw Exception("Function GetPointGradient for class vtkImageData requires 6 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  vtkDataArray  *temp3;
  double temp4[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkDataArray>(arg[4]);
  if ( !(arg[5].isVector() && arg[5].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  vtk_pointer->GetPointGradient(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetDataDimension vtkImageDataGetDataDimensionFunction
//input a0 
//output y
ArrayVector vtkImageDataGetDataDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataDimension for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:ComputePointId vtkImageDataComputePointIdFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataComputePointIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType ComputePointId (int ijk[3]);return vtkStructuredData ComputePointIdForExtent this Extent ijk  */
  if (arg.size() < 2) 
    throw Exception("Function ComputePointId for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int    temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputePointId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:ComputeCellId vtkImageDataComputeCellIdFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataComputeCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType ComputeCellId (int ijk[3]);return vtkStructuredData ComputeCellIdForExtent this Extent ijk  */
  if (arg.size() < 2) 
    throw Exception("Function ComputeCellId for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int    temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeCellId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetAxisUpdateExtent vtkImageDataSetAxisUpdateExtentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageDataSetAxisUpdateExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAxisUpdateExtent (int axis, int min, int max); */
  if (arg.size() < 4) 
    throw Exception("Function SetAxisUpdateExtent for class vtkImageData requires 4 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetAxisUpdateExtent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:UpdateInformation vtkImageDataUpdateInformationFunction
//input a0 
//output none
ArrayVector vtkImageDataUpdateInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateInformation for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->UpdateInformation();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetExtent__1 vtkImageDataSetExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageDataSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__1 for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetExtent__2 vtkImageDataSetExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageDataSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__2 for class vtkImageData requires 7 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetExtent vtkImageDataGetExtentFunction
//input a0 
//output y
ArrayVector vtkImageDataGetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtent for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetEstimatedMemorySize vtkImageDataGetEstimatedMemorySizeFunction
//input a0 
//output y
ArrayVector vtkImageDataGetEstimatedMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetEstimatedMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEstimatedMemorySize for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetEstimatedMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetScalarTypeMin vtkImageDataGetScalarTypeMinFunction
//input a0 
//output y
ArrayVector vtkImageDataGetScalarTypeMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetScalarTypeMin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarTypeMin for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScalarTypeMin();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetScalarTypeMax vtkImageDataGetScalarTypeMaxFunction
//input a0 
//output y
ArrayVector vtkImageDataGetScalarTypeMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetScalarTypeMax (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarTypeMax for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScalarTypeMax();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetScalarSize vtkImageDataGetScalarSizeFunction
//input a0 
//output y
ArrayVector vtkImageDataGetScalarSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetScalarSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarSize for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetIncrements__1 vtkImageDataGetIncrements__1Function
//input a0 
//output y
ArrayVector vtkImageDataGetIncrements__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType *GetIncrements (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncrements__1 for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType  *temp20;
  temp20 = (vtk_pointer)->GetIncrements();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetIncrements__3 vtkImageDataGetIncrements__3Function
//input a0 a1 
//output none
ArrayVector vtkImageDataGetIncrements__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetIncrements (vtkIdType inc[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetIncrements__3 for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkIdType temp0[3];
  vtk_pointer->GetIncrements(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetScalarComponentAsFloat vtkImageDataGetScalarComponentAsFloatFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkImageDataGetScalarComponentAsFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual float GetScalarComponentAsFloat (int x, int y, int z, int component); */
  if (arg.size() < 5) 
    throw Exception("Function GetScalarComponentAsFloat for class vtkImageData requires 5 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->GetScalarComponentAsFloat(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarComponentFromFloat vtkImageDataSetScalarComponentFromFloatFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkImageDataSetScalarComponentFromFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScalarComponentFromFloat (int x, int y, int z, int component, float v); */
  if (arg.size() < 6) 
    throw Exception("Function SetScalarComponentFromFloat for class vtkImageData requires 6 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float    temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->SetScalarComponentFromFloat(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetScalarComponentAsDouble vtkImageDataGetScalarComponentAsDoubleFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkImageDataGetScalarComponentAsDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetScalarComponentAsDouble (int x, int y, int z, int component); */
  if (arg.size() < 5) 
    throw Exception("Function GetScalarComponentAsDouble for class vtkImageData requires 5 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->GetScalarComponentAsDouble(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarComponentFromDouble vtkImageDataSetScalarComponentFromDoubleFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkImageDataSetScalarComponentFromDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScalarComponentFromDouble (int x, int y, int z, int component, double v); */
  if (arg.size() < 6) 
    throw Exception("Function SetScalarComponentFromDouble for class vtkImageData requires 6 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->SetScalarComponentFromDouble(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:AllocateScalars vtkImageDataAllocateScalarsFunction
//input a0 
//output none
ArrayVector vtkImageDataAllocateScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AllocateScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function AllocateScalars for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->AllocateScalars();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:CopyAndCastFrom__1 vtkImageDataCopyAndCastFrom__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageDataCopyAndCastFrom__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyAndCastFrom (vtkImageData *inData, int extent[6]); */
  if (arg.size() < 3) 
    throw Exception("Function CopyAndCastFrom__1 for class vtkImageData requires 3 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  int    temp1[6];
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  vtk_pointer->CopyAndCastFrom(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:CopyAndCastFrom__2 vtkImageDataCopyAndCastFrom__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkImageDataCopyAndCastFrom__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyAndCastFrom (vtkImageData *inData, int x0, int x1, int y0, int y1, int z0, int z1);int e e x0 e x1 e y0 e y1 e z0 e z1 this CopyAndCastFrom inData e  */
  if (arg.size() < 8) 
    throw Exception("Function CopyAndCastFrom__2 for class vtkImageData requires 8 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  vtk_pointer->CopyAndCastFrom(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:Crop vtkImageDataCropFunction
//input a0 
//output none
ArrayVector vtkImageDataCropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Crop (); */
  if (arg.size() < 1) 
    throw Exception("Function Crop for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->Crop();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetActualMemorySize vtkImageDataGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkImageDataGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetSpacing__1 vtkImageDataSetSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageDataSetSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSpacing__1 for class vtkImageData requires 4 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetSpacing__2 vtkImageDataSetSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkImageDataSetSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpacing__2 for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetSpacing vtkImageDataGetSpacingFunction
//input a0 
//output y
ArrayVector vtkImageDataGetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpacing for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetOrigin__1 vtkImageDataSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageDataSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkImageData requires 4 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetOrigin__2 vtkImageDataSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImageDataSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetOrigin vtkImageDataGetOriginFunction
//input a0 
//output y
ArrayVector vtkImageDataGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToFloat vtkImageDataSetScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToFloat ();this SetScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToFloat for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToDouble vtkImageDataSetScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToDouble ();this SetScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToDouble for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToInt vtkImageDataSetScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToInt ();this SetScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToInt for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToUnsignedInt vtkImageDataSetScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedInt ();this SetScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedInt for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToLong vtkImageDataSetScalarTypeToLongFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToLong ();this SetScalarType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToLong for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToUnsignedLong vtkImageDataSetScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedLong ();this SetScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedLong for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToShort vtkImageDataSetScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToShort ();this SetScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToShort for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToUnsignedShort vtkImageDataSetScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedShort ();this SetScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedShort for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToUnsignedChar vtkImageDataSetScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedChar ();this SetScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedChar for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToSignedChar vtkImageDataSetScalarTypeToSignedCharFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToSignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToSignedChar ();this SetScalarType VTK_SIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToSignedChar for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToSignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarTypeToChar vtkImageDataSetScalarTypeToCharFunction
//input a0 
//output none
ArrayVector vtkImageDataSetScalarTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToChar ();this SetScalarType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToChar for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetScalarType vtkImageDataSetScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataSetScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarType for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetScalarType vtkImageDataGetScalarTypeFunction
//input a0 
//output y
ArrayVector vtkImageDataGetScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarType for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetScalarTypeAsString vtkImageDataGetScalarTypeAsStringFunction
//input a0 
//output y
ArrayVector vtkImageDataGetScalarTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetScalarTypeAsString ();return vtkImageScalarTypeNameMacro this GetScalarType  */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarTypeAsString for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetScalarTypeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:SetNumberOfScalarComponents vtkImageDataSetNumberOfScalarComponentsFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataSetNumberOfScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfScalarComponents (int n); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfScalarComponents for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfScalarComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetNumberOfScalarComponents vtkImageDataGetNumberOfScalarComponentsFunction
//input a0 
//output y
ArrayVector vtkImageDataGetNumberOfScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfScalarComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfScalarComponents for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfScalarComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:CopyTypeSpecificInformation vtkImageDataCopyTypeSpecificInformationFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataCopyTypeSpecificInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyTypeSpecificInformation (vtkDataObject *image); */
  if (arg.size() < 2) 
    throw Exception("Function CopyTypeSpecificInformation for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->CopyTypeSpecificInformation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:CopyInformationToPipeline vtkImageDataCopyInformationToPipelineFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageDataCopyInformationToPipelineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyInformationToPipeline (vtkInformation *request, vtkInformation *input, vtkInformation *output, int forceCopy); */
  if (arg.size() < 5) 
    throw Exception("Function CopyInformationToPipeline for class vtkImageData requires 5 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  vtkInformation  *temp2;
  int      temp3;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp2 = GetVTKPointer<vtkInformation>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->CopyInformationToPipeline(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:CopyInformationFromPipeline vtkImageDataCopyInformationFromPipelineFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataCopyInformationFromPipelineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyInformationFromPipeline (vtkInformation *request); */
  if (arg.size() < 2) 
    throw Exception("Function CopyInformationFromPipeline for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->CopyInformationFromPipeline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:PrepareForNewData vtkImageDataPrepareForNewDataFunction
//input a0 
//output none
ArrayVector vtkImageDataPrepareForNewDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PrepareForNewData (); */
  if (arg.size() < 1) 
    throw Exception("Function PrepareForNewData for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtk_pointer->PrepareForNewData();
  return retval;
}

//@@Signature
//sfunction @vtkImageData:ShallowCopy vtkImageDataShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:DeepCopy vtkImageDataDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkImageData requires 2 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:ComputeInternalExtent vtkImageDataComputeInternalExtentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageDataComputeInternalExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeInternalExtent (int *intExt, int *tgtExt, int *bnds); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInternalExtent for class vtkImageData requires 4 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  int     *temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  vtk_pointer->ComputeInternalExtent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetExtentType vtkImageDataGetExtentTypeFunction
//input a0 
//output y
ArrayVector vtkImageDataGetExtentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetExtentType ();return VTK_3D_EXTENT  */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentType for class vtkImageData requires 1 argument(s)");
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtentType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageData:GetPoint vtkImageDataGetPointFunction
//input varargin
//output varargout
ArrayVector vtkImageDataGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageDataGetPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkImageDataGetPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataGetPoint");
}

//@@Signature
//sfunction @vtkImageData:GetCell vtkImageDataGetCellFunction
//input varargin
//output varargout
ArrayVector vtkImageDataGetCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageDataGetCell__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericCell"))
    return vtkImageDataGetCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataGetCell");
}

//@@Signature
//sfunction @vtkImageData:FindPoint vtkImageDataFindPointFunction
//input varargin
//output varargout
ArrayVector vtkImageDataFindPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageDataFindPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageDataFindPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataFindPoint");
}

//@@Signature
//sfunction @vtkImageData:FindCell vtkImageDataFindCellFunction
//input varargin
//output varargout
ArrayVector vtkImageDataFindCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataFindCell");
}

//@@Signature
//sfunction @vtkImageData:SetDimensions vtkImageDataSetDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkImageDataSetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageDataSetDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageDataSetDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataSetDimensions");
}

//@@Signature
//sfunction @vtkImageData:GetDimensions vtkImageDataGetDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkImageDataGetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageDataGetDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageDataGetDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataGetDimensions");
}

//@@Signature
//sfunction @vtkImageData:SetExtent vtkImageDataSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageDataSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageDataSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageDataSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataSetExtent");
}

//@@Signature
//sfunction @vtkImageData:GetIncrements vtkImageDataGetIncrementsFunction
//input varargin
//output varargout
ArrayVector vtkImageDataGetIncrementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageDataGetIncrements__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageDataGetIncrements__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataGetIncrements");
}

//@@Signature
//sfunction @vtkImageData:GetScalarPointer vtkImageDataGetScalarPointerFunction
//input varargin
//output varargout
ArrayVector vtkImageDataGetScalarPointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataGetScalarPointer");
}

//@@Signature
//sfunction @vtkImageData:CopyAndCastFrom vtkImageDataCopyAndCastFromFunction
//input varargin
//output varargout
ArrayVector vtkImageDataCopyAndCastFromFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkImageData") && VTKIsVectorArg(arg[2]))
    return vtkImageDataCopyAndCastFrom__1Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsClass(arg[1],"vtkImageData") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkImageDataCopyAndCastFrom__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataCopyAndCastFrom");
}

//@@Signature
//sfunction @vtkImageData:SetSpacing vtkImageDataSetSpacingFunction
//input varargin
//output varargout
ArrayVector vtkImageDataSetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageDataSetSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageDataSetSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataSetSpacing");
}

//@@Signature
//sfunction @vtkImageData:SetOrigin vtkImageDataSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageDataSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageDataSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageDataSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataSetOrigin");
}

//@@Signature
//sfunction @vtkImageData:display vtkImageDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageData* vtk_pointer = GetVTKPointer<vtkImageData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageData:delete vtkImageDataDeleteFunction
//input varargin
//output none
ArrayVector vtkImageDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageData
//@@Section VTKFiltering
//@@Usage
// vtkImageData is a data object that is a concrete implementation of
// vtkDataSet. vtkImageData represents a geometric structure that is
// a topological and geometrical regular array of points. Examples include
// volumes (voxel data) and pixmaps.
//
//To create an instance of class vtkImageData, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageData
//@]
//@@Methods
//The class vtkImageData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageData = obj.NewInstance ()|
// \item @|vtkImageData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.CopyStructure (vtkDataSet ds)| -  Copy the geometric and topological structure of an input image data
// object.
//// \item @|int = obj.GetDataObjectType ()| -  Return what type of dataset this is.
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|double = obj.GetPoint (vtkIdType ptId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetPoint (vtkIdType id, double x[3])| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkCell = obj.GetCell (vtkIdType cellId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCell (vtkIdType cellId, vtkGenericCell cell)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCellBounds (vtkIdType cellId, double bounds[6])| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkIdType = obj.FindPoint (double x, double y, double z)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkIdType = obj.FindPoint (double x[3])| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|int = obj.GetCellType (vtkIdType cellId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCellPoints (vtkIdType cellId, vtkIdList ptIds)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetPointCells (vtkIdType ptId, vtkIdList cellIds)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.ComputeBounds ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|int = obj.GetMaxCellSize ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.Initialize ()| -  Restore data object to initial state,
//// \item @|obj.SetDimensions (int i, int j, int k)| -  Pass your way. This is for backward compatibility only.
// Use SetExtent() instead.
// Same as SetExtent(0, i-1, 0, j-1, 0, k-1)
//// \item @|obj.SetDimensions (int dims[3])| -  Pass your way. This is for backward compatibility only.
// Use SetExtent() instead.
// Same as SetExtent(0, dims[0]-1, 0, dims[1]-1, 0, dims[2]-1)
//// \item @|int = obj.GetDimensions ()| -  Get dimensions of this structured points dataset.
// It is the number of points on each axis.
// Dimensions are computed from Extents during this call.
//// \item @|obj.GetDimensions (int dims[3])| -  Get dimensions of this structured points dataset.
// It is the number of points on each axis.
// Dimensions are computed from Extents during this call.
//// \item @|int = obj.ComputeStructuredCoordinates (double x[3], int ijk[3], double pcoords[3])| -  Convenience function computes the structured coordinates for a point x[3].
// The voxel is specified by the array ijk[3], and the parametric coordinates
// in the cell are specified with pcoords[3]. The function returns a 0 if the
// point x is outside of the volume, and a 1 if inside the volume.
//// \item @|obj.GetVoxelGradient (int i, int j, int k, vtkDataArray s, vtkDataArray g)| -  Given structured coordinates (i,j,k) for a voxel cell, compute the eight
// gradient values for the voxel corners. The order in which the gradient
// vectors are arranged corresponds to the ordering of the voxel points.
// Gradient vector is computed by central differences (except on edges of
// volume where forward difference is used). The scalars s are the scalars
// from which the gradient is to be computed. This method will treat
// only 3D structured point datasets (i.e., volumes).
//// \item @|obj.GetPointGradient (int i, int j, int k, vtkDataArray s, double g[3])| -  Given structured coordinates (i,j,k) for a point in a structured point
// dataset, compute the gradient vector from the scalar data at that point.
// The scalars s are the scalars from which the gradient is to be computed.
// This method will treat structured point datasets of any dimension.
//// \item @|int = obj.GetDataDimension ()| -  Return the dimensionality of the data.
//// \item @|vtkIdType = obj.ComputePointId (int ijk[3])| -  Given a location in structured coordinates (i-j-k), return the point id.
//// \item @|vtkIdType = obj.ComputeCellId (int ijk[3])| -  Given a location in structured coordinates (i-j-k), return the cell id.
//// \item @|obj.SetAxisUpdateExtent (int axis, int min, int max)| -  Set / Get the extent on just one axis
//// \item @|obj.UpdateInformation ()| -  Override to copy information from pipeline information to data
// information for backward compatibility.  See
// vtkDataObject::UpdateInformation for details.
//// \item @|obj.SetExtent (int extent[6])| -  Set/Get the extent. On each axis, the extent is defined by the index
// of the first point and the index of the last point.  The extent should
// be set before the "Scalars" are set or allocated.  The Extent is
// stored in the order (X, Y, Z).
// The dataset extent does not have to start at (0,0,0). (0,0,0) is just the
// extent of the origin.
// The first point (the one with Id=0) is at extent
// (Extent[0],Extent[2],Extent[4]). As for any dataset, a data array on point
// data starts at Id=0.
//// \item @|obj.SetExtent (int x1, int x2, int y1, int y2, int z1, int z2)| -  Set/Get the extent. On each axis, the extent is defined by the index
// of the first point and the index of the last point.  The extent should
// be set before the "Scalars" are set or allocated.  The Extent is
// stored in the order (X, Y, Z).
// The dataset extent does not have to start at (0,0,0). (0,0,0) is just the
// extent of the origin.
// The first point (the one with Id=0) is at extent
// (Extent[0],Extent[2],Extent[4]). As for any dataset, a data array on point
// data starts at Id=0.
//// \item @|int = obj. GetExtent ()| -  Set/Get the extent. On each axis, the extent is defined by the index
// of the first point and the index of the last point.  The extent should
// be set before the "Scalars" are set or allocated.  The Extent is
// stored in the order (X, Y, Z).
// The dataset extent does not have to start at (0,0,0). (0,0,0) is just the
// extent of the origin.
// The first point (the one with Id=0) is at extent
// (Extent[0],Extent[2],Extent[4]). As for any dataset, a data array on point
// data starts at Id=0.
//// \item @|long = obj.GetEstimatedMemorySize ()| -  Get the estimated size of this data object itself. Should be called
// after UpdateInformation() and PropagateUpdateExtent() have both been
// called. This estimate should be fairly accurate since this is structured
// data.
//// \item @|double = obj.GetScalarTypeMin ()| -  These returns the minimum and maximum values the ScalarType can hold
// without overflowing.
//// \item @|double = obj.GetScalarTypeMax ()| -  These returns the minimum and maximum values the ScalarType can hold
// without overflowing.
//// \item @|int = obj.GetScalarSize ()| -  Set the size of the scalar type in bytes.
//// \item @|vtkIdType = obj.GetIncrements ()| -  Different ways to get the increments for moving around the data.
// GetIncrements() calls ComputeIncrements() to ensure the increments are
// up to date.
//// \item @|obj.GetIncrements (vtkIdType inc[3])| -  Different ways to get the increments for moving around the data.
// GetIncrements() calls ComputeIncrements() to ensure the increments are
// up to date.
//// \item @|float = obj.GetScalarComponentAsFloat (int x, int y, int z, int component)| -  For access to data from tcl
//// \item @|obj.SetScalarComponentFromFloat (int x, int y, int z, int component, float v)| -  For access to data from tcl
//// \item @|double = obj.GetScalarComponentAsDouble (int x, int y, int z, int component)| -  For access to data from tcl
//// \item @|obj.SetScalarComponentFromDouble (int x, int y, int z, int component, double v)| -  For access to data from tcl
//// \item @|obj.AllocateScalars ()| -  Allocate the vtkScalars object associated with this object.
//// \item @|obj.CopyAndCastFrom (vtkImageData inData, int extent[6])| -  This method is passed a input and output region, and executes the filter
// algorithm to fill the output from the input.
// It just executes a switch statement to call the correct function for
// the regions data types.
//// \item @|obj.CopyAndCastFrom (vtkImageData inData, int x0, int x1, int y0, int y1, int z0, int z1)| -  Reallocates and copies to set the Extent to the UpdateExtent.
// This is used internally when the exact extent is requested,
// and the source generated more than the update extent.
//// \item @|obj.Crop ()| -  Reallocates and copies to set the Extent to the UpdateExtent.
// This is used internally when the exact extent is requested,
// and the source generated more than the update extent.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value). THIS METHOD
// IS THREAD SAFE.
//// \item @|obj.SetSpacing (double , double , double )| -  Set the spacing (width,height,length) of the cubical cells that
// compose the data set.
//// \item @|obj.SetSpacing (double  a[3])| -  Set the spacing (width,height,length) of the cubical cells that
// compose the data set.
//// \item @|double = obj. GetSpacing ()| -  Set the spacing (width,height,length) of the cubical cells that
// compose the data set.
//// \item @|obj.SetOrigin (double , double , double )| -  Set/Get the origin of the dataset. The origin is the position in world
// coordinates of the point of extent (0,0,0). This point does not have to be
// part of the dataset, in other words, the dataset extent does not have to
// start at (0,0,0) and the origin can be outside of the dataset bounding
// box.
// The origin plus spacing determine the position in space of the points.
//// \item @|obj.SetOrigin (double  a[3])| -  Set/Get the origin of the dataset. The origin is the position in world
// coordinates of the point of extent (0,0,0). This point does not have to be
// part of the dataset, in other words, the dataset extent does not have to
// start at (0,0,0) and the origin can be outside of the dataset bounding
// box.
// The origin plus spacing determine the position in space of the points.
//// \item @|double = obj. GetOrigin ()| -  Set/Get the origin of the dataset. The origin is the position in world
// coordinates of the point of extent (0,0,0). This point does not have to be
// part of the dataset, in other words, the dataset extent does not have to
// start at (0,0,0) and the origin can be outside of the dataset bounding
// box.
// The origin plus spacing determine the position in space of the points.
//// \item @|obj.SetScalarTypeToFloat ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToDouble ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToInt ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToUnsignedInt ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToLong ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToUnsignedLong ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToShort ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToUnsignedShort ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToUnsignedChar ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToSignedChar ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToChar ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarType (int )| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|int = obj.GetScalarType ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|string = obj.GetScalarTypeAsString ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetNumberOfScalarComponents (int n)| -  Set/Get the number of scalar components for points. As with the
// SetScalarType method this is setting pipeline info.
//// \item @|int = obj.GetNumberOfScalarComponents ()| -  Set/Get the number of scalar components for points. As with the
// SetScalarType method this is setting pipeline info.
//// \item @|obj.CopyTypeSpecificInformation (vtkDataObject image)|
// \item @|obj.CopyInformationToPipeline (vtkInformation request, vtkInformation input, vtkInformation output, int forceCopy)| -  Override these to handle origin, spacing, scalar type, and scalar
// number of components.  See vtkDataObject for details.
//// \item @|obj.CopyInformationFromPipeline (vtkInformation request)| -  Override these to handle origin, spacing, scalar type, and scalar
// number of components.  See vtkDataObject for details.
//// \item @|obj.PrepareForNewData ()| -  make the output data ready for new data to be inserted. For most
// objects we just call Initialize. But for image data we leave the old
// data in case the memory can be reused.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.ComputeInternalExtent (int intExt, int tgtExt, int bnds)| -  Given how many pixel are required on a side for bounrary conditions (in
// bnds), the target extent to traverse, compute the internal extent (the
// extent for this ImageData that does nto suffer from any boundary
// conditions) and place it in intExt
//// \item @|int = obj.GetExtentType ()| -  The extent type is a 3D extent
////\end{itemize}
//!
