#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageInPlaceFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageInPlaceFilter.h"

//@@Signature
//sfunction @vtkImageInPlaceFilter:vtkImageInPlaceFilter vtkImageInPlaceFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageInPlaceFilter vtkImageAlgorithm 
ArrayVector vtkImageInPlaceFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageInPlaceFilter::New(),"vtkImageInPlaceFilter",eval);
  } else if (arg[0].className() == "vtkImageInPlaceFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageInPlaceFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageInPlaceFilter");
    vtkImageInPlaceFilter*q = reinterpret_cast<vtkImageInPlaceFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageInPlaceFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageInPlaceFilter:GetClassName vtkImageInPlaceFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageInPlaceFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageInPlaceFilter requires 1 argument(s)");
  vtkImageInPlaceFilter* vtk_pointer = GetVTKPointer<vtkImageInPlaceFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageInPlaceFilter:IsA vtkImageInPlaceFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageInPlaceFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageInPlaceFilter requires 2 argument(s)");
  vtkImageInPlaceFilter* vtk_pointer = GetVTKPointer<vtkImageInPlaceFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageInPlaceFilter:NewInstance vtkImageInPlaceFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageInPlaceFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageInPlaceFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageInPlaceFilter requires 1 argument(s)");
  vtkImageInPlaceFilter* vtk_pointer = GetVTKPointer<vtkImageInPlaceFilter>(arg[0]);
  Array retval;
  vtkImageInPlaceFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageInPlaceFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageInPlaceFilter:SafeDownCast vtkImageInPlaceFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageInPlaceFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageInPlaceFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageInPlaceFilter requires 2 argument(s)");
  vtkImageInPlaceFilter* vtk_pointer = GetVTKPointer<vtkImageInPlaceFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageInPlaceFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageInPlaceFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageInPlaceFilter:display vtkImageInPlaceFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageInPlaceFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageInPlaceFilter* vtk_pointer = GetVTKPointer<vtkImageInPlaceFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageInPlaceFilter:delete vtkImageInPlaceFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageInPlaceFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageInPlaceFilter
//@@Section VTKFiltering
//@@Usage
// vtkImageInPlaceFilter is a filter super class that 
// operates directly on the input region.  The data is copied
// if the requested region has different extent than the input region
// or some other object is referencing the input region.  
//
//To create an instance of class vtkImageInPlaceFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageInPlaceFilter
//@]
//@@Methods
//The class vtkImageInPlaceFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageInPlaceFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageInPlaceFilter = obj.NewInstance ()|
// \item @|vtkImageInPlaceFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
