#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMultipleInputFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMultipleInputFilter.h"

//@@Signature
//sfunction @vtkImageMultipleInputFilter:vtkImageMultipleInputFilter vtkImageMultipleInputFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageMultipleInputFilter vtkImageSource 
ArrayVector vtkImageMultipleInputFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMultipleInputFilter::New(),"vtkImageMultipleInputFilter",eval);
  } else if (arg[0].className() == "vtkImageMultipleInputFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMultipleInputFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMultipleInputFilter");
    vtkImageMultipleInputFilter*q = reinterpret_cast<vtkImageMultipleInputFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMultipleInputFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMultipleInputFilter:GetClassName vtkImageMultipleInputFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMultipleInputFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMultipleInputFilter requires 1 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:IsA vtkImageMultipleInputFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMultipleInputFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMultipleInputFilter requires 2 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:NewInstance vtkImageMultipleInputFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMultipleInputFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMultipleInputFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMultipleInputFilter requires 1 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  vtkImageMultipleInputFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMultipleInputFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:SafeDownCast vtkImageMultipleInputFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMultipleInputFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMultipleInputFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMultipleInputFilter requires 2 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMultipleInputFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMultipleInputFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:SetInput vtkImageMultipleInputFilterSetInputFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageMultipleInputFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (int num, vtkImageData *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput for class vtkImageMultipleInputFilter requires 3 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkImageData>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:AddInput__1 vtkImageMultipleInputFilterAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkImageMultipleInputFilterAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkImageMultipleInputFilter requires 2 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:RemoveInput__1 vtkImageMultipleInputFilterRemoveInput__1Function
//input a0 a1 
//output none
ArrayVector vtkImageMultipleInputFilterRemoveInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveInput__1 for class vtkImageMultipleInputFilter requires 2 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->RemoveInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:GetInput__1 vtkImageMultipleInputFilterGetInput__1Function
//input a0 a1 
//output y
ArrayVector vtkImageMultipleInputFilterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (int num); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__1 for class vtkImageMultipleInputFilter requires 2 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:GetInput__2 vtkImageMultipleInputFilterGetInput__2Function
//input a0 
//output y
ArrayVector vtkImageMultipleInputFilterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__2 for class vtkImageMultipleInputFilter requires 1 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:SetBypass vtkImageMultipleInputFilterSetBypassFunction
//input a0 a1 
//output none
ArrayVector vtkImageMultipleInputFilterSetBypassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBypass (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBypass for class vtkImageMultipleInputFilter requires 2 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBypass(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:GetBypass vtkImageMultipleInputFilterGetBypassFunction
//input a0 
//output y
ArrayVector vtkImageMultipleInputFilterGetBypassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBypass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBypass for class vtkImageMultipleInputFilter requires 1 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBypass();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:BypassOn vtkImageMultipleInputFilterBypassOnFunction
//input a0 
//output none
ArrayVector vtkImageMultipleInputFilterBypassOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BypassOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BypassOn for class vtkImageMultipleInputFilter requires 1 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  vtk_pointer->BypassOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:BypassOff vtkImageMultipleInputFilterBypassOffFunction
//input a0 
//output none
ArrayVector vtkImageMultipleInputFilterBypassOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BypassOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BypassOff for class vtkImageMultipleInputFilter requires 1 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  vtk_pointer->BypassOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:SetNumberOfThreads vtkImageMultipleInputFilterSetNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkImageMultipleInputFilterSetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfThreads (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfThreads for class vtkImageMultipleInputFilter requires 2 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:GetNumberOfThreadsMinValue vtkImageMultipleInputFilterGetNumberOfThreadsMinValueFunction
//input a0 
//output y
ArrayVector vtkImageMultipleInputFilterGetNumberOfThreadsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMinValue for class vtkImageMultipleInputFilter requires 1 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:GetNumberOfThreadsMaxValue vtkImageMultipleInputFilterGetNumberOfThreadsMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageMultipleInputFilterGetNumberOfThreadsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMaxValue for class vtkImageMultipleInputFilter requires 1 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:GetNumberOfThreads vtkImageMultipleInputFilterGetNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkImageMultipleInputFilterGetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreads for class vtkImageMultipleInputFilter requires 1 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:SplitExtent vtkImageMultipleInputFilterSplitExtentFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkImageMultipleInputFilterSplitExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SplitExtent (int splitExt[6], int startExt[6], int num, int total); */
  if (arg.size() < 5) 
    throw Exception("Function SplitExtent for class vtkImageMultipleInputFilter requires 5 argument(s)");
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  int      temp2;
  int      temp3;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  if ( !arg[13].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[13].asDouble();
  if ( !arg[14].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[14].asDouble();
  temp20 = (vtk_pointer)->SplitExtent(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:AddInput vtkImageMultipleInputFilterAddInputFunction
//input varargin
//output varargout
ArrayVector vtkImageMultipleInputFilterAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkImageData"))
    return vtkImageMultipleInputFilterAddInput__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMultipleInputFilterAddInput");
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:RemoveInput vtkImageMultipleInputFilterRemoveInputFunction
//input varargin
//output varargout
ArrayVector vtkImageMultipleInputFilterRemoveInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkImageData"))
    return vtkImageMultipleInputFilterRemoveInput__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMultipleInputFilterRemoveInput");
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:GetInput vtkImageMultipleInputFilterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkImageMultipleInputFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageMultipleInputFilterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageMultipleInputFilterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMultipleInputFilterGetInput");
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:ExecuteInformation vtkImageMultipleInputFilterExecuteInformationFunction
//input varargin
//output varargout
ArrayVector vtkImageMultipleInputFilterExecuteInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkImageMultipleInputFilterExecuteInformation");
}

//@@Signature
//sfunction @vtkImageMultipleInputFilter:display vtkImageMultipleInputFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMultipleInputFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMultipleInputFilter* vtk_pointer = GetVTKPointer<vtkImageMultipleInputFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMultipleInputFilter:delete vtkImageMultipleInputFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMultipleInputFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMultipleInputFilter
//@@Section VTKFiltering
//@@Usage
// vtkImageMultipleInputFilter is a super class for filters that 
// have any number of inputs. Streaming is not available in this class yet.
//
//To create an instance of class vtkImageMultipleInputFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMultipleInputFilter
//@]
//@@Methods
//The class vtkImageMultipleInputFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMultipleInputFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMultipleInputFilter = obj.NewInstance ()|
// \item @|vtkImageMultipleInputFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (int num, vtkImageData input)| -  Set an Input of this filter. 
//// \item @|obj.AddInput (vtkImageData input)| -  Adds an input to the first null position in the input list.
// Expands the list memory if necessary
//// \item @|obj.RemoveInput (vtkImageData input)| -  Adds an input to the first null position in the input list.
// Expands the list memory if necessary
//// \item @|vtkImageData = obj.GetInput (int num)| -  Get one input to this filter.
//// \item @|vtkImageData = obj.GetInput ()| -  Get one input to this filter.
//// \item @|obj.SetBypass (int )| -  Turning bypass on will cause the filter to turn off and
// simply pass the data from the first input (input0) through.  
// It is implemented for consistency with vtkImageToImageFilter.
//// \item @|int = obj.GetBypass ()| -  Turning bypass on will cause the filter to turn off and
// simply pass the data from the first input (input0) through.  
// It is implemented for consistency with vtkImageToImageFilter.
//// \item @|obj.BypassOn ()| -  Turning bypass on will cause the filter to turn off and
// simply pass the data from the first input (input0) through.  
// It is implemented for consistency with vtkImageToImageFilter.
//// \item @|obj.BypassOff ()| -  Turning bypass on will cause the filter to turn off and
// simply pass the data from the first input (input0) through.  
// It is implemented for consistency with vtkImageToImageFilter.
//// \item @|obj.SetNumberOfThreads (int )| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.GetNumberOfThreadsMinValue ()| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.GetNumberOfThreadsMaxValue ()| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.GetNumberOfThreads ()| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.SplitExtent (int splitExt[6], int startExt[6], int num, int total)| -  Putting this here until I merge graphics and imaging streaming.
////\end{itemize}
//!
