#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageSource.h"

//@@Signature
//sfunction @vtkImageSource:vtkImageSource vtkImageSourceConstructorFunction
//input a
//output p
//@@Parents vtkImageSource vtkSource 
ArrayVector vtkImageSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageSource::New(),"vtkImageSource",eval);
  } else if (arg[0].className() == "vtkImageSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageSource");
    vtkImageSource*q = reinterpret_cast<vtkImageSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageSource:GetClassName vtkImageSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageSource requires 1 argument(s)");
  vtkImageSource* vtk_pointer = GetVTKPointer<vtkImageSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSource:IsA vtkImageSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageSource requires 2 argument(s)");
  vtkImageSource* vtk_pointer = GetVTKPointer<vtkImageSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSource:NewInstance vtkImageSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageSource requires 1 argument(s)");
  vtkImageSource* vtk_pointer = GetVTKPointer<vtkImageSource>(arg[0]);
  Array retval;
  vtkImageSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSource:SafeDownCast vtkImageSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageSource requires 2 argument(s)");
  vtkImageSource* vtk_pointer = GetVTKPointer<vtkImageSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSource:SetOutput vtkImageSourceSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkImageSourceSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkImageData *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkImageSource requires 2 argument(s)");
  vtkImageSource* vtk_pointer = GetVTKPointer<vtkImageSource>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSource:GetOutput__1 vtkImageSourceGetOutput__1Function
//input a0 
//output y
ArrayVector vtkImageSourceGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkImageSource requires 1 argument(s)");
  vtkImageSource* vtk_pointer = GetVTKPointer<vtkImageSource>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSource:GetOutput__2 vtkImageSourceGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkImageSourceGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkImageSource requires 2 argument(s)");
  vtkImageSource* vtk_pointer = GetVTKPointer<vtkImageSource>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSource:GetOutput vtkImageSourceGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkImageSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageSourceGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageSourceGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageSourceGetOutput");
}

//@@Signature
//sfunction @vtkImageSource:Execute vtkImageSourceExecuteFunction
//input varargin
//output varargout
ArrayVector vtkImageSourceExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkImageSourceExecute");
}

//@@Signature
//sfunction @vtkImageSource:display vtkImageSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageSource* vtk_pointer = GetVTKPointer<vtkImageSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageSource:delete vtkImageSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageSource
//@@Section VTKFiltering
//@@Usage
// vtkImageSource is the superclass for all imaging sources and filters.
// The method Update(), called by the cache, is the major interface
// to the source.
//
//To create an instance of class vtkImageSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageSource
//@]
//@@Methods
//The class vtkImageSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageSource = obj.NewInstance ()|
// \item @|vtkImageSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutput (vtkImageData output)| -  Get the output of this source.
//// \item @|vtkImageData = obj.GetOutput ()| -  Get the output of this source.
//// \item @|vtkImageData = obj.GetOutput (int idx)| -  Get the output of this source.
////\end{itemize}
//!
