#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageToImageFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageToImageFilter.h"

//@@Signature
//sfunction @vtkImageToImageFilter:vtkImageToImageFilter vtkImageToImageFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageToImageFilter vtkImageSource 
ArrayVector vtkImageToImageFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageToImageFilter::New(),"vtkImageToImageFilter",eval);
  } else if (arg[0].className() == "vtkImageToImageFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageToImageFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageToImageFilter");
    vtkImageToImageFilter*q = reinterpret_cast<vtkImageToImageFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageToImageFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageToImageFilter:GetClassName vtkImageToImageFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageToImageFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageToImageFilter requires 1 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:IsA vtkImageToImageFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageToImageFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageToImageFilter requires 2 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:NewInstance vtkImageToImageFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageToImageFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageToImageFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageToImageFilter requires 1 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  vtkImageToImageFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageToImageFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:SafeDownCast vtkImageToImageFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageToImageFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageToImageFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageToImageFilter requires 2 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageToImageFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageToImageFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:SetInput vtkImageToImageFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageToImageFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkImageToImageFilter requires 2 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:GetInput vtkImageToImageFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkImageToImageFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkImageToImageFilter requires 1 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:SetBypass vtkImageToImageFilterSetBypassFunction
//input a0 a1 
//output none
ArrayVector vtkImageToImageFilterSetBypassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBypass (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBypass for class vtkImageToImageFilter requires 2 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBypass(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:BypassOn vtkImageToImageFilterBypassOnFunction
//input a0 
//output none
ArrayVector vtkImageToImageFilterBypassOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BypassOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BypassOn for class vtkImageToImageFilter requires 1 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  vtk_pointer->BypassOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:BypassOff vtkImageToImageFilterBypassOffFunction
//input a0 
//output none
ArrayVector vtkImageToImageFilterBypassOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BypassOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BypassOff for class vtkImageToImageFilter requires 1 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  vtk_pointer->BypassOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:GetBypass vtkImageToImageFilterGetBypassFunction
//input a0 
//output y
ArrayVector vtkImageToImageFilterGetBypassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBypass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBypass for class vtkImageToImageFilter requires 1 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBypass();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:ThreadedExecute vtkImageToImageFilterThreadedExecuteFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageToImageFilterThreadedExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int threadId); */
  if (arg.size() < 5) 
    throw Exception("Function ThreadedExecute for class vtkImageToImageFilter requires 5 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  vtkImageData  *temp1;
  int    temp2[6];
  int      temp3;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  temp1 = GetVTKPointer<vtkImageData>(arg[2]);
  if ( !(arg[3].isVector() && arg[3].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
  }
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[9].asDouble();
  vtk_pointer->ThreadedExecute(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:SetNumberOfThreads vtkImageToImageFilterSetNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkImageToImageFilterSetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfThreads (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfThreads for class vtkImageToImageFilter requires 2 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:GetNumberOfThreadsMinValue vtkImageToImageFilterGetNumberOfThreadsMinValueFunction
//input a0 
//output y
ArrayVector vtkImageToImageFilterGetNumberOfThreadsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMinValue for class vtkImageToImageFilter requires 1 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:GetNumberOfThreadsMaxValue vtkImageToImageFilterGetNumberOfThreadsMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageToImageFilterGetNumberOfThreadsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMaxValue for class vtkImageToImageFilter requires 1 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:GetNumberOfThreads vtkImageToImageFilterGetNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkImageToImageFilterGetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreads for class vtkImageToImageFilter requires 1 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:SetInputMemoryLimit vtkImageToImageFilterSetInputMemoryLimitFunction
//input a0 a1 
//output none
ArrayVector vtkImageToImageFilterSetInputMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputMemoryLimit (int );vtkErrorMacro  */
  if (arg.size() < 2) 
    throw Exception("Function SetInputMemoryLimit for class vtkImageToImageFilter requires 2 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInputMemoryLimit(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:GetInputMemoryLimit vtkImageToImageFilterGetInputMemoryLimitFunction
//input a0 
//output y
ArrayVector vtkImageToImageFilterGetInputMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long GetInputMemoryLimit ();vtkErrorMacro return  */
  if (arg.size() < 1) 
    throw Exception("Function GetInputMemoryLimit for class vtkImageToImageFilter requires 1 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  long     temp20;
  temp20 = (vtk_pointer)->GetInputMemoryLimit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:SplitExtent vtkImageToImageFilterSplitExtentFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkImageToImageFilterSplitExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SplitExtent (int splitExt[6], int startExt[6], int num, int total); */
  if (arg.size() < 5) 
    throw Exception("Function SplitExtent for class vtkImageToImageFilter requires 5 argument(s)");
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  int      temp2;
  int      temp3;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  if ( !arg[13].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[13].asDouble();
  if ( !arg[14].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[14].asDouble();
  temp20 = (vtk_pointer)->SplitExtent(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageFilter:ExecuteInformation vtkImageToImageFilterExecuteInformationFunction
//input varargin
//output varargout
ArrayVector vtkImageToImageFilterExecuteInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkImageToImageFilterExecuteInformation");
}

//@@Signature
//sfunction @vtkImageToImageFilter:display vtkImageToImageFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageToImageFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageToImageFilter* vtk_pointer = GetVTKPointer<vtkImageToImageFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageToImageFilter:delete vtkImageToImageFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageToImageFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageToImageFilter
//@@Section VTKFiltering
//@@Usage
// vtkImageToImageFilter is a filter superclass that hides much of the
// pipeline  complexity. It handles breaking the pipeline execution
// into smaller extents so that the vtkImageData limits are observed. It
// also provides support for multithreading. If you don't need any of this
// functionality, consider using vtkSimpleImageToImageFilter instead.
// .SECTION Warning
// This used to be the parent class for most imaging filter in VTK4.x, now
// this role has been replaced by vtkImageAlgorithm. You should consider
// using vtkImageAlgorithm instead, when writing filter for VTK5 and above.
// This class was kept to ensure full backward compatibility.
// .SECTION See also
// vtkSimpleImageToImageFilter vtkImageSpatialFilter vtkImageAlgorithm
//
//To create an instance of class vtkImageToImageFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageToImageFilter
//@]
//@@Methods
//The class vtkImageToImageFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageToImageFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageToImageFilter = obj.NewInstance ()|
// \item @|vtkImageToImageFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkImageData input)| -  Set the Input of a filter. 
//// \item @|vtkImageData = obj.GetInput ()| -  Set the Input of a filter. 
//// \item @|obj.SetBypass (int )| -  Obsolete feature - do not use.
//// \item @|obj.BypassOn ()| -  Obsolete feature - do not use.
//// \item @|obj.BypassOff ()| -  Obsolete feature - do not use.
//// \item @|int = obj.GetBypass ()| -  Obsolete feature - do not use.
//// \item @|obj.ThreadedExecute (vtkImageData inData, vtkImageData outData, int extent[6], int threadId)| -  If the subclass does not define an Execute method, then the task
// will be broken up, multiple threads will be spawned, and each thread
// will call this method. It is public so that the thread functions
// can call this method.
//// \item @|obj.SetNumberOfThreads (int )| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.GetNumberOfThreadsMinValue ()| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.GetNumberOfThreadsMaxValue ()| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.GetNumberOfThreads ()| -  Get/Set the number of threads to create when rendering
//// \item @|obj.SetInputMemoryLimit (int )|
// \item @|long = obj.GetInputMemoryLimit ()|
// \item @|int = obj.SplitExtent (int splitExt[6], int startExt[6], int num, int total)| -  Putting this here until I merge graphics and imaging streaming.
////\end{itemize}
//!
