#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageToStructuredPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageToStructuredPoints.h"

//@@Signature
//sfunction @vtkImageToStructuredPoints:vtkImageToStructuredPoints vtkImageToStructuredPointsConstructorFunction
//input a
//output p
//@@Parents vtkImageToStructuredPoints vtkImageAlgorithm 
ArrayVector vtkImageToStructuredPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageToStructuredPoints::New(),"vtkImageToStructuredPoints",eval);
  } else if (arg[0].className() == "vtkImageToStructuredPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageToStructuredPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageToStructuredPoints");
    vtkImageToStructuredPoints*q = reinterpret_cast<vtkImageToStructuredPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageToStructuredPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageToStructuredPoints:GetClassName vtkImageToStructuredPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageToStructuredPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageToStructuredPoints requires 1 argument(s)");
  vtkImageToStructuredPoints* vtk_pointer = GetVTKPointer<vtkImageToStructuredPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToStructuredPoints:IsA vtkImageToStructuredPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageToStructuredPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageToStructuredPoints requires 2 argument(s)");
  vtkImageToStructuredPoints* vtk_pointer = GetVTKPointer<vtkImageToStructuredPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToStructuredPoints:NewInstance vtkImageToStructuredPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageToStructuredPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageToStructuredPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageToStructuredPoints requires 1 argument(s)");
  vtkImageToStructuredPoints* vtk_pointer = GetVTKPointer<vtkImageToStructuredPoints>(arg[0]);
  Array retval;
  vtkImageToStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageToStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToStructuredPoints:SafeDownCast vtkImageToStructuredPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageToStructuredPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageToStructuredPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageToStructuredPoints requires 2 argument(s)");
  vtkImageToStructuredPoints* vtk_pointer = GetVTKPointer<vtkImageToStructuredPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageToStructuredPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageToStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToStructuredPoints:SetVectorInput vtkImageToStructuredPointsSetVectorInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageToStructuredPointsSetVectorInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorInput for class vtkImageToStructuredPoints requires 2 argument(s)");
  vtkImageToStructuredPoints* vtk_pointer = GetVTKPointer<vtkImageToStructuredPoints>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetVectorInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToStructuredPoints:GetVectorInput vtkImageToStructuredPointsGetVectorInputFunction
//input a0 
//output y
ArrayVector vtkImageToStructuredPointsGetVectorInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetVectorInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorInput for class vtkImageToStructuredPoints requires 1 argument(s)");
  vtkImageToStructuredPoints* vtk_pointer = GetVTKPointer<vtkImageToStructuredPoints>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetVectorInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToStructuredPoints:GetStructuredPointsOutput vtkImageToStructuredPointsGetStructuredPointsOutputFunction
//input a0 
//output y
ArrayVector vtkImageToStructuredPointsGetStructuredPointsOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetStructuredPointsOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredPointsOutput for class vtkImageToStructuredPoints requires 1 argument(s)");
  vtkImageToStructuredPoints* vtk_pointer = GetVTKPointer<vtkImageToStructuredPoints>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetStructuredPointsOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToStructuredPoints:display vtkImageToStructuredPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageToStructuredPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageToStructuredPoints* vtk_pointer = GetVTKPointer<vtkImageToStructuredPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageToStructuredPoints:delete vtkImageToStructuredPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkImageToStructuredPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageToStructuredPoints
//@@Section VTKFiltering
//@@Usage
// vtkImageToStructuredPoints changes an image cache format to
// a structured points dataset.  It takes an Input plus an optional
// VectorInput. The VectorInput converts the RGB scalar components
// of the VectorInput to vector pointdata attributes. This filter
// will try to reference count the data but in some cases it must
// make a copy.
//
//To create an instance of class vtkImageToStructuredPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageToStructuredPoints
//@]
//@@Methods
//The class vtkImageToStructuredPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageToStructuredPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageToStructuredPoints = obj.NewInstance ()|
// \item @|vtkImageToStructuredPoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVectorInput (vtkImageData input)| -  Set/Get the input object from the image pipeline.
//// \item @|vtkImageData = obj.GetVectorInput ()| -  Set/Get the input object from the image pipeline.
//// \item @|vtkStructuredPoints = obj.GetStructuredPointsOutput ()| -  Get the output of the filter.
////\end{itemize}
//!
