#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageTwoInputFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageTwoInputFilter.h"

//@@Signature
//sfunction @vtkImageTwoInputFilter:vtkImageTwoInputFilter vtkImageTwoInputFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageTwoInputFilter vtkImageMultipleInputFilter 
ArrayVector vtkImageTwoInputFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageTwoInputFilter::New(),"vtkImageTwoInputFilter",eval);
  } else if (arg[0].className() == "vtkImageTwoInputFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageTwoInputFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageTwoInputFilter");
    vtkImageTwoInputFilter*q = reinterpret_cast<vtkImageTwoInputFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageTwoInputFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageTwoInputFilter:GetClassName vtkImageTwoInputFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageTwoInputFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageTwoInputFilter requires 1 argument(s)");
  vtkImageTwoInputFilter* vtk_pointer = GetVTKPointer<vtkImageTwoInputFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTwoInputFilter:IsA vtkImageTwoInputFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageTwoInputFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageTwoInputFilter requires 2 argument(s)");
  vtkImageTwoInputFilter* vtk_pointer = GetVTKPointer<vtkImageTwoInputFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTwoInputFilter:NewInstance vtkImageTwoInputFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageTwoInputFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageTwoInputFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageTwoInputFilter requires 1 argument(s)");
  vtkImageTwoInputFilter* vtk_pointer = GetVTKPointer<vtkImageTwoInputFilter>(arg[0]);
  Array retval;
  vtkImageTwoInputFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageTwoInputFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTwoInputFilter:SafeDownCast vtkImageTwoInputFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageTwoInputFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageTwoInputFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageTwoInputFilter requires 2 argument(s)");
  vtkImageTwoInputFilter* vtk_pointer = GetVTKPointer<vtkImageTwoInputFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageTwoInputFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageTwoInputFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTwoInputFilter:SetInput1 vtkImageTwoInputFilterSetInput1Function
//input a0 a1 
//output none
ArrayVector vtkImageTwoInputFilterSetInput1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput1 (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput1 for class vtkImageTwoInputFilter requires 2 argument(s)");
  vtkImageTwoInputFilter* vtk_pointer = GetVTKPointer<vtkImageTwoInputFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTwoInputFilter:SetInput2 vtkImageTwoInputFilterSetInput2Function
//input a0 a1 
//output none
ArrayVector vtkImageTwoInputFilterSetInput2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput2 (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput2 for class vtkImageTwoInputFilter requires 2 argument(s)");
  vtkImageTwoInputFilter* vtk_pointer = GetVTKPointer<vtkImageTwoInputFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTwoInputFilter:GetInput1 vtkImageTwoInputFilterGetInput1Function
//input a0 
//output y
ArrayVector vtkImageTwoInputFilterGetInput1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput1 for class vtkImageTwoInputFilter requires 1 argument(s)");
  vtkImageTwoInputFilter* vtk_pointer = GetVTKPointer<vtkImageTwoInputFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput1();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTwoInputFilter:GetInput2 vtkImageTwoInputFilterGetInput2Function
//input a0 
//output y
ArrayVector vtkImageTwoInputFilterGetInput2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput2 for class vtkImageTwoInputFilter requires 1 argument(s)");
  vtkImageTwoInputFilter* vtk_pointer = GetVTKPointer<vtkImageTwoInputFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput2();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTwoInputFilter:display vtkImageTwoInputFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageTwoInputFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageTwoInputFilter* vtk_pointer = GetVTKPointer<vtkImageTwoInputFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageTwoInputFilter:delete vtkImageTwoInputFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageTwoInputFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageTwoInputFilter
//@@Section VTKFiltering
//@@Usage
// vtkImageTwoInputFilter handles two inputs.  
// It is just a subclass of vtkImageMultipleInputFilter with some
// methods that are specific to two inputs.  Although the inputs are labeled
// input1 and input2, they are stored in an array indexed starting at 0.
//
//To create an instance of class vtkImageTwoInputFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageTwoInputFilter
//@]
//@@Methods
//The class vtkImageTwoInputFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageTwoInputFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageTwoInputFilter = obj.NewInstance ()|
// \item @|vtkImageTwoInputFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput1 (vtkImageData input)| -  Set the Input1 of this filter. If a ScalarType has not been set,
// then the ScalarType of the input is used.
//// \item @|obj.SetInput2 (vtkImageData input)| -  Set the Input2 of this filter. If a ScalarType has not been set,
// then the ScalarType of the input is used.
//// \item @|vtkImageData = obj.GetInput1 ()| -  Get the inputs to this filter.
//// \item @|vtkImageData = obj.GetInput2 ()| -  Get the inputs to this filter.
////\end{itemize}
//!
