#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitBoolean object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitBoolean.h"

//@@Signature
//sfunction @vtkImplicitBoolean:vtkImplicitBoolean vtkImplicitBooleanConstructorFunction
//input a
//output p
//@@Parents vtkImplicitBoolean vtkImplicitFunction 
ArrayVector vtkImplicitBooleanConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitBoolean::New(),"vtkImplicitBoolean",eval);
  } else if (arg[0].className() == "vtkImplicitBoolean") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitBoolean"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitBoolean");
    vtkImplicitBoolean*q = reinterpret_cast<vtkImplicitBoolean*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitBoolean");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitBoolean:GetClassName vtkImplicitBooleanGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitBooleanGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:IsA vtkImplicitBooleanIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitBooleanIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitBoolean requires 2 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:NewInstance vtkImplicitBooleanNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitBooleanNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitBoolean *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  vtkImplicitBoolean  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitBoolean",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:SafeDownCast vtkImplicitBooleanSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitBooleanSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitBoolean *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitBoolean requires 2 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitBoolean  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitBoolean",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:EvaluateFunction__1 vtkImplicitBooleanEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkImplicitBooleanEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkImplicitBoolean requires 2 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:EvaluateFunction__2 vtkImplicitBooleanEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitBooleanEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkImplicitBoolean requires 4 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:EvaluateGradient vtkImplicitBooleanEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitBooleanEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double g[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkImplicitBoolean requires 3 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:GetMTime vtkImplicitBooleanGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImplicitBooleanGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:AddFunction vtkImplicitBooleanAddFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitBooleanAddFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFunction (vtkImplicitFunction *in); */
  if (arg.size() < 2) 
    throw Exception("Function AddFunction for class vtkImplicitBoolean requires 2 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->AddFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:RemoveFunction vtkImplicitBooleanRemoveFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitBooleanRemoveFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveFunction (vtkImplicitFunction *in); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveFunction for class vtkImplicitBoolean requires 2 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->RemoveFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:GetFunction vtkImplicitBooleanGetFunctionFunction
//input a0 
//output y
ArrayVector vtkImplicitBooleanGetFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunctionCollection *GetFunction ();return this FunctionList  */
  if (arg.size() < 1) 
    throw Exception("Function GetFunction for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  vtkImplicitFunctionCollection  *temp20;
  temp20 = (vtk_pointer)->GetFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunctionCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:SetOperationType vtkImplicitBooleanSetOperationTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitBooleanSetOperationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOperationType for class vtkImplicitBoolean requires 2 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOperationType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:GetOperationTypeMinValue vtkImplicitBooleanGetOperationTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkImplicitBooleanGetOperationTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOperationTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOperationTypeMinValue for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOperationTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:GetOperationTypeMaxValue vtkImplicitBooleanGetOperationTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkImplicitBooleanGetOperationTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOperationTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOperationTypeMaxValue for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOperationTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:GetOperationType vtkImplicitBooleanGetOperationTypeFunction
//input a0 
//output y
ArrayVector vtkImplicitBooleanGetOperationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOperationType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOperationType for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOperationType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:SetOperationTypeToUnion vtkImplicitBooleanSetOperationTypeToUnionFunction
//input a0 
//output none
ArrayVector vtkImplicitBooleanSetOperationTypeToUnionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationTypeToUnion ();this SetOperationType VTK_UNION  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationTypeToUnion for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationTypeToUnion();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:SetOperationTypeToIntersection vtkImplicitBooleanSetOperationTypeToIntersectionFunction
//input a0 
//output none
ArrayVector vtkImplicitBooleanSetOperationTypeToIntersectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationTypeToIntersection ();this SetOperationType VTK_INTERSECTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationTypeToIntersection for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationTypeToIntersection();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:SetOperationTypeToDifference vtkImplicitBooleanSetOperationTypeToDifferenceFunction
//input a0 
//output none
ArrayVector vtkImplicitBooleanSetOperationTypeToDifferenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationTypeToDifference ();this SetOperationType VTK_DIFFERENCE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationTypeToDifference for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationTypeToDifference();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:SetOperationTypeToUnionOfMagnitudes vtkImplicitBooleanSetOperationTypeToUnionOfMagnitudesFunction
//input a0 
//output none
ArrayVector vtkImplicitBooleanSetOperationTypeToUnionOfMagnitudesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationTypeToUnionOfMagnitudes ();this SetOperationType VTK_UNION_OF_MAGNITUDES  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationTypeToUnionOfMagnitudes for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationTypeToUnionOfMagnitudes();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:GetOperationTypeAsString vtkImplicitBooleanGetOperationTypeAsStringFunction
//input a0 
//output y
ArrayVector vtkImplicitBooleanGetOperationTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetOperationTypeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOperationTypeAsString for class vtkImplicitBoolean requires 1 argument(s)");
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetOperationTypeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitBoolean:EvaluateFunction vtkImplicitBooleanEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkImplicitBooleanEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitBooleanEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitBooleanEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitBooleanEvaluateFunction");
}

//@@Signature
//sfunction @vtkImplicitBoolean:display vtkImplicitBooleanDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitBooleanDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitBoolean* vtk_pointer = GetVTKPointer<vtkImplicitBoolean>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitBoolean:delete vtkImplicitBooleanDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitBooleanDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitBoolean
//@@Section VTKFiltering
//@@Usage
// vtkImplicitBoolean is an implicit function consisting of boolean
// combinations of implicit functions. The class has a list of functions
// (FunctionList) that are combined according to a specified operator
// (VTK_UNION or VTK_INTERSECTION or VTK_DIFFERENCE). You can use nested
// combinations of vtkImplicitFunction's (and/or vtkImplicitBoolean) to create
// elaborate implicit functions.  vtkImplicitBoolean is a concrete
// implementation of vtkImplicitFunction.
//
// The operators work as follows. The VTK_UNION operator takes the minimum
// value of all implicit functions. The VTK_INTERSECTION operator takes the
// maximum value of all implicit functions. The VTK_DIFFERENCE operator
// subtracts the 2nd through last implicit functions from the first. The
// VTK_UNION_OF_MAGNITUDES takes the minimum absolute value of the 
// implicit functions.
//
//To create an instance of class vtkImplicitBoolean, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitBoolean
//@]
//@@Methods
//The class vtkImplicitBoolean has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitBoolean class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImplicitBoolean = obj.NewInstance ()|
// \item @|vtkImplicitBoolean = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])| -  Evaluate boolean combinations of implicit function using current operator.
//// \item @|double = obj.EvaluateFunction (double x, double y, double z)| -  Evaluate boolean combinations of implicit function using current operator.
//// \item @|obj.EvaluateGradient (double x[3], double g[3])| -  Evaluate gradient of boolean combination.
//// \item @|long = obj.GetMTime ()| -  Override modified time retrieval because of object dependencies.
//// \item @|obj.AddFunction (vtkImplicitFunction in)| -  Add another implicit function to the list of functions.
//// \item @|obj.RemoveFunction (vtkImplicitFunction in)| -  Remove a function from the list of implicit functions to boolean.
//// \item @|vtkImplicitFunctionCollection = obj.GetFunction ()| -  Return the collection of implicit functions.
//// \item @|obj.SetOperationType (int )| -  Specify the type of boolean operation.
//// \item @|int = obj.GetOperationTypeMinValue ()| -  Specify the type of boolean operation.
//// \item @|int = obj.GetOperationTypeMaxValue ()| -  Specify the type of boolean operation.
//// \item @|int = obj.GetOperationType ()| -  Specify the type of boolean operation.
//// \item @|obj.SetOperationTypeToUnion ()| -  Specify the type of boolean operation.
//// \item @|obj.SetOperationTypeToIntersection ()| -  Specify the type of boolean operation.
//// \item @|obj.SetOperationTypeToDifference ()| -  Specify the type of boolean operation.
//// \item @|obj.SetOperationTypeToUnionOfMagnitudes ()| -  Specify the type of boolean operation.
//// \item @|string = obj.GetOperationTypeAsString ()| -  Specify the type of boolean operation.
////\end{itemize}
//!
