#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitDataSet.h"

//@@Signature
//sfunction @vtkImplicitDataSet:vtkImplicitDataSet vtkImplicitDataSetConstructorFunction
//input a
//output p
//@@Parents vtkImplicitDataSet vtkImplicitFunction 
ArrayVector vtkImplicitDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitDataSet::New(),"vtkImplicitDataSet",eval);
  } else if (arg[0].className() == "vtkImplicitDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitDataSet");
    vtkImplicitDataSet*q = reinterpret_cast<vtkImplicitDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitDataSet:GetClassName vtkImplicitDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitDataSet requires 1 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:IsA vtkImplicitDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitDataSet requires 2 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:NewInstance vtkImplicitDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitDataSet requires 1 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  vtkImplicitDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:SafeDownCast vtkImplicitDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitDataSet requires 2 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:GetMTime vtkImplicitDataSetGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImplicitDataSetGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImplicitDataSet requires 1 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:EvaluateFunction__1 vtkImplicitDataSetEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkImplicitDataSetEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkImplicitDataSet requires 2 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:EvaluateFunction__2 vtkImplicitDataSetEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitDataSetEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkImplicitDataSet requires 4 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:EvaluateGradient vtkImplicitDataSetEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitDataSetEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double n[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkImplicitDataSet requires 3 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:SetDataSet vtkImplicitDataSetSetDataSetFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitDataSetSetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataSet (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSet for class vtkImplicitDataSet requires 2 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:GetDataSet vtkImplicitDataSetGetDataSetFunction
//input a0 
//output y
ArrayVector vtkImplicitDataSetGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetDataSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSet for class vtkImplicitDataSet requires 1 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:SetOutValue vtkImplicitDataSetSetOutValueFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitDataSetSetOutValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutValue for class vtkImplicitDataSet requires 2 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOutValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:GetOutValue vtkImplicitDataSetGetOutValueFunction
//input a0 
//output y
ArrayVector vtkImplicitDataSetGetOutValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOutValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutValue for class vtkImplicitDataSet requires 1 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOutValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:SetOutGradient__1 vtkImplicitDataSetSetOutGradient__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImplicitDataSetSetOutGradient__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutGradient (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutGradient__1 for class vtkImplicitDataSet requires 4 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutGradient(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:SetOutGradient__2 vtkImplicitDataSetSetOutGradient__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitDataSetSetOutGradient__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutGradient (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutGradient__2 for class vtkImplicitDataSet requires 2 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOutGradient(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:GetOutGradient vtkImplicitDataSetGetOutGradientFunction
//input a0 
//output y
ArrayVector vtkImplicitDataSetGetOutGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOutGradient (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutGradient for class vtkImplicitDataSet requires 1 argument(s)");
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOutGradient();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitDataSet:EvaluateFunction vtkImplicitDataSetEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkImplicitDataSetEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitDataSetEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitDataSetEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitDataSetEvaluateFunction");
}

//@@Signature
//sfunction @vtkImplicitDataSet:SetOutGradient vtkImplicitDataSetSetOutGradientFunction
//input varargin
//output varargout
ArrayVector vtkImplicitDataSetSetOutGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitDataSetSetOutGradient__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitDataSetSetOutGradient__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitDataSetSetOutGradient");
}

//@@Signature
//sfunction @vtkImplicitDataSet:display vtkImplicitDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitDataSet* vtk_pointer = GetVTKPointer<vtkImplicitDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitDataSet:delete vtkImplicitDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitDataSet
//@@Section VTKFiltering
//@@Usage
// vtkImplicitDataSet treats any type of dataset as if it were an
// implicit function. This means it computes a function value and 
// gradient. vtkImplicitDataSet is a concrete implementation of 
// vtkImplicitFunction.
//
// vtkImplicitDataSet computes the function (at the point x) by performing 
// cell interpolation. That is, it finds the cell containing x, and then
// uses the cell's interpolation functions to compute an interpolated
// scalar value at x. (A similar approach is used to find the
// gradient, if requested.) Points outside of the dataset are assigned 
// the value of the ivar OutValue, and the gradient value OutGradient.
//
//To create an instance of class vtkImplicitDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitDataSet
//@]
//@@Methods
//The class vtkImplicitDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImplicitDataSet = obj.NewInstance ()|
// \item @|vtkImplicitDataSet = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the DataSet dependency.
//// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double n[3])|
// \item @|obj.SetDataSet (vtkDataSet )| -  Set / get the dataset used for the implicit function evaluation.
//// \item @|vtkDataSet = obj.GetDataSet ()| -  Set / get the dataset used for the implicit function evaluation.
//// \item @|obj.SetOutValue (double )| -  Set / get the function value to use for points outside of the dataset.
//// \item @|double = obj.GetOutValue ()| -  Set / get the function value to use for points outside of the dataset.
//// \item @|obj.SetOutGradient (double , double , double )| -  Set / get the function gradient to use for points outside of the dataset.
//// \item @|obj.SetOutGradient (double  a[3])| -  Set / get the function gradient to use for points outside of the dataset.
//// \item @|double = obj. GetOutGradient ()| -  Set / get the function gradient to use for points outside of the dataset.
////\end{itemize}
//!
