#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitHalo object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitHalo.h"

//@@Signature
//sfunction @vtkImplicitHalo:vtkImplicitHalo vtkImplicitHaloConstructorFunction
//input a
//output p
//@@Parents vtkImplicitHalo vtkImplicitFunction 
ArrayVector vtkImplicitHaloConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitHalo::New(),"vtkImplicitHalo",eval);
  } else if (arg[0].className() == "vtkImplicitHalo") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitHalo"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitHalo");
    vtkImplicitHalo*q = reinterpret_cast<vtkImplicitHalo*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitHalo");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitHalo:GetClassName vtkImplicitHaloGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitHaloGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitHalo requires 1 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:IsA vtkImplicitHaloIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitHaloIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitHalo requires 2 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:NewInstance vtkImplicitHaloNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitHaloNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitHalo *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitHalo requires 1 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  vtkImplicitHalo  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitHalo",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:SafeDownCast vtkImplicitHaloSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitHaloSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitHalo *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitHalo requires 2 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitHalo  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitHalo",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:EvaluateFunction__1 vtkImplicitHaloEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkImplicitHaloEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkImplicitHalo requires 2 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:EvaluateFunction__2 vtkImplicitHaloEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitHaloEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkImplicitHalo requires 4 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:EvaluateGradient vtkImplicitHaloEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitHaloEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double g[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkImplicitHalo requires 3 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:SetRadius vtkImplicitHaloSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitHaloSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkImplicitHalo requires 2 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:GetRadius vtkImplicitHaloGetRadiusFunction
//input a0 
//output y
ArrayVector vtkImplicitHaloGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkImplicitHalo requires 1 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:SetCenter__1 vtkImplicitHaloSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImplicitHaloSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkImplicitHalo requires 4 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:SetCenter__2 vtkImplicitHaloSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitHaloSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkImplicitHalo requires 2 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:GetCenter vtkImplicitHaloGetCenterFunction
//input a0 
//output y
ArrayVector vtkImplicitHaloGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkImplicitHalo requires 1 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:SetFadeOut vtkImplicitHaloSetFadeOutFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitHaloSetFadeOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFadeOut (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFadeOut for class vtkImplicitHalo requires 2 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFadeOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:GetFadeOut vtkImplicitHaloGetFadeOutFunction
//input a0 
//output y
ArrayVector vtkImplicitHaloGetFadeOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFadeOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFadeOut for class vtkImplicitHalo requires 1 argument(s)");
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFadeOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitHalo:EvaluateFunction vtkImplicitHaloEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkImplicitHaloEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitHaloEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitHaloEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitHaloEvaluateFunction");
}

//@@Signature
//sfunction @vtkImplicitHalo:SetCenter vtkImplicitHaloSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkImplicitHaloSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitHaloSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitHaloSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitHaloSetCenter");
}

//@@Signature
//sfunction @vtkImplicitHalo:display vtkImplicitHaloDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitHaloDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitHalo* vtk_pointer = GetVTKPointer<vtkImplicitHalo>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitHalo:delete vtkImplicitHaloDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitHaloDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitHalo
//@@Section VTKFiltering
//@@Usage
// vtkImplicitHalo evaluates to 1.0 for each position in the sphere of a
// given center and radius Radius*(1-FadeOut). It evaluates to 0.0 for each
// position out the sphere of a given Center and radius Radius. It fades out
// linearly from 1.0 to 0.0 for points in a radius from Radius*(1-FadeOut) to
// Radius.
// vtkImplicitHalo is a concrete implementation of vtkImplicitFunction. 
// It is useful as an input to
// vtkSampleFunction to generate an 2D image of an halo. It is used this way by
// vtkShadowMapPass.
//
//To create an instance of class vtkImplicitHalo, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitHalo
//@]
//@@Methods
//The class vtkImplicitHalo has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitHalo class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImplicitHalo = obj.NewInstance ()|
// \item @|vtkImplicitHalo = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double g[3])|
// \item @|obj.SetRadius (double )| -  Radius of the sphere.
//// \item @|double = obj.GetRadius ()| -  Radius of the sphere.
//// \item @|obj.SetCenter (double , double , double )| -  Center of the sphere.
//// \item @|obj.SetCenter (double  a[3])| -  Center of the sphere.
//// \item @|double = obj. GetCenter ()| -  Center of the sphere.
//// \item @|obj.SetFadeOut (double )| -  FadeOut ratio. Valid values are between 0.0 and 1.0.
//// \item @|double = obj.GetFadeOut ()| -  FadeOut ratio. Valid values are between 0.0 and 1.0.
////\end{itemize}
//!
