#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitSelectionLoop object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitSelectionLoop.h"

//@@Signature
//sfunction @vtkImplicitSelectionLoop:vtkImplicitSelectionLoop vtkImplicitSelectionLoopConstructorFunction
//input a
//output p
//@@Parents vtkImplicitSelectionLoop vtkImplicitFunction 
ArrayVector vtkImplicitSelectionLoopConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitSelectionLoop::New(),"vtkImplicitSelectionLoop",eval);
  } else if (arg[0].className() == "vtkImplicitSelectionLoop") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitSelectionLoop"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitSelectionLoop");
    vtkImplicitSelectionLoop*q = reinterpret_cast<vtkImplicitSelectionLoop*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitSelectionLoop");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitSelectionLoop:GetClassName vtkImplicitSelectionLoopGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitSelectionLoopGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitSelectionLoop requires 1 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:IsA vtkImplicitSelectionLoopIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitSelectionLoopIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitSelectionLoop requires 2 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:NewInstance vtkImplicitSelectionLoopNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitSelectionLoopNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitSelectionLoop *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitSelectionLoop requires 1 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  vtkImplicitSelectionLoop  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitSelectionLoop",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:SafeDownCast vtkImplicitSelectionLoopSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitSelectionLoopSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitSelectionLoop *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitSelectionLoop requires 2 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitSelectionLoop  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitSelectionLoop",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:EvaluateFunction__1 vtkImplicitSelectionLoopEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkImplicitSelectionLoopEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkImplicitSelectionLoop requires 2 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:EvaluateFunction__2 vtkImplicitSelectionLoopEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitSelectionLoopEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkImplicitSelectionLoop requires 4 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:EvaluateGradient vtkImplicitSelectionLoopEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitSelectionLoopEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double n[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkImplicitSelectionLoop requires 3 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:SetLoop vtkImplicitSelectionLoopSetLoopFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitSelectionLoopSetLoopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLoop (vtkPoints *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLoop for class vtkImplicitSelectionLoop requires 2 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetLoop(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:GetLoop vtkImplicitSelectionLoopGetLoopFunction
//input a0 
//output y
ArrayVector vtkImplicitSelectionLoopGetLoopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetLoop (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLoop for class vtkImplicitSelectionLoop requires 1 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetLoop();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:SetAutomaticNormalGeneration vtkImplicitSelectionLoopSetAutomaticNormalGenerationFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitSelectionLoopSetAutomaticNormalGenerationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomaticNormalGeneration (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomaticNormalGeneration for class vtkImplicitSelectionLoop requires 2 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomaticNormalGeneration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:GetAutomaticNormalGeneration vtkImplicitSelectionLoopGetAutomaticNormalGenerationFunction
//input a0 
//output y
ArrayVector vtkImplicitSelectionLoopGetAutomaticNormalGenerationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticNormalGeneration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticNormalGeneration for class vtkImplicitSelectionLoop requires 1 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticNormalGeneration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:AutomaticNormalGenerationOn vtkImplicitSelectionLoopAutomaticNormalGenerationOnFunction
//input a0 
//output none
ArrayVector vtkImplicitSelectionLoopAutomaticNormalGenerationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticNormalGenerationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticNormalGenerationOn for class vtkImplicitSelectionLoop requires 1 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticNormalGenerationOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:AutomaticNormalGenerationOff vtkImplicitSelectionLoopAutomaticNormalGenerationOffFunction
//input a0 
//output none
ArrayVector vtkImplicitSelectionLoopAutomaticNormalGenerationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticNormalGenerationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticNormalGenerationOff for class vtkImplicitSelectionLoop requires 1 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticNormalGenerationOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:SetNormal__1 vtkImplicitSelectionLoopSetNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImplicitSelectionLoopSetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormal__1 for class vtkImplicitSelectionLoop requires 4 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:SetNormal__2 vtkImplicitSelectionLoopSetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitSelectionLoopSetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormal__2 for class vtkImplicitSelectionLoop requires 2 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:GetNormal vtkImplicitSelectionLoopGetNormalFunction
//input a0 
//output y
ArrayVector vtkImplicitSelectionLoopGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal for class vtkImplicitSelectionLoop requires 1 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:GetMTime vtkImplicitSelectionLoopGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImplicitSelectionLoopGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImplicitSelectionLoop requires 1 argument(s)");
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:EvaluateFunction vtkImplicitSelectionLoopEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkImplicitSelectionLoopEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitSelectionLoopEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitSelectionLoopEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitSelectionLoopEvaluateFunction");
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:SetNormal vtkImplicitSelectionLoopSetNormalFunction
//input varargin
//output varargout
ArrayVector vtkImplicitSelectionLoopSetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitSelectionLoopSetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitSelectionLoopSetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitSelectionLoopSetNormal");
}

//@@Signature
//sfunction @vtkImplicitSelectionLoop:display vtkImplicitSelectionLoopDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitSelectionLoopDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitSelectionLoop* vtk_pointer = GetVTKPointer<vtkImplicitSelectionLoop>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitSelectionLoop:delete vtkImplicitSelectionLoopDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitSelectionLoopDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitSelectionLoop
//@@Section VTKFiltering
//@@Usage
// vtkImplicitSelectionLoop computes the implicit function value and
// function gradient for a irregular, cylinder-like object whose cross
// section is defined by a set of points forming a loop. The loop need
// not be convex nor its points coplanar. However, the loop must be
// non-self-intersecting when projected onto the plane defined by the
// accumulated cross product around the loop (i.e., the axis of the
// loop). (Alternatively, you can specify the normal to use.)
//
// The following procedure is used to compute the implicit function
// value for a point x. Each point of the loop is first projected onto
// the plane defined by the loop normal. This forms a polygon. Then,
// to evaluate the implicit function value, inside/outside tests are
// used to determine if x is inside the polygon, and the distance to
// the loop boundary is computed (negative values are inside the
// loop).
//
// One example application of this implicit function class is to draw a 
// loop on the surface of a mesh, and use the loop to clip or extract 
// cells from within the loop. Remember, the selection loop is "infinite" 
// in length, you can use a plane (in boolean combination) to cap the extent
// of the selection loop. Another trick is to use a connectivity filter to
// extract the closest region to a given point (i.e., one of the points used
// to define the selection loop).
//
//To create an instance of class vtkImplicitSelectionLoop, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitSelectionLoop
//@]
//@@Methods
//The class vtkImplicitSelectionLoop has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitSelectionLoop class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods for printing and type information.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods for printing and type information.
//// \item @|vtkImplicitSelectionLoop = obj.NewInstance ()| -  Standard VTK methods for printing and type information.
//// \item @|vtkImplicitSelectionLoop = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods for printing and type information.
//// \item @|double = obj.EvaluateFunction (double x[3])| -  Evaluate selection loop returning a signed distance.
//// \item @|double = obj.EvaluateFunction (double x, double y, double z)| -  Evaluate selection loop returning a signed distance.
//// \item @|obj.EvaluateGradient (double x[3], double n[3])| -  Evaluate selection loop returning the gradient.
//// \item @|obj.SetLoop (vtkPoints )| -  Set/Get the array of point coordinates defining the loop. There must
// be at least three points used to define a loop.
//// \item @|vtkPoints = obj.GetLoop ()| -  Set/Get the array of point coordinates defining the loop. There must
// be at least three points used to define a loop.
//// \item @|obj.SetAutomaticNormalGeneration (int )| -  Turn on/off automatic normal generation. By default, the normal is
// computed from the accumulated cross product of the edges. You can also
// specify the normal to use.
//// \item @|int = obj.GetAutomaticNormalGeneration ()| -  Turn on/off automatic normal generation. By default, the normal is
// computed from the accumulated cross product of the edges. You can also
// specify the normal to use.
//// \item @|obj.AutomaticNormalGenerationOn ()| -  Turn on/off automatic normal generation. By default, the normal is
// computed from the accumulated cross product of the edges. You can also
// specify the normal to use.
//// \item @|obj.AutomaticNormalGenerationOff ()| -  Turn on/off automatic normal generation. By default, the normal is
// computed from the accumulated cross product of the edges. You can also
// specify the normal to use.
//// \item @|obj.SetNormal (double , double , double )| -  Set / get the normal used to determine whether a point is inside or outside
// the selection loop.
//// \item @|obj.SetNormal (double  a[3])| -  Set / get the normal used to determine whether a point is inside or outside
// the selection loop.
//// \item @|double = obj. GetNormal ()| -  Set / get the normal used to determine whether a point is inside or outside
// the selection loop.
//// \item @|long = obj.GetMTime ()| -  Overload GetMTime() because we depend on the Loop
////\end{itemize}
//!
