#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitSum object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitSum.h"

//@@Signature
//sfunction @vtkImplicitSum:vtkImplicitSum vtkImplicitSumConstructorFunction
//input a
//output p
//@@Parents vtkImplicitSum vtkImplicitFunction 
ArrayVector vtkImplicitSumConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitSum::New(),"vtkImplicitSum",eval);
  } else if (arg[0].className() == "vtkImplicitSum") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitSum"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitSum");
    vtkImplicitSum*q = reinterpret_cast<vtkImplicitSum*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitSum");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitSum:GetClassName vtkImplicitSumGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitSumGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitSum requires 1 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:IsA vtkImplicitSumIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitSumIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitSum requires 2 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:NewInstance vtkImplicitSumNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitSumNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitSum *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitSum requires 1 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  vtkImplicitSum  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitSum",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:SafeDownCast vtkImplicitSumSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitSumSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitSum *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitSum requires 2 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitSum  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitSum",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:EvaluateFunction__1 vtkImplicitSumEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkImplicitSumEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkImplicitSum requires 2 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:EvaluateFunction__2 vtkImplicitSumEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitSumEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkImplicitSum requires 4 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:EvaluateGradient vtkImplicitSumEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitSumEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double g[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkImplicitSum requires 3 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:GetMTime vtkImplicitSumGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImplicitSumGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImplicitSum requires 1 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:AddFunction__1 vtkImplicitSumAddFunction__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitSumAddFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFunction (vtkImplicitFunction *in, double weight); */
  if (arg.size() < 3) 
    throw Exception("Function AddFunction__1 for class vtkImplicitSum requires 3 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  double   temp1;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->AddFunction(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:AddFunction__2 vtkImplicitSumAddFunction__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitSumAddFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFunction (vtkImplicitFunction *in);this AddFunction in  */
  if (arg.size() < 2) 
    throw Exception("Function AddFunction__2 for class vtkImplicitSum requires 2 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->AddFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:RemoveAllFunctions vtkImplicitSumRemoveAllFunctionsFunction
//input a0 
//output none
ArrayVector vtkImplicitSumRemoveAllFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllFunctions (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllFunctions for class vtkImplicitSum requires 1 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllFunctions();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:SetFunctionWeight vtkImplicitSumSetFunctionWeightFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitSumSetFunctionWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFunctionWeight (vtkImplicitFunction *f, double weight); */
  if (arg.size() < 3) 
    throw Exception("Function SetFunctionWeight for class vtkImplicitSum requires 3 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  double   temp1;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetFunctionWeight(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:SetNormalizeByWeight vtkImplicitSumSetNormalizeByWeightFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitSumSetNormalizeByWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizeByWeight (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalizeByWeight for class vtkImplicitSum requires 2 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalizeByWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:GetNormalizeByWeight vtkImplicitSumGetNormalizeByWeightFunction
//input a0 
//output y
ArrayVector vtkImplicitSumGetNormalizeByWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalizeByWeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizeByWeight for class vtkImplicitSum requires 1 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalizeByWeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:NormalizeByWeightOn vtkImplicitSumNormalizeByWeightOnFunction
//input a0 
//output none
ArrayVector vtkImplicitSumNormalizeByWeightOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeByWeightOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeByWeightOn for class vtkImplicitSum requires 1 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeByWeightOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:NormalizeByWeightOff vtkImplicitSumNormalizeByWeightOffFunction
//input a0 
//output none
ArrayVector vtkImplicitSumNormalizeByWeightOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeByWeightOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeByWeightOff for class vtkImplicitSum requires 1 argument(s)");
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeByWeightOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitSum:EvaluateFunction vtkImplicitSumEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkImplicitSumEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitSumEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitSumEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitSumEvaluateFunction");
}

//@@Signature
//sfunction @vtkImplicitSum:AddFunction vtkImplicitSumAddFunctionFunction
//input varargin
//output varargout
ArrayVector vtkImplicitSumAddFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkImplicitFunction") && VTKIsScalarArg(arg[2]))
    return vtkImplicitSumAddFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkImplicitFunction"))
    return vtkImplicitSumAddFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitSumAddFunction");
}

//@@Signature
//sfunction @vtkImplicitSum:display vtkImplicitSumDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitSumDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitSum* vtk_pointer = GetVTKPointer<vtkImplicitSum>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitSum:delete vtkImplicitSumDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitSumDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitSum
//@@Section VTKFiltering
//@@Usage
// vtkImplicitSum produces a linear combination of other implicit functions.
// The contribution of each function is weighted by a scalar coefficient.
// The NormalizeByWeight option normalizes the output so that the
// scalar weights add up to 1. Note that this function gives accurate
// sums and gradients only if the input functions are linear.
//
//To create an instance of class vtkImplicitSum, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitSum
//@]
//@@Methods
//The class vtkImplicitSum has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitSum class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImplicitSum = obj.NewInstance ()|
// \item @|vtkImplicitSum = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])| -  Evaluate implicit function using current functions and weights.
//// \item @|double = obj.EvaluateFunction (double x, double y, double z)| -  Evaluate implicit function using current functions and weights.
//// \item @|obj.EvaluateGradient (double x[3], double g[3])| -  Evaluate gradient of the weighted sum of functions.  Input functions
// should be linear.
//// \item @|long = obj.GetMTime ()| -  Override modified time retrieval because of object dependencies.
//// \item @|obj.AddFunction (vtkImplicitFunction in, double weight)| -  Add another implicit function to the list of functions, along with a
// weighting factor.
//// \item @|obj.AddFunction (vtkImplicitFunction in)| -  Remove all functions from the list.
//// \item @|obj.RemoveAllFunctions ()| -  Remove all functions from the list.
//// \item @|obj.SetFunctionWeight (vtkImplicitFunction f, double weight)| -  Set the weight (coefficient) of the given function to be weight.
//// \item @|obj.SetNormalizeByWeight (int )| -  When calculating the function and gradient values of the
// composite function, setting NormalizeByWeight on will divide the
// final result by the total weight of the component functions.
// This process does not otherwise normalize the gradient vector.
// By default, NormalizeByWeight is off.
//// \item @|int = obj.GetNormalizeByWeight ()| -  When calculating the function and gradient values of the
// composite function, setting NormalizeByWeight on will divide the
// final result by the total weight of the component functions.
// This process does not otherwise normalize the gradient vector.
// By default, NormalizeByWeight is off.
//// \item @|obj.NormalizeByWeightOn ()| -  When calculating the function and gradient values of the
// composite function, setting NormalizeByWeight on will divide the
// final result by the total weight of the component functions.
// This process does not otherwise normalize the gradient vector.
// By default, NormalizeByWeight is off.
//// \item @|obj.NormalizeByWeightOff ()| -  When calculating the function and gradient values of the
// composite function, setting NormalizeByWeight on will divide the
// final result by the total weight of the component functions.
// This process does not otherwise normalize the gradient vector.
// By default, NormalizeByWeight is off.
////\end{itemize}
//!
