#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitVolume object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitVolume.h"

//@@Signature
//sfunction @vtkImplicitVolume:vtkImplicitVolume vtkImplicitVolumeConstructorFunction
//input a
//output p
//@@Parents vtkImplicitVolume vtkImplicitFunction 
ArrayVector vtkImplicitVolumeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitVolume::New(),"vtkImplicitVolume",eval);
  } else if (arg[0].className() == "vtkImplicitVolume") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitVolume"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitVolume");
    vtkImplicitVolume*q = reinterpret_cast<vtkImplicitVolume*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitVolume");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitVolume:GetClassName vtkImplicitVolumeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitVolumeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitVolume requires 1 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:IsA vtkImplicitVolumeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitVolumeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitVolume requires 2 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:NewInstance vtkImplicitVolumeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitVolumeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitVolume *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitVolume requires 1 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  vtkImplicitVolume  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitVolume",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:SafeDownCast vtkImplicitVolumeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitVolumeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitVolume *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitVolume requires 2 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitVolume  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitVolume",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:GetMTime vtkImplicitVolumeGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImplicitVolumeGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImplicitVolume requires 1 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:EvaluateFunction__1 vtkImplicitVolumeEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkImplicitVolumeEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkImplicitVolume requires 2 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:EvaluateFunction__2 vtkImplicitVolumeEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitVolumeEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkImplicitVolume requires 4 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:EvaluateGradient vtkImplicitVolumeEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitVolumeEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double n[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkImplicitVolume requires 3 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:SetVolume vtkImplicitVolumeSetVolumeFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitVolumeSetVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVolume (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVolume for class vtkImplicitVolume requires 2 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetVolume(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:GetVolume vtkImplicitVolumeGetVolumeFunction
//input a0 
//output y
ArrayVector vtkImplicitVolumeGetVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetVolume (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolume for class vtkImplicitVolume requires 1 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetVolume();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:SetOutValue vtkImplicitVolumeSetOutValueFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitVolumeSetOutValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutValue for class vtkImplicitVolume requires 2 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOutValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:GetOutValue vtkImplicitVolumeGetOutValueFunction
//input a0 
//output y
ArrayVector vtkImplicitVolumeGetOutValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOutValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutValue for class vtkImplicitVolume requires 1 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOutValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:SetOutGradient__1 vtkImplicitVolumeSetOutGradient__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImplicitVolumeSetOutGradient__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutGradient (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutGradient__1 for class vtkImplicitVolume requires 4 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutGradient(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:SetOutGradient__2 vtkImplicitVolumeSetOutGradient__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitVolumeSetOutGradient__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutGradient (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutGradient__2 for class vtkImplicitVolume requires 2 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOutGradient(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:GetOutGradient vtkImplicitVolumeGetOutGradientFunction
//input a0 
//output y
ArrayVector vtkImplicitVolumeGetOutGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOutGradient (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutGradient for class vtkImplicitVolume requires 1 argument(s)");
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOutGradient();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitVolume:EvaluateFunction vtkImplicitVolumeEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkImplicitVolumeEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitVolumeEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitVolumeEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitVolumeEvaluateFunction");
}

//@@Signature
//sfunction @vtkImplicitVolume:SetOutGradient vtkImplicitVolumeSetOutGradientFunction
//input varargin
//output varargout
ArrayVector vtkImplicitVolumeSetOutGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitVolumeSetOutGradient__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitVolumeSetOutGradient__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitVolumeSetOutGradient");
}

//@@Signature
//sfunction @vtkImplicitVolume:display vtkImplicitVolumeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitVolumeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitVolume* vtk_pointer = GetVTKPointer<vtkImplicitVolume>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitVolume:delete vtkImplicitVolumeDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitVolumeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitVolume
//@@Section VTKFiltering
//@@Usage
// vtkImplicitVolume treats a volume (e.g., structured point dataset)
// as if it were an implicit function. This means it computes a function
// value and gradient. vtkImplicitVolume is a concrete implementation of 
// vtkImplicitFunction.
//
// vtkImplicitDataSet computes the function (at the point x) by performing 
// cell interpolation. That is, it finds the cell containing x, and then
// uses the cell's interpolation functions to compute an interpolated
// scalar value at x. (A similar approach is used to find the
// gradient, if requested.) Points outside of the dataset are assigned 
// the value of the ivar OutValue, and the gradient value OutGradient.
//
//To create an instance of class vtkImplicitVolume, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitVolume
//@]
//@@Methods
//The class vtkImplicitVolume has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitVolume class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImplicitVolume = obj.NewInstance ()|
// \item @|vtkImplicitVolume = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Returns the mtime also considering the volume.  This also calls Update
// on the volume, and it therefore must be called before the function is
// evaluated.
//// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double n[3])|
// \item @|obj.SetVolume (vtkImageData )| -  Specify the volume for the implicit function.
//// \item @|vtkImageData = obj.GetVolume ()| -  Specify the volume for the implicit function.
//// \item @|obj.SetOutValue (double )| -  Set the function value to use for points outside of the dataset.
//// \item @|double = obj.GetOutValue ()| -  Set the function value to use for points outside of the dataset.
//// \item @|obj.SetOutGradient (double , double , double )| -  Set the function gradient to use for points outside of the dataset.
//// \item @|obj.SetOutGradient (double  a[3])| -  Set the function gradient to use for points outside of the dataset.
//// \item @|double = obj. GetOutGradient ()| -  Set the function gradient to use for points outside of the dataset.
////\end{itemize}
//!
