#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitWindowFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitWindowFunction.h"

//@@Signature
//sfunction @vtkImplicitWindowFunction:vtkImplicitWindowFunction vtkImplicitWindowFunctionConstructorFunction
//input a
//output p
//@@Parents vtkImplicitWindowFunction vtkImplicitFunction 
ArrayVector vtkImplicitWindowFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitWindowFunction::New(),"vtkImplicitWindowFunction",eval);
  } else if (arg[0].className() == "vtkImplicitWindowFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitWindowFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitWindowFunction");
    vtkImplicitWindowFunction*q = reinterpret_cast<vtkImplicitWindowFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitWindowFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitWindowFunction:GetClassName vtkImplicitWindowFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitWindowFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitWindowFunction requires 1 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:IsA vtkImplicitWindowFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitWindowFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitWindowFunction requires 2 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:NewInstance vtkImplicitWindowFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitWindowFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitWindowFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitWindowFunction requires 1 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  vtkImplicitWindowFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitWindowFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:SafeDownCast vtkImplicitWindowFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitWindowFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitWindowFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitWindowFunction requires 2 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitWindowFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitWindowFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:EvaluateFunction__1 vtkImplicitWindowFunctionEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkImplicitWindowFunctionEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkImplicitWindowFunction requires 2 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:EvaluateFunction__2 vtkImplicitWindowFunctionEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitWindowFunctionEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkImplicitWindowFunction requires 4 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:EvaluateGradient vtkImplicitWindowFunctionEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitWindowFunctionEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double n[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkImplicitWindowFunction requires 3 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:SetImplicitFunction vtkImplicitWindowFunctionSetImplicitFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitWindowFunctionSetImplicitFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImplicitFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetImplicitFunction for class vtkImplicitWindowFunction requires 2 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetImplicitFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:GetImplicitFunction vtkImplicitWindowFunctionGetImplicitFunctionFunction
//input a0 
//output y
ArrayVector vtkImplicitWindowFunctionGetImplicitFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetImplicitFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImplicitFunction for class vtkImplicitWindowFunction requires 1 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetImplicitFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:SetWindowRange__1 vtkImplicitWindowFunctionSetWindowRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitWindowFunctionSetWindowRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindowRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetWindowRange__1 for class vtkImplicitWindowFunction requires 3 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetWindowRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:SetWindowRange__2 vtkImplicitWindowFunctionSetWindowRange__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitWindowFunctionSetWindowRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindowRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWindowRange__2 for class vtkImplicitWindowFunction requires 2 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetWindowRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:GetWindowRange vtkImplicitWindowFunctionGetWindowRangeFunction
//input a0 
//output y
ArrayVector vtkImplicitWindowFunctionGetWindowRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetWindowRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWindowRange for class vtkImplicitWindowFunction requires 1 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetWindowRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:SetWindowValues__1 vtkImplicitWindowFunctionSetWindowValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImplicitWindowFunctionSetWindowValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindowValues (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetWindowValues__1 for class vtkImplicitWindowFunction requires 3 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetWindowValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:SetWindowValues__2 vtkImplicitWindowFunctionSetWindowValues__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitWindowFunctionSetWindowValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindowValues (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWindowValues__2 for class vtkImplicitWindowFunction requires 2 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetWindowValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:GetWindowValues vtkImplicitWindowFunctionGetWindowValuesFunction
//input a0 
//output y
ArrayVector vtkImplicitWindowFunctionGetWindowValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetWindowValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWindowValues for class vtkImplicitWindowFunction requires 1 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetWindowValues();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:GetMTime vtkImplicitWindowFunctionGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImplicitWindowFunctionGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImplicitWindowFunction requires 1 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:Register vtkImplicitWindowFunctionRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitWindowFunctionRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkImplicitWindowFunction requires 2 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:UnRegister vtkImplicitWindowFunctionUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitWindowFunctionUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkImplicitWindowFunction requires 2 argument(s)");
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:EvaluateFunction vtkImplicitWindowFunctionEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkImplicitWindowFunctionEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitWindowFunctionEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitWindowFunctionEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitWindowFunctionEvaluateFunction");
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:SetWindowRange vtkImplicitWindowFunctionSetWindowRangeFunction
//input varargin
//output varargout
ArrayVector vtkImplicitWindowFunctionSetWindowRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImplicitWindowFunctionSetWindowRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitWindowFunctionSetWindowRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitWindowFunctionSetWindowRange");
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:SetWindowValues vtkImplicitWindowFunctionSetWindowValuesFunction
//input varargin
//output varargout
ArrayVector vtkImplicitWindowFunctionSetWindowValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImplicitWindowFunctionSetWindowValues__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitWindowFunctionSetWindowValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitWindowFunctionSetWindowValues");
}

//@@Signature
//sfunction @vtkImplicitWindowFunction:display vtkImplicitWindowFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitWindowFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitWindowFunction* vtk_pointer = GetVTKPointer<vtkImplicitWindowFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitWindowFunction:delete vtkImplicitWindowFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitWindowFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitWindowFunction
//@@Section VTKFiltering
//@@Usage
// vtkImplicitWindowFunction is used to modify the output of another
// implicit function to lie within a specified "window", or function
// range. This can be used to add "thickness" to cutting or clipping
// functions. 
//
// This class works as follows. First, it evaluates the function value of the 
// user-specified implicit function. Then, based on the window range specified,
// it maps the function value into the window values specified. 
//
//
//To create an instance of class vtkImplicitWindowFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitWindowFunction
//@]
//@@Methods
//The class vtkImplicitWindowFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitWindowFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImplicitWindowFunction = obj.NewInstance ()|
// \item @|vtkImplicitWindowFunction = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double n[3])|
// \item @|obj.SetImplicitFunction (vtkImplicitFunction )| -  Specify an implicit function to operate on.
//// \item @|vtkImplicitFunction = obj.GetImplicitFunction ()| -  Specify an implicit function to operate on.
//// \item @|obj.SetWindowRange (double , double )| -  Specify the range of function values which are considered to lie within
// the window. WindowRange[0] is assumed to be less than WindowRange[1].
//// \item @|obj.SetWindowRange (double  a[2])| -  Specify the range of function values which are considered to lie within
// the window. WindowRange[0] is assumed to be less than WindowRange[1].
//// \item @|double = obj. GetWindowRange ()| -  Specify the range of function values which are considered to lie within
// the window. WindowRange[0] is assumed to be less than WindowRange[1].
//// \item @|obj.SetWindowValues (double , double )| -  Specify the range of output values that the window range is mapped
// into. This is effectively a scaling and shifting of the original
// function values.
//// \item @|obj.SetWindowValues (double  a[2])| -  Specify the range of output values that the window range is mapped
// into. This is effectively a scaling and shifting of the original
// function values.
//// \item @|double = obj. GetWindowValues ()| -  Specify the range of output values that the window range is mapped
// into. This is effectively a scaling and shifting of the original
// function values.
//// \item @|long = obj.GetMTime ()| -  Override modified time retrieval because of object dependencies.
//// \item @|obj.Register (vtkObjectBase o)| -  Participate in garbage collection.
//// \item @|obj.UnRegister (vtkObjectBase o)| -  Participate in garbage collection.
////\end{itemize}
//!
