#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInEdgeIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInEdgeIterator.h"

//@@Signature
//sfunction @vtkInEdgeIterator:vtkInEdgeIterator vtkInEdgeIteratorConstructorFunction
//input a
//output p
//@@Parents vtkInEdgeIterator vtkObject 
ArrayVector vtkInEdgeIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInEdgeIterator::New(),"vtkInEdgeIterator",eval);
  } else if (arg[0].className() == "vtkInEdgeIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInEdgeIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInEdgeIterator");
    vtkInEdgeIterator*q = reinterpret_cast<vtkInEdgeIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInEdgeIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInEdgeIterator:GetClassName vtkInEdgeIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInEdgeIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInEdgeIterator requires 1 argument(s)");
  vtkInEdgeIterator* vtk_pointer = GetVTKPointer<vtkInEdgeIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInEdgeIterator:IsA vtkInEdgeIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInEdgeIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInEdgeIterator requires 2 argument(s)");
  vtkInEdgeIterator* vtk_pointer = GetVTKPointer<vtkInEdgeIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInEdgeIterator:NewInstance vtkInEdgeIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInEdgeIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInEdgeIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInEdgeIterator requires 1 argument(s)");
  vtkInEdgeIterator* vtk_pointer = GetVTKPointer<vtkInEdgeIterator>(arg[0]);
  Array retval;
  vtkInEdgeIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInEdgeIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInEdgeIterator:SafeDownCast vtkInEdgeIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInEdgeIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInEdgeIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInEdgeIterator requires 2 argument(s)");
  vtkInEdgeIterator* vtk_pointer = GetVTKPointer<vtkInEdgeIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInEdgeIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInEdgeIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInEdgeIterator:Initialize vtkInEdgeIteratorInitializeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInEdgeIteratorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (vtkGraph *g, vtkIdType v); */
  if (arg.size() < 3) 
    throw Exception("Function Initialize for class vtkInEdgeIterator requires 3 argument(s)");
  vtkInEdgeIterator* vtk_pointer = GetVTKPointer<vtkInEdgeIterator>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  vtkIdType   temp1;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Initialize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInEdgeIterator:GetGraph vtkInEdgeIteratorGetGraphFunction
//input a0 
//output y
ArrayVector vtkInEdgeIteratorGetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetGraph (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraph for class vtkInEdgeIterator requires 1 argument(s)");
  vtkInEdgeIterator* vtk_pointer = GetVTKPointer<vtkInEdgeIterator>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetGraph();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInEdgeIterator:GetVertex vtkInEdgeIteratorGetVertexFunction
//input a0 
//output y
ArrayVector vtkInEdgeIteratorGetVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertex for class vtkInEdgeIterator requires 1 argument(s)");
  vtkInEdgeIterator* vtk_pointer = GetVTKPointer<vtkInEdgeIterator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetVertex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInEdgeIterator:NextGraphEdge vtkInEdgeIteratorNextGraphEdgeFunction
//input a0 
//output y
ArrayVector vtkInEdgeIteratorNextGraphEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphEdge *NextGraphEdge (); */
  if (arg.size() < 1) 
    throw Exception("Function NextGraphEdge for class vtkInEdgeIterator requires 1 argument(s)");
  vtkInEdgeIterator* vtk_pointer = GetVTKPointer<vtkInEdgeIterator>(arg[0]);
  Array retval;
  vtkGraphEdge  *temp20;
  temp20 = (vtk_pointer)->NextGraphEdge();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphEdge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInEdgeIterator:HasNext vtkInEdgeIteratorHasNextFunction
//input a0 
//output y
ArrayVector vtkInEdgeIteratorHasNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool HasNext ();return this Current this End  */
  if (arg.size() < 1) 
    throw Exception("Function HasNext for class vtkInEdgeIterator requires 1 argument(s)");
  vtkInEdgeIterator* vtk_pointer = GetVTKPointer<vtkInEdgeIterator>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasNext();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkInEdgeIterator:display vtkInEdgeIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInEdgeIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInEdgeIterator* vtk_pointer = GetVTKPointer<vtkInEdgeIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInEdgeIterator:delete vtkInEdgeIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkInEdgeIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInEdgeIterator
//@@Section VTKFiltering
//@@Usage
// vtkInEdgeIterator iterates through all edges whose target is a particular
// vertex. Instantiate this class directly and call Initialize() to traverse
// the vertex of a graph. Alternately, use GetInEdges() on the graph to
// initialize the iterator. it->Next() returns a vtkInEdgeType structure,
// which contains Id, the edge's id, and Source, the edge's source vertex.
//
//
//To create an instance of class vtkInEdgeIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkInEdgeIterator
//@]
//@@Methods
//The class vtkInEdgeIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInEdgeIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInEdgeIterator = obj.NewInstance ()|
// \item @|vtkInEdgeIterator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize (vtkGraph g, vtkIdType v)| -  Initialize the iterator with a graph and vertex.
//// \item @|vtkGraph = obj.GetGraph ()| -  Get the graph and vertex associated with this iterator.
//// \item @|vtkIdType = obj.GetVertex ()| -  Get the graph and vertex associated with this iterator.
//// \item @|vtkGraphEdge = obj.NextGraphEdge ()| -  Just like Next(), but
// returns heavy-weight vtkGraphEdge object instead of
// the vtkEdgeType struct, for use with wrappers.
// The graph edge is owned by this iterator, and changes
// after each call to NextGraphEdge().
//// \item @|bool = obj.HasNext ()|
//\end{itemize}
//!
