#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIncrementalOctreeNode object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIncrementalOctreeNode.h"

//@@Signature
//sfunction @vtkIncrementalOctreeNode:vtkIncrementalOctreeNode vtkIncrementalOctreeNodeConstructorFunction
//input a
//output p
//@@Parents vtkIncrementalOctreeNode vtkObject 
ArrayVector vtkIncrementalOctreeNodeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIncrementalOctreeNode::New(),"vtkIncrementalOctreeNode",eval);
  } else if (arg[0].className() == "vtkIncrementalOctreeNode") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIncrementalOctreeNode"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIncrementalOctreeNode");
    vtkIncrementalOctreeNode*q = reinterpret_cast<vtkIncrementalOctreeNode*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIncrementalOctreeNode");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetClassName vtkIncrementalOctreeNodeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreeNodeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIncrementalOctreeNode requires 1 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:IsA vtkIncrementalOctreeNodeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreeNodeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIncrementalOctreeNode requires 2 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:NewInstance vtkIncrementalOctreeNodeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreeNodeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalOctreeNode *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIncrementalOctreeNode requires 1 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  vtkIncrementalOctreeNode  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalOctreeNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:SafeDownCast vtkIncrementalOctreeNodeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreeNodeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalOctreeNode *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIncrementalOctreeNode requires 2 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIncrementalOctreeNode  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalOctreeNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetNumberOfPoints vtkIncrementalOctreeNodeGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreeNodeGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkIncrementalOctreeNode requires 1 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetPointIdSet vtkIncrementalOctreeNodeGetPointIdSetFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreeNodeGetPointIdSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *GetPointIdSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointIdSet for class vtkIncrementalOctreeNode requires 1 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  vtkIdList  *temp20;
  temp20 = (vtk_pointer)->GetPointIdSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:DeleteChildNodes vtkIncrementalOctreeNodeDeleteChildNodesFunction
//input a0 
//output none
ArrayVector vtkIncrementalOctreeNodeDeleteChildNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteChildNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteChildNodes for class vtkIncrementalOctreeNode requires 1 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  vtk_pointer->DeleteChildNodes();
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:SetBounds vtkIncrementalOctreeNodeSetBoundsFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkIncrementalOctreeNodeSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double x1, double x2, double y1, double y2, double z1, double z2); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds for class vtkIncrementalOctreeNode requires 7 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetBounds vtkIncrementalOctreeNodeGetBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkIncrementalOctreeNodeGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds for class vtkIncrementalOctreeNode requires 2 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetMinBounds vtkIncrementalOctreeNodeGetMinBoundsFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreeNodeGetMinBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMinBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinBounds for class vtkIncrementalOctreeNode requires 1 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMinBounds();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetMaxBounds vtkIncrementalOctreeNodeGetMaxBoundsFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreeNodeGetMaxBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMaxBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxBounds for class vtkIncrementalOctreeNode requires 1 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMaxBounds();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:IsLeaf vtkIncrementalOctreeNodeIsLeafFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreeNodeIsLeafFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsLeaf ();return this Children NULL  */
  if (arg.size() < 1) 
    throw Exception("Function IsLeaf for class vtkIncrementalOctreeNode requires 1 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLeaf();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetChildIndex vtkIncrementalOctreeNodeGetChildIndexFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreeNodeGetChildIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetChildIndex (const double point[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetChildIndex for class vtkIncrementalOctreeNode requires 2 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetChildIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetChild vtkIncrementalOctreeNodeGetChildFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreeNodeGetChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalOctreeNode *GetChild (int i);return this Children i  */
  if (arg.size() < 2) 
    throw Exception("Function GetChild for class vtkIncrementalOctreeNode requires 2 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  int      temp0;
  vtkIncrementalOctreeNode  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetChild(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalOctreeNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:ContainsPoint vtkIncrementalOctreeNodeContainsPointFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreeNodeContainsPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ContainsPoint (const double pnt[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ContainsPoint for class vtkIncrementalOctreeNode requires 2 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ContainsPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:ContainsPointByData vtkIncrementalOctreeNodeContainsPointByDataFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreeNodeContainsPointByDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ContainsPointByData (const double pnt[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ContainsPointByData for class vtkIncrementalOctreeNode requires 2 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ContainsPointByData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetDistance2ToInnerBoundary vtkIncrementalOctreeNodeGetDistance2ToInnerBoundaryFunction
//input a0 a1 a2 
//output y
ArrayVector vtkIncrementalOctreeNodeGetDistance2ToInnerBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance2ToInnerBoundary (const double point[3], vtkIncrementalOctreeNode *rootNode); */
  if (arg.size() < 3) 
    throw Exception("Function GetDistance2ToInnerBoundary for class vtkIncrementalOctreeNode requires 3 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIncrementalOctreeNode  *temp1;
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkIncrementalOctreeNode>(arg[4]);
  temp20 = (vtk_pointer)->GetDistance2ToInnerBoundary(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetDistance2ToBoundary__1 vtkIncrementalOctreeNodeGetDistance2ToBoundary__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkIncrementalOctreeNodeGetDistance2ToBoundary__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance2ToBoundary (const double point[3], vtkIncrementalOctreeNode *rootNode, int checkData); */
  if (arg.size() < 4) 
    throw Exception("Function GetDistance2ToBoundary__1 for class vtkIncrementalOctreeNode requires 4 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIncrementalOctreeNode  *temp1;
  int      temp2;
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkIncrementalOctreeNode>(arg[4]);
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->GetDistance2ToBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetDistance2ToBoundary__2 vtkIncrementalOctreeNodeGetDistance2ToBoundary__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkIncrementalOctreeNodeGetDistance2ToBoundary__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance2ToBoundary (const double point[3], double closest[3], vtkIncrementalOctreeNode *rootNode, int checkData); */
  if (arg.size() < 5) 
    throw Exception("Function GetDistance2ToBoundary__2 for class vtkIncrementalOctreeNode requires 5 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  vtkIncrementalOctreeNode  *temp2;
  int      temp3;
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIncrementalOctreeNode>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[8].asDouble();
  temp20 = (vtk_pointer)->GetDistance2ToBoundary(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:ExportAllPointIdsByInsertion vtkIncrementalOctreeNodeExportAllPointIdsByInsertionFunction
//input a0 a1 
//output none
ArrayVector vtkIncrementalOctreeNodeExportAllPointIdsByInsertionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExportAllPointIdsByInsertion (vtkIdList *idList); */
  if (arg.size() < 2) 
    throw Exception("Function ExportAllPointIdsByInsertion for class vtkIncrementalOctreeNode requires 2 argument(s)");
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  vtk_pointer->ExportAllPointIdsByInsertion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:GetDistance2ToBoundary vtkIncrementalOctreeNodeGetDistance2ToBoundaryFunction
//input varargin
//output varargout
ArrayVector vtkIncrementalOctreeNodeGetDistance2ToBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsClass(arg[2],"vtkIncrementalOctreeNode") && VTKIsScalarArg(arg[3]))
    return vtkIncrementalOctreeNodeGetDistance2ToBoundary__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsClass(arg[3],"vtkIncrementalOctreeNode") && VTKIsScalarArg(arg[4]))
    return vtkIncrementalOctreeNodeGetDistance2ToBoundary__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIncrementalOctreeNodeGetDistance2ToBoundary");
}

//@@Signature
//sfunction @vtkIncrementalOctreeNode:display vtkIncrementalOctreeNodeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIncrementalOctreeNodeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIncrementalOctreeNode* vtk_pointer = GetVTKPointer<vtkIncrementalOctreeNode>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIncrementalOctreeNode:delete vtkIncrementalOctreeNodeDeleteFunction
//input varargin
//output none
ArrayVector vtkIncrementalOctreeNodeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIncrementalOctreeNode
//@@Section VTKFiltering
//@@Usage
//  Octree nodes serve as spatial sub-division primitives to build the search
//  structure of an incremental octree in a recursive top-down manner. The
//  hierarchy takes the form of a tree-like representation by which a parent
//  node contains eight mutually non-overlapping child nodes. Each child is 
//  assigned with an axis-aligned rectangular volume (Spatial Bounding Box) 
//  and the eight children together cover exactly the same region as governed
//  by their parent. The eight child nodes / octants are ordered as
//
//  { (xBBoxMin, xBBoxMid] & (yBBoxMin, yBBoxMid] & (zBBoxMin, zBBoxMid] },
//  { (xBBoxMid, xBBoxMax] & (yBBoxMin, yBBoxMid] & (zBBoxMin, zBBoxMid] },
//  { (xBBoxMin, xBBoxMid] & (yBBoxMid, yBBoxMax] & (zBBoxMin, zBBoxMid] }, 
//  { (xBBoxMid, xBBoxMax] & (yBBoxMid, yBBoxMax] & (zBBoxMin, zBBoxMid] },
//  { (xBBoxMin, xBBoxMid] & (yBBoxMin, yBBoxMid] & (zBBoxMid, zBBoxMax] },
//  { (xBBoxMid, xBBoxMax] & (yBBoxMin, yBBoxMid] & (zBBoxMid, zBBoxMax] },
//  { (xBBoxMin, xBBoxMid] & (yBBoxMid, yBBoxMax] & (zBBoxMid, zBBoxMax] }, 
//  { (xBBoxMid, xBBoxMax] & (yBBoxMid, yBBoxMax] & (zBBoxMid, zBBoxMax] },
//
//  where { xrange & yRange & zRange } defines the region of each 3D octant. 
//  In addition, the points falling within and registered, by means of point
//  indices, in the parent node are distributed to the child nodes for delegated
//  maintenance. In fact, only leaf nodes, i.e., those without any descendants,
//  actually store point indices while each node, regardless of a leaf or non-
//  leaf node, keeps a dynamically updated Data Bounding Box of the inhabitant 
//  points, if any. Given a maximum number of points per leaf node, an octree 
//  is initialized with an empty leaf node that is then recursively sub-divided, 
//  but only on demand as points are incrementally inserted, to construct a 
//  populated tree.
//
//  Please note that this octree node class is able to handle a large number
//  of EXACTLY duplicate points that is greater than the specified maximum
//  number of points per leaf node. In other words, as an exception, a leaf
//  node may maintain an arbitrary number of exactly duplicate points to deal
//  with possible extreme cases.
// 
//
//To create an instance of class vtkIncrementalOctreeNode, simply
//invoke its constructor as follows
//@[
//  obj = vtkIncrementalOctreeNode
//@]
//@@Methods
//The class vtkIncrementalOctreeNode has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIncrementalOctreeNode class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIncrementalOctreeNode = obj.NewInstance ()|
// \item @|vtkIncrementalOctreeNode = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfPoints ()| -  Get the number of points inside or under this node.
//// \item @|vtkIdList = obj.GetPointIdSet ()| -  Get the list of point indices, NULL for a non-leaf node.
//// \item @|obj.DeleteChildNodes ()| -  Delete the eight child nodes.
//// \item @|obj.SetBounds (double x1, double x2, double y1, double y2, double z1, double z2)| -  Set the spatial bounding box of the node. This function sets a default
// data bounding box.
//// \item @|obj.GetBounds (double bounds[6]) const| -  Get the spatial bounding box of the node. The values are returned via
// an array in order of: x_min, x_max, y_min, y_max, z_min, z_max.   
//// \item @|double = obj. GetMinBounds ()| -  Get access to MinBounds. Do not free this pointer.
//// \item @|double = obj. GetMaxBounds ()| -  Get access to MaxBounds. Do not free this pointer.
//// \item @|int = obj.IsLeaf ()| -  Determine which specific child / octant contains a given point. Note that
// the point is assumed to be inside this node and no checking is performed 
// on the inside issue.
//// \item @|int = obj.GetChildIndex (double point[3])| -  Determine which specific child / octant contains a given point. Note that
// the point is assumed to be inside this node and no checking is performed 
// on the inside issue.
//// \item @|vtkIncrementalOctreeNode = obj.GetChild (int i)| -  A point is in a node if and only if MinBounds[i] < p[i] <= MaxBounds[i],
// which allows a node to be divided into eight non-overlapping children.
//// \item @|int = obj.ContainsPoint (double pnt[3])| -  A point is in a node if and only if MinBounds[i] < p[i] <= MaxBounds[i],
// which allows a node to be divided into eight non-overlapping children.
//// \item @|int = obj.ContainsPointByData (double pnt[3])| -  A point is in a node, in terms of data, if and only if MinDataBounds[i]
// <= p[i] <= MaxDataBounds[i].
//// \item @|double = obj.GetDistance2ToInnerBoundary (double point[3], vtkIncrementalOctreeNode rootNode)| -  Given a point inside this node, get the minimum squared distance to all 
// inner boundaries. An inner boundary is a node's face that is shared by
// another non-root node. 
//// \item @|double = obj.GetDistance2ToBoundary (double point[3], vtkIncrementalOctreeNode rootNode, int checkData)| -  Compute the minimum squared distance from a point to this node, with all
// six boundaries considered. The data bounding box is checked if checkData
// is non-zero. 
//// \item @|double = obj.GetDistance2ToBoundary (double point[3], double closest[3], vtkIncrementalOctreeNode rootNode, int checkData)| -  Compute the minimum squared distance from a point to this node, with all
// six boundaries considered. The data bounding box is checked if checkData
// is non-zero. The closest on-boundary point is returned via closest.
//// \item @|obj.ExportAllPointIdsByInsertion (vtkIdList idList)| -  Export all the indices of the points (contained in or under this node) by
// inserting them to an allocated vtkIdList via vtkIdList::InsertNextId().
////\end{itemize}
//!
