#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIncrementalOctreePointLocator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIncrementalOctreePointLocator.h"

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:vtkIncrementalOctreePointLocator vtkIncrementalOctreePointLocatorConstructorFunction
//input a
//output p
//@@Parents vtkIncrementalOctreePointLocator vtkIncrementalPointLocator 
ArrayVector vtkIncrementalOctreePointLocatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIncrementalOctreePointLocator::New(),"vtkIncrementalOctreePointLocator",eval);
  } else if (arg[0].className() == "vtkIncrementalOctreePointLocator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIncrementalOctreePointLocator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIncrementalOctreePointLocator");
    vtkIncrementalOctreePointLocator*q = reinterpret_cast<vtkIncrementalOctreePointLocator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIncrementalOctreePointLocator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:GetClassName vtkIncrementalOctreePointLocatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreePointLocatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:IsA vtkIncrementalOctreePointLocatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreePointLocatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIncrementalOctreePointLocator requires 2 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:NewInstance vtkIncrementalOctreePointLocatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreePointLocatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalOctreePointLocator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtkIncrementalOctreePointLocator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalOctreePointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:SafeDownCast vtkIncrementalOctreePointLocatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreePointLocatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalOctreePointLocator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIncrementalOctreePointLocator requires 2 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIncrementalOctreePointLocator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalOctreePointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:SetMaxPointsPerLeaf vtkIncrementalOctreePointLocatorSetMaxPointsPerLeafFunction
//input a0 a1 
//output none
ArrayVector vtkIncrementalOctreePointLocatorSetMaxPointsPerLeafFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxPointsPerLeaf (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxPointsPerLeaf for class vtkIncrementalOctreePointLocator requires 2 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxPointsPerLeaf(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:GetMaxPointsPerLeafMinValue vtkIncrementalOctreePointLocatorGetMaxPointsPerLeafMinValueFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreePointLocatorGetMaxPointsPerLeafMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxPointsPerLeafMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxPointsPerLeafMinValue for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxPointsPerLeafMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:GetMaxPointsPerLeafMaxValue vtkIncrementalOctreePointLocatorGetMaxPointsPerLeafMaxValueFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreePointLocatorGetMaxPointsPerLeafMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxPointsPerLeafMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxPointsPerLeafMaxValue for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxPointsPerLeafMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:GetMaxPointsPerLeaf vtkIncrementalOctreePointLocatorGetMaxPointsPerLeafFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreePointLocatorGetMaxPointsPerLeafFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxPointsPerLeaf (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxPointsPerLeaf for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxPointsPerLeaf();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:SetBuildCubicOctree vtkIncrementalOctreePointLocatorSetBuildCubicOctreeFunction
//input a0 a1 
//output none
ArrayVector vtkIncrementalOctreePointLocatorSetBuildCubicOctreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBuildCubicOctree (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBuildCubicOctree for class vtkIncrementalOctreePointLocator requires 2 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBuildCubicOctree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:GetBuildCubicOctree vtkIncrementalOctreePointLocatorGetBuildCubicOctreeFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreePointLocatorGetBuildCubicOctreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBuildCubicOctree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBuildCubicOctree for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBuildCubicOctree();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:BuildCubicOctreeOn vtkIncrementalOctreePointLocatorBuildCubicOctreeOnFunction
//input a0 
//output none
ArrayVector vtkIncrementalOctreePointLocatorBuildCubicOctreeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildCubicOctreeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildCubicOctreeOn for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildCubicOctreeOn();
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:BuildCubicOctreeOff vtkIncrementalOctreePointLocatorBuildCubicOctreeOffFunction
//input a0 
//output none
ArrayVector vtkIncrementalOctreePointLocatorBuildCubicOctreeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildCubicOctreeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildCubicOctreeOff for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildCubicOctreeOff();
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:GetLocatorPoints vtkIncrementalOctreePointLocatorGetLocatorPointsFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreePointLocatorGetLocatorPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetLocatorPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocatorPoints for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetLocatorPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:Initialize vtkIncrementalOctreePointLocatorInitializeFunction
//input a0 
//output none
ArrayVector vtkIncrementalOctreePointLocatorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize ();this FreeSearchStructure  */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:FreeSearchStructure vtkIncrementalOctreePointLocatorFreeSearchStructureFunction
//input a0 
//output none
ArrayVector vtkIncrementalOctreePointLocatorFreeSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FreeSearchStructure (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeSearchStructure for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtk_pointer->FreeSearchStructure();
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:GetBounds__1 vtkIncrementalOctreePointLocatorGetBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkIncrementalOctreePointLocatorGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double *bounds); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__1 for class vtkIncrementalOctreePointLocator requires 2 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:GetNumberOfPoints vtkIncrementalOctreePointLocatorGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkIncrementalOctreePointLocatorGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:FindClosestInsertedPoint vtkIncrementalOctreePointLocatorFindClosestInsertedPointFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreePointLocatorFindClosestInsertedPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestInsertedPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindClosestInsertedPoint for class vtkIncrementalOctreePointLocator requires 2 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindClosestInsertedPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:GenerateRepresentation vtkIncrementalOctreePointLocatorGenerateRepresentationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkIncrementalOctreePointLocatorGenerateRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GenerateRepresentation (int nodeLevel, vtkPolyData *polysData); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateRepresentation for class vtkIncrementalOctreePointLocator requires 3 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->GenerateRepresentation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:BuildLocator vtkIncrementalOctreePointLocatorBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkIncrementalOctreePointLocatorBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkIncrementalOctreePointLocator requires 1 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:FindClosestPoint__1 vtkIncrementalOctreePointLocatorFindClosestPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreePointLocatorFindClosestPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindClosestPoint__1 for class vtkIncrementalOctreePointLocator requires 2 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindClosestPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:FindClosestPoint__2 vtkIncrementalOctreePointLocatorFindClosestPoint__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkIncrementalOctreePointLocatorFindClosestPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestPoint (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function FindClosestPoint__2 for class vtkIncrementalOctreePointLocator requires 4 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->FindClosestPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:FindClosestPoint__3 vtkIncrementalOctreePointLocatorFindClosestPoint__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkIncrementalOctreePointLocatorFindClosestPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestPoint (const double x[3], double *miniDist2); */
  if (arg.size() < 3) 
    throw Exception("Function FindClosestPoint__3 for class vtkIncrementalOctreePointLocator requires 3 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FindClosestPoint(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:FindClosestPoint__4 vtkIncrementalOctreePointLocatorFindClosestPoint__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkIncrementalOctreePointLocatorFindClosestPoint__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestPoint (double x, double y, double z, double *miniDist2); */
  if (arg.size() < 5) 
    throw Exception("Function FindClosestPoint__4 for class vtkIncrementalOctreePointLocator requires 5 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FindClosestPoint(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:FindPointsWithinRadius vtkIncrementalOctreePointLocatorFindPointsWithinRadiusFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkIncrementalOctreePointLocatorFindPointsWithinRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindPointsWithinRadius (double R, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindPointsWithinRadius for class vtkIncrementalOctreePointLocator requires 4 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindPointsWithinRadius(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:FindPointsWithinSquaredRadius vtkIncrementalOctreePointLocatorFindPointsWithinSquaredRadiusFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkIncrementalOctreePointLocatorFindPointsWithinSquaredRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FindPointsWithinSquaredRadius (double R2, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindPointsWithinSquaredRadius for class vtkIncrementalOctreePointLocator requires 4 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindPointsWithinSquaredRadius(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:FindClosestNPoints vtkIncrementalOctreePointLocatorFindClosestNPointsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkIncrementalOctreePointLocatorFindClosestNPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindClosestNPoints (int N, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindClosestNPoints for class vtkIncrementalOctreePointLocator requires 4 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindClosestNPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:InitPointInsertion__1 vtkIncrementalOctreePointLocatorInitPointInsertion__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkIncrementalOctreePointLocatorInitPointInsertion__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InitPointInsertion (vtkPoints *points, const double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function InitPointInsertion__1 for class vtkIncrementalOctreePointLocator requires 3 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  double temp1[6];
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->InitPointInsertion(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:InitPointInsertion__2 vtkIncrementalOctreePointLocatorInitPointInsertion__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkIncrementalOctreePointLocatorInitPointInsertion__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InitPointInsertion (vtkPoints *points, const double bounds[6], vtkIdType estSize); */
  if (arg.size() < 4) 
    throw Exception("Function InitPointInsertion__2 for class vtkIncrementalOctreePointLocator requires 4 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  double temp1[6];
  vtkIdType   temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[8].asDouble();
  temp20 = (vtk_pointer)->InitPointInsertion(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:IsInsertedPoint__1 vtkIncrementalOctreePointLocatorIsInsertedPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreePointLocatorIsInsertedPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType IsInsertedPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function IsInsertedPoint__1 for class vtkIncrementalOctreePointLocator requires 2 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->IsInsertedPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:IsInsertedPoint__2 vtkIncrementalOctreePointLocatorIsInsertedPoint__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkIncrementalOctreePointLocatorIsInsertedPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType IsInsertedPoint (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function IsInsertedPoint__2 for class vtkIncrementalOctreePointLocator requires 4 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->IsInsertedPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:InsertPoint vtkIncrementalOctreePointLocatorInsertPointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkIncrementalOctreePointLocatorInsertPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertPoint (vtkIdType ptId, const double x[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InsertPoint for class vtkIncrementalOctreePointLocator requires 3 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InsertPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:InsertNextPoint vtkIncrementalOctreePointLocatorInsertNextPointFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalOctreePointLocatorInsertNextPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType InsertNextPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextPoint for class vtkIncrementalOctreePointLocator requires 2 argument(s)");
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->InsertNextPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:GetBounds vtkIncrementalOctreePointLocatorGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkIncrementalOctreePointLocatorGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkIncrementalOctreePointLocatorGetBounds__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIncrementalOctreePointLocatorGetBounds");
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:FindClosestPoint vtkIncrementalOctreePointLocatorFindClosestPointFunction
//input varargin
//output varargout
ArrayVector vtkIncrementalOctreePointLocatorFindClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkIncrementalOctreePointLocatorFindClosestPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkIncrementalOctreePointLocatorFindClosestPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkIncrementalOctreePointLocatorFindClosestPoint__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkIncrementalOctreePointLocatorFindClosestPoint__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIncrementalOctreePointLocatorFindClosestPoint");
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:InitPointInsertion vtkIncrementalOctreePointLocatorInitPointInsertionFunction
//input varargin
//output varargout
ArrayVector vtkIncrementalOctreePointLocatorInitPointInsertionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkPoints") && VTKIsVectorArg(arg[2]))
    return vtkIncrementalOctreePointLocatorInitPointInsertion__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkPoints") && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkIncrementalOctreePointLocatorInitPointInsertion__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIncrementalOctreePointLocatorInitPointInsertion");
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:IsInsertedPoint vtkIncrementalOctreePointLocatorIsInsertedPointFunction
//input varargin
//output varargout
ArrayVector vtkIncrementalOctreePointLocatorIsInsertedPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkIncrementalOctreePointLocatorIsInsertedPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkIncrementalOctreePointLocatorIsInsertedPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIncrementalOctreePointLocatorIsInsertedPoint");
}

//@@Signature
//sfunction @vtkIncrementalOctreePointLocator:display vtkIncrementalOctreePointLocatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIncrementalOctreePointLocatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIncrementalOctreePointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalOctreePointLocator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIncrementalOctreePointLocator:delete vtkIncrementalOctreePointLocatorDeleteFunction
//input varargin
//output none
ArrayVector vtkIncrementalOctreePointLocatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIncrementalOctreePointLocator
//@@Section VTKFiltering
//@@Usage
//  As opposed to the uniform bin-based search structure (adopted in class
//  vtkPointLocator) with a fixed spatial resolution, an octree mechanism 
//  employs a hierarchy of tree-like sub-division of the 3D data domain. Thus
//  it enables data-aware multi-resolution and accordingly accelerated point
//  location as well as insertion, particularly when handling a radically 
//  imbalanced layout of points as not uncommon in datasets defined on 
//  adaptive meshes. Compared to a static point locator supporting pure
//  location functionalities through some search structure established from
//  a fixed set of points, an incremental point locator allows for, in addition,
//  point insertion capabilities, with the search structure maintaining a 
//  dynamically increasing number of points.
//  Class vtkIncrementalOctreePointLocator is an octree-based accelerated
//  implementation of the functionalities of the uniform bin-based incremental
//  point locator vtkPointLocator. For point location, an octree is built by
//  accessing a vtkDataSet, specifically a vtkPointSet. For point insertion,
//  an empty octree is inited and then incrementally populated as points are
//  inserted. Three increasingly complex point insertion modes, i.e., direct
//  check-free insertion, zero tolerance insertion, and non-zero tolerance 
//  insertion, are supported. In fact, the octree used in the point location
//  mode is actually constructed via direct check-free point insertion. This
//  class also provides a polygonal representation of the octree boundary.
//  
//
//To create an instance of class vtkIncrementalOctreePointLocator, simply
//invoke its constructor as follows
//@[
//  obj = vtkIncrementalOctreePointLocator
//@]
//@@Methods
//The class vtkIncrementalOctreePointLocator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIncrementalOctreePointLocator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIncrementalOctreePointLocator = obj.NewInstance ()|
// \item @|vtkIncrementalOctreePointLocator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMaxPointsPerLeaf (int )| -  Set/Get the maximum number of points that a leaf node may maintain.
// Note that the actual number of points maintained by a leaf node might
// exceed this threshold if there is a large number (equal to or greater
// than the threshold) of exactly duplicate points (with zero distance)
// to be inserted (e.g., to construct an octree for subsequent point 
// location) in extreme cases. Respecting this threshold in such scenarios
// would cause endless node sub-division. Thus this threshold is broken, but
// only in case of such situations.
//// \item @|int = obj.GetMaxPointsPerLeafMinValue ()| -  Set/Get the maximum number of points that a leaf node may maintain.
// Note that the actual number of points maintained by a leaf node might
// exceed this threshold if there is a large number (equal to or greater
// than the threshold) of exactly duplicate points (with zero distance)
// to be inserted (e.g., to construct an octree for subsequent point 
// location) in extreme cases. Respecting this threshold in such scenarios
// would cause endless node sub-division. Thus this threshold is broken, but
// only in case of such situations.
//// \item @|int = obj.GetMaxPointsPerLeafMaxValue ()| -  Set/Get the maximum number of points that a leaf node may maintain.
// Note that the actual number of points maintained by a leaf node might
// exceed this threshold if there is a large number (equal to or greater
// than the threshold) of exactly duplicate points (with zero distance)
// to be inserted (e.g., to construct an octree for subsequent point 
// location) in extreme cases. Respecting this threshold in such scenarios
// would cause endless node sub-division. Thus this threshold is broken, but
// only in case of such situations.
//// \item @|int = obj.GetMaxPointsPerLeaf ()| -  Set/Get the maximum number of points that a leaf node may maintain.
// Note that the actual number of points maintained by a leaf node might
// exceed this threshold if there is a large number (equal to or greater
// than the threshold) of exactly duplicate points (with zero distance)
// to be inserted (e.g., to construct an octree for subsequent point 
// location) in extreme cases. Respecting this threshold in such scenarios
// would cause endless node sub-division. Thus this threshold is broken, but
// only in case of such situations.
//// \item @|obj.SetBuildCubicOctree (int )| -  Set/Get whether the search octree is built as a cubic shape or not.
//// \item @|int = obj.GetBuildCubicOctree ()| -  Set/Get whether the search octree is built as a cubic shape or not.
//// \item @|obj.BuildCubicOctreeOn ()| -  Set/Get whether the search octree is built as a cubic shape or not.
//// \item @|obj.BuildCubicOctreeOff ()| -  Set/Get whether the search octree is built as a cubic shape or not.
//// \item @|vtkPoints = obj.GetLocatorPoints ()| -  Get access to the vtkPoints object in which point coordinates are stored
// for either point location or point insertion.
//// \item @|obj.Initialize ()| -  Delete the octree search structure. 
//// \item @|obj.FreeSearchStructure ()| -  Delete the octree search structure. 
//// \item @|obj.GetBounds (double bounds)| -  Get the spatial bounding box of the octree.
//// \item @|int = obj.GetNumberOfPoints ()| -  Get the number of points maintained by the octree.
//// \item @|vtkIdType = obj.FindClosestInsertedPoint (double x[3])| -  Given a point x assumed to be covered by the octree, return the index of
// the closest in-octree point regardless of the associated minimum squared
// distance relative to the squared insertion-tolerance distance. This method
// is used when performing incremental point insertion. Note -1 indicates that
// no point is found. InitPointInsertion() should have been called in advance.
//// \item @|obj.GenerateRepresentation (int nodeLevel, vtkPolyData polysData)| -  Create a polygonal representation of the octree boundary (from the root
// node to a specified level).
//// \item @|obj.BuildLocator ()| -  Load points from a dataset to construct an octree for point location. 
// This function resorts to InitPointInsertion() to fulfill some of the work.
//// \item @|vtkIdType = obj.FindClosestPoint (double x[3])| -  Given a point x, return the id of the closest point. BuildLocator() should
// have been called prior to this function. This method is thread safe if 
// BuildLocator() is directly or indirectly called from a single thread first.
//// \item @|vtkIdType = obj.FindClosestPoint (double x, double y, double z)| -  Given a point (x, y, z), return the id of the closest point. Note that
// BuildLocator() should have been called prior to this function. This method
// is thread safe if BuildLocator() is directly or indirectly called from a 
// single thread first.
//// \item @|vtkIdType = obj.FindClosestPoint (double x[3], double miniDist2)| -  Given a point x, return the id of the closest point and the associated
// minimum squared distance (via miniDist2). Note BuildLocator() should have
// been called prior to this function. This method is thread safe if 
// BuildLocator() is directly or indirectly called from a single thread first.
//// \item @|vtkIdType = obj.FindClosestPoint (double x, double y, double z, double miniDist2)| -  Given a point (x, y, z), return the id of the closest point and the
// associated minimum squared distance (via miniDist2). BuildLocator() should
// have been called prior to this function. This method is thread safe if 
// BuildLocator() is directly or indirectly called from a single thread first.
//// \item @|obj.FindPointsWithinRadius (double R, double x[3], vtkIdList result)| -  Find all points within a radius R relative to a given point x. The returned
// point ids (stored in result) are not sorted in any way. BuildLocator() should
// have been called prior to this function. This method is thread safe if 
// BuildLocator() is directly or indirectly called from a single thread first.
//// \item @|obj.FindPointsWithinSquaredRadius (double R2, double x[3], vtkIdList result)| -  Find all points within a squared radius R2 relative to a given point x. The
// returned point ids (stored in result) are not sorted in any way. BuildLocator()
// should have been called prior to this function. This method is thread safe if 
// BuildLocator() is directly or indirectly called from a single thread first.
//// \item @|obj.FindClosestNPoints (int N, double x[3], vtkIdList result)| -  Find the closest N points to a given point. The returned point ids (via 
// result) are sorted from closest to farthest. BuildLocator() should have 
// been called prior to this function. This method is thread safe if 
// BuildLocator() is directly or indirectly called from a single thread first.
//// \item @|int = obj.InitPointInsertion (vtkPoints points, double bounds[6])| -  Initialize the point insertion process. points is an object, storing 3D
// point coordinates, to which incremental point insertion put coordinates.
// It is created and provided by an external VTK class. Argument bounds
// represents the spatial bounding box, into which the points fall. In fact, 
// an adjusted version of the bounding box is used to build the octree to 
// make sure no any point (to be inserted) falls outside the octree. This
// function is not thread safe.
//// \item @|int = obj.InitPointInsertion (vtkPoints points, double bounds[6], vtkIdType estSize)| -  Initialize the point insertion process. points is an object, storing 3D
// point coordinates, to which incremental point insertion put coordinates.
// It is created and provided by an external VTK class. Argument bounds
// represents the spatial bounding box, into which the points fall. In fact, 
// an adjusted version of the bounding box is used to build the octree to 
// make sure no any point (to be inserted) falls outside the octree. Argument
// estSize specifies the initial estimated size of the vtkPoints object. This
// function is not thread safe.
//// \item @|vtkIdType = obj.IsInsertedPoint (double x[3])| -  Determine whether or not a given point has been inserted into the octree.
// Return the id of the already inserted point if true, otherwise return -1.
// InitPointInsertion() should have been called in advance.
//// \item @|vtkIdType = obj.IsInsertedPoint (double x, double y, double z)| -  Determine whether or not a given point has been inserted into the octree.
// Return the id of the already inserted point if true, otherwise return -1.
// InitPointInsertion() should have been called in advance.
//// \item @|obj.InsertPoint (vtkIdType ptId, double x[3])| -  Insert a given point into the octree with a specified point index ptId.
// InitPointInsertion() should have been called prior to this function. In 
// addition, IsInsertedPoint() should have been called in advance to ensure
// that the given point has not been inserted unless point duplication is 
// allowed (Note that in this case, this function involves a repeated leaf 
// container location). vtkPoints::InsertPoint() is invoked.
//// \item @|vtkIdType = obj.InsertNextPoint (double x[3])| -  Insert a given point into the octree and return the point index. Note that
// InitPointInsertion() should have been called prior to this function. In 
// addition, IsInsertedPoint() should have been called in advance to ensure 
// that the given point has not been inserted unless point duplication is 
// allowed (in this case, this function invovles a repeated leaf container 
// location). vtkPoints::InsertNextPoint() is invoked.
////\end{itemize}
//!
