#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIncrementalPointLocator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIncrementalPointLocator.h"

//@@Signature
//sfunction @vtkIncrementalPointLocator:vtkIncrementalPointLocator vtkIncrementalPointLocatorConstructorFunction
//input a
//output p
//@@Parents vtkIncrementalPointLocator vtkAbstractPointLocator 
ArrayVector vtkIncrementalPointLocatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIncrementalPointLocator::New(),"vtkIncrementalPointLocator",eval);
  } else if (arg[0].className() == "vtkIncrementalPointLocator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIncrementalPointLocator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIncrementalPointLocator");
    vtkIncrementalPointLocator*q = reinterpret_cast<vtkIncrementalPointLocator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIncrementalPointLocator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIncrementalPointLocator:GetClassName vtkIncrementalPointLocatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIncrementalPointLocatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIncrementalPointLocator requires 1 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:IsA vtkIncrementalPointLocatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalPointLocatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIncrementalPointLocator requires 2 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:NewInstance vtkIncrementalPointLocatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIncrementalPointLocatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIncrementalPointLocator requires 1 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:SafeDownCast vtkIncrementalPointLocatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalPointLocatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIncrementalPointLocator requires 2 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIncrementalPointLocator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:Initialize vtkIncrementalPointLocatorInitializeFunction
//input a0 
//output none
ArrayVector vtkIncrementalPointLocatorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkIncrementalPointLocator requires 1 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:FindClosestInsertedPoint vtkIncrementalPointLocatorFindClosestInsertedPointFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalPointLocatorFindClosestInsertedPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestInsertedPoint (const double x[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function FindClosestInsertedPoint for class vtkIncrementalPointLocator requires 2 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindClosestInsertedPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:InitPointInsertion__1 vtkIncrementalPointLocatorInitPointInsertion__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkIncrementalPointLocatorInitPointInsertion__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InitPointInsertion (vtkPoints *newPts, const double bounds[6]) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function InitPointInsertion__1 for class vtkIncrementalPointLocator requires 3 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  double temp1[6];
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->InitPointInsertion(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:InitPointInsertion__2 vtkIncrementalPointLocatorInitPointInsertion__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkIncrementalPointLocatorInitPointInsertion__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InitPointInsertion (vtkPoints *newPts, const double bounds[6], vtkIdType estSize) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function InitPointInsertion__2 for class vtkIncrementalPointLocator requires 4 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  double temp1[6];
  vtkIdType   temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[8].asDouble();
  temp20 = (vtk_pointer)->InitPointInsertion(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:IsInsertedPoint__1 vtkIncrementalPointLocatorIsInsertedPoint__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkIncrementalPointLocatorIsInsertedPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType IsInsertedPoint (double x, double y, double z) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function IsInsertedPoint__1 for class vtkIncrementalPointLocator requires 4 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->IsInsertedPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:IsInsertedPoint__2 vtkIncrementalPointLocatorIsInsertedPoint__2Function
//input a0 a1 
//output y
ArrayVector vtkIncrementalPointLocatorIsInsertedPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType IsInsertedPoint (const double x[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function IsInsertedPoint__2 for class vtkIncrementalPointLocator requires 2 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->IsInsertedPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:InsertPoint vtkIncrementalPointLocatorInsertPointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkIncrementalPointLocatorInsertPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertPoint (vtkIdType ptId, const double x[3]) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function InsertPoint for class vtkIncrementalPointLocator requires 3 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InsertPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:InsertNextPoint vtkIncrementalPointLocatorInsertNextPointFunction
//input a0 a1 
//output y
ArrayVector vtkIncrementalPointLocatorInsertNextPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType InsertNextPoint (const double x[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextPoint for class vtkIncrementalPointLocator requires 2 argument(s)");
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->InsertNextPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:InitPointInsertion vtkIncrementalPointLocatorInitPointInsertionFunction
//input varargin
//output varargout
ArrayVector vtkIncrementalPointLocatorInitPointInsertionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkPoints") && VTKIsVectorArg(arg[2]))
    return vtkIncrementalPointLocatorInitPointInsertion__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkPoints") && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkIncrementalPointLocatorInitPointInsertion__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIncrementalPointLocatorInitPointInsertion");
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:IsInsertedPoint vtkIncrementalPointLocatorIsInsertedPointFunction
//input varargin
//output varargout
ArrayVector vtkIncrementalPointLocatorIsInsertedPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkIncrementalPointLocatorIsInsertedPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkIncrementalPointLocatorIsInsertedPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIncrementalPointLocatorIsInsertedPoint");
}

//@@Signature
//sfunction @vtkIncrementalPointLocator:display vtkIncrementalPointLocatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIncrementalPointLocatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIncrementalPointLocator* vtk_pointer = GetVTKPointer<vtkIncrementalPointLocator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIncrementalPointLocator:delete vtkIncrementalPointLocatorDeleteFunction
//input varargin
//output none
ArrayVector vtkIncrementalPointLocatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIncrementalPointLocator
//@@Section VTKFiltering
//@@Usage
//  Compared to a static point locator for pure location functionalities 
//  through some search structure established from a fixed set of points,
//  an incremental point locator allows for, in addition, point insertion
//  capabilities, with the search structure maintaining a dynamically
//  increasing number of points. There are two incremental point locators,
//  i.e., vtkPointLocator and vtkIncrementalOctreePointLocator. As opposed
//  to the uniform bin-based search structure (adopted in vtkPointLocator)
//  with a fixed spatial resolution, an octree mechanism (employed in
//  vtkIncrementalOctreePointlocator) resorts to a hierarchy of tree-like
//  sub-division of the 3D data domain. Thus it enables data-aware multi-
//  resolution and accordingly accelerated point location as well as point
//  insertion, particularly when handling a radically imbalanced layout of
//  points as not uncommon in datasets defined on adaptive meshes. In other
//  words, vtkIncrementalOctreePointLocator is an octree-based accelerated
//  implementation of all functionalities of vtkPointLocator. 
//  
//
//To create an instance of class vtkIncrementalPointLocator, simply
//invoke its constructor as follows
//@[
//  obj = vtkIncrementalPointLocator
//@]
//@@Methods
//The class vtkIncrementalPointLocator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIncrementalPointLocator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIncrementalPointLocator = obj.NewInstance ()|
// \item @|vtkIncrementalPointLocator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Delete the search structure.
//// \item @|vtkIdType = obj.FindClosestInsertedPoint (double x[3])| -  Given a point x assumed to be covered by the search structure, return the
// index of the closest point (already inserted to the search structure) 
// regardless of the associated minimum squared distance relative to the 
// squared insertion-tolerance distance. This method is used when performing
// incremental point insertion. Note -1 indicates that no point is found. 
// InitPointInsertion() should have been called in advance.
//// \item @|int = obj.InitPointInsertion (vtkPoints newPts, double bounds[6])| -  Initialize the point insertion process. newPts is an object, storing 3D
// point coordinates, to which incremental point insertion puts coordinates.
// It is created and provided by an external VTK class. Argument bounds
// represents the spatial bounding box, into which the points fall.
//// \item @|int = obj.InitPointInsertion (vtkPoints newPts, double bounds[6], vtkIdType estSize)| -  Initialize the point insertion process. newPts is an object, storing 3D
// point coordinates, to which incremental point insertion puts coordinates.
// It is created and provided by an external VTK class. Argument bounds
// represents the spatial bounding box, into which the points fall.
//// \item @|vtkIdType = obj.IsInsertedPoint (double x, double y, double z)| -  Determine whether or not a given point has been inserted. Return the id of 
// the already inserted point if true, else return -1. InitPointInsertion()
// should have been called in advance.
//// \item @|vtkIdType = obj.IsInsertedPoint (double x[3])| -  Determine whether or not a given point has been inserted. Return the id of 
// the already inserted point if true, else return -1. InitPointInsertion()
// should have been called in advance.
//// \item @|obj.InsertPoint (vtkIdType ptId, double x[3])| -  Insert a given point with a specified point index ptId. InitPointInsertion()
// should have been called prior to this function. Also, IsInsertedPoint()
// should have been called in advance to ensure that the given point has not 
// been inserted unless point duplication is allowed.
//// \item @|vtkIdType = obj.InsertNextPoint (double x[3])| -  Insert a given point and return the point index. InitPointInsertion()
// should have been called prior to this function. Also, IsInsertedPoint() 
// should have been called in advance to ensure that the given point has not
// been inserted unless point duplication is allowed.
////\end{itemize}
//!
