#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInformationExecutivePortKey object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInformationExecutivePortKey.h"

//@@Signature
//sfunction @vtkInformationExecutivePortKey:vtkInformationExecutivePortKey vtkInformationExecutivePortKeyConstructorFunction
//input a
//output p
//@@Parents vtkInformationExecutivePortKey vtkInformationKey 
ArrayVector vtkInformationExecutivePortKeyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInformationExecutivePortKey::New(),"vtkInformationExecutivePortKey",eval);
  } else if (arg[0].className() == "vtkInformationExecutivePortKey") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInformationExecutivePortKey"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInformationExecutivePortKey");
    vtkInformationExecutivePortKey*q = reinterpret_cast<vtkInformationExecutivePortKey*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInformationExecutivePortKey");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInformationExecutivePortKey:GetClassName vtkInformationExecutivePortKeyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInformationExecutivePortKeyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInformationExecutivePortKey requires 1 argument(s)");
  vtkInformationExecutivePortKey* vtk_pointer = GetVTKPointer<vtkInformationExecutivePortKey>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationExecutivePortKey:IsA vtkInformationExecutivePortKeyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInformationExecutivePortKeyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInformationExecutivePortKey requires 2 argument(s)");
  vtkInformationExecutivePortKey* vtk_pointer = GetVTKPointer<vtkInformationExecutivePortKey>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationExecutivePortKey:NewInstance vtkInformationExecutivePortKeyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInformationExecutivePortKeyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationExecutivePortKey *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInformationExecutivePortKey requires 1 argument(s)");
  vtkInformationExecutivePortKey* vtk_pointer = GetVTKPointer<vtkInformationExecutivePortKey>(arg[0]);
  Array retval;
  vtkInformationExecutivePortKey  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationExecutivePortKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationExecutivePortKey:SafeDownCast vtkInformationExecutivePortKeySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInformationExecutivePortKeySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformationExecutivePortKey *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInformationExecutivePortKey requires 2 argument(s)");
  vtkInformationExecutivePortKey* vtk_pointer = GetVTKPointer<vtkInformationExecutivePortKey>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInformationExecutivePortKey  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationExecutivePortKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationExecutivePortKey:Set vtkInformationExecutivePortKeySetFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInformationExecutivePortKeySetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Set (vtkInformation *info, vtkExecutive *, int ); */
  if (arg.size() < 4) 
    throw Exception("Function Set for class vtkInformationExecutivePortKey requires 4 argument(s)");
  vtkInformationExecutivePortKey* vtk_pointer = GetVTKPointer<vtkInformationExecutivePortKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkExecutive  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkExecutive>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Set(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInformationExecutivePortKey:GetExecutive vtkInformationExecutivePortKeyGetExecutiveFunction
//input a0 a1 
//output y
ArrayVector vtkInformationExecutivePortKeyGetExecutiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExecutive *GetExecutive (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function GetExecutive for class vtkInformationExecutivePortKey requires 2 argument(s)");
  vtkInformationExecutivePortKey* vtk_pointer = GetVTKPointer<vtkInformationExecutivePortKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkExecutive  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->GetExecutive(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExecutive",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInformationExecutivePortKey:GetPort vtkInformationExecutivePortKeyGetPortFunction
//input a0 a1 
//output y
ArrayVector vtkInformationExecutivePortKeyGetPortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPort (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function GetPort for class vtkInformationExecutivePortKey requires 2 argument(s)");
  vtkInformationExecutivePortKey* vtk_pointer = GetVTKPointer<vtkInformationExecutivePortKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->GetPort(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInformationExecutivePortKey:ShallowCopy vtkInformationExecutivePortKeyShallowCopyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationExecutivePortKeyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkInformation *from, vtkInformation *to); */
  if (arg.size() < 3) 
    throw Exception("Function ShallowCopy for class vtkInformationExecutivePortKey requires 3 argument(s)");
  vtkInformationExecutivePortKey* vtk_pointer = GetVTKPointer<vtkInformationExecutivePortKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  vtk_pointer->ShallowCopy(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationExecutivePortKey:Report vtkInformationExecutivePortKeyReportFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInformationExecutivePortKeyReportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Report (vtkInformation *info, vtkGarbageCollector *collector); */
  if (arg.size() < 3) 
    throw Exception("Function Report for class vtkInformationExecutivePortKey requires 3 argument(s)");
  vtkInformationExecutivePortKey* vtk_pointer = GetVTKPointer<vtkInformationExecutivePortKey>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkGarbageCollector  *temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkGarbageCollector>(arg[2]);
  vtk_pointer->Report(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInformationExecutivePortKey:display vtkInformationExecutivePortKeyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInformationExecutivePortKeyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInformationExecutivePortKey* vtk_pointer = GetVTKPointer<vtkInformationExecutivePortKey>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInformationExecutivePortKey:delete vtkInformationExecutivePortKeyDeleteFunction
//input varargin
//output none
ArrayVector vtkInformationExecutivePortKeyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInformationExecutivePortKey
//@@Section VTKFiltering
//@@Usage
// vtkInformationExecutivePortKey is used to represent keys in
// vtkInformation for values that are vtkExecutive instances paired
// with port numbers.
//
//To create an instance of class vtkInformationExecutivePortKey, simply
//invoke its constructor as follows
//@[
//  obj = vtkInformationExecutivePortKey
//@]
//@@Methods
//The class vtkInformationExecutivePortKey has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInformationExecutivePortKey class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInformationExecutivePortKey = obj.NewInstance ()|
// \item @|vtkInformationExecutivePortKey = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformationExecutivePortKey = obj.(string name, string location)|
// \item @|~vtkInformationExecutivePortKey = obj.()|
// \item @|obj.Set (vtkInformation info, vtkExecutive , int )| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|vtkExecutive = obj.GetExecutive (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|int = obj.GetPort (vtkInformation info)| -  Get/Set the value associated with this key in the given
// information object.
//// \item @|obj.ShallowCopy (vtkInformation from, vtkInformation to)| -  Copy the entry associated with this key from one information
// object to another.  If there is no entry in the first information
// object for this key, the value is removed from the second.
//// \item @|obj.Report (vtkInformation info, vtkGarbageCollector collector)| -  Report a reference this key has in the given information object.
////\end{itemize}
//!
