#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInterpolatedVelocityField object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInterpolatedVelocityField.h"

//@@Signature
//sfunction @vtkInterpolatedVelocityField:vtkInterpolatedVelocityField vtkInterpolatedVelocityFieldConstructorFunction
//input a
//output p
//@@Parents vtkInterpolatedVelocityField vtkAbstractInterpolatedVelocityField 
ArrayVector vtkInterpolatedVelocityFieldConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInterpolatedVelocityField::New(),"vtkInterpolatedVelocityField",eval);
  } else if (arg[0].className() == "vtkInterpolatedVelocityField") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInterpolatedVelocityField"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInterpolatedVelocityField");
    vtkInterpolatedVelocityField*q = reinterpret_cast<vtkInterpolatedVelocityField*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInterpolatedVelocityField");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInterpolatedVelocityField:GetClassName vtkInterpolatedVelocityFieldGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInterpolatedVelocityFieldGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInterpolatedVelocityField requires 1 argument(s)");
  vtkInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkInterpolatedVelocityField>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatedVelocityField:IsA vtkInterpolatedVelocityFieldIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInterpolatedVelocityFieldIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInterpolatedVelocityField requires 2 argument(s)");
  vtkInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatedVelocityField:NewInstance vtkInterpolatedVelocityFieldNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInterpolatedVelocityFieldNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInterpolatedVelocityField *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInterpolatedVelocityField requires 1 argument(s)");
  vtkInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkInterpolatedVelocityField  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInterpolatedVelocityField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatedVelocityField:SafeDownCast vtkInterpolatedVelocityFieldSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInterpolatedVelocityFieldSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInterpolatedVelocityField *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInterpolatedVelocityField requires 2 argument(s)");
  vtkInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInterpolatedVelocityField  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInterpolatedVelocityField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatedVelocityField:AddDataSet vtkInterpolatedVelocityFieldAddDataSetFunction
//input a0 a1 
//output none
ArrayVector vtkInterpolatedVelocityFieldAddDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddDataSet (vtkDataSet *dataset); */
  if (arg.size() < 2) 
    throw Exception("Function AddDataSet for class vtkInterpolatedVelocityField requires 2 argument(s)");
  vtkInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->AddDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatedVelocityField:FunctionValues__1 vtkInterpolatedVelocityFieldFunctionValues__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkInterpolatedVelocityFieldFunctionValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int FunctionValues (double *x, double *f); */
  if (arg.size() < 3) 
    throw Exception("Function FunctionValues__1 for class vtkInterpolatedVelocityField requires 3 argument(s)");
  vtkInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FunctionValues(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatedVelocityField:SetLastCellId__1 vtkInterpolatedVelocityFieldSetLastCellId__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkInterpolatedVelocityFieldSetLastCellId__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLastCellId (vtkIdType c, int dataindex); */
  if (arg.size() < 3) 
    throw Exception("Function SetLastCellId__1 for class vtkInterpolatedVelocityField requires 3 argument(s)");
  vtkInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetLastCellId(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatedVelocityField:SetLastCellId__2 vtkInterpolatedVelocityFieldSetLastCellId__2Function
//input a0 a1 
//output none
ArrayVector vtkInterpolatedVelocityFieldSetLastCellId__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLastCellId (vtkIdType c);this Superclass SetLastCellId c  */
  if (arg.size() < 2) 
    throw Exception("Function SetLastCellId__2 for class vtkInterpolatedVelocityField requires 2 argument(s)");
  vtkInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLastCellId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatedVelocityField:FunctionValues vtkInterpolatedVelocityFieldFunctionValuesFunction
//input varargin
//output varargout
ArrayVector vtkInterpolatedVelocityFieldFunctionValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkInterpolatedVelocityFieldFunctionValues__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInterpolatedVelocityFieldFunctionValues");
}

//@@Signature
//sfunction @vtkInterpolatedVelocityField:SetLastCellId vtkInterpolatedVelocityFieldSetLastCellIdFunction
//input varargin
//output varargout
ArrayVector vtkInterpolatedVelocityFieldSetLastCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkInterpolatedVelocityFieldSetLastCellId__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkInterpolatedVelocityFieldSetLastCellId__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInterpolatedVelocityFieldSetLastCellId");
}

//@@Signature
//sfunction @vtkInterpolatedVelocityField:display vtkInterpolatedVelocityFieldDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInterpolatedVelocityFieldDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkInterpolatedVelocityField>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInterpolatedVelocityField:delete vtkInterpolatedVelocityFieldDeleteFunction
//input varargin
//output none
ArrayVector vtkInterpolatedVelocityFieldDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInterpolatedVelocityField
//@@Section VTKFiltering
//@@Usage
//  vtkInterpolatedVelocityField acts as a continuous velocity field via
//  cell interpolation on a vtkDataSet, NumberOfIndependentVariables = 4
//  (x,y,z,t) and NumberOfFunctions = 3 (u,v,w). As a concrete sub-class 
//  of vtkAbstractInterpolatedVelocityField, this class adopts two levels 
//  of cell caching for faster though less robust cell location than its 
//  sibling class vtkCellLocatorInterpolatedVelocityField. Level #0 begins 
//  with intra-cell caching. Specifically, if the previous cell is valid 
//  and the nex point is still within it, ( vtkCell::EvaluatePosition() 
//  returns 1, coupled with the new parametric coordinates and weights ), 
//  the function values are interpolated and vtkCell::EvaluatePosition() 
//  is invoked only. If it fails, level #1 follows by inter-cell location 
//  of the target cell (that contains the next point). By inter-cell, the 
//  previous cell gives an important clue / guess or serves as an immediate
//  neighbor to aid in the location of the target cell (as is typically the 
//  case with integrating a streamline across cells) by means of vtkDataSet::
//  FindCell(). If this still fails, a global cell search is invoked via 
//  vtkDataSet::FindCell(). 
//  
//  Regardless of inter-cell or global search, vtkPointLocator is employed 
//  as a crucial tool underlying the cell locator. The use of vtkPointLocator
//  casues vtkInterpolatedVelocityField to return false target cells for 
//  datasets defined on complex grids.
//
//
//To create an instance of class vtkInterpolatedVelocityField, simply
//invoke its constructor as follows
//@[
//  obj = vtkInterpolatedVelocityField
//@]
//@@Methods
//The class vtkInterpolatedVelocityField has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInterpolatedVelocityField class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInterpolatedVelocityField = obj.NewInstance ()|
// \item @|vtkInterpolatedVelocityField = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddDataSet (vtkDataSet dataset)| -  Add a dataset used for the implicit function evaluation. If more than
// one dataset is added, the evaluation point is searched in all until a 
// match is found. THIS FUNCTION DOES NOT CHANGE THE REFERENCE COUNT OF 
// DATASET FOR THREAD SAFETY REASONS.
//// \item @|int = obj.FunctionValues (double x, double f)| -  Evaluate the velocity field f at point (x, y, z).
//// \item @|obj.SetLastCellId (vtkIdType c, int dataindex)| -  Set the cell id cached by the last evaluation within a specified dataset.
//// \item @|obj.SetLastCellId (vtkIdType c)|
//\end{itemize}
//!
