#include "VTKWrap.hpp"

// FreeMat wrapper for vtkKdNode object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkKdNode.h"

//@@Signature
//sfunction @vtkKdNode:vtkKdNode vtkKdNodeConstructorFunction
//input a
//output p
//@@Parents vtkKdNode vtkObject 
ArrayVector vtkKdNodeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkKdNode::New(),"vtkKdNode",eval);
  } else if (arg[0].className() == "vtkKdNode") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkKdNode"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkKdNode");
    vtkKdNode*q = reinterpret_cast<vtkKdNode*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkKdNode");
    return ret;
  }
}
//@@Signature
//sfunction @vtkKdNode:GetClassName vtkKdNodeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:IsA vtkKdNodeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkKdNodeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:NewInstance vtkKdNodeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkKdNodeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdNode *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkKdNode  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SafeDownCast vtkKdNodeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkKdNodeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdNode *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkKdNode  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetDim vtkKdNodeSetDimFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetDimFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDim (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDim for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDim(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetDim vtkKdNodeGetDimFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetDimFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDim (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDim for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDim();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetDivisionPosition vtkKdNodeGetDivisionPositionFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetDivisionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetDivisionPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDivisionPosition for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDivisionPosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetNumberOfPoints vtkKdNodeSetNumberOfPointsFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPoints for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetNumberOfPoints vtkKdNodeGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetBounds__1 vtkKdNodeSetBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkKdNodeSetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double x1, double x2, double y1, double y2, double z1, double z2); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds__1 for class vtkKdNode requires 7 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetBounds__2 vtkKdNodeSetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double b[6]);this SetBounds b b b b b b  */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds__2 for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetBounds vtkKdNodeGetBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double *b) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetDataBounds__1 vtkKdNodeSetDataBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkKdNodeSetDataBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataBounds (double x1, double x2, double y1, double y2, double z1, double z2); */
  if (arg.size() < 7) 
    throw Exception("Function SetDataBounds__1 for class vtkKdNode requires 7 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetDataBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetDataBounds vtkKdNodeGetDataBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeGetDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDataBounds (double *b) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetDataBounds for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetDataBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetDataBounds__2 vtkKdNodeSetDataBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetDataBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataBounds (float *v); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataBounds__2 for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  float   *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  vtk_pointer->SetDataBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetMinBounds vtkKdNodeGetMinBoundsFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetMinBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetMinBounds ();return this Min  */
  if (arg.size() < 1) 
    throw Exception("Function GetMinBounds for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMinBounds();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetMaxBounds vtkKdNodeGetMaxBoundsFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetMaxBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetMaxBounds ();return this Max  */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxBounds for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMaxBounds();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetMinBounds vtkKdNodeSetMinBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetMinBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinBounds (double *mb); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinBounds for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->SetMinBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetMaxBounds vtkKdNodeSetMaxBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetMaxBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxBounds (double *mb); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxBounds for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->SetMaxBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetMinDataBounds vtkKdNodeGetMinDataBoundsFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetMinDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetMinDataBounds ();return this MinVal  */
  if (arg.size() < 1) 
    throw Exception("Function GetMinDataBounds for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMinDataBounds();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetMaxDataBounds vtkKdNodeGetMaxDataBoundsFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetMaxDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetMaxDataBounds ();return this MaxVal  */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxDataBounds for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMaxDataBounds();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetMinDataBounds vtkKdNodeSetMinDataBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetMinDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinDataBounds (double *mb); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinDataBounds for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->SetMinDataBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetMaxDataBounds vtkKdNodeSetMaxDataBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetMaxDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxDataBounds (double *mb); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxDataBounds for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->SetMaxDataBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetID vtkKdNodeSetIDFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetID (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetID for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetID(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetID vtkKdNodeGetIDFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetID for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetMinID vtkKdNodeGetMinIDFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetMinIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinID for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetMaxID vtkKdNodeGetMaxIDFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetMaxIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxID for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetMinID vtkKdNodeSetMinIDFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetMinIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinID (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinID for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinID(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetMaxID vtkKdNodeSetMaxIDFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetMaxIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxID (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxID for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxID(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:AddChildNodes vtkKdNodeAddChildNodesFunction
//input a0 a1 a2 
//output none
ArrayVector vtkKdNodeAddChildNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddChildNodes (vtkKdNode *left, vtkKdNode *right); */
  if (arg.size() < 3) 
    throw Exception("Function AddChildNodes for class vtkKdNode requires 3 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkKdNode  *temp0;
  vtkKdNode  *temp1;
  temp0 = GetVTKPointer<vtkKdNode>(arg[1]);
  temp1 = GetVTKPointer<vtkKdNode>(arg[2]);
  vtk_pointer->AddChildNodes(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:DeleteChildNodes vtkKdNodeDeleteChildNodesFunction
//input a0 
//output none
ArrayVector vtkKdNodeDeleteChildNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteChildNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteChildNodes for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtk_pointer->DeleteChildNodes();
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetLeft vtkKdNodeGetLeftFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdNode *GetLeft (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeft for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkKdNode  *temp20;
  temp20 = (vtk_pointer)->GetLeft();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetLeft vtkKdNodeSetLeftFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeft (vtkKdNode *left); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeft for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkKdNode  *temp0;
  temp0 = GetVTKPointer<vtkKdNode>(arg[1]);
  vtk_pointer->SetLeft(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetRight vtkKdNodeGetRightFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetRightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdNode *GetRight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRight for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkKdNode  *temp20;
  temp20 = (vtk_pointer)->GetRight();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetRight vtkKdNodeSetRightFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetRightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRight (vtkKdNode *right); */
  if (arg.size() < 2) 
    throw Exception("Function SetRight for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkKdNode  *temp0;
  temp0 = GetVTKPointer<vtkKdNode>(arg[1]);
  vtk_pointer->SetRight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetUp vtkKdNodeGetUpFunction
//input a0 
//output y
ArrayVector vtkKdNodeGetUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdNode *GetUp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUp for class vtkKdNode requires 1 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkKdNode  *temp20;
  temp20 = (vtk_pointer)->GetUp();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetUp vtkKdNodeSetUpFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodeSetUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUp (vtkKdNode *up); */
  if (arg.size() < 2) 
    throw Exception("Function SetUp for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkKdNode  *temp0;
  temp0 = GetVTKPointer<vtkKdNode>(arg[1]);
  vtk_pointer->SetUp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:IntersectsBox vtkKdNodeIntersectsBoxFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkKdNodeIntersectsBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsBox (double x1, double x2, double y1, double y2, double z1, double z2, int useDataBounds); */
  if (arg.size() < 8) 
    throw Exception("Function IntersectsBox for class vtkKdNode requires 8 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:IntersectsSphere2 vtkKdNodeIntersectsSphere2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkKdNodeIntersectsSphere2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsSphere2 (double x, double y, double z, double rSquared, int useDataBounds); */
  if (arg.size() < 6) 
    throw Exception("Function IntersectsSphere2 for class vtkKdNode requires 6 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->IntersectsSphere2(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:IntersectsRegion vtkKdNodeIntersectsRegionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkKdNodeIntersectsRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsRegion (vtkPlanesIntersection *pi, int useDataBounds); */
  if (arg.size() < 3) 
    throw Exception("Function IntersectsRegion for class vtkKdNode requires 3 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkPlanesIntersection  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkPlanesIntersection>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->IntersectsRegion(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:IntersectsCell vtkKdNodeIntersectsCellFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkKdNodeIntersectsCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsCell (vtkCell *cell, int useDataBounds, int cellRegion, double *cellBoundsNULL); */
  if (arg.size() < 5) 
    throw Exception("Function IntersectsCell for class vtkKdNode requires 5 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  int      temp1;
  int      temp2;
  double  *temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->IntersectsCell(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:ContainsBox vtkKdNodeContainsBoxFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkKdNodeContainsBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ContainsBox (double x1, double x2, double y1, double y2, double z1, double z2, int useDataBounds); */
  if (arg.size() < 8) 
    throw Exception("Function ContainsBox for class vtkKdNode requires 8 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->ContainsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:ContainsPoint vtkKdNodeContainsPointFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkKdNodeContainsPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ContainsPoint (double x, double y, double z, int useDataBounds); */
  if (arg.size() < 5) 
    throw Exception("Function ContainsPoint for class vtkKdNode requires 5 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->ContainsPoint(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetDistance2ToBoundary__1 vtkKdNodeGetDistance2ToBoundary__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkKdNodeGetDistance2ToBoundary__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance2ToBoundary (double x, double y, double z, int useDataBounds); */
  if (arg.size() < 5) 
    throw Exception("Function GetDistance2ToBoundary__1 for class vtkKdNode requires 5 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->GetDistance2ToBoundary(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetDistance2ToBoundary__2 vtkKdNodeGetDistance2ToBoundary__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkKdNodeGetDistance2ToBoundary__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance2ToBoundary (double x, double y, double z, double *boundaryPt, int useDataBounds); */
  if (arg.size() < 6) 
    throw Exception("Function GetDistance2ToBoundary__2 for class vtkKdNode requires 6 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  int      temp4;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->GetDistance2ToBoundary(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:GetDistance2ToInnerBoundary vtkKdNodeGetDistance2ToInnerBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkKdNodeGetDistance2ToInnerBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance2ToInnerBoundary (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function GetDistance2ToInnerBoundary for class vtkKdNode requires 4 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetDistance2ToInnerBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:PrintNode vtkKdNodePrintNodeFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodePrintNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrintNode (int depth); */
  if (arg.size() < 2) 
    throw Exception("Function PrintNode for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->PrintNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:PrintVerboseNode vtkKdNodePrintVerboseNodeFunction
//input a0 a1 
//output none
ArrayVector vtkKdNodePrintVerboseNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrintVerboseNode (int depth); */
  if (arg.size() < 2) 
    throw Exception("Function PrintVerboseNode for class vtkKdNode requires 2 argument(s)");
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->PrintVerboseNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdNode:SetBounds vtkKdNodeSetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkKdNodeSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkKdNodeSetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkKdNodeSetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdNodeSetBounds");
}

//@@Signature
//sfunction @vtkKdNode:SetDataBounds vtkKdNodeSetDataBoundsFunction
//input varargin
//output varargout
ArrayVector vtkKdNodeSetDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkKdNodeSetDataBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkKdNodeSetDataBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdNodeSetDataBounds");
}

//@@Signature
//sfunction @vtkKdNode:GetDistance2ToBoundary vtkKdNodeGetDistance2ToBoundaryFunction
//input varargin
//output varargout
ArrayVector vtkKdNodeGetDistance2ToBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkKdNodeGetDistance2ToBoundary__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkKdNodeGetDistance2ToBoundary__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdNodeGetDistance2ToBoundary");
}

//@@Signature
//sfunction @vtkKdNode:display vtkKdNodeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkKdNodeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkKdNode* vtk_pointer = GetVTKPointer<vtkKdNode>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkKdNode:delete vtkKdNodeDeleteFunction
//input varargin
//output none
ArrayVector vtkKdNodeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkKdNode
//@@Section VTKFiltering
//@@Usage
//     
//
//To create an instance of class vtkKdNode, simply
//invoke its constructor as follows
//@[
//  obj = vtkKdNode
//@]
//@@Methods
//The class vtkKdNode has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkKdNode class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkKdNode = obj.NewInstance ()|
// \item @|vtkKdNode = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDim (int )| -  Set/Get the dimension along which this region is divided.
// (0 - x, 1 - y, 2 - z, 3 - leaf node (default)).
//// \item @|int = obj.GetDim ()| -  Set/Get the dimension along which this region is divided.
// (0 - x, 1 - y, 2 - z, 3 - leaf node (default)).
//// \item @|double = obj.GetDivisionPosition ()| -  Get the location of the division plane along the axis the region
// is divided.  See also GetDim().  The result is undertermined if
// this node is not divided (a leaf node).
//// \item @|obj.SetNumberOfPoints (int )| -  Set/Get the number of points contained in this region.
//// \item @|int = obj.GetNumberOfPoints ()| -  Set/Get the number of points contained in this region.
//// \item @|obj.SetBounds (double x1, double x2, double y1, double y2, double z1, double z2)| -    Set/Get the bounds of the spatial region represented by this node.
//   Caller allocates storage for 6-vector in GetBounds.
//// \item @|obj.SetBounds (double b[6])| -    Set/Get the bounds of the spatial region represented by this node.
//   Caller allocates storage for 6-vector in GetBounds.
//// \item @|obj.GetBounds (double b) const| -    Set/Get the bounds of the spatial region represented by this node.
//   Caller allocates storage for 6-vector in GetBounds.
//// \item @|obj.SetDataBounds (double x1, double x2, double y1, double y2, double z1, double z2)| -    Set/Get the bounds of the points contained in this spatial region.
//   This may be smaller than the bounds of the region itself.
//   Caller allocates storage for 6-vector in GetDataBounds.
//// \item @|obj.GetDataBounds (double b) const| -    Set/Get the bounds of the points contained in this spatial region.
//   This may be smaller than the bounds of the region itself.
//   Caller allocates storage for 6-vector in GetDataBounds.
//// \item @|obj.SetDataBounds (float v)| -    Given a pointer to NumberOfPoints points, set the DataBounds of this
//   node to the bounds of these points.
//// \item @|double = obj.GetMinBounds ()| -    Get a pointer to the 3 bound minima (xmin, ymin and zmin) or the
//   3 bound maxima (xmax, ymax, zmax).  Don't free this pointer.
//// \item @|double = obj.GetMaxBounds ()| -    Set the xmin, ymin and zmin value of the bounds of this region
//// \item @|obj.SetMinBounds (double mb)| -    Set the xmin, ymin and zmin value of the bounds of this region
//// \item @|obj.SetMaxBounds (double mb)| -    Set the xmax, ymax and zmax value of the bounds of this region
//// \item @|double = obj.GetMinDataBounds ()| -    Get a pointer to the 3 data bound minima (xmin, ymin and zmin) or the
//   3 data bound maxima (xmax, ymax, zmax).  Don't free this pointer.
//// \item @|double = obj.GetMaxDataBounds ()| -    Set the xmin, ymin and zmin value of the bounds of this 
//   data within this region
//// \item @|obj.SetMinDataBounds (double mb)| -    Set the xmin, ymin and zmin value of the bounds of this 
//   data within this region
//// \item @|obj.SetMaxDataBounds (double mb)| -    Set the xmax, ymax and zmax value of the bounds of this 
//   data within this region
//// \item @|obj.SetID (int )| -    Set/Get the ID associated with the region described by this node.  If
//   this is not a leaf node, this value should be -1.
//// \item @|int = obj.GetID ()| -    Set/Get the ID associated with the region described by this node.  If
//   this is not a leaf node, this value should be -1.
//// \item @|int = obj.GetMinID ()| -    If this node is not a leaf node, there are leaf nodes below it whose
//   regions represent a partitioning of this region.  The IDs of these
//   leaf nodes form a contigous set.  Set/Get the range of the IDs of
//   the leaf nodes below this node.  If this is already a leaf node, these
//   values should be the same as the ID.
//// \item @|int = obj.GetMaxID ()| -    If this node is not a leaf node, there are leaf nodes below it whose
//   regions represent a partitioning of this region.  The IDs of these
//   leaf nodes form a contigous set.  Set/Get the range of the IDs of
//   the leaf nodes below this node.  If this is already a leaf node, these
//   values should be the same as the ID.
//// \item @|obj.SetMinID (int )| -    If this node is not a leaf node, there are leaf nodes below it whose
//   regions represent a partitioning of this region.  The IDs of these
//   leaf nodes form a contigous set.  Set/Get the range of the IDs of
//   the leaf nodes below this node.  If this is already a leaf node, these
//   values should be the same as the ID.
//// \item @|obj.SetMaxID (int )| -    If this node is not a leaf node, there are leaf nodes below it whose
//   regions represent a partitioning of this region.  The IDs of these
//   leaf nodes form a contigous set.  Set/Get the range of the IDs of
//   the leaf nodes below this node.  If this is already a leaf node, these
//   values should be the same as the ID.
//// \item @|obj.AddChildNodes (vtkKdNode left, vtkKdNode right)| -    Add the left and right children.
//// \item @|obj.DeleteChildNodes ()| -    Delete the left and right children.
//// \item @|vtkKdNode = obj.GetLeft ()| -    Set/Get a pointer to the left child of this node.
//// \item @|obj.SetLeft (vtkKdNode left)| -    Set/Get a pointer to the left child of this node.
//// \item @|vtkKdNode = obj.GetRight ()| -    Set/Get a pointer to the right child of this node.
//// \item @|obj.SetRight (vtkKdNode right)| -    Set/Get a pointer to the right child of this node.
//// \item @|vtkKdNode = obj.GetUp ()| -    Set/Get a pointer to the parent of this node.
//// \item @|obj.SetUp (vtkKdNode up)| -    Set/Get a pointer to the parent of this node.
//// \item @|int = obj.IntersectsBox (double x1, double x2, double y1, double y2, double z1, double z2, int useDataBounds)| -    Return 1 if this spatial region intersects the axis-aligned box given
//   by the bounds passed in.  Use the possibly smaller bounds of the points
//   within the region if useDataBounds is non-zero.
//// \item @|int = obj.IntersectsSphere2 (double x, double y, double z, double rSquared, int useDataBounds)| -    Return 1 if this spatial region intersects a sphere described by
//   it's center and the square of it's radius. Use the possibly smaller 
//   bounds of the points within the region if useDataBounds is non-zero.
//// \item @|int = obj.IntersectsRegion (vtkPlanesIntersection pi, int useDataBounds)| -    A vtkPlanesIntersection object represents a convex 3D region bounded
//   by planes, and it is capable of computing intersections of
//   boxes with itself.  Return 1 if this spatial region intersects
//   the spatial region described by the vtkPlanesIntersection object.
//   Use the possibly smaller bounds of the points within the region 
//   if useDataBounds is non-zero.
//// \item @|int = obj.IntersectsCell (vtkCell cell, int useDataBounds, int cellRegion, double cellBoundsNULL)| -    Return 1 if the cell specified intersects this region.  If you
//   already know the ID of the region containing the cell's centroid,
//   provide that as an argument.  If you already know the bounds of the
//   cell, provide that as well, in the form of xmin,xmax,ymin,ymax,zmin,
//   zmax.  Either of these may speed the calculation.
//   Use the possibly smaller bounds of the points within the region 
//   if useDataBounds is non-zero.
//// \item @|int = obj.ContainsBox (double x1, double x2, double y1, double y2, double z1, double z2, int useDataBounds)| -    Return 1 if this spatial region entirely contains a box specified
//   by it's bounds. Use the possibly smaller 
//   bounds of the points within the region if useDataBounds is non-zero.
//// \item @|int = obj.ContainsPoint (double x, double y, double z, int useDataBounds)| -    Return 1 if this spatial region entirely contains the given point.
//   Use the possibly smaller bounds of the points within the region 
//   if useDataBounds is non-zero.
//// \item @|double = obj.GetDistance2ToBoundary (double x, double y, double z, int useDataBounds)| -    Calculate the distance squared from any point to the boundary of this
//   region.  Use the boundary of the points within the region if useDataBounds
//   is non-zero.
//// \item @|double = obj.GetDistance2ToBoundary (double x, double y, double z, double boundaryPt, int useDataBounds)| -    Calculate the distance squared from any point to the boundary of this
//   region.  Use the boundary of the points within the region if useDataBounds
//   is non-zero.  Set boundaryPt to the point on the boundary.
//// \item @|double = obj.GetDistance2ToInnerBoundary (double x, double y, double z)| -    Calculate the distance from the specified point (which is required to
//   be inside this spatial region) to an interior boundary.  An interior
//   boundary is one that is not also an boundary of the entire space
//   partitioned by the tree of vtkKdNode's.
//// \item @|obj.PrintNode (int depth)| -    For debugging purposes, print out this node.
//// \item @|obj.PrintVerboseNode (int depth)| -    For debugging purposes, print out this node.
////\end{itemize}
//!
