#include "VTKWrap.hpp"

// FreeMat wrapper for vtkKdTree object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkKdTree.h"

//@@Signature
//sfunction @vtkKdTree:vtkKdTree vtkKdTreeConstructorFunction
//input a
//output p
//@@Parents vtkKdTree vtkLocator 
ArrayVector vtkKdTreeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkKdTree::New(),"vtkKdTree",eval);
  } else if (arg[0].className() == "vtkKdTree") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkKdTree"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkKdTree");
    vtkKdTree*q = reinterpret_cast<vtkKdTree*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkKdTree");
    return ret;
  }
}
//@@Signature
//sfunction @vtkKdTree:GetClassName vtkKdTreeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:IsA vtkKdTreeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:NewInstance vtkKdTreeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkKdTreeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdTree *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkKdTree  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SafeDownCast vtkKdTreeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdTree *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkKdTree  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:TimingOn vtkKdTreeTimingOnFunction
//input a0 
//output none
ArrayVector vtkKdTreeTimingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TimingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TimingOn for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->TimingOn();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:TimingOff vtkKdTreeTimingOffFunction
//input a0 
//output none
ArrayVector vtkKdTreeTimingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TimingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TimingOff for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->TimingOff();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetTiming vtkKdTreeSetTimingFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSetTimingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTiming (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTiming for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTiming(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetTiming vtkKdTreeGetTimingFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetTimingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTiming (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTiming for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTiming();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetMinCells vtkKdTreeSetMinCellsFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSetMinCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinCells for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetMinCells vtkKdTreeGetMinCellsFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetMinCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinCells for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetNumberOfRegionsOrLess vtkKdTreeGetNumberOfRegionsOrLessFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetNumberOfRegionsOrLessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRegionsOrLess (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRegionsOrLess for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRegionsOrLess();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetNumberOfRegionsOrLess vtkKdTreeSetNumberOfRegionsOrLessFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSetNumberOfRegionsOrLessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfRegionsOrLess (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfRegionsOrLess for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfRegionsOrLess(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetNumberOfRegionsOrMore vtkKdTreeGetNumberOfRegionsOrMoreFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetNumberOfRegionsOrMoreFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRegionsOrMore (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRegionsOrMore for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRegionsOrMore();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetNumberOfRegionsOrMore vtkKdTreeSetNumberOfRegionsOrMoreFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSetNumberOfRegionsOrMoreFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfRegionsOrMore (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfRegionsOrMore for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfRegionsOrMore(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetFudgeFactor vtkKdTreeGetFudgeFactorFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetFudgeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFudgeFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFudgeFactor for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFudgeFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetFudgeFactor vtkKdTreeSetFudgeFactorFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSetFudgeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFudgeFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFudgeFactor for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFudgeFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetCuts vtkKdTreeGetCutsFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetCutsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBSPCuts *GetCuts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCuts for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkBSPCuts  *temp20;
  temp20 = (vtk_pointer)->GetCuts();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBSPCuts",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetCuts__1 vtkKdTreeSetCuts__1Function
//input a0 a1 
//output none
ArrayVector vtkKdTreeSetCuts__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCuts (vtkBSPCuts *cuts); */
  if (arg.size() < 2) 
    throw Exception("Function SetCuts__1 for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkBSPCuts  *temp0;
  temp0 = GetVTKPointer<vtkBSPCuts>(arg[1]);
  vtk_pointer->SetCuts(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:OmitXPartitioning vtkKdTreeOmitXPartitioningFunction
//input a0 
//output none
ArrayVector vtkKdTreeOmitXPartitioningFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OmitXPartitioning (); */
  if (arg.size() < 1) 
    throw Exception("Function OmitXPartitioning for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->OmitXPartitioning();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:OmitYPartitioning vtkKdTreeOmitYPartitioningFunction
//input a0 
//output none
ArrayVector vtkKdTreeOmitYPartitioningFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OmitYPartitioning (); */
  if (arg.size() < 1) 
    throw Exception("Function OmitYPartitioning for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->OmitYPartitioning();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:OmitZPartitioning vtkKdTreeOmitZPartitioningFunction
//input a0 
//output none
ArrayVector vtkKdTreeOmitZPartitioningFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OmitZPartitioning (); */
  if (arg.size() < 1) 
    throw Exception("Function OmitZPartitioning for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->OmitZPartitioning();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:OmitXYPartitioning vtkKdTreeOmitXYPartitioningFunction
//input a0 
//output none
ArrayVector vtkKdTreeOmitXYPartitioningFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OmitXYPartitioning (); */
  if (arg.size() < 1) 
    throw Exception("Function OmitXYPartitioning for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->OmitXYPartitioning();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:OmitYZPartitioning vtkKdTreeOmitYZPartitioningFunction
//input a0 
//output none
ArrayVector vtkKdTreeOmitYZPartitioningFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OmitYZPartitioning (); */
  if (arg.size() < 1) 
    throw Exception("Function OmitYZPartitioning for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->OmitYZPartitioning();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:OmitZXPartitioning vtkKdTreeOmitZXPartitioningFunction
//input a0 
//output none
ArrayVector vtkKdTreeOmitZXPartitioningFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OmitZXPartitioning (); */
  if (arg.size() < 1) 
    throw Exception("Function OmitZXPartitioning for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->OmitZXPartitioning();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:OmitNoPartitioning vtkKdTreeOmitNoPartitioningFunction
//input a0 
//output none
ArrayVector vtkKdTreeOmitNoPartitioningFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OmitNoPartitioning (); */
  if (arg.size() < 1) 
    throw Exception("Function OmitNoPartitioning for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->OmitNoPartitioning();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetDataSet vtkKdTreeSetDataSetFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataSet (vtkDataSet *set); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSet for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:AddDataSet vtkKdTreeAddDataSetFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeAddDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddDataSet (vtkDataSet *set); */
  if (arg.size() < 2) 
    throw Exception("Function AddDataSet for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->AddDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:RemoveDataSet__1 vtkKdTreeRemoveDataSet__1Function
//input a0 a1 
//output none
ArrayVector vtkKdTreeRemoveDataSet__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveDataSet (int index); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveDataSet__1 for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:RemoveDataSet__2 vtkKdTreeRemoveDataSet__2Function
//input a0 a1 
//output none
ArrayVector vtkKdTreeRemoveDataSet__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveDataSet (vtkDataSet *set); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveDataSet__2 for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->RemoveDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:RemoveAllDataSets vtkKdTreeRemoveAllDataSetsFunction
//input a0 
//output none
ArrayVector vtkKdTreeRemoveAllDataSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllDataSets (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllDataSets for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllDataSets();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetNumberOfDataSets vtkKdTreeGetNumberOfDataSetsFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetNumberOfDataSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfDataSets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfDataSets for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfDataSets();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetDataSet__1 vtkKdTreeGetDataSet__1Function
//input a0 a1 
//output y
ArrayVector vtkKdTreeGetDataSet__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetDataSet (int n); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataSet__1 for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDataSet(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetDataSet__2 vtkKdTreeGetDataSet__2Function
//input a0 
//output y
ArrayVector vtkKdTreeGetDataSet__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetDataSet ();return this GetDataSet  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSet__2 for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetDataSets vtkKdTreeGetDataSetsFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetDataSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetCollection *GetDataSets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSets for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkDataSetCollection  *temp20;
  temp20 = (vtk_pointer)->GetDataSets();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetDataSetIndex vtkKdTreeGetDataSetIndexFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreeGetDataSetIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataSetIndex (vtkDataSet *set); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataSetIndex for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp20 = (vtk_pointer)->GetDataSetIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetBounds vtkKdTreeGetBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double *bounds); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetNewBounds vtkKdTreeSetNewBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSetNewBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNewBounds (double *bounds); */
  if (arg.size() < 2) 
    throw Exception("Function SetNewBounds for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->SetNewBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetNumberOfRegions vtkKdTreeGetNumberOfRegionsFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetNumberOfRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRegions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRegions for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRegions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetRegionBounds vtkKdTreeGetRegionBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkKdTreeGetRegionBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetRegionBounds (int regionID, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionBounds for class vtkKdTree requires 3 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[6];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetRegionBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetRegionDataBounds vtkKdTreeGetRegionDataBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkKdTreeGetRegionDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetRegionDataBounds (int regionID, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionDataBounds for class vtkKdTree requires 3 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[6];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetRegionDataBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:PrintTree vtkKdTreePrintTreeFunction
//input a0 
//output none
ArrayVector vtkKdTreePrintTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrintTree (); */
  if (arg.size() < 1) 
    throw Exception("Function PrintTree for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->PrintTree();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:PrintVerboseTree vtkKdTreePrintVerboseTreeFunction
//input a0 
//output none
ArrayVector vtkKdTreePrintVerboseTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrintVerboseTree (); */
  if (arg.size() < 1) 
    throw Exception("Function PrintVerboseTree for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->PrintVerboseTree();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:PrintRegion vtkKdTreePrintRegionFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreePrintRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrintRegion (int id); */
  if (arg.size() < 2) 
    throw Exception("Function PrintRegion for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->PrintRegion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:CreateCellLists__1 vtkKdTreeCreateCellLists__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkKdTreeCreateCellLists__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateCellLists (int dataSetIndex, int *regionReqList, int reqListSize); */
  if (arg.size() < 4) 
    throw Exception("Function CreateCellLists__1 for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CreateCellLists(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:CreateCellLists__2 vtkKdTreeCreateCellLists__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkKdTreeCreateCellLists__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateCellLists (vtkDataSet *set, int *regionReqList, int reqListSize); */
  if (arg.size() < 4) 
    throw Exception("Function CreateCellLists__2 for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int     *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->CreateCellLists(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:CreateCellLists__3 vtkKdTreeCreateCellLists__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkKdTreeCreateCellLists__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateCellLists (int *regionReqList, int listSize); */
  if (arg.size() < 3) 
    throw Exception("Function CreateCellLists__3 for class vtkKdTree requires 3 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp1;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CreateCellLists(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:CreateCellLists__4 vtkKdTreeCreateCellLists__4Function
//input a0 
//output none
ArrayVector vtkKdTreeCreateCellLists__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateCellLists (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateCellLists__4 for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->CreateCellLists();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetIncludeRegionBoundaryCells vtkKdTreeSetIncludeRegionBoundaryCellsFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSetIncludeRegionBoundaryCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIncludeRegionBoundaryCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIncludeRegionBoundaryCells for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIncludeRegionBoundaryCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetIncludeRegionBoundaryCells vtkKdTreeGetIncludeRegionBoundaryCellsFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetIncludeRegionBoundaryCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIncludeRegionBoundaryCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncludeRegionBoundaryCells for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIncludeRegionBoundaryCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:IncludeRegionBoundaryCellsOn vtkKdTreeIncludeRegionBoundaryCellsOnFunction
//input a0 
//output none
ArrayVector vtkKdTreeIncludeRegionBoundaryCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncludeRegionBoundaryCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IncludeRegionBoundaryCellsOn for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->IncludeRegionBoundaryCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:IncludeRegionBoundaryCellsOff vtkKdTreeIncludeRegionBoundaryCellsOffFunction
//input a0 
//output none
ArrayVector vtkKdTreeIncludeRegionBoundaryCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncludeRegionBoundaryCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IncludeRegionBoundaryCellsOff for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->IncludeRegionBoundaryCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:DeleteCellLists vtkKdTreeDeleteCellListsFunction
//input a0 
//output none
ArrayVector vtkKdTreeDeleteCellListsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteCellLists (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteCellLists for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->DeleteCellLists();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetCellList vtkKdTreeGetCellListFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreeGetCellListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *GetCellList (int regionID); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellList for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellList(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetBoundaryCellList vtkKdTreeGetBoundaryCellListFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreeGetBoundaryCellListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *GetBoundaryCellList (int regionID); */
  if (arg.size() < 2) 
    throw Exception("Function GetBoundaryCellList for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBoundaryCellList(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetCellLists__1 vtkKdTreeGetCellLists__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkKdTreeGetCellLists__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellLists (vtkIntArray *regions, int set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells); */
  if (arg.size() < 5) 
    throw Exception("Function GetCellLists__1 for class vtkKdTree requires 5 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkIntArray  *temp0;
  int      temp1;
  vtkIdList  *temp2;
  vtkIdList  *temp3;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkIntArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  temp3 = GetVTKPointer<vtkIdList>(arg[4]);
  temp20 = (vtk_pointer)->GetCellLists(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetCellLists__2 vtkKdTreeGetCellLists__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkKdTreeGetCellLists__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellLists (vtkIntArray *regions, vtkDataSet *set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells); */
  if (arg.size() < 5) 
    throw Exception("Function GetCellLists__2 for class vtkKdTree requires 5 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkIntArray  *temp0;
  vtkDataSet  *temp1;
  vtkIdList  *temp2;
  vtkIdList  *temp3;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkIntArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataSet>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  temp3 = GetVTKPointer<vtkIdList>(arg[4]);
  temp20 = (vtk_pointer)->GetCellLists(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetCellLists__3 vtkKdTreeGetCellLists__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkKdTreeGetCellLists__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellLists (vtkIntArray *regions, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells); */
  if (arg.size() < 4) 
    throw Exception("Function GetCellLists__3 for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkIntArray  *temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkIntArray>(arg[1]);
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  temp20 = (vtk_pointer)->GetCellLists(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetRegionContainingCell__1 vtkKdTreeGetRegionContainingCell__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkKdTreeGetRegionContainingCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionContainingCell (vtkDataSet *set, vtkIdType cellID); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionContainingCell__1 for class vtkKdTree requires 3 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetRegionContainingCell(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetRegionContainingCell__2 vtkKdTreeGetRegionContainingCell__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkKdTreeGetRegionContainingCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionContainingCell (int set, vtkIdType cellID); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionContainingCell__2 for class vtkKdTree requires 3 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetRegionContainingCell(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetRegionContainingCell__3 vtkKdTreeGetRegionContainingCell__3Function
//input a0 a1 
//output y
ArrayVector vtkKdTreeGetRegionContainingCell__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionContainingCell (vtkIdType cellID); */
  if (arg.size() < 2) 
    throw Exception("Function GetRegionContainingCell__3 for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRegionContainingCell(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetRegionContainingPoint vtkKdTreeGetRegionContainingPointFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkKdTreeGetRegionContainingPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionContainingPoint (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function GetRegionContainingPoint for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetRegionContainingPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:BuildLocator vtkKdTreeBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkKdTreeBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:DepthOrderAllRegions vtkKdTreeDepthOrderAllRegionsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkKdTreeDepthOrderAllRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int DepthOrderAllRegions (double *dop, vtkIntArray *orderedList); */
  if (arg.size() < 3) 
    throw Exception("Function DepthOrderAllRegions for class vtkKdTree requires 3 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIntArray  *temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp1 = GetVTKPointer<vtkIntArray>(arg[2]);
  temp20 = (vtk_pointer)->DepthOrderAllRegions(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:DepthOrderRegions vtkKdTreeDepthOrderRegionsFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkKdTreeDepthOrderRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int DepthOrderRegions (vtkIntArray *regionIds, double *dop, vtkIntArray *orderedList); */
  if (arg.size() < 4) 
    throw Exception("Function DepthOrderRegions for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkIntArray  *temp0;
  double  *temp1;
  vtkIntArray  *temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkIntArray>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp2 = GetVTKPointer<vtkIntArray>(arg[3]);
  temp20 = (vtk_pointer)->DepthOrderRegions(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:ViewOrderAllRegionsInDirection vtkKdTreeViewOrderAllRegionsInDirectionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkKdTreeViewOrderAllRegionsInDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ViewOrderAllRegionsInDirection (const double directionOfProjection[3], vtkIntArray *orderedList); */
  if (arg.size() < 3) 
    throw Exception("Function ViewOrderAllRegionsInDirection for class vtkKdTree requires 3 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIntArray  *temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkIntArray>(arg[4]);
  temp20 = (vtk_pointer)->ViewOrderAllRegionsInDirection(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:ViewOrderRegionsInDirection vtkKdTreeViewOrderRegionsInDirectionFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkKdTreeViewOrderRegionsInDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ViewOrderRegionsInDirection (vtkIntArray *regionIds, const double directionOfProjection[3], vtkIntArray *orderedList); */
  if (arg.size() < 4) 
    throw Exception("Function ViewOrderRegionsInDirection for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkIntArray  *temp0;
  double temp1[3];
  vtkIntArray  *temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkIntArray>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIntArray>(arg[5]);
  temp20 = (vtk_pointer)->ViewOrderRegionsInDirection(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:ViewOrderAllRegionsFromPosition vtkKdTreeViewOrderAllRegionsFromPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkKdTreeViewOrderAllRegionsFromPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ViewOrderAllRegionsFromPosition (const double directionOfProjection[3], vtkIntArray *orderedList); */
  if (arg.size() < 3) 
    throw Exception("Function ViewOrderAllRegionsFromPosition for class vtkKdTree requires 3 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIntArray  *temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkIntArray>(arg[4]);
  temp20 = (vtk_pointer)->ViewOrderAllRegionsFromPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:ViewOrderRegionsFromPosition vtkKdTreeViewOrderRegionsFromPositionFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkKdTreeViewOrderRegionsFromPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ViewOrderRegionsFromPosition (vtkIntArray *regionIds, const double directionOfProjection[3], vtkIntArray *orderedList); */
  if (arg.size() < 4) 
    throw Exception("Function ViewOrderRegionsFromPosition for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkIntArray  *temp0;
  double temp1[3];
  vtkIntArray  *temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkIntArray>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIntArray>(arg[5]);
  temp20 = (vtk_pointer)->ViewOrderRegionsFromPosition(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:BuildLocatorFromPoints__1 vtkKdTreeBuildLocatorFromPoints__1Function
//input a0 a1 
//output none
ArrayVector vtkKdTreeBuildLocatorFromPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLocatorFromPoints (vtkPointSet *pointset); */
  if (arg.size() < 2) 
    throw Exception("Function BuildLocatorFromPoints__1 for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkPointSet  *temp0;
  temp0 = GetVTKPointer<vtkPointSet>(arg[1]);
  vtk_pointer->BuildLocatorFromPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:BuildLocatorFromPoints__2 vtkKdTreeBuildLocatorFromPoints__2Function
//input a0 a1 
//output none
ArrayVector vtkKdTreeBuildLocatorFromPoints__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLocatorFromPoints (vtkPoints *ptArray); */
  if (arg.size() < 2) 
    throw Exception("Function BuildLocatorFromPoints__2 for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->BuildLocatorFromPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:BuildMapForDuplicatePoints vtkKdTreeBuildMapForDuplicatePointsFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreeBuildMapForDuplicatePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdTypeArray *BuildMapForDuplicatePoints (float tolerance); */
  if (arg.size() < 2) 
    throw Exception("Function BuildMapForDuplicatePoints for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  float    temp0;
  vtkIdTypeArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->BuildMapForDuplicatePoints(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdTypeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:FindPoint__1 vtkKdTreeFindPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkKdTreeFindPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType FindPoint (double *x); */
  if (arg.size() < 2) 
    throw Exception("Function FindPoint__1 for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdType   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FindPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:FindPoint__2 vtkKdTreeFindPoint__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkKdTreeFindPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType FindPoint (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function FindPoint__2 for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->FindPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:FindPointsWithinRadius vtkKdTreeFindPointsWithinRadiusFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkKdTreeFindPointsWithinRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FindPointsWithinRadius (double R, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindPointsWithinRadius for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindPointsWithinRadius(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:FindClosestNPoints vtkKdTreeFindClosestNPointsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkKdTreeFindClosestNPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FindClosestNPoints (int N, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindClosestNPoints for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindClosestNPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetPointsInRegion vtkKdTreeGetPointsInRegionFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreeGetPointsInRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdTypeArray *GetPointsInRegion (int regionId); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointsInRegion for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdTypeArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointsInRegion(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdTypeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:FreeSearchStructure vtkKdTreeFreeSearchStructureFunction
//input a0 
//output none
ArrayVector vtkKdTreeFreeSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeSearchStructure (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeSearchStructure for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->FreeSearchStructure();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GenerateRepresentation__1 vtkKdTreeGenerateRepresentation__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkKdTreeGenerateRepresentation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateRepresentation (int level, vtkPolyData *pd); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateRepresentation__1 for class vtkKdTree requires 3 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->GenerateRepresentation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GenerateRepresentation__2 vtkKdTreeGenerateRepresentation__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkKdTreeGenerateRepresentation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateRepresentation (int *regionList, int len, vtkPolyData *pd); */
  if (arg.size() < 4) 
    throw Exception("Function GenerateRepresentation__2 for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp1;
  vtkPolyData  *temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkPolyData>(arg[3]);
  vtk_pointer->GenerateRepresentation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GenerateRepresentationUsingDataBoundsOn vtkKdTreeGenerateRepresentationUsingDataBoundsOnFunction
//input a0 
//output none
ArrayVector vtkKdTreeGenerateRepresentationUsingDataBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateRepresentationUsingDataBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateRepresentationUsingDataBoundsOn for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->GenerateRepresentationUsingDataBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GenerateRepresentationUsingDataBoundsOff vtkKdTreeGenerateRepresentationUsingDataBoundsOffFunction
//input a0 
//output none
ArrayVector vtkKdTreeGenerateRepresentationUsingDataBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateRepresentationUsingDataBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateRepresentationUsingDataBoundsOff for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->GenerateRepresentationUsingDataBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetGenerateRepresentationUsingDataBounds vtkKdTreeSetGenerateRepresentationUsingDataBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSetGenerateRepresentationUsingDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateRepresentationUsingDataBounds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateRepresentationUsingDataBounds for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateRepresentationUsingDataBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:GetGenerateRepresentationUsingDataBounds vtkKdTreeGetGenerateRepresentationUsingDataBoundsFunction
//input a0 
//output y
ArrayVector vtkKdTreeGetGenerateRepresentationUsingDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateRepresentationUsingDataBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateRepresentationUsingDataBounds for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateRepresentationUsingDataBounds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:NewGeometry__1 vtkKdTreeNewGeometry__1Function
//input a0 
//output y
ArrayVector vtkKdTreeNewGeometry__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int NewGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function NewGeometry__1 for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->NewGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:InvalidateGeometry vtkKdTreeInvalidateGeometryFunction
//input a0 
//output none
ArrayVector vtkKdTreeInvalidateGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InvalidateGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function InvalidateGeometry for class vtkKdTree requires 1 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtk_pointer->InvalidateGeometry();
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:CopyTree vtkKdTreeCopyTreeFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreeCopyTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkKdNode *CopyTree (vtkKdNode *kd); */
  if (arg.size() < 2) 
    throw Exception("Function CopyTree for class vtkKdTree requires 2 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  vtkKdNode  *temp0;
  vtkKdNode  *temp20;
  temp0 = GetVTKPointer<vtkKdNode>(arg[1]);
  temp20 = (vtk_pointer)->CopyTree(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:FindPointsInArea vtkKdTreeFindPointsInAreaFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkKdTreeFindPointsInAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FindPointsInArea (double *area, vtkIdTypeArray *ids, bool clearArraytrue); */
  if (arg.size() < 4) 
    throw Exception("Function FindPointsInArea for class vtkKdTree requires 4 argument(s)");
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdTypeArray  *temp1;
  bool   temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp1 = GetVTKPointer<vtkIdTypeArray>(arg[2]);
  vtk_pointer->FindPointsInArea(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkKdTree:SetCuts vtkKdTreeSetCutsFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeSetCutsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkBSPCuts"))
    return vtkKdTreeSetCuts__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeSetCuts");
}

//@@Signature
//sfunction @vtkKdTree:RemoveDataSet vtkKdTreeRemoveDataSetFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeRemoveDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkKdTreeRemoveDataSet__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataSet"))
    return vtkKdTreeRemoveDataSet__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeRemoveDataSet");
}

//@@Signature
//sfunction @vtkKdTree:GetDataSet vtkKdTreeGetDataSetFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkKdTreeGetDataSet__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkKdTreeGetDataSet__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeGetDataSet");
}

//@@Signature
//sfunction @vtkKdTree:CreateCellLists vtkKdTreeCreateCellListsFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeCreateCellListsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkKdTreeCreateCellLists__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkKdTreeCreateCellLists__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkKdTreeCreateCellLists__3Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkKdTreeCreateCellLists__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeCreateCellLists");
}

//@@Signature
//sfunction @vtkKdTree:GetCellLists vtkKdTreeGetCellListsFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeGetCellListsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkIntArray") && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkIdList") && VTKIsClass(arg[4],"vtkIdList"))
    return vtkKdTreeGetCellLists__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkIntArray") && VTKIsClass(arg[2],"vtkDataSet") && VTKIsClass(arg[3],"vtkIdList") && VTKIsClass(arg[4],"vtkIdList"))
    return vtkKdTreeGetCellLists__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkIntArray") && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkIdList"))
    return vtkKdTreeGetCellLists__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeGetCellLists");
}

//@@Signature
//sfunction @vtkKdTree:GetRegionContainingCell vtkKdTreeGetRegionContainingCellFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeGetRegionContainingCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]))
    return vtkKdTreeGetRegionContainingCell__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkKdTreeGetRegionContainingCell__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkKdTreeGetRegionContainingCell__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeGetRegionContainingCell");
}

//@@Signature
//sfunction @vtkKdTree:BuildLocatorFromPoints vtkKdTreeBuildLocatorFromPointsFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeBuildLocatorFromPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPointSet"))
    return vtkKdTreeBuildLocatorFromPoints__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPoints"))
    return vtkKdTreeBuildLocatorFromPoints__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeBuildLocatorFromPoints");
}

//@@Signature
//sfunction @vtkKdTree:FindPoint vtkKdTreeFindPointFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeFindPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkKdTreeFindPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkKdTreeFindPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeFindPoint");
}

//@@Signature
//sfunction @vtkKdTree:FindClosestPoint vtkKdTreeFindClosestPointFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeFindClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeFindClosestPoint");
}

//@@Signature
//sfunction @vtkKdTree:FindClosestPointInRegion vtkKdTreeFindClosestPointInRegionFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeFindClosestPointInRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeFindClosestPointInRegion");
}

//@@Signature
//sfunction @vtkKdTree:GenerateRepresentation vtkKdTreeGenerateRepresentationFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeGenerateRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPolyData"))
    return vtkKdTreeGenerateRepresentation__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkPolyData"))
    return vtkKdTreeGenerateRepresentation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeGenerateRepresentation");
}

//@@Signature
//sfunction @vtkKdTree:NewGeometry vtkKdTreeNewGeometryFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeNewGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkKdTreeNewGeometry__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeNewGeometry");
}

//@@Signature
//sfunction @vtkKdTree:ComputeCellCenter vtkKdTreeComputeCellCenterFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeComputeCellCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeComputeCellCenter");
}

//@@Signature
//sfunction @vtkKdTree:ComputeCellCenters vtkKdTreeComputeCellCentersFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeComputeCellCentersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeComputeCellCenters");
}

//@@Signature
//sfunction @vtkKdTree:display vtkKdTreeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkKdTree* vtk_pointer = GetVTKPointer<vtkKdTree>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkKdTree:delete vtkKdTreeDeleteFunction
//input varargin
//output none
ArrayVector vtkKdTreeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkKdTree
//@@Section VTKFiltering
//@@Usage
//     Given one or more vtkDataSets, create a load balancing
//     k-d tree decomposition of the points at the center of the cells.
//     Or, create a k-d tree point locator from a list of points.
//
//     This class can also generate a PolyData representation of
//     the boundaries of the spatial regions in the decomposition.
//
//     It can sort the regions with respect to a viewing direction,
//     and it can decompose a list of regions into subsets, each
//     of which represent a convex spatial region (since many algorithms
//     require a convex region).  
//
//     If the points were derived from cells, vtkKdTree
//     can create a list of cell Ids for each region for each data set.  
//     Two lists are available - all cells with centroid in the region, 
//     and all cells that intersect the region but whose centroid lies 
//     in another region.
//
//     For the purpose of removing duplicate points quickly from large
//     data sets, or for finding nearby points, we added another mode for 
//     building the locator.  BuildLocatorFromPoints will build a k-d tree
//     from one or more vtkPoints objects.  This can be followed by
//     BuildMapForDuplicatePoints which returns a mapping from the original
//     ids to a subset of the ids that is unique within a supplied
//     tolerance, or you can use FindPoint and FindClosestPoint to
//     locate points in the original set that the tree was built from.
//
//
//To create an instance of class vtkKdTree, simply
//invoke its constructor as follows
//@[
//  obj = vtkKdTree
//@]
//@@Methods
//The class vtkKdTree has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkKdTree class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkKdTree = obj.NewInstance ()|
// \item @|vtkKdTree = obj.SafeDownCast (vtkObject o)|
// \item @|obj.TimingOn ()| -   Turn on timing of the k-d tree build
//// \item @|obj.TimingOff ()| -   Turn on timing of the k-d tree build
//// \item @|obj.SetTiming (int )| -   Turn on timing of the k-d tree build
//// \item @|int = obj.GetTiming ()| -   Turn on timing of the k-d tree build
//// \item @|obj.SetMinCells (int )| -   Minimum number of cells per spatial region.  Default is 100.
//// \item @|int = obj.GetMinCells ()| -   Minimum number of cells per spatial region.  Default is 100.
//// \item @|int = obj.GetNumberOfRegionsOrLess ()|
// \item @|obj.SetNumberOfRegionsOrLess (int )|
// \item @|int = obj.GetNumberOfRegionsOrMore ()|
// \item @|obj.SetNumberOfRegionsOrMore (int )|
// \item @|double = obj.GetFudgeFactor ()|
// \item @|obj.SetFudgeFactor (double )|
// \item @|vtkBSPCuts = obj.GetCuts ()|
// \item @|obj.SetCuts (vtkBSPCuts cuts)|
// \item @|obj.OmitXPartitioning ()| -     Omit partitions along the X axis, yielding shafts in the X direction
//// \item @|obj.OmitYPartitioning ()| -     Omit partitions along the Y axis, yielding shafts in the Y direction
//// \item @|obj.OmitZPartitioning ()| -     Omit partitions along the Z axis, yielding shafts in the Z direction
//// \item @|obj.OmitXYPartitioning ()| -     Omit partitions along the X and Y axes, yielding slabs along Z
//// \item @|obj.OmitYZPartitioning ()| -     Omit partitions along the Y and Z axes, yielding slabs along X
//// \item @|obj.OmitZXPartitioning ()| -     Omit partitions along the Z and X axes, yielding slabs along Y
//// \item @|obj.OmitNoPartitioning ()| -     Partition along all three axes - this is the default
//// \item @|obj.SetDataSet (vtkDataSet set)| -  Clear out all data sets and replace with single data set.  For backward
// compatibility with superclass.
//// \item @|obj.AddDataSet (vtkDataSet set)| -  This class can compute a spatial decomposition based on the cells in a list
// of one or more input data sets.  Add them one at a time with this method.
//// \item @|obj.RemoveDataSet (int index)| -  Remove the given data set.
//// \item @|obj.RemoveDataSet (vtkDataSet set)| -  Remove the given data set.
//// \item @|obj.RemoveAllDataSets ()| -  Remove the given data set.
//// \item @|int = obj.GetNumberOfDataSets ()| -    Get the number of data sets included in spatial paritioning
//// \item @|vtkDataSet = obj.GetDataSet (int n)| -  Return the n'th data set.
//// \item @|vtkDataSet = obj.GetDataSet ()| -  Return a collection of all the data sets.
//// \item @|vtkDataSetCollection = obj.GetDataSets ()| -  Return a collection of all the data sets.
//// \item @|int = obj.GetDataSetIndex (vtkDataSet set)| -  Return the index of the given data set.  Returns -1 if that data
// set does not exist.
//// \item @|obj.GetBounds (double bounds)| -    Get the spatial bounds of the entire k-d tree space. Sets
//    bounds array to xmin, xmax, ymin, ymax, zmin, zmax.
//// \item @|obj.SetNewBounds (double bounds)|
// \item @|int = obj.GetNumberOfRegions ()| -    The number of leaf nodes of the tree, the spatial regions
//// \item @|obj.GetRegionBounds (int regionID, double bounds[6])| -    Get the spatial bounds of k-d tree region
//// \item @|obj.GetRegionDataBounds (int regionID, double bounds[6])| -     Get the bounds of the data within the k-d tree region
//// \item @|obj.PrintTree ()| -     Print out nodes of kd tree
//// \item @|obj.PrintVerboseTree ()| -     Print out nodes of kd tree
//// \item @|obj.PrintRegion (int id)| -     Print out leaf node data for given id
//// \item @|obj.CreateCellLists (int dataSetIndex, int regionReqList, int reqListSize)|
// \item @|obj.CreateCellLists (vtkDataSet set, int regionReqList, int reqListSize)|
// \item @|obj.CreateCellLists (int regionReqList, int listSize)|
// \item @|obj.CreateCellLists ()|
// \item @|obj.SetIncludeRegionBoundaryCells (int )| -    If IncludeRegionBoundaryCells is ON,
//   CreateCellLists() will also create a list of cells which
//   intersect a given region, but are not assigned
//   to the region.  These lists are obtained with 
//   GetBoundaryCellList().  Default is OFF.
//// \item @|int = obj.GetIncludeRegionBoundaryCells ()| -    If IncludeRegionBoundaryCells is ON,
//   CreateCellLists() will also create a list of cells which
//   intersect a given region, but are not assigned
//   to the region.  These lists are obtained with 
//   GetBoundaryCellList().  Default is OFF.
//// \item @|obj.IncludeRegionBoundaryCellsOn ()| -    If IncludeRegionBoundaryCells is ON,
//   CreateCellLists() will also create a list of cells which
//   intersect a given region, but are not assigned
//   to the region.  These lists are obtained with 
//   GetBoundaryCellList().  Default is OFF.
//// \item @|obj.IncludeRegionBoundaryCellsOff ()| -    If IncludeRegionBoundaryCells is ON,
//   CreateCellLists() will also create a list of cells which
//   intersect a given region, but are not assigned
//   to the region.  These lists are obtained with 
//   GetBoundaryCellList().  Default is OFF.
//// \item @|obj.DeleteCellLists ()| -     Free the memory used by the cell lists.
//// \item @|vtkIdList = obj.GetCellList (int regionID)| -     Get the cell list for a region.  This returns a pointer
//    to vtkKdTree's memory, so don't free it.
//// \item @|vtkIdList = obj.GetBoundaryCellList (int regionID)| -     The cell list obtained with GetCellList is the list
//    of all cells such that their centroid is contained in
//    the spatial region.  It may also be desirable to get
//    a list of all cells intersecting a spatial region,
//    but with centroid in some other region.  This is that
//    list.  This list is computed in CreateCellLists() if
//    and only if IncludeRegionBoundaryCells is ON.  This
//    returns a pointer to KdTree's memory, so don't free it.
//// \item @|vtkIdType = obj.GetCellLists (vtkIntArray regions, int set, vtkIdList inRegionCells, vtkIdList onBoundaryCells)| -    
//   For a list of regions, get two cell lists.  The first lists
//   the IDs  all cells whose centroids lie in one of the regions.
//   The second lists the IDs of all cells that intersect the regions,
//   but whose centroid lies in a region not on the list.
//
//   The total number of cell IDs written to both lists is returned.
//   Either list pointer passed in can be NULL, and it will be ignored.
//   If there are multiple data sets, you must specify which data set
//   you wish cell IDs for.
//
//   The caller should delete these two lists when done.  This method
//   uses the cell lists created in CreateCellLists().
//   If the cell list for any of the requested regions does not
//   exist, then this method will call CreateCellLists() to create
//   cell lists for *every* region of the k-d tree.  You must remember 
//   to DeleteCellLists() when done with all calls to this method, as 
//   cell lists can require a great deal of memory.
//// \item @|vtkIdType = obj.GetCellLists (vtkIntArray regions, vtkDataSet set, vtkIdList inRegionCells, vtkIdList onBoundaryCells)| -    
//   For a list of regions, get two cell lists.  The first lists
//   the IDs  all cells whose centroids lie in one of the regions.
//   The second lists the IDs of all cells that intersect the regions,
//   but whose centroid lies in a region not on the list.
//
//   The total number of cell IDs written to both lists is returned.
//   Either list pointer passed in can be NULL, and it will be ignored.
//   If there are multiple data sets, you must specify which data set
//   you wish cell IDs for.
//
//   The caller should delete these two lists when done.  This method
//   uses the cell lists created in CreateCellLists().
//   If the cell list for any of the requested regions does not
//   exist, then this method will call CreateCellLists() to create
//   cell lists for *every* region of the k-d tree.  You must remember 
//   to DeleteCellLists() when done with all calls to this method, as 
//   cell lists can require a great deal of memory.
//// \item @|vtkIdType = obj.GetCellLists (vtkIntArray regions, vtkIdList inRegionCells, vtkIdList onBoundaryCells)| -    
//   For a list of regions, get two cell lists.  The first lists
//   the IDs  all cells whose centroids lie in one of the regions.
//   The second lists the IDs of all cells that intersect the regions,
//   but whose centroid lies in a region not on the list.
//
//   The total number of cell IDs written to both lists is returned.
//   Either list pointer passed in can be NULL, and it will be ignored.
//   If there are multiple data sets, you must specify which data set
//   you wish cell IDs for.
//
//   The caller should delete these two lists when done.  This method
//   uses the cell lists created in CreateCellLists().
//   If the cell list for any of the requested regions does not
//   exist, then this method will call CreateCellLists() to create
//   cell lists for *every* region of the k-d tree.  You must remember 
//   to DeleteCellLists() when done with all calls to this method, as 
//   cell lists can require a great deal of memory.
//// \item @|int = obj.GetRegionContainingCell (vtkDataSet set, vtkIdType cellID)| -     Get the id of the region containing the cell centroid.  If
//    no DataSet is specified, assume DataSet 0.  If you need the
//    region ID for every cell, use AllGetRegionContainingCell
//    instead.  It is more efficient.
//// \item @|int = obj.GetRegionContainingCell (int set, vtkIdType cellID)| -     Get the id of the region containing the cell centroid.  If
//    no DataSet is specified, assume DataSet 0.  If you need the
//    region ID for every cell, use AllGetRegionContainingCell
//    instead.  It is more efficient.
//// \item @|int = obj.GetRegionContainingCell (vtkIdType cellID)| -     Get the id of the region containing the cell centroid.  If
//    no DataSet is specified, assume DataSet 0.  If you need the
//    region ID for every cell, use AllGetRegionContainingCell
//    instead.  It is more efficient.
//// \item @|int = obj.GetRegionContainingPoint (double x, double y, double z)| -     Get the id of the region containing the specified location.
//// \item @|obj.BuildLocator ()| -  Create the k-d tree decomposition of the cells of the data set
// or data sets.  Cells are assigned to k-d tree spatial regions
// based on the location of their centroids.
//// \item @|int = obj.DepthOrderAllRegions (double dop, vtkIntArray orderedList)| -  DO NOT CALL.  Depricated in VTK 5.2.  Use ViewOrderAllRegionsInDirection
// or ViewOrderAllRegionsFromPosition.
//// \item @|int = obj.DepthOrderRegions (vtkIntArray regionIds, double dop, vtkIntArray orderedList)| -  DO NOT CALL.  Depricated in VTK 5.2.  Use ViewOrderRegionsInDirection
// or ViewOrderRegionsFromPosition.
//// \item @|int = obj.ViewOrderAllRegionsInDirection (double directionOfProjection[3], vtkIntArray orderedList)| -  Given a direction of projection (typically obtained with
// vtkCamera::GetDirectionOfProjection()), this method, creates a list of the
// k-d tree region IDs in order from front to back with respect to that
// direction.  The number of ordered regions is returned.  Use this method to
// view order regions for cameras that use parallel projection.
//// \item @|int = obj.ViewOrderRegionsInDirection (vtkIntArray regionIds, double directionOfProjection[3], vtkIntArray orderedList)| -  Given a direction of projection and a list of k-d tree region IDs, this
// method, creates a list of the k-d tree region IDs in order from front to
// back with respect to that direction.  The number of ordered regions is
// returned.  Use this method to view order regions for cameras that use
// parallel projection.
//// \item @|int = obj.ViewOrderAllRegionsFromPosition (double directionOfProjection[3], vtkIntArray orderedList)| -  Given a camera position (typically obtained with vtkCamera::GetPosition()),
// this method, creates a list of the k-d tree region IDs in order from front
// to back with respect to that direction.  The number of ordered regions is
// returned.  Use this method to view order regions for cameras that use
// perspective projection.
//// \item @|int = obj.ViewOrderRegionsFromPosition (vtkIntArray regionIds, double directionOfProjection[3], vtkIntArray orderedList)| -  Given a camera position and a list of k-d tree region IDs, this method,
// creates a list of the k-d tree region IDs in order from front to back with
// respect to that direction.  The number of ordered regions is returned.  Use
// this method to view order regions for cameras that use perspective
// projection.
//// \item @|obj.BuildLocatorFromPoints (vtkPointSet pointset)| -  This is a special purpose locator that builds a k-d tree to 
// find duplicate and near-by points.  It builds the tree from 
// one or more vtkPoints objects instead of from the cells of
// a vtkDataSet.  This build would normally be followed by
// BuildMapForDuplicatePoints, FindPoint, or FindClosestPoint.
// Since this will build a normal k-d tree, all the region intersection
// queries will still work, as will most other calls except those that
// have "Cell" in the name.
//
// This method works most efficiently when the point arrays are
// float arrays.
//// \item @|obj.BuildLocatorFromPoints (vtkPoints ptArray)| -  This is a special purpose locator that builds a k-d tree to 
// find duplicate and near-by points.  It builds the tree from 
// one or more vtkPoints objects instead of from the cells of
// a vtkDataSet.  This build would normally be followed by
// BuildMapForDuplicatePoints, FindPoint, or FindClosestPoint.
// Since this will build a normal k-d tree, all the region intersection
// queries will still work, as will most other calls except those that
// have "Cell" in the name.
//
// This method works most efficiently when the point arrays are
// float arrays.
//// \item @|vtkIdTypeArray = obj.BuildMapForDuplicatePoints (float tolerance)| -  This call returns a mapping from the original point IDs supplied
// to BuildLocatorFromPoints to a subset of those IDs that is unique 
// within the specified tolerance.  
// If points 2, 5, and 12 are the same, then 
// IdMap[2] = IdMap[5] = IdMap[12] = 2 (or 5 or 12).
//
// "original point IDs" - For point IDs we start at 0 for the first
// point in the first vtkPoints object, and increase by 1 for subsequent
// points and subsequent vtkPoints objects.
//
// You must have called BuildLocatorFromPoints() before calling this.
// You are responsible for deleting the returned array.
//// \item @|vtkIdType = obj.FindPoint (double x)| -  Find the Id of the point that was previously supplied
// to BuildLocatorFromPoints().  Returns -1 if the point
// was not in the original array.
//// \item @|vtkIdType = obj.FindPoint (double x, double y, double z)| -  Find the Id of the point that was previously supplied
// to BuildLocatorFromPoints().  Returns -1 if the point
// was not in the original array.
//// \item @|obj.FindPointsWithinRadius (double R, double x[3], vtkIdList result)| -  Find all points within a specified radius R of position x.
// The result is not sorted in any specific manner.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindClosestNPoints (int N, double x[3], vtkIdList result)| -  Find the closest N points to a position. This returns the closest
// N points to a position. A faster method could be created that returned
// N close points to a position, but necessarily the exact N closest.
// The returned points are sorted from closest to farthest.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|vtkIdTypeArray = obj.GetPointsInRegion (int regionId)| -  Get a list of the original IDs of all points in a region.  You
// must have called BuildLocatorFromPoints before calling this.
//// \item @|obj.FreeSearchStructure ()| -  Delete the k-d tree data structure. Also delete any
// cell lists that were computed with CreateCellLists().
//// \item @|obj.GenerateRepresentation (int level, vtkPolyData pd)| -  Create a polydata representation of the boundaries of
// the k-d tree regions.  If level equals GetLevel(), the
// leaf nodes are represented.
//// \item @|obj.GenerateRepresentation (int regionList, int len, vtkPolyData pd)| -     Generate a polygonal representation of a list of regions.
//    Only leaf nodes have region IDs, so these will be leaf nodes.
//// \item @|obj.GenerateRepresentationUsingDataBoundsOn ()| -     The polydata representation of the k-d tree shows the boundaries
//    of the k-d tree decomposition spatial regions.  The data inside
//    the regions may not occupy the entire space.  To draw just the
//    bounds of the data in the regions, set this variable ON.
//// \item @|obj.GenerateRepresentationUsingDataBoundsOff ()| -     The polydata representation of the k-d tree shows the boundaries
//    of the k-d tree decomposition spatial regions.  The data inside
//    the regions may not occupy the entire space.  To draw just the
//    bounds of the data in the regions, set this variable ON.
//// \item @|obj.SetGenerateRepresentationUsingDataBounds (int )| -     The polydata representation of the k-d tree shows the boundaries
//    of the k-d tree decomposition spatial regions.  The data inside
//    the regions may not occupy the entire space.  To draw just the
//    bounds of the data in the regions, set this variable ON.
//// \item @|int = obj.GetGenerateRepresentationUsingDataBounds ()| -     The polydata representation of the k-d tree shows the boundaries
//    of the k-d tree decomposition spatial regions.  The data inside
//    the regions may not occupy the entire space.  To draw just the
//    bounds of the data in the regions, set this variable ON.
//// \item @|int = obj.NewGeometry ()| -     Return 1 if the geometry of the input data sets
//    has changed since the last time the k-d tree was built.
//// \item @|obj.InvalidateGeometry ()| -  Forget about the last geometry used.  The next call to NewGeometry will
// return 1.  A new k-d tree will be built the next time BuildLocator is
// called.
//// \item @|obj.FindPointsInArea (double area, vtkIdTypeArray ids, bool clearArraytrue)| -  Fill ids with points found in area.  The area is a 6-tuple containing
// (xmin, xmax, ymin, ymax, zmin, zmax).
// This method will clear the array by default.  To append ids to an array,
// set clearArray to false.
////\end{itemize}
//!
