#include "VTKWrap.hpp"

// FreeMat wrapper for vtkKdTreePointLocator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkKdTreePointLocator.h"

//@@Signature
//sfunction @vtkKdTreePointLocator:vtkKdTreePointLocator vtkKdTreePointLocatorConstructorFunction
//input a
//output p
//@@Parents vtkKdTreePointLocator vtkAbstractPointLocator 
ArrayVector vtkKdTreePointLocatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkKdTreePointLocator::New(),"vtkKdTreePointLocator",eval);
  } else if (arg[0].className() == "vtkKdTreePointLocator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkKdTreePointLocator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkKdTreePointLocator");
    vtkKdTreePointLocator*q = reinterpret_cast<vtkKdTreePointLocator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkKdTreePointLocator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkKdTreePointLocator:GetClassName vtkKdTreePointLocatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkKdTreePointLocatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkKdTreePointLocator requires 1 argument(s)");
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTreePointLocator:IsA vtkKdTreePointLocatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreePointLocatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkKdTreePointLocator requires 2 argument(s)");
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTreePointLocator:NewInstance vtkKdTreePointLocatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkKdTreePointLocatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdTreePointLocator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkKdTreePointLocator requires 1 argument(s)");
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  Array retval;
  vtkKdTreePointLocator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdTreePointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreePointLocator:SafeDownCast vtkKdTreePointLocatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreePointLocatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdTreePointLocator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkKdTreePointLocator requires 2 argument(s)");
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkKdTreePointLocator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdTreePointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreePointLocator:FindClosestPoint vtkKdTreePointLocatorFindClosestPointFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreePointLocatorFindClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindClosestPoint for class vtkKdTreePointLocator requires 2 argument(s)");
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindClosestPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTreePointLocator:FindClosestNPoints vtkKdTreePointLocatorFindClosestNPointsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkKdTreePointLocatorFindClosestNPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindClosestNPoints (int N, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindClosestNPoints for class vtkKdTreePointLocator requires 4 argument(s)");
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindClosestNPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreePointLocator:FindPointsWithinRadius vtkKdTreePointLocatorFindPointsWithinRadiusFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkKdTreePointLocatorFindPointsWithinRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindPointsWithinRadius (double R, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindPointsWithinRadius for class vtkKdTreePointLocator requires 4 argument(s)");
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindPointsWithinRadius(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreePointLocator:FreeSearchStructure vtkKdTreePointLocatorFreeSearchStructureFunction
//input a0 
//output none
ArrayVector vtkKdTreePointLocatorFreeSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FreeSearchStructure (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeSearchStructure for class vtkKdTreePointLocator requires 1 argument(s)");
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  Array retval;
  vtk_pointer->FreeSearchStructure();
  return retval;
}

//@@Signature
//sfunction @vtkKdTreePointLocator:BuildLocator vtkKdTreePointLocatorBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkKdTreePointLocatorBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkKdTreePointLocator requires 1 argument(s)");
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkKdTreePointLocator:GenerateRepresentation vtkKdTreePointLocatorGenerateRepresentationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkKdTreePointLocatorGenerateRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GenerateRepresentation (int level, vtkPolyData *pd); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateRepresentation for class vtkKdTreePointLocator requires 3 argument(s)");
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->GenerateRepresentation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreePointLocator:display vtkKdTreePointLocatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkKdTreePointLocatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkKdTreePointLocator* vtk_pointer = GetVTKPointer<vtkKdTreePointLocator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkKdTreePointLocator:delete vtkKdTreePointLocatorDeleteFunction
//input varargin
//output none
ArrayVector vtkKdTreePointLocatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkKdTreePointLocator
//@@Section VTKFiltering
//@@Usage
// vtkKdTreePointLocator is a wrapper class that derives from
// vtkAbstractPointLocator and calls the search functions in vtkKdTree.
//
//To create an instance of class vtkKdTreePointLocator, simply
//invoke its constructor as follows
//@[
//  obj = vtkKdTreePointLocator
//@]
//@@Methods
//The class vtkKdTreePointLocator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkKdTreePointLocator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkKdTreePointLocator = obj.NewInstance ()|
// \item @|vtkKdTreePointLocator = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.FindClosestPoint (double x[3])| -  Given a position x, return the id of the point closest to it. Alternative
// method requires separate x-y-z values.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindClosestNPoints (int N, double x[3], vtkIdList result)| -  Find the closest N points to a position. This returns the closest
// N points to a position. A faster method could be created that returned
// N close points to a position, but necessarily the exact N closest.
// The returned points are sorted from closest to farthest.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindPointsWithinRadius (double R, double x[3], vtkIdList result)| -  Find all points within a specified radius R of position x.
// The result is not sorted in any specific manner.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FreeSearchStructure ()| -  See vtkLocator interface documentation.
// These methods are not thread safe.
//// \item @|obj.BuildLocator ()| -  See vtkLocator interface documentation.
// These methods are not thread safe.
//// \item @|obj.GenerateRepresentation (int level, vtkPolyData pd)| -  See vtkLocator interface documentation.
// These methods are not thread safe.
////\end{itemize}
//!
