#include "VTKWrap.hpp"

// FreeMat wrapper for vtkKochanekSpline object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkKochanekSpline.h"

//@@Signature
//sfunction @vtkKochanekSpline:vtkKochanekSpline vtkKochanekSplineConstructorFunction
//input a
//output p
//@@Parents vtkKochanekSpline vtkSpline 
ArrayVector vtkKochanekSplineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkKochanekSpline::New(),"vtkKochanekSpline",eval);
  } else if (arg[0].className() == "vtkKochanekSpline") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkKochanekSpline"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkKochanekSpline");
    vtkKochanekSpline*q = reinterpret_cast<vtkKochanekSpline*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkKochanekSpline");
    return ret;
  }
}
//@@Signature
//sfunction @vtkKochanekSpline:GetClassName vtkKochanekSplineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkKochanekSplineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkKochanekSpline requires 1 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:IsA vtkKochanekSplineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkKochanekSplineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkKochanekSpline requires 2 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:NewInstance vtkKochanekSplineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkKochanekSplineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKochanekSpline *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkKochanekSpline requires 1 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  vtkKochanekSpline  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKochanekSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:SafeDownCast vtkKochanekSplineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkKochanekSplineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKochanekSpline *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkKochanekSpline requires 2 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkKochanekSpline  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKochanekSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:Compute vtkKochanekSplineComputeFunction
//input a0 
//output none
ArrayVector vtkKochanekSplineComputeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Compute (); */
  if (arg.size() < 1) 
    throw Exception("Function Compute for class vtkKochanekSpline requires 1 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  vtk_pointer->Compute();
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:Evaluate vtkKochanekSplineEvaluateFunction
//input a0 a1 
//output y
ArrayVector vtkKochanekSplineEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double Evaluate (double t); */
  if (arg.size() < 2) 
    throw Exception("Function Evaluate for class vtkKochanekSpline requires 2 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->Evaluate(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:SetDefaultBias vtkKochanekSplineSetDefaultBiasFunction
//input a0 a1 
//output none
ArrayVector vtkKochanekSplineSetDefaultBiasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultBias (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultBias for class vtkKochanekSpline requires 2 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDefaultBias(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:GetDefaultBias vtkKochanekSplineGetDefaultBiasFunction
//input a0 
//output y
ArrayVector vtkKochanekSplineGetDefaultBiasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDefaultBias (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultBias for class vtkKochanekSpline requires 1 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDefaultBias();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:SetDefaultTension vtkKochanekSplineSetDefaultTensionFunction
//input a0 a1 
//output none
ArrayVector vtkKochanekSplineSetDefaultTensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultTension (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultTension for class vtkKochanekSpline requires 2 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDefaultTension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:GetDefaultTension vtkKochanekSplineGetDefaultTensionFunction
//input a0 
//output y
ArrayVector vtkKochanekSplineGetDefaultTensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDefaultTension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultTension for class vtkKochanekSpline requires 1 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDefaultTension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:SetDefaultContinuity vtkKochanekSplineSetDefaultContinuityFunction
//input a0 a1 
//output none
ArrayVector vtkKochanekSplineSetDefaultContinuityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultContinuity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultContinuity for class vtkKochanekSpline requires 2 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDefaultContinuity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:GetDefaultContinuity vtkKochanekSplineGetDefaultContinuityFunction
//input a0 
//output y
ArrayVector vtkKochanekSplineGetDefaultContinuityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDefaultContinuity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultContinuity for class vtkKochanekSpline requires 1 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDefaultContinuity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:DeepCopy vtkKochanekSplineDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkKochanekSplineDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkSpline *s); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkKochanekSpline requires 2 argument(s)");
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp0;
  temp0 = GetVTKPointer<vtkSpline>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKochanekSpline:display vtkKochanekSplineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkKochanekSplineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkKochanekSpline* vtk_pointer = GetVTKPointer<vtkKochanekSpline>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkKochanekSpline:delete vtkKochanekSplineDeleteFunction
//input varargin
//output none
ArrayVector vtkKochanekSplineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkKochanekSpline
//@@Section VTKFiltering
//@@Usage
// Implements the Kochenek interpolating spline described in: Kochanek, D.,
// Bartels, R., "Interpolating Splines with Local Tension, Continuity, and
// Bias Control," Computer Graphics, vol. 18, no. 3, pp. 33-41, July 1984.
// These splines give the user more control over the shape of the curve than
// the cardinal splines implemented in vtkCardinalSpline. Three parameters
// can be specified. All have a range from -1 to 1.
// 
// Tension controls how sharply the curve bends at an input point. A
// value of -1 produces more slack in the curve. A value of 1 tightens
// the curve.
// 
// Continuity controls the continuity of the first derivative at input
// points. 
// 
// Bias controls the direction of the curve at it passes through an input
// point. A value of -1 undershoots the point while a value of 1
// overshoots the point.
// 
// These three parameters give the user broad control over the shape of
// the interpolating spline. The original Kochanek paper describes the
// effects nicely and is recommended reading.
//
//To create an instance of class vtkKochanekSpline, simply
//invoke its constructor as follows
//@[
//  obj = vtkKochanekSpline
//@]
//@@Methods
//The class vtkKochanekSpline has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkKochanekSpline class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkKochanekSpline = obj.NewInstance ()|
// \item @|vtkKochanekSpline = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Compute ()| -  Compute Kochanek Spline coefficients.
//// \item @|double = obj.Evaluate (double t)| -  Evaluate a 1D Kochanek spline.
//// \item @|obj.SetDefaultBias (double )| -  Set the bias for all points. Default is 0.
//// \item @|double = obj.GetDefaultBias ()| -  Set the bias for all points. Default is 0.
//// \item @|obj.SetDefaultTension (double )| -  Set the tension for all points. Default is 0.
//// \item @|double = obj.GetDefaultTension ()| -  Set the tension for all points. Default is 0.
//// \item @|obj.SetDefaultContinuity (double )| -  Set the continuity for all points. Default is 0.
//// \item @|double = obj.GetDefaultContinuity ()| -  Set the continuity for all points. Default is 0.
//// \item @|obj.DeepCopy (vtkSpline s)| -  Deep copy of cardinal spline data.
////\end{itemize}
//!
