#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLocator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLocator.h"

//@@Signature
//sfunction @vtkLocator:vtkLocator vtkLocatorConstructorFunction
//input a
//output p
//@@Parents vtkLocator vtkObject 
ArrayVector vtkLocatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLocator::New(),"vtkLocator",eval);
  } else if (arg[0].className() == "vtkLocator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLocator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLocator");
    vtkLocator*q = reinterpret_cast<vtkLocator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLocator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLocator:GetClassName vtkLocatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLocatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:IsA vtkLocatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLocatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLocator requires 2 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:NewInstance vtkLocatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLocatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLocator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtkLocator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLocator:SafeDownCast vtkLocatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLocatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLocator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLocator requires 2 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLocator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLocator:SetDataSet vtkLocatorSetDataSetFunction
//input a0 a1 
//output none
ArrayVector vtkLocatorSetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataSet (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSet for class vtkLocator requires 2 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GetDataSet vtkLocatorGetDataSetFunction
//input a0 
//output y
ArrayVector vtkLocatorGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetDataSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSet for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLocator:SetMaxLevel vtkLocatorSetMaxLevelFunction
//input a0 a1 
//output none
ArrayVector vtkLocatorSetMaxLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxLevel for class vtkLocator requires 2 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GetMaxLevelMinValue vtkLocatorGetMaxLevelMinValueFunction
//input a0 
//output y
ArrayVector vtkLocatorGetMaxLevelMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxLevelMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLevelMinValue for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxLevelMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GetMaxLevelMaxValue vtkLocatorGetMaxLevelMaxValueFunction
//input a0 
//output y
ArrayVector vtkLocatorGetMaxLevelMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxLevelMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLevelMaxValue for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxLevelMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GetMaxLevel vtkLocatorGetMaxLevelFunction
//input a0 
//output y
ArrayVector vtkLocatorGetMaxLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLevel for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GetLevel vtkLocatorGetLevelFunction
//input a0 
//output y
ArrayVector vtkLocatorGetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevel for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:SetAutomatic vtkLocatorSetAutomaticFunction
//input a0 a1 
//output none
ArrayVector vtkLocatorSetAutomaticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomatic (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomatic for class vtkLocator requires 2 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomatic(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GetAutomatic vtkLocatorGetAutomaticFunction
//input a0 
//output y
ArrayVector vtkLocatorGetAutomaticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomatic (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomatic for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomatic();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:AutomaticOn vtkLocatorAutomaticOnFunction
//input a0 
//output none
ArrayVector vtkLocatorAutomaticOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticOn for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticOn();
  return retval;
}

//@@Signature
//sfunction @vtkLocator:AutomaticOff vtkLocatorAutomaticOffFunction
//input a0 
//output none
ArrayVector vtkLocatorAutomaticOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticOff for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticOff();
  return retval;
}

//@@Signature
//sfunction @vtkLocator:SetTolerance vtkLocatorSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkLocatorSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkLocator requires 2 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GetToleranceMinValue vtkLocatorGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkLocatorGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GetToleranceMaxValue vtkLocatorGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkLocatorGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GetTolerance vtkLocatorGetToleranceFunction
//input a0 
//output y
ArrayVector vtkLocatorGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:Update vtkLocatorUpdateFunction
//input a0 
//output none
ArrayVector vtkLocatorUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkLocator:Initialize vtkLocatorInitializeFunction
//input a0 
//output none
ArrayVector vtkLocatorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkLocator:BuildLocator vtkLocatorBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkLocatorBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildLocator () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkLocator:FreeSearchStructure vtkLocatorFreeSearchStructureFunction
//input a0 
//output none
ArrayVector vtkLocatorFreeSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FreeSearchStructure () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function FreeSearchStructure for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtk_pointer->FreeSearchStructure();
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GenerateRepresentation vtkLocatorGenerateRepresentationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLocatorGenerateRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GenerateRepresentation (int level, vtkPolyData *pd) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function GenerateRepresentation for class vtkLocator requires 3 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->GenerateRepresentation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLocator:GetBuildTime vtkLocatorGetBuildTimeFunction
//input a0 
//output y
ArrayVector vtkLocatorGetBuildTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetBuildTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBuildTime for class vtkLocator requires 1 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetBuildTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLocator:Register vtkLocatorRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkLocatorRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkLocator requires 2 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLocator:UnRegister vtkLocatorUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkLocatorUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkLocator requires 2 argument(s)");
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLocator:display vtkLocatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLocatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLocator* vtk_pointer = GetVTKPointer<vtkLocator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLocator:delete vtkLocatorDeleteFunction
//input varargin
//output none
ArrayVector vtkLocatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLocator
//@@Section VTKFiltering
//@@Usage
// vtkLocator is an abstract base class for spatial search objects, or 
// locators. The principle behind locators is that they divide 3-space into 
// small pieces (or "buckets") that can be quickly found in response to 
// queries like point location, line intersection, or object-object 
// intersection.
//
// The purpose of this base class is to provide ivars and methods shared by 
// all locators. The GenerateRepresentation() is one such interesting method.
// This method works in conjunction with vtkLocatorFilter to create polygonal
// representations for the locator. For example, if the locator is an OBB tree
// (i.e., vtkOBBTree.h), then the representation is a set of one or more 
// oriented bounding boxes, depending upon the specified level.
// 
// Locators typically work as follows. One or more "entities", such as 
// points or cells, are inserted into the tree. These entities are associated
// with one or more buckets. Then, when performing geometric operations, the
// operations are performed first on the buckets, and then if the operation
// tests positive, then on the entities in the bucket. For example, during
// collision tests, the locators are collided first to identify intersecting
// buckets. If an intersection is found, more expensive operations are then
// carried out on the entities in the bucket.
// 
// To obtain good performance, locators are often organized in a tree
// structure.  In such a structure, there are frequently multiple "levels"
// corresponding to different nodes in the tree. So the word level (in the
// context of the locator) can be used to specify a particular representation
// in the tree.  For example, in an octree (which is a tree with 8 children),
// level 0 is the bounding box, or root octant, and level 1 consists of its
// eight children.
//
//To create an instance of class vtkLocator, simply
//invoke its constructor as follows
//@[
//  obj = vtkLocator
//@]
//@@Methods
//The class vtkLocator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLocator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLocator = obj.NewInstance ()|
// \item @|vtkLocator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDataSet (vtkDataSet )| -  Build the locator from the points/cells defining this dataset.
//// \item @|vtkDataSet = obj.GetDataSet ()| -  Build the locator from the points/cells defining this dataset.
//// \item @|obj.SetMaxLevel (int )| -  Set the maximum allowable level for the tree. If the Automatic ivar is 
// off, this will be the target depth of the locator.
// Initial value is 8.
//// \item @|int = obj.GetMaxLevelMinValue ()| -  Set the maximum allowable level for the tree. If the Automatic ivar is 
// off, this will be the target depth of the locator.
// Initial value is 8.
//// \item @|int = obj.GetMaxLevelMaxValue ()| -  Set the maximum allowable level for the tree. If the Automatic ivar is 
// off, this will be the target depth of the locator.
// Initial value is 8.
//// \item @|int = obj.GetMaxLevel ()| -  Set the maximum allowable level for the tree. If the Automatic ivar is 
// off, this will be the target depth of the locator.
// Initial value is 8.
//// \item @|int = obj.GetLevel ()| -  Get the level of the locator (determined automatically if Automatic is 
// true). The value of this ivar may change each time the locator is built.
// Initial value is 8.
//// \item @|obj.SetAutomatic (int )| -  Boolean controls whether locator depth/resolution of locator is computed
// automatically from average number of entities in bucket. If not set,
// there will be an explicit method to control the construction of the
// locator (found in the subclass).
//// \item @|int = obj.GetAutomatic ()| -  Boolean controls whether locator depth/resolution of locator is computed
// automatically from average number of entities in bucket. If not set,
// there will be an explicit method to control the construction of the
// locator (found in the subclass).
//// \item @|obj.AutomaticOn ()| -  Boolean controls whether locator depth/resolution of locator is computed
// automatically from average number of entities in bucket. If not set,
// there will be an explicit method to control the construction of the
// locator (found in the subclass).
//// \item @|obj.AutomaticOff ()| -  Boolean controls whether locator depth/resolution of locator is computed
// automatically from average number of entities in bucket. If not set,
// there will be an explicit method to control the construction of the
// locator (found in the subclass).
//// \item @|obj.SetTolerance (double )| -  Specify absolute tolerance (in world coordinates) for performing
// geometric operations.
//// \item @|double = obj.GetToleranceMinValue ()| -  Specify absolute tolerance (in world coordinates) for performing
// geometric operations.
//// \item @|double = obj.GetToleranceMaxValue ()| -  Specify absolute tolerance (in world coordinates) for performing
// geometric operations.
//// \item @|double = obj.GetTolerance ()| -  Specify absolute tolerance (in world coordinates) for performing
// geometric operations.
//// \item @|obj.Update ()| -  Cause the locator to rebuild itself if it or its input dataset has 
// changed.
//// \item @|obj.Initialize ()| -  Initialize locator. Frees memory and resets object as appropriate.
//// \item @|obj.BuildLocator ()| -  Build the locator from the input dataset.
//// \item @|obj.FreeSearchStructure ()| -  Free the memory required for the spatial data structure.
//// \item @|obj.GenerateRepresentation (int level, vtkPolyData pd)| -  Method to build a representation at a particular level. Note that the 
// method GetLevel() returns the maximum number of levels available for
// the tree. You must provide a vtkPolyData object into which to place the 
// data.
//// \item @|long = obj.GetBuildTime ()| -  Return the time of the last data structure build.
//// \item @|obj.Register (vtkObjectBase o)| -  Handle the PointSet <-> Locator loop.
//// \item @|obj.UnRegister (vtkObjectBase o)| -  Handle the PointSet <-> Locator loop.
////\end{itemize}
//!
