#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMapper2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMapper2D.h"

//@@Signature
//sfunction @vtkMapper2D:vtkMapper2D vtkMapper2DConstructorFunction
//input a
//output p
//@@Parents vtkMapper2D vtkAbstractMapper 
ArrayVector vtkMapper2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMapper2D::New(),"vtkMapper2D",eval);
  } else if (arg[0].className() == "vtkMapper2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMapper2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMapper2D");
    vtkMapper2D*q = reinterpret_cast<vtkMapper2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMapper2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMapper2D:GetClassName vtkMapper2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMapper2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMapper2D requires 1 argument(s)");
  vtkMapper2D* vtk_pointer = GetVTKPointer<vtkMapper2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper2D:IsA vtkMapper2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMapper2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMapper2D requires 2 argument(s)");
  vtkMapper2D* vtk_pointer = GetVTKPointer<vtkMapper2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper2D:NewInstance vtkMapper2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMapper2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapper2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMapper2D requires 1 argument(s)");
  vtkMapper2D* vtk_pointer = GetVTKPointer<vtkMapper2D>(arg[0]);
  Array retval;
  vtkMapper2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapper2D:SafeDownCast vtkMapper2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMapper2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapper2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMapper2D requires 2 argument(s)");
  vtkMapper2D* vtk_pointer = GetVTKPointer<vtkMapper2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMapper2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapper2D:RenderOverlay vtkMapper2DRenderOverlayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMapper2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderOverlay (vtkViewport *, vtkActor2D *); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOverlay for class vtkMapper2D requires 3 argument(s)");
  vtkMapper2D* vtk_pointer = GetVTKPointer<vtkMapper2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOverlay(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapper2D:RenderOpaqueGeometry vtkMapper2DRenderOpaqueGeometryFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMapper2DRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderOpaqueGeometry (vtkViewport *, vtkActor2D *); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOpaqueGeometry for class vtkMapper2D requires 3 argument(s)");
  vtkMapper2D* vtk_pointer = GetVTKPointer<vtkMapper2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOpaqueGeometry(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapper2D:RenderTranslucentPolygonalGeometry vtkMapper2DRenderTranslucentPolygonalGeometryFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMapper2DRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderTranslucentPolygonalGeometry (vtkViewport *, vtkActor2D *); */
  if (arg.size() < 3) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkMapper2D requires 3 argument(s)");
  vtkMapper2D* vtk_pointer = GetVTKPointer<vtkMapper2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderTranslucentPolygonalGeometry(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapper2D:HasTranslucentPolygonalGeometry vtkMapper2DHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkMapper2DHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry ();return  */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkMapper2D requires 1 argument(s)");
  vtkMapper2D* vtk_pointer = GetVTKPointer<vtkMapper2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper2D:display vtkMapper2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMapper2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMapper2D* vtk_pointer = GetVTKPointer<vtkMapper2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMapper2D:delete vtkMapper2DDeleteFunction
//input varargin
//output none
ArrayVector vtkMapper2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMapper2D
//@@Section VTKFiltering
//@@Usage
// vtkMapper2D is an abstract class which defines the interface for objects
// which render two dimensional actors (vtkActor2D).
//
//To create an instance of class vtkMapper2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkMapper2D
//@]
//@@Methods
//The class vtkMapper2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMapper2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMapper2D = obj.NewInstance ()|
// \item @|vtkMapper2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderOverlay (vtkViewport , vtkActor2D )|
// \item @|obj.RenderOpaqueGeometry (vtkViewport , vtkActor2D )|
// \item @|obj.RenderTranslucentPolygonalGeometry (vtkViewport , vtkActor2D )|
// \item @|int = obj.HasTranslucentPolygonalGeometry ()|
//\end{itemize}
//!
