#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMergePoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMergePoints.h"

//@@Signature
//sfunction @vtkMergePoints:vtkMergePoints vtkMergePointsConstructorFunction
//input a
//output p
//@@Parents vtkMergePoints vtkPointLocator 
ArrayVector vtkMergePointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMergePoints::New(),"vtkMergePoints",eval);
  } else if (arg[0].className() == "vtkMergePoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMergePoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMergePoints");
    vtkMergePoints*q = reinterpret_cast<vtkMergePoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMergePoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMergePoints:GetClassName vtkMergePointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMergePointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMergePoints requires 1 argument(s)");
  vtkMergePoints* vtk_pointer = GetVTKPointer<vtkMergePoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergePoints:IsA vtkMergePointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMergePointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMergePoints requires 2 argument(s)");
  vtkMergePoints* vtk_pointer = GetVTKPointer<vtkMergePoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergePoints:NewInstance vtkMergePointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMergePointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergePoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMergePoints requires 1 argument(s)");
  vtkMergePoints* vtk_pointer = GetVTKPointer<vtkMergePoints>(arg[0]);
  Array retval;
  vtkMergePoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergePoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergePoints:SafeDownCast vtkMergePointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMergePointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergePoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMergePoints requires 2 argument(s)");
  vtkMergePoints* vtk_pointer = GetVTKPointer<vtkMergePoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMergePoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergePoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergePoints:IsInsertedPoint__1 vtkMergePointsIsInsertedPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkMergePointsIsInsertedPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType IsInsertedPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function IsInsertedPoint__1 for class vtkMergePoints requires 2 argument(s)");
  vtkMergePoints* vtk_pointer = GetVTKPointer<vtkMergePoints>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->IsInsertedPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergePoints:IsInsertedPoint__2 vtkMergePointsIsInsertedPoint__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMergePointsIsInsertedPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType IsInsertedPoint (double x, double y, double z);return this vtkPointLocator IsInsertedPoint x y z  */
  if (arg.size() < 4) 
    throw Exception("Function IsInsertedPoint__2 for class vtkMergePoints requires 4 argument(s)");
  vtkMergePoints* vtk_pointer = GetVTKPointer<vtkMergePoints>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->IsInsertedPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergePoints:IsInsertedPoint vtkMergePointsIsInsertedPointFunction
//input varargin
//output varargout
ArrayVector vtkMergePointsIsInsertedPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMergePointsIsInsertedPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMergePointsIsInsertedPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMergePointsIsInsertedPoint");
}

//@@Signature
//sfunction @vtkMergePoints:display vtkMergePointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMergePointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMergePoints* vtk_pointer = GetVTKPointer<vtkMergePoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMergePoints:delete vtkMergePointsDeleteFunction
//input varargin
//output none
ArrayVector vtkMergePointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMergePoints
//@@Section VTKFiltering
//@@Usage
// vtkMergePoints is a locator object to quickly locate points in 3D.
// The primary difference between vtkMergePoints and its superclass
// vtkPointLocator is that vtkMergePoints merges precisely coincident points
// and is therefore much faster.
//
//To create an instance of class vtkMergePoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkMergePoints
//@]
//@@Methods
//The class vtkMergePoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMergePoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMergePoints = obj.NewInstance ()|
// \item @|vtkMergePoints = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.IsInsertedPoint (double x[3])| -  Determine whether point given by x[3] has been inserted into points list.
// Return id of previously inserted point if this is true, otherwise return
// -1.
//// \item @|vtkIdType = obj.IsInsertedPoint (double x, double y, double z)| -  Determine whether point given by x[3] has been inserted into points list.
// Return id of previously inserted point if this is true, otherwise return
// -1.
////\end{itemize}
//!
