#include "VTKWrap.hpp"

// FreeMat wrapper for vtkModifiedBSPTree object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkModifiedBSPTree.h"

//@@Signature
//sfunction @vtkModifiedBSPTree:vtkModifiedBSPTree vtkModifiedBSPTreeConstructorFunction
//input a
//output p
//@@Parents vtkModifiedBSPTree vtkAbstractCellLocator 
ArrayVector vtkModifiedBSPTreeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkModifiedBSPTree::New(),"vtkModifiedBSPTree",eval);
  } else if (arg[0].className() == "vtkModifiedBSPTree") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkModifiedBSPTree"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkModifiedBSPTree");
    vtkModifiedBSPTree*q = reinterpret_cast<vtkModifiedBSPTree*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkModifiedBSPTree");
    return ret;
  }
}
//@@Signature
//sfunction @vtkModifiedBSPTree:GetClassName vtkModifiedBSPTreeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkModifiedBSPTreeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkModifiedBSPTree requires 1 argument(s)");
  vtkModifiedBSPTree* vtk_pointer = GetVTKPointer<vtkModifiedBSPTree>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModifiedBSPTree:IsA vtkModifiedBSPTreeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkModifiedBSPTreeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkModifiedBSPTree requires 2 argument(s)");
  vtkModifiedBSPTree* vtk_pointer = GetVTKPointer<vtkModifiedBSPTree>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModifiedBSPTree:NewInstance vtkModifiedBSPTreeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkModifiedBSPTreeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkModifiedBSPTree *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkModifiedBSPTree requires 1 argument(s)");
  vtkModifiedBSPTree* vtk_pointer = GetVTKPointer<vtkModifiedBSPTree>(arg[0]);
  Array retval;
  vtkModifiedBSPTree  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkModifiedBSPTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkModifiedBSPTree:SafeDownCast vtkModifiedBSPTreeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkModifiedBSPTreeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkModifiedBSPTree *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkModifiedBSPTree requires 2 argument(s)");
  vtkModifiedBSPTree* vtk_pointer = GetVTKPointer<vtkModifiedBSPTree>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkModifiedBSPTree  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkModifiedBSPTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkModifiedBSPTree:FreeSearchStructure vtkModifiedBSPTreeFreeSearchStructureFunction
//input a0 
//output none
ArrayVector vtkModifiedBSPTreeFreeSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeSearchStructure (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeSearchStructure for class vtkModifiedBSPTree requires 1 argument(s)");
  vtkModifiedBSPTree* vtk_pointer = GetVTKPointer<vtkModifiedBSPTree>(arg[0]);
  Array retval;
  vtk_pointer->FreeSearchStructure();
  return retval;
}

//@@Signature
//sfunction @vtkModifiedBSPTree:BuildLocator vtkModifiedBSPTreeBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkModifiedBSPTreeBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkModifiedBSPTree requires 1 argument(s)");
  vtkModifiedBSPTree* vtk_pointer = GetVTKPointer<vtkModifiedBSPTree>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkModifiedBSPTree:display vtkModifiedBSPTreeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkModifiedBSPTreeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkModifiedBSPTree* vtk_pointer = GetVTKPointer<vtkModifiedBSPTree>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkModifiedBSPTree:delete vtkModifiedBSPTreeDeleteFunction
//input varargin
//output none
ArrayVector vtkModifiedBSPTreeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkModifiedBSPTree
//@@Section VTKFiltering
//@@Usage
// vtkModifiedBSPTree creates an evenly balanced BSP tree using a top down
// implementation. Axis aligned split planes are found which evenly divide
// cells into two buckets. Generally a split plane will intersect some cells
// and these are usually stored in both child nodes of the current parent.
// (Or split into separate cells which we cannot consider in this case).
// Storing cells in multiple buckets creates problems associated with multiple
// tests against rays and increases the required storage as complex meshes
// will have many cells straddling a split plane (and further splits may
// cause multiple copies of these).
//
// During a discussion with Arno Formella in 1998 he suggested using
// a third child node to store objects which straddle split planes. I've not
// seen this published (Yes! - see below), but thought it worth trying. This
// implementation of the BSP tree creates a third child node for storing cells
// lying across split planes, the third cell may overlap the other two, but the
// two 'proper' nodes otherwise conform to usual BSP rules.
//
// The advantage of this implementation is cells only ever lie in one node
// and mailbox testing is avoided. All BBoxes are axis aligned and a ray cast
// uses an efficient search strategy based on near/far nodes and rejects
// all BBoxes using simple tests.
//
// For fast raytracing, 6 copies of cell lists are stored in each leaf node
// each list is in axis sorted order +/- x,y,z and cells are always tested
// in the direction of the ray dominant axis. Once an intersection is found
// any cell or BBox with a closest point further than the I-point can be
// instantly rejected and raytracing stops as soon as no nodes can be closer
// than the current best intersection point.
//
// The addition of the 'middle' node upsets the optimal balance of the tree,
// but is a minor overhead during the raytrace. Each child node is contracted
// such that it tightly fits all cells inside it, enabling further ray/box
// rejections.
//
// This class is intented for persons requiring many ray tests and is optimized
// for this purpose. As no cell ever lies in more than one leaf node, and parent
// nodes do not maintain cell lists, the memory overhead of the sorted cell
// lists is 6*num_cells*4 for 6 lists of ints, each num_cells in length.
// The memory requirement of the nodes themselves is usually of minor
// significance.
//
// Subdividision is controlled by MaxCellsPerNode - any node with more than
// this number will be subdivided providing a good split plane can be found and
// the max depth is not exceeded.
//
// The average cells per leaf will usually be around half the MaxCellsPerNode,
// though the middle node is usually sparsely populated and lowers the average
// slightly. The middle node will not be created when not needed.
// Subdividing down to very small cells per node is not generally suggested
// as then the 6 stored cell lists are effectively redundant.
//
// Values of MaxcellsPerNode of around 16->128 depending on dataset size will
// usually give good results.
//
// Cells are only sorted into 6 lists once - before tree creation, each node
// segments the lists and passes them down to the new child nodes whilst
// maintaining sorted order. This makes for an efficient subdivision strategy.
//
// NB. The following reference has been sent to me
//   @Article{formella-1995-ray,
//     author =     "Arno Formella and Christian Gill",
//     title =      "{Ray Tracing: A Quantitative Analysis and a New
//                   Practical Algorithm}",
//     journal =    "{The Visual Computer}",
//     year =       "{1995}",
//     month =       dec,
//     pages =      "{465--476}",
//     volume =     "{11}",
//     number =     "{9}",
//     publisher =  "{Springer}",
//     keywords =   "{ray tracing, space subdivision, plane traversal,
//                    octree, clustering, benchmark scenes}",
//     annote =     "{We present a new method to accelerate the process of
//                    finding nearest ray--object intersections in ray
//                    tracing. The algorithm consumes an amount of memory
//                    more or less linear in the number of objects. The basic
//                    ideas can be characterized with a modified BSP--tree
//                    and plane traversal. Plane traversal is a fast linear
//                    time algorithm to find the closest intersection point
//                    in a list of bounding volumes hit by a ray. We use
//                    plane traversal at every node of the high outdegree
//                    BSP--tree. Our implementation is competitive to fast
//                    ray tracing programs. We present a benchmark suite
//                    which allows for an extensive comparison of ray tracing
//                    algorithms.}",
//   }
//
// .SECTION Thanks
//  John Biddiscombe for developing and contributing this class
//
// .SECTION ToDo
// -------------
// Implement intersection heap for testing rays against transparent objects
//
// .SECTION Style
// --------------
// This class is currently maintained by J. Biddiscombe who has specially
// requested that the code style not be modified to the kitware standard.
// Please respect the contribution of this class by keeping the style
// as close as possible to the author's original.
//
//
//To create an instance of class vtkModifiedBSPTree, simply
//invoke its constructor as follows
//@[
//  obj = vtkModifiedBSPTree
//@]
//@@Methods
//The class vtkModifiedBSPTree has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkModifiedBSPTree class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard Type-Macro
//// \item @|int = obj.IsA (string name)| -  Standard Type-Macro
//// \item @|vtkModifiedBSPTree = obj.NewInstance ()| -  Standard Type-Macro
//// \item @|vtkModifiedBSPTree = obj.SafeDownCast (vtkObject o)| -  Standard Type-Macro
//// \item @|obj.FreeSearchStructure ()| -  Free tree memory
//// \item @|obj.BuildLocator ()| -  Build Tree
////\end{itemize}
//!
