#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMultiBlockDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMultiBlockDataSet.h"

//@@Signature
//sfunction @vtkMultiBlockDataSet:vtkMultiBlockDataSet vtkMultiBlockDataSetConstructorFunction
//input a
//output p
//@@Parents vtkMultiBlockDataSet vtkCompositeDataSet 
ArrayVector vtkMultiBlockDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMultiBlockDataSet::New(),"vtkMultiBlockDataSet",eval);
  } else if (arg[0].className() == "vtkMultiBlockDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMultiBlockDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMultiBlockDataSet");
    vtkMultiBlockDataSet*q = reinterpret_cast<vtkMultiBlockDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMultiBlockDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMultiBlockDataSet:GetClassName vtkMultiBlockDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMultiBlockDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMultiBlockDataSet requires 1 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:IsA vtkMultiBlockDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMultiBlockDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMultiBlockDataSet requires 2 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:NewInstance vtkMultiBlockDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMultiBlockDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiBlockDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMultiBlockDataSet requires 1 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  vtkMultiBlockDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiBlockDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:SafeDownCast vtkMultiBlockDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMultiBlockDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiBlockDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMultiBlockDataSet requires 2 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMultiBlockDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiBlockDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:GetDataObjectType vtkMultiBlockDataSetGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkMultiBlockDataSetGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_MULTIBLOCK_DATA_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkMultiBlockDataSet requires 1 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:SetNumberOfBlocks vtkMultiBlockDataSetSetNumberOfBlocksFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockDataSetSetNumberOfBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfBlocks (unsigned int numBlocks); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfBlocks for class vtkMultiBlockDataSet requires 2 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetNumberOfBlocks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:GetNumberOfBlocks vtkMultiBlockDataSetGetNumberOfBlocksFunction
//input a0 
//output y
ArrayVector vtkMultiBlockDataSetGetNumberOfBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetNumberOfBlocks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBlocks for class vtkMultiBlockDataSet requires 1 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfBlocks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:GetBlock vtkMultiBlockDataSetGetBlockFunction
//input a0 a1 
//output y
ArrayVector vtkMultiBlockDataSetGetBlockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetBlock (unsigned int blockno); */
  if (arg.size() < 2) 
    throw Exception("Function GetBlock for class vtkMultiBlockDataSet requires 2 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBlock(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:SetBlock vtkMultiBlockDataSetSetBlockFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMultiBlockDataSetSetBlockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlock (unsigned int blockno, vtkDataObject *block); */
  if (arg.size() < 3) 
    throw Exception("Function SetBlock for class vtkMultiBlockDataSet requires 3 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetBlock(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:RemoveBlock vtkMultiBlockDataSetRemoveBlockFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockDataSetRemoveBlockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveBlock (unsigned int blockno); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveBlock for class vtkMultiBlockDataSet requires 2 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->RemoveBlock(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:HasMetaData__1 vtkMultiBlockDataSetHasMetaData__1Function
//input a0 a1 
//output y
ArrayVector vtkMultiBlockDataSetHasMetaData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasMetaData (unsigned int blockno);return this Superclass HasChildMetaData blockno  */
  if (arg.size() < 2) 
    throw Exception("Function HasMetaData__1 for class vtkMultiBlockDataSet requires 2 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->HasMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:GetMetaData__1 vtkMultiBlockDataSetGetMetaData__1Function
//input a0 a1 
//output y
ArrayVector vtkMultiBlockDataSetGetMetaData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetMetaData (unsigned int blockno);return this Superclass GetChildMetaData blockno  */
  if (arg.size() < 2) 
    throw Exception("Function GetMetaData__1 for class vtkMultiBlockDataSet requires 2 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMetaData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:GetMetaData__2 vtkMultiBlockDataSetGetMetaData__2Function
//input a0 a1 
//output y
ArrayVector vtkMultiBlockDataSetGetMetaData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkInformation *GetMetaData (vtkCompositeDataIterator *iter);return this Superclass GetMetaData iter  */
  if (arg.size() < 2) 
    throw Exception("Function GetMetaData__2 for class vtkMultiBlockDataSet requires 2 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->GetMetaData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:HasMetaData__2 vtkMultiBlockDataSetHasMetaData__2Function
//input a0 a1 
//output y
ArrayVector vtkMultiBlockDataSetHasMetaData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasMetaData (vtkCompositeDataIterator *iter);return this Superclass HasMetaData iter  */
  if (arg.size() < 2) 
    throw Exception("Function HasMetaData__2 for class vtkMultiBlockDataSet requires 2 argument(s)");
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->HasMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:HasMetaData vtkMultiBlockDataSetHasMetaDataFunction
//input varargin
//output varargout
ArrayVector vtkMultiBlockDataSetHasMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMultiBlockDataSetHasMetaData__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCompositeDataIterator"))
    return vtkMultiBlockDataSetHasMetaData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiBlockDataSetHasMetaData");
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:GetMetaData vtkMultiBlockDataSetGetMetaDataFunction
//input varargin
//output varargout
ArrayVector vtkMultiBlockDataSetGetMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMultiBlockDataSetGetMetaData__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCompositeDataIterator"))
    return vtkMultiBlockDataSetGetMetaData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiBlockDataSetGetMetaData");
}

//@@Signature
//sfunction @vtkMultiBlockDataSet:display vtkMultiBlockDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMultiBlockDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMultiBlockDataSet* vtk_pointer = GetVTKPointer<vtkMultiBlockDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMultiBlockDataSet:delete vtkMultiBlockDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkMultiBlockDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMultiBlockDataSet
//@@Section VTKFiltering
//@@Usage
// vtkMultiBlockDataSet is a vtkCompositeDataSet that stores
// a hierarchy of datasets. The dataset collection consists of
// multiple blocks. Each  block can itself be a vtkMultiBlockDataSet, thus
// providing for a full tree structure.
// Sub-blocks are usually used to distribute blocks across processors.
// For example, a 1 block dataset can be distributed as following:
// @verbatim
// proc 0:
// Block 0:
//   * ds 0
//   * (null)
//
// proc 1:
// Block 0:
//   * (null)
//   * ds 1
// @endverbatim
//
//To create an instance of class vtkMultiBlockDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkMultiBlockDataSet
//@]
//@@Methods
//The class vtkMultiBlockDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMultiBlockDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMultiBlockDataSet = obj.NewInstance ()|
// \item @|vtkMultiBlockDataSet = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()| -  Set the number of blocks. This will cause allocation if the new number of
// blocks is greater than the current size. All new blocks are initialized to
// null.
//// \item @|obj.SetNumberOfBlocks (int numBlocks)| -  Set the number of blocks. This will cause allocation if the new number of
// blocks is greater than the current size. All new blocks are initialized to
// null.
//// \item @|int = obj.GetNumberOfBlocks ()| -  Returns the number of blocks.
//// \item @|vtkDataObject = obj.GetBlock (int blockno)| -  Returns the block at the given index. It is recommended that one uses the
// iterators to iterate over composite datasets rather than using this API.
//// \item @|obj.SetBlock (int blockno, vtkDataObject block)| -  Sets the data object as the given block. The total number of blocks will 
// be resized to fit the requested block no.
//// \item @|obj.RemoveBlock (int blockno)| -  Remove the given block from the dataset.
//// \item @|int = obj.HasMetaData (int blockno)| -  Returns the meta-data for the block. If none is already present, a new
// vtkInformation object will be allocated. Use HasMetaData to avoid
// allocating vtkInformation objects.
//// \item @|vtkInformation = obj.GetMetaData (int blockno)| -  Unhiding superclass method.
//// \item @|vtkInformation = obj.GetMetaData (vtkCompositeDataIterator iter)| -  Unhiding superclass method.
//// \item @|int = obj.HasMetaData (vtkCompositeDataIterator iter)|
//\end{itemize}
//!
