#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMultiPieceDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMultiPieceDataSet.h"

//@@Signature
//sfunction @vtkMultiPieceDataSet:vtkMultiPieceDataSet vtkMultiPieceDataSetConstructorFunction
//input a
//output p
//@@Parents vtkMultiPieceDataSet vtkCompositeDataSet 
ArrayVector vtkMultiPieceDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMultiPieceDataSet::New(),"vtkMultiPieceDataSet",eval);
  } else if (arg[0].className() == "vtkMultiPieceDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMultiPieceDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMultiPieceDataSet");
    vtkMultiPieceDataSet*q = reinterpret_cast<vtkMultiPieceDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMultiPieceDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMultiPieceDataSet:GetClassName vtkMultiPieceDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMultiPieceDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMultiPieceDataSet requires 1 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:IsA vtkMultiPieceDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMultiPieceDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMultiPieceDataSet requires 2 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:NewInstance vtkMultiPieceDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMultiPieceDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiPieceDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMultiPieceDataSet requires 1 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  vtkMultiPieceDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiPieceDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:SafeDownCast vtkMultiPieceDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMultiPieceDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiPieceDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMultiPieceDataSet requires 2 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMultiPieceDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiPieceDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:GetDataObjectType vtkMultiPieceDataSetGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkMultiPieceDataSetGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_MULTIPIECE_DATA_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkMultiPieceDataSet requires 1 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:SetNumberOfPieces vtkMultiPieceDataSetSetNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkMultiPieceDataSetSetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPieces (unsigned int numpieces); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPieces for class vtkMultiPieceDataSet requires 2 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:GetNumberOfPieces vtkMultiPieceDataSetGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkMultiPieceDataSetGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkMultiPieceDataSet requires 1 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:GetPiece vtkMultiPieceDataSetGetPieceFunction
//input a0 a1 
//output y
ArrayVector vtkMultiPieceDataSetGetPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetPiece (unsigned int pieceno); */
  if (arg.size() < 2) 
    throw Exception("Function GetPiece for class vtkMultiPieceDataSet requires 2 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPiece(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:GetPieceAsDataObject vtkMultiPieceDataSetGetPieceAsDataObjectFunction
//input a0 a1 
//output y
ArrayVector vtkMultiPieceDataSetGetPieceAsDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetPieceAsDataObject (unsigned int pieceno); */
  if (arg.size() < 2) 
    throw Exception("Function GetPieceAsDataObject for class vtkMultiPieceDataSet requires 2 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPieceAsDataObject(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:SetPiece vtkMultiPieceDataSetSetPieceFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMultiPieceDataSetSetPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPiece (unsigned int pieceno, vtkDataObject *piece); */
  if (arg.size() < 3) 
    throw Exception("Function SetPiece for class vtkMultiPieceDataSet requires 3 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetPiece(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:HasMetaData__1 vtkMultiPieceDataSetHasMetaData__1Function
//input a0 a1 
//output y
ArrayVector vtkMultiPieceDataSetHasMetaData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasMetaData (unsigned int piece);return this Superclass HasChildMetaData piece  */
  if (arg.size() < 2) 
    throw Exception("Function HasMetaData__1 for class vtkMultiPieceDataSet requires 2 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->HasMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:GetMetaData__1 vtkMultiPieceDataSetGetMetaData__1Function
//input a0 a1 
//output y
ArrayVector vtkMultiPieceDataSetGetMetaData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetMetaData (unsigned int pieceno);return this Superclass GetChildMetaData pieceno  */
  if (arg.size() < 2) 
    throw Exception("Function GetMetaData__1 for class vtkMultiPieceDataSet requires 2 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMetaData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:GetMetaData__2 vtkMultiPieceDataSetGetMetaData__2Function
//input a0 a1 
//output y
ArrayVector vtkMultiPieceDataSetGetMetaData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkInformation *GetMetaData (vtkCompositeDataIterator *iter);return this Superclass GetMetaData iter  */
  if (arg.size() < 2) 
    throw Exception("Function GetMetaData__2 for class vtkMultiPieceDataSet requires 2 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->GetMetaData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:HasMetaData__2 vtkMultiPieceDataSetHasMetaData__2Function
//input a0 a1 
//output y
ArrayVector vtkMultiPieceDataSetHasMetaData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasMetaData (vtkCompositeDataIterator *iter);return this Superclass HasMetaData iter  */
  if (arg.size() < 2) 
    throw Exception("Function HasMetaData__2 for class vtkMultiPieceDataSet requires 2 argument(s)");
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->HasMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:HasMetaData vtkMultiPieceDataSetHasMetaDataFunction
//input varargin
//output varargout
ArrayVector vtkMultiPieceDataSetHasMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMultiPieceDataSetHasMetaData__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCompositeDataIterator"))
    return vtkMultiPieceDataSetHasMetaData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiPieceDataSetHasMetaData");
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:GetMetaData vtkMultiPieceDataSetGetMetaDataFunction
//input varargin
//output varargout
ArrayVector vtkMultiPieceDataSetGetMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMultiPieceDataSetGetMetaData__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCompositeDataIterator"))
    return vtkMultiPieceDataSetGetMetaData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiPieceDataSetGetMetaData");
}

//@@Signature
//sfunction @vtkMultiPieceDataSet:display vtkMultiPieceDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMultiPieceDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMultiPieceDataSet* vtk_pointer = GetVTKPointer<vtkMultiPieceDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMultiPieceDataSet:delete vtkMultiPieceDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkMultiPieceDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMultiPieceDataSet
//@@Section VTKFiltering
//@@Usage
// A vtkMultiPieceDataSet dataset groups multiple data pieces together. 
// For example, say that a simulation broke a volume into 16 piece so that 
// each piece can be processed with 1 process in parallel. We want to load 
// this volume in a visualization cluster of 4 nodes. Each node will get 4 
// pieces, not necessarily forming a whole rectangular piece. In this case, 
// it is not possible to append the 4 pieces together into a vtkImageData. 
// In this case, these 4 pieces can be collected together using a 
// vtkMultiPieceDataSet. 
// Note that vtkMultiPieceDataSet is intended to be included in other composite
// datasets eg. vtkMultiBlockDataSet, vtkHierarchicalBoxDataSet. Hence the lack
// of algorithms producting vtkMultiPieceDataSet.
//
//To create an instance of class vtkMultiPieceDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkMultiPieceDataSet
//@]
//@@Methods
//The class vtkMultiPieceDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMultiPieceDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMultiPieceDataSet = obj.NewInstance ()|
// \item @|vtkMultiPieceDataSet = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()| -  Set the number of pieces. This will cause allocation if the new number of
// pieces is greater than the current size. All new pieces are initialized to
// null.
//// \item @|obj.SetNumberOfPieces (int numpieces)| -  Set the number of pieces. This will cause allocation if the new number of
// pieces is greater than the current size. All new pieces are initialized to
// null.
//// \item @|int = obj.GetNumberOfPieces ()| -  Returns the number of pieces.
//// \item @|vtkDataSet = obj.GetPiece (int pieceno)| -  Returns the piece at the given index. 
//// \item @|vtkDataObject = obj.GetPieceAsDataObject (int pieceno)| -  Returns the piece at the given index. 
//// \item @|obj.SetPiece (int pieceno, vtkDataObject piece)| -  Sets the data object as the given piece. The total number of pieces will 
// be resized to fit the requested piece no.
//// \item @|int = obj.HasMetaData (int piece)| -  Returns the meta-data for the piece. If none is already present, a new
// vtkInformation object will be allocated. Use HasMetaData to avoid
// allocating vtkInformation objects.
//// \item @|vtkInformation = obj.GetMetaData (int pieceno)| -  Unhiding superclass method.
//// \item @|vtkInformation = obj.GetMetaData (vtkCompositeDataIterator iter)| -  Unhiding superclass method.
//// \item @|int = obj.HasMetaData (vtkCompositeDataIterator iter)|
//\end{itemize}
//!
