#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMutableDirectedGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMutableDirectedGraph.h"

//@@Signature
//sfunction @vtkMutableDirectedGraph:vtkMutableDirectedGraph vtkMutableDirectedGraphConstructorFunction
//input a
//output p
//@@Parents vtkMutableDirectedGraph vtkDirectedGraph 
ArrayVector vtkMutableDirectedGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMutableDirectedGraph::New(),"vtkMutableDirectedGraph",eval);
  } else if (arg[0].className() == "vtkMutableDirectedGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMutableDirectedGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMutableDirectedGraph");
    vtkMutableDirectedGraph*q = reinterpret_cast<vtkMutableDirectedGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMutableDirectedGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMutableDirectedGraph:GetClassName vtkMutableDirectedGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMutableDirectedGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMutableDirectedGraph requires 1 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:IsA vtkMutableDirectedGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMutableDirectedGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMutableDirectedGraph requires 2 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:NewInstance vtkMutableDirectedGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMutableDirectedGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMutableDirectedGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMutableDirectedGraph requires 1 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkMutableDirectedGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMutableDirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:SafeDownCast vtkMutableDirectedGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMutableDirectedGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMutableDirectedGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMutableDirectedGraph requires 2 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMutableDirectedGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMutableDirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:AddVertex__1 vtkMutableDirectedGraphAddVertex__1Function
//input a0 
//output y
ArrayVector vtkMutableDirectedGraphAddVertex__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function AddVertex__1 for class vtkMutableDirectedGraph requires 1 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->AddVertex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:AddVertex__2 vtkMutableDirectedGraphAddVertex__2Function
//input a0 a1 
//output y
ArrayVector vtkMutableDirectedGraphAddVertex__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddVertex (vtkVariantArray *propertyArr); */
  if (arg.size() < 2) 
    throw Exception("Function AddVertex__2 for class vtkMutableDirectedGraph requires 2 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkVariantArray  *temp0;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkVariantArray>(arg[1]);
  temp20 = (vtk_pointer)->AddVertex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:LazyAddVertex__1 vtkMutableDirectedGraphLazyAddVertex__1Function
//input a0 
//output none
ArrayVector vtkMutableDirectedGraphLazyAddVertex__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LazyAddVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function LazyAddVertex__1 for class vtkMutableDirectedGraph requires 1 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtk_pointer->LazyAddVertex();
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:LazyAddVertex__2 vtkMutableDirectedGraphLazyAddVertex__2Function
//input a0 a1 
//output none
ArrayVector vtkMutableDirectedGraphLazyAddVertex__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LazyAddVertex (vtkVariantArray *propertyArr); */
  if (arg.size() < 2) 
    throw Exception("Function LazyAddVertex__2 for class vtkMutableDirectedGraph requires 2 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkVariantArray  *temp0;
  temp0 = GetVTKPointer<vtkVariantArray>(arg[1]);
  vtk_pointer->LazyAddVertex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:AddGraphEdge vtkMutableDirectedGraphAddGraphEdgeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMutableDirectedGraphAddGraphEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphEdge *AddGraphEdge (vtkIdType u, vtkIdType v); */
  if (arg.size() < 3) 
    throw Exception("Function AddGraphEdge for class vtkMutableDirectedGraph requires 3 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->AddGraphEdge(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphEdge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:AddChild__1 vtkMutableDirectedGraphAddChild__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkMutableDirectedGraphAddChild__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddChild (vtkIdType parent, vtkVariantArray *propertyArr); */
  if (arg.size() < 3) 
    throw Exception("Function AddChild__1 for class vtkMutableDirectedGraph requires 3 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkVariantArray  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkVariantArray>(arg[2]);
  temp20 = (vtk_pointer)->AddChild(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:AddChild__2 vtkMutableDirectedGraphAddChild__2Function
//input a0 a1 
//output y
ArrayVector vtkMutableDirectedGraphAddChild__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddChild (vtkIdType parent);return this AddChild parent  */
  if (arg.size() < 2) 
    throw Exception("Function AddChild__2 for class vtkMutableDirectedGraph requires 2 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->AddChild(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:RemoveVertex vtkMutableDirectedGraphRemoveVertexFunction
//input a0 a1 
//output none
ArrayVector vtkMutableDirectedGraphRemoveVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveVertex (vtkIdType v); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveVertex for class vtkMutableDirectedGraph requires 2 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveVertex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:RemoveEdge vtkMutableDirectedGraphRemoveEdgeFunction
//input a0 a1 
//output none
ArrayVector vtkMutableDirectedGraphRemoveEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveEdge (vtkIdType e); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveEdge for class vtkMutableDirectedGraph requires 2 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveEdge(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:RemoveVertices vtkMutableDirectedGraphRemoveVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkMutableDirectedGraphRemoveVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveVertices (vtkIdTypeArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveVertices for class vtkMutableDirectedGraph requires 2 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  vtk_pointer->RemoveVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:RemoveEdges vtkMutableDirectedGraphRemoveEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkMutableDirectedGraphRemoveEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveEdges (vtkIdTypeArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveEdges for class vtkMutableDirectedGraph requires 2 argument(s)");
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  vtk_pointer->RemoveEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:AddVertex vtkMutableDirectedGraphAddVertexFunction
//input varargin
//output varargout
ArrayVector vtkMutableDirectedGraphAddVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkMutableDirectedGraphAddVertex__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkVariantArray"))
    return vtkMutableDirectedGraphAddVertex__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMutableDirectedGraphAddVertex");
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:LazyAddVertex vtkMutableDirectedGraphLazyAddVertexFunction
//input varargin
//output varargout
ArrayVector vtkMutableDirectedGraphLazyAddVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkMutableDirectedGraphLazyAddVertex__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkVariantArray"))
    return vtkMutableDirectedGraphLazyAddVertex__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMutableDirectedGraphLazyAddVertex");
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:AddChild vtkMutableDirectedGraphAddChildFunction
//input varargin
//output varargout
ArrayVector vtkMutableDirectedGraphAddChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkVariantArray"))
    return vtkMutableDirectedGraphAddChild__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMutableDirectedGraphAddChild__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMutableDirectedGraphAddChild");
}

//@@Signature
//sfunction @vtkMutableDirectedGraph:display vtkMutableDirectedGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMutableDirectedGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMutableDirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableDirectedGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMutableDirectedGraph:delete vtkMutableDirectedGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkMutableDirectedGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMutableDirectedGraph
//@@Section VTKFiltering
//@@Usage
// vtkMutableDirectedGraph is a directed graph which has additional methods
// for adding edges and vertices. AddChild() is a convenience method for
// constructing trees. ShallowCopy(), DeepCopy(), CheckedShallowCopy() and
// CheckedDeepCopy() will succeed for instances of vtkDirectedGraph,
// vtkMutableDirectedGraph and vtkTree.
//
//
//To create an instance of class vtkMutableDirectedGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkMutableDirectedGraph
//@]
//@@Methods
//The class vtkMutableDirectedGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMutableDirectedGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMutableDirectedGraph = obj.NewInstance ()|
// \item @|vtkMutableDirectedGraph = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.AddVertex ()| -  Adds a vertex to the graph and returns the index of the new vertex.
//
// Note: In a distributed graph (i.e. a graph whose DistributedHelper
// is non-null), this routine cannot be used to add a vertex
// if the vertices in the graph have pedigree IDs, because this routine
// will always add the vertex locally, which may conflict with the
// proper location of the vertex based on the distribution of the
// pedigree IDs.
//// \item @|vtkIdType = obj.AddVertex (vtkVariantArray propertyArr)| -  Adds a vertex to the graph with associated properties defined in
// \p propertyArr and returns the index of the new vertex.
// The number and order of values in \p propertyArr must match up with the
// arrays in the vertex data retrieved by GetVertexData().
// 
// If a vertex with the given pedigree ID already exists, its properties will be
// overwritten with the properties in \p propertyArr and the existing
// vertex index will be returned.
//
// Note: In a distributed graph (i.e. a graph whose DistributedHelper
// is non-null) the vertex added or found might not be local. In this case,
// AddVertex will wait until the vertex can be added or found
// remotely, so that the proper vertex index can be returned. If you
// don't actually need to use the vertex index, consider calling
// LazyAddVertex, which provides better performance by eliminating
// the delays associated with returning the vertex index.
//// \item @|obj.LazyAddVertex ()| -  Adds a vertex to the graph.
// 
// This method is lazily evaluated for distributed graphs (i.e. graphs
// whose DistributedHelper is non-null) the next time Synchronize is
// called on the helper.
//// \item @|obj.LazyAddVertex (vtkVariantArray propertyArr)| -  Adds a vertex to the graph with associated properties defined in
// \p propertyArr.
// The number and order of values in \p propertyArr must match up with the
// arrays in the vertex data retrieved by GetVertexData().
// 
// If a vertex with the given pedigree ID already exists, its properties will be
// overwritten with the properties in \p propertyArr.
// 
// This method is lazily evaluated for distributed graphs (i.e. graphs
// whose DistributedHelper is non-null) the next time Synchronize is
// called on the helper.
//// \item @|vtkGraphEdge = obj.AddGraphEdge (vtkIdType u, vtkIdType v)| -  Variant of AddEdge() that returns a heavyweight \p vtkGraphEdge object.
// The graph owns the reference of the edge and will replace
// its contents on the next call to AddGraphEdge().
// 
// Note: This is a less efficient method for use with wrappers.
// In C++ you should use the faster AddEdge().
//// \item @|vtkIdType = obj.AddChild (vtkIdType parent, vtkVariantArray propertyArr)| -  Convenience method for creating trees.
// Returns the newly created vertex id.
// Shortcut for
// \begin{verbatim}
// vtkIdType v = g->AddVertex();
// g->AddEdge(parent, v);
// \end{verbatim}
// If non-null, \p propertyArr provides edge properties
// for the newly-created edge. The values in \p propertyArr must match
// up with the arrays in the edge data returned by GetEdgeData().
//// \item @|vtkIdType = obj.AddChild (vtkIdType parent)| -  Removes the vertex from the graph along with any connected edges.
// Note: This invalidates the last vertex index, which is reassigned to v.
//// \item @|obj.RemoveVertex (vtkIdType v)| -  Removes the vertex from the graph along with any connected edges.
// Note: This invalidates the last vertex index, which is reassigned to v.
//// \item @|obj.RemoveEdge (vtkIdType e)| -  Removes the edge from the graph.
// Note: This invalidates the last edge index, which is reassigned to e.
//// \item @|obj.RemoveVertices (vtkIdTypeArray arr)| -  Removes a collection of vertices from the graph along with any connected edges.
//// \item @|obj.RemoveEdges (vtkIdTypeArray arr)| -  Removes a collection of edges from the graph.
////\end{itemize}
//!
