#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMutableUndirectedGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMutableUndirectedGraph.h"

//@@Signature
//sfunction @vtkMutableUndirectedGraph:vtkMutableUndirectedGraph vtkMutableUndirectedGraphConstructorFunction
//input a
//output p
//@@Parents vtkMutableUndirectedGraph vtkUndirectedGraph 
ArrayVector vtkMutableUndirectedGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMutableUndirectedGraph::New(),"vtkMutableUndirectedGraph",eval);
  } else if (arg[0].className() == "vtkMutableUndirectedGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMutableUndirectedGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMutableUndirectedGraph");
    vtkMutableUndirectedGraph*q = reinterpret_cast<vtkMutableUndirectedGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMutableUndirectedGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMutableUndirectedGraph:GetClassName vtkMutableUndirectedGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMutableUndirectedGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMutableUndirectedGraph requires 1 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:IsA vtkMutableUndirectedGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMutableUndirectedGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMutableUndirectedGraph requires 2 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:NewInstance vtkMutableUndirectedGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMutableUndirectedGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMutableUndirectedGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMutableUndirectedGraph requires 1 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkMutableUndirectedGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMutableUndirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:SafeDownCast vtkMutableUndirectedGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMutableUndirectedGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMutableUndirectedGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMutableUndirectedGraph requires 2 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMutableUndirectedGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMutableUndirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:AddVertex__1 vtkMutableUndirectedGraphAddVertex__1Function
//input a0 
//output y
ArrayVector vtkMutableUndirectedGraphAddVertex__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function AddVertex__1 for class vtkMutableUndirectedGraph requires 1 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->AddVertex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:AddVertex__2 vtkMutableUndirectedGraphAddVertex__2Function
//input a0 a1 
//output y
ArrayVector vtkMutableUndirectedGraphAddVertex__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddVertex (vtkVariantArray *propertyArr); */
  if (arg.size() < 2) 
    throw Exception("Function AddVertex__2 for class vtkMutableUndirectedGraph requires 2 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkVariantArray  *temp0;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkVariantArray>(arg[1]);
  temp20 = (vtk_pointer)->AddVertex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:LazyAddVertex__1 vtkMutableUndirectedGraphLazyAddVertex__1Function
//input a0 
//output none
ArrayVector vtkMutableUndirectedGraphLazyAddVertex__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LazyAddVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function LazyAddVertex__1 for class vtkMutableUndirectedGraph requires 1 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtk_pointer->LazyAddVertex();
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:LazyAddVertex__2 vtkMutableUndirectedGraphLazyAddVertex__2Function
//input a0 a1 
//output none
ArrayVector vtkMutableUndirectedGraphLazyAddVertex__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LazyAddVertex (vtkVariantArray *propertyArr); */
  if (arg.size() < 2) 
    throw Exception("Function LazyAddVertex__2 for class vtkMutableUndirectedGraph requires 2 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkVariantArray  *temp0;
  temp0 = GetVTKPointer<vtkVariantArray>(arg[1]);
  vtk_pointer->LazyAddVertex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:LazyAddEdge__1 vtkMutableUndirectedGraphLazyAddEdge__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMutableUndirectedGraphLazyAddEdge__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LazyAddEdge (vtkIdType u, vtkIdType v); */
  if (arg.size() < 3) 
    throw Exception("Function LazyAddEdge__1 for class vtkMutableUndirectedGraph requires 3 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->LazyAddEdge(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:LazyAddEdge__2 vtkMutableUndirectedGraphLazyAddEdge__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMutableUndirectedGraphLazyAddEdge__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LazyAddEdge (vtkIdType u, vtkIdType v, vtkVariantArray *propertyArr); */
  if (arg.size() < 4) 
    throw Exception("Function LazyAddEdge__2 for class vtkMutableUndirectedGraph requires 4 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkVariantArray  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkVariantArray>(arg[3]);
  vtk_pointer->LazyAddEdge(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:AddGraphEdge vtkMutableUndirectedGraphAddGraphEdgeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMutableUndirectedGraphAddGraphEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphEdge *AddGraphEdge (vtkIdType u, vtkIdType v); */
  if (arg.size() < 3) 
    throw Exception("Function AddGraphEdge for class vtkMutableUndirectedGraph requires 3 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->AddGraphEdge(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphEdge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:RemoveVertex vtkMutableUndirectedGraphRemoveVertexFunction
//input a0 a1 
//output none
ArrayVector vtkMutableUndirectedGraphRemoveVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveVertex (vtkIdType v); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveVertex for class vtkMutableUndirectedGraph requires 2 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveVertex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:RemoveEdge vtkMutableUndirectedGraphRemoveEdgeFunction
//input a0 a1 
//output none
ArrayVector vtkMutableUndirectedGraphRemoveEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveEdge (vtkIdType e); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveEdge for class vtkMutableUndirectedGraph requires 2 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveEdge(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:RemoveVertices vtkMutableUndirectedGraphRemoveVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkMutableUndirectedGraphRemoveVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveVertices (vtkIdTypeArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveVertices for class vtkMutableUndirectedGraph requires 2 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  vtk_pointer->RemoveVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:RemoveEdges vtkMutableUndirectedGraphRemoveEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkMutableUndirectedGraphRemoveEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveEdges (vtkIdTypeArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveEdges for class vtkMutableUndirectedGraph requires 2 argument(s)");
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  vtk_pointer->RemoveEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:AddVertex vtkMutableUndirectedGraphAddVertexFunction
//input varargin
//output varargout
ArrayVector vtkMutableUndirectedGraphAddVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkMutableUndirectedGraphAddVertex__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkVariantArray"))
    return vtkMutableUndirectedGraphAddVertex__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMutableUndirectedGraphAddVertex");
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:LazyAddVertex vtkMutableUndirectedGraphLazyAddVertexFunction
//input varargin
//output varargout
ArrayVector vtkMutableUndirectedGraphLazyAddVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkMutableUndirectedGraphLazyAddVertex__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkVariantArray"))
    return vtkMutableUndirectedGraphLazyAddVertex__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMutableUndirectedGraphLazyAddVertex");
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:LazyAddEdge vtkMutableUndirectedGraphLazyAddEdgeFunction
//input varargin
//output varargout
ArrayVector vtkMutableUndirectedGraphLazyAddEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMutableUndirectedGraphLazyAddEdge__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkVariantArray"))
    return vtkMutableUndirectedGraphLazyAddEdge__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMutableUndirectedGraphLazyAddEdge");
}

//@@Signature
//sfunction @vtkMutableUndirectedGraph:display vtkMutableUndirectedGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMutableUndirectedGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMutableUndirectedGraph* vtk_pointer = GetVTKPointer<vtkMutableUndirectedGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMutableUndirectedGraph:delete vtkMutableUndirectedGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkMutableUndirectedGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMutableUndirectedGraph
//@@Section VTKFiltering
//@@Usage
// vtkMutableUndirectedGraph is an undirected graph with additional functions
// for adding vertices and edges. ShallowCopy(), DeepCopy(), CheckedShallowCopy(),
// and CheckedDeepCopy() will succeed when the argument is a vtkUndirectedGraph
// or vtkMutableUndirectedGraph.
//
//
//To create an instance of class vtkMutableUndirectedGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkMutableUndirectedGraph
//@]
//@@Methods
//The class vtkMutableUndirectedGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMutableUndirectedGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMutableUndirectedGraph = obj.NewInstance ()|
// \item @|vtkMutableUndirectedGraph = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.AddVertex ()| -  Adds a vertex to the graph and returns the index of the new vertex.
//
// Note: In a distributed graph (i.e. a graph whose DistributedHelper
// is non-null), this routine cannot be used to add a vertex
// if the vertices in the graph have pedigree IDs, because this routine
// will always add the vertex locally, which may conflict with the
// proper location of the vertex based on the distribution of the
// pedigree IDs.
//// \item @|vtkIdType = obj.AddVertex (vtkVariantArray propertyArr)| -  Adds a vertex to the graph with associated properties defined in
// \p propertyArr and returns the index of the new vertex.
// The number and order of values in \p propertyArr must match up with the
// arrays in the vertex data retrieved by GetVertexData().
//
// If a vertex with the given pedigree ID already exists, its properties will be
// overwritten with the properties in \p propertyArr and the existing
// vertex index will be returned.
//
// Note: In a distributed graph (i.e. a graph whose DistributedHelper
// is non-null) the vertex added or found might not be local. In this case,
// AddVertex will wait until the vertex can be added or found
// remotely, so that the proper vertex index can be returned. If you
// don't actually need to use the vertex index, consider calling
// LazyAddVertex, which provides better performance by eliminating
// the delays associated with returning the vertex index.
//// \item @|obj.LazyAddVertex ()| -  Adds a vertex to the graph.
//
// This method is lazily evaluated for distributed graphs (i.e. graphs
// whose DistributedHelper is non-null) the next time Synchronize is
// called on the helper.
//// \item @|obj.LazyAddVertex (vtkVariantArray propertyArr)| -  Adds a vertex to the graph with associated properties defined in
// \p propertyArr.
// The number and order of values in \p propertyArr must match up with the
// arrays in the vertex data retrieved by GetVertexData().
//
// If a vertex with the given pedigree ID already exists, its properties will be
// overwritten with the properties in \p propertyArr.
//
// This method is lazily evaluated for distributed graphs (i.e. graphs
// whose DistributedHelper is non-null) the next time Synchronize is
// called on the helper.
//// \item @|obj.LazyAddEdge (vtkIdType u, vtkIdType v)| -  Adds an undirected edge from \p u to \p v,
// where \p u and \p v are vertex indices.
//
// This method is lazily evaluated for distributed graphs (i.e. graphs
// whose DistributedHelper is non-null) the next time Synchronize is
// called on the helper.
//// \item @|obj.LazyAddEdge (vtkIdType u, vtkIdType v, vtkVariantArray propertyArr)| -  Adds an undirected edge from \p u to \p v,
// where \p u and \p v are vertex indices.
//
// The number and order of values in
// \p propertyArr must match up with the arrays in the edge data
// retrieved by GetEdgeData().
//
// This method is lazily evaluated for distributed graphs (i.e. graphs
// whose DistributedHelper is non-null) the next time Synchronize is
// called on the helper.
//// \item @|vtkGraphEdge = obj.AddGraphEdge (vtkIdType u, vtkIdType v)| -  Variant of AddEdge() that returns a heavyweight \p vtkGraphEdge object.
// The graph owns the reference of the edge and will replace
// its contents on the next call to AddGraphEdge().
//
// Note: This is a less efficient method for use with wrappers.
// In C++ you should use the faster AddEdge().
//// \item @|obj.RemoveVertex (vtkIdType v)| -  Removes the vertex from the graph along with any connected edges.
// Note: This invalidates the last vertex index, which is reassigned to v.
//// \item @|obj.RemoveEdge (vtkIdType e)| -  Removes the edge from the graph.
// Note: This invalidates the last edge index, which is reassigned to e.
//// \item @|obj.RemoveVertices (vtkIdTypeArray arr)| -  Removes a collection of vertices from the graph along with any connected edges.
//// \item @|obj.RemoveEdges (vtkIdTypeArray arr)| -  Removes a collection of edges from the graph.
////\end{itemize}
//!
