#include "VTKWrap.hpp"

// FreeMat wrapper for vtkNonLinearCell object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkNonLinearCell.h"

//@@Signature
//sfunction @vtkNonLinearCell:vtkNonLinearCell vtkNonLinearCellConstructorFunction
//input a
//output p
//@@Parents vtkNonLinearCell vtkCell 
ArrayVector vtkNonLinearCellConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkNonLinearCell::New(),"vtkNonLinearCell",eval);
  } else if (arg[0].className() == "vtkNonLinearCell") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkNonLinearCell"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkNonLinearCell");
    vtkNonLinearCell*q = reinterpret_cast<vtkNonLinearCell*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkNonLinearCell");
    return ret;
  }
}
//@@Signature
//sfunction @vtkNonLinearCell:GetClassName vtkNonLinearCellGetClassNameFunction
//input a0 
//output y
ArrayVector vtkNonLinearCellGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkNonLinearCell requires 1 argument(s)");
  vtkNonLinearCell* vtk_pointer = GetVTKPointer<vtkNonLinearCell>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNonLinearCell:IsA vtkNonLinearCellIsAFunction
//input a0 a1 
//output y
ArrayVector vtkNonLinearCellIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkNonLinearCell requires 2 argument(s)");
  vtkNonLinearCell* vtk_pointer = GetVTKPointer<vtkNonLinearCell>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNonLinearCell:NewInstance vtkNonLinearCellNewInstanceFunction
//input a0 
//output y
ArrayVector vtkNonLinearCellNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNonLinearCell *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkNonLinearCell requires 1 argument(s)");
  vtkNonLinearCell* vtk_pointer = GetVTKPointer<vtkNonLinearCell>(arg[0]);
  Array retval;
  vtkNonLinearCell  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNonLinearCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNonLinearCell:SafeDownCast vtkNonLinearCellSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkNonLinearCellSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNonLinearCell *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkNonLinearCell requires 2 argument(s)");
  vtkNonLinearCell* vtk_pointer = GetVTKPointer<vtkNonLinearCell>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkNonLinearCell  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNonLinearCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNonLinearCell:IsLinear vtkNonLinearCellIsLinearFunction
//input a0 
//output y
ArrayVector vtkNonLinearCellIsLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsLinear ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsLinear for class vtkNonLinearCell requires 1 argument(s)");
  vtkNonLinearCell* vtk_pointer = GetVTKPointer<vtkNonLinearCell>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLinear();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNonLinearCell:display vtkNonLinearCellDisplayFunction
//input varargin
//output varargout
ArrayVector vtkNonLinearCellDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkNonLinearCell* vtk_pointer = GetVTKPointer<vtkNonLinearCell>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkNonLinearCell:delete vtkNonLinearCellDeleteFunction
//input varargin
//output none
ArrayVector vtkNonLinearCellDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkNonLinearCell
//@@Section VTKFiltering
//@@Usage
// vtkNonLinearCell is an abstract superclass for non-linear cell types.
// Cells that are a direct subclass of vtkCell or vtkCell3D are linear;
// cells that are a subclass of vtkNonLinearCell have non-linear interpolation
// functions. Non-linear cells require special treatment when tessellating
// or converting to graphics primitives. Note that the linearity of the cell
// is a function of whether the cell needs tessellation, which does not
// strictly correlate with interpolation order (e.g., vtkHexahedron has
// non-linear interpolation functions (a product of three linear functions
// in r-s-t) even thought vtkHexahedron is considered linear.)
//
//To create an instance of class vtkNonLinearCell, simply
//invoke its constructor as follows
//@[
//  obj = vtkNonLinearCell
//@]
//@@Methods
//The class vtkNonLinearCell has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkNonLinearCell class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkNonLinearCell = obj.NewInstance ()|
// \item @|vtkNonLinearCell = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.IsLinear ()|
//\end{itemize}
//!
