#include "VTKWrap.hpp"

// FreeMat wrapper for vtkNonMergingPointLocator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkNonMergingPointLocator.h"

//@@Signature
//sfunction @vtkNonMergingPointLocator:vtkNonMergingPointLocator vtkNonMergingPointLocatorConstructorFunction
//input a
//output p
//@@Parents vtkNonMergingPointLocator vtkPointLocator 
ArrayVector vtkNonMergingPointLocatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkNonMergingPointLocator::New(),"vtkNonMergingPointLocator",eval);
  } else if (arg[0].className() == "vtkNonMergingPointLocator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkNonMergingPointLocator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkNonMergingPointLocator");
    vtkNonMergingPointLocator*q = reinterpret_cast<vtkNonMergingPointLocator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkNonMergingPointLocator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkNonMergingPointLocator:GetClassName vtkNonMergingPointLocatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkNonMergingPointLocatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkNonMergingPointLocator requires 1 argument(s)");
  vtkNonMergingPointLocator* vtk_pointer = GetVTKPointer<vtkNonMergingPointLocator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNonMergingPointLocator:IsA vtkNonMergingPointLocatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkNonMergingPointLocatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkNonMergingPointLocator requires 2 argument(s)");
  vtkNonMergingPointLocator* vtk_pointer = GetVTKPointer<vtkNonMergingPointLocator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNonMergingPointLocator:NewInstance vtkNonMergingPointLocatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkNonMergingPointLocatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNonMergingPointLocator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkNonMergingPointLocator requires 1 argument(s)");
  vtkNonMergingPointLocator* vtk_pointer = GetVTKPointer<vtkNonMergingPointLocator>(arg[0]);
  Array retval;
  vtkNonMergingPointLocator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNonMergingPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNonMergingPointLocator:SafeDownCast vtkNonMergingPointLocatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkNonMergingPointLocatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNonMergingPointLocator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkNonMergingPointLocator requires 2 argument(s)");
  vtkNonMergingPointLocator* vtk_pointer = GetVTKPointer<vtkNonMergingPointLocator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkNonMergingPointLocator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNonMergingPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNonMergingPointLocator:display vtkNonMergingPointLocatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkNonMergingPointLocatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkNonMergingPointLocator* vtk_pointer = GetVTKPointer<vtkNonMergingPointLocator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkNonMergingPointLocator:delete vtkNonMergingPointLocatorDeleteFunction
//input varargin
//output none
ArrayVector vtkNonMergingPointLocatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkNonMergingPointLocator
//@@Section VTKFiltering
//@@Usage
//  As a special sub-class of vtkPointLocator, vtkNonMergingPointLocator is
//  intended for direct / check-free insertion of points into a vtkPoints 
//  object. In other words, any given point is always directly inserted. 
//  The name emphasizes the difference between this class and its sibling 
//  class vtkMergePoints in that the latter class performs check-based zero 
//  tolerance point insertion (or to 'merge' exactly duplicate / coincident
//  points) by exploiting the uniform bin mechanism employed by the parent 
//  class vtkPointLocator. vtkPointLocator allows for generic (zero and non-
//  zero) tolerance point insertion as well as point location.
//
//
//To create an instance of class vtkNonMergingPointLocator, simply
//invoke its constructor as follows
//@[
//  obj = vtkNonMergingPointLocator
//@]
//@@Methods
//The class vtkNonMergingPointLocator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkNonMergingPointLocator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkNonMergingPointLocator = obj.NewInstance ()|
// \item @|vtkNonMergingPointLocator = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
