#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOctreePointLocator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOctreePointLocator.h"

//@@Signature
//sfunction @vtkOctreePointLocator:vtkOctreePointLocator vtkOctreePointLocatorConstructorFunction
//input a
//output p
//@@Parents vtkOctreePointLocator vtkAbstractPointLocator 
ArrayVector vtkOctreePointLocatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOctreePointLocator::New(),"vtkOctreePointLocator",eval);
  } else if (arg[0].className() == "vtkOctreePointLocator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOctreePointLocator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOctreePointLocator");
    vtkOctreePointLocator*q = reinterpret_cast<vtkOctreePointLocator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOctreePointLocator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOctreePointLocator:GetClassName vtkOctreePointLocatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOctreePointLocator requires 1 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:IsA vtkOctreePointLocatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOctreePointLocatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOctreePointLocator requires 2 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:NewInstance vtkOctreePointLocatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOctreePointLocator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOctreePointLocator requires 1 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  vtkOctreePointLocator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOctreePointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:SafeDownCast vtkOctreePointLocatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOctreePointLocatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOctreePointLocator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOctreePointLocator requires 2 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOctreePointLocator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOctreePointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:SetMaximumPointsPerRegion vtkOctreePointLocatorSetMaximumPointsPerRegionFunction
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorSetMaximumPointsPerRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumPointsPerRegion (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumPointsPerRegion for class vtkOctreePointLocator requires 2 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumPointsPerRegion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GetMaximumPointsPerRegion vtkOctreePointLocatorGetMaximumPointsPerRegionFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorGetMaximumPointsPerRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumPointsPerRegion (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumPointsPerRegion for class vtkOctreePointLocator requires 1 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumPointsPerRegion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:SetCreateCubicOctants vtkOctreePointLocatorSetCreateCubicOctantsFunction
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorSetCreateCubicOctantsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCreateCubicOctants (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCreateCubicOctants for class vtkOctreePointLocator requires 2 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCreateCubicOctants(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GetCreateCubicOctants vtkOctreePointLocatorGetCreateCubicOctantsFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorGetCreateCubicOctantsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCreateCubicOctants (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCreateCubicOctants for class vtkOctreePointLocator requires 1 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCreateCubicOctants();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GetFudgeFactor vtkOctreePointLocatorGetFudgeFactorFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorGetFudgeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFudgeFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFudgeFactor for class vtkOctreePointLocator requires 1 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFudgeFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:SetFudgeFactor vtkOctreePointLocatorSetFudgeFactorFunction
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorSetFudgeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFudgeFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFudgeFactor for class vtkOctreePointLocator requires 2 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFudgeFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GetBounds__2 vtkOctreePointLocatorGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double *bounds); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkOctreePointLocator requires 2 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GetNumberOfLeafNodes vtkOctreePointLocatorGetNumberOfLeafNodesFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorGetNumberOfLeafNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLeafNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLeafNodes for class vtkOctreePointLocator requires 1 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLeafNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GetRegionBounds vtkOctreePointLocatorGetRegionBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOctreePointLocatorGetRegionBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetRegionBounds (int regionID, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionBounds for class vtkOctreePointLocator requires 3 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[6];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetRegionBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GetRegionDataBounds vtkOctreePointLocatorGetRegionDataBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOctreePointLocatorGetRegionDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetRegionDataBounds (int leafNodeID, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionDataBounds for class vtkOctreePointLocator requires 3 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[6];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetRegionDataBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GetRegionContainingPoint vtkOctreePointLocatorGetRegionContainingPointFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkOctreePointLocatorGetRegionContainingPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionContainingPoint (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function GetRegionContainingPoint for class vtkOctreePointLocator requires 4 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetRegionContainingPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:BuildLocator vtkOctreePointLocatorBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkOctreePointLocatorBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkOctreePointLocator requires 1 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:FindClosestPoint__1 vtkOctreePointLocatorFindClosestPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkOctreePointLocatorFindClosestPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindClosestPoint__1 for class vtkOctreePointLocator requires 2 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindClosestPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:FindPointsWithinRadius vtkOctreePointLocatorFindPointsWithinRadiusFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOctreePointLocatorFindPointsWithinRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindPointsWithinRadius (double radius, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindPointsWithinRadius for class vtkOctreePointLocator requires 4 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindPointsWithinRadius(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:FindClosestNPoints vtkOctreePointLocatorFindClosestNPointsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOctreePointLocatorFindClosestNPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FindClosestNPoints (int N, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindClosestNPoints for class vtkOctreePointLocator requires 4 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindClosestNPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GetPointsInRegion vtkOctreePointLocatorGetPointsInRegionFunction
//input a0 a1 
//output y
ArrayVector vtkOctreePointLocatorGetPointsInRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdTypeArray *GetPointsInRegion (int leafNodeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointsInRegion for class vtkOctreePointLocator requires 2 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdTypeArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointsInRegion(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdTypeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:FreeSearchStructure vtkOctreePointLocatorFreeSearchStructureFunction
//input a0 
//output none
ArrayVector vtkOctreePointLocatorFreeSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FreeSearchStructure (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeSearchStructure for class vtkOctreePointLocator requires 1 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  vtk_pointer->FreeSearchStructure();
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GenerateRepresentation vtkOctreePointLocatorGenerateRepresentationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOctreePointLocatorGenerateRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateRepresentation (int level, vtkPolyData *pd); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateRepresentation for class vtkOctreePointLocator requires 3 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->GenerateRepresentation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:FindPointsInArea vtkOctreePointLocatorFindPointsInAreaFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOctreePointLocatorFindPointsInAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FindPointsInArea (double *area, vtkIdTypeArray *ids, bool clearArraytrue); */
  if (arg.size() < 4) 
    throw Exception("Function FindPointsInArea for class vtkOctreePointLocator requires 4 argument(s)");
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdTypeArray  *temp1;
  bool   temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp1 = GetVTKPointer<vtkIdTypeArray>(arg[2]);
  vtk_pointer->FindPointsInArea(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocator:GetBounds vtkOctreePointLocatorGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkOctreePointLocatorGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkOctreePointLocatorGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOctreePointLocatorGetBounds");
}

//@@Signature
//sfunction @vtkOctreePointLocator:FindClosestPoint vtkOctreePointLocatorFindClosestPointFunction
//input varargin
//output varargout
ArrayVector vtkOctreePointLocatorFindClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkOctreePointLocatorFindClosestPoint__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOctreePointLocatorFindClosestPoint");
}

//@@Signature
//sfunction @vtkOctreePointLocator:FindClosestPointInRegion vtkOctreePointLocatorFindClosestPointInRegionFunction
//input varargin
//output varargout
ArrayVector vtkOctreePointLocatorFindClosestPointInRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkOctreePointLocatorFindClosestPointInRegion");
}

//@@Signature
//sfunction @vtkOctreePointLocator:FindRegion vtkOctreePointLocatorFindRegionFunction
//input varargin
//output varargout
ArrayVector vtkOctreePointLocatorFindRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkOctreePointLocatorFindRegion");
}

//@@Signature
//sfunction @vtkOctreePointLocator:display vtkOctreePointLocatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOctreePointLocatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOctreePointLocator* vtk_pointer = GetVTKPointer<vtkOctreePointLocator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOctreePointLocator:delete vtkOctreePointLocatorDeleteFunction
//input varargin
//output none
ArrayVector vtkOctreePointLocatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOctreePointLocator
//@@Section VTKFiltering
//@@Usage
//     Given a vtkDataSetxs, create an octree that is locally refined
//     such that all leaf octants contain less than a certain 
//     amount of points.  Note that there is no size constraint that
//     a leaf octant in relation to any of its neighbors.
//
//     This class can also generate a PolyData representation of
//     the boundaries of the spatial regions in the decomposition.
//
//
//To create an instance of class vtkOctreePointLocator, simply
//invoke its constructor as follows
//@[
//  obj = vtkOctreePointLocator
//@]
//@@Methods
//The class vtkOctreePointLocator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOctreePointLocator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOctreePointLocator = obj.NewInstance ()|
// \item @|vtkOctreePointLocator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMaximumPointsPerRegion (int )| -  Maximum number of points per spatial region.  Default is 100.
//// \item @|int = obj.GetMaximumPointsPerRegion ()| -  Maximum number of points per spatial region.  Default is 100.
//// \item @|obj.SetCreateCubicOctants (int )| -  Get/Set macro for CreateCubicOctants.
//// \item @|int = obj.GetCreateCubicOctants ()| -  Get/Set macro for CreateCubicOctants.
//// \item @|double = obj.GetFudgeFactor ()| -   Some algorithms on octrees require a value that is a very
//  small distance relative to the diameter of the entire space
//  divided by the octree.  This factor is the maximum axis-aligned
//  width of the space multipled by 10e-6.
//// \item @|obj.SetFudgeFactor (double )| -   Some algorithms on octrees require a value that is a very
//  small distance relative to the diameter of the entire space
//  divided by the octree.  This factor is the maximum axis-aligned
//  width of the space multipled by 10e-6.
//// \item @|obj.GetBounds (double bounds)| -    Get the spatial bounds of the entire octree space. Sets
//    bounds array to xmin, xmax, ymin, ymax, zmin, zmax.
//// \item @|int = obj.GetNumberOfLeafNodes ()| -    The number of leaf nodes of the tree, the spatial regions
//// \item @|obj.GetRegionBounds (int regionID, double bounds[6])| -    Get the spatial bounds of octree region
//// \item @|obj.GetRegionDataBounds (int leafNodeID, double bounds[6])| -     Get the bounds of the data within the leaf node
//// \item @|int = obj.GetRegionContainingPoint (double x, double y, double z)| -     Get the id of the leaf region containing the specified location.
//// \item @|obj.BuildLocator ()| -  Create the octree decomposition of the cells of the data set
// or data sets.  Cells are assigned to octree spatial regions
// based on the location of their centroids.
//// \item @|vtkIdType = obj.FindClosestPoint (double x[3])| -  Return the Id of the point that is closest to the given point.
// Set the square of the distance between the two points.
//// \item @|obj.FindPointsWithinRadius (double radius, double x[3], vtkIdList result)| -  Find all points within a specified radius of position x.
// The result is not sorted in any specific manner.
//// \item @|obj.FindClosestNPoints (int N, double x[3], vtkIdList result)| -  Find the closest N points to a position. This returns the closest
// N points to a position. A faster method could be created that returned
// N close points to a position, but not necessarily the exact N closest.
// The returned points are sorted from closest to farthest.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|vtkIdTypeArray = obj.GetPointsInRegion (int leafNodeId)| -  Get a list of the original IDs of all points in a leaf node.
//// \item @|obj.FreeSearchStructure ()| -  Delete the octree data structure. 
//// \item @|obj.GenerateRepresentation (int level, vtkPolyData pd)| -  Create a polydata representation of the boundaries of
// the octree regions.  
//// \item @|obj.FindPointsInArea (double area, vtkIdTypeArray ids, bool clearArraytrue)| -  Fill ids with points found in area.  The area is a 6-tuple containing
// (xmin, xmax, ymin, ymax, zmin, zmax).
// This method will clear the array by default.  To append ids to an array,
// set clearArray to false.
////\end{itemize}
//!
