#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOctreePointLocatorNode object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOctreePointLocatorNode.h"

//@@Signature
//sfunction @vtkOctreePointLocatorNode:vtkOctreePointLocatorNode vtkOctreePointLocatorNodeConstructorFunction
//input a
//output p
//@@Parents vtkOctreePointLocatorNode vtkObject 
ArrayVector vtkOctreePointLocatorNodeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOctreePointLocatorNode::New(),"vtkOctreePointLocatorNode",eval);
  } else if (arg[0].className() == "vtkOctreePointLocatorNode") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOctreePointLocatorNode"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOctreePointLocatorNode");
    vtkOctreePointLocatorNode*q = reinterpret_cast<vtkOctreePointLocatorNode*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOctreePointLocatorNode");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetClassName vtkOctreePointLocatorNodeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorNodeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOctreePointLocatorNode requires 1 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:IsA vtkOctreePointLocatorNodeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOctreePointLocatorNodeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:NewInstance vtkOctreePointLocatorNodeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorNodeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOctreePointLocatorNode *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOctreePointLocatorNode requires 1 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  vtkOctreePointLocatorNode  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOctreePointLocatorNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:SafeDownCast vtkOctreePointLocatorNodeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOctreePointLocatorNodeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOctreePointLocatorNode *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOctreePointLocatorNode  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOctreePointLocatorNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:SetNumberOfPoints vtkOctreePointLocatorNodeSetNumberOfPointsFunction
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorNodeSetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPoints (int numberOfPoints);this NumberOfPoints numberOfPoints  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPoints for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetNumberOfPoints vtkOctreePointLocatorNodeGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorNodeGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkOctreePointLocatorNode requires 1 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:SetBounds__1 vtkOctreePointLocatorNodeSetBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkOctreePointLocatorNodeSetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds__1 for class vtkOctreePointLocatorNode requires 7 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:SetBounds__2 vtkOctreePointLocatorNodeSetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorNodeSetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double b[6]);this SetBounds b b b b b b  */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds__2 for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetBounds vtkOctreePointLocatorNodeGetBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorNodeGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double *b) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:SetDataBounds vtkOctreePointLocatorNodeSetDataBoundsFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkOctreePointLocatorNodeSetDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetDataBounds for class vtkOctreePointLocatorNode requires 7 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetDataBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetDataBounds vtkOctreePointLocatorNodeGetDataBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorNodeGetDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDataBounds (double *b) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetDataBounds for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetDataBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:SetMinBounds vtkOctreePointLocatorNodeSetMinBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorNodeSetMinBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinBounds (double minBounds[3]);this MinBounds minBounds this MinBounds minBounds this MinBounds minBounds  */
  if (arg.size() < 2) 
    throw Exception("Function SetMinBounds for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetMinBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:SetMaxBounds vtkOctreePointLocatorNodeSetMaxBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorNodeSetMaxBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxBounds (double maxBounds[3]);this MaxBounds maxBounds this MaxBounds maxBounds this MaxBounds maxBounds  */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxBounds for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetMaxBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:SetMinDataBounds vtkOctreePointLocatorNodeSetMinDataBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorNodeSetMinDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinDataBounds (double minDataBounds[3]);this MinDataBounds minDataBounds this MinDataBounds minDataBounds this MinDataBounds minDataBounds  */
  if (arg.size() < 2) 
    throw Exception("Function SetMinDataBounds for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetMinDataBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:SetMaxDataBounds vtkOctreePointLocatorNodeSetMaxDataBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkOctreePointLocatorNodeSetMaxDataBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxDataBounds (double maxDataBounds[3]);this MaxDataBounds maxDataBounds this MaxDataBounds maxDataBounds this MaxDataBounds maxDataBounds  */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxDataBounds for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetMaxDataBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetID vtkOctreePointLocatorNodeGetIDFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorNodeGetIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetID for class vtkOctreePointLocatorNode requires 1 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetMinID vtkOctreePointLocatorNodeGetMinIDFunction
//input a0 
//output y
ArrayVector vtkOctreePointLocatorNodeGetMinIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinID for class vtkOctreePointLocatorNode requires 1 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:CreateChildNodes vtkOctreePointLocatorNodeCreateChildNodesFunction
//input a0 
//output none
ArrayVector vtkOctreePointLocatorNodeCreateChildNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateChildNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateChildNodes for class vtkOctreePointLocatorNode requires 1 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  vtk_pointer->CreateChildNodes();
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:DeleteChildNodes vtkOctreePointLocatorNodeDeleteChildNodesFunction
//input a0 
//output none
ArrayVector vtkOctreePointLocatorNodeDeleteChildNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteChildNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteChildNodes for class vtkOctreePointLocatorNode requires 1 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  vtk_pointer->DeleteChildNodes();
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetChild vtkOctreePointLocatorNodeGetChildFunction
//input a0 a1 
//output y
ArrayVector vtkOctreePointLocatorNodeGetChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOctreePointLocatorNode *GetChild (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetChild for class vtkOctreePointLocatorNode requires 2 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  int      temp0;
  vtkOctreePointLocatorNode  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetChild(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOctreePointLocatorNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:IntersectsRegion vtkOctreePointLocatorNodeIntersectsRegionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkOctreePointLocatorNodeIntersectsRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsRegion (vtkPlanesIntersection *pi, int useDataBounds); */
  if (arg.size() < 3) 
    throw Exception("Function IntersectsRegion for class vtkOctreePointLocatorNode requires 3 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  vtkPlanesIntersection  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkPlanesIntersection>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->IntersectsRegion(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:ContainsPoint vtkOctreePointLocatorNodeContainsPointFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkOctreePointLocatorNodeContainsPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ContainsPoint (double x, double y, double z, int useDataBounds); */
  if (arg.size() < 5) 
    throw Exception("Function ContainsPoint for class vtkOctreePointLocatorNode requires 5 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->ContainsPoint(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetDistance2ToBoundary__1 vtkOctreePointLocatorNodeGetDistance2ToBoundary__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkOctreePointLocatorNodeGetDistance2ToBoundary__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance2ToBoundary (double x, double y, double z, vtkOctreePointLocatorNode *top, int useDataBounds); */
  if (arg.size() < 6) 
    throw Exception("Function GetDistance2ToBoundary__1 for class vtkOctreePointLocatorNode requires 6 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkOctreePointLocatorNode  *temp3;
  int      temp4;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkOctreePointLocatorNode>(arg[4]);
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->GetDistance2ToBoundary(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetDistance2ToBoundary__2 vtkOctreePointLocatorNodeGetDistance2ToBoundary__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkOctreePointLocatorNodeGetDistance2ToBoundary__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance2ToBoundary (double x, double y, double z, double *boundaryPt, vtkOctreePointLocatorNode *top, int useDataBounds); */
  if (arg.size() < 7) 
    throw Exception("Function GetDistance2ToBoundary__2 for class vtkOctreePointLocatorNode requires 7 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  vtkOctreePointLocatorNode  *temp4;
  int      temp5;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  temp4 = GetVTKPointer<vtkOctreePointLocatorNode>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->GetDistance2ToBoundary(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetDistance2ToInnerBoundary vtkOctreePointLocatorNodeGetDistance2ToInnerBoundaryFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkOctreePointLocatorNodeGetDistance2ToInnerBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance2ToInnerBoundary (double x, double y, double z, vtkOctreePointLocatorNode *top); */
  if (arg.size() < 5) 
    throw Exception("Function GetDistance2ToInnerBoundary for class vtkOctreePointLocatorNode requires 5 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkOctreePointLocatorNode  *temp3;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkOctreePointLocatorNode>(arg[4]);
  temp20 = (vtk_pointer)->GetDistance2ToInnerBoundary(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetSubOctantIndex vtkOctreePointLocatorNodeGetSubOctantIndexFunction
//input a0 a1 a2 
//output y
ArrayVector vtkOctreePointLocatorNodeGetSubOctantIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubOctantIndex (double *point, int CheckContainment); */
  if (arg.size() < 3) 
    throw Exception("Function GetSubOctantIndex for class vtkOctreePointLocatorNode requires 3 argument(s)");
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetSubOctantIndex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:SetBounds vtkOctreePointLocatorNodeSetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkOctreePointLocatorNodeSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkOctreePointLocatorNodeSetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkOctreePointLocatorNodeSetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOctreePointLocatorNodeSetBounds");
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:GetDistance2ToBoundary vtkOctreePointLocatorNodeGetDistance2ToBoundaryFunction
//input varargin
//output varargout
ArrayVector vtkOctreePointLocatorNodeGetDistance2ToBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsClass(arg[4],"vtkOctreePointLocatorNode") && VTKIsScalarArg(arg[5]))
    return vtkOctreePointLocatorNodeGetDistance2ToBoundary__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsClass(arg[5],"vtkOctreePointLocatorNode") && VTKIsScalarArg(arg[6]))
    return vtkOctreePointLocatorNodeGetDistance2ToBoundary__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOctreePointLocatorNodeGetDistance2ToBoundary");
}

//@@Signature
//sfunction @vtkOctreePointLocatorNode:display vtkOctreePointLocatorNodeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOctreePointLocatorNodeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOctreePointLocatorNode* vtk_pointer = GetVTKPointer<vtkOctreePointLocatorNode>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOctreePointLocatorNode:delete vtkOctreePointLocatorNodeDeleteFunction
//input varargin
//output none
ArrayVector vtkOctreePointLocatorNodeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOctreePointLocatorNode
//@@Section VTKFiltering
//@@Usage
// This class represents a single spatial region in a 3D axis octant 
// partitioning.  It is intended to work efficiently with the 
// vtkOctreePointLocator and is not meant for general use.  It is assumed 
// the region bounds some set of points.  The ordering of the children is 
// (-x,-y,-z),(+x,-y,-z),(-x,+y,-z),(+x,+y,-z),(-x,-y,+z),(+x,-y,+z),
// (-x,+y,+z),(+x,+y,+z).  The portion of the domain assigned to an 
// octant is Min < x <= Max.  
//    
//
//To create an instance of class vtkOctreePointLocatorNode, simply
//invoke its constructor as follows
//@[
//  obj = vtkOctreePointLocatorNode
//@]
//@@Methods
//The class vtkOctreePointLocatorNode has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOctreePointLocatorNode class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOctreePointLocatorNode = obj.NewInstance ()|
// \item @|vtkOctreePointLocatorNode = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfPoints (int numberOfPoints)| -  Set/Get the number of points contained in this region.
//// \item @|int = obj.GetNumberOfPoints ()| -  Set/Get the number of points contained in this region.
//// \item @|obj.SetBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax)| -    Set/Get the bounds of the spatial region represented by this node.
//   Caller allocates storage for 6-vector in GetBounds.
//// \item @|obj.SetBounds (double b[6])| -    Set/Get the bounds of the spatial region represented by this node.
//   Caller allocates storage for 6-vector in GetBounds.
//// \item @|obj.GetBounds (double b) const| -    Set/Get the bounds of the spatial region represented by this node.
//   Caller allocates storage for 6-vector in GetBounds.
//// \item @|obj.SetDataBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax)| -    Set/Get the bounds of the points contained in this spatial region.
//   This may be smaller than the bounds of the region itself.
//   Caller allocates storage for 6-vector in GetDataBounds.
//// \item @|obj.GetDataBounds (double b) const| -    Set/Get the bounds of the points contained in this spatial region.
//   This may be smaller than the bounds of the region itself.
//   Caller allocates storage for 6-vector in GetDataBounds.
//// \item @|obj.SetMinBounds (double minBounds[3])| -    Set the xmax, ymax and zmax value of the bounds of this region
//// \item @|obj.SetMaxBounds (double maxBounds[3])| -    Set the xmin, ymin and zmin value of the bounds of this 
//   data within this region.
//// \item @|obj.SetMinDataBounds (double minDataBounds[3])| -    Set the xmax, ymax and zmax value of the bounds of this 
//   data within this region.
//// \item @|obj.SetMaxDataBounds (double maxDataBounds[3])| -    Get the ID associated with the region described by this node.  If
//   this is not a leaf node, this value should be -1.
//// \item @|int = obj.GetID ()| -    Get the ID associated with the region described by this node.  If
//   this is not a leaf node, this value should be -1.
//// \item @|int = obj.GetMinID ()| -    If this node is not a leaf node, there are leaf nodes below it whose
//   regions represent a partitioning of this region.  The IDs of these
//   leaf nodes form a contigous set.  Get the first of the first point's
//   ID that is contained in this node.  
//// \item @|obj.CreateChildNodes ()| -    Add the 8 children.
//// \item @|obj.DeleteChildNodes ()| -    Delete the 8 children.
//// \item @|vtkOctreePointLocatorNode = obj.GetChild (int i)| -    Get a pointer to the ith child of this node.
//// \item @|int = obj.IntersectsRegion (vtkPlanesIntersection pi, int useDataBounds)| -    A vtkPlanesIntersection object represents a convex 3D region bounded
//   by planes, and it is capable of computing intersections of
//   boxes with itself.  Return 1 if this spatial region intersects
//   the spatial region described by the vtkPlanesIntersection object.
//   Use the possibly smaller bounds of the points within the region 
//   if useDataBounds is non-zero.
//// \item @|int = obj.ContainsPoint (double x, double y, double z, int useDataBounds)| -    Return 1 if this spatial region entirely contains the given point.
//   Use the possibly smaller bounds of the points within the region 
//   if useDataBounds is non-zero.
//// \item @|double = obj.GetDistance2ToBoundary (double x, double y, double z, vtkOctreePointLocatorNode top, int useDataBounds)| -    Calculate the distance squared from any point to the boundary of this
//   region.  Use the boundary of the points within the region if useDataBounds
//   is non-zero.
//// \item @|double = obj.GetDistance2ToBoundary (double x, double y, double z, double boundaryPt, vtkOctreePointLocatorNode top, int useDataBounds)| -    Calculate the distance squared from any point to the boundary of this
//   region.  Use the boundary of the points within the region if useDataBounds
//   is non-zero.  Set boundaryPt to the point on the boundary.
//// \item @|double = obj.GetDistance2ToInnerBoundary (double x, double y, double z, vtkOctreePointLocatorNode top)| -    Calculate the distance from the specified point (which is required to
//   be inside this spatial region) to an interior boundary.  An interior
//   boundary is one that is not also an boundary of the entire space
//   partitioned by the tree of vtkOctreePointLocatorNode's.
//// \item @|int = obj.GetSubOctantIndex (double point, int CheckContainment)| -  Return the id of the suboctant that a given point is in.
// If CheckContainment is non-zero then it checks whether
// the point is in the actual bounding box of the suboctant,
// otherwise it only checks which octant the point is in
// that is created from the axis-aligned partitioning of 
// the domain at this octant's center.
////\end{itemize}
//!
