#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOrderedTriangulator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOrderedTriangulator.h"

//@@Signature
//sfunction @vtkOrderedTriangulator:vtkOrderedTriangulator vtkOrderedTriangulatorConstructorFunction
//input a
//output p
//@@Parents vtkOrderedTriangulator vtkObject 
ArrayVector vtkOrderedTriangulatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOrderedTriangulator::New(),"vtkOrderedTriangulator",eval);
  } else if (arg[0].className() == "vtkOrderedTriangulator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOrderedTriangulator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOrderedTriangulator");
    vtkOrderedTriangulator*q = reinterpret_cast<vtkOrderedTriangulator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOrderedTriangulator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOrderedTriangulator:GetClassName vtkOrderedTriangulatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOrderedTriangulatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:IsA vtkOrderedTriangulatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOrderedTriangulatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOrderedTriangulator requires 2 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:NewInstance vtkOrderedTriangulatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOrderedTriangulatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOrderedTriangulator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtkOrderedTriangulator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOrderedTriangulator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:SafeDownCast vtkOrderedTriangulatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOrderedTriangulatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOrderedTriangulator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOrderedTriangulator requires 2 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOrderedTriangulator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOrderedTriangulator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:InitTriangulation__1 vtkOrderedTriangulatorInitTriangulation__1Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkOrderedTriangulatorInitTriangulation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitTriangulation (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax, int numPts); */
  if (arg.size() < 8) 
    throw Exception("Function InitTriangulation__1 for class vtkOrderedTriangulator requires 8 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  vtk_pointer->InitTriangulation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:InitTriangulation__2 vtkOrderedTriangulatorInitTriangulation__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkOrderedTriangulatorInitTriangulation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitTriangulation (double bounds[6], int numPts); */
  if (arg.size() < 3) 
    throw Exception("Function InitTriangulation__2 for class vtkOrderedTriangulator requires 3 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  double temp0[6];
  int      temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[7].asDouble();
  vtk_pointer->InitTriangulation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:InsertPoint__1 vtkOrderedTriangulatorInsertPoint__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkOrderedTriangulatorInsertPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertPoint (vtkIdType id, double x[3], double p[3], int type); */
  if (arg.size() < 5) 
    throw Exception("Function InsertPoint__1 for class vtkOrderedTriangulator requires 5 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  double temp2[3];
  int      temp3;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[8].asDouble();
  temp20 = (vtk_pointer)->InsertPoint(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:InsertPoint__2 vtkOrderedTriangulatorInsertPoint__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkOrderedTriangulatorInsertPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertPoint (vtkIdType id, vtkIdType sortid, double x[3], double p[3], int type); */
  if (arg.size() < 6) 
    throw Exception("Function InsertPoint__2 for class vtkOrderedTriangulator requires 6 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  double temp2[3];
  double temp3[3];
  int      temp4;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[6].isVector() && arg[6].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[9].asDouble();
  temp20 = (vtk_pointer)->InsertPoint(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:InsertPoint__3 vtkOrderedTriangulatorInsertPoint__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkOrderedTriangulatorInsertPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertPoint (vtkIdType id, vtkIdType sortid, vtkIdType sortid2, double x[3], double p[3], int type); */
  if (arg.size() < 7) 
    throw Exception("Function InsertPoint__3 for class vtkOrderedTriangulator requires 7 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  double temp3[3];
  double temp4[3];
  int      temp5;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[10].asDouble();
  temp20 = (vtk_pointer)->InsertPoint(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:Triangulate vtkOrderedTriangulatorTriangulateFunction
//input a0 
//output none
ArrayVector vtkOrderedTriangulatorTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Triangulate (); */
  if (arg.size() < 1) 
    throw Exception("Function Triangulate for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtk_pointer->Triangulate();
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:TemplateTriangulate vtkOrderedTriangulatorTemplateTriangulateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOrderedTriangulatorTemplateTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TemplateTriangulate (int cellType, int numPts, int numEdges); */
  if (arg.size() < 4) 
    throw Exception("Function TemplateTriangulate for class vtkOrderedTriangulator requires 4 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->TemplateTriangulate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:UpdatePointType vtkOrderedTriangulatorUpdatePointTypeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOrderedTriangulatorUpdatePointTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdatePointType (vtkIdType internalId, int type); */
  if (arg.size() < 3) 
    throw Exception("Function UpdatePointType for class vtkOrderedTriangulator requires 3 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->UpdatePointType(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:GetPointId vtkOrderedTriangulatorGetPointIdFunction
//input a0 a1 
//output y
ArrayVector vtkOrderedTriangulatorGetPointIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointId (vtkIdType internalId); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointId for class vtkOrderedTriangulator requires 2 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:GetNumberOfPoints vtkOrderedTriangulatorGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkOrderedTriangulatorGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:SetUseTemplates vtkOrderedTriangulatorSetUseTemplatesFunction
//input a0 a1 
//output none
ArrayVector vtkOrderedTriangulatorSetUseTemplatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseTemplates (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseTemplates for class vtkOrderedTriangulator requires 2 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseTemplates(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:GetUseTemplates vtkOrderedTriangulatorGetUseTemplatesFunction
//input a0 
//output y
ArrayVector vtkOrderedTriangulatorGetUseTemplatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseTemplates (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseTemplates for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseTemplates();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:UseTemplatesOn vtkOrderedTriangulatorUseTemplatesOnFunction
//input a0 
//output none
ArrayVector vtkOrderedTriangulatorUseTemplatesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseTemplatesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseTemplatesOn for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtk_pointer->UseTemplatesOn();
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:UseTemplatesOff vtkOrderedTriangulatorUseTemplatesOffFunction
//input a0 
//output none
ArrayVector vtkOrderedTriangulatorUseTemplatesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseTemplatesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseTemplatesOff for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtk_pointer->UseTemplatesOff();
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:SetPreSorted vtkOrderedTriangulatorSetPreSortedFunction
//input a0 a1 
//output none
ArrayVector vtkOrderedTriangulatorSetPreSortedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreSorted (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreSorted for class vtkOrderedTriangulator requires 2 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPreSorted(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:GetPreSorted vtkOrderedTriangulatorGetPreSortedFunction
//input a0 
//output y
ArrayVector vtkOrderedTriangulatorGetPreSortedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreSorted (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreSorted for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreSorted();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:PreSortedOn vtkOrderedTriangulatorPreSortedOnFunction
//input a0 
//output none
ArrayVector vtkOrderedTriangulatorPreSortedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreSortedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PreSortedOn for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtk_pointer->PreSortedOn();
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:PreSortedOff vtkOrderedTriangulatorPreSortedOffFunction
//input a0 
//output none
ArrayVector vtkOrderedTriangulatorPreSortedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreSortedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PreSortedOff for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtk_pointer->PreSortedOff();
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:SetUseTwoSortIds vtkOrderedTriangulatorSetUseTwoSortIdsFunction
//input a0 a1 
//output none
ArrayVector vtkOrderedTriangulatorSetUseTwoSortIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseTwoSortIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseTwoSortIds for class vtkOrderedTriangulator requires 2 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseTwoSortIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:GetUseTwoSortIds vtkOrderedTriangulatorGetUseTwoSortIdsFunction
//input a0 
//output y
ArrayVector vtkOrderedTriangulatorGetUseTwoSortIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseTwoSortIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseTwoSortIds for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseTwoSortIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:UseTwoSortIdsOn vtkOrderedTriangulatorUseTwoSortIdsOnFunction
//input a0 
//output none
ArrayVector vtkOrderedTriangulatorUseTwoSortIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseTwoSortIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseTwoSortIdsOn for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtk_pointer->UseTwoSortIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:UseTwoSortIdsOff vtkOrderedTriangulatorUseTwoSortIdsOffFunction
//input a0 
//output none
ArrayVector vtkOrderedTriangulatorUseTwoSortIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseTwoSortIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseTwoSortIdsOff for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtk_pointer->UseTwoSortIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:GetTetras vtkOrderedTriangulatorGetTetrasFunction
//input a0 a1 a2 
//output y
ArrayVector vtkOrderedTriangulatorGetTetrasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetTetras (int classification, vtkUnstructuredGrid *ugrid); */
  if (arg.size() < 3) 
    throw Exception("Function GetTetras for class vtkOrderedTriangulator requires 3 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnstructuredGrid  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkUnstructuredGrid>(arg[2]);
  temp20 = (vtk_pointer)->GetTetras(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:AddTetras__1 vtkOrderedTriangulatorAddTetras__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkOrderedTriangulatorAddTetras__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddTetras (int classification, vtkUnstructuredGrid *ugrid); */
  if (arg.size() < 3) 
    throw Exception("Function AddTetras__1 for class vtkOrderedTriangulator requires 3 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnstructuredGrid  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkUnstructuredGrid>(arg[2]);
  temp20 = (vtk_pointer)->AddTetras(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:AddTetras__2 vtkOrderedTriangulatorAddTetras__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkOrderedTriangulatorAddTetras__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddTetras (int classification, vtkCellArray *connectivity); */
  if (arg.size() < 3) 
    throw Exception("Function AddTetras__2 for class vtkOrderedTriangulator requires 3 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp0;
  vtkCellArray  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkCellArray>(arg[2]);
  temp20 = (vtk_pointer)->AddTetras(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:AddTetras__3 vtkOrderedTriangulatorAddTetras__3Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output y
ArrayVector vtkOrderedTriangulatorAddTetras__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddTetras (int classification, vtkIncrementalPointLocator *locator, vtkCellArray *outConnectivity, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD); */
  if (arg.size() < 9) 
    throw Exception("Function AddTetras__3 for class vtkOrderedTriangulator requires 9 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp0;
  vtkIncrementalPointLocator  *temp1;
  vtkCellArray  *temp2;
  vtkPointData  *temp3;
  vtkPointData  *temp4;
  vtkCellData  *temp5;
  vtkIdType   temp6;
  vtkCellData  *temp7;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIncrementalPointLocator>(arg[2]);
  temp2 = GetVTKPointer<vtkCellArray>(arg[3]);
  temp3 = GetVTKPointer<vtkPointData>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkCellData>(arg[6]);
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp7 = GetVTKPointer<vtkCellData>(arg[8]);
  temp20 = (vtk_pointer)->AddTetras(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:AddTetras__4 vtkOrderedTriangulatorAddTetras__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkOrderedTriangulatorAddTetras__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddTetras (int classification, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function AddTetras__4 for class vtkOrderedTriangulator requires 4 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->AddTetras(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:AddTriangles__1 vtkOrderedTriangulatorAddTriangles__1Function
//input a0 a1 
//output y
ArrayVector vtkOrderedTriangulatorAddTriangles__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddTriangles (vtkCellArray *connectivity); */
  if (arg.size() < 2) 
    throw Exception("Function AddTriangles__1 for class vtkOrderedTriangulator requires 2 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtkCellArray  *temp0;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkCellArray>(arg[1]);
  temp20 = (vtk_pointer)->AddTriangles(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:AddTriangles__2 vtkOrderedTriangulatorAddTriangles__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkOrderedTriangulatorAddTriangles__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddTriangles (vtkIdType id, vtkCellArray *connectivity); */
  if (arg.size() < 3) 
    throw Exception("Function AddTriangles__2 for class vtkOrderedTriangulator requires 3 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkCellArray  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkCellArray>(arg[2]);
  temp20 = (vtk_pointer)->AddTriangles(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:InitTetraTraversal vtkOrderedTriangulatorInitTetraTraversalFunction
//input a0 
//output none
ArrayVector vtkOrderedTriangulatorInitTetraTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitTetraTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitTetraTraversal for class vtkOrderedTriangulator requires 1 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  vtk_pointer->InitTetraTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:GetNextTetra vtkOrderedTriangulatorGetNextTetraFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkOrderedTriangulatorGetNextTetraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNextTetra (int classification, vtkTetra *tet, vtkDataArray *cellScalars, vtkDoubleArray *tetScalars); */
  if (arg.size() < 5) 
    throw Exception("Function GetNextTetra for class vtkOrderedTriangulator requires 5 argument(s)");
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  Array retval;
  int      temp0;
  vtkTetra  *temp1;
  vtkDataArray  *temp2;
  vtkDoubleArray  *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkTetra>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp3 = GetVTKPointer<vtkDoubleArray>(arg[4]);
  temp20 = (vtk_pointer)->GetNextTetra(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderedTriangulator:InitTriangulation vtkOrderedTriangulatorInitTriangulationFunction
//input varargin
//output varargout
ArrayVector vtkOrderedTriangulatorInitTriangulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkOrderedTriangulatorInitTriangulation__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkOrderedTriangulatorInitTriangulation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOrderedTriangulatorInitTriangulation");
}

//@@Signature
//sfunction @vtkOrderedTriangulator:InsertPoint vtkOrderedTriangulatorInsertPointFunction
//input varargin
//output varargout
ArrayVector vtkOrderedTriangulatorInsertPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkOrderedTriangulatorInsertPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkOrderedTriangulatorInsertPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkOrderedTriangulatorInsertPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOrderedTriangulatorInsertPoint");
}

//@@Signature
//sfunction @vtkOrderedTriangulator:AddTetras vtkOrderedTriangulatorAddTetrasFunction
//input varargin
//output varargout
ArrayVector vtkOrderedTriangulatorAddTetrasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkUnstructuredGrid"))
    return vtkOrderedTriangulatorAddTetras__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkCellArray"))
    return vtkOrderedTriangulatorAddTetras__2Function(nargout,arg,eval);
  if ((arg.size() == 9) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIncrementalPointLocator") && VTKIsClass(arg[3],"vtkCellArray") && VTKIsClass(arg[4],"vtkPointData") && VTKIsClass(arg[5],"vtkPointData") && VTKIsClass(arg[6],"vtkCellData") && VTKIsScalarArg(arg[7]) && VTKIsClass(arg[8],"vtkCellData"))
    return vtkOrderedTriangulatorAddTetras__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkPoints"))
    return vtkOrderedTriangulatorAddTetras__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOrderedTriangulatorAddTetras");
}

//@@Signature
//sfunction @vtkOrderedTriangulator:AddTriangles vtkOrderedTriangulatorAddTrianglesFunction
//input varargin
//output varargout
ArrayVector vtkOrderedTriangulatorAddTrianglesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCellArray"))
    return vtkOrderedTriangulatorAddTriangles__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkCellArray"))
    return vtkOrderedTriangulatorAddTriangles__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOrderedTriangulatorAddTriangles");
}

//@@Signature
//sfunction @vtkOrderedTriangulator:display vtkOrderedTriangulatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOrderedTriangulatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOrderedTriangulator* vtk_pointer = GetVTKPointer<vtkOrderedTriangulator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOrderedTriangulator:delete vtkOrderedTriangulatorDeleteFunction
//input varargin
//output none
ArrayVector vtkOrderedTriangulatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOrderedTriangulator
//@@Section VTKFiltering
//@@Usage
// This class is used to generate unique triangulations of points. The
// uniqueness of the triangulation is controlled by the id of the inserted
// points in combination with a Delaunay criterion. The class is designed to
// be as fast as possible (since the algorithm can be slow) and uses block
// memory allocations to support rapid triangulation generation. Also, the
// assumption behind the class is that a maximum of hundreds of points are to
// be triangulated. If you desire more robust triangulation methods use
// vtkPolygon::Triangulate(), vtkDelaunay2D, or vtkDelaunay3D.
//
// .SECTION Background
// This work is documented in the technical paper: W.J. Schroeder, B. Geveci,
// M. Malaterre. Compatible Triangulations of Spatial Decompositions. In
// Proceedings of Visualization 2004, IEEE Press October 2004.
//
// Delaunay triangulations are unique assuming a random distribution of input
// points. The 3D Delaunay criterion is as follows: the circumsphere of each
// tetrahedron contains no other points of the triangulation except for the
// four points defining the tetrahedron.  In application this property is
// hard to satisfy because objects like cubes are defined by eight points all
// sharing the same circumsphere (center and radius); hence the Delaunay
// triangulation is not unique.  These so-called degenerate situations are
// typically resolved by arbitrary selecting a triangulation. This code does
// something different: it resolves degenerate triangulations by modifying
// the "InCircumsphere" method to use a slightly smaller radius. Hence,
// degenerate points are always considered "out" of the circumsphere. This,
// in combination with an ordering (based on id) of the input points,
// guarantees a unique triangulation.
//
// There is another related characteristic of Delaunay triangulations. Given
// a N-dimensional Delaunay triangulation, points lying on a (N-1) dimensional
// plane also form a (N-1) Delaunay triangulation. This means for example,
// that if a 3D cell is defined by a set of (2D) planar faces, then the
// face triangulations are Delaunay. Combining this with the method to
// generate unique triangulations described previously, the triangulations
// on the face are guaranteed unique. This fact can be used to triangulate
// 3D objects in such a way to guarantee compatible face triangulations.
// This is a very useful fact for parallel processing, or performing
// operations like clipping that require compatible triangulations across
// 3D cell faces. (See vtkClipVolume for an example.)
//
// A special feature of this class is that it can generate triangulation 
// templates on the fly. If template triangulation is enabled, then the
// ordered triangulator will first triangulate the cell using the slower
// ordered Delaunay approach, and then store the result as a template.
// Later, if the same cell type and cell configuration is encountered,
// then the template is reused which greatly speeds the triangulation.
//
//To create an instance of class vtkOrderedTriangulator, simply
//invoke its constructor as follows
//@[
//  obj = vtkOrderedTriangulator
//@]
//@@Methods
//The class vtkOrderedTriangulator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOrderedTriangulator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOrderedTriangulator = obj.NewInstance ()|
// \item @|vtkOrderedTriangulator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.InitTriangulation (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax, int numPts)| -  Initialize the triangulation process. Provide a bounding box and
// the maximum number of points to be inserted. Note that since the
// triangulation is performed using parametric coordinates (see
// InsertPoint()) the bounds should be represent the range of the
// parametric coordinates inserted.
// \post no_point_inserted: GetNumberOfPoints()==0
//// \item @|obj.InitTriangulation (double bounds[6], int numPts)| -  Initialize the triangulation process. Provide a bounding box and
// the maximum number of points to be inserted. Note that since the
// triangulation is performed using parametric coordinates (see
// InsertPoint()) the bounds should be represent the range of the
// parametric coordinates inserted.
// \post no_point_inserted: GetNumberOfPoints()==0
//// \item @|vtkIdType = obj.InsertPoint (vtkIdType id, double x[3], double p[3], int type)| -  For each point to be inserted, provide an id, a position x, parametric
// coordinate p, and whether the point is inside (type=0), outside
// (type=1), or on the boundary (type=2). You must call InitTriangulation()
// prior to invoking this method. Make sure that the number of points
// inserted does not exceed the numPts specified in
// InitTriangulation(). Also note that the "id" can be any integer and can
// be greater than numPts. It is used to create tetras (in AddTetras()) with
// the appropriate connectivity ids. The method returns an internal id that
// can be used prior to the Triangulate() method to update the type of the
// point with UpdatePointType(). (Note: the algorithm triangulated with the
// parametric coordinate p[3] and creates tetras with the global coordinate
// x[3]. The parametric coordinates and global coordinates may be the same.)
//// \item @|vtkIdType = obj.InsertPoint (vtkIdType id, vtkIdType sortid, double x[3], double p[3], int type)| -  For each point to be inserted, provide an id, a position x, parametric
// coordinate p, and whether the point is inside (type=0), outside
// (type=1), or on the boundary (type=2). You must call InitTriangulation()
// prior to invoking this method. Make sure that the number of points
// inserted does not exceed the numPts specified in
// InitTriangulation(). Also note that the "id" can be any integer and can
// be greater than numPts. It is used to create tetras (in AddTetras()) with
// the appropriate connectivity ids. The method returns an internal id that
// can be used prior to the Triangulate() method to update the type of the
// point with UpdatePointType(). (Note: the algorithm triangulated with the
// parametric coordinate p[3] and creates tetras with the global coordinate
// x[3]. The parametric coordinates and global coordinates may be the same.)
//// \item @|vtkIdType = obj.InsertPoint (vtkIdType id, vtkIdType sortid, vtkIdType sortid2, double x[3], double p[3], int type)| -  For each point to be inserted, provide an id, a position x, parametric
// coordinate p, and whether the point is inside (type=0), outside
// (type=1), or on the boundary (type=2). You must call InitTriangulation()
// prior to invoking this method. Make sure that the number of points
// inserted does not exceed the numPts specified in
// InitTriangulation(). Also note that the "id" can be any integer and can
// be greater than numPts. It is used to create tetras (in AddTetras()) with
// the appropriate connectivity ids. The method returns an internal id that
// can be used prior to the Triangulate() method to update the type of the
// point with UpdatePointType(). (Note: the algorithm triangulated with the
// parametric coordinate p[3] and creates tetras with the global coordinate
// x[3]. The parametric coordinates and global coordinates may be the same.)
//// \item @|obj.Triangulate ()| -  Perform the triangulation. (Complete all calls to InsertPoint() prior
// to invoking this method.) A special version is available when templates
// should be used.
//// \item @|obj.TemplateTriangulate (int cellType, int numPts, int numEdges)| -  Perform the triangulation. (Complete all calls to InsertPoint() prior
// to invoking this method.) A special version is available when templates
// should be used.
//// \item @|obj.UpdatePointType (vtkIdType internalId, int type)| -  Update the point type. This is useful when the merging of nearly 
// coincident points is performed. The id is the internal id returned
// from InsertPoint(). The method should be invoked prior to the
// Triangulate method. The type is specified as inside (type=0), 
// outside (type=1), or on the boundary (type=2).
// \pre valid_range: internalId>=0 && internalId<this->GetNumberOfPoints()
//// \item @|vtkIdType = obj.GetPointId (vtkIdType internalId)| -  Return the Id of point `internalId'. This id is the one passed in
// argument of InsertPoint.
// It assumes that the point has already been inserted.
// The method should be invoked prior to the Triangulate method.
// \pre valid_range: internalId>=0 && internalId<this->GetNumberOfPoints()
//// \item @|int = obj.GetNumberOfPoints ()| -  Return the number of inserted points.
//// \item @|obj.SetUseTemplates (int )| -  If this flag is set, then the ordered triangulator will create
// and use templates for the triangulation. To use templates, the
// TemplateTriangulate() method should be called when appropriate.
// (Note: the TemplateTriangulate() method works for complete 
// (interior) cells without extra points due to intersection, etc.)
//// \item @|int = obj.GetUseTemplates ()| -  If this flag is set, then the ordered triangulator will create
// and use templates for the triangulation. To use templates, the
// TemplateTriangulate() method should be called when appropriate.
// (Note: the TemplateTriangulate() method works for complete 
// (interior) cells without extra points due to intersection, etc.)
//// \item @|obj.UseTemplatesOn ()| -  If this flag is set, then the ordered triangulator will create
// and use templates for the triangulation. To use templates, the
// TemplateTriangulate() method should be called when appropriate.
// (Note: the TemplateTriangulate() method works for complete 
// (interior) cells without extra points due to intersection, etc.)
//// \item @|obj.UseTemplatesOff ()| -  If this flag is set, then the ordered triangulator will create
// and use templates for the triangulation. To use templates, the
// TemplateTriangulate() method should be called when appropriate.
// (Note: the TemplateTriangulate() method works for complete 
// (interior) cells without extra points due to intersection, etc.)
//// \item @|obj.SetPreSorted (int )| -  Boolean indicates whether the points have been pre-sorted. If 
// pre-sorted is enabled, the points are not sorted on point id.
// By default, presorted is off. (The point id is defined in
// InsertPoint().)
//// \item @|int = obj.GetPreSorted ()| -  Boolean indicates whether the points have been pre-sorted. If 
// pre-sorted is enabled, the points are not sorted on point id.
// By default, presorted is off. (The point id is defined in
// InsertPoint().)
//// \item @|obj.PreSortedOn ()| -  Boolean indicates whether the points have been pre-sorted. If 
// pre-sorted is enabled, the points are not sorted on point id.
// By default, presorted is off. (The point id is defined in
// InsertPoint().)
//// \item @|obj.PreSortedOff ()| -  Boolean indicates whether the points have been pre-sorted. If 
// pre-sorted is enabled, the points are not sorted on point id.
// By default, presorted is off. (The point id is defined in
// InsertPoint().)
//// \item @|obj.SetUseTwoSortIds (int )| -  Tells the triangulator that a second sort id is provided
// for each point and should also be considered when sorting.
//// \item @|int = obj.GetUseTwoSortIds ()| -  Tells the triangulator that a second sort id is provided
// for each point and should also be considered when sorting.
//// \item @|obj.UseTwoSortIdsOn ()| -  Tells the triangulator that a second sort id is provided
// for each point and should also be considered when sorting.
//// \item @|obj.UseTwoSortIdsOff ()| -  Tells the triangulator that a second sort id is provided
// for each point and should also be considered when sorting.
//// \item @|vtkIdType = obj.GetTetras (int classification, vtkUnstructuredGrid ugrid)| -  Initialize and add the tetras and points from the triangulation to the
// unstructured grid provided.  New points are created and the mesh is
// allocated. (This method differs from AddTetras() in that it inserts
// points and cells; AddTetras only adds the tetra cells.) The tetrahdera
// added are of the type specified (0=inside,1=outside,2=all). Inside
// tetrahedron are those whose points are classified "inside" or on the
// "boundary."  Outside tetrahedron have at least one point classified
// "outside."  The method returns the number of tetrahedrahedron of the
// type requested.
//// \item @|vtkIdType = obj.AddTetras (int classification, vtkUnstructuredGrid ugrid)| -  Add the tetras to the unstructured grid provided. The unstructured
// grid is assumed to have been initialized (with Allocate()) and
// points set (with SetPoints()). The tetrahdera added are of the type
// specified (0=inside,1=outside,2=all). Inside tetrahedron are 
// those whose points are classified "inside" or on the "boundary." 
// Outside tetrahedron have at least one point classified "outside." 
// The method returns the number of tetrahedrahedron of the type 
// requested.
//// \item @|vtkIdType = obj.AddTetras (int classification, vtkCellArray connectivity)| -  Add the tetrahedra classified (0=inside,1=outside) to the connectivity
// list provided. Inside tetrahedron are those whose points are all
// classified "inside." Outside tetrahedron have at least one point
// classified "outside." The method returns the number of tetrahedron
// of the type requested.    
//// \item @|vtkIdType = obj.AddTetras (int classification, vtkIncrementalPointLocator locator, vtkCellArray outConnectivity, vtkPointData inPD, vtkPointData outPD, vtkCellData inCD, vtkIdType cellId, vtkCellData outCD)| -  Assuming that all the inserted points come from a cell `cellId' to
// triangulate, get the tetrahedra in outConnectivity, the points in locator
// and copy point data and cell data. Return the number of added tetras.
// \pre locator_exists: locator!=0
// \pre outConnectivity: outConnectivity!=0
// \pre inPD_exists: inPD!=0
// \pre outPD_exists:  outPD!=0
// \pre inCD_exists: inCD!=0
// \pre outCD_exists: outCD!=0
//// \item @|vtkIdType = obj.AddTetras (int classification, vtkIdList ptIds, vtkPoints pts)| -  Add the tetrahedra classified (0=inside,1=outside) to the list
// of ids and coordinates provided. These assume that the first four points
// form a tetrahedron, the next four the next, and so on.
//// \item @|vtkIdType = obj.AddTriangles (vtkCellArray connectivity)| -  Add the triangle faces classified (2=boundary) to the connectivity
// list provided. The method returns the number of triangles.
//// \item @|vtkIdType = obj.AddTriangles (vtkIdType id, vtkCellArray connectivity)| -  Add the triangle faces classified (2=boundary) and attached to the
// specified point id to the connectivity list provided. (The id is the
// same as that specified in InsertPoint().)  
//// \item @|obj.InitTetraTraversal ()| -  Methods to get one tetra at a time. Start with InitTetraTraversal()
// and then invoke GetNextTetra() until the method returns 0.
//// \item @|int = obj.GetNextTetra (int classification, vtkTetra tet, vtkDataArray cellScalars, vtkDoubleArray tetScalars)| -  Methods to get one tetra at a time. Start with InitTetraTraversal()
// and then invoke GetNextTetra() until the method returns 0.
// cellScalars are point-centered scalars on the original cell.
// tetScalars are point-centered scalars on the tetra: the values will be
// copied from cellScalars.
// \pre tet_exists: tet!=0
// \pre cellScalars_exists: cellScalars!=0
// \pre tetScalars_exists: tetScalars!=0
// \pre tetScalars_valid_size: tetScalars->GetNumberOfTuples()==4
////\end{itemize}
//!
