#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOutEdgeIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOutEdgeIterator.h"

//@@Signature
//sfunction @vtkOutEdgeIterator:vtkOutEdgeIterator vtkOutEdgeIteratorConstructorFunction
//input a
//output p
//@@Parents vtkOutEdgeIterator vtkObject 
ArrayVector vtkOutEdgeIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOutEdgeIterator::New(),"vtkOutEdgeIterator",eval);
  } else if (arg[0].className() == "vtkOutEdgeIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOutEdgeIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOutEdgeIterator");
    vtkOutEdgeIterator*q = reinterpret_cast<vtkOutEdgeIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOutEdgeIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOutEdgeIterator:GetClassName vtkOutEdgeIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOutEdgeIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOutEdgeIterator requires 1 argument(s)");
  vtkOutEdgeIterator* vtk_pointer = GetVTKPointer<vtkOutEdgeIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutEdgeIterator:IsA vtkOutEdgeIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOutEdgeIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOutEdgeIterator requires 2 argument(s)");
  vtkOutEdgeIterator* vtk_pointer = GetVTKPointer<vtkOutEdgeIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutEdgeIterator:NewInstance vtkOutEdgeIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOutEdgeIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutEdgeIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOutEdgeIterator requires 1 argument(s)");
  vtkOutEdgeIterator* vtk_pointer = GetVTKPointer<vtkOutEdgeIterator>(arg[0]);
  Array retval;
  vtkOutEdgeIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutEdgeIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutEdgeIterator:SafeDownCast vtkOutEdgeIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOutEdgeIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutEdgeIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOutEdgeIterator requires 2 argument(s)");
  vtkOutEdgeIterator* vtk_pointer = GetVTKPointer<vtkOutEdgeIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOutEdgeIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutEdgeIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutEdgeIterator:Initialize vtkOutEdgeIteratorInitializeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOutEdgeIteratorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (vtkGraph *g, vtkIdType v); */
  if (arg.size() < 3) 
    throw Exception("Function Initialize for class vtkOutEdgeIterator requires 3 argument(s)");
  vtkOutEdgeIterator* vtk_pointer = GetVTKPointer<vtkOutEdgeIterator>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  vtkIdType   temp1;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Initialize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOutEdgeIterator:GetGraph vtkOutEdgeIteratorGetGraphFunction
//input a0 
//output y
ArrayVector vtkOutEdgeIteratorGetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetGraph (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraph for class vtkOutEdgeIterator requires 1 argument(s)");
  vtkOutEdgeIterator* vtk_pointer = GetVTKPointer<vtkOutEdgeIterator>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetGraph();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutEdgeIterator:GetVertex vtkOutEdgeIteratorGetVertexFunction
//input a0 
//output y
ArrayVector vtkOutEdgeIteratorGetVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertex for class vtkOutEdgeIterator requires 1 argument(s)");
  vtkOutEdgeIterator* vtk_pointer = GetVTKPointer<vtkOutEdgeIterator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetVertex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutEdgeIterator:NextGraphEdge vtkOutEdgeIteratorNextGraphEdgeFunction
//input a0 
//output y
ArrayVector vtkOutEdgeIteratorNextGraphEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphEdge *NextGraphEdge (); */
  if (arg.size() < 1) 
    throw Exception("Function NextGraphEdge for class vtkOutEdgeIterator requires 1 argument(s)");
  vtkOutEdgeIterator* vtk_pointer = GetVTKPointer<vtkOutEdgeIterator>(arg[0]);
  Array retval;
  vtkGraphEdge  *temp20;
  temp20 = (vtk_pointer)->NextGraphEdge();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphEdge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutEdgeIterator:HasNext vtkOutEdgeIteratorHasNextFunction
//input a0 
//output y
ArrayVector vtkOutEdgeIteratorHasNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool HasNext ();return this Current this End  */
  if (arg.size() < 1) 
    throw Exception("Function HasNext for class vtkOutEdgeIterator requires 1 argument(s)");
  vtkOutEdgeIterator* vtk_pointer = GetVTKPointer<vtkOutEdgeIterator>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasNext();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkOutEdgeIterator:display vtkOutEdgeIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOutEdgeIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOutEdgeIterator* vtk_pointer = GetVTKPointer<vtkOutEdgeIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOutEdgeIterator:delete vtkOutEdgeIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkOutEdgeIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOutEdgeIterator
//@@Section VTKFiltering
//@@Usage
// vtkOutEdgeIterator iterates through all edges whose source is a particular
// vertex. Instantiate this class directly and call Initialize() to traverse
// the vertex of a graph. Alternately, use GetInEdges() on the graph to
// initialize the iterator. it->Next() returns a vtkOutEdgeType structure,
// which contains Id, the edge's id, and Target, the edge's target vertex.
//
//
//To create an instance of class vtkOutEdgeIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkOutEdgeIterator
//@]
//@@Methods
//The class vtkOutEdgeIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOutEdgeIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOutEdgeIterator = obj.NewInstance ()|
// \item @|vtkOutEdgeIterator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize (vtkGraph g, vtkIdType v)| -  Initialize the iterator with a graph and vertex.
//// \item @|vtkGraph = obj.GetGraph ()| -  Get the graph and vertex associated with this iterator.
//// \item @|vtkIdType = obj.GetVertex ()| -  Get the graph and vertex associated with this iterator.
//// \item @|vtkGraphEdge = obj.NextGraphEdge ()| -  Just like Next(), but
// returns heavy-weight vtkGraphEdge object instead of
// the vtkEdgeType struct, for use with wrappers.
// The graph edge is owned by this iterator, and changes
// after each call to NextGraphEdge().
//// \item @|bool = obj.HasNext ()|
//\end{itemize}
//!
