#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricSpline object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricSpline.h"

//@@Signature
//sfunction @vtkParametricSpline:vtkParametricSpline vtkParametricSplineConstructorFunction
//input a
//output p
//@@Parents vtkParametricSpline vtkParametricFunction 
ArrayVector vtkParametricSplineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricSpline::New(),"vtkParametricSpline",eval);
  } else if (arg[0].className() == "vtkParametricSpline") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricSpline"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricSpline");
    vtkParametricSpline*q = reinterpret_cast<vtkParametricSpline*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricSpline");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricSpline:GetClassName vtkParametricSplineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:IsA vtkParametricSplineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricSplineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:NewInstance vtkParametricSplineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricSplineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricSpline *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkParametricSpline  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SafeDownCast vtkParametricSplineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricSplineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricSpline *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricSpline  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetDimension vtkParametricSplineGetDimensionFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:Evaluate vtkParametricSplineEvaluateFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParametricSplineEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Evaluate (double u[3], double Pt[3], double Du[9]); */
  if (arg.size() < 4) 
    throw Exception("Function Evaluate for class vtkParametricSpline requires 4 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->Evaluate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:EvaluateScalar vtkParametricSplineEvaluateScalarFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParametricSplineEvaluateScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double EvaluateScalar (double u[3], double Pt[3], double Du[9]); */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateScalar for class vtkParametricSpline requires 4 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateScalar(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetXSpline vtkParametricSplineSetXSplineFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetXSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXSpline (vtkSpline *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXSpline for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp0;
  temp0 = GetVTKPointer<vtkSpline>(arg[1]);
  vtk_pointer->SetXSpline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetYSpline vtkParametricSplineSetYSplineFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetYSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYSpline (vtkSpline *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYSpline for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp0;
  temp0 = GetVTKPointer<vtkSpline>(arg[1]);
  vtk_pointer->SetYSpline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetZSpline vtkParametricSplineSetZSplineFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetZSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZSpline (vtkSpline *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZSpline for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp0;
  temp0 = GetVTKPointer<vtkSpline>(arg[1]);
  vtk_pointer->SetZSpline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetXSpline vtkParametricSplineGetXSplineFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetXSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpline *GetXSpline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXSpline for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp20;
  temp20 = (vtk_pointer)->GetXSpline();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetYSpline vtkParametricSplineGetYSplineFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetYSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpline *GetYSpline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYSpline for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp20;
  temp20 = (vtk_pointer)->GetYSpline();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetZSpline vtkParametricSplineGetZSplineFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetZSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpline *GetZSpline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZSpline for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp20;
  temp20 = (vtk_pointer)->GetZSpline();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetPoints vtkParametricSplineSetPointsFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoints (vtkPoints *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoints for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetPoints vtkParametricSplineGetPointsFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoints for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetNumberOfPoints vtkParametricSplineSetNumberOfPointsFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPoints (vtkIdType numPts); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPoints for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetPoint vtkParametricSplineSetPointFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkParametricSplineSetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint (vtkIdType index, double x, double y, double z); */
  if (arg.size() < 5) 
    throw Exception("Function SetPoint for class vtkParametricSpline requires 5 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetPoint(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetClosed vtkParametricSplineSetClosedFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClosed (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClosed for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClosed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetClosed vtkParametricSplineGetClosedFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClosed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClosed for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClosed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:ClosedOn vtkParametricSplineClosedOnFunction
//input a0 
//output none
ArrayVector vtkParametricSplineClosedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClosedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClosedOn for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtk_pointer->ClosedOn();
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:ClosedOff vtkParametricSplineClosedOffFunction
//input a0 
//output none
ArrayVector vtkParametricSplineClosedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClosedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClosedOff for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtk_pointer->ClosedOff();
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetParameterizeByLength vtkParametricSplineSetParameterizeByLengthFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetParameterizeByLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParameterizeByLength (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetParameterizeByLength for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetParameterizeByLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetParameterizeByLength vtkParametricSplineGetParameterizeByLengthFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetParameterizeByLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParameterizeByLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParameterizeByLength for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetParameterizeByLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:ParameterizeByLengthOn vtkParametricSplineParameterizeByLengthOnFunction
//input a0 
//output none
ArrayVector vtkParametricSplineParameterizeByLengthOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParameterizeByLengthOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ParameterizeByLengthOn for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtk_pointer->ParameterizeByLengthOn();
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:ParameterizeByLengthOff vtkParametricSplineParameterizeByLengthOffFunction
//input a0 
//output none
ArrayVector vtkParametricSplineParameterizeByLengthOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParameterizeByLengthOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ParameterizeByLengthOff for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  vtk_pointer->ParameterizeByLengthOff();
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetLeftConstraint vtkParametricSplineSetLeftConstraintFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetLeftConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeftConstraint (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeftConstraint for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLeftConstraint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetLeftConstraintMinValue vtkParametricSplineGetLeftConstraintMinValueFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetLeftConstraintMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftConstraintMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftConstraintMinValue for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftConstraintMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetLeftConstraintMaxValue vtkParametricSplineGetLeftConstraintMaxValueFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetLeftConstraintMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftConstraintMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftConstraintMaxValue for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftConstraintMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetLeftConstraint vtkParametricSplineGetLeftConstraintFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetLeftConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftConstraint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftConstraint for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftConstraint();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetRightConstraint vtkParametricSplineSetRightConstraintFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetRightConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRightConstraint (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRightConstraint for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRightConstraint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetRightConstraintMinValue vtkParametricSplineGetRightConstraintMinValueFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetRightConstraintMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightConstraintMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightConstraintMinValue for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightConstraintMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetRightConstraintMaxValue vtkParametricSplineGetRightConstraintMaxValueFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetRightConstraintMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightConstraintMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightConstraintMaxValue for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightConstraintMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetRightConstraint vtkParametricSplineGetRightConstraintFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetRightConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightConstraint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightConstraint for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightConstraint();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetLeftValue vtkParametricSplineSetLeftValueFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetLeftValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeftValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeftValue for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLeftValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetLeftValue vtkParametricSplineGetLeftValueFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetLeftValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeftValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftValue for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeftValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:SetRightValue vtkParametricSplineSetRightValueFunction
//input a0 a1 
//output none
ArrayVector vtkParametricSplineSetRightValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRightValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRightValue for class vtkParametricSpline requires 2 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRightValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:GetRightValue vtkParametricSplineGetRightValueFunction
//input a0 
//output y
ArrayVector vtkParametricSplineGetRightValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRightValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightValue for class vtkParametricSpline requires 1 argument(s)");
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRightValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricSpline:display vtkParametricSplineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricSplineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricSpline* vtk_pointer = GetVTKPointer<vtkParametricSpline>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricSpline:delete vtkParametricSplineDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricSplineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricSpline
//@@Section VTKFiltering
//@@Usage
// vtkParametricSpline is a parametric function for 1D interpolating splines.
// vtkParametricSpline maps the single parameter u into a 3D point (x,y,z)
// using three instances of interpolating splines.  This family of 1D splines
// is quaranteed to be parameterized in the interval [0,1].  Attempting to
// evaluate outside this interval will cause the parameter u to be clamped in
// the range [0,1].
//
// When constructed, this class creates instances of vtkCardinalSpline for
// each of the x-y-z coordinates. The user may choose to replace these with
// their own instances of subclasses of vtkSpline.
//
//
//To create an instance of class vtkParametricSpline, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricSpline
//@]
//@@Methods
//The class vtkParametricSpline has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricSpline class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricSpline = obj.NewInstance ()|
// \item @|vtkParametricSpline = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()| -  Evaluate the spline at parametric coordinate u[0] returning
// the point coordinate Pt[3].
//// \item @|obj.Evaluate (double u[3], double Pt[3], double Du[9])| -  Evaluate the spline at parametric coordinate u[0] returning
// the point coordinate Pt[3].
//// \item @|double = obj.EvaluateScalar (double u[3], double Pt[3], double Du[9])| -  Evaluate a scalar value at parametric coordinate u[0] and Pt[3].
// The scalar value is just the parameter u[0].
//// \item @|obj.SetXSpline (vtkSpline )| -  By default, this class is constructed with three instances of
// vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may
// choose to create and assign their own instances of vtkSpline.
//// \item @|obj.SetYSpline (vtkSpline )| -  By default, this class is constructed with three instances of
// vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may
// choose to create and assign their own instances of vtkSpline.
//// \item @|obj.SetZSpline (vtkSpline )| -  By default, this class is constructed with three instances of
// vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may
// choose to create and assign their own instances of vtkSpline.
//// \item @|vtkSpline = obj.GetXSpline ()| -  By default, this class is constructed with three instances of
// vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may
// choose to create and assign their own instances of vtkSpline.
//// \item @|vtkSpline = obj.GetYSpline ()| -  By default, this class is constructed with three instances of
// vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may
// choose to create and assign their own instances of vtkSpline.
//// \item @|vtkSpline = obj.GetZSpline ()| -  By default, this class is constructed with three instances of
// vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may
// choose to create and assign their own instances of vtkSpline.
//// \item @|obj.SetPoints (vtkPoints )| -  Specify the list of points defining the spline. Do this by 
// specifying a vtkPoints array containing the points. Note that
// the order of the points in vtkPoints is the order that the
// splines will be fit.
//// \item @|vtkPoints = obj.GetPoints ()| -  Specify the list of points defining the spline. Do this by 
// specifying a vtkPoints array containing the points. Note that
// the order of the points in vtkPoints is the order that the
// splines will be fit.
//// \item @|obj.SetNumberOfPoints (vtkIdType numPts)| -  Another API to set the points. Set the number of points and then set the
// individual point coordinates.
//// \item @|obj.SetPoint (vtkIdType index, double x, double y, double z)| -  Another API to set the points. Set the number of points and then set the
// individual point coordinates.
//// \item @|obj.SetClosed (int )| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.
//// \item @|int = obj.GetClosed ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.
//// \item @|obj.ClosedOn ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.
//// \item @|obj.ClosedOff ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.
//// \item @|obj.SetParameterizeByLength (int )| -  Control whether the spline is parameterized by length or by point index.
// Default is by length.
//// \item @|int = obj.GetParameterizeByLength ()| -  Control whether the spline is parameterized by length or by point index.
// Default is by length.
//// \item @|obj.ParameterizeByLengthOn ()| -  Control whether the spline is parameterized by length or by point index.
// Default is by length.
//// \item @|obj.ParameterizeByLengthOff ()| -  Control whether the spline is parameterized by length or by point index.
// Default is by length.
//// \item @|obj.SetLeftConstraint (int )| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
//
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetLeftConstraintMinValue ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
//
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetLeftConstraintMaxValue ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
//
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetLeftConstraint ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
//
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|obj.SetRightConstraint (int )| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
//
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetRightConstraintMinValue ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
//
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetRightConstraintMaxValue ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
//
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetRightConstraint ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
//
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|obj.SetLeftValue (double )| -  The values of the derivative on the left and right sides. The value
// is used only if the left(right) constraint is type 1-3.
//// \item @|double = obj.GetLeftValue ()| -  The values of the derivative on the left and right sides. The value
// is used only if the left(right) constraint is type 1-3.
//// \item @|obj.SetRightValue (double )| -  The values of the derivative on the left and right sides. The value
// is used only if the left(right) constraint is type 1-3.
//// \item @|double = obj.GetRightValue ()| -  The values of the derivative on the left and right sides. The value
// is used only if the left(right) constraint is type 1-3.
////\end{itemize}
//!
