#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPassInputTypeAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPassInputTypeAlgorithm.h"

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:vtkPassInputTypeAlgorithm vtkPassInputTypeAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkPassInputTypeAlgorithm vtkAlgorithm 
ArrayVector vtkPassInputTypeAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPassInputTypeAlgorithm::New(),"vtkPassInputTypeAlgorithm",eval);
  } else if (arg[0].className() == "vtkPassInputTypeAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPassInputTypeAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPassInputTypeAlgorithm");
    vtkPassInputTypeAlgorithm*q = reinterpret_cast<vtkPassInputTypeAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPassInputTypeAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetClassName vtkPassInputTypeAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:IsA vtkPassInputTypeAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPassInputTypeAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPassInputTypeAlgorithm requires 2 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:NewInstance vtkPassInputTypeAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassInputTypeAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkPassInputTypeAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassInputTypeAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:SafeDownCast vtkPassInputTypeAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPassInputTypeAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassInputTypeAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPassInputTypeAlgorithm requires 2 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPassInputTypeAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassInputTypeAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetOutput__1 vtkPassInputTypeAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetOutput__2 vtkPassInputTypeAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkPassInputTypeAlgorithm requires 2 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetPolyDataOutput vtkPassInputTypeAlgorithmGetPolyDataOutputFunction
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetPolyDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPolyDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataOutput for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetStructuredPointsOutput vtkPassInputTypeAlgorithmGetStructuredPointsOutputFunction
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetStructuredPointsOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetStructuredPointsOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredPointsOutput for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetStructuredPointsOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetImageDataOutput vtkPassInputTypeAlgorithmGetImageDataOutputFunction
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetImageDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetImageDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageDataOutput for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetImageDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetStructuredGridOutput vtkPassInputTypeAlgorithmGetStructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetStructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetStructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredGridOutput for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetStructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetUnstructuredGridOutput vtkPassInputTypeAlgorithmGetUnstructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetUnstructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGridOutput for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetRectilinearGridOutput vtkPassInputTypeAlgorithmGetRectilinearGridOutputFunction
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetRectilinearGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetRectilinearGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRectilinearGridOutput for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->GetRectilinearGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetTableOutput vtkPassInputTypeAlgorithmGetTableOutputFunction
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetTableOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *GetTableOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTableOutput for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkTable  *temp20;
  temp20 = (vtk_pointer)->GetTableOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetGraphOutput vtkPassInputTypeAlgorithmGetGraphOutputFunction
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetGraphOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetGraphOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphOutput for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetGraphOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetInput__1 vtkPassInputTypeAlgorithmGetInput__1Function
//input a0 
//output y
ArrayVector vtkPassInputTypeAlgorithmGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkPassInputTypeAlgorithm requires 1 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:SetInput__1 vtkPassInputTypeAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkPassInputTypeAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkPassInputTypeAlgorithm requires 2 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:SetInput__2 vtkPassInputTypeAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPassInputTypeAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkPassInputTypeAlgorithm requires 3 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:AddInput__1 vtkPassInputTypeAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkPassInputTypeAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkPassInputTypeAlgorithm requires 2 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:AddInput__2 vtkPassInputTypeAlgorithmAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPassInputTypeAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkPassInputTypeAlgorithm requires 3 argument(s)");
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetOutput vtkPassInputTypeAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkPassInputTypeAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPassInputTypeAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPassInputTypeAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPassInputTypeAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:GetInput vtkPassInputTypeAlgorithmGetInputFunction
//input varargin
//output varargout
ArrayVector vtkPassInputTypeAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPassInputTypeAlgorithmGetInput__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPassInputTypeAlgorithmGetInput");
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:SetInput vtkPassInputTypeAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkPassInputTypeAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkPassInputTypeAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkPassInputTypeAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPassInputTypeAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:AddInput vtkPassInputTypeAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkPassInputTypeAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkPassInputTypeAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkPassInputTypeAlgorithmAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPassInputTypeAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkPassInputTypeAlgorithm:display vtkPassInputTypeAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPassInputTypeAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPassInputTypeAlgorithm* vtk_pointer = GetVTKPointer<vtkPassInputTypeAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPassInputTypeAlgorithm:delete vtkPassInputTypeAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkPassInputTypeAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPassInputTypeAlgorithm
//@@Section VTKFiltering
//@@Usage
// vtkPassInputTypeAlgorithm is a convenience class to make writing algorithms
// easier. It is also designed to help transition old algorithms to the new
// pipeline architecture. Ther are some assumptions and defaults made by this
// class you should be aware of. This class defaults such that your filter
// will have one input port and one output port. If that is not the case
// simply change it with SetNumberOfInputPorts etc. See this classes
// contstructor for the default. This class also provides a FillInputPortInfo
// method that by default says that all inputs will be DataObject. If that isn't
// the case then please override this method in your subclass. This class
// breaks out the downstream requests into seperate functions such as
// RequestDataObject RequestData and RequestInformation. The default
// implementation of RequestDataObject will create an output data of the 
// same type as the input.
//
//To create an instance of class vtkPassInputTypeAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkPassInputTypeAlgorithm
//@]
//@@Methods
//The class vtkPassInputTypeAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPassInputTypeAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPassInputTypeAlgorithm = obj.NewInstance ()|
// \item @|vtkPassInputTypeAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataObject = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|vtkPolyData = obj.GetPolyDataOutput ()| -  Get the output as vtkPolyData.
//// \item @|vtkStructuredPoints = obj.GetStructuredPointsOutput ()| -  Get the output as vtkStructuredPoints.
//// \item @|vtkImageData = obj.GetImageDataOutput ()| -  Get the output as vtkStructuredPoints.
//// \item @|vtkStructuredGrid = obj.GetStructuredGridOutput ()| -  Get the output as vtkStructuredGrid.
//// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridOutput ()| -  Get the output as vtkUnstructuredGrid.
//// \item @|vtkRectilinearGrid = obj.GetRectilinearGridOutput ()| -  Get the output as vtkRectilinearGrid. 
//// \item @|vtkTable = obj.GetTableOutput ()| -  Get the output as vtkTable.
//// \item @|vtkGraph = obj.GetGraphOutput ()| -  Get the output as vtkGraph. 
//// \item @|vtkDataObject = obj.GetInput ()| -  Get the input data object. This method is not recommended for use, but
// lots of old style filters use it.
//// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
