#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPentagonalPrism object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPentagonalPrism.h"

//@@Signature
//sfunction @vtkPentagonalPrism:vtkPentagonalPrism vtkPentagonalPrismConstructorFunction
//input a
//output p
//@@Parents vtkPentagonalPrism vtkCell3D 
ArrayVector vtkPentagonalPrismConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPentagonalPrism::New(),"vtkPentagonalPrism",eval);
  } else if (arg[0].className() == "vtkPentagonalPrism") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPentagonalPrism"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPentagonalPrism");
    vtkPentagonalPrism*q = reinterpret_cast<vtkPentagonalPrism*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPentagonalPrism");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPentagonalPrism:GetClassName vtkPentagonalPrismGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPentagonalPrismGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPentagonalPrism requires 1 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:IsA vtkPentagonalPrismIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPentagonalPrismIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPentagonalPrism requires 2 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:NewInstance vtkPentagonalPrismNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPentagonalPrismNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPentagonalPrism *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPentagonalPrism requires 1 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  vtkPentagonalPrism  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPentagonalPrism",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:SafeDownCast vtkPentagonalPrismSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPentagonalPrismSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPentagonalPrism *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPentagonalPrism requires 2 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPentagonalPrism  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPentagonalPrism",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:GetCellType vtkPentagonalPrismGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkPentagonalPrismGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType ();return VTK_PENTAGONAL_PRISM  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkPentagonalPrism requires 1 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:GetCellDimension vtkPentagonalPrismGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkPentagonalPrismGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkPentagonalPrism requires 1 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:GetNumberOfEdges vtkPentagonalPrismGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkPentagonalPrismGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkPentagonalPrism requires 1 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:GetNumberOfFaces vtkPentagonalPrismGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkPentagonalPrismGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkPentagonalPrism requires 1 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:GetEdge vtkPentagonalPrismGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkPentagonalPrismGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int edgeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkPentagonalPrism requires 2 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:GetFace vtkPentagonalPrismGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkPentagonalPrismGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int faceId); */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkPentagonalPrism requires 2 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:CellBoundary vtkPentagonalPrismCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPentagonalPrismCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkPentagonalPrism requires 4 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:Triangulate vtkPentagonalPrismTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPentagonalPrismTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkPentagonalPrism requires 4 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:Derivatives vtkPentagonalPrismDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkPentagonalPrismDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkPentagonalPrism requires 6 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:GetParametricCenter vtkPentagonalPrismGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkPentagonalPrismGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParametricCenter (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkPentagonalPrism requires 2 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:InterpolationFunctions vtkPentagonalPrismInterpolationFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPentagonalPrismInterpolationFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationFunctions (double pcoords[3], double weights[10]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationFunctions for class vtkPentagonalPrism requires 3 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[10];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 10) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:InterpolationDerivs vtkPentagonalPrismInterpolationDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPentagonalPrismInterpolationDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationDerivs (double pcoords[3], double derivs[30]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationDerivs for class vtkPentagonalPrism requires 3 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[30];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 30) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:InterpolateFunctions vtkPentagonalPrismInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPentagonalPrismInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double weights[10]);vtkPentagonalPrism InterpolationFunctions pcoords weights  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkPentagonalPrism requires 3 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[10];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 10) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:InterpolateDerivs vtkPentagonalPrismInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPentagonalPrismInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double derivs[30]);vtkPentagonalPrism InterpolationDerivs pcoords derivs  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkPentagonalPrism requires 3 argument(s)");
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[30];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 30) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPentagonalPrism:display vtkPentagonalPrismDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPentagonalPrismDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPentagonalPrism* vtk_pointer = GetVTKPointer<vtkPentagonalPrism>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPentagonalPrism:delete vtkPentagonalPrismDeleteFunction
//input varargin
//output none
ArrayVector vtkPentagonalPrismDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPentagonalPrism
//@@Section VTKFiltering
//@@Usage
// vtkPentagonalPrism is a concrete implementation of vtkCell to represent a
// linear 3D prism with pentagonal base. Such prism is defined by the ten points (0-9)
// where (0,1,2,3,4) is the base of the prism which, using the right hand
// rule, forms a pentagon whose normal points is in the direction of the
// opposite face (5,6,7,8,9).
//
//To create an instance of class vtkPentagonalPrism, simply
//invoke its constructor as follows
//@[
//  obj = vtkPentagonalPrism
//@]
//@@Methods
//The class vtkPentagonalPrism has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPentagonalPrism class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPentagonalPrism = obj.NewInstance ()|
// \item @|vtkPentagonalPrism = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetCellType ()| -  See the vtkCell3D API for descriptions of these methods.
//// \item @|int = obj.GetCellDimension ()| -  See the vtkCell3D API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  See the vtkCell3D API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  See the vtkCell3D API for descriptions of these methods.
//// \item @|vtkCell = obj.GetEdge (int edgeId)| -  See the vtkCell3D API for descriptions of these methods.
//// \item @|vtkCell = obj.GetFace (int faceId)| -  See the vtkCell3D API for descriptions of these methods.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)| -  See the vtkCell3D API for descriptions of these methods.
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)|
// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)|
// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  Return the center of the wedge in parametric coordinates.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double weights[10])| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs[30])| -  Return the ids of the vertices defining edge/face (`edgeId`/`faceId').
// Ids are related to the cell, not to the dataset.
////\end{itemize}
//!
