#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPerlinNoise object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPerlinNoise.h"

//@@Signature
//sfunction @vtkPerlinNoise:vtkPerlinNoise vtkPerlinNoiseConstructorFunction
//input a
//output p
//@@Parents vtkPerlinNoise vtkImplicitFunction 
ArrayVector vtkPerlinNoiseConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPerlinNoise::New(),"vtkPerlinNoise",eval);
  } else if (arg[0].className() == "vtkPerlinNoise") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPerlinNoise"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPerlinNoise");
    vtkPerlinNoise*q = reinterpret_cast<vtkPerlinNoise*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPerlinNoise");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPerlinNoise:GetClassName vtkPerlinNoiseGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPerlinNoiseGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPerlinNoise requires 1 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:IsA vtkPerlinNoiseIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPerlinNoiseIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPerlinNoise requires 2 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:NewInstance vtkPerlinNoiseNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPerlinNoiseNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPerlinNoise *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPerlinNoise requires 1 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  vtkPerlinNoise  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPerlinNoise",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:SafeDownCast vtkPerlinNoiseSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPerlinNoiseSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPerlinNoise *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPerlinNoise requires 2 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPerlinNoise  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPerlinNoise",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:EvaluateFunction__1 vtkPerlinNoiseEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkPerlinNoiseEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkPerlinNoise requires 2 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:EvaluateFunction__2 vtkPerlinNoiseEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPerlinNoiseEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkPerlinNoise requires 4 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:EvaluateGradient vtkPerlinNoiseEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPerlinNoiseEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double n[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkPerlinNoise requires 3 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:SetFrequency__1 vtkPerlinNoiseSetFrequency__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPerlinNoiseSetFrequency__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFrequency (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetFrequency__1 for class vtkPerlinNoise requires 4 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetFrequency(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:SetFrequency__2 vtkPerlinNoiseSetFrequency__2Function
//input a0 a1 
//output none
ArrayVector vtkPerlinNoiseSetFrequency__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFrequency (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrequency__2 for class vtkPerlinNoise requires 2 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetFrequency(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:GetFrequency vtkPerlinNoiseGetFrequencyFunction
//input a0 
//output y
ArrayVector vtkPerlinNoiseGetFrequencyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetFrequency (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrequency for class vtkPerlinNoise requires 1 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetFrequency();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:SetPhase__1 vtkPerlinNoiseSetPhase__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPerlinNoiseSetPhase__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhase (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPhase__1 for class vtkPerlinNoise requires 4 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPhase(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:SetPhase__2 vtkPerlinNoiseSetPhase__2Function
//input a0 a1 
//output none
ArrayVector vtkPerlinNoiseSetPhase__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhase (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPhase__2 for class vtkPerlinNoise requires 2 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPhase(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:GetPhase vtkPerlinNoiseGetPhaseFunction
//input a0 
//output y
ArrayVector vtkPerlinNoiseGetPhaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPhase (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhase for class vtkPerlinNoise requires 1 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPhase();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:SetAmplitude vtkPerlinNoiseSetAmplitudeFunction
//input a0 a1 
//output none
ArrayVector vtkPerlinNoiseSetAmplitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmplitude (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAmplitude for class vtkPerlinNoise requires 2 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAmplitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:GetAmplitude vtkPerlinNoiseGetAmplitudeFunction
//input a0 
//output y
ArrayVector vtkPerlinNoiseGetAmplitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAmplitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAmplitude for class vtkPerlinNoise requires 1 argument(s)");
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAmplitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerlinNoise:EvaluateFunction vtkPerlinNoiseEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkPerlinNoiseEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPerlinNoiseEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPerlinNoiseEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPerlinNoiseEvaluateFunction");
}

//@@Signature
//sfunction @vtkPerlinNoise:SetFrequency vtkPerlinNoiseSetFrequencyFunction
//input varargin
//output varargout
ArrayVector vtkPerlinNoiseSetFrequencyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPerlinNoiseSetFrequency__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPerlinNoiseSetFrequency__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPerlinNoiseSetFrequency");
}

//@@Signature
//sfunction @vtkPerlinNoise:SetPhase vtkPerlinNoiseSetPhaseFunction
//input varargin
//output varargout
ArrayVector vtkPerlinNoiseSetPhaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPerlinNoiseSetPhase__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPerlinNoiseSetPhase__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPerlinNoiseSetPhase");
}

//@@Signature
//sfunction @vtkPerlinNoise:display vtkPerlinNoiseDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPerlinNoiseDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPerlinNoise* vtk_pointer = GetVTKPointer<vtkPerlinNoise>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPerlinNoise:delete vtkPerlinNoiseDeleteFunction
//input varargin
//output none
ArrayVector vtkPerlinNoiseDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPerlinNoise
//@@Section VTKFiltering
//@@Usage
// vtkPerlinNoise computes a Perlin noise field as an implicit function.
// vtkPerlinNoise is a concrete implementation of vtkImplicitFunction.
// Perlin noise, originally described by Ken Perlin, is a non-periodic and
// continuous noise function useful for modeling real-world objects.
//
// The amplitude and frequency of the noise pattern are adjustable.  This
// implementation of Perlin noise is derived closely from Greg Ward's version
// in Graphics Gems II.
//
//To create an instance of class vtkPerlinNoise, simply
//invoke its constructor as follows
//@[
//  obj = vtkPerlinNoise
//@]
//@@Methods
//The class vtkPerlinNoise has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPerlinNoise class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPerlinNoise = obj.NewInstance ()|
// \item @|vtkPerlinNoise = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])| -  Evaluate PerlinNoise function.
//// \item @|double = obj.EvaluateFunction (double x, double y, double z)| -  Evaluate PerlinNoise function.
//// \item @|obj.EvaluateGradient (double x[3], double n[3])| -  Evaluate PerlinNoise gradient.  Currently, the method returns a 0 
// gradient.
//// \item @|obj.SetFrequency (double , double , double )| -  Set/get the frequency, or physical scale,  of the noise function 
// (higher is finer scale).  The frequency can be adjusted per axis, or
// the same for all axes.
//// \item @|obj.SetFrequency (double  a[3])| -  Set/get the frequency, or physical scale,  of the noise function 
// (higher is finer scale).  The frequency can be adjusted per axis, or
// the same for all axes.
//// \item @|double = obj. GetFrequency ()| -  Set/get the frequency, or physical scale,  of the noise function 
// (higher is finer scale).  The frequency can be adjusted per axis, or
// the same for all axes.
//// \item @|obj.SetPhase (double , double , double )| -  Set/get the phase of the noise function.  This parameter can be used to
// shift the noise function within space (perhaps to avoid a beat with a
// noise pattern at another scale).  Phase tends to repeat about every
// unit, so a phase of 0.5 is a half-cycle shift.
//// \item @|obj.SetPhase (double  a[3])| -  Set/get the phase of the noise function.  This parameter can be used to
// shift the noise function within space (perhaps to avoid a beat with a
// noise pattern at another scale).  Phase tends to repeat about every
// unit, so a phase of 0.5 is a half-cycle shift.
//// \item @|double = obj. GetPhase ()| -  Set/get the phase of the noise function.  This parameter can be used to
// shift the noise function within space (perhaps to avoid a beat with a
// noise pattern at another scale).  Phase tends to repeat about every
// unit, so a phase of 0.5 is a half-cycle shift.
//// \item @|obj.SetAmplitude (double )| -  Set/get the amplitude of the noise function. Amplitude can be negative.
// The noise function varies randomly between -|Amplitude| and |Amplitude|.
// Therefore the range of values is 2*|Amplitude| large.
// The initial amplitude is 1.
//// \item @|double = obj.GetAmplitude ()| -  Set/get the amplitude of the noise function. Amplitude can be negative.
// The noise function varies randomly between -|Amplitude| and |Amplitude|.
// Therefore the range of values is 2*|Amplitude| large.
// The initial amplitude is 1.
////\end{itemize}
//!
