#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPiecewiseFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPiecewiseFunction.h"

//@@Signature
//sfunction @vtkPiecewiseFunction:vtkPiecewiseFunction vtkPiecewiseFunctionConstructorFunction
//input a
//output p
//@@Parents vtkPiecewiseFunction vtkDataObject 
ArrayVector vtkPiecewiseFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPiecewiseFunction::New(),"vtkPiecewiseFunction",eval);
  } else if (arg[0].className() == "vtkPiecewiseFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPiecewiseFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPiecewiseFunction");
    vtkPiecewiseFunction*q = reinterpret_cast<vtkPiecewiseFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPiecewiseFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPiecewiseFunction:GetClassName vtkPiecewiseFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:IsA vtkPiecewiseFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPiecewiseFunction requires 2 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:NewInstance vtkPiecewiseFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  vtkPiecewiseFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:SafeDownCast vtkPiecewiseFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPiecewiseFunction requires 2 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPiecewiseFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:DeepCopy vtkPiecewiseFunctionDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkDataObject *f); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkPiecewiseFunction requires 2 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:ShallowCopy vtkPiecewiseFunctionShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkDataObject *f); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkPiecewiseFunction requires 2 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetDataObjectType vtkPiecewiseFunctionGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType ();return VTK_PIECEWISE_FUNCTION  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetSize vtkPiecewiseFunctionGetSizeFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:AddPoint__1 vtkPiecewiseFunctionAddPoint__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkPiecewiseFunctionAddPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddPoint (double x, double y); */
  if (arg.size() < 3) 
    throw Exception("Function AddPoint__1 for class vtkPiecewiseFunction requires 3 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->AddPoint(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:AddPoint__2 vtkPiecewiseFunctionAddPoint__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPiecewiseFunctionAddPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddPoint (double x, double y, double midpoint, double sharpness); */
  if (arg.size() < 5) 
    throw Exception("Function AddPoint__2 for class vtkPiecewiseFunction requires 5 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->AddPoint(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:RemovePoint vtkPiecewiseFunctionRemovePointFunction
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionRemovePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemovePoint (double x); */
  if (arg.size() < 2) 
    throw Exception("Function RemovePoint for class vtkPiecewiseFunction requires 2 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->RemovePoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:RemoveAllPoints vtkPiecewiseFunctionRemoveAllPointsFunction
//input a0 
//output none
ArrayVector vtkPiecewiseFunctionRemoveAllPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllPoints for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllPoints();
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:AddSegment vtkPiecewiseFunctionAddSegmentFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPiecewiseFunctionAddSegmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddSegment (double x1, double y1, double x2, double y2); */
  if (arg.size() < 5) 
    throw Exception("Function AddSegment for class vtkPiecewiseFunction requires 5 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->AddSegment(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetValue vtkPiecewiseFunctionGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (double x); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkPiecewiseFunction requires 2 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetNodeValue vtkPiecewiseFunctionGetNodeValueFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPiecewiseFunctionGetNodeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNodeValue (int index, double val[4]); */
  if (arg.size() < 3) 
    throw Exception("Function GetNodeValue for class vtkPiecewiseFunction requires 3 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[4];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetNodeValue(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:SetNodeValue vtkPiecewiseFunctionSetNodeValueFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPiecewiseFunctionSetNodeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetNodeValue (int index, double val[4]); */
  if (arg.size() < 3) 
    throw Exception("Function SetNodeValue for class vtkPiecewiseFunction requires 3 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[4];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->SetNodeValue(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:FillFromDataPointer vtkPiecewiseFunctionFillFromDataPointerFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPiecewiseFunctionFillFromDataPointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FillFromDataPointer (int , double *); */
  if (arg.size() < 3) 
    throw Exception("Function FillFromDataPointer for class vtkPiecewiseFunction requires 3 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->FillFromDataPointer(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetRange vtkPiecewiseFunctionGetRangeFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionGetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRange for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:AdjustRange vtkPiecewiseFunctionAdjustRangeFunction
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionAdjustRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AdjustRange (double range[2]); */
  if (arg.size() < 2) 
    throw Exception("Function AdjustRange for class vtkPiecewiseFunction requires 2 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->AdjustRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetTable__1 vtkPiecewiseFunctionGetTable__1Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkPiecewiseFunctionGetTable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTable (double x1, double x2, int size, float *table, int stride); */
  if (arg.size() < 6) 
    throw Exception("Function GetTable__1 for class vtkPiecewiseFunction requires 6 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  float   *temp3;
  int      temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new float[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  vtk_pointer->GetTable(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetTable__2 vtkPiecewiseFunctionGetTable__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkPiecewiseFunctionGetTable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTable (double x1, double x2, int size, double *table, int stride); */
  if (arg.size() < 6) 
    throw Exception("Function GetTable__2 for class vtkPiecewiseFunction requires 6 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  double  *temp3;
  int      temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  vtk_pointer->GetTable(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:BuildFunctionFromTable vtkPiecewiseFunctionBuildFunctionFromTableFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkPiecewiseFunctionBuildFunctionFromTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildFunctionFromTable (double x1, double x2, int size, double *table, int stride); */
  if (arg.size() < 6) 
    throw Exception("Function BuildFunctionFromTable for class vtkPiecewiseFunction requires 6 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  double  *temp3;
  int      temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  vtk_pointer->BuildFunctionFromTable(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:SetClamping vtkPiecewiseFunctionSetClampingFunction
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionSetClampingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClamping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClamping for class vtkPiecewiseFunction requires 2 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClamping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetClamping vtkPiecewiseFunctionGetClampingFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionGetClampingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClamping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClamping for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClamping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:ClampingOn vtkPiecewiseFunctionClampingOnFunction
//input a0 
//output none
ArrayVector vtkPiecewiseFunctionClampingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampingOn for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  vtk_pointer->ClampingOn();
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:ClampingOff vtkPiecewiseFunctionClampingOffFunction
//input a0 
//output none
ArrayVector vtkPiecewiseFunctionClampingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampingOff for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  vtk_pointer->ClampingOff();
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetType vtkPiecewiseFunctionGetTypeFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionGetTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetType for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetType();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetFirstNonZeroValue vtkPiecewiseFunctionGetFirstNonZeroValueFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionGetFirstNonZeroValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFirstNonZeroValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFirstNonZeroValue for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFirstNonZeroValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:Initialize vtkPiecewiseFunctionInitializeFunction
//input a0 
//output none
ArrayVector vtkPiecewiseFunctionInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:SetAllowDuplicateScalars vtkPiecewiseFunctionSetAllowDuplicateScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionSetAllowDuplicateScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllowDuplicateScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllowDuplicateScalars for class vtkPiecewiseFunction requires 2 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllowDuplicateScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetAllowDuplicateScalars vtkPiecewiseFunctionGetAllowDuplicateScalarsFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionGetAllowDuplicateScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAllowDuplicateScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllowDuplicateScalars for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAllowDuplicateScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:AllowDuplicateScalarsOn vtkPiecewiseFunctionAllowDuplicateScalarsOnFunction
//input a0 
//output none
ArrayVector vtkPiecewiseFunctionAllowDuplicateScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowDuplicateScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowDuplicateScalarsOn for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  vtk_pointer->AllowDuplicateScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:AllowDuplicateScalarsOff vtkPiecewiseFunctionAllowDuplicateScalarsOffFunction
//input a0 
//output none
ArrayVector vtkPiecewiseFunctionAllowDuplicateScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowDuplicateScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowDuplicateScalarsOff for class vtkPiecewiseFunction requires 1 argument(s)");
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  Array retval;
  vtk_pointer->AllowDuplicateScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunction:AddPoint vtkPiecewiseFunctionAddPointFunction
//input varargin
//output varargout
ArrayVector vtkPiecewiseFunctionAddPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPiecewiseFunctionAddPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPiecewiseFunctionAddPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPiecewiseFunctionAddPoint");
}

//@@Signature
//sfunction @vtkPiecewiseFunction:GetTable vtkPiecewiseFunctionGetTableFunction
//input varargin
//output varargout
ArrayVector vtkPiecewiseFunctionGetTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkPiecewiseFunctionGetTable__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkPiecewiseFunctionGetTable__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPiecewiseFunctionGetTable");
}

//@@Signature
//sfunction @vtkPiecewiseFunction:display vtkPiecewiseFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPiecewiseFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPiecewiseFunction* vtk_pointer = GetVTKPointer<vtkPiecewiseFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPiecewiseFunction:delete vtkPiecewiseFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkPiecewiseFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPiecewiseFunction
//@@Section VTKFiltering
//@@Usage
// Defines a piecewise function mapping. This mapping allows the addition
// of control points, and allows the user to control the function between
// the control points. A piecewise hermite curve is used between control 
// points, based on the sharpness and midpoint parameters. A sharpness of
// 0 yields a piecewise linear function and a sharpness of 1 yields a
// piecewise constant function. The midpoint is the normalized distance
// between control points at which the curve reaches the median Y value.
// The midpoint and sharpness values specified when adding a node are used
// to control the transition to the next node (the last node's values are
// ignored) Outside the range of nodes, the values are 0 if Clamping is off,
// or the nearest node point if Clamping is on. Using the legacy methods for
// adding points  (which do not have Sharpness and Midpoint parameters) 
// will default to Midpoint = 0.5 (halfway between the control points) and
// Sharpness = 0.0 (linear).
//
//To create an instance of class vtkPiecewiseFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkPiecewiseFunction
//@]
//@@Methods
//The class vtkPiecewiseFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPiecewiseFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPiecewiseFunction = obj.NewInstance ()|
// \item @|vtkPiecewiseFunction = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DeepCopy (vtkDataObject f)|
// \item @|obj.ShallowCopy (vtkDataObject f)|
// \item @|int = obj.GetDataObjectType ()| -  Return what type of dataset this is.
//// \item @|int = obj.GetSize ()| -  Get the number of points used to specify the function
//// \item @|int = obj.AddPoint (double x, double y)| -  Add/Remove points to/from the function. If a duplicate point is added
// then the function value is changed at that location.
// Return the index of the point (0 based), or -1 on error.
//// \item @|int = obj.AddPoint (double x, double y, double midpoint, double sharpness)| -  Add/Remove points to/from the function. If a duplicate point is added
// then the function value is changed at that location.
// Return the index of the point (0 based), or -1 on error.
//// \item @|int = obj.RemovePoint (double x)| -  Add/Remove points to/from the function. If a duplicate point is added
// then the function value is changed at that location.
// Return the index of the point (0 based), or -1 on error.
//// \item @|obj.RemoveAllPoints ()| -  Removes all points from the function. 
//// \item @|obj.AddSegment (double x1, double y1, double x2, double y2)| -  Add a line segment to the function. All points defined between the
// two points specified are removed from the function. This is a legacy
// method that does not allow the specification of the sharpness and
// midpoint values for the two nodes.
//// \item @|double = obj.GetValue (double x)| -  Returns the value of the function at the specified location using
// the specified interpolation. 
//// \item @|int = obj.GetNodeValue (int index, double val[4])| -  For the node specified by index, set/get the
// location (X), value (Y), midpoint, and sharpness 
// values at the node.
//// \item @|int = obj.SetNodeValue (int index, double val[4])| -  For the node specified by index, set/get the
// location (X), value (Y), midpoint, and sharpness 
// values at the node.
//// \item @|obj.FillFromDataPointer (int , double )| -  Returns a pointer to the data stored in the table.
// Fills from a pointer to data stored in a similar table. These are
// legacy methods which will be maintained for compatibility - however,
// note that the vtkPiecewiseFunction no longer stores the nodes 
// in a double array internally.
//// \item @|double = obj. GetRange ()| -  Returns the min and max node locations of the function.
//// \item @|int = obj.AdjustRange (double range[2])| -  Remove all points out of the new range, and make sure there is a point
// at each end of that range.
// Return 1 on success, 0 otherwise.
//// \item @|obj.GetTable (double x1, double x2, int size, float table, int stride)| -  Fills in an array of function values evaluated at regular intervals.
// Parameter "stride" is used to step through the output "table". 
//// \item @|obj.GetTable (double x1, double x2, int size, double table, int stride)| -  Fills in an array of function values evaluated at regular intervals.
// Parameter "stride" is used to step through the output "table". 
//// \item @|obj.BuildFunctionFromTable (double x1, double x2, int size, double table, int stride)| -  Constructs a piecewise function from a table.  Function range is
// is set to [x1, x2], function size is set to size, and function points
// are regularly spaced between x1 and x2.  Parameter "stride" is
// is step through the input table.  
//// \item @|obj.SetClamping (int )| -  When zero range clamping is Off, GetValue() returns 0.0 when a
// value is requested outside of the points specified.
// When zero range clamping is On, GetValue() returns the value at
// the value at the lowest point for a request below all points 
// specified and returns the value at the highest point for a request 
// above all points specified. On is the default.
//// \item @|int = obj.GetClamping ()| -  When zero range clamping is Off, GetValue() returns 0.0 when a
// value is requested outside of the points specified.
// When zero range clamping is On, GetValue() returns the value at
// the value at the lowest point for a request below all points 
// specified and returns the value at the highest point for a request 
// above all points specified. On is the default.
//// \item @|obj.ClampingOn ()| -  When zero range clamping is Off, GetValue() returns 0.0 when a
// value is requested outside of the points specified.
// When zero range clamping is On, GetValue() returns the value at
// the value at the lowest point for a request below all points 
// specified and returns the value at the highest point for a request 
// above all points specified. On is the default.
//// \item @|obj.ClampingOff ()| -  When zero range clamping is Off, GetValue() returns 0.0 when a
// value is requested outside of the points specified.
// When zero range clamping is On, GetValue() returns the value at
// the value at the lowest point for a request below all points 
// specified and returns the value at the highest point for a request 
// above all points specified. On is the default.
//// \item @|string = obj.GetType ()| -  Return the type of function:
// Function Types:
//    0 : Constant        (No change in slope between end points)
//    1 : NonDecreasing   (Always increasing or zero slope)
//    2 : NonIncreasing   (Always decreasing or zero slope)
//    3 : Varied          (Contains both decreasing and increasing slopes)
//// \item @|double = obj.GetFirstNonZeroValue ()| -  Returns the first point location which precedes a non-zero segment of the
// function. Note that the value at this point may be zero.
//// \item @|obj.Initialize ()| -  Clears out the current function. A newly created vtkPiecewiseFunction
// is alreay initialized, so there is no need to call this method which
// in turn simply calls RemoveAllPoints() 
//// \item @|obj.SetAllowDuplicateScalars (int )| -  Toggle whether to allow duplicate scalar values in the piecewise
// function (off by default).
//// \item @|int = obj.GetAllowDuplicateScalars ()| -  Toggle whether to allow duplicate scalar values in the piecewise
// function (off by default).
//// \item @|obj.AllowDuplicateScalarsOn ()| -  Toggle whether to allow duplicate scalar values in the piecewise
// function (off by default).
//// \item @|obj.AllowDuplicateScalarsOff ()| -  Toggle whether to allow duplicate scalar values in the piecewise
// function (off by default).
////\end{itemize}
//!
