#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPiecewiseFunctionAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPiecewiseFunctionAlgorithm.h"

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:vtkPiecewiseFunctionAlgorithm vtkPiecewiseFunctionAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkPiecewiseFunctionAlgorithm vtkAlgorithm 
ArrayVector vtkPiecewiseFunctionAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPiecewiseFunctionAlgorithm::New(),"vtkPiecewiseFunctionAlgorithm",eval);
  } else if (arg[0].className() == "vtkPiecewiseFunctionAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPiecewiseFunctionAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPiecewiseFunctionAlgorithm");
    vtkPiecewiseFunctionAlgorithm*q = reinterpret_cast<vtkPiecewiseFunctionAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPiecewiseFunctionAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:GetClassName vtkPiecewiseFunctionAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPiecewiseFunctionAlgorithm requires 1 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:IsA vtkPiecewiseFunctionAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPiecewiseFunctionAlgorithm requires 2 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:NewInstance vtkPiecewiseFunctionAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunctionAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPiecewiseFunctionAlgorithm requires 1 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  vtkPiecewiseFunctionAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunctionAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:SafeDownCast vtkPiecewiseFunctionAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunctionAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPiecewiseFunctionAlgorithm requires 2 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPiecewiseFunctionAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunctionAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:GetOutput__1 vtkPiecewiseFunctionAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkPiecewiseFunctionAlgorithm requires 1 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:GetOutput__2 vtkPiecewiseFunctionAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkPiecewiseFunctionAlgorithm requires 2 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:SetOutput vtkPiecewiseFunctionAlgorithmSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionAlgorithmSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutput (vtkDataObject *d); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkPiecewiseFunctionAlgorithm requires 2 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:GetInput__1 vtkPiecewiseFunctionAlgorithmGetInput__1Function
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionAlgorithmGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkPiecewiseFunctionAlgorithm requires 1 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:GetInput__2 vtkPiecewiseFunctionAlgorithmGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionAlgorithmGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkPiecewiseFunctionAlgorithm requires 2 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:SetInput__1 vtkPiecewiseFunctionAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkPiecewiseFunctionAlgorithm requires 2 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:SetInput__2 vtkPiecewiseFunctionAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPiecewiseFunctionAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkPiecewiseFunctionAlgorithm requires 3 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:AddInput__1 vtkPiecewiseFunctionAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkPiecewiseFunctionAlgorithm requires 2 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:AddInput__2 vtkPiecewiseFunctionAlgorithmAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPiecewiseFunctionAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkPiecewiseFunctionAlgorithm requires 3 argument(s)");
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:GetOutput vtkPiecewiseFunctionAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkPiecewiseFunctionAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPiecewiseFunctionAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPiecewiseFunctionAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPiecewiseFunctionAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:GetInput vtkPiecewiseFunctionAlgorithmGetInputFunction
//input varargin
//output varargout
ArrayVector vtkPiecewiseFunctionAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPiecewiseFunctionAlgorithmGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPiecewiseFunctionAlgorithmGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPiecewiseFunctionAlgorithmGetInput");
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:SetInput vtkPiecewiseFunctionAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkPiecewiseFunctionAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkPiecewiseFunctionAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkPiecewiseFunctionAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPiecewiseFunctionAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:AddInput vtkPiecewiseFunctionAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkPiecewiseFunctionAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkPiecewiseFunctionAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkPiecewiseFunctionAlgorithmAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPiecewiseFunctionAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkPiecewiseFunctionAlgorithm:display vtkPiecewiseFunctionAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPiecewiseFunctionAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPiecewiseFunctionAlgorithm* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPiecewiseFunctionAlgorithm:delete vtkPiecewiseFunctionAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkPiecewiseFunctionAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPiecewiseFunctionAlgorithm
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkPiecewiseFunctionAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkPiecewiseFunctionAlgorithm
//@]
//@@Methods
//The class vtkPiecewiseFunctionAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPiecewiseFunctionAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPiecewiseFunctionAlgorithm = obj.NewInstance ()|
// \item @|vtkPiecewiseFunctionAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataObject = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetOutput (vtkDataObject d)| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetInput ()|
// \item @|vtkDataObject = obj.GetInput (int port)|
// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
