#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPiecewiseFunctionShiftScale object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPiecewiseFunctionShiftScale.h"

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:vtkPiecewiseFunctionShiftScale vtkPiecewiseFunctionShiftScaleConstructorFunction
//input a
//output p
//@@Parents vtkPiecewiseFunctionShiftScale vtkPiecewiseFunctionAlgorithm 
ArrayVector vtkPiecewiseFunctionShiftScaleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPiecewiseFunctionShiftScale::New(),"vtkPiecewiseFunctionShiftScale",eval);
  } else if (arg[0].className() == "vtkPiecewiseFunctionShiftScale") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPiecewiseFunctionShiftScale"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPiecewiseFunctionShiftScale");
    vtkPiecewiseFunctionShiftScale*q = reinterpret_cast<vtkPiecewiseFunctionShiftScale*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPiecewiseFunctionShiftScale");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:GetClassName vtkPiecewiseFunctionShiftScaleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionShiftScaleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPiecewiseFunctionShiftScale requires 1 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:IsA vtkPiecewiseFunctionShiftScaleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionShiftScaleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPiecewiseFunctionShiftScale requires 2 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:NewInstance vtkPiecewiseFunctionShiftScaleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionShiftScaleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunctionShiftScale *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPiecewiseFunctionShiftScale requires 1 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  vtkPiecewiseFunctionShiftScale  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunctionShiftScale",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:SafeDownCast vtkPiecewiseFunctionShiftScaleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPiecewiseFunctionShiftScaleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunctionShiftScale *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPiecewiseFunctionShiftScale requires 2 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPiecewiseFunctionShiftScale  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunctionShiftScale",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:SetPositionShift vtkPiecewiseFunctionShiftScaleSetPositionShiftFunction
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionShiftScaleSetPositionShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPositionShift (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPositionShift for class vtkPiecewiseFunctionShiftScale requires 2 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPositionShift(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:SetPositionScale vtkPiecewiseFunctionShiftScaleSetPositionScaleFunction
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionShiftScaleSetPositionScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPositionScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPositionScale for class vtkPiecewiseFunctionShiftScale requires 2 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPositionScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:SetValueShift vtkPiecewiseFunctionShiftScaleSetValueShiftFunction
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionShiftScaleSetValueShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValueShift (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetValueShift for class vtkPiecewiseFunctionShiftScale requires 2 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValueShift(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:SetValueScale vtkPiecewiseFunctionShiftScaleSetValueScaleFunction
//input a0 a1 
//output none
ArrayVector vtkPiecewiseFunctionShiftScaleSetValueScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValueScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetValueScale for class vtkPiecewiseFunctionShiftScale requires 2 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValueScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:GetPositionShift vtkPiecewiseFunctionShiftScaleGetPositionShiftFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionShiftScaleGetPositionShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPositionShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPositionShift for class vtkPiecewiseFunctionShiftScale requires 1 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPositionShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:GetPositionScale vtkPiecewiseFunctionShiftScaleGetPositionScaleFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionShiftScaleGetPositionScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPositionScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPositionScale for class vtkPiecewiseFunctionShiftScale requires 1 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPositionScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:GetValueShift vtkPiecewiseFunctionShiftScaleGetValueShiftFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionShiftScaleGetValueShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValueShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValueShift for class vtkPiecewiseFunctionShiftScale requires 1 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValueShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:GetValueScale vtkPiecewiseFunctionShiftScaleGetValueScaleFunction
//input a0 
//output y
ArrayVector vtkPiecewiseFunctionShiftScaleGetValueScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValueScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValueScale for class vtkPiecewiseFunctionShiftScale requires 1 argument(s)");
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValueScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPiecewiseFunctionShiftScale:display vtkPiecewiseFunctionShiftScaleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPiecewiseFunctionShiftScaleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPiecewiseFunctionShiftScale* vtk_pointer = GetVTKPointer<vtkPiecewiseFunctionShiftScale>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPiecewiseFunctionShiftScale:delete vtkPiecewiseFunctionShiftScaleDeleteFunction
//input varargin
//output none
ArrayVector vtkPiecewiseFunctionShiftScaleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPiecewiseFunctionShiftScale
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkPiecewiseFunctionShiftScale, simply
//invoke its constructor as follows
//@[
//  obj = vtkPiecewiseFunctionShiftScale
//@]
//@@Methods
//The class vtkPiecewiseFunctionShiftScale has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPiecewiseFunctionShiftScale class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPiecewiseFunctionShiftScale = obj.NewInstance ()|
// \item @|vtkPiecewiseFunctionShiftScale = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPositionShift (double )|
// \item @|obj.SetPositionScale (double )|
// \item @|obj.SetValueShift (double )|
// \item @|obj.SetValueScale (double )|
// \item @|double = obj.GetPositionShift ()|
// \item @|double = obj.GetPositionScale ()|
// \item @|double = obj.GetValueShift ()|
// \item @|double = obj.GetValueScale ()|
//\end{itemize}
//!
