#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPlanesIntersection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPlanesIntersection.h"

//@@Signature
//sfunction @vtkPlanesIntersection:vtkPlanesIntersection vtkPlanesIntersectionConstructorFunction
//input a
//output p
//@@Parents vtkPlanesIntersection vtkPlanes 
ArrayVector vtkPlanesIntersectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPlanesIntersection::New(),"vtkPlanesIntersection",eval);
  } else if (arg[0].className() == "vtkPlanesIntersection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPlanesIntersection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPlanesIntersection");
    vtkPlanesIntersection*q = reinterpret_cast<vtkPlanesIntersection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPlanesIntersection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPlanesIntersection:GetClassName vtkPlanesIntersectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPlanesIntersectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPlanesIntersection requires 1 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:IsA vtkPlanesIntersectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPlanesIntersectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPlanesIntersection requires 2 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:NewInstance vtkPlanesIntersectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPlanesIntersectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlanesIntersection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPlanesIntersection requires 1 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  vtkPlanesIntersection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlanesIntersection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:SafeDownCast vtkPlanesIntersectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPlanesIntersectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlanesIntersection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPlanesIntersection requires 2 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPlanesIntersection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlanesIntersection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:SetRegionVertices__1 vtkPlanesIntersectionSetRegionVertices__1Function
//input a0 a1 
//output none
ArrayVector vtkPlanesIntersectionSetRegionVertices__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRegionVertices (vtkPoints *pts); */
  if (arg.size() < 2) 
    throw Exception("Function SetRegionVertices__1 for class vtkPlanesIntersection requires 2 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetRegionVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:SetRegionVertices__2 vtkPlanesIntersectionSetRegionVertices__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPlanesIntersectionSetRegionVertices__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRegionVertices (double *v, int nvertices); */
  if (arg.size() < 3) 
    throw Exception("Function SetRegionVertices__2 for class vtkPlanesIntersection requires 3 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetRegionVertices(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:GetNumRegionVertices vtkPlanesIntersectionGetNumRegionVerticesFunction
//input a0 
//output y
ArrayVector vtkPlanesIntersectionGetNumRegionVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumRegionVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumRegionVertices for class vtkPlanesIntersection requires 1 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumRegionVertices();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:GetRegionVertices vtkPlanesIntersectionGetRegionVerticesFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPlanesIntersectionGetRegionVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionVertices (double *v, int nvertices); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionVertices for class vtkPlanesIntersection requires 3 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetRegionVertices(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:IntersectsRegion vtkPlanesIntersectionIntersectsRegionFunction
//input a0 a1 
//output y
ArrayVector vtkPlanesIntersectionIntersectsRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectsRegion (vtkPoints *R); */
  if (arg.size() < 2) 
    throw Exception("Function IntersectsRegion for class vtkPlanesIntersection requires 2 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp20 = (vtk_pointer)->IntersectsRegion(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:PolygonIntersectsBBox vtkPlanesIntersectionPolygonIntersectsBBoxFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPlanesIntersectionPolygonIntersectsBBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int PolygonIntersectsBBox (double bounds[6], vtkPoints *pts); */
  if (arg.size() < 3) 
    throw Exception("Function PolygonIntersectsBBox for class vtkPlanesIntersection requires 3 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  double temp0[6];
  vtkPoints  *temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkPoints>(arg[7]);
  temp20 = (vtk_pointer)->PolygonIntersectsBBox(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:Convert3DCell vtkPlanesIntersectionConvert3DCellFunction
//input a0 a1 
//output y
ArrayVector vtkPlanesIntersectionConvert3DCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkPlanesIntersection *Convert3DCell (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function Convert3DCell for class vtkPlanesIntersection requires 2 argument(s)");
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  vtkPlanesIntersection  *temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->Convert3DCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlanesIntersection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlanesIntersection:SetRegionVertices vtkPlanesIntersectionSetRegionVerticesFunction
//input varargin
//output varargout
ArrayVector vtkPlanesIntersectionSetRegionVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPoints"))
    return vtkPlanesIntersectionSetRegionVertices__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPlanesIntersectionSetRegionVertices__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlanesIntersectionSetRegionVertices");
}

//@@Signature
//sfunction @vtkPlanesIntersection:display vtkPlanesIntersectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPlanesIntersectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPlanesIntersection* vtk_pointer = GetVTKPointer<vtkPlanesIntersection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPlanesIntersection:delete vtkPlanesIntersectionDeleteFunction
//input varargin
//output none
ArrayVector vtkPlanesIntersectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPlanesIntersection
//@@Section VTKFiltering
//@@Usage
//    A subclass of vtkPlanes, this class determines whether it
//    intersects an axis aligned box.   This is motivated by the
//    need to intersect the axis aligned region of a spacial
//    decomposition of volume data with various other regions.
//    It uses the algorithm from Graphics Gems IV, page 81.
//
// .SECTION Caveat
//    An instance of vtkPlanes can be redefined by changing the planes,
//    but this subclass then will not know if the region vertices are
//    up to date.  (Region vertices can be specified in SetRegionVertices
//    or computed by the subclass.)  So Delete and recreate if you want
//    to change the set of planes.
//
//
//To create an instance of class vtkPlanesIntersection, simply
//invoke its constructor as follows
//@[
//  obj = vtkPlanesIntersection
//@]
//@@Methods
//The class vtkPlanesIntersection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPlanesIntersection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPlanesIntersection = obj.NewInstance ()|
// \item @|vtkPlanesIntersection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRegionVertices (vtkPoints pts)|
// \item @|obj.SetRegionVertices (double v, int nvertices)|
// \item @|int = obj.GetNumRegionVertices ()|
// \item @|int = obj.GetRegionVertices (double v, int nvertices)|
// \item @|int = obj.IntersectsRegion (vtkPoints R)|
//\end{itemize}
//!
