#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointData.h"

//@@Signature
//sfunction @vtkPointData:vtkPointData vtkPointDataConstructorFunction
//input a
//output p
//@@Parents vtkPointData vtkDataSetAttributes 
ArrayVector vtkPointDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointData::New(),"vtkPointData",eval);
  } else if (arg[0].className() == "vtkPointData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointData");
    vtkPointData*q = reinterpret_cast<vtkPointData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointData:GetClassName vtkPointDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointData requires 1 argument(s)");
  vtkPointData* vtk_pointer = GetVTKPointer<vtkPointData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointData:IsA vtkPointDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointData requires 2 argument(s)");
  vtkPointData* vtk_pointer = GetVTKPointer<vtkPointData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointData:NewInstance vtkPointDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointData requires 1 argument(s)");
  vtkPointData* vtk_pointer = GetVTKPointer<vtkPointData>(arg[0]);
  Array retval;
  vtkPointData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointData:SafeDownCast vtkPointDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointData requires 2 argument(s)");
  vtkPointData* vtk_pointer = GetVTKPointer<vtkPointData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointData:NullPoint vtkPointDataNullPointFunction
//input a0 a1 
//output none
ArrayVector vtkPointDataNullPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NullPoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function NullPoint for class vtkPointData requires 2 argument(s)");
  vtkPointData* vtk_pointer = GetVTKPointer<vtkPointData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->NullPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointData:display vtkPointDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointData* vtk_pointer = GetVTKPointer<vtkPointData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointData:delete vtkPointDataDeleteFunction
//input varargin
//output none
ArrayVector vtkPointDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointData
//@@Section VTKFiltering
//@@Usage
// vtkPointData is a class that is used to represent and manipulate
// point attribute data (e.g., scalars, vectors, normals, texture 
// coordinates, etc.) Most of the functionality is handled by 
// vtkDataSetAttributes
//
//To create an instance of class vtkPointData, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointData
//@]
//@@Methods
//The class vtkPointData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointData = obj.NewInstance ()|
// \item @|vtkPointData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.NullPoint (vtkIdType ptId)|
//\end{itemize}
//!
