#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointLocator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointLocator.h"

//@@Signature
//sfunction @vtkPointLocator:vtkPointLocator vtkPointLocatorConstructorFunction
//input a
//output p
//@@Parents vtkPointLocator vtkIncrementalPointLocator 
ArrayVector vtkPointLocatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointLocator::New(),"vtkPointLocator",eval);
  } else if (arg[0].className() == "vtkPointLocator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointLocator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointLocator");
    vtkPointLocator*q = reinterpret_cast<vtkPointLocator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointLocator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointLocator:GetClassName vtkPointLocatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointLocatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointLocator requires 1 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:IsA vtkPointLocatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointLocatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointLocator requires 2 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:NewInstance vtkPointLocatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointLocatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointLocator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointLocator requires 1 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  vtkPointLocator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:SafeDownCast vtkPointLocatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointLocatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointLocator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointLocator requires 2 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointLocator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:SetDivisions__1 vtkPointLocatorSetDivisions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPointLocatorSetDivisions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDivisions (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDivisions__1 for class vtkPointLocator requires 4 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetDivisions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:SetDivisions__2 vtkPointLocatorSetDivisions__2Function
//input a0 a1 
//output none
ArrayVector vtkPointLocatorSetDivisions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDivisions (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDivisions__2 for class vtkPointLocator requires 2 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetDivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:GetDivisions vtkPointLocatorGetDivisionsFunction
//input a0 
//output y
ArrayVector vtkPointLocatorGetDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetDivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDivisions for class vtkPointLocator requires 1 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDivisions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:SetNumberOfPointsPerBucket vtkPointLocatorSetNumberOfPointsPerBucketFunction
//input a0 a1 
//output none
ArrayVector vtkPointLocatorSetNumberOfPointsPerBucketFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPointsPerBucket (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPointsPerBucket for class vtkPointLocator requires 2 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPointsPerBucket(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:GetNumberOfPointsPerBucketMinValue vtkPointLocatorGetNumberOfPointsPerBucketMinValueFunction
//input a0 
//output y
ArrayVector vtkPointLocatorGetNumberOfPointsPerBucketMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointsPerBucketMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointsPerBucketMinValue for class vtkPointLocator requires 1 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointsPerBucketMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:GetNumberOfPointsPerBucketMaxValue vtkPointLocatorGetNumberOfPointsPerBucketMaxValueFunction
//input a0 
//output y
ArrayVector vtkPointLocatorGetNumberOfPointsPerBucketMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointsPerBucketMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointsPerBucketMaxValue for class vtkPointLocator requires 1 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointsPerBucketMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:GetNumberOfPointsPerBucket vtkPointLocatorGetNumberOfPointsPerBucketFunction
//input a0 
//output y
ArrayVector vtkPointLocatorGetNumberOfPointsPerBucketFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointsPerBucket (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointsPerBucket for class vtkPointLocator requires 1 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointsPerBucket();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:FindClosestPoint vtkPointLocatorFindClosestPointFunction
//input a0 a1 
//output y
ArrayVector vtkPointLocatorFindClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindClosestPoint for class vtkPointLocator requires 2 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindClosestPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:InitPointInsertion__1 vtkPointLocatorInitPointInsertion__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkPointLocatorInitPointInsertion__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InitPointInsertion (vtkPoints *newPts, const double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function InitPointInsertion__1 for class vtkPointLocator requires 3 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  double temp1[6];
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->InitPointInsertion(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:InitPointInsertion__2 vtkPointLocatorInitPointInsertion__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPointLocatorInitPointInsertion__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InitPointInsertion (vtkPoints *newPts, const double bounds[6], vtkIdType estSize); */
  if (arg.size() < 4) 
    throw Exception("Function InitPointInsertion__2 for class vtkPointLocator requires 4 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  double temp1[6];
  vtkIdType   temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[8].asDouble();
  temp20 = (vtk_pointer)->InitPointInsertion(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:InsertPoint vtkPointLocatorInsertPointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPointLocatorInsertPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InsertPoint (vtkIdType ptId, const double x[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InsertPoint for class vtkPointLocator requires 3 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InsertPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:InsertNextPoint vtkPointLocatorInsertNextPointFunction
//input a0 a1 
//output y
ArrayVector vtkPointLocatorInsertNextPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType InsertNextPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextPoint for class vtkPointLocator requires 2 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->InsertNextPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:IsInsertedPoint__1 vtkPointLocatorIsInsertedPoint__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPointLocatorIsInsertedPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType IsInsertedPoint (double x, double y, double z);double xyz xyz x xyz y xyz z return this IsInsertedPoint xyz  */
  if (arg.size() < 4) 
    throw Exception("Function IsInsertedPoint__1 for class vtkPointLocator requires 4 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->IsInsertedPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:IsInsertedPoint__2 vtkPointLocatorIsInsertedPoint__2Function
//input a0 a1 
//output y
ArrayVector vtkPointLocatorIsInsertedPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType IsInsertedPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function IsInsertedPoint__2 for class vtkPointLocator requires 2 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->IsInsertedPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:FindClosestInsertedPoint vtkPointLocatorFindClosestInsertedPointFunction
//input a0 a1 
//output y
ArrayVector vtkPointLocatorFindClosestInsertedPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindClosestInsertedPoint (const double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindClosestInsertedPoint for class vtkPointLocator requires 2 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindClosestInsertedPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:FindClosestNPoints vtkPointLocatorFindClosestNPointsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPointLocatorFindClosestNPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindClosestNPoints (int N, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindClosestNPoints for class vtkPointLocator requires 4 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindClosestNPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:FindDistributedPoints__1 vtkPointLocatorFindDistributedPoints__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPointLocatorFindDistributedPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindDistributedPoints (int N, const double x[3], vtkIdList *result, int M); */
  if (arg.size() < 5) 
    throw Exception("Function FindDistributedPoints__1 for class vtkPointLocator requires 5 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
  vtk_pointer->FindDistributedPoints(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:FindDistributedPoints__2 vtkPointLocatorFindDistributedPoints__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkPointLocatorFindDistributedPoints__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindDistributedPoints (int N, double x, double y, double z, vtkIdList *result, int M); */
  if (arg.size() < 7) 
    throw Exception("Function FindDistributedPoints__2 for class vtkPointLocator requires 7 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkIdList>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->FindDistributedPoints(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:FindPointsWithinRadius vtkPointLocatorFindPointsWithinRadiusFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPointLocatorFindPointsWithinRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FindPointsWithinRadius (double R, const double x[3], vtkIdList *result); */
  if (arg.size() < 4) 
    throw Exception("Function FindPointsWithinRadius for class vtkPointLocator requires 4 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  vtk_pointer->FindPointsWithinRadius(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:GetPointsInBucket vtkPointLocatorGetPointsInBucketFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPointLocatorGetPointsInBucketFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdList *GetPointsInBucket (const double x[3], int ijk[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetPointsInBucket for class vtkPointLocator requires 3 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  double temp0[3];
  int    temp1[3];
  vtkIdList  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->GetPointsInBucket(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:GetPoints vtkPointLocatorGetPointsFunction
//input a0 
//output y
ArrayVector vtkPointLocatorGetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoints for class vtkPointLocator requires 1 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:Initialize vtkPointLocatorInitializeFunction
//input a0 
//output none
ArrayVector vtkPointLocatorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkPointLocator requires 1 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:FreeSearchStructure vtkPointLocatorFreeSearchStructureFunction
//input a0 
//output none
ArrayVector vtkPointLocatorFreeSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeSearchStructure (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeSearchStructure for class vtkPointLocator requires 1 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  vtk_pointer->FreeSearchStructure();
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:BuildLocator vtkPointLocatorBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkPointLocatorBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkPointLocator requires 1 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:GenerateRepresentation vtkPointLocatorGenerateRepresentationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPointLocatorGenerateRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateRepresentation (int level, vtkPolyData *pd); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateRepresentation for class vtkPointLocator requires 3 argument(s)");
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->GenerateRepresentation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPointLocator:SetDivisions vtkPointLocatorSetDivisionsFunction
//input varargin
//output varargout
ArrayVector vtkPointLocatorSetDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPointLocatorSetDivisions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointLocatorSetDivisions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointLocatorSetDivisions");
}

//@@Signature
//sfunction @vtkPointLocator:FindClosestPointWithinRadius vtkPointLocatorFindClosestPointWithinRadiusFunction
//input varargin
//output varargout
ArrayVector vtkPointLocatorFindClosestPointWithinRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkPointLocatorFindClosestPointWithinRadius");
}

//@@Signature
//sfunction @vtkPointLocator:InitPointInsertion vtkPointLocatorInitPointInsertionFunction
//input varargin
//output varargout
ArrayVector vtkPointLocatorInitPointInsertionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkPoints") && VTKIsVectorArg(arg[2]))
    return vtkPointLocatorInitPointInsertion__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkPoints") && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPointLocatorInitPointInsertion__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointLocatorInitPointInsertion");
}

//@@Signature
//sfunction @vtkPointLocator:IsInsertedPoint vtkPointLocatorIsInsertedPointFunction
//input varargin
//output varargout
ArrayVector vtkPointLocatorIsInsertedPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPointLocatorIsInsertedPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointLocatorIsInsertedPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointLocatorIsInsertedPoint");
}

//@@Signature
//sfunction @vtkPointLocator:FindDistributedPoints vtkPointLocatorFindDistributedPointsFunction
//input varargin
//output varargout
ArrayVector vtkPointLocatorFindDistributedPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsClass(arg[3],"vtkIdList") && VTKIsScalarArg(arg[4]))
    return vtkPointLocatorFindDistributedPoints__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkIdList") && VTKIsScalarArg(arg[6]))
    return vtkPointLocatorFindDistributedPoints__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointLocatorFindDistributedPoints");
}

//@@Signature
//sfunction @vtkPointLocator:GetOverlappingBuckets vtkPointLocatorGetOverlappingBucketsFunction
//input varargin
//output varargout
ArrayVector vtkPointLocatorGetOverlappingBucketsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkPointLocatorGetOverlappingBuckets");
}

//@@Signature
//sfunction @vtkPointLocator:display vtkPointLocatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointLocatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointLocator* vtk_pointer = GetVTKPointer<vtkPointLocator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointLocator:delete vtkPointLocatorDeleteFunction
//input varargin
//output none
ArrayVector vtkPointLocatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointLocator
//@@Section VTKFiltering
//@@Usage
// vtkPointLocator is a spatial search object to quickly locate points in 3D.
// vtkPointLocator works by dividing a specified region of space into a regular
// array of "rectangular" buckets, and then keeping a list of points that 
// lie in each bucket. Typical operation involves giving a position in 3D 
// and finding the closest point.
//
// vtkPointLocator has two distinct methods of interaction. In the first
// method, you supply it with a dataset, and it operates on the points in 
// the dataset. In the second method, you supply it with an array of points,
// and the object operates on the array.
//
//To create an instance of class vtkPointLocator, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointLocator
//@]
//@@Methods
//The class vtkPointLocator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointLocator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointLocator = obj.NewInstance ()|
// \item @|vtkPointLocator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDivisions (int , int , int )| -  Set the number of divisions in x-y-z directions.
//// \item @|obj.SetDivisions (int  a[3])| -  Set the number of divisions in x-y-z directions.
//// \item @|int = obj. GetDivisions ()| -  Set the number of divisions in x-y-z directions.
//// \item @|obj.SetNumberOfPointsPerBucket (int )| -  Specify the average number of points in each bucket.
//// \item @|int = obj.GetNumberOfPointsPerBucketMinValue ()| -  Specify the average number of points in each bucket.
//// \item @|int = obj.GetNumberOfPointsPerBucketMaxValue ()| -  Specify the average number of points in each bucket.
//// \item @|int = obj.GetNumberOfPointsPerBucket ()| -  Specify the average number of points in each bucket.
//// \item @|vtkIdType = obj.FindClosestPoint (double x[3])| -  Given a position x, return the id of the point closest to it. Alternative
// method requires separate x-y-z values.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|int = obj.InitPointInsertion (vtkPoints newPts, double bounds[6])| -  Initialize the point insertion process. The newPts is an object
// representing point coordinates into which incremental insertion methods
// place their data. Bounds are the box that the points lie in.
// Not thread safe.
//// \item @|int = obj.InitPointInsertion (vtkPoints newPts, double bounds[6], vtkIdType estSize)| -  Initialize the point insertion process. The newPts is an object
// representing point coordinates into which incremental insertion methods
// place their data. Bounds are the box that the points lie in.
// Not thread safe.
//// \item @|obj.InsertPoint (vtkIdType ptId, double x[3])| -  Incrementally insert a point into search structure with a particular
// index value. You should use the method IsInsertedPoint() to see whether 
// this point has already been inserted (that is, if you desire to prevent
// duplicate points). Before using this method you must make sure that 
// newPts have been supplied, the bounds has been set properly, and that 
// divs are properly set. (See InitPointInsertion().)
// Not thread safe.
//// \item @|vtkIdType = obj.InsertNextPoint (double x[3])| -  Incrementally insert a point into search structure. The method returns
// the insertion location (i.e., point id). You should use the method 
// IsInsertedPoint() to see whether this point has already been
// inserted (that is, if you desire to prevent duplicate points).
// Before using this method you must make sure that newPts have been
// supplied, the bounds has been set properly, and that divs are 
// properly set. (See InitPointInsertion().)
// Not thread safe.
//// \item @|vtkIdType = obj.IsInsertedPoint (double x, double y, double z)| -  Determine whether point given by x[3] has been inserted into points list.
// Return id of previously inserted point if this is true, otherwise return
// -1. This method is thread safe.
//// \item @|vtkIdType = obj.IsInsertedPoint (double x[3])| -  Determine whether point given by x[3] has been inserted into points list.
// Return id of previously inserted point if this is true, otherwise return
// -1. This method is thread safe.
//// \item @|vtkIdType = obj.FindClosestInsertedPoint (double x[3])| -  Given a position x, return the id of the point closest to it. This method
// is used when performing incremental point insertion. Note that -1 
// indicates that no point was found.
// This method is thread safe if  BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindClosestNPoints (int N, double x[3], vtkIdList result)| -  Find the closest N points to a position. This returns the closest
// N points to a position. A faster method could be created that returned
// N close points to a position, but necessarily the exact N closest.
// The returned points are sorted from closest to farthest.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindDistributedPoints (int N, double x[3], vtkIdList result, int M)| -  Find the closest points to a position such that each octant of
// space around the position contains at least N points. Loosely 
// limit the search to a maximum number of points evaluated, M. 
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindDistributedPoints (int N, double x, double y, double z, vtkIdList result, int M)| -  Find the closest points to a position such that each octant of
// space around the position contains at least N points. Loosely 
// limit the search to a maximum number of points evaluated, M. 
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|obj.FindPointsWithinRadius (double R, double x[3], vtkIdList result)| -  Find all points within a specified radius R of position x.
// The result is not sorted in any specific manner.
// These methods are thread safe if BuildLocator() is directly or
// indirectly called from a single thread first.
//// \item @|vtkIdList = obj.GetPointsInBucket (double x[3], int ijk[3])| -  Given a position x, return the list of points in the bucket that
// contains the point. It is possible that NULL is returned. The user
// provides an ijk array that is the indices into the locator.
// This method is thread safe.
//// \item @|vtkPoints = obj.GetPoints ()| -  Provide an accessor to the points.
//// \item @|obj.Initialize ()| -  See vtkLocator interface documentation.
// These methods are not thread safe.
//// \item @|obj.FreeSearchStructure ()| -  See vtkLocator interface documentation.
// These methods are not thread safe.
//// \item @|obj.BuildLocator ()| -  See vtkLocator interface documentation.
// These methods are not thread safe.
//// \item @|obj.GenerateRepresentation (int level, vtkPolyData pd)| -  See vtkLocator interface documentation.
// These methods are not thread safe.
////\end{itemize}
//!
