#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointSet.h"

//@@Signature
//sfunction @vtkPointSet:vtkPointSet vtkPointSetConstructorFunction
//input a
//output p
//@@Parents vtkPointSet vtkDataSet 
ArrayVector vtkPointSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointSet::New(),"vtkPointSet",eval);
  } else if (arg[0].className() == "vtkPointSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointSet");
    vtkPointSet*q = reinterpret_cast<vtkPointSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointSet:GetClassName vtkPointSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointSet requires 1 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:IsA vtkPointSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointSet requires 2 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:NewInstance vtkPointSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointSet requires 1 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtkPointSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:SafeDownCast vtkPointSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointSet requires 2 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:Initialize vtkPointSetInitializeFunction
//input a0 
//output none
ArrayVector vtkPointSetInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkPointSet requires 1 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:CopyStructure vtkPointSetCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyStructure (vtkDataSet *pd); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkPointSet requires 2 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:GetNumberOfPoints vtkPointSetGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkPointSetGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkPointSet requires 1 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:GetPoint__1 vtkPointSetGetPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkPointSetGetPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint (vtkIdType ptId);return this Points GetPoint ptId  */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint__1 for class vtkPointSet requires 2 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPoint(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:GetPoint__2 vtkPointSetGetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPointSetGetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint (vtkIdType ptId, double x[3]);this Points GetPoint ptId x  */
  if (arg.size() < 3) 
    throw Exception("Function GetPoint__2 for class vtkPointSet requires 3 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:FindPoint__1 vtkPointSetFindPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkPointSetFindPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindPoint (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindPoint__1 for class vtkPointSet requires 2 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:FindPoint__2 vtkPointSetFindPoint__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPointSetFindPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType FindPoint (double x, double y, double z);return this vtkDataSet FindPoint x y z  */
  if (arg.size() < 4) 
    throw Exception("Function FindPoint__2 for class vtkPointSet requires 4 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->FindPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:GetMTime vtkPointSetGetMTimeFunction
//input a0 
//output y
ArrayVector vtkPointSetGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkPointSet requires 1 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:ComputeBounds vtkPointSetComputeBoundsFunction
//input a0 
//output none
ArrayVector vtkPointSetComputeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeBounds for class vtkPointSet requires 1 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtk_pointer->ComputeBounds();
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:Squeeze vtkPointSetSqueezeFunction
//input a0 
//output none
ArrayVector vtkPointSetSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze (); */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkPointSet requires 1 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:SetPoints vtkPointSetSetPointsFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetSetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoints (vtkPoints *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoints for class vtkPointSet requires 2 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:GetPoints vtkPointSetGetPointsFunction
//input a0 
//output y
ArrayVector vtkPointSetGetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoints for class vtkPointSet requires 1 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:GetActualMemorySize vtkPointSetGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkPointSetGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkPointSet requires 1 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:ShallowCopy vtkPointSetShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkPointSet requires 2 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:DeepCopy vtkPointSetDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkPointSet requires 2 argument(s)");
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSet:GetPoint vtkPointSetGetPointFunction
//input varargin
//output varargout
ArrayVector vtkPointSetGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPointSetGetPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPointSetGetPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointSetGetPoint");
}

//@@Signature
//sfunction @vtkPointSet:FindPoint vtkPointSetFindPointFunction
//input varargin
//output varargout
ArrayVector vtkPointSetFindPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointSetFindPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPointSetFindPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointSetFindPoint");
}

//@@Signature
//sfunction @vtkPointSet:FindCell vtkPointSetFindCellFunction
//input varargin
//output varargout
ArrayVector vtkPointSetFindCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkPointSetFindCell");
}

//@@Signature
//sfunction @vtkPointSet:display vtkPointSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointSet* vtk_pointer = GetVTKPointer<vtkPointSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointSet:delete vtkPointSetDeleteFunction
//input varargin
//output none
ArrayVector vtkPointSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointSet
//@@Section VTKFiltering
//@@Usage
// vtkPointSet is an abstract class that specifies the interface for
// datasets that explicitly use "point" arrays to represent geometry.
// For example, vtkPolyData and vtkUnstructuredGrid require point arrays
// to specify point position, while vtkStructuredPoints generates point
// positions implicitly.
//
//To create an instance of class vtkPointSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointSet
//@]
//@@Methods
//The class vtkPointSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointSet = obj.NewInstance ()|
// \item @|vtkPointSet = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Reset to an empty state and free any memory.
//// \item @|obj.CopyStructure (vtkDataSet pd)| -  Copy the geometric structure of an input point set object.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  See vtkDataSet for additional information.
//// \item @|double = obj.GetPoint (vtkIdType ptId)| -  See vtkDataSet for additional information.
//// \item @|obj.GetPoint (vtkIdType ptId, double x[3])| -  See vtkDataSet for additional information.
//// \item @|vtkIdType = obj.FindPoint (double x[3])| -  See vtkDataSet for additional information.
//// \item @|vtkIdType = obj.FindPoint (double x, double y, double z)| -  See vtkDataSet for additional information.
//// \item @|long = obj.GetMTime ()| -  Get MTime which also considers its vtkPoints MTime.
//// \item @|obj.ComputeBounds ()| -  Compute the (X, Y, Z)  bounds of the data.
//// \item @|obj.Squeeze ()| -  Reclaim any unused memory.
//// \item @|obj.SetPoints (vtkPoints )| -  Specify point array to define point coordinates.
//// \item @|vtkPoints = obj.GetPoints ()| -  Specify point array to define point coordinates.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value). THIS METHOD
// IS THREAD SAFE.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.
////\end{itemize}
//!
