#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointSetAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointSetAlgorithm.h"

//@@Signature
//sfunction @vtkPointSetAlgorithm:vtkPointSetAlgorithm vtkPointSetAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkPointSetAlgorithm vtkAlgorithm 
ArrayVector vtkPointSetAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointSetAlgorithm::New(),"vtkPointSetAlgorithm",eval);
  } else if (arg[0].className() == "vtkPointSetAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointSetAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointSetAlgorithm");
    vtkPointSetAlgorithm*q = reinterpret_cast<vtkPointSetAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointSetAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointSetAlgorithm:GetClassName vtkPointSetAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointSetAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointSetAlgorithm requires 1 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:IsA vtkPointSetAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointSetAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointSetAlgorithm requires 2 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:NewInstance vtkPointSetAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointSetAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSetAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointSetAlgorithm requires 1 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkPointSetAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:SafeDownCast vtkPointSetAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointSetAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSetAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointSetAlgorithm requires 2 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointSetAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:GetOutput__1 vtkPointSetAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkPointSetAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkPointSetAlgorithm requires 1 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkPointSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:GetOutput__2 vtkPointSetAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkPointSetAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkPointSetAlgorithm requires 2 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkPointSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:GetPolyDataOutput vtkPointSetAlgorithmGetPolyDataOutputFunction
//input a0 
//output y
ArrayVector vtkPointSetAlgorithmGetPolyDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPolyDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataOutput for class vtkPointSetAlgorithm requires 1 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:GetStructuredGridOutput vtkPointSetAlgorithmGetStructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkPointSetAlgorithmGetStructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetStructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredGridOutput for class vtkPointSetAlgorithm requires 1 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetStructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:GetUnstructuredGridOutput vtkPointSetAlgorithmGetUnstructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkPointSetAlgorithmGetUnstructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGridOutput for class vtkPointSetAlgorithm requires 1 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:SetInput__1 vtkPointSetAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkPointSetAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkPointSetAlgorithm requires 2 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:SetInput__2 vtkPointSetAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPointSetAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkPointSetAlgorithm requires 3 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:SetInput__3 vtkPointSetAlgorithmSetInput__3Function
//input a0 a1 
//output none
ArrayVector vtkPointSetAlgorithmSetInput__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkPointSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__3 for class vtkPointSetAlgorithm requires 2 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkPointSet  *temp0;
  temp0 = GetVTKPointer<vtkPointSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:SetInput__4 vtkPointSetAlgorithmSetInput__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkPointSetAlgorithmSetInput__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkPointSet *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__4 for class vtkPointSetAlgorithm requires 3 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkPointSet  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPointSet>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:AddInput__1 vtkPointSetAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkPointSetAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkPointSetAlgorithm requires 2 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:AddInput__2 vtkPointSetAlgorithmAddInput__2Function
//input a0 a1 
//output none
ArrayVector vtkPointSetAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkPointSet *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__2 for class vtkPointSetAlgorithm requires 2 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkPointSet  *temp0;
  temp0 = GetVTKPointer<vtkPointSet>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:AddInput__3 vtkPointSetAlgorithmAddInput__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkPointSetAlgorithmAddInput__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkPointSet *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__3 for class vtkPointSetAlgorithm requires 3 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkPointSet  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPointSet>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:AddInput__4 vtkPointSetAlgorithmAddInput__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkPointSetAlgorithmAddInput__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__4 for class vtkPointSetAlgorithm requires 3 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:GetInput vtkPointSetAlgorithmGetInputFunction
//input a0 
//output y
ArrayVector vtkPointSetAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkPointSetAlgorithm requires 1 argument(s)");
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:GetOutput vtkPointSetAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkPointSetAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPointSetAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPointSetAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointSetAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:SetInput vtkPointSetAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkPointSetAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkPointSetAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkPointSetAlgorithmSetInput__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPointSet"))
    return vtkPointSetAlgorithmSetInput__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPointSet"))
    return vtkPointSetAlgorithmSetInput__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointSetAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:AddInput vtkPointSetAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkPointSetAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkPointSetAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPointSet"))
    return vtkPointSetAlgorithmAddInput__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPointSet"))
    return vtkPointSetAlgorithmAddInput__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkPointSetAlgorithmAddInput__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointSetAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkPointSetAlgorithm:display vtkPointSetAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointSetAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointSetAlgorithm* vtk_pointer = GetVTKPointer<vtkPointSetAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointSetAlgorithm:delete vtkPointSetAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkPointSetAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointSetAlgorithm
//@@Section VTKFiltering
//@@Usage
// vtkPointSetAlgorithm is a convenience class to make writing algorithms
// easier. It is also designed to help transition old algorithms to the new
// pipeline architecture. Ther are some assumptions and defaults made by this
// class you should be aware of. This class defaults such that your filter
// will have one input port and one output port. If that is not the case
// simply change it with SetNumberOfInputPorts etc. See this classes
// contstructor for the default. This class also provides a FillInputPortInfo
// method that by default says that all inputs will be PointSet. If that
// isn't the case then please override this method in your subclass. This
// class breaks out the downstream requests into seperate functions such as
// RequestDataObject RequestData and ExecuteInformation. The default 
// implementation of RequestDataObject will create an output data of the 
// same type as the input. 
//
//To create an instance of class vtkPointSetAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointSetAlgorithm
//@]
//@@Methods
//The class vtkPointSetAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointSetAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointSetAlgorithm = obj.NewInstance ()|
// \item @|vtkPointSetAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPointSet = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkPointSet = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|vtkPolyData = obj.GetPolyDataOutput ()| -  Get the output as vtkPolyData.
//// \item @|vtkStructuredGrid = obj.GetStructuredGridOutput ()| -  Get the output as vtkStructuredGrid.
//// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridOutput ()| -  Get the output as vtkUnstructuredGrid.
//// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (vtkPointSet )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkPointSet )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (vtkPointSet )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkPointSet )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|vtkDataObject = obj.GetInput ()|
//\end{itemize}
//!
