#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointSetSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointSetSource.h"

//@@Signature
//sfunction @vtkPointSetSource:vtkPointSetSource vtkPointSetSourceConstructorFunction
//input a
//output p
//@@Parents vtkPointSetSource vtkSource 
ArrayVector vtkPointSetSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointSetSource::New(),"vtkPointSetSource",eval);
  } else if (arg[0].className() == "vtkPointSetSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointSetSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointSetSource");
    vtkPointSetSource*q = reinterpret_cast<vtkPointSetSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointSetSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointSetSource:GetClassName vtkPointSetSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointSetSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointSetSource requires 1 argument(s)");
  vtkPointSetSource* vtk_pointer = GetVTKPointer<vtkPointSetSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetSource:IsA vtkPointSetSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointSetSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointSetSource requires 2 argument(s)");
  vtkPointSetSource* vtk_pointer = GetVTKPointer<vtkPointSetSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetSource:NewInstance vtkPointSetSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointSetSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSetSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointSetSource requires 1 argument(s)");
  vtkPointSetSource* vtk_pointer = GetVTKPointer<vtkPointSetSource>(arg[0]);
  Array retval;
  vtkPointSetSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSetSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetSource:SafeDownCast vtkPointSetSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointSetSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSetSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointSetSource requires 2 argument(s)");
  vtkPointSetSource* vtk_pointer = GetVTKPointer<vtkPointSetSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointSetSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSetSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetSource:GetOutput__1 vtkPointSetSourceGetOutput__1Function
//input a0 
//output y
ArrayVector vtkPointSetSourceGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkPointSetSource requires 1 argument(s)");
  vtkPointSetSource* vtk_pointer = GetVTKPointer<vtkPointSetSource>(arg[0]);
  Array retval;
  vtkPointSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetSource:GetOutput__2 vtkPointSetSourceGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkPointSetSourceGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkPointSetSource requires 2 argument(s)");
  vtkPointSetSource* vtk_pointer = GetVTKPointer<vtkPointSetSource>(arg[0]);
  Array retval;
  int      temp0;
  vtkPointSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetSource:SetOutput vtkPointSetSourceSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetSourceSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkPointSet *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkPointSetSource requires 2 argument(s)");
  vtkPointSetSource* vtk_pointer = GetVTKPointer<vtkPointSetSource>(arg[0]);
  Array retval;
  vtkPointSet  *temp0;
  temp0 = GetVTKPointer<vtkPointSet>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetSource:GetOutput vtkPointSetSourceGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkPointSetSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPointSetSourceGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPointSetSourceGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointSetSourceGetOutput");
}

//@@Signature
//sfunction @vtkPointSetSource:display vtkPointSetSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointSetSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointSetSource* vtk_pointer = GetVTKPointer<vtkPointSetSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointSetSource:delete vtkPointSetSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkPointSetSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointSetSource
//@@Section VTKFiltering
//@@Usage
// vtkPointSetSource is an abstract class whose subclasses generate pointdata.
//
//To create an instance of class vtkPointSetSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointSetSource
//@]
//@@Methods
//The class vtkPointSetSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointSetSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointSetSource = obj.NewInstance ()|
// \item @|vtkPointSetSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPointSet = obj.GetOutput ()| -  Get the output of this source.
//// \item @|vtkPointSet = obj.GetOutput (int idx)| -  Get the output of this source.
//// \item @|obj.SetOutput (vtkPointSet output)| -  Get the output of this source.
////\end{itemize}
//!
