#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointSetToPointSetFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointSetToPointSetFilter.h"

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:vtkPointSetToPointSetFilter vtkPointSetToPointSetFilterConstructorFunction
//input a
//output p
//@@Parents vtkPointSetToPointSetFilter vtkPointSetSource 
ArrayVector vtkPointSetToPointSetFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointSetToPointSetFilter::New(),"vtkPointSetToPointSetFilter",eval);
  } else if (arg[0].className() == "vtkPointSetToPointSetFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointSetToPointSetFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointSetToPointSetFilter");
    vtkPointSetToPointSetFilter*q = reinterpret_cast<vtkPointSetToPointSetFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointSetToPointSetFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointSetToPointSetFilter:GetClassName vtkPointSetToPointSetFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointSetToPointSetFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointSetToPointSetFilter requires 1 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:IsA vtkPointSetToPointSetFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointSetToPointSetFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointSetToPointSetFilter requires 2 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:NewInstance vtkPointSetToPointSetFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointSetToPointSetFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSetToPointSetFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointSetToPointSetFilter requires 1 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  vtkPointSetToPointSetFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSetToPointSetFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:SafeDownCast vtkPointSetToPointSetFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointSetToPointSetFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSetToPointSetFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointSetToPointSetFilter requires 2 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointSetToPointSetFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSetToPointSetFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:SetInput vtkPointSetToPointSetFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToPointSetFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkPointSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkPointSetToPointSetFilter requires 2 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  vtkPointSet  *temp0;
  temp0 = GetVTKPointer<vtkPointSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:GetInput vtkPointSetToPointSetFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkPointSetToPointSetFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkPointSetToPointSetFilter requires 1 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  vtkPointSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:GetOutput__1 vtkPointSetToPointSetFilterGetOutput__1Function
//input a0 
//output y
ArrayVector vtkPointSetToPointSetFilterGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkPointSetToPointSetFilter requires 1 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  vtkPointSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:GetOutput__2 vtkPointSetToPointSetFilterGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkPointSetToPointSetFilterGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *GetOutput (int idx);return this vtkPointSetSource GetOutput idx  */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkPointSetToPointSetFilter requires 2 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkPointSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:GetPolyDataOutput vtkPointSetToPointSetFilterGetPolyDataOutputFunction
//input a0 
//output y
ArrayVector vtkPointSetToPointSetFilterGetPolyDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPolyDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataOutput for class vtkPointSetToPointSetFilter requires 1 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:GetStructuredGridOutput vtkPointSetToPointSetFilterGetStructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkPointSetToPointSetFilterGetStructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetStructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredGridOutput for class vtkPointSetToPointSetFilter requires 1 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetStructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:GetUnstructuredGridOutput vtkPointSetToPointSetFilterGetUnstructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkPointSetToPointSetFilterGetUnstructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGridOutput for class vtkPointSetToPointSetFilter requires 1 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:ComputeInputUpdateExtents vtkPointSetToPointSetFilterComputeInputUpdateExtentsFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToPointSetFilterComputeInputUpdateExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeInputUpdateExtents (vtkDataObject *output); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeInputUpdateExtents for class vtkPointSetToPointSetFilter requires 2 argument(s)");
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ComputeInputUpdateExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:GetOutput vtkPointSetToPointSetFilterGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkPointSetToPointSetFilterGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPointSetToPointSetFilterGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPointSetToPointSetFilterGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointSetToPointSetFilterGetOutput");
}

//@@Signature
//sfunction @vtkPointSetToPointSetFilter:display vtkPointSetToPointSetFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointSetToPointSetFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointSetToPointSetFilter* vtk_pointer = GetVTKPointer<vtkPointSetToPointSetFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointSetToPointSetFilter:delete vtkPointSetToPointSetFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPointSetToPointSetFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointSetToPointSetFilter
//@@Section VTKFiltering
//@@Usage
// vtkPointSetToPointSetFilter is an abstract filter class whose subclasses
// take as input a point set and generates a point set on output.  At a
// minimum, the concrete subclasses of vtkPointSetToPointSetFilter modify
// their point coordinates. They never modify their topological form,
// however.
//
// This is an abstract filter type. What that means is that the output of the
// filter is an abstract type (i.e., vtkPointSet), no matter what the input
// of the filter is. This can cause problems connecting together filters due
// to the change in dataset type. (For example, in a series of filters
// processing vtkPolyData, when a vtkPointSetToPointSetFilter or subclass is
// introduced into the pipeline, if the filter downstream of it takes
// vtkPolyData as input, the pipeline connection cannot be made.) To get
// around this problem, use one of the convenience methods to return a
// concrete type (e.g., vtkGetPolyDataOutput(), GetStructuredGridOutput(),
// etc.).
//
//To create an instance of class vtkPointSetToPointSetFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointSetToPointSetFilter
//@]
//@@Methods
//The class vtkPointSetToPointSetFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointSetToPointSetFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointSetToPointSetFilter = obj.NewInstance ()|
// \item @|vtkPointSetToPointSetFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkPointSet input)| -  Specify the input data or filter.
//// \item @|vtkPointSet = obj.GetInput ()| -  Get the input data or filter.
//// \item @|vtkPointSet = obj.GetOutput ()| -  Get the output of this filter. If output is NULL, then input hasn't been
// set, which is necessary for abstract filter objects.
//// \item @|vtkPointSet = obj.GetOutput (int idx)| -  Get the output as vtkPolyData. Performs run-time checking.
//// \item @|vtkPolyData = obj.GetPolyDataOutput ()| -  Get the output as vtkPolyData. Performs run-time checking.
//// \item @|vtkStructuredGrid = obj.GetStructuredGridOutput ()| -  Get the output as vtkStructuredGrid. Performs run-time checking.
//// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridOutput ()| -  Get the output as vtkUnstructuredGrid. Performs run-time checking.
//// \item @|obj.ComputeInputUpdateExtents (vtkDataObject output)| -  By default copy the output update extent to the input
////\end{itemize}
//!
