#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointsProjectedHull object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointsProjectedHull.h"

//@@Signature
//sfunction @vtkPointsProjectedHull:vtkPointsProjectedHull vtkPointsProjectedHullConstructorFunction
//input a
//output p
//@@Parents vtkPointsProjectedHull vtkPoints 
ArrayVector vtkPointsProjectedHullConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointsProjectedHull::New(),"vtkPointsProjectedHull",eval);
  } else if (arg[0].className() == "vtkPointsProjectedHull") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointsProjectedHull"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointsProjectedHull");
    vtkPointsProjectedHull*q = reinterpret_cast<vtkPointsProjectedHull*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointsProjectedHull");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointsProjectedHull:GetClassName vtkPointsProjectedHullGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointsProjectedHullGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointsProjectedHull requires 1 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:IsA vtkPointsProjectedHullIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointsProjectedHullIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointsProjectedHull requires 2 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:NewInstance vtkPointsProjectedHullNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointsProjectedHullNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointsProjectedHull *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointsProjectedHull requires 1 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  vtkPointsProjectedHull  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointsProjectedHull",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:SafeDownCast vtkPointsProjectedHullSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointsProjectedHullSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointsProjectedHull *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointsProjectedHull requires 2 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointsProjectedHull  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointsProjectedHull",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionX__1 vtkPointsProjectedHullRectangleIntersectionX__1Function
//input a0 a1 
//output y
ArrayVector vtkPointsProjectedHullRectangleIntersectionX__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RectangleIntersectionX (vtkPoints *R); */
  if (arg.size() < 2) 
    throw Exception("Function RectangleIntersectionX__1 for class vtkPointsProjectedHull requires 2 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp20 = (vtk_pointer)->RectangleIntersectionX(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionX__2 vtkPointsProjectedHullRectangleIntersectionX__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPointsProjectedHullRectangleIntersectionX__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RectangleIntersectionX (float ymin, float ymax, float zmin, float zmax); */
  if (arg.size() < 5) 
    throw Exception("Function RectangleIntersectionX__2 for class vtkPointsProjectedHull requires 5 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->RectangleIntersectionX(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionX__3 vtkPointsProjectedHullRectangleIntersectionX__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPointsProjectedHullRectangleIntersectionX__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RectangleIntersectionX (double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 5) 
    throw Exception("Function RectangleIntersectionX__3 for class vtkPointsProjectedHull requires 5 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->RectangleIntersectionX(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionY__1 vtkPointsProjectedHullRectangleIntersectionY__1Function
//input a0 a1 
//output y
ArrayVector vtkPointsProjectedHullRectangleIntersectionY__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RectangleIntersectionY (vtkPoints *R); */
  if (arg.size() < 2) 
    throw Exception("Function RectangleIntersectionY__1 for class vtkPointsProjectedHull requires 2 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp20 = (vtk_pointer)->RectangleIntersectionY(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionY__2 vtkPointsProjectedHullRectangleIntersectionY__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPointsProjectedHullRectangleIntersectionY__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RectangleIntersectionY (float zmin, float zmax, float xmin, float xmax); */
  if (arg.size() < 5) 
    throw Exception("Function RectangleIntersectionY__2 for class vtkPointsProjectedHull requires 5 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->RectangleIntersectionY(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionY__3 vtkPointsProjectedHullRectangleIntersectionY__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPointsProjectedHullRectangleIntersectionY__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RectangleIntersectionY (double zmin, double zmax, double xmin, double xmax); */
  if (arg.size() < 5) 
    throw Exception("Function RectangleIntersectionY__3 for class vtkPointsProjectedHull requires 5 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->RectangleIntersectionY(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionZ__1 vtkPointsProjectedHullRectangleIntersectionZ__1Function
//input a0 a1 
//output y
ArrayVector vtkPointsProjectedHullRectangleIntersectionZ__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RectangleIntersectionZ (vtkPoints *R); */
  if (arg.size() < 2) 
    throw Exception("Function RectangleIntersectionZ__1 for class vtkPointsProjectedHull requires 2 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp20 = (vtk_pointer)->RectangleIntersectionZ(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionZ__2 vtkPointsProjectedHullRectangleIntersectionZ__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPointsProjectedHullRectangleIntersectionZ__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RectangleIntersectionZ (float xmin, float xmax, float ymin, float ymax); */
  if (arg.size() < 5) 
    throw Exception("Function RectangleIntersectionZ__2 for class vtkPointsProjectedHull requires 5 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->RectangleIntersectionZ(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionZ__3 vtkPointsProjectedHullRectangleIntersectionZ__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPointsProjectedHullRectangleIntersectionZ__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RectangleIntersectionZ (double xmin, double xmax, double ymin, double ymax); */
  if (arg.size() < 5) 
    throw Exception("Function RectangleIntersectionZ__3 for class vtkPointsProjectedHull requires 5 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->RectangleIntersectionZ(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetCCWHullX__1 vtkPointsProjectedHullGetCCWHullX__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkPointsProjectedHullGetCCWHullX__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCCWHullX (float *pts, int len); */
  if (arg.size() < 3) 
    throw Exception("Function GetCCWHullX__1 for class vtkPointsProjectedHull requires 3 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  float   *temp0;
  int      temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCCWHullX(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetCCWHullX__2 vtkPointsProjectedHullGetCCWHullX__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPointsProjectedHullGetCCWHullX__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCCWHullX (double *pts, int len); */
  if (arg.size() < 3) 
    throw Exception("Function GetCCWHullX__2 for class vtkPointsProjectedHull requires 3 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCCWHullX(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetCCWHullY__1 vtkPointsProjectedHullGetCCWHullY__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkPointsProjectedHullGetCCWHullY__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCCWHullY (float *pts, int len); */
  if (arg.size() < 3) 
    throw Exception("Function GetCCWHullY__1 for class vtkPointsProjectedHull requires 3 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  float   *temp0;
  int      temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCCWHullY(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetCCWHullY__2 vtkPointsProjectedHullGetCCWHullY__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPointsProjectedHullGetCCWHullY__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCCWHullY (double *pts, int len); */
  if (arg.size() < 3) 
    throw Exception("Function GetCCWHullY__2 for class vtkPointsProjectedHull requires 3 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCCWHullY(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetCCWHullZ__1 vtkPointsProjectedHullGetCCWHullZ__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkPointsProjectedHullGetCCWHullZ__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCCWHullZ (float *pts, int len); */
  if (arg.size() < 3) 
    throw Exception("Function GetCCWHullZ__1 for class vtkPointsProjectedHull requires 3 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  float   *temp0;
  int      temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCCWHullZ(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetCCWHullZ__2 vtkPointsProjectedHullGetCCWHullZ__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPointsProjectedHullGetCCWHullZ__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCCWHullZ (double *pts, int len); */
  if (arg.size() < 3) 
    throw Exception("Function GetCCWHullZ__2 for class vtkPointsProjectedHull requires 3 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCCWHullZ(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetSizeCCWHullX vtkPointsProjectedHullGetSizeCCWHullXFunction
//input a0 
//output y
ArrayVector vtkPointsProjectedHullGetSizeCCWHullXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSizeCCWHullX (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSizeCCWHullX for class vtkPointsProjectedHull requires 1 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSizeCCWHullX();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetSizeCCWHullY vtkPointsProjectedHullGetSizeCCWHullYFunction
//input a0 
//output y
ArrayVector vtkPointsProjectedHullGetSizeCCWHullYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSizeCCWHullY (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSizeCCWHullY for class vtkPointsProjectedHull requires 1 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSizeCCWHullY();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetSizeCCWHullZ vtkPointsProjectedHullGetSizeCCWHullZFunction
//input a0 
//output y
ArrayVector vtkPointsProjectedHullGetSizeCCWHullZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSizeCCWHullZ (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSizeCCWHullZ for class vtkPointsProjectedHull requires 1 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSizeCCWHullZ();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:Initialize vtkPointsProjectedHullInitializeFunction
//input a0 
//output none
ArrayVector vtkPointsProjectedHullInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkPointsProjectedHull requires 1 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:Reset vtkPointsProjectedHullResetFunction
//input a0 
//output none
ArrayVector vtkPointsProjectedHullResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset ();this Initialize  */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkPointsProjectedHull requires 1 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:Update vtkPointsProjectedHullUpdateFunction
//input a0 
//output none
ArrayVector vtkPointsProjectedHullUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkPointsProjectedHull requires 1 argument(s)");
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionX vtkPointsProjectedHullRectangleIntersectionXFunction
//input varargin
//output varargout
ArrayVector vtkPointsProjectedHullRectangleIntersectionXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPoints"))
    return vtkPointsProjectedHullRectangleIntersectionX__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPointsProjectedHullRectangleIntersectionX__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPointsProjectedHullRectangleIntersectionX__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsProjectedHullRectangleIntersectionX");
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionY vtkPointsProjectedHullRectangleIntersectionYFunction
//input varargin
//output varargout
ArrayVector vtkPointsProjectedHullRectangleIntersectionYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPoints"))
    return vtkPointsProjectedHullRectangleIntersectionY__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPointsProjectedHullRectangleIntersectionY__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPointsProjectedHullRectangleIntersectionY__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsProjectedHullRectangleIntersectionY");
}

//@@Signature
//sfunction @vtkPointsProjectedHull:RectangleIntersectionZ vtkPointsProjectedHullRectangleIntersectionZFunction
//input varargin
//output varargout
ArrayVector vtkPointsProjectedHullRectangleIntersectionZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPoints"))
    return vtkPointsProjectedHullRectangleIntersectionZ__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPointsProjectedHullRectangleIntersectionZ__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPointsProjectedHullRectangleIntersectionZ__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsProjectedHullRectangleIntersectionZ");
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetCCWHullX vtkPointsProjectedHullGetCCWHullXFunction
//input varargin
//output varargout
ArrayVector vtkPointsProjectedHullGetCCWHullXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPointsProjectedHullGetCCWHullX__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPointsProjectedHullGetCCWHullX__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsProjectedHullGetCCWHullX");
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetCCWHullY vtkPointsProjectedHullGetCCWHullYFunction
//input varargin
//output varargout
ArrayVector vtkPointsProjectedHullGetCCWHullYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPointsProjectedHullGetCCWHullY__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPointsProjectedHullGetCCWHullY__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsProjectedHullGetCCWHullY");
}

//@@Signature
//sfunction @vtkPointsProjectedHull:GetCCWHullZ vtkPointsProjectedHullGetCCWHullZFunction
//input varargin
//output varargout
ArrayVector vtkPointsProjectedHullGetCCWHullZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPointsProjectedHullGetCCWHullZ__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPointsProjectedHullGetCCWHullZ__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointsProjectedHullGetCCWHullZ");
}

//@@Signature
//sfunction @vtkPointsProjectedHull:display vtkPointsProjectedHullDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointsProjectedHullDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointsProjectedHull* vtk_pointer = GetVTKPointer<vtkPointsProjectedHull>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointsProjectedHull:delete vtkPointsProjectedHullDeleteFunction
//input varargin
//output none
ArrayVector vtkPointsProjectedHullDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointsProjectedHull
//@@Section VTKFiltering
//@@Usage
//    a subclass of vtkPoints, it maintains the counter clockwise 
//    convex hull of the points (projected orthogonally in the 
//    three coordinate directions) and has a method to
//    test for intersection of that hull with an axis aligned
//    rectangle.  This is used for intersection tests of 3D volumes.
//
//To create an instance of class vtkPointsProjectedHull, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointsProjectedHull
//@]
//@@Methods
//The class vtkPointsProjectedHull has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointsProjectedHull class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointsProjectedHull = obj.NewInstance ()|
// \item @|vtkPointsProjectedHull = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.RectangleIntersectionX (vtkPoints R)|
// \item @|int = obj.RectangleIntersectionX (float ymin, float ymax, float zmin, float zmax)|
// \item @|int = obj.RectangleIntersectionX (double ymin, double ymax, double zmin, double zmax)|
// \item @|int = obj.RectangleIntersectionY (vtkPoints R)|
// \item @|int = obj.RectangleIntersectionY (float zmin, float zmax, float xmin, float xmax)|
// \item @|int = obj.RectangleIntersectionY (double zmin, double zmax, double xmin, double xmax)|
// \item @|int = obj.RectangleIntersectionZ (vtkPoints R)|
// \item @|int = obj.RectangleIntersectionZ (float xmin, float xmax, float ymin, float ymax)|
// \item @|int = obj.RectangleIntersectionZ (double xmin, double xmax, double ymin, double ymax)|
// \item @|int = obj.GetCCWHullX (float pts, int len)|
// \item @|int = obj.GetCCWHullX (double pts, int len)|
// \item @|int = obj.GetCCWHullY (float pts, int len)|
// \item @|int = obj.GetCCWHullY (double pts, int len)|
// \item @|int = obj.GetCCWHullZ (float pts, int len)|
// \item @|int = obj.GetCCWHullZ (double pts, int len)|
// \item @|int = obj.GetSizeCCWHullX ()|
// \item @|int = obj.GetSizeCCWHullY ()|
// \item @|int = obj.GetSizeCCWHullZ ()|
// \item @|obj.Initialize ()|
// \item @|obj.Reset ()|
// \item @|obj.Update ()|
//\end{itemize}
//!
