#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyData.h"

//@@Signature
//sfunction @vtkPolyData:vtkPolyData vtkPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkPolyData vtkPointSet 
ArrayVector vtkPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyData::New(),"vtkPolyData",eval);
  } else if (arg[0].className() == "vtkPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyData");
    vtkPolyData*q = reinterpret_cast<vtkPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyData:GetClassName vtkPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:IsA vtkPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:NewInstance vtkPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:SafeDownCast vtkPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetDataObjectType vtkPolyDataGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType ();return VTK_POLY_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:CopyStructure vtkPolyDataCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyStructure (vtkDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetNumberOfCells vtkPolyDataGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetCell__1 vtkPolyDataGetCell__1Function
//input a0 a1 
//output y
ArrayVector vtkPolyDataGetCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetCell (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCell__1 for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetCell__2 vtkPolyDataGetCell__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataGetCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCell (vtkIdType cellId, vtkGenericCell *cell); */
  if (arg.size() < 3) 
    throw Exception("Function GetCell__2 for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  vtk_pointer->GetCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetCellType vtkPolyDataGetCellTypeFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellType for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetCellBounds vtkPolyDataGetCellBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataGetCellBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellBounds (vtkIdType cellId, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellBounds for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[6];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetCellBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetCellNeighbors__1 vtkPolyDataGetCellNeighbors__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolyDataGetCellNeighbors__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds); */
  if (arg.size() < 4) 
    throw Exception("Function GetCellNeighbors__1 for class vtkPolyData requires 4 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  vtk_pointer->GetCellNeighbors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:CopyCells vtkPolyDataCopyCellsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolyDataCopyCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyCells (vtkPolyData *pd, vtkIdList *idList, vtkPointLocator *locatorNULL); */
  if (arg.size() < 4) 
    throw Exception("Function CopyCells for class vtkPolyData requires 4 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  vtkIdList  *temp1;
  vtkPointLocator  *temp2;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPointLocator>(arg[3]);
  vtk_pointer->CopyCells(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetCellPoints__1 vtkPolyDataGetCellPoints__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataGetCellPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellPoints__1 for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetCellPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetPointCells__1 vtkPolyDataGetPointCells__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataGetPointCells__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPointCells (vtkIdType ptId, vtkIdList *cellIds); */
  if (arg.size() < 3) 
    throw Exception("Function GetPointCells__1 for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetPointCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:ComputeBounds vtkPolyDataComputeBoundsFunction
//input a0 
//output none
ArrayVector vtkPolyDataComputeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeBounds for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ComputeBounds();
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:Squeeze vtkPolyDataSqueezeFunction
//input a0 
//output none
ArrayVector vtkPolyDataSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze (); */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetMaxCellSize vtkPolyDataGetMaxCellSizeFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetMaxCellSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxCellSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellSize for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:SetVerts vtkPolyDataSetVertsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSetVertsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVerts (vtkCellArray *v); */
  if (arg.size() < 2) 
    throw Exception("Function SetVerts for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkCellArray  *temp0;
  temp0 = GetVTKPointer<vtkCellArray>(arg[1]);
  vtk_pointer->SetVerts(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetVerts vtkPolyDataGetVertsFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetVertsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellArray *GetVerts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVerts for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkCellArray  *temp20;
  temp20 = (vtk_pointer)->GetVerts();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:SetLines vtkPolyDataSetLinesFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSetLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLines (vtkCellArray *l); */
  if (arg.size() < 2) 
    throw Exception("Function SetLines for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkCellArray  *temp0;
  temp0 = GetVTKPointer<vtkCellArray>(arg[1]);
  vtk_pointer->SetLines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetLines vtkPolyDataGetLinesFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellArray *GetLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLines for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkCellArray  *temp20;
  temp20 = (vtk_pointer)->GetLines();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:SetPolys vtkPolyDataSetPolysFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSetPolysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPolys (vtkCellArray *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetPolys for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkCellArray  *temp0;
  temp0 = GetVTKPointer<vtkCellArray>(arg[1]);
  vtk_pointer->SetPolys(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetPolys vtkPolyDataGetPolysFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetPolysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellArray *GetPolys (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolys for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkCellArray  *temp20;
  temp20 = (vtk_pointer)->GetPolys();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:SetStrips vtkPolyDataSetStripsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSetStripsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStrips (vtkCellArray *s); */
  if (arg.size() < 2) 
    throw Exception("Function SetStrips for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkCellArray  *temp0;
  temp0 = GetVTKPointer<vtkCellArray>(arg[1]);
  vtk_pointer->SetStrips(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetStrips vtkPolyDataGetStripsFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetStripsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellArray *GetStrips (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStrips for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkCellArray  *temp20;
  temp20 = (vtk_pointer)->GetStrips();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetNumberOfVerts vtkPolyDataGetNumberOfVertsFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetNumberOfVertsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfVerts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVerts for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfVerts();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetNumberOfLines vtkPolyDataGetNumberOfLinesFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetNumberOfLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLines for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfLines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetNumberOfPolys vtkPolyDataGetNumberOfPolysFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetNumberOfPolysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPolys (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPolys for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPolys();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetNumberOfStrips vtkPolyDataGetNumberOfStripsFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetNumberOfStripsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfStrips (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfStrips for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfStrips();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:Allocate__1 vtkPolyDataAllocate__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataAllocate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Allocate (vtkIdType numCells, int extSize); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate__1 for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Allocate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:Allocate__2 vtkPolyDataAllocate__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolyDataAllocate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Allocate (vtkPolyData *inPolyData, vtkIdType numCells, int extSize); */
  if (arg.size() < 4) 
    throw Exception("Function Allocate__2 for class vtkPolyData requires 4 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  vtkIdType   temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Allocate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:InsertNextCell__2 vtkPolyDataInsertNextCell__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPolyDataInsertNextCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InsertNextCell (int type, vtkIdList *pts); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextCell__2 for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp20 = (vtk_pointer)->InsertNextCell(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:Reset vtkPolyDataResetFunction
//input a0 
//output none
ArrayVector vtkPolyDataResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:BuildCells vtkPolyDataBuildCellsFunction
//input a0 
//output none
ArrayVector vtkPolyDataBuildCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildCells (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildCells for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtk_pointer->BuildCells();
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:BuildLinks vtkPolyDataBuildLinksFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataBuildLinksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLinks (int initialSize); */
  if (arg.size() < 2) 
    throw Exception("Function BuildLinks for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->BuildLinks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:DeleteCells vtkPolyDataDeleteCellsFunction
//input a0 
//output none
ArrayVector vtkPolyDataDeleteCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteCells (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteCells for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtk_pointer->DeleteCells();
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:DeleteLinks vtkPolyDataDeleteLinksFunction
//input a0 
//output none
ArrayVector vtkPolyDataDeleteLinksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteLinks (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteLinks for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtk_pointer->DeleteLinks();
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetCellEdgeNeighbors vtkPolyDataGetCellEdgeNeighborsFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPolyDataGetCellEdgeNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellEdgeNeighbors (vtkIdType cellId, vtkIdType p1, vtkIdType p2, vtkIdList *cellIds); */
  if (arg.size() < 5) 
    throw Exception("Function GetCellEdgeNeighbors for class vtkPolyData requires 5 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  vtkIdList  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkIdList>(arg[4]);
  vtk_pointer->GetCellEdgeNeighbors(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:IsTriangle vtkPolyDataIsTriangleFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPolyDataIsTriangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsTriangle (int v1, int v2, int v3); */
  if (arg.size() < 4) 
    throw Exception("Function IsTriangle for class vtkPolyData requires 4 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->IsTriangle(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:IsEdge vtkPolyDataIsEdgeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPolyDataIsEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsEdge (vtkIdType p1, vtkIdType p2); */
  if (arg.size() < 3) 
    throw Exception("Function IsEdge for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->IsEdge(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:IsPointUsedByCell vtkPolyDataIsPointUsedByCellFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPolyDataIsPointUsedByCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsPointUsedByCell (vtkIdType ptId, vtkIdType cellId); */
  if (arg.size() < 3) 
    throw Exception("Function IsPointUsedByCell for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->IsPointUsedByCell(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:ReplaceCellPoint vtkPolyDataReplaceCellPointFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolyDataReplaceCellPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceCellPoint (vtkIdType cellId, vtkIdType oldPtId, vtkIdType newPtId); */
  if (arg.size() < 4) 
    throw Exception("Function ReplaceCellPoint for class vtkPolyData requires 4 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->ReplaceCellPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:ReverseCell vtkPolyDataReverseCellFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataReverseCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseCell (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function ReverseCell for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->ReverseCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:DeletePoint vtkPolyDataDeletePointFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataDeletePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeletePoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function DeletePoint for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DeletePoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:DeleteCell vtkPolyDataDeleteCellFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataDeleteCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteCell (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteCell for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DeleteCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:RemoveDeletedCells vtkPolyDataRemoveDeletedCellsFunction
//input a0 
//output none
ArrayVector vtkPolyDataRemoveDeletedCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveDeletedCells (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveDeletedCells for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtk_pointer->RemoveDeletedCells();
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:InsertNextLinkedPoint__1 vtkPolyDataInsertNextLinkedPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkPolyDataInsertNextLinkedPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InsertNextLinkedPoint (int numLinks); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextLinkedPoint__1 for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextLinkedPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:InsertNextLinkedPoint__2 vtkPolyDataInsertNextLinkedPoint__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPolyDataInsertNextLinkedPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InsertNextLinkedPoint (double x[3], int numLinks); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextLinkedPoint__2 for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->InsertNextLinkedPoint(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:RemoveCellReference vtkPolyDataRemoveCellReferenceFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataRemoveCellReferenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveCellReference (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveCellReference for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveCellReference(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:AddCellReference vtkPolyDataAddCellReferenceFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataAddCellReferenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCellReference (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function AddCellReference for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AddCellReference(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:RemoveReferenceToCell vtkPolyDataRemoveReferenceToCellFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataRemoveReferenceToCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveReferenceToCell (vtkIdType ptId, vtkIdType cellId); */
  if (arg.size() < 3) 
    throw Exception("Function RemoveReferenceToCell for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->RemoveReferenceToCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:AddReferenceToCell vtkPolyDataAddReferenceToCellFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataAddReferenceToCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddReferenceToCell (vtkIdType ptId, vtkIdType cellId); */
  if (arg.size() < 3) 
    throw Exception("Function AddReferenceToCell for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddReferenceToCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:ResizeCellList vtkPolyDataResizeCellListFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataResizeCellListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResizeCellList (vtkIdType ptId, int size); */
  if (arg.size() < 3) 
    throw Exception("Function ResizeCellList for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->ResizeCellList(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:Initialize vtkPolyDataInitializeFunction
//input a0 
//output none
ArrayVector vtkPolyDataInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetUpdateExtent__2 vtkPolyDataGetUpdateExtent__2Function
//input a0 
//output y
ArrayVector vtkPolyDataGetUpdateExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int *GetUpdateExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpdateExtent__2 for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetUpdateExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetUpdateExtent__4 vtkPolyDataGetUpdateExtent__4Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataGetUpdateExtent__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetUpdateExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetUpdateExtent__4 for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetUpdateExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetPiece vtkPolyDataGetPieceFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPiece for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetNumberOfPieces vtkPolyDataGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetGhostLevel vtkPolyDataGetGhostLevelFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevel for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetActualMemorySize vtkPolyDataGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkPolyDataGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkPolyData requires 1 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:ShallowCopy vtkPolyDataShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:DeepCopy vtkPolyDataDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:RemoveGhostCells vtkPolyDataRemoveGhostCellsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataRemoveGhostCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveGhostCells (int level); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveGhostCells for class vtkPolyData requires 2 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveGhostCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetScalarFieldCriticalIndex__1 vtkPolyDataGetScalarFieldCriticalIndex__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkPolyDataGetScalarFieldCriticalIndex__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarFieldCriticalIndex (vtkIdType pointId, vtkDataArray *scalarField); */
  if (arg.size() < 3) 
    throw Exception("Function GetScalarFieldCriticalIndex__1 for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkDataArray  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp20 = (vtk_pointer)->GetScalarFieldCriticalIndex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetScalarFieldCriticalIndex__2 vtkPolyDataGetScalarFieldCriticalIndex__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPolyDataGetScalarFieldCriticalIndex__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarFieldCriticalIndex (vtkIdType pointId, int fieldId); */
  if (arg.size() < 3) 
    throw Exception("Function GetScalarFieldCriticalIndex__2 for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetScalarFieldCriticalIndex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetScalarFieldCriticalIndex__3 vtkPolyDataGetScalarFieldCriticalIndex__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkPolyDataGetScalarFieldCriticalIndex__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarFieldCriticalIndex (vtkIdType pointId, const char *fieldName); */
  if (arg.size() < 3) 
    throw Exception("Function GetScalarFieldCriticalIndex__3 for class vtkPolyData requires 3 argument(s)");
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char    *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetScalarFieldCriticalIndex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyData:GetCell vtkPolyDataGetCellFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataGetCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPolyDataGetCell__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericCell"))
    return vtkPolyDataGetCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataGetCell");
}

//@@Signature
//sfunction @vtkPolyData:GetCellNeighbors vtkPolyDataGetCellNeighborsFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataGetCellNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkIdList"))
    return vtkPolyDataGetCellNeighbors__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataGetCellNeighbors");
}

//@@Signature
//sfunction @vtkPolyData:GetCellPoints vtkPolyDataGetCellPointsFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataGetCellPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList"))
    return vtkPolyDataGetCellPoints__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataGetCellPoints");
}

//@@Signature
//sfunction @vtkPolyData:GetPointCells vtkPolyDataGetPointCellsFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataGetPointCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList"))
    return vtkPolyDataGetPointCells__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataGetPointCells");
}

//@@Signature
//sfunction @vtkPolyData:Allocate vtkPolyDataAllocateFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPolyDataAllocate__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkPolyData") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPolyDataAllocate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataAllocate");
}

//@@Signature
//sfunction @vtkPolyData:InsertNextCell vtkPolyDataInsertNextCellFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataInsertNextCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList"))
    return vtkPolyDataInsertNextCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataInsertNextCell");
}

//@@Signature
//sfunction @vtkPolyData:InsertNextLinkedPoint vtkPolyDataInsertNextLinkedPointFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataInsertNextLinkedPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPolyDataInsertNextLinkedPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPolyDataInsertNextLinkedPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataInsertNextLinkedPoint");
}

//@@Signature
//sfunction @vtkPolyData:GetUpdateExtent vtkPolyDataGetUpdateExtentFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataGetUpdateExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPolyDataGetUpdateExtent__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataGetUpdateExtent__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataGetUpdateExtent");
}

//@@Signature
//sfunction @vtkPolyData:GetScalarFieldCriticalIndex vtkPolyDataGetScalarFieldCriticalIndexFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataGetScalarFieldCriticalIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataArray"))
    return vtkPolyDataGetScalarFieldCriticalIndex__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPolyDataGetScalarFieldCriticalIndex__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkPolyDataGetScalarFieldCriticalIndex__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataGetScalarFieldCriticalIndex");
}

//@@Signature
//sfunction @vtkPolyData:display vtkPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyData* vtk_pointer = GetVTKPointer<vtkPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyData:delete vtkPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyData
//@@Section VTKFiltering
//@@Usage
// vtkPolyData is a data object that is a concrete implementation of
// vtkDataSet. vtkPolyData represents a geometric structure consisting of
// vertices, lines, polygons, and/or triangle strips. Point and cell
// attribute values (e.g., scalars, vectors, etc.) also are represented.
//
// The actual cell types (vtkCellType.h) supported by vtkPolyData are: 
// vtkVertex, vtkPolyVertex, vtkLine, vtkPolyLine, vtkTriangle, vtkQuad,
// vtkPolygon, and vtkTriangleStrip.
//
// One important feature of vtkPolyData objects is that special traversal and
// data manipulation methods are available to process data. These methods are
// generally more efficient than vtkDataSet methods and should be used
// whenever possible. For example, traversing the cells in a dataset we would
// use GetCell(). To traverse cells with vtkPolyData we would retrieve the
// cell array object representing polygons (for example using GetPolys()) and
// then use vtkCellArray's InitTraversal() and GetNextCell() methods.
//
//
//To create an instance of class vtkPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyData
//@]
//@@Methods
//The class vtkPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyData = obj.NewInstance ()|
// \item @|vtkPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()| -  Copy the geometric and topological structure of an input poly data object.
//// \item @|obj.CopyStructure (vtkDataSet ds)| -  Copy the geometric and topological structure of an input poly data object.
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Standard vtkDataSet interface.
//// \item @|vtkCell = obj.GetCell (vtkIdType cellId)| -  Standard vtkDataSet interface.
//// \item @|obj.GetCell (vtkIdType cellId, vtkGenericCell cell)| -  Standard vtkDataSet interface.
//// \item @|int = obj.GetCellType (vtkIdType cellId)| -  Standard vtkDataSet interface.
//// \item @|obj.GetCellBounds (vtkIdType cellId, double bounds[6])| -  Standard vtkDataSet interface.
//// \item @|obj.GetCellNeighbors (vtkIdType cellId, vtkIdList ptIds, vtkIdList cellIds)| -  Standard vtkDataSet interface.
//// \item @|obj.CopyCells (vtkPolyData pd, vtkIdList idList, vtkPointLocator locatorNULL)| -  Copy cells listed in idList from pd, including points, point data,
// and cell data.  This method assumes that point and cell data have
// been allocated.  If you pass in a point locator, then the points
// won't be duplicated in the output.
//// \item @|obj.GetCellPoints (vtkIdType cellId, vtkIdList ptIds)| -  Copy a cells point ids into list provided. (Less efficient.)
//// \item @|obj.GetPointCells (vtkIdType ptId, vtkIdList cellIds)| -  Efficient method to obtain cells using a particular point. Make sure that
// routine BuildLinks() has been called.
//// \item @|obj.ComputeBounds ()| -  Compute the (X, Y, Z)  bounds of the data.
//// \item @|obj.Squeeze ()| -  Recover extra allocated memory when creating data whose initial size
// is unknown. Examples include using the InsertNextCell() method, or
// when using the CellArray::EstimateSize() method to create vertices,
// lines, polygons, or triangle strips.
//// \item @|int = obj.GetMaxCellSize ()| -  Return the maximum cell size in this poly data.
//// \item @|obj.SetVerts (vtkCellArray v)| -  Set the cell array defining vertices.
//// \item @|vtkCellArray = obj.GetVerts ()| -  Get the cell array defining vertices. If there are no vertices, an
// empty array will be returned (convenience to simplify traversal).
//// \item @|obj.SetLines (vtkCellArray l)| -  Set the cell array defining lines.
//// \item @|vtkCellArray = obj.GetLines ()| -  Get the cell array defining lines. If there are no lines, an
// empty array will be returned (convenience to simplify traversal).
//// \item @|obj.SetPolys (vtkCellArray p)| -  Set the cell array defining polygons.
//// \item @|vtkCellArray = obj.GetPolys ()| -  Get the cell array defining polygons. If there are no polygons, an
// empty array will be returned (convenience to simplify traversal).
//// \item @|obj.SetStrips (vtkCellArray s)| -  Set the cell array defining triangle strips.
//// \item @|vtkCellArray = obj.GetStrips ()| -  Get the cell array defining triangle strips. If there are no
// triangle strips, an empty array will be returned (convenience to 
// simplify traversal).
//// \item @|vtkIdType = obj.GetNumberOfVerts ()| -  Return the number of primitives of a particular type held..
//// \item @|vtkIdType = obj.GetNumberOfLines ()| -  Return the number of primitives of a particular type held..
//// \item @|vtkIdType = obj.GetNumberOfPolys ()| -  Return the number of primitives of a particular type held..
//// \item @|vtkIdType = obj.GetNumberOfStrips ()| -  Return the number of primitives of a particular type held..
//// \item @|obj.Allocate (vtkIdType numCells, int extSize)| -  Method allocates initial storage for vertex, line, polygon, and 
// triangle strip arrays. Use this method before the method 
// PolyData::InsertNextCell(). (Or, provide vertex, line, polygon, and
// triangle strip cell arrays.)
//// \item @|obj.Allocate (vtkPolyData inPolyData, vtkIdType numCells, int extSize)| -  Similar to the method above, this method allocates initial storage for
// vertex, line, polygon, and triangle strip arrays. It does this more
// intelligently, examining the supplied inPolyData to determine whether to
// allocate the verts, lines, polys, and strips arrays.  (These arrays are
// allocated only if there is data in the corresponding arrays in the
// inPolyData.)  Caution: if the inPolyData has no verts, and after
// allocating with this method an PolyData::InsertNextCell() is invoked
// where a vertex is inserted, bad things will happen.
//// \item @|int = obj.InsertNextCell (int type, vtkIdList pts)| -  Insert a cell of type VTK_VERTEX, VTK_POLY_VERTEX, VTK_LINE, VTK_POLY_LINE,
// VTK_TRIANGLE, VTK_QUAD, VTK_POLYGON, or VTK_TRIANGLE_STRIP.  Make sure that
// the PolyData::Allocate() function has been called first or that vertex,
// line, polygon, and triangle strip arrays have been supplied.
// Note: will also insert VTK_PIXEL, but converts it to VTK_QUAD.
//// \item @|obj.Reset ()| -  Begin inserting data all over again. Memory is not freed but otherwise
// objects are returned to their initial state.
//// \item @|obj.BuildCells ()| -  Create data structure that allows random access of cells.
//// \item @|obj.BuildLinks (int initialSize)| -  Create upward links from points to cells that use each point. Enables
// topologically complex queries. Normally the links array is allocated
// based on the number of points in the vtkPolyData. The optional 
// initialSize parameter can be used to allocate a larger size initially.
//// \item @|obj.DeleteCells ()| -  Release data structure that allows random access of the cells. This must
// be done before a 2nd call to BuildLinks(). DeleteCells implicitly deletes
// the links as well since they are no longer valid.
//// \item @|obj.DeleteLinks ()| -  Release the upward links from point to cells that use each point.
//// \item @|obj.GetCellEdgeNeighbors (vtkIdType cellId, vtkIdType p1, vtkIdType p2, vtkIdList cellIds)| -  Get the neighbors at an edge. More efficient than the general 
// GetCellNeighbors(). Assumes links have been built (with BuildLinks()), 
// and looks specifically for edge neighbors.
//// \item @|int = obj.IsTriangle (int v1, int v2, int v3)| -  Given three vertices, determine whether it's a triangle. Make sure 
// BuildLinks() has been called first.
//// \item @|int = obj.IsEdge (vtkIdType p1, vtkIdType p2)| -  Determine whether two points form an edge. If they do, return non-zero.
// By definition PolyVertex and PolyLine have no edges since 1-dimensional 
// edges are only found on cells 2D and higher. 
// Edges are defined as 1-D boundary entities to cells.
// Make sure BuildLinks() has been called first.
//// \item @|int = obj.IsPointUsedByCell (vtkIdType ptId, vtkIdType cellId)| -  Determine whether a point is used by a particular cell. If it is, return
// non-zero. Make sure BuildCells() has been called first.
//// \item @|obj.ReplaceCellPoint (vtkIdType cellId, vtkIdType oldPtId, vtkIdType newPtId)| -  Replace a point in the cell connectivity list with a different point.
//// \item @|obj.ReverseCell (vtkIdType cellId)| -  Reverse the order of point ids defining the cell.
//// \item @|obj.DeletePoint (vtkIdType ptId)| -  Mark a point/cell as deleted from this vtkPolyData.
//// \item @|obj.DeleteCell (vtkIdType cellId)| -  Mark a point/cell as deleted from this vtkPolyData.
//// \item @|obj.RemoveDeletedCells ()| -  The cells marked by calls to DeleteCell are stored in the Cell Array
// VTK_EMPTY_CELL, but they still exist in the polys array.
// Calling RemoveDeletedCells will travers the poly array and remove/compact
// the cell array as well as any cell data thus truly removing the cells
// from the polydata object. WARNING. This only handles the polys 
// at the moment
//// \item @|int = obj.InsertNextLinkedPoint (int numLinks)| -  Add a point to the cell data structure (after cell pointers have been
// built). This method adds the point and then allocates memory for the
// links to the cells.  (To use this method, make sure points are available
// and BuildLinks() has been invoked.) Of the two methods below, one inserts
// a point coordinate and the other just makes room for cell links.
//// \item @|int = obj.InsertNextLinkedPoint (double x[3], int numLinks)| -  Add a point to the cell data structure (after cell pointers have been
// built). This method adds the point and then allocates memory for the
// links to the cells.  (To use this method, make sure points are available
// and BuildLinks() has been invoked.) Of the two methods below, one inserts
// a point coordinate and the other just makes room for cell links.
//// \item @|obj.RemoveCellReference (vtkIdType cellId)| -  Remove all references to cell in cell structure. This means the links from
// the cell's points to the cell are deleted. Memory is not reclaimed. Use the
// method ResizeCellList() to resize the link list from a point to its using 
// cells. (This operator assumes BuildLinks() has been called.)
//// \item @|obj.AddCellReference (vtkIdType cellId)| -  Add references to cell in cell structure. This means the links from
// the cell's points to the cell are modified. Memory is not extended. Use the
// method ResizeCellList() to resize the link list from a point to its using 
// cells. (This operator assumes BuildLinks() has been called.)
//// \item @|obj.RemoveReferenceToCell (vtkIdType ptId, vtkIdType cellId)| -  Remove a reference to a cell in a particular point's link list. You may
// also consider using RemoveCellReference() to remove the references from
// all the cell's points to the cell. This operator does not reallocate
// memory; use the operator ResizeCellList() to do this if necessary.
//// \item @|obj.AddReferenceToCell (vtkIdType ptId, vtkIdType cellId)| -  Add a reference to a cell in a particular point's link list. (You may also
// consider using AddCellReference() to add the references from all the 
// cell's points to the cell.) This operator does not realloc memory; use the
// operator ResizeCellList() to do this if necessary.
//// \item @|obj.ResizeCellList (vtkIdType ptId, int size)| -  Resize the list of cells using a particular point. (This operator assumes
// that BuildLinks() has been called.)
//// \item @|obj.Initialize ()| -  Restore object to initial state. Release memory back to system.
//// \item @|int = obj.GetUpdateExtent ()| -  We need this here to avoid hiding superclass method
//// \item @|obj.GetUpdateExtent (int extent[6])| -  We need this here to avoid hiding superclass method
//// \item @|int = obj.GetPiece ()| -  Get the piece and the number of pieces. Similar to extent in 3D.
//// \item @|int = obj.GetNumberOfPieces ()| -  Get the piece and the number of pieces. Similar to extent in 3D.
//// \item @|int = obj.GetGhostLevel ()| -  Get the ghost level.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value). THIS METHOD
// IS THREAD SAFE.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.RemoveGhostCells (int level)| -  This method will remove any cell that has a ghost level array value
// greater or equal to level.  It does not remove unused points (yet).
//// \item @|int = obj.GetScalarFieldCriticalIndex (vtkIdType pointId, vtkDataArray scalarField)| -  Scalar field critical point classification (for manifold 2D meshes).
// Reference: J. Milnor "Morse Theory", Princeton University Press, 1963.
//     
// Given a pointId and an attribute representing a scalar field, this member 
// returns the index of the critical point:
// vtkPolyData::MINIMUM (index 0): local minimum;
// vtkPolyData::SADDLE  (index 1): local saddle;
// vtkPolyData::MAXIMUM (index 2): local maximum.
//
// Other returned values are:
// vtkPolyData::REGULAR_POINT: regular point (the gradient does not vanish);
// vtkPolyData::ERR_NON_MANIFOLD_STAR: the star of the considered vertex is
// not manifold (could not evaluate the index)
// vtkPolyData::ERR_INCORRECT_FIELD: the number of entries in the scalar field
// array is different form the number of vertices in the mesh.
// vtkPolyData::ERR_NO_SUCH_FIELD: the specified scalar field does not exist.
//// \item @|int = obj.GetScalarFieldCriticalIndex (vtkIdType pointId, int fieldId)| -  Scalar field critical point classification (for manifold 2D meshes).
// Reference: J. Milnor "Morse Theory", Princeton University Press, 1963.
//     
// Given a pointId and an attribute representing a scalar field, this member 
// returns the index of the critical point:
// vtkPolyData::MINIMUM (index 0): local minimum;
// vtkPolyData::SADDLE  (index 1): local saddle;
// vtkPolyData::MAXIMUM (index 2): local maximum.
//
// Other returned values are:
// vtkPolyData::REGULAR_POINT: regular point (the gradient does not vanish);
// vtkPolyData::ERR_NON_MANIFOLD_STAR: the star of the considered vertex is
// not manifold (could not evaluate the index)
// vtkPolyData::ERR_INCORRECT_FIELD: the number of entries in the scalar field
// array is different form the number of vertices in the mesh.
// vtkPolyData::ERR_NO_SUCH_FIELD: the specified scalar field does not exist.
//// \item @|int = obj.GetScalarFieldCriticalIndex (vtkIdType pointId, string fieldName)| -  Scalar field critical point classification (for manifold 2D meshes).
// Reference: J. Milnor "Morse Theory", Princeton University Press, 1963.
//     
// Given a pointId and an attribute representing a scalar field, this member 
// returns the index of the critical point:
// vtkPolyData::MINIMUM (index 0): local minimum;
// vtkPolyData::SADDLE  (index 1): local saddle;
// vtkPolyData::MAXIMUM (index 2): local maximum.
//
// Other returned values are:
// vtkPolyData::REGULAR_POINT: regular point (the gradient does not vanish);
// vtkPolyData::ERR_NON_MANIFOLD_STAR: the star of the considered vertex is
// not manifold (could not evaluate the index)
// vtkPolyData::ERR_INCORRECT_FIELD: the number of entries in the scalar field
// array is different form the number of vertices in the mesh.
// vtkPolyData::ERR_NO_SUCH_FIELD: the specified scalar field does not exist.
////\end{itemize}
//!
