#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataAlgorithm.h"

//@@Signature
//sfunction @vtkPolyDataAlgorithm:vtkPolyDataAlgorithm vtkPolyDataAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataAlgorithm vtkAlgorithm 
ArrayVector vtkPolyDataAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataAlgorithm::New(),"vtkPolyDataAlgorithm",eval);
  } else if (arg[0].className() == "vtkPolyDataAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataAlgorithm");
    vtkPolyDataAlgorithm*q = reinterpret_cast<vtkPolyDataAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataAlgorithm:GetClassName vtkPolyDataAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataAlgorithm requires 1 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:IsA vtkPolyDataAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataAlgorithm requires 2 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:NewInstance vtkPolyDataAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataAlgorithm requires 1 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:SafeDownCast vtkPolyDataAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataAlgorithm requires 2 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:GetOutput__1 vtkPolyDataAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkPolyDataAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkPolyDataAlgorithm requires 1 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:GetOutput__2 vtkPolyDataAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkPolyDataAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkPolyDataAlgorithm requires 2 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:SetOutput vtkPolyDataAlgorithmSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataAlgorithmSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutput (vtkDataObject *d); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkPolyDataAlgorithm requires 2 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:GetInput__1 vtkPolyDataAlgorithmGetInput__1Function
//input a0 
//output y
ArrayVector vtkPolyDataAlgorithmGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkPolyDataAlgorithm requires 1 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:GetInput__2 vtkPolyDataAlgorithmGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkPolyDataAlgorithmGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkPolyDataAlgorithm requires 2 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:GetPolyDataInput vtkPolyDataAlgorithmGetPolyDataInputFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataAlgorithmGetPolyDataInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPolyDataInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyDataInput for class vtkPolyDataAlgorithm requires 2 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPolyDataInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:SetInput__1 vtkPolyDataAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkPolyDataAlgorithm requires 2 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:SetInput__2 vtkPolyDataAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkPolyDataAlgorithm requires 3 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:AddInput__1 vtkPolyDataAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkPolyDataAlgorithm requires 2 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:AddInput__2 vtkPolyDataAlgorithmAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkPolyDataAlgorithm requires 3 argument(s)");
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:GetOutput vtkPolyDataAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPolyDataAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPolyDataAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:GetInput vtkPolyDataAlgorithmGetInputFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPolyDataAlgorithmGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPolyDataAlgorithmGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataAlgorithmGetInput");
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:SetInput vtkPolyDataAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkPolyDataAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkPolyDataAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:AddInput vtkPolyDataAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkPolyDataAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkPolyDataAlgorithmAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkPolyDataAlgorithm:display vtkPolyDataAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataAlgorithm* vtk_pointer = GetVTKPointer<vtkPolyDataAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataAlgorithm:delete vtkPolyDataAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataAlgorithm
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkPolyDataAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataAlgorithm
//@]
//@@Methods
//The class vtkPolyDataAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataAlgorithm = obj.NewInstance ()|
// \item @|vtkPolyDataAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPolyData = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkPolyData = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetOutput (vtkDataObject d)| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetInput ()|
// \item @|vtkDataObject = obj.GetInput (int port)|
// \item @|vtkPolyData = obj.GetPolyDataInput (int port)|
// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
