#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataCollection.h"

//@@Signature
//sfunction @vtkPolyDataCollection:vtkPolyDataCollection vtkPolyDataCollectionConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataCollection vtkCollection 
ArrayVector vtkPolyDataCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataCollection::New(),"vtkPolyDataCollection",eval);
  } else if (arg[0].className() == "vtkPolyDataCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataCollection");
    vtkPolyDataCollection*q = reinterpret_cast<vtkPolyDataCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataCollection:GetClassName vtkPolyDataCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataCollection requires 1 argument(s)");
  vtkPolyDataCollection* vtk_pointer = GetVTKPointer<vtkPolyDataCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataCollection:IsA vtkPolyDataCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataCollection requires 2 argument(s)");
  vtkPolyDataCollection* vtk_pointer = GetVTKPointer<vtkPolyDataCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataCollection:NewInstance vtkPolyDataCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataCollection requires 1 argument(s)");
  vtkPolyDataCollection* vtk_pointer = GetVTKPointer<vtkPolyDataCollection>(arg[0]);
  Array retval;
  vtkPolyDataCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataCollection:SafeDownCast vtkPolyDataCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataCollection requires 2 argument(s)");
  vtkPolyDataCollection* vtk_pointer = GetVTKPointer<vtkPolyDataCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataCollection:AddItem__1 vtkPolyDataCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkPolyData *pd);this vtkCollection AddItem pd  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkPolyDataCollection requires 2 argument(s)");
  vtkPolyDataCollection* vtk_pointer = GetVTKPointer<vtkPolyDataCollection>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataCollection:GetNextItem vtkPolyDataCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkPolyDataCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetNextItem ();return static_cast vtkPolyData this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkPolyDataCollection requires 1 argument(s)");
  vtkPolyDataCollection* vtk_pointer = GetVTKPointer<vtkPolyDataCollection>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataCollection:AddItem vtkPolyDataCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPolyData"))
    return vtkPolyDataCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataCollectionAddItem");
}

//@@Signature
//sfunction @vtkPolyDataCollection:display vtkPolyDataCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataCollection* vtk_pointer = GetVTKPointer<vtkPolyDataCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataCollection:delete vtkPolyDataCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataCollection
//@@Section VTKFiltering
//@@Usage
// vtkPolyDataCollection is an object that creates and manipulates lists of
// datasets of type vtkPolyData. 
//
//To create an instance of class vtkPolyDataCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataCollection
//@]
//@@Methods
//The class vtkPolyDataCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataCollection = obj.NewInstance ()|
// \item @|vtkPolyDataCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkPolyData pd)| -  Get the next poly data in the list.
//// \item @|vtkPolyData = obj.GetNextItem ()| -  Get the next poly data in the list.
////\end{itemize}
//!
