#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataSource.h"

//@@Signature
//sfunction @vtkPolyDataSource:vtkPolyDataSource vtkPolyDataSourceConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataSource vtkSource 
ArrayVector vtkPolyDataSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataSource::New(),"vtkPolyDataSource",eval);
  } else if (arg[0].className() == "vtkPolyDataSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataSource");
    vtkPolyDataSource*q = reinterpret_cast<vtkPolyDataSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataSource:GetClassName vtkPolyDataSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataSource requires 1 argument(s)");
  vtkPolyDataSource* vtk_pointer = GetVTKPointer<vtkPolyDataSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSource:IsA vtkPolyDataSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataSource requires 2 argument(s)");
  vtkPolyDataSource* vtk_pointer = GetVTKPointer<vtkPolyDataSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSource:NewInstance vtkPolyDataSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataSource requires 1 argument(s)");
  vtkPolyDataSource* vtk_pointer = GetVTKPointer<vtkPolyDataSource>(arg[0]);
  Array retval;
  vtkPolyDataSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSource:SafeDownCast vtkPolyDataSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataSource requires 2 argument(s)");
  vtkPolyDataSource* vtk_pointer = GetVTKPointer<vtkPolyDataSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSource:GetOutput__1 vtkPolyDataSourceGetOutput__1Function
//input a0 
//output y
ArrayVector vtkPolyDataSourceGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkPolyDataSource requires 1 argument(s)");
  vtkPolyDataSource* vtk_pointer = GetVTKPointer<vtkPolyDataSource>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSource:GetOutput__2 vtkPolyDataSourceGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkPolyDataSourceGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkPolyDataSource requires 2 argument(s)");
  vtkPolyDataSource* vtk_pointer = GetVTKPointer<vtkPolyDataSource>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSource:SetOutput vtkPolyDataSourceSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSourceSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkPolyData *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkPolyDataSource requires 2 argument(s)");
  vtkPolyDataSource* vtk_pointer = GetVTKPointer<vtkPolyDataSource>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSource:GetOutput vtkPolyDataSourceGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPolyDataSourceGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPolyDataSourceGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataSourceGetOutput");
}

//@@Signature
//sfunction @vtkPolyDataSource:display vtkPolyDataSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataSource* vtk_pointer = GetVTKPointer<vtkPolyDataSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataSource:delete vtkPolyDataSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataSource
//@@Section VTKFiltering
//@@Usage
// vtkPolyDataSource is an abstract class whose subclasses generate polygonal
// data.
//
//To create an instance of class vtkPolyDataSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataSource
//@]
//@@Methods
//The class vtkPolyDataSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataSource = obj.NewInstance ()|
// \item @|vtkPolyDataSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPolyData = obj.GetOutput ()| -  Get the output of this source.
//// \item @|vtkPolyData = obj.GetOutput (int idx)| -  Get the output of this source.
//// \item @|obj.SetOutput (vtkPolyData output)| -  Get the output of this source.
////\end{itemize}
//!
