#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataToPolyDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataToPolyDataFilter.h"

//@@Signature
//sfunction @vtkPolyDataToPolyDataFilter:vtkPolyDataToPolyDataFilter vtkPolyDataToPolyDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataToPolyDataFilter vtkPolyDataSource 
ArrayVector vtkPolyDataToPolyDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataToPolyDataFilter::New(),"vtkPolyDataToPolyDataFilter",eval);
  } else if (arg[0].className() == "vtkPolyDataToPolyDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataToPolyDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataToPolyDataFilter");
    vtkPolyDataToPolyDataFilter*q = reinterpret_cast<vtkPolyDataToPolyDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataToPolyDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataToPolyDataFilter:GetClassName vtkPolyDataToPolyDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataToPolyDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataToPolyDataFilter requires 1 argument(s)");
  vtkPolyDataToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkPolyDataToPolyDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToPolyDataFilter:IsA vtkPolyDataToPolyDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataToPolyDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataToPolyDataFilter requires 2 argument(s)");
  vtkPolyDataToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkPolyDataToPolyDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToPolyDataFilter:NewInstance vtkPolyDataToPolyDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataToPolyDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataToPolyDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataToPolyDataFilter requires 1 argument(s)");
  vtkPolyDataToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkPolyDataToPolyDataFilter>(arg[0]);
  Array retval;
  vtkPolyDataToPolyDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToPolyDataFilter:SafeDownCast vtkPolyDataToPolyDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataToPolyDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataToPolyDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataToPolyDataFilter requires 2 argument(s)");
  vtkPolyDataToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkPolyDataToPolyDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataToPolyDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToPolyDataFilter:SetInput vtkPolyDataToPolyDataFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataToPolyDataFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkPolyData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkPolyDataToPolyDataFilter requires 2 argument(s)");
  vtkPolyDataToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkPolyDataToPolyDataFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToPolyDataFilter:GetInput vtkPolyDataToPolyDataFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkPolyDataToPolyDataFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkPolyDataToPolyDataFilter requires 1 argument(s)");
  vtkPolyDataToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkPolyDataToPolyDataFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToPolyDataFilter:display vtkPolyDataToPolyDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataToPolyDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkPolyDataToPolyDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataToPolyDataFilter:delete vtkPolyDataToPolyDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataToPolyDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataToPolyDataFilter
//@@Section VTKFiltering
//@@Usage
// vtkPolyDataToPolyDataFilter is an abstract filter class whose subclasses
// take as input polygonal data and generate polygonal data on output.
// .SECTION Warning
// This used to be the parent class for most polydata filter in VTK4.x, now 
// this role has been replaced by vtkPolyDataAlgorithm. You should consider
// using vtkPolyDataAlgorithm instead of this class, 
// when writing filter for VTK5 and above.
// This class was kept to ensure full backward compatibility.
//
//To create an instance of class vtkPolyDataToPolyDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataToPolyDataFilter
//@]
//@@Methods
//The class vtkPolyDataToPolyDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataToPolyDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataToPolyDataFilter = obj.NewInstance ()|
// \item @|vtkPolyDataToPolyDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkPolyData input)| -  Set / get the input data or filter.
//// \item @|vtkPolyData = obj.GetInput ()| -  Set / get the input data or filter.
////\end{itemize}
//!
