#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyLine object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyLine.h"

//@@Signature
//sfunction @vtkPolyLine:vtkPolyLine vtkPolyLineConstructorFunction
//input a
//output p
//@@Parents vtkPolyLine vtkCell 
ArrayVector vtkPolyLineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyLine::New(),"vtkPolyLine",eval);
  } else if (arg[0].className() == "vtkPolyLine") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyLine"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyLine");
    vtkPolyLine*q = reinterpret_cast<vtkPolyLine*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyLine");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyLine:GetClassName vtkPolyLineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyLineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyLine requires 1 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:IsA vtkPolyLineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyLineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyLine requires 2 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:NewInstance vtkPolyLineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyLineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyLine *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyLine requires 1 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  vtkPolyLine  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyLine",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:SafeDownCast vtkPolyLineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyLineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyLine *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyLine requires 2 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyLine  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyLine",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:GenerateSlidingNormals__1 vtkPolyLineGenerateSlidingNormals__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPolyLineGenerateSlidingNormals__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GenerateSlidingNormals (vtkPoints *, vtkCellArray *, vtkDataArray *); */
  if (arg.size() < 4) 
    throw Exception("Function GenerateSlidingNormals__1 for class vtkPolyLine requires 4 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkCellArray  *temp1;
  vtkDataArray  *temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkCellArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp20 = (vtk_pointer)->GenerateSlidingNormals(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:GenerateSlidingNormals__2 vtkPolyLineGenerateSlidingNormals__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPolyLineGenerateSlidingNormals__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GenerateSlidingNormals (vtkPoints *, vtkCellArray *, vtkDataArray *, double *firstNormal); */
  if (arg.size() < 5) 
    throw Exception("Function GenerateSlidingNormals__2 for class vtkPolyLine requires 5 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkCellArray  *temp1;
  vtkDataArray  *temp2;
  double  *temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkCellArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->GenerateSlidingNormals(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:GetCellType vtkPolyLineGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkPolyLineGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType ();return VTK_POLY_LINE  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkPolyLine requires 1 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:GetCellDimension vtkPolyLineGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkPolyLineGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkPolyLine requires 1 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:GetNumberOfEdges vtkPolyLineGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkPolyLineGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkPolyLine requires 1 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:GetNumberOfFaces vtkPolyLineGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkPolyLineGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkPolyLine requires 1 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:GetEdge vtkPolyLineGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkPolyLineGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int );return  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkPolyLine requires 2 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:GetFace vtkPolyLineGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkPolyLineGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int );return  */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkPolyLine requires 2 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:CellBoundary vtkPolyLineCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPolyLineCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkPolyLine requires 4 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:Contour vtkPolyLineContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkPolyLineContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkPolyLine requires 12 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:Clip vtkPolyLineClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkPolyLineClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *lines, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut); */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkPolyLine requires 11 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:Triangulate vtkPolyLineTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPolyLineTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkPolyLine requires 4 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:Derivatives vtkPolyLineDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkPolyLineDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkPolyLine requires 6 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:IsPrimaryCell vtkPolyLineIsPrimaryCellFunction
//input a0 
//output y
ArrayVector vtkPolyLineIsPrimaryCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsPrimaryCell ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsPrimaryCell for class vtkPolyLine requires 1 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsPrimaryCell();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:GetParametricCenter vtkPolyLineGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkPolyLineGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParametricCenter (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkPolyLine requires 2 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:InterpolateFunctions vtkPolyLineInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolyLineInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double *weights); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkPolyLine requires 3 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:InterpolateDerivs vtkPolyLineInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolyLineInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double *derivs); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkPolyLine requires 3 argument(s)");
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyLine:GenerateSlidingNormals vtkPolyLineGenerateSlidingNormalsFunction
//input varargin
//output varargout
ArrayVector vtkPolyLineGenerateSlidingNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkPoints") && VTKIsClass(arg[2],"vtkCellArray") && VTKIsClass(arg[3],"vtkDataArray"))
    return vtkPolyLineGenerateSlidingNormals__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkPoints") && VTKIsClass(arg[2],"vtkCellArray") && VTKIsClass(arg[3],"vtkDataArray") && VTKIsVectorArg(arg[4]))
    return vtkPolyLineGenerateSlidingNormals__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyLineGenerateSlidingNormals");
}

//@@Signature
//sfunction @vtkPolyLine:display vtkPolyLineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyLineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyLine* vtk_pointer = GetVTKPointer<vtkPolyLine>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyLine:delete vtkPolyLineDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyLineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyLine
//@@Section VTKFiltering
//@@Usage
// vtkPolyLine is a concrete implementation of vtkCell to represent a set
// of 1D lines.
//
//To create an instance of class vtkPolyLine, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyLine
//@]
//@@Methods
//The class vtkPolyLine has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyLine class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyLine = obj.NewInstance ()|
// \item @|vtkPolyLine = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetCellType ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetCellDimension ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetEdge (int )| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetFace (int )| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray lines, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.IsPrimaryCell ()| -  Return the center of the point cloud in parametric coordinates.
//// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  Return the center of the point cloud in parametric coordinates.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double weights)| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs)| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
////\end{itemize}
//!
