#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolygon object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolygon.h"

//@@Signature
//sfunction @vtkPolygon:vtkPolygon vtkPolygonConstructorFunction
//input a
//output p
//@@Parents vtkPolygon vtkCell 
ArrayVector vtkPolygonConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolygon::New(),"vtkPolygon",eval);
  } else if (arg[0].className() == "vtkPolygon") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolygon"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolygon");
    vtkPolygon*q = reinterpret_cast<vtkPolygon*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolygon");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolygon:GetClassName vtkPolygonGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolygonGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolygon requires 1 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:IsA vtkPolygonIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolygon requires 2 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:NewInstance vtkPolygonNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolygonNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolygon *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolygon requires 1 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  vtkPolygon  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolygon",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:SafeDownCast vtkPolygonSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolygon *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolygon requires 2 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolygon  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolygon",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:GetCellType vtkPolygonGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkPolygonGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType ();return VTK_POLYGON  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkPolygon requires 1 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:GetCellDimension vtkPolygonGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkPolygonGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkPolygon requires 1 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:GetNumberOfEdges vtkPolygonGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkPolygonGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges ();return this GetNumberOfPoints  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkPolygon requires 1 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:GetNumberOfFaces vtkPolygonGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkPolygonGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkPolygon requires 1 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:GetEdge vtkPolygonGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int edgeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkPolygon requires 2 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:GetFace vtkPolygonGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int );return  */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkPolygon requires 2 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:CellBoundary vtkPolygonCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPolygonCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkPolygon requires 4 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:Contour vtkPolygonContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkPolygonContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkPolygon requires 12 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:Clip vtkPolygonClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkPolygonClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *tris, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut); */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkPolygon requires 11 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:Triangulate__1 vtkPolygonTriangulate__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPolygonTriangulate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate__1 for class vtkPolygon requires 4 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:Derivatives vtkPolygonDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkPolygonDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkPolygon requires 6 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:IsPrimaryCell vtkPolygonIsPrimaryCellFunction
//input a0 
//output y
ArrayVector vtkPolygonIsPrimaryCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsPrimaryCell ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsPrimaryCell for class vtkPolygon requires 1 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsPrimaryCell();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:ComputeArea__1 vtkPolygonComputeArea__1Function
//input a0 
//output y
ArrayVector vtkPolygonComputeArea__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double ComputeArea (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeArea__1 for class vtkPolygon requires 1 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->ComputeArea();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:InterpolateFunctions vtkPolygonInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolygonInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double *sf); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkPolygon requires 3 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:InterpolateDerivs vtkPolygonInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolygonInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double *derivs); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkPolygon requires 3 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:ComputeNormal__2 vtkPolygonComputeNormal__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolygonComputeNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeNormal (vtkPoints *p, double n[3]); */
  if (arg.size() < 3) 
    throw Exception("Function ComputeNormal__2 for class vtkPolygon requires 3 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  double temp1[3];
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeNormal(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:ComputeNormal__3 vtkPolygonComputeNormal__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolygonComputeNormal__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeNormal (vtkIdTypeArray *ids, vtkPoints *pts, double n[3]); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeNormal__3 for class vtkPolygon requires 4 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  vtkPoints  *temp1;
  double temp2[3];
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:ComputeNormal__4 vtkPolygonComputeNormal__4Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolygonComputeNormal__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeNormal (int numPts, double *pts, double n[3]); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeNormal__4 for class vtkPolygon requires 4 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp1;
  double temp2[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:ComputeCentroid vtkPolygonComputeCentroidFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolygonComputeCentroidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeCentroid (vtkIdTypeArray *ids, vtkPoints *pts, double centroid[3]); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeCentroid for class vtkPolygon requires 4 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  vtkPoints  *temp1;
  double temp2[3];
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeCentroid(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:ComputeWeights vtkPolygonComputeWeightsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolygonComputeWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeWeights (double x[3], double *weights); */
  if (arg.size() < 3) 
    throw Exception("Function ComputeWeights for class vtkPolygon requires 3 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->ComputeWeights(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:PointInPolygon vtkPolygonPointInPolygonFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkPolygonPointInPolygonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int PointInPolygon (double x[3], int numPts, double *pts, double bounds[6], double n[3]); */
  if (arg.size() < 6) 
    throw Exception("Function PointInPolygon for class vtkPolygon requires 6 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp1;
  double  *temp2;
  double temp3[6];
  double temp4[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !(arg[6].isVector() && arg[6].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[12].isVector() && arg[12].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[12].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->PointInPolygon(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:Triangulate__2 vtkPolygonTriangulate__2Function
//input a0 a1 
//output y
ArrayVector vtkPolygonTriangulate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (vtkIdList *outTris); */
  if (arg.size() < 2) 
    throw Exception("Function Triangulate__2 for class vtkPolygon requires 2 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp20 = (vtk_pointer)->Triangulate(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:NonDegenerateTriangulate vtkPolygonNonDegenerateTriangulateFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonNonDegenerateTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int NonDegenerateTriangulate (vtkIdList *outTris); */
  if (arg.size() < 2) 
    throw Exception("Function NonDegenerateTriangulate for class vtkPolygon requires 2 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  temp20 = (vtk_pointer)->NonDegenerateTriangulate(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:DistanceToPolygon vtkPolygonDistanceToPolygonFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkPolygonDistanceToPolygonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double DistanceToPolygon (double x[3], int numPts, double *pts, double bounds[6], double closest[3]); */
  if (arg.size() < 6) 
    throw Exception("Function DistanceToPolygon for class vtkPolygon requires 6 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp1;
  double  *temp2;
  double temp3[6];
  double temp4[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !(arg[6].isVector() && arg[6].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[12].isVector() && arg[12].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[12].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->DistanceToPolygon(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:IntersectPolygonWithPolygon vtkPolygonIntersectPolygonWithPolygonFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output y
ArrayVector vtkPolygonIntersectPolygonWithPolygonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int IntersectPolygonWithPolygon (int npts, double *pts, double bounds[6], int npts2, double *pts2, double bounds2[3], double tol, double x[3]); */
  if (arg.size() < 9) 
    throw Exception("Function IntersectPolygonWithPolygon for class vtkPolygon requires 9 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp1;
  double temp2[6];
  int      temp3;
  double  *temp4;
  double temp5[3];
  double   temp6;
  double temp7[3];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !(arg[3].isVector() && arg[3].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[9].asDouble();
    if ( !arg[10].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[10].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  if ( !(arg[11].isVector() && arg[11].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[11].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
  }
  if ( !arg[14].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[14].asDouble();
  if ( !(arg[15].isVector() && arg[15].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[15].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp7[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->IntersectPolygonWithPolygon(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:IntersectConvex2DCells vtkPolygonIntersectConvex2DCellsFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkPolygonIntersectConvex2DCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int IntersectConvex2DCells (vtkCell *cell1, vtkCell *cell2, double tol, double p0[3], double p1[3]); */
  if (arg.size() < 6) 
    throw Exception("Function IntersectConvex2DCells for class vtkPolygon requires 6 argument(s)");
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  vtkCell  *temp1;
  double   temp2;
  double temp3[3];
  double temp4[3];
  int      temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp1 = GetVTKPointer<vtkCell>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->IntersectConvex2DCells(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygon:Triangulate vtkPolygonTriangulateFunction
//input varargin
//output varargout
ArrayVector vtkPolygonTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkPoints"))
    return vtkPolygonTriangulate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkIdList"))
    return vtkPolygonTriangulate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolygonTriangulate");
}

//@@Signature
//sfunction @vtkPolygon:ComputeArea vtkPolygonComputeAreaFunction
//input varargin
//output varargout
ArrayVector vtkPolygonComputeAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPolygonComputeArea__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolygonComputeArea");
}

//@@Signature
//sfunction @vtkPolygon:ComputeNormal vtkPolygonComputeNormalFunction
//input varargin
//output varargout
ArrayVector vtkPolygonComputeNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkPoints") && VTKIsVectorArg(arg[2]))
    return vtkPolygonComputeNormal__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkIdTypeArray") && VTKIsClass(arg[2],"vtkPoints") && VTKIsVectorArg(arg[3]))
    return vtkPolygonComputeNormal__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkPolygonComputeNormal__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolygonComputeNormal");
}

//@@Signature
//sfunction @vtkPolygon:display vtkPolygonDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolygonDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolygon* vtk_pointer = GetVTKPointer<vtkPolygon>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolygon:delete vtkPolygonDeleteFunction
//input varargin
//output none
ArrayVector vtkPolygonDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolygon
//@@Section VTKFiltering
//@@Usage
// vtkPolygon is a concrete implementation of vtkCell to represent a 2D
// n-sided polygon. The polygons cannot have any internal holes, and cannot
// self-intersect. Define the polygon with n-points ordered in the counter-
// clockwise direction; do not repeat the last point.
//
//To create an instance of class vtkPolygon, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolygon
//@]
//@@Methods
//The class vtkPolygon has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolygon class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolygon = obj.NewInstance ()|
// \item @|vtkPolygon = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetCellType ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetCellDimension ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetEdge (int edgeId)| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetFace (int )| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray tris, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.IsPrimaryCell ()| -  Compute the area of a polygon. This is a convenience function
// which simply calls static double ComputeArea(vtkPoints *p, 
// vtkIdType numPts, vtkIdType *pts, double normal[3]);
// with the appropriate parameters from the instantiated vtkPolygon.
//// \item @|double = obj.ComputeArea ()| -  Compute the area of a polygon. This is a convenience function
// which simply calls static double ComputeArea(vtkPoints *p, 
// vtkIdType numPts, vtkIdType *pts, double normal[3]);
// with the appropriate parameters from the instantiated vtkPolygon.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double sf)| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs)| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.ComputeWeights (double x[3], double weights)| -  Compute interpolation weights using 1/r**2 normalized sum.
// @deprecated Replaced by vtkPolygon::InterpolateFunctions as of VTK 5.2
//// \item @|int = obj.Triangulate (vtkIdList outTris)| -  Triangulate this polygon. The user must provide the vtkIdList outTris.
// On output, the outTris list contains the ids of the points defining
// the triangulation. The ids are ordered into groups of three: each
// three-group defines one triangle.
//// \item @|int = obj.NonDegenerateTriangulate (vtkIdList outTris)| -  Same as Triangulate(vtkIdList *outTris)
// but with a first pass to split the polygon into non-degenerate polygons.
////\end{itemize}
//!
