#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProcessObject object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProcessObject.h"

//@@Signature
//sfunction @vtkProcessObject:vtkProcessObject vtkProcessObjectConstructorFunction
//input a
//output p
//@@Parents vtkProcessObject vtkAlgorithm 
ArrayVector vtkProcessObjectConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProcessObject::New(),"vtkProcessObject",eval);
  } else if (arg[0].className() == "vtkProcessObject") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProcessObject"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProcessObject");
    vtkProcessObject*q = reinterpret_cast<vtkProcessObject*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProcessObject");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProcessObject:GetClassName vtkProcessObjectGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProcessObjectGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProcessObject requires 1 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:IsA vtkProcessObjectIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProcessObjectIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProcessObject requires 2 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:NewInstance vtkProcessObjectNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProcessObjectNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcessObject *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProcessObject requires 1 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  vtkProcessObject  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcessObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:SafeDownCast vtkProcessObjectSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProcessObjectSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcessObject *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProcessObject requires 2 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProcessObject  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcessObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:GetNumberOfInputs vtkProcessObjectGetNumberOfInputsFunction
//input a0 
//output y
ArrayVector vtkProcessObjectGetNumberOfInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfInputs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfInputs for class vtkProcessObject requires 1 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfInputs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:SqueezeInputArray vtkProcessObjectSqueezeInputArrayFunction
//input a0 
//output none
ArrayVector vtkProcessObjectSqueezeInputArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SqueezeInputArray (); */
  if (arg.size() < 1) 
    throw Exception("Function SqueezeInputArray for class vtkProcessObject requires 1 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  vtk_pointer->SqueezeInputArray();
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:RemoveAllInputs vtkProcessObjectRemoveAllInputsFunction
//input a0 
//output none
ArrayVector vtkProcessObjectRemoveAllInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllInputs (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllInputs for class vtkProcessObject requires 1 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllInputs();
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:SetInputConnection__1 vtkProcessObjectSetInputConnection__1Function
//input a0 a1 
//output none
ArrayVector vtkProcessObjectSetInputConnection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputConnection (vtkAlgorithmOutput *input);this vtkAlgorithm SetInputConnection input  */
  if (arg.size() < 2) 
    throw Exception("Function SetInputConnection__1 for class vtkProcessObject requires 2 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetInputConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:SetInputConnection__2 vtkProcessObjectSetInputConnection__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkProcessObjectSetInputConnection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputConnection (int port, vtkAlgorithmOutput *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputConnection__2 for class vtkProcessObject requires 3 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->SetInputConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:AddInputConnection__1 vtkProcessObjectAddInputConnection__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkProcessObjectAddInputConnection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddInputConnection (int port, vtkAlgorithmOutput *input); */
  if (arg.size() < 3) 
    throw Exception("Function AddInputConnection__1 for class vtkProcessObject requires 3 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->AddInputConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:AddInputConnection__2 vtkProcessObjectAddInputConnection__2Function
//input a0 a1 
//output none
ArrayVector vtkProcessObjectAddInputConnection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddInputConnection (vtkAlgorithmOutput *input);this AddInputConnection input  */
  if (arg.size() < 2) 
    throw Exception("Function AddInputConnection__2 for class vtkProcessObject requires 2 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->AddInputConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:RemoveInputConnection vtkProcessObjectRemoveInputConnectionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkProcessObjectRemoveInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveInputConnection (int port, vtkAlgorithmOutput *input); */
  if (arg.size() < 3) 
    throw Exception("Function RemoveInputConnection for class vtkProcessObject requires 3 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->RemoveInputConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:SetNthInputConnection vtkProcessObjectSetNthInputConnectionFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProcessObjectSetNthInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input); */
  if (arg.size() < 4) 
    throw Exception("Function SetNthInputConnection for class vtkProcessObject requires 4 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkAlgorithmOutput>(arg[3]);
  vtk_pointer->SetNthInputConnection(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:SetNumberOfInputConnections vtkProcessObjectSetNumberOfInputConnectionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkProcessObjectSetNumberOfInputConnectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfInputConnections (int port, int n); */
  if (arg.size() < 3) 
    throw Exception("Function SetNumberOfInputConnections for class vtkProcessObject requires 3 argument(s)");
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetNumberOfInputConnections(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProcessObject:SetInputConnection vtkProcessObjectSetInputConnectionFunction
//input varargin
//output varargout
ArrayVector vtkProcessObjectSetInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAlgorithmOutput"))
    return vtkProcessObjectSetInputConnection__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkAlgorithmOutput"))
    return vtkProcessObjectSetInputConnection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProcessObjectSetInputConnection");
}

//@@Signature
//sfunction @vtkProcessObject:AddInputConnection vtkProcessObjectAddInputConnectionFunction
//input varargin
//output varargout
ArrayVector vtkProcessObjectAddInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkAlgorithmOutput"))
    return vtkProcessObjectAddInputConnection__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAlgorithmOutput"))
    return vtkProcessObjectAddInputConnection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProcessObjectAddInputConnection");
}

//@@Signature
//sfunction @vtkProcessObject:display vtkProcessObjectDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProcessObjectDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProcessObject* vtk_pointer = GetVTKPointer<vtkProcessObject>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProcessObject:delete vtkProcessObjectDeleteFunction
//input varargin
//output none
ArrayVector vtkProcessObjectDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProcessObject
//@@Section VTKFiltering
//@@Usage
// vtkProcessObject is an abstract object that specifies behavior and
// interface of visualization network process objects (sources, filters,
// mappers). Source objects are creators of visualization data; filters
// input, process, and output visualization data; and mappers transform data
// into another form (like rendering primitives or write data to a file).
//
// vtkProcessObject fires events for Start and End events before and after
// object execution (via Execute()). These events can be used for any purpose
// (e.g., debugging info, highlighting/notifying user interface, etc.)
//
// Another event, Progress, can be observed. Some filters fire this 
// event periodically during their execution. The use is similar to that of 
// Start and End events. Filters may also check their AbortExecute
// flag to determine whether to prematurely end their execution.
//
// An important feature of subclasses of vtkProcessObject is that it is
// possible to control the memory-management model (i.e., retain output
// versus delete output data). If enabled the ReleaseDataFlag enables the
// deletion of the output data once the downstream process object finishes
// processing the data (please see text).  
//
//
//To create an instance of class vtkProcessObject, simply
//invoke its constructor as follows
//@[
//  obj = vtkProcessObject
//@]
//@@Methods
//The class vtkProcessObject has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProcessObject class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProcessObject = obj.NewInstance ()|
// \item @|vtkProcessObject = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfInputs ()| -  Return an array with all the inputs of this process object.
// This is useful for tracing back in the pipeline to construct
// graphs etc.
//// \item @|obj.SqueezeInputArray ()| -  This method will rearrange the input array so that all NULL entries 
// are removed.
//// \item @|obj.RemoveAllInputs ()| -  Remove all the input data.
//// \item @|obj.SetInputConnection (vtkAlgorithmOutput input)| -  Reimplemented from vtkAlgorithm to maintain backward
// compatibility for vtkProcessObject.
//// \item @|obj.SetInputConnection (int port, vtkAlgorithmOutput input)| -  Reimplemented from vtkAlgorithm to maintain backward
// compatibility for vtkProcessObject.
//// \item @|obj.AddInputConnection (int port, vtkAlgorithmOutput input)| -  Reimplemented from vtkAlgorithm to maintain backward
// compatibility for vtkProcessObject.
//// \item @|obj.AddInputConnection (vtkAlgorithmOutput input)| -  Reimplemented from vtkAlgorithm to maintain backward
// compatibility for vtkProcessObject.
//// \item @|obj.RemoveInputConnection (int port, vtkAlgorithmOutput input)| -  Reimplemented from vtkAlgorithm to maintain backward
// compatibility for vtkProcessObject.
//// \item @|obj.SetNthInputConnection (int port, int index, vtkAlgorithmOutput input)| -  Reimplemented from vtkAlgorithm to maintain backward
// compatibility for vtkProcessObject.
//// \item @|obj.SetNumberOfInputConnections (int port, int n)| -  Reimplemented from vtkAlgorithm to maintain backward
// compatibility for vtkProcessObject.
////\end{itemize}
//!
