#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPropAssembly object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPropAssembly.h"

//@@Signature
//sfunction @vtkPropAssembly:vtkPropAssembly vtkPropAssemblyConstructorFunction
//input a
//output p
//@@Parents vtkPropAssembly vtkProp 
ArrayVector vtkPropAssemblyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPropAssembly::New(),"vtkPropAssembly",eval);
  } else if (arg[0].className() == "vtkPropAssembly") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPropAssembly"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPropAssembly");
    vtkPropAssembly*q = reinterpret_cast<vtkPropAssembly*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPropAssembly");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPropAssembly:GetClassName vtkPropAssemblyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPropAssemblyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPropAssembly requires 1 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:IsA vtkPropAssemblyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPropAssemblyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPropAssembly requires 2 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:NewInstance vtkPropAssemblyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPropAssemblyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropAssembly *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPropAssembly requires 1 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkPropAssembly  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropAssembly",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:SafeDownCast vtkPropAssemblySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPropAssemblySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropAssembly *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPropAssembly requires 2 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPropAssembly  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropAssembly",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:AddPart vtkPropAssemblyAddPartFunction
//input a0 a1 
//output none
ArrayVector vtkPropAssemblyAddPartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddPart (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function AddPart for class vtkPropAssembly requires 2 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddPart(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:RemovePart vtkPropAssemblyRemovePartFunction
//input a0 a1 
//output none
ArrayVector vtkPropAssemblyRemovePartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemovePart (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function RemovePart for class vtkPropAssembly requires 2 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->RemovePart(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:GetParts vtkPropAssemblyGetPartsFunction
//input a0 
//output y
ArrayVector vtkPropAssemblyGetPartsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropCollection *GetParts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParts for class vtkPropAssembly requires 1 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkPropCollection  *temp20;
  temp20 = (vtk_pointer)->GetParts();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:RenderOpaqueGeometry vtkPropAssemblyRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkPropAssemblyRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *ren); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkPropAssembly requires 2 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:RenderTranslucentPolygonalGeometry vtkPropAssemblyRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkPropAssemblyRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *ren); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkPropAssembly requires 2 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:RenderVolumetricGeometry vtkPropAssemblyRenderVolumetricGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkPropAssemblyRenderVolumetricGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderVolumetricGeometry (vtkViewport *ren); */
  if (arg.size() < 2) 
    throw Exception("Function RenderVolumetricGeometry for class vtkPropAssembly requires 2 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderVolumetricGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:RenderOverlay vtkPropAssemblyRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkPropAssemblyRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOverlay (vtkViewport *ren); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkPropAssembly requires 2 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:HasTranslucentPolygonalGeometry vtkPropAssemblyHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkPropAssemblyHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkPropAssembly requires 1 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:ReleaseGraphicsResources vtkPropAssemblyReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkPropAssemblyReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkPropAssembly requires 2 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:GetBounds vtkPropAssemblyGetBoundsFunction
//input a0 
//output y
ArrayVector vtkPropAssemblyGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkPropAssembly requires 1 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:ShallowCopy vtkPropAssemblyShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPropAssemblyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *Prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkPropAssembly requires 2 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:GetMTime vtkPropAssemblyGetMTimeFunction
//input a0 
//output y
ArrayVector vtkPropAssemblyGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkPropAssembly requires 1 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:InitPathTraversal vtkPropAssemblyInitPathTraversalFunction
//input a0 
//output none
ArrayVector vtkPropAssemblyInitPathTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitPathTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitPathTraversal for class vtkPropAssembly requires 1 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtk_pointer->InitPathTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:GetNextPath vtkPropAssemblyGetNextPathFunction
//input a0 
//output y
ArrayVector vtkPropAssemblyGetNextPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPath *GetNextPath (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextPath for class vtkPropAssembly requires 1 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp20;
  temp20 = (vtk_pointer)->GetNextPath();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:GetNumberOfPaths vtkPropAssemblyGetNumberOfPathsFunction
//input a0 
//output y
ArrayVector vtkPropAssemblyGetNumberOfPathsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPaths (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPaths for class vtkPropAssembly requires 1 argument(s)");
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPaths();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropAssembly:display vtkPropAssemblyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPropAssemblyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPropAssembly* vtk_pointer = GetVTKPointer<vtkPropAssembly>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPropAssembly:delete vtkPropAssemblyDeleteFunction
//input varargin
//output none
ArrayVector vtkPropAssemblyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPropAssembly
//@@Section VTKFiltering
//@@Usage
// vtkPropAssembly is an object that groups props and other prop assemblies
// into a tree-like hierarchy. The props can then be treated as a group
// (e.g., turning visibility on and off).
//
// A vtkPropAssembly object can be used in place of an vtkProp since it is a
// subclass of vtkProp. The difference is that vtkPropAssembly maintains a
// list of other prop and prop assembly instances (its "parts") that form the
// assembly. Note that this process is recursive: you can create groups 
// consisting of prop assemblies to arbitrary depth.
//
// vtkPropAssembly's and vtkProp's that compose a prop assembly need not be
// added to a renderer's list of props, as long as the parent assembly is in
// the prop list. This is because they are automatically renderered during
// the hierarchical traversal process.
//
//To create an instance of class vtkPropAssembly, simply
//invoke its constructor as follows
//@[
//  obj = vtkPropAssembly
//@]
//@@Methods
//The class vtkPropAssembly has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPropAssembly class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPropAssembly = obj.NewInstance ()|
// \item @|vtkPropAssembly = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddPart (vtkProp )| -  Add a part to the list of parts.
//// \item @|obj.RemovePart (vtkProp )| -  Remove a part from the list of parts,
//// \item @|vtkPropCollection = obj.GetParts ()| -  Return the list of parts.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport ren)| -  Render this assembly and all its parts.  The rendering process is
// recursive. The parts of each assembly are rendered only if the
// visibility for the prop is turned on.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport ren)| -  Render this assembly and all its parts.  The rendering process is
// recursive. The parts of each assembly are rendered only if the
// visibility for the prop is turned on.
//// \item @|int = obj.RenderVolumetricGeometry (vtkViewport ren)| -  Render this assembly and all its parts.  The rendering process is
// recursive. The parts of each assembly are rendered only if the
// visibility for the prop is turned on.
//// \item @|int = obj.RenderOverlay (vtkViewport ren)| -  Render this assembly and all its parts.  The rendering process is
// recursive. The parts of each assembly are rendered only if the
// visibility for the prop is turned on.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|double = obj.GetBounds ()| -  Get the bounds for this prop assembly as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).
// May return NULL in some cases (meaning the bounds is undefined).
//// \item @|obj.ShallowCopy (vtkProp Prop)| -  Shallow copy of this vtkPropAssembly.
//// \item @|long = obj.GetMTime ()| -  Override default GetMTime method to also consider all of the
// prop assembly's parts.
//// \item @|obj.InitPathTraversal ()| -  Methods to traverse the paths (i.e., leaf nodes) of a prop
// assembly. These methods should be contrasted to those that traverse the
// list of parts using GetParts().  GetParts() returns a list of children
// of this assembly, not necessarily the leaf nodes of the assembly. To use
// the methods below - first invoke InitPathTraversal() followed by
// repeated calls to GetNextPath().  GetNextPath() returns a NULL pointer
// when the list is exhausted. (See the superclass vtkProp for more
// information about paths.)
//// \item @|vtkAssemblyPath = obj.GetNextPath ()| -  Methods to traverse the paths (i.e., leaf nodes) of a prop
// assembly. These methods should be contrasted to those that traverse the
// list of parts using GetParts().  GetParts() returns a list of children
// of this assembly, not necessarily the leaf nodes of the assembly. To use
// the methods below - first invoke InitPathTraversal() followed by
// repeated calls to GetNextPath().  GetNextPath() returns a NULL pointer
// when the list is exhausted. (See the superclass vtkProp for more
// information about paths.)
//// \item @|int = obj.GetNumberOfPaths ()| -  Methods to traverse the paths (i.e., leaf nodes) of a prop
// assembly. These methods should be contrasted to those that traverse the
// list of parts using GetParts().  GetParts() returns a list of children
// of this assembly, not necessarily the leaf nodes of the assembly. To use
// the methods below - first invoke InitPathTraversal() followed by
// repeated calls to GetNextPath().  GetNextPath() returns a NULL pointer
// when the list is exhausted. (See the superclass vtkProp for more
// information about paths.)
////\end{itemize}
//!
