#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQuadraticLinearWedge object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQuadraticLinearWedge.h"

//@@Signature
//sfunction @vtkQuadraticLinearWedge:vtkQuadraticLinearWedge vtkQuadraticLinearWedgeConstructorFunction
//input a
//output p
//@@Parents vtkQuadraticLinearWedge vtkNonLinearCell 
ArrayVector vtkQuadraticLinearWedgeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQuadraticLinearWedge::New(),"vtkQuadraticLinearWedge",eval);
  } else if (arg[0].className() == "vtkQuadraticLinearWedge") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQuadraticLinearWedge"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQuadraticLinearWedge");
    vtkQuadraticLinearWedge*q = reinterpret_cast<vtkQuadraticLinearWedge*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQuadraticLinearWedge");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQuadraticLinearWedge:GetClassName vtkQuadraticLinearWedgeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQuadraticLinearWedgeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQuadraticLinearWedge requires 1 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:IsA vtkQuadraticLinearWedgeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQuadraticLinearWedgeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQuadraticLinearWedge requires 2 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:NewInstance vtkQuadraticLinearWedgeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQuadraticLinearWedgeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadraticLinearWedge *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQuadraticLinearWedge requires 1 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  vtkQuadraticLinearWedge  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadraticLinearWedge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:SafeDownCast vtkQuadraticLinearWedgeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQuadraticLinearWedgeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadraticLinearWedge *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQuadraticLinearWedge requires 2 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQuadraticLinearWedge  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadraticLinearWedge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:GetCellType vtkQuadraticLinearWedgeGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkQuadraticLinearWedgeGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType ();return VTK_QUADRATIC_LINEAR_WEDGE  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkQuadraticLinearWedge requires 1 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:GetCellDimension vtkQuadraticLinearWedgeGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkQuadraticLinearWedgeGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkQuadraticLinearWedge requires 1 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:GetNumberOfEdges vtkQuadraticLinearWedgeGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkQuadraticLinearWedgeGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkQuadraticLinearWedge requires 1 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:GetNumberOfFaces vtkQuadraticLinearWedgeGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkQuadraticLinearWedgeGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkQuadraticLinearWedge requires 1 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:GetEdge vtkQuadraticLinearWedgeGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkQuadraticLinearWedgeGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int edgeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkQuadraticLinearWedge requires 2 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:GetFace vtkQuadraticLinearWedgeGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkQuadraticLinearWedgeGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int faceId); */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkQuadraticLinearWedge requires 2 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:CellBoundary vtkQuadraticLinearWedgeCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkQuadraticLinearWedgeCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkQuadraticLinearWedge requires 4 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:Contour vtkQuadraticLinearWedgeContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkQuadraticLinearWedgeContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkQuadraticLinearWedge requires 12 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:Triangulate vtkQuadraticLinearWedgeTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkQuadraticLinearWedgeTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkQuadraticLinearWedge requires 4 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:Derivatives vtkQuadraticLinearWedgeDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkQuadraticLinearWedgeDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkQuadraticLinearWedge requires 6 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:Clip vtkQuadraticLinearWedgeClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkQuadraticLinearWedgeClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *tetras, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut); */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkQuadraticLinearWedge requires 11 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:GetParametricCenter vtkQuadraticLinearWedgeGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkQuadraticLinearWedgeGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParametricCenter (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkQuadraticLinearWedge requires 2 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:InterpolationFunctions vtkQuadraticLinearWedgeInterpolationFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQuadraticLinearWedgeInterpolationFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationFunctions (double pcoords[3], double weights[15]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationFunctions for class vtkQuadraticLinearWedge requires 3 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[15];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 15) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:InterpolationDerivs vtkQuadraticLinearWedgeInterpolationDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQuadraticLinearWedgeInterpolationDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationDerivs (double pcoords[3], double derivs[45]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationDerivs for class vtkQuadraticLinearWedge requires 3 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[45];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 45) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:InterpolateFunctions vtkQuadraticLinearWedgeInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQuadraticLinearWedgeInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double weights[15]);vtkQuadraticLinearWedge InterpolationFunctions pcoords weights  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkQuadraticLinearWedge requires 3 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[15];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 15) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:InterpolateDerivs vtkQuadraticLinearWedgeInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQuadraticLinearWedgeInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double derivs[45]);vtkQuadraticLinearWedge InterpolationDerivs pcoords derivs  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkQuadraticLinearWedge requires 3 argument(s)");
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[45];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 45) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraticLinearWedge:display vtkQuadraticLinearWedgeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQuadraticLinearWedgeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQuadraticLinearWedge* vtk_pointer = GetVTKPointer<vtkQuadraticLinearWedge>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQuadraticLinearWedge:delete vtkQuadraticLinearWedgeDeleteFunction
//input varargin
//output none
ArrayVector vtkQuadraticLinearWedgeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQuadraticLinearWedge
//@@Section VTKFiltering
//@@Usage
// vtkQuadraticLinearWedge is a concrete implementation of vtkNonLinearCell to
// represent a three-dimensional, 12-node isoparametric linear quadratic
// wedge. The interpolation is the standard finite element, quadratic
// isoparametric shape function in xy - layer and the linear functions in z - direction. 
// The cell includes mid-edge node in the triangle edges. The
// ordering of the 12 points defining the cell is point ids (0-5,6-12)
// where point ids 0-5 are the six corner vertices of the wedge; followed by
// six midedge nodes (6-12). Note that these midedge nodes correspond lie
// on the edges defined by (0,1), (1,2), (2,0), (3,4), (4,5), (5,3).
// The Edges (0,3), (1,4), (2,5) dont have midedge nodes.
//
//
//To create an instance of class vtkQuadraticLinearWedge, simply
//invoke its constructor as follows
//@[
//  obj = vtkQuadraticLinearWedge
//@]
//@@Methods
//The class vtkQuadraticLinearWedge has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQuadraticLinearWedge class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQuadraticLinearWedge = obj.NewInstance ()|
// \item @|vtkQuadraticLinearWedge = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetCellType ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.GetCellDimension ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|vtkCell = obj.GetEdge (int edgeId)| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|vtkCell = obj.GetFace (int faceId)| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)|
// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)| -  The quadratic linear wege is splitted into 4 linear wedges,
// each of them is contoured by a provided scalar value
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)| -  The quadratic linear wege is splitted into 4 linear wedges,
// each of them is contoured by a provided scalar value
//// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)| -  The quadratic linear wege is splitted into 4 linear wedges,
// each of them is contoured by a provided scalar value
//// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray tetras, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  Clip this quadratic linear wedge using scalar value provided. Like
// contouring, except that it cuts the hex to produce linear
// tetrahedron.
//// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  Return the center of the quadratic linear wedge in parametric coordinates.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double weights[15])| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs[45])| -  Return the ids of the vertices defining edge/face (`edgeId`/`faceId').
// Ids are related to the cell, not to the dataset.
////\end{itemize}
//!
