#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRectilinearGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRectilinearGrid.h"

//@@Signature
//sfunction @vtkRectilinearGrid:vtkRectilinearGrid vtkRectilinearGridConstructorFunction
//input a
//output p
//@@Parents vtkRectilinearGrid vtkDataSet 
ArrayVector vtkRectilinearGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRectilinearGrid::New(),"vtkRectilinearGrid",eval);
  } else if (arg[0].className() == "vtkRectilinearGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRectilinearGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRectilinearGrid");
    vtkRectilinearGrid*q = reinterpret_cast<vtkRectilinearGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRectilinearGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRectilinearGrid:GetClassName vtkRectilinearGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:IsA vtkRectilinearGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:NewInstance vtkRectilinearGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:SafeDownCast vtkRectilinearGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRectilinearGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetDataObjectType vtkRectilinearGridGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType ();return VTK_RECTILINEAR_GRID  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:CopyStructure vtkRectilinearGridCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyStructure (vtkDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:Initialize vtkRectilinearGridInitializeFunction
//input a0 
//output none
ArrayVector vtkRectilinearGridInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetNumberOfCells vtkRectilinearGridGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetNumberOfPoints vtkRectilinearGridGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetPoint__1 vtkRectilinearGridGetPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridGetPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint__1 for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPoint(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetPoint__2 vtkRectilinearGridGetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRectilinearGridGetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint (vtkIdType id, double x[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetPoint__2 for class vtkRectilinearGrid requires 3 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetCell__1 vtkRectilinearGridGetCell__1Function
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridGetCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetCell (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCell__1 for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetCell__2 vtkRectilinearGridGetCell__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRectilinearGridGetCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCell (vtkIdType cellId, vtkGenericCell *cell); */
  if (arg.size() < 3) 
    throw Exception("Function GetCell__2 for class vtkRectilinearGrid requires 3 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  vtk_pointer->GetCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetCellBounds vtkRectilinearGridGetCellBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRectilinearGridGetCellBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellBounds (vtkIdType cellId, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellBounds for class vtkRectilinearGrid requires 3 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[6];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetCellBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:FindPoint__1 vtkRectilinearGridFindPoint__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkRectilinearGridFindPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType FindPoint (double x, double y, double z);return this vtkDataSet FindPoint x y z  */
  if (arg.size() < 4) 
    throw Exception("Function FindPoint__1 for class vtkRectilinearGrid requires 4 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->FindPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:FindPoint__2 vtkRectilinearGridFindPoint__2Function
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridFindPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType FindPoint (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function FindPoint__2 for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->FindPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetCellType vtkRectilinearGridGetCellTypeFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellType for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetCellPoints vtkRectilinearGridGetCellPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRectilinearGridGetCellPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);vtkStructuredData GetCellPoints cellId ptIds this DataDescription this Dimensions  */
  if (arg.size() < 3) 
    throw Exception("Function GetCellPoints for class vtkRectilinearGrid requires 3 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetCellPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetPointCells vtkRectilinearGridGetPointCellsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRectilinearGridGetPointCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);vtkStructuredData GetPointCells ptId cellIds this Dimensions  */
  if (arg.size() < 3) 
    throw Exception("Function GetPointCells for class vtkRectilinearGrid requires 3 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetPointCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:ComputeBounds vtkRectilinearGridComputeBoundsFunction
//input a0 
//output none
ArrayVector vtkRectilinearGridComputeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeBounds for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtk_pointer->ComputeBounds();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetMaxCellSize vtkRectilinearGridGetMaxCellSizeFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetMaxCellSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxCellSize ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellSize for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetCellNeighbors__1 vtkRectilinearGridGetCellNeighbors__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRectilinearGridGetCellNeighbors__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds); */
  if (arg.size() < 4) 
    throw Exception("Function GetCellNeighbors__1 for class vtkRectilinearGrid requires 4 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  vtk_pointer->GetCellNeighbors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:SetDimensions__1 vtkRectilinearGridSetDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRectilinearGridSetDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensions (int i, int j, int k); */
  if (arg.size() < 4) 
    throw Exception("Function SetDimensions__1 for class vtkRectilinearGrid requires 4 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:SetDimensions__2 vtkRectilinearGridSetDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridSetDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensions (int dim[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensions__2 for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetDimensions vtkRectilinearGridGetDimensionsFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensions for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetDataDimension vtkRectilinearGridGetDataDimensionFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetDataDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataDimension for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:ComputeStructuredCoordinates vtkRectilinearGridComputeStructuredCoordinatesFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkRectilinearGridComputeStructuredCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ComputeStructuredCoordinates (double x[3], int ijk[3], double pcoords[3]); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeStructuredCoordinates for class vtkRectilinearGrid requires 4 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  double temp0[3];
  int    temp1[3];
  double temp2[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeStructuredCoordinates(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:ComputePointId vtkRectilinearGridComputePointIdFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridComputePointIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType ComputePointId (int ijk[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ComputePointId for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int    temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputePointId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:ComputeCellId vtkRectilinearGridComputeCellIdFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridComputeCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType ComputeCellId (int ijk[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeCellId for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int    temp0[3];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeCellId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:SetXCoordinates vtkRectilinearGridSetXCoordinatesFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridSetXCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetXCoordinates (vtkDataArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXCoordinates for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetXCoordinates(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetXCoordinates vtkRectilinearGridGetXCoordinatesFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetXCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetXCoordinates (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXCoordinates for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetXCoordinates();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:SetYCoordinates vtkRectilinearGridSetYCoordinatesFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridSetYCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetYCoordinates (vtkDataArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYCoordinates for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetYCoordinates(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetYCoordinates vtkRectilinearGridGetYCoordinatesFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetYCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetYCoordinates (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYCoordinates for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetYCoordinates();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:SetZCoordinates vtkRectilinearGridSetZCoordinatesFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridSetZCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetZCoordinates (vtkDataArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZCoordinates for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetZCoordinates(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetZCoordinates vtkRectilinearGridGetZCoordinatesFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetZCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetZCoordinates (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZCoordinates for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetZCoordinates();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:SetExtent__1 vtkRectilinearGridSetExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__1 for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:SetExtent__2 vtkRectilinearGridSetExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkRectilinearGridSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__2 for class vtkRectilinearGrid requires 7 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetExtent vtkRectilinearGridGetExtentFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtent for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetActualMemorySize vtkRectilinearGridGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:ShallowCopy vtkRectilinearGridShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:DeepCopy vtkRectilinearGridDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkRectilinearGrid requires 2 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetExtentType vtkRectilinearGridGetExtentTypeFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGetExtentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtentType ();return VTK_3D_EXTENT  */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentType for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtentType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:Crop vtkRectilinearGridCropFunction
//input a0 
//output none
ArrayVector vtkRectilinearGridCropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Crop (); */
  if (arg.size() < 1) 
    throw Exception("Function Crop for class vtkRectilinearGrid requires 1 argument(s)");
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  Array retval;
  vtk_pointer->Crop();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetPoint vtkRectilinearGridGetPointFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRectilinearGridGetPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkRectilinearGridGetPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridGetPoint");
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetCell vtkRectilinearGridGetCellFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridGetCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRectilinearGridGetCell__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericCell"))
    return vtkRectilinearGridGetCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridGetCell");
}

//@@Signature
//sfunction @vtkRectilinearGrid:FindPoint vtkRectilinearGridFindPointFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridFindPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkRectilinearGridFindPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRectilinearGridFindPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridFindPoint");
}

//@@Signature
//sfunction @vtkRectilinearGrid:FindCell vtkRectilinearGridFindCellFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridFindCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridFindCell");
}

//@@Signature
//sfunction @vtkRectilinearGrid:GetCellNeighbors vtkRectilinearGridGetCellNeighborsFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridGetCellNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkIdList"))
    return vtkRectilinearGridGetCellNeighbors__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridGetCellNeighbors");
}

//@@Signature
//sfunction @vtkRectilinearGrid:SetDimensions vtkRectilinearGridSetDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridSetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkRectilinearGridSetDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRectilinearGridSetDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridSetDimensions");
}

//@@Signature
//sfunction @vtkRectilinearGrid:SetExtent vtkRectilinearGridSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRectilinearGridSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkRectilinearGridSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridSetExtent");
}

//@@Signature
//sfunction @vtkRectilinearGrid:display vtkRectilinearGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRectilinearGrid* vtk_pointer = GetVTKPointer<vtkRectilinearGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRectilinearGrid:delete vtkRectilinearGridDeleteFunction
//input varargin
//output none
ArrayVector vtkRectilinearGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRectilinearGrid
//@@Section VTKFiltering
//@@Usage
// vtkRectilinearGrid is a data object that is a concrete implementation of
// vtkDataSet. vtkRectilinearGrid represents a geometric structure that is 
// topologically regular with variable spacing in the three coordinate
// directions x-y-z.
//
// To define a vtkRectilinearGrid, you must specify the dimensions of the
// data and provide three arrays of values specifying the coordinates 
// along the x-y-z axes. The coordinate arrays are specified using three 
// vtkDataArray objects (one for x, one for y, one for z).
//
//To create an instance of class vtkRectilinearGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkRectilinearGrid
//@]
//@@Methods
//The class vtkRectilinearGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRectilinearGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRectilinearGrid = obj.NewInstance ()|
// \item @|vtkRectilinearGrid = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()| -  Return what type of dataset this is.
//// \item @|obj.CopyStructure (vtkDataSet ds)| -  Copy the geometric and topological structure of an input rectilinear grid
// object.
//// \item @|obj.Initialize ()| -  Restore object to initial state. Release memory back to system.
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|double = obj.GetPoint (vtkIdType ptId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetPoint (vtkIdType id, double x[3])| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkCell = obj.GetCell (vtkIdType cellId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCell (vtkIdType cellId, vtkGenericCell cell)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCellBounds (vtkIdType cellId, double bounds[6])| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkIdType = obj.FindPoint (double x, double y, double z)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkIdType = obj.FindPoint (double x[3])| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|int = obj.GetCellType (vtkIdType cellId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCellPoints (vtkIdType cellId, vtkIdList ptIds)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetPointCells (vtkIdType ptId, vtkIdList cellIds)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.ComputeBounds ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|int = obj.GetMaxCellSize ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCellNeighbors (vtkIdType cellId, vtkIdList ptIds, vtkIdList cellIds)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.SetDimensions (int i, int j, int k)| -  Set dimensions of rectilinear grid dataset.
// This also sets the extent.
//// \item @|obj.SetDimensions (int dim[3])| -  Set dimensions of rectilinear grid dataset.
// This also sets the extent.
//// \item @|int = obj. GetDimensions ()| -  Get dimensions of this rectilinear grid dataset.
//// \item @|int = obj.GetDataDimension ()| -  Return the dimensionality of the data.
//// \item @|int = obj.ComputeStructuredCoordinates (double x[3], int ijk[3], double pcoords[3])| -  Convenience function computes the structured coordinates for a point x[3].
// The cell is specified by the array ijk[3], and the parametric coordinates
// in the cell are specified with pcoords[3]. The function returns a 0 if the
// point x is outside of the grid, and a 1 if inside the grid.
//// \item @|vtkIdType = obj.ComputePointId (int ijk[3])| -  Given a location in structured coordinates (i-j-k), return the point id.
//// \item @|vtkIdType = obj.ComputeCellId (int ijk[3])| -  Given a location in structured coordinates (i-j-k), return the cell id.
//// \item @|obj.SetXCoordinates (vtkDataArray )| -  Specify the grid coordinates in the x-direction.
//// \item @|vtkDataArray = obj.GetXCoordinates ()| -  Specify the grid coordinates in the x-direction.
//// \item @|obj.SetYCoordinates (vtkDataArray )| -  Specify the grid coordinates in the y-direction.
//// \item @|vtkDataArray = obj.GetYCoordinates ()| -  Specify the grid coordinates in the y-direction.
//// \item @|obj.SetZCoordinates (vtkDataArray )| -  Specify the grid coordinates in the z-direction.
//// \item @|vtkDataArray = obj.GetZCoordinates ()| -  Specify the grid coordinates in the z-direction.
//// \item @|obj.SetExtent (int extent[6])| -  Different ways to set the extent of the data array.  The extent
// should be set before the "Scalars" are set or allocated.
// The Extent is stored  in the order (X, Y, Z).
//// \item @|obj.SetExtent (int x1, int x2, int y1, int y2, int z1, int z2)| -  Different ways to set the extent of the data array.  The extent
// should be set before the "Scalars" are set or allocated.
// The Extent is stored  in the order (X, Y, Z).
//// \item @|int = obj. GetExtent ()| -  Different ways to set the extent of the data array.  The extent
// should be set before the "Scalars" are set or allocated.
// The Extent is stored  in the order (X, Y, Z).
//// \item @|long = obj.GetActualMemorySize ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value). THIS METHOD
// IS THREAD SAFE.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|int = obj.GetExtentType ()| -  Structured extent. The extent type is a 3D extent
//// \item @|obj.Crop ()| -  Reallocates and copies to set the Extent to the UpdateExtent.
// This is used internally when the exact extent is requested, 
// and the source generated more than the update extent. 
////\end{itemize}
//!
