#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRectilinearGridSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRectilinearGridSource.h"

//@@Signature
//sfunction @vtkRectilinearGridSource:vtkRectilinearGridSource vtkRectilinearGridSourceConstructorFunction
//input a
//output p
//@@Parents vtkRectilinearGridSource vtkSource 
ArrayVector vtkRectilinearGridSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRectilinearGridSource::New(),"vtkRectilinearGridSource",eval);
  } else if (arg[0].className() == "vtkRectilinearGridSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRectilinearGridSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRectilinearGridSource");
    vtkRectilinearGridSource*q = reinterpret_cast<vtkRectilinearGridSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRectilinearGridSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRectilinearGridSource:GetClassName vtkRectilinearGridSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRectilinearGridSource requires 1 argument(s)");
  vtkRectilinearGridSource* vtk_pointer = GetVTKPointer<vtkRectilinearGridSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridSource:IsA vtkRectilinearGridSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRectilinearGridSource requires 2 argument(s)");
  vtkRectilinearGridSource* vtk_pointer = GetVTKPointer<vtkRectilinearGridSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridSource:NewInstance vtkRectilinearGridSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRectilinearGridSource requires 1 argument(s)");
  vtkRectilinearGridSource* vtk_pointer = GetVTKPointer<vtkRectilinearGridSource>(arg[0]);
  Array retval;
  vtkRectilinearGridSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridSource:SafeDownCast vtkRectilinearGridSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRectilinearGridSource requires 2 argument(s)");
  vtkRectilinearGridSource* vtk_pointer = GetVTKPointer<vtkRectilinearGridSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRectilinearGridSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridSource:GetOutput__1 vtkRectilinearGridSourceGetOutput__1Function
//input a0 
//output y
ArrayVector vtkRectilinearGridSourceGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkRectilinearGridSource requires 1 argument(s)");
  vtkRectilinearGridSource* vtk_pointer = GetVTKPointer<vtkRectilinearGridSource>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridSource:GetOutput__2 vtkRectilinearGridSourceGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridSourceGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkRectilinearGridSource requires 2 argument(s)");
  vtkRectilinearGridSource* vtk_pointer = GetVTKPointer<vtkRectilinearGridSource>(arg[0]);
  Array retval;
  int      temp0;
  vtkRectilinearGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridSource:SetOutput vtkRectilinearGridSourceSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridSourceSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkRectilinearGrid *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkRectilinearGridSource requires 2 argument(s)");
  vtkRectilinearGridSource* vtk_pointer = GetVTKPointer<vtkRectilinearGridSource>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp0;
  temp0 = GetVTKPointer<vtkRectilinearGrid>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridSource:GetOutput vtkRectilinearGridSourceGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRectilinearGridSourceGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRectilinearGridSourceGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridSourceGetOutput");
}

//@@Signature
//sfunction @vtkRectilinearGridSource:display vtkRectilinearGridSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRectilinearGridSource* vtk_pointer = GetVTKPointer<vtkRectilinearGridSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRectilinearGridSource:delete vtkRectilinearGridSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkRectilinearGridSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRectilinearGridSource
//@@Section VTKFiltering
//@@Usage
// vtkRectilinearGridSource is an abstract class whose subclasses generate
// rectilinear grid data.
//
//To create an instance of class vtkRectilinearGridSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkRectilinearGridSource
//@]
//@@Methods
//The class vtkRectilinearGridSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRectilinearGridSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRectilinearGridSource = obj.NewInstance ()|
// \item @|vtkRectilinearGridSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkRectilinearGrid = obj.GetOutput ()| -  Get the output of this source.
//// \item @|vtkRectilinearGrid = obj.GetOutput (int idx)| -  Get the output of this source.
//// \item @|obj.SetOutput (vtkRectilinearGrid output)| -  Get the output of this source.
////\end{itemize}
//!
