#include "VTKWrap.hpp"

// FreeMat wrapper for vtkScalarTree object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkScalarTree.h"

//@@Signature
//sfunction @vtkScalarTree:vtkScalarTree vtkScalarTreeConstructorFunction
//input a
//output p
//@@Parents vtkScalarTree vtkObject 
ArrayVector vtkScalarTreeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkScalarTree::New(),"vtkScalarTree",eval);
  } else if (arg[0].className() == "vtkScalarTree") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkScalarTree"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkScalarTree");
    vtkScalarTree*q = reinterpret_cast<vtkScalarTree*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkScalarTree");
    return ret;
  }
}
//@@Signature
//sfunction @vtkScalarTree:GetClassName vtkScalarTreeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkScalarTreeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkScalarTree requires 1 argument(s)");
  vtkScalarTree* vtk_pointer = GetVTKPointer<vtkScalarTree>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarTree:IsA vtkScalarTreeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkScalarTreeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkScalarTree requires 2 argument(s)");
  vtkScalarTree* vtk_pointer = GetVTKPointer<vtkScalarTree>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarTree:NewInstance vtkScalarTreeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkScalarTreeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarTree *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkScalarTree requires 1 argument(s)");
  vtkScalarTree* vtk_pointer = GetVTKPointer<vtkScalarTree>(arg[0]);
  Array retval;
  vtkScalarTree  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarTree:SafeDownCast vtkScalarTreeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkScalarTreeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarTree *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkScalarTree requires 2 argument(s)");
  vtkScalarTree* vtk_pointer = GetVTKPointer<vtkScalarTree>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkScalarTree  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarTree:SetDataSet vtkScalarTreeSetDataSetFunction
//input a0 a1 
//output none
ArrayVector vtkScalarTreeSetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataSet (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSet for class vtkScalarTree requires 2 argument(s)");
  vtkScalarTree* vtk_pointer = GetVTKPointer<vtkScalarTree>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetDataSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarTree:GetDataSet vtkScalarTreeGetDataSetFunction
//input a0 
//output y
ArrayVector vtkScalarTreeGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetDataSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSet for class vtkScalarTree requires 1 argument(s)");
  vtkScalarTree* vtk_pointer = GetVTKPointer<vtkScalarTree>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarTree:BuildTree vtkScalarTreeBuildTreeFunction
//input a0 
//output none
ArrayVector vtkScalarTreeBuildTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildTree () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function BuildTree for class vtkScalarTree requires 1 argument(s)");
  vtkScalarTree* vtk_pointer = GetVTKPointer<vtkScalarTree>(arg[0]);
  Array retval;
  vtk_pointer->BuildTree();
  return retval;
}

//@@Signature
//sfunction @vtkScalarTree:Initialize vtkScalarTreeInitializeFunction
//input a0 
//output none
ArrayVector vtkScalarTreeInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkScalarTree requires 1 argument(s)");
  vtkScalarTree* vtk_pointer = GetVTKPointer<vtkScalarTree>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkScalarTree:InitTraversal vtkScalarTreeInitTraversalFunction
//input a0 a1 
//output none
ArrayVector vtkScalarTreeInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitTraversal (double scalarValue) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function InitTraversal for class vtkScalarTree requires 2 argument(s)");
  vtkScalarTree* vtk_pointer = GetVTKPointer<vtkScalarTree>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->InitTraversal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarTree:display vtkScalarTreeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkScalarTreeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkScalarTree* vtk_pointer = GetVTKPointer<vtkScalarTree>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkScalarTree:delete vtkScalarTreeDeleteFunction
//input varargin
//output none
ArrayVector vtkScalarTreeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkScalarTree
//@@Section VTKFiltering
//@@Usage
// vtkScalarTree is an abstract class that defines the API to concrete
// scalar tree subclasses. A scalar tree is a data structure that organizes
// data according to its scalar value. This allows rapid access to data for
// those algorithms that access the data based on scalar value. For example,
// isocontouring operates on cells based on the scalar (isocontour) value.
//
// To use subclasses of this class, you must specify a dataset to operate on,
// and then specify a scalar value in the InitTraversal() method. Then
// calls to GetNextCell() return cells whose scalar data contains the
// scalar value specified.
//
//To create an instance of class vtkScalarTree, simply
//invoke its constructor as follows
//@[
//  obj = vtkScalarTree
//@]
//@@Methods
//The class vtkScalarTree has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkScalarTree class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkScalarTree = obj.NewInstance ()|
// \item @|vtkScalarTree = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDataSet (vtkDataSet )| -  Build the tree from the points/cells defining this dataset.
//// \item @|vtkDataSet = obj.GetDataSet ()| -  Build the tree from the points/cells defining this dataset.
//// \item @|obj.BuildTree ()| -  Construct the scalar tree from the dataset provided. Checks build times
// and modified time from input and reconstructs the tree if necessary.
//// \item @|obj.Initialize ()| -  Initialize locator. Frees memory and resets object as appropriate.
//// \item @|obj.InitTraversal (double scalarValue)| -  Begin to traverse the cells based on a scalar value. Returned cells
// will have scalar values that span the scalar value specified.
////\end{itemize}
//!
