#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSelection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSelection.h"

//@@Signature
//sfunction @vtkSelection:vtkSelection vtkSelectionConstructorFunction
//input a
//output p
//@@Parents vtkSelection vtkDataObject 
ArrayVector vtkSelectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSelection::New(),"vtkSelection",eval);
  } else if (arg[0].className() == "vtkSelection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSelection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSelection");
    vtkSelection*q = reinterpret_cast<vtkSelection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSelection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSelection:GetClassName vtkSelectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSelectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSelection requires 1 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelection:IsA vtkSelectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSelectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelection:NewInstance vtkSelectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSelectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSelection requires 1 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:SafeDownCast vtkSelectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSelectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSelection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:Initialize vtkSelectionInitializeFunction
//input a0 
//output none
ArrayVector vtkSelectionInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkSelection requires 1 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkSelection:GetDataObjectType vtkSelectionGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkSelectionGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_SELECTION  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkSelection requires 1 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelection:GetNumberOfNodes vtkSelectionGetNumberOfNodesFunction
//input a0 
//output y
ArrayVector vtkSelectionGetNumberOfNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetNumberOfNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodes for class vtkSelection requires 1 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelection:GetNode vtkSelectionGetNodeFunction
//input a0 a1 
//output y
ArrayVector vtkSelectionGetNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkSelectionNode *GetNode (unsigned int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetNode for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkSelectionNode  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNode(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectionNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:AddNode vtkSelectionAddNodeFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionAddNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddNode (vtkSelectionNode *); */
  if (arg.size() < 2) 
    throw Exception("Function AddNode for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtkSelectionNode  *temp0;
  temp0 = GetVTKPointer<vtkSelectionNode>(arg[1]);
  vtk_pointer->AddNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:RemoveNode__1 vtkSelectionRemoveNode__1Function
//input a0 a1 
//output none
ArrayVector vtkSelectionRemoveNode__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveNode (unsigned int idx); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveNode__1 for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->RemoveNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:RemoveNode__2 vtkSelectionRemoveNode__2Function
//input a0 a1 
//output none
ArrayVector vtkSelectionRemoveNode__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveNode (vtkSelectionNode *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveNode__2 for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtkSelectionNode  *temp0;
  temp0 = GetVTKPointer<vtkSelectionNode>(arg[1]);
  vtk_pointer->RemoveNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:RemoveAllNodes vtkSelectionRemoveAllNodesFunction
//input a0 
//output none
ArrayVector vtkSelectionRemoveAllNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllNodes for class vtkSelection requires 1 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllNodes();
  return retval;
}

//@@Signature
//sfunction @vtkSelection:DeepCopy vtkSelectionDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:ShallowCopy vtkSelectionShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:Union__1 vtkSelectionUnion__1Function
//input a0 a1 
//output none
ArrayVector vtkSelectionUnion__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Union (vtkSelection *selection); */
  if (arg.size() < 2) 
    throw Exception("Function Union__1 for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  vtk_pointer->Union(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:Union__2 vtkSelectionUnion__2Function
//input a0 a1 
//output none
ArrayVector vtkSelectionUnion__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Union (vtkSelectionNode *node); */
  if (arg.size() < 2) 
    throw Exception("Function Union__2 for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtkSelectionNode  *temp0;
  temp0 = GetVTKPointer<vtkSelectionNode>(arg[1]);
  vtk_pointer->Union(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:GetMTime vtkSelectionGetMTimeFunction
//input a0 
//output y
ArrayVector vtkSelectionGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkSelection requires 1 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelection:Dump vtkSelectionDumpFunction
//input a0 
//output none
ArrayVector vtkSelectionDumpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Dump (); */
  if (arg.size() < 1) 
    throw Exception("Function Dump for class vtkSelection requires 1 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtk_pointer->Dump();
  return retval;
}

//@@Signature
//sfunction @vtkSelection:GetData__1 vtkSelectionGetData__1Function
//input a0 a1 
//output y
ArrayVector vtkSelectionGetData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkSelection *GetData (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function GetData__1 for class vtkSelection requires 2 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkSelection  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->GetData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:GetData__2 vtkSelectionGetData__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkSelectionGetData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkSelection *GetData (vtkInformationVector *v, int i); */
  if (arg.size() < 3) 
    throw Exception("Function GetData__2 for class vtkSelection requires 3 argument(s)");
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  Array retval;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkSelection  *temp20;
  temp0 = GetVTKPointer<vtkInformationVector>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetData(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelection:RemoveNode vtkSelectionRemoveNodeFunction
//input varargin
//output varargout
ArrayVector vtkSelectionRemoveNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkSelectionRemoveNode__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkSelectionNode"))
    return vtkSelectionRemoveNode__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSelectionRemoveNode");
}

//@@Signature
//sfunction @vtkSelection:Union vtkSelectionUnionFunction
//input varargin
//output varargout
ArrayVector vtkSelectionUnionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkSelection"))
    return vtkSelectionUnion__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkSelectionNode"))
    return vtkSelectionUnion__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSelectionUnion");
}

//@@Signature
//sfunction @vtkSelection:GetData vtkSelectionGetDataFunction
//input varargin
//output varargout
ArrayVector vtkSelectionGetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformation"))
    return vtkSelectionGetData__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationVector") && VTKIsScalarArg(arg[2]))
    return vtkSelectionGetData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSelectionGetData");
}

//@@Signature
//sfunction @vtkSelection:display vtkSelectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSelectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSelection* vtk_pointer = GetVTKPointer<vtkSelection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSelection:delete vtkSelectionDeleteFunction
//input varargin
//output none
ArrayVector vtkSelectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSelection
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkSelection, simply
//invoke its constructor as follows
//@[
//  obj = vtkSelection
//@]
//@@Methods
//The class vtkSelection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSelection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSelection = obj.NewInstance ()|
// \item @|vtkSelection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Restore data object to initial state,
//// \item @|int = obj.GetDataObjectType ()| -  Returns the number of nodes in this selection.
// Each node contains information about part of the selection.
//// \item @|int = obj.GetNumberOfNodes ()| -  Returns the number of nodes in this selection.
// Each node contains information about part of the selection.
//// \item @|vtkSelectionNode = obj.GetNode (int idx)| -  Returns a node given it's index. Performs bound checking
// and will return 0 if out-of-bounds.
//// \item @|obj.AddNode (vtkSelectionNode )| -  Adds a selection node.
//// \item @|obj.RemoveNode (int idx)| -  Removes a selection node.
//// \item @|obj.RemoveNode (vtkSelectionNode )| -  Removes a selection node.
//// \item @|obj.RemoveAllNodes ()| -  Removes a selection node.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Copy selection nodes of the input.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Copy selection nodes of the input.
// This is a shallow copy: selection lists and pointers in the
// properties are passed by reference.
//// \item @|obj.Union (vtkSelection selection)| -  Union this selection with the specified selection.
// Attempts to reuse selection nodes in this selection if properties
// match exactly. Otherwise, creates new selection nodes.
//// \item @|obj.Union (vtkSelectionNode node)| -  Union this selection with the specified selection node.
// Attempts to reuse a selection node in this selection if properties
// match exactly. Otherwise, creates a new selection node.
//// \item @|long = obj.GetMTime ()| -  Return the MTime taking into account changes to the properties
//// \item @|obj.Dump ()| -  Dumps the contents of the selection, giving basic information only.
////\end{itemize}
//!
