#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSelectionAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSelectionAlgorithm.h"

//@@Signature
//sfunction @vtkSelectionAlgorithm:vtkSelectionAlgorithm vtkSelectionAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkSelectionAlgorithm vtkAlgorithm 
ArrayVector vtkSelectionAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSelectionAlgorithm::New(),"vtkSelectionAlgorithm",eval);
  } else if (arg[0].className() == "vtkSelectionAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSelectionAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSelectionAlgorithm");
    vtkSelectionAlgorithm*q = reinterpret_cast<vtkSelectionAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSelectionAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSelectionAlgorithm:GetClassName vtkSelectionAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSelectionAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSelectionAlgorithm requires 1 argument(s)");
  vtkSelectionAlgorithm* vtk_pointer = GetVTKPointer<vtkSelectionAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionAlgorithm:IsA vtkSelectionAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSelectionAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSelectionAlgorithm requires 2 argument(s)");
  vtkSelectionAlgorithm* vtk_pointer = GetVTKPointer<vtkSelectionAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionAlgorithm:NewInstance vtkSelectionAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSelectionAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectionAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSelectionAlgorithm requires 1 argument(s)");
  vtkSelectionAlgorithm* vtk_pointer = GetVTKPointer<vtkSelectionAlgorithm>(arg[0]);
  Array retval;
  vtkSelectionAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectionAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionAlgorithm:SafeDownCast vtkSelectionAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSelectionAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectionAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSelectionAlgorithm requires 2 argument(s)");
  vtkSelectionAlgorithm* vtk_pointer = GetVTKPointer<vtkSelectionAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSelectionAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectionAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionAlgorithm:GetOutput__1 vtkSelectionAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkSelectionAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelection *GetOutput ();return this GetOutput  */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkSelectionAlgorithm requires 1 argument(s)");
  vtkSelectionAlgorithm* vtk_pointer = GetVTKPointer<vtkSelectionAlgorithm>(arg[0]);
  Array retval;
  vtkSelection  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionAlgorithm:GetOutput__2 vtkSelectionAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkSelectionAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelection *GetOutput (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkSelectionAlgorithm requires 2 argument(s)");
  vtkSelectionAlgorithm* vtk_pointer = GetVTKPointer<vtkSelectionAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkSelection  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionAlgorithm:SetInput__1 vtkSelectionAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkSelectionAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *obj);this SetInput obj  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkSelectionAlgorithm requires 2 argument(s)");
  vtkSelectionAlgorithm* vtk_pointer = GetVTKPointer<vtkSelectionAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionAlgorithm:SetInput__2 vtkSelectionAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkSelectionAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int index, vtkDataObject *obj); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkSelectionAlgorithm requires 3 argument(s)");
  vtkSelectionAlgorithm* vtk_pointer = GetVTKPointer<vtkSelectionAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionAlgorithm:GetOutput vtkSelectionAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkSelectionAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkSelectionAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkSelectionAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSelectionAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkSelectionAlgorithm:SetInput vtkSelectionAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkSelectionAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkSelectionAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkSelectionAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSelectionAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkSelectionAlgorithm:display vtkSelectionAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSelectionAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSelectionAlgorithm* vtk_pointer = GetVTKPointer<vtkSelectionAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSelectionAlgorithm:delete vtkSelectionAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkSelectionAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSelectionAlgorithm
//@@Section VTKFiltering
//@@Usage
// vtkSelectionAlgorithm is a convenience class to make writing algorithms
// easier. It is also designed to help transition old algorithms to the new
// pipeline edgehitecture. There are some assumptions and defaults made by this
// class you should be aware of. This class defaults such that your filter
// will have one input port and one output port. If that is not the case
// simply change it with SetNumberOfInputPorts etc. See this class
// constructor for the default. This class also provides a FillInputPortInfo
// method that by default says that all inputs will be Selection. If that
// isn't the case then please override this method in your subclass. This
// class breaks out the downstream requests into separate functions such as
// ExecuteData and ExecuteInformation.  For new algorithms you should
// implement RequestData( request, inputVec, outputVec) but for older filters
// there is a default implementation that calls the old ExecuteData(output)
// signature. For even older filters that don't implement ExecuteData the
// default implementation calls the even older Execute() signature.
//
// .SECTION Thanks
// Thanks to Patricia Crossno, Ken Moreland, Andrew Wilson and Brian Wylie from
// Sandia National Laboratories for their help in developing this class.
//
//To create an instance of class vtkSelectionAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkSelectionAlgorithm
//@]
//@@Methods
//The class vtkSelectionAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSelectionAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSelectionAlgorithm = obj.NewInstance ()|
// \item @|vtkSelectionAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkSelection = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkSelection = obj.GetOutput (int index)| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetInput (vtkDataObject obj)| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int index, vtkDataObject obj)| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
////\end{itemize}
//!
