#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSelectionNode object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSelectionNode.h"

//@@Signature
//sfunction @vtkSelectionNode:vtkSelectionNode vtkSelectionNodeConstructorFunction
//input a
//output p
//@@Parents vtkSelectionNode vtkObject 
ArrayVector vtkSelectionNodeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSelectionNode::New(),"vtkSelectionNode",eval);
  } else if (arg[0].className() == "vtkSelectionNode") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSelectionNode"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSelectionNode");
    vtkSelectionNode*q = reinterpret_cast<vtkSelectionNode*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSelectionNode");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSelectionNode:GetClassName vtkSelectionNodeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:IsA vtkSelectionNodeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSelectionNodeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSelectionNode requires 2 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:NewInstance vtkSelectionNodeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectionNode *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkSelectionNode  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectionNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:SafeDownCast vtkSelectionNodeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSelectionNodeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectionNode *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSelectionNode requires 2 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSelectionNode  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectionNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:Initialize vtkSelectionNodeInitializeFunction
//input a0 
//output none
ArrayVector vtkSelectionNodeInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:SetSelectionList vtkSelectionNodeSetSelectionListFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionNodeSetSelectionListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectionList (vtkAbstractArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionList for class vtkSelectionNode requires 2 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->SetSelectionList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:GetSelectionList vtkSelectionNodeGetSelectionListFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeGetSelectionListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractArray *GetSelectionList (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionList for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp20;
  temp20 = (vtk_pointer)->GetSelectionList();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:SetSelectionData vtkSelectionNodeSetSelectionDataFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionNodeSetSelectionDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectionData (vtkDataSetAttributes *data); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionData for class vtkSelectionNode requires 2 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  vtk_pointer->SetSelectionData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:GetSelectionData vtkSelectionNodeGetSelectionDataFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeGetSelectionDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetAttributes *GetSelectionData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionData for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp20;
  temp20 = (vtk_pointer)->GetSelectionData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:GetProperties vtkSelectionNodeGetPropertiesFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeGetPropertiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetProperties (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperties for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformation  *temp20;
  temp20 = (vtk_pointer)->GetProperties();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:DeepCopy vtkSelectionNodeDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionNodeDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkSelectionNode *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkSelectionNode requires 2 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkSelectionNode  *temp0;
  temp0 = GetVTKPointer<vtkSelectionNode>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:ShallowCopy vtkSelectionNodeShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionNodeShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkSelectionNode *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkSelectionNode requires 2 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkSelectionNode  *temp0;
  temp0 = GetVTKPointer<vtkSelectionNode>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:GetMTime vtkSelectionNodeGetMTimeFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:CONTENT_TYPE vtkSelectionNodeCONTENT_TYPEFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeCONTENT_TYPEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *CONTENT_TYPE (); */
  if (arg.size() < 1) 
    throw Exception("Function CONTENT_TYPE for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->CONTENT_TYPE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:SetContentType vtkSelectionNodeSetContentTypeFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionNodeSetContentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetContentType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetContentType for class vtkSelectionNode requires 2 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetContentType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:GetContentType vtkSelectionNodeGetContentTypeFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeGetContentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetContentType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContentType for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetContentType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:FIELD_TYPE vtkSelectionNodeFIELD_TYPEFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeFIELD_TYPEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *FIELD_TYPE (); */
  if (arg.size() < 1) 
    throw Exception("Function FIELD_TYPE for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->FIELD_TYPE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:SetFieldType vtkSelectionNodeSetFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionNodeSetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFieldType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldType for class vtkSelectionNode requires 2 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:GetFieldType vtkSelectionNodeGetFieldTypeFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeGetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetFieldType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldType for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:SetSelectedProp vtkSelectionNodeSetSelectedPropFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionNodeSetSelectedPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectedProp (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedProp for class vtkSelectionNode requires 2 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->SetSelectedProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:GetSelectedProp vtkSelectionNodeGetSelectedPropFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeGetSelectedPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkProp *GetSelectedProp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedProp for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkProp  *temp20;
  temp20 = (vtk_pointer)->GetSelectedProp();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:EPSILON vtkSelectionNodeEPSILONFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeEPSILONFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleKey *EPSILON (); */
  if (arg.size() < 1) 
    throw Exception("Function EPSILON for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationDoubleKey  *temp20;
  temp20 = (vtk_pointer)->EPSILON();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:CONTAINING_CELLS vtkSelectionNodeCONTAINING_CELLSFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeCONTAINING_CELLSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *CONTAINING_CELLS (); */
  if (arg.size() < 1) 
    throw Exception("Function CONTAINING_CELLS for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->CONTAINING_CELLS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:COMPONENT_NUMBER vtkSelectionNodeCOMPONENT_NUMBERFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeCOMPONENT_NUMBERFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *COMPONENT_NUMBER (); */
  if (arg.size() < 1) 
    throw Exception("Function COMPONENT_NUMBER for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->COMPONENT_NUMBER();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:INVERSE vtkSelectionNodeINVERSEFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeINVERSEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *INVERSE (); */
  if (arg.size() < 1) 
    throw Exception("Function INVERSE for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->INVERSE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:PIXEL_COUNT vtkSelectionNodePIXEL_COUNTFunction
//input a0 
//output y
ArrayVector vtkSelectionNodePIXEL_COUNTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *PIXEL_COUNT (); */
  if (arg.size() < 1) 
    throw Exception("Function PIXEL_COUNT for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->PIXEL_COUNT();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:SOURCE vtkSelectionNodeSOURCEFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeSOURCEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationObjectBaseKey *SOURCE (); */
  if (arg.size() < 1) 
    throw Exception("Function SOURCE for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp20;
  temp20 = (vtk_pointer)->SOURCE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:SOURCE_ID vtkSelectionNodeSOURCE_IDFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeSOURCE_IDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *SOURCE_ID (); */
  if (arg.size() < 1) 
    throw Exception("Function SOURCE_ID for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->SOURCE_ID();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:PROP vtkSelectionNodePROPFunction
//input a0 
//output y
ArrayVector vtkSelectionNodePROPFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationObjectBaseKey *PROP (); */
  if (arg.size() < 1) 
    throw Exception("Function PROP for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp20;
  temp20 = (vtk_pointer)->PROP();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:PROP_ID vtkSelectionNodePROP_IDFunction
//input a0 
//output y
ArrayVector vtkSelectionNodePROP_IDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *PROP_ID (); */
  if (arg.size() < 1) 
    throw Exception("Function PROP_ID for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->PROP_ID();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:PROCESS_ID vtkSelectionNodePROCESS_IDFunction
//input a0 
//output y
ArrayVector vtkSelectionNodePROCESS_IDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *PROCESS_ID (); */
  if (arg.size() < 1) 
    throw Exception("Function PROCESS_ID for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->PROCESS_ID();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:COMPOSITE_INDEX vtkSelectionNodeCOMPOSITE_INDEXFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeCOMPOSITE_INDEXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *COMPOSITE_INDEX (); */
  if (arg.size() < 1) 
    throw Exception("Function COMPOSITE_INDEX for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->COMPOSITE_INDEX();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:HIERARCHICAL_LEVEL vtkSelectionNodeHIERARCHICAL_LEVELFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeHIERARCHICAL_LEVELFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *HIERARCHICAL_LEVEL (); */
  if (arg.size() < 1) 
    throw Exception("Function HIERARCHICAL_LEVEL for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->HIERARCHICAL_LEVEL();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:HIERARCHICAL_INDEX vtkSelectionNodeHIERARCHICAL_INDEXFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeHIERARCHICAL_INDEXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *HIERARCHICAL_INDEX (); */
  if (arg.size() < 1) 
    throw Exception("Function HIERARCHICAL_INDEX for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->HIERARCHICAL_INDEX();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:INDEXED_VERTICES vtkSelectionNodeINDEXED_VERTICESFunction
//input a0 
//output y
ArrayVector vtkSelectionNodeINDEXED_VERTICESFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *INDEXED_VERTICES (); */
  if (arg.size() < 1) 
    throw Exception("Function INDEXED_VERTICES for class vtkSelectionNode requires 1 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->INDEXED_VERTICES();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:UnionSelectionList vtkSelectionNodeUnionSelectionListFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionNodeUnionSelectionListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnionSelectionList (vtkSelectionNode *other); */
  if (arg.size() < 2) 
    throw Exception("Function UnionSelectionList for class vtkSelectionNode requires 2 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkSelectionNode  *temp0;
  temp0 = GetVTKPointer<vtkSelectionNode>(arg[1]);
  vtk_pointer->UnionSelectionList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:EqualProperties vtkSelectionNodeEqualPropertiesFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSelectionNodeEqualPropertiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool EqualProperties (vtkSelectionNode *other, bool fullcomparetrue); */
  if (arg.size() < 3) 
    throw Exception("Function EqualProperties for class vtkSelectionNode requires 3 argument(s)");
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  Array retval;
  vtkSelectionNode  *temp0;
  bool   temp1;
  bool   temp20;
  temp0 = GetVTKPointer<vtkSelectionNode>(arg[1]);
  temp20 = (vtk_pointer)->EqualProperties(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionNode:display vtkSelectionNodeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSelectionNodeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSelectionNode* vtk_pointer = GetVTKPointer<vtkSelectionNode>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSelectionNode:delete vtkSelectionNodeDeleteFunction
//input varargin
//output none
ArrayVector vtkSelectionNodeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSelectionNode
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkSelectionNode, simply
//invoke its constructor as follows
//@[
//  obj = vtkSelectionNode
//@]
//@@Methods
//The class vtkSelectionNode has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSelectionNode class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSelectionNode = obj.NewInstance ()|
// \item @|vtkSelectionNode = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Restore data object to initial state,
//// \item @|obj.SetSelectionList (vtkAbstractArray )| -  Sets the selection list.
//// \item @|vtkAbstractArray = obj.GetSelectionList ()| -  Sets the selection list.
//// \item @|obj.SetSelectionData (vtkDataSetAttributes data)| -  Sets the selection table.
//// \item @|vtkDataSetAttributes = obj.GetSelectionData ()| -  Sets the selection table.
//// \item @|vtkInformation = obj.GetProperties ()| -  Returns the property map.
//// \item @|obj.DeepCopy (vtkSelectionNode src)| -  Copy properties, selection list and children of the input.
//// \item @|obj.ShallowCopy (vtkSelectionNode src)| -  Copy properties, selection list and children of the input.
// This is a shallow copy: selection lists and pointers in the
// properties are passed by reference.
//// \item @|long = obj.GetMTime ()| -  Return the MTime taking into account changes to the properties
//// \item @|obj.SetContentType (int type)| -  Get or set the content type of the selection.
// This is the same as setting the CONTENT_TYPE() key on the property.
//// \item @|int = obj.GetContentType ()| -  Get or set the content type of the selection.
// This is the same as setting the CONTENT_TYPE() key on the property.
//// \item @|obj.SetFieldType (int type)| -  Get or set the field type of the selection.
// This is the same as setting the FIELD_TYPE() key on the property.
//// \item @|int = obj.GetFieldType ()| -  Get or set the field type of the selection.
// This is the same as setting the FIELD_TYPE() key on the property.
//// \item @|obj.SetSelectedProp (vtkProp prop)| -  Get or set the prop of the selection.
// This is the same as setting the PROP() key on the property.
//// \item @|vtkProp = obj.GetSelectedProp ()| -  Get or set the prop of the selection.
// This is the same as setting the PROP() key on the property.
//// \item @|obj.UnionSelectionList (vtkSelectionNode other)| -  Merges the selection list between self and the other. Assumes that both has
// identical properties.
//// \item @|bool = obj.EqualProperties (vtkSelectionNode other, bool fullcomparetrue)| -  Compares Properties of self and other to ensure that they are exactly same.
////\end{itemize}
//!
