#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSimpleCellTessellator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSimpleCellTessellator.h"

//@@Signature
//sfunction @vtkSimpleCellTessellator:vtkSimpleCellTessellator vtkSimpleCellTessellatorConstructorFunction
//input a
//output p
//@@Parents vtkSimpleCellTessellator vtkGenericCellTessellator 
ArrayVector vtkSimpleCellTessellatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSimpleCellTessellator::New(),"vtkSimpleCellTessellator",eval);
  } else if (arg[0].className() == "vtkSimpleCellTessellator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSimpleCellTessellator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSimpleCellTessellator");
    vtkSimpleCellTessellator*q = reinterpret_cast<vtkSimpleCellTessellator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSimpleCellTessellator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSimpleCellTessellator:GetClassName vtkSimpleCellTessellatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSimpleCellTessellatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSimpleCellTessellator requires 1 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:IsA vtkSimpleCellTessellatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSimpleCellTessellatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSimpleCellTessellator requires 2 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:NewInstance vtkSimpleCellTessellatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSimpleCellTessellatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimpleCellTessellator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSimpleCellTessellator requires 1 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  vtkSimpleCellTessellator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimpleCellTessellator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:SafeDownCast vtkSimpleCellTessellatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSimpleCellTessellatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimpleCellTessellator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSimpleCellTessellator requires 2 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSimpleCellTessellator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimpleCellTessellator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:GetGenericCell vtkSimpleCellTessellatorGetGenericCellFunction
//input a0 
//output y
ArrayVector vtkSimpleCellTessellatorGetGenericCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericAdaptorCell *GetGenericCell (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenericCell for class vtkSimpleCellTessellator requires 1 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp20;
  temp20 = (vtk_pointer)->GetGenericCell();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericAdaptorCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:TessellateFace vtkSimpleCellTessellatorTessellateFaceFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkSimpleCellTessellatorTessellateFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TessellateFace (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkIdType index, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd); */
  if (arg.size() < 7) 
    throw Exception("Function TessellateFace for class vtkSimpleCellTessellator requires 7 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkIdType   temp2;
  vtkDoubleArray  *temp3;
  vtkCellArray  *temp4;
  vtkPointData  *temp5;
  temp0 = GetVTKPointer<vtkGenericAdaptorCell>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericAttributeCollection>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkDoubleArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  vtk_pointer->TessellateFace(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:Tessellate vtkSimpleCellTessellatorTessellateFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkSimpleCellTessellatorTessellateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Tessellate (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd); */
  if (arg.size() < 6) 
    throw Exception("Function Tessellate for class vtkSimpleCellTessellator requires 6 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkDoubleArray  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  temp0 = GetVTKPointer<vtkGenericAdaptorCell>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericAttributeCollection>(arg[2]);
  temp2 = GetVTKPointer<vtkDoubleArray>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  vtk_pointer->Tessellate(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:Triangulate vtkSimpleCellTessellatorTriangulateFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkSimpleCellTessellatorTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Triangulate (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd); */
  if (arg.size() < 6) 
    throw Exception("Function Triangulate for class vtkSimpleCellTessellator requires 6 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkDoubleArray  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  temp0 = GetVTKPointer<vtkGenericAdaptorCell>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericAttributeCollection>(arg[2]);
  temp2 = GetVTKPointer<vtkDoubleArray>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  vtk_pointer->Triangulate(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:Reset vtkSimpleCellTessellatorResetFunction
//input a0 
//output none
ArrayVector vtkSimpleCellTessellatorResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkSimpleCellTessellator requires 1 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:Initialize vtkSimpleCellTessellatorInitializeFunction
//input a0 a1 
//output none
ArrayVector vtkSimpleCellTessellatorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (vtkGenericDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function Initialize for class vtkSimpleCellTessellator requires 2 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  vtkGenericDataSet  *temp0;
  temp0 = GetVTKPointer<vtkGenericDataSet>(arg[1]);
  vtk_pointer->Initialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:GetFixedSubdivisions vtkSimpleCellTessellatorGetFixedSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkSimpleCellTessellatorGetFixedSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFixedSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFixedSubdivisions for class vtkSimpleCellTessellator requires 1 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFixedSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:GetMaxSubdivisionLevel vtkSimpleCellTessellatorGetMaxSubdivisionLevelFunction
//input a0 
//output y
ArrayVector vtkSimpleCellTessellatorGetMaxSubdivisionLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxSubdivisionLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxSubdivisionLevel for class vtkSimpleCellTessellator requires 1 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxSubdivisionLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:GetMaxAdaptiveSubdivisions vtkSimpleCellTessellatorGetMaxAdaptiveSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkSimpleCellTessellatorGetMaxAdaptiveSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxAdaptiveSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxAdaptiveSubdivisions for class vtkSimpleCellTessellator requires 1 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxAdaptiveSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:SetFixedSubdivisions vtkSimpleCellTessellatorSetFixedSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkSimpleCellTessellatorSetFixedSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFixedSubdivisions (int level); */
  if (arg.size() < 2) 
    throw Exception("Function SetFixedSubdivisions for class vtkSimpleCellTessellator requires 2 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFixedSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:SetMaxSubdivisionLevel vtkSimpleCellTessellatorSetMaxSubdivisionLevelFunction
//input a0 a1 
//output none
ArrayVector vtkSimpleCellTessellatorSetMaxSubdivisionLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxSubdivisionLevel (int level); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxSubdivisionLevel for class vtkSimpleCellTessellator requires 2 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxSubdivisionLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:SetSubdivisionLevels vtkSimpleCellTessellatorSetSubdivisionLevelsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSimpleCellTessellatorSetSubdivisionLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubdivisionLevels (int fixed, int maxLevel); */
  if (arg.size() < 3) 
    throw Exception("Function SetSubdivisionLevels for class vtkSimpleCellTessellator requires 3 argument(s)");
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSubdivisionLevels(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:InsertEdgesIntoEdgeTable vtkSimpleCellTessellatorInsertEdgesIntoEdgeTableFunction
//input varargin
//output varargout
ArrayVector vtkSimpleCellTessellatorInsertEdgesIntoEdgeTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkSimpleCellTessellatorInsertEdgesIntoEdgeTable");
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:RemoveEdgesFromEdgeTable vtkSimpleCellTessellatorRemoveEdgesFromEdgeTableFunction
//input varargin
//output varargout
ArrayVector vtkSimpleCellTessellatorRemoveEdgesFromEdgeTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkSimpleCellTessellatorRemoveEdgesFromEdgeTable");
}

//@@Signature
//sfunction @vtkSimpleCellTessellator:display vtkSimpleCellTessellatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSimpleCellTessellatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSimpleCellTessellator* vtk_pointer = GetVTKPointer<vtkSimpleCellTessellator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSimpleCellTessellator:delete vtkSimpleCellTessellatorDeleteFunction
//input varargin
//output none
ArrayVector vtkSimpleCellTessellatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSimpleCellTessellator
//@@Section VTKFiltering
//@@Usage
// vtkSimpleCellTessellator is a helper class to perform adaptive tessellation
// of particular cell topologies. The major purpose for this class is to
// transform higher-order cell types (e.g., higher-order finite elements)
// into linear cells that can then be easily visualized by VTK. This class
// works in conjunction with the vtkGenericDataSet and vtkGenericAdaptorCell
// classes.
//
// This algorithm is based on edge subdivision. An error metric along each
// edge is evaluated, and if the error is greater than some tolerance, the
// edge is subdivided (as well as all connected 2D and 3D cells). The process
// repeats until the error metric is satisfied. Since the algorithm is based
// on edge subdivision it inherently avoid T-junctions.
//
// A significant issue addressed by this algorithm is to insure face
// compatibility across neigboring cells. That is, diagonals due to face
// triangulation must match to insure that the mesh is compatible. The
// algorithm employs a precomputed table to accelerate the tessellation
// process. The table was generated with the help of vtkOrderedTriangulator
// the basic idea is that the choice of diagonal is made only by considering the
// relative value of the point ids.
//
//
//To create an instance of class vtkSimpleCellTessellator, simply
//invoke its constructor as follows
//@[
//  obj = vtkSimpleCellTessellator
//@]
//@@Methods
//The class vtkSimpleCellTessellator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSimpleCellTessellator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSimpleCellTessellator = obj.NewInstance ()|
// \item @|vtkSimpleCellTessellator = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGenericAdaptorCell = obj.GetGenericCell ()| -  Get the higher order cell in order to access the evaluation function.
//// \item @|obj.TessellateFace (vtkGenericAdaptorCell cell, vtkGenericAttributeCollection att, vtkIdType index, vtkDoubleArray points, vtkCellArray cellArray, vtkPointData internalPd)| -  Tessellate a face of a 3D `cell'. The face is specified by the
// index value.
// The result is a set of smaller linear triangles in `cellArray' with
// `points' and point data `internalPd'.
// \pre cell_exists: cell!=0
// \pre valid_dimension: cell->GetDimension()==3
// \pre valid_index_range: (index>=0) && (index<cell->GetNumberOfBoundaries(2))
// \pre att_exists: att!=0
// \pre points_exists: points!=0
// \pre cellArray_exists: cellArray!=0
// \pre internalPd_exists: internalPd!=0
//// \item @|obj.Tessellate (vtkGenericAdaptorCell cell, vtkGenericAttributeCollection att, vtkDoubleArray points, vtkCellArray cellArray, vtkPointData internalPd)| -  Tessellate a 3D `cell'. The result is a set of smaller linear
// tetrahedra in `cellArray' with `points' and point data `internalPd'.
// \pre cell_exists: cell!=0
// \pre valid_dimension: cell->GetDimension()==3
// \pre att_exists: att!=0
// \pre points_exists: points!=0
// \pre cellArray_exists: cellArray!=0
// \pre internalPd_exists: internalPd!=0
//// \item @|obj.Triangulate (vtkGenericAdaptorCell cell, vtkGenericAttributeCollection att, vtkDoubleArray points, vtkCellArray cellArray, vtkPointData internalPd)| -  Triangulate a 2D `cell'. The result is a set of smaller linear triangles
// in `cellArray' with `points' and point data `internalPd'.
// \pre cell_exists: cell!=0
// \pre valid_dimension: cell->GetDimension()==2
// \pre att_exists: att!=0
// \pre points_exists: points!=0
// \pre cellArray_exists: cellArray!=0
// \pre internalPd_exists: internalPd!=0
//// \item @|obj.Reset ()| -  Reset the output for repeated use of this class.
//// \item @|obj.Initialize (vtkGenericDataSet ds)| -  Initialize the tessellator with a data set `ds'.
//// \item @|int = obj.GetFixedSubdivisions ()| -  Return the number of fixed subdivisions. It is used to prevent from
// infinite loop in degenerated cases. For order 3 or higher, if the
// inflection point is exactly on the mid-point, error metric will not
// detect that a subdivision is required. 0 means no fixed subdivision:
// there will be only adaptive subdivisions.
//
// The algorithm first performs `GetFixedSubdivisions' non adaptive
// subdivisions followed by at most `GetMaxAdaptiveSubdivisions' adaptive
// subdivisions. Hence, there are at most `GetMaxSubdivisionLevel'
// subdivisions.
// \post positive_result: result>=0 && result<=GetMaxSubdivisionLevel()
//// \item @|int = obj.GetMaxSubdivisionLevel ()| -  Return the maximum level of subdivision. It is used to prevent from
// infinite loop in degenerated cases. For order 3 or higher, if the
// inflection point is exactly on the mid-point, error metric will not
// detect that a subdivision is required. 0 means no subdivision,
// neither fixed nor adaptive.
// \post positive_result: result>=GetFixedSubdivisions()
//// \item @|int = obj.GetMaxAdaptiveSubdivisions ()| -  Return the maximum number of adaptive subdivisions.
// \post valid_result: result==GetMaxSubdivisionLevel()-GetFixedSubdivisions()
//// \item @|obj.SetFixedSubdivisions (int level)| -  Set the number of fixed subdivisions. See GetFixedSubdivisions() for
// more explanations.
// \pre positive_level: level>=0 && level<=GetMaxSubdivisionLevel()
// \post is_set: GetFixedSubdivisions()==level
//// \item @|obj.SetMaxSubdivisionLevel (int level)| -  Set the maximum level of subdivision. See GetMaxSubdivisionLevel() for
// more explanations.
// \pre positive_level: level>=GetFixedSubdivisions()
// \post is_set: level==GetMaxSubdivisionLevel()
//// \item @|obj.SetSubdivisionLevels (int fixed, int maxLevel)| -  Set both the number of fixed subdivisions and the maximum level of
// subdivisions. See GetFixedSubdivisions(), GetMaxSubdivisionLevel() and
// GetMaxAdaptiveSubdivisions() for more explanations.
// \pre positive_fixed: fixed>=0
// \pre valid_range: fixed<=maxLevel
// \post fixed_is_set: fixed==GetFixedSubdivisions()
// \post maxLevel_is_set: maxLevel==GetMaxSubdivisionLevel()
////\end{itemize}
//!
