#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSimpleImageToImageFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSimpleImageToImageFilter.h"

//@@Signature
//sfunction @vtkSimpleImageToImageFilter:vtkSimpleImageToImageFilter vtkSimpleImageToImageFilterConstructorFunction
//input a
//output p
//@@Parents vtkSimpleImageToImageFilter vtkImageAlgorithm 
ArrayVector vtkSimpleImageToImageFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSimpleImageToImageFilter::New(),"vtkSimpleImageToImageFilter",eval);
  } else if (arg[0].className() == "vtkSimpleImageToImageFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSimpleImageToImageFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSimpleImageToImageFilter");
    vtkSimpleImageToImageFilter*q = reinterpret_cast<vtkSimpleImageToImageFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSimpleImageToImageFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSimpleImageToImageFilter:GetClassName vtkSimpleImageToImageFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSimpleImageToImageFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSimpleImageToImageFilter requires 1 argument(s)");
  vtkSimpleImageToImageFilter* vtk_pointer = GetVTKPointer<vtkSimpleImageToImageFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleImageToImageFilter:IsA vtkSimpleImageToImageFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSimpleImageToImageFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSimpleImageToImageFilter requires 2 argument(s)");
  vtkSimpleImageToImageFilter* vtk_pointer = GetVTKPointer<vtkSimpleImageToImageFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleImageToImageFilter:NewInstance vtkSimpleImageToImageFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSimpleImageToImageFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimpleImageToImageFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSimpleImageToImageFilter requires 1 argument(s)");
  vtkSimpleImageToImageFilter* vtk_pointer = GetVTKPointer<vtkSimpleImageToImageFilter>(arg[0]);
  Array retval;
  vtkSimpleImageToImageFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimpleImageToImageFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleImageToImageFilter:SafeDownCast vtkSimpleImageToImageFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSimpleImageToImageFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimpleImageToImageFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSimpleImageToImageFilter requires 2 argument(s)");
  vtkSimpleImageToImageFilter* vtk_pointer = GetVTKPointer<vtkSimpleImageToImageFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSimpleImageToImageFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimpleImageToImageFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleImageToImageFilter:display vtkSimpleImageToImageFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSimpleImageToImageFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSimpleImageToImageFilter* vtk_pointer = GetVTKPointer<vtkSimpleImageToImageFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSimpleImageToImageFilter:delete vtkSimpleImageToImageFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkSimpleImageToImageFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSimpleImageToImageFilter
//@@Section VTKFiltering
//@@Usage
// vtkSimpleImageToImageFilter is a filter which aims to avoid much
// of the complexity associated with vtkImageAlgorithm (i.e.
// support for pieces, multi-threaded operation). If you need to write
// a simple image-image filter which operates on the whole input, use
// this as the superclass. The subclass has to provide only an execute
// method which takes input and output as arguments. Memory allocation
// is handled in vtkSimpleImageToImageFilter. Also, you are guaranteed to
// have a valid input in the Execute(input, output) method. By default, 
// this filter
// requests it's input's whole extent and copies the input's information
// (spacing, whole extent etc...) to the output. If the output's setup
// is different (for example, if it performs some sort of sub-sampling),
// ExecuteInformation has to be overwritten. As an example of how this
// can be done, you can look at vtkImageShrink3D::ExecuteInformation.
// For a complete example which uses templates to support generic data
// types, see vtkSimpleImageToImageFilter.
//
//To create an instance of class vtkSimpleImageToImageFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkSimpleImageToImageFilter
//@]
//@@Methods
//The class vtkSimpleImageToImageFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSimpleImageToImageFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSimpleImageToImageFilter = obj.NewInstance ()|
// \item @|vtkSimpleImageToImageFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
