#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSimpleScalarTree object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSimpleScalarTree.h"

//@@Signature
//sfunction @vtkSimpleScalarTree:vtkSimpleScalarTree vtkSimpleScalarTreeConstructorFunction
//input a
//output p
//@@Parents vtkSimpleScalarTree vtkScalarTree 
ArrayVector vtkSimpleScalarTreeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSimpleScalarTree::New(),"vtkSimpleScalarTree",eval);
  } else if (arg[0].className() == "vtkSimpleScalarTree") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSimpleScalarTree"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSimpleScalarTree");
    vtkSimpleScalarTree*q = reinterpret_cast<vtkSimpleScalarTree*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSimpleScalarTree");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSimpleScalarTree:GetClassName vtkSimpleScalarTreeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSimpleScalarTreeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:IsA vtkSimpleScalarTreeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSimpleScalarTreeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSimpleScalarTree requires 2 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:NewInstance vtkSimpleScalarTreeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSimpleScalarTreeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimpleScalarTree *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  vtkSimpleScalarTree  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimpleScalarTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:SafeDownCast vtkSimpleScalarTreeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSimpleScalarTreeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimpleScalarTree *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSimpleScalarTree requires 2 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSimpleScalarTree  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimpleScalarTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:SetBranchingFactor vtkSimpleScalarTreeSetBranchingFactorFunction
//input a0 a1 
//output none
ArrayVector vtkSimpleScalarTreeSetBranchingFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBranchingFactor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBranchingFactor for class vtkSimpleScalarTree requires 2 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBranchingFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:GetBranchingFactorMinValue vtkSimpleScalarTreeGetBranchingFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkSimpleScalarTreeGetBranchingFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBranchingFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBranchingFactorMinValue for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBranchingFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:GetBranchingFactorMaxValue vtkSimpleScalarTreeGetBranchingFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkSimpleScalarTreeGetBranchingFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBranchingFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBranchingFactorMaxValue for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBranchingFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:GetBranchingFactor vtkSimpleScalarTreeGetBranchingFactorFunction
//input a0 
//output y
ArrayVector vtkSimpleScalarTreeGetBranchingFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBranchingFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBranchingFactor for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBranchingFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:GetLevel vtkSimpleScalarTreeGetLevelFunction
//input a0 
//output y
ArrayVector vtkSimpleScalarTreeGetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevel for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:SetMaxLevel vtkSimpleScalarTreeSetMaxLevelFunction
//input a0 a1 
//output none
ArrayVector vtkSimpleScalarTreeSetMaxLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxLevel for class vtkSimpleScalarTree requires 2 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:GetMaxLevelMinValue vtkSimpleScalarTreeGetMaxLevelMinValueFunction
//input a0 
//output y
ArrayVector vtkSimpleScalarTreeGetMaxLevelMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxLevelMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLevelMinValue for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxLevelMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:GetMaxLevelMaxValue vtkSimpleScalarTreeGetMaxLevelMaxValueFunction
//input a0 
//output y
ArrayVector vtkSimpleScalarTreeGetMaxLevelMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxLevelMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLevelMaxValue for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxLevelMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:GetMaxLevel vtkSimpleScalarTreeGetMaxLevelFunction
//input a0 
//output y
ArrayVector vtkSimpleScalarTreeGetMaxLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLevel for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:BuildTree vtkSimpleScalarTreeBuildTreeFunction
//input a0 
//output none
ArrayVector vtkSimpleScalarTreeBuildTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildTree (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildTree for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  vtk_pointer->BuildTree();
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:Initialize vtkSimpleScalarTreeInitializeFunction
//input a0 
//output none
ArrayVector vtkSimpleScalarTreeInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkSimpleScalarTree requires 1 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:InitTraversal vtkSimpleScalarTreeInitTraversalFunction
//input a0 a1 
//output none
ArrayVector vtkSimpleScalarTreeInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitTraversal (double scalarValue); */
  if (arg.size() < 2) 
    throw Exception("Function InitTraversal for class vtkSimpleScalarTree requires 2 argument(s)");
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->InitTraversal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleScalarTree:display vtkSimpleScalarTreeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSimpleScalarTreeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSimpleScalarTree* vtk_pointer = GetVTKPointer<vtkSimpleScalarTree>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSimpleScalarTree:delete vtkSimpleScalarTreeDeleteFunction
//input varargin
//output none
ArrayVector vtkSimpleScalarTreeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSimpleScalarTree
//@@Section VTKFiltering
//@@Usage
// vtkSimpleScalarTree creates a pointerless binary tree that helps search for
// cells that lie within a particular scalar range. This object is used to
// accelerate some contouring (and other scalar-based techniques).
// 
// The tree consists of an array of (min,max) scalar range pairs per node in
// the tree. The (min,max) range is determined from looking at the range of
// the children of the tree node. If the node is a leaf, then the range is
// determined by scanning the range of scalar data in n cells in the
// dataset. The n cells are determined by arbitrary selecting cell ids from
// id(i) to id(i+n), and where n is specified using the BranchingFactor
// ivar. Note that leaf node i=0 contains the scalar range computed from
// cell ids (0,n-1); leaf node i=1 contains the range from cell ids (n,2n-1);
// and so on. The implication is that there are no direct lists of cell ids
// per leaf node, instead the cell ids are implicitly known.
//
//To create an instance of class vtkSimpleScalarTree, simply
//invoke its constructor as follows
//@[
//  obj = vtkSimpleScalarTree
//@]
//@@Methods
//The class vtkSimpleScalarTree has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSimpleScalarTree class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard type related macros and PrintSelf() method.
//// \item @|int = obj.IsA (string name)| -  Standard type related macros and PrintSelf() method.
//// \item @|vtkSimpleScalarTree = obj.NewInstance ()| -  Standard type related macros and PrintSelf() method.
//// \item @|vtkSimpleScalarTree = obj.SafeDownCast (vtkObject o)| -  Standard type related macros and PrintSelf() method.
//// \item @|obj.SetBranchingFactor (int )| -  Set the branching factor for the tree. This is the number of
// children per tree node. Smaller values (minimum is 2) mean deeper
// trees and more memory overhead. Larger values mean shallower
// trees, less memory usage, but worse performance.
//// \item @|int = obj.GetBranchingFactorMinValue ()| -  Set the branching factor for the tree. This is the number of
// children per tree node. Smaller values (minimum is 2) mean deeper
// trees and more memory overhead. Larger values mean shallower
// trees, less memory usage, but worse performance.
//// \item @|int = obj.GetBranchingFactorMaxValue ()| -  Set the branching factor for the tree. This is the number of
// children per tree node. Smaller values (minimum is 2) mean deeper
// trees and more memory overhead. Larger values mean shallower
// trees, less memory usage, but worse performance.
//// \item @|int = obj.GetBranchingFactor ()| -  Set the branching factor for the tree. This is the number of
// children per tree node. Smaller values (minimum is 2) mean deeper
// trees and more memory overhead. Larger values mean shallower
// trees, less memory usage, but worse performance.
//// \item @|int = obj.GetLevel ()| -  Get the level of the scalar tree. This value may change each time the
// scalar tree is built and the branching factor changes.
//// \item @|obj.SetMaxLevel (int )| -  Set the maximum allowable level for the tree. 
//// \item @|int = obj.GetMaxLevelMinValue ()| -  Set the maximum allowable level for the tree. 
//// \item @|int = obj.GetMaxLevelMaxValue ()| -  Set the maximum allowable level for the tree. 
//// \item @|int = obj.GetMaxLevel ()| -  Set the maximum allowable level for the tree. 
//// \item @|obj.BuildTree ()| -  Construct the scalar tree from the dataset provided. Checks build times
// and modified time from input and reconstructs the tree if necessary.
//// \item @|obj.Initialize ()| -  Initialize locator. Frees memory and resets object as appropriate.
//// \item @|obj.InitTraversal (double scalarValue)| -  Begin to traverse the cells based on a scalar value. Returned cells
// will have scalar values that span the scalar value specified.
////\end{itemize}
//!
