#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSmoothErrorMetric object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSmoothErrorMetric.h"

//@@Signature
//sfunction @vtkSmoothErrorMetric:vtkSmoothErrorMetric vtkSmoothErrorMetricConstructorFunction
//input a
//output p
//@@Parents vtkSmoothErrorMetric vtkGenericSubdivisionErrorMetric 
ArrayVector vtkSmoothErrorMetricConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSmoothErrorMetric::New(),"vtkSmoothErrorMetric",eval);
  } else if (arg[0].className() == "vtkSmoothErrorMetric") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSmoothErrorMetric"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSmoothErrorMetric");
    vtkSmoothErrorMetric*q = reinterpret_cast<vtkSmoothErrorMetric*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSmoothErrorMetric");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSmoothErrorMetric:GetClassName vtkSmoothErrorMetricGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSmoothErrorMetricGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSmoothErrorMetric requires 1 argument(s)");
  vtkSmoothErrorMetric* vtk_pointer = GetVTKPointer<vtkSmoothErrorMetric>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothErrorMetric:IsA vtkSmoothErrorMetricIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSmoothErrorMetricIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSmoothErrorMetric requires 2 argument(s)");
  vtkSmoothErrorMetric* vtk_pointer = GetVTKPointer<vtkSmoothErrorMetric>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothErrorMetric:NewInstance vtkSmoothErrorMetricNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSmoothErrorMetricNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSmoothErrorMetric *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSmoothErrorMetric requires 1 argument(s)");
  vtkSmoothErrorMetric* vtk_pointer = GetVTKPointer<vtkSmoothErrorMetric>(arg[0]);
  Array retval;
  vtkSmoothErrorMetric  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSmoothErrorMetric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothErrorMetric:SafeDownCast vtkSmoothErrorMetricSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSmoothErrorMetricSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSmoothErrorMetric *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSmoothErrorMetric requires 2 argument(s)");
  vtkSmoothErrorMetric* vtk_pointer = GetVTKPointer<vtkSmoothErrorMetric>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSmoothErrorMetric  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSmoothErrorMetric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothErrorMetric:GetAngleTolerance vtkSmoothErrorMetricGetAngleToleranceFunction
//input a0 
//output y
ArrayVector vtkSmoothErrorMetricGetAngleToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngleTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngleTolerance for class vtkSmoothErrorMetric requires 1 argument(s)");
  vtkSmoothErrorMetric* vtk_pointer = GetVTKPointer<vtkSmoothErrorMetric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngleTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothErrorMetric:SetAngleTolerance vtkSmoothErrorMetricSetAngleToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothErrorMetricSetAngleToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAngleTolerance (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetAngleTolerance for class vtkSmoothErrorMetric requires 2 argument(s)");
  vtkSmoothErrorMetric* vtk_pointer = GetVTKPointer<vtkSmoothErrorMetric>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAngleTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothErrorMetric:RequiresEdgeSubdivision vtkSmoothErrorMetricRequiresEdgeSubdivisionFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSmoothErrorMetricRequiresEdgeSubdivisionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RequiresEdgeSubdivision (double *leftPoint, double *midPoint, double *rightPoint, double alpha); */
  if (arg.size() < 5) 
    throw Exception("Function RequiresEdgeSubdivision for class vtkSmoothErrorMetric requires 5 argument(s)");
  vtkSmoothErrorMetric* vtk_pointer = GetVTKPointer<vtkSmoothErrorMetric>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  double   temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->RequiresEdgeSubdivision(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothErrorMetric:GetError vtkSmoothErrorMetricGetErrorFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSmoothErrorMetricGetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetError (double *leftPoint, double *midPoint, double *rightPoint, double alpha); */
  if (arg.size() < 5) 
    throw Exception("Function GetError for class vtkSmoothErrorMetric requires 5 argument(s)");
  vtkSmoothErrorMetric* vtk_pointer = GetVTKPointer<vtkSmoothErrorMetric>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  double   temp3;
  double   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->GetError(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothErrorMetric:display vtkSmoothErrorMetricDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSmoothErrorMetricDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSmoothErrorMetric* vtk_pointer = GetVTKPointer<vtkSmoothErrorMetric>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSmoothErrorMetric:delete vtkSmoothErrorMetricDeleteFunction
//input varargin
//output none
ArrayVector vtkSmoothErrorMetricDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSmoothErrorMetric
//@@Section VTKFiltering
//@@Usage
// It is a concrete error metric, based on a geometric criterium:
// a max angle between the chord passing through the midpoint and one of the
// endpoints and the other chord passing through the midpoint and the other
// endpoint of the edge. It is related to the flatness of an edge.
//
//
//To create an instance of class vtkSmoothErrorMetric, simply
//invoke its constructor as follows
//@[
//  obj = vtkSmoothErrorMetric
//@]
//@@Methods
//The class vtkSmoothErrorMetric has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSmoothErrorMetric class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK type and error macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK type and error macros.
//// \item @|vtkSmoothErrorMetric = obj.NewInstance ()| -  Standard VTK type and error macros.
//// \item @|vtkSmoothErrorMetric = obj.SafeDownCast (vtkObject o)| -  Standard VTK type and error macros.
//// \item @|double = obj.GetAngleTolerance ()| -  Return the flatness threshold.
// \post positive_result: result>90 && result<180
//// \item @|obj.SetAngleTolerance (double value)| -  Set the flatness threshold with an angle in degrees. Internally
// compute the cosine. value is supposed to be in ]90,180[, if not
// it is clamped in [90.1,179.9].
// For instance 178  will give better result than 150.
//// \item @|int = obj.RequiresEdgeSubdivision (double leftPoint, double midPoint, double rightPoint, double alpha)| -  Does the edge need to be subdivided according to the cosine between
// the two chords passing through the mid-point and the endpoints?
// The edge is defined by its `leftPoint' and its `rightPoint'.
// `leftPoint', `midPoint' and `rightPoint' have to be initialized before
// calling RequiresEdgeSubdivision().
// Their format is global coordinates, parametric coordinates and
// point centered attributes: xyx rst abc de...
// `alpha' is the normalized abscissa of the midpoint along the edge.
// (close to 0 means close to the left point, close to 1 means close to the
// right point)
// \pre leftPoint_exists: leftPoint!=0
// \pre midPoint_exists: midPoint!=0
// \pre rightPoint_exists: rightPoint!=0
// \pre clamped_alpha: alpha>0 && alpha<1
// \pre valid_size: sizeof(leftPoint)=sizeof(midPoint)=sizeof(rightPoint)
//          =GetAttributeCollection()->GetNumberOfPointCenteredComponents()+6
//// \item @|double = obj.GetError (double leftPoint, double midPoint, double rightPoint, double alpha)| -  Return the error at the mid-point. It will return an error relative to
// the bounding box size if GetRelative() is true, a square absolute error
// otherwise.
// See RequiresEdgeSubdivision() for a description of the arguments.
// \pre leftPoint_exists: leftPoint!=0
// \pre midPoint_exists: midPoint!=0
// \pre rightPoint_exists: rightPoint!=0
// \pre clamped_alpha: alpha>0 && alpha<1
// \pre valid_size: sizeof(leftPoint)=sizeof(midPoint)=sizeof(rightPoint)
//          =GetAttributeCollection()->GetNumberOfPointCenteredComponents()+6
// \post positive_result: result>=0
////\end{itemize}
//!
