#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSource.h"

//@@Signature
//sfunction @vtkSource:vtkSource vtkSourceConstructorFunction
//input a
//output p
//@@Parents vtkSource vtkProcessObject 
ArrayVector vtkSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSource::New(),"vtkSource",eval);
  } else if (arg[0].className() == "vtkSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSource");
    vtkSource*q = reinterpret_cast<vtkSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSource:GetClassName vtkSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSource:IsA vtkSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSource requires 2 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSource:NewInstance vtkSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtkSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSource:SafeDownCast vtkSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSource requires 2 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSource:Update vtkSourceUpdateFunction
//input a0 
//output none
ArrayVector vtkSourceUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkSource:UpdateWholeExtent vtkSourceUpdateWholeExtentFunction
//input a0 
//output none
ArrayVector vtkSourceUpdateWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateWholeExtent for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtk_pointer->UpdateWholeExtent();
  return retval;
}

//@@Signature
//sfunction @vtkSource:UpdateInformation vtkSourceUpdateInformationFunction
//input a0 
//output none
ArrayVector vtkSourceUpdateInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateInformation for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtk_pointer->UpdateInformation();
  return retval;
}

//@@Signature
//sfunction @vtkSource:PropagateUpdateExtent vtkSourcePropagateUpdateExtentFunction
//input a0 a1 
//output none
ArrayVector vtkSourcePropagateUpdateExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PropagateUpdateExtent (vtkDataObject *output); */
  if (arg.size() < 2) 
    throw Exception("Function PropagateUpdateExtent for class vtkSource requires 2 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->PropagateUpdateExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSource:TriggerAsynchronousUpdate vtkSourceTriggerAsynchronousUpdateFunction
//input a0 
//output none
ArrayVector vtkSourceTriggerAsynchronousUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TriggerAsynchronousUpdate (); */
  if (arg.size() < 1) 
    throw Exception("Function TriggerAsynchronousUpdate for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtk_pointer->TriggerAsynchronousUpdate();
  return retval;
}

//@@Signature
//sfunction @vtkSource:UpdateData vtkSourceUpdateDataFunction
//input a0 a1 
//output none
ArrayVector vtkSourceUpdateDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateData (vtkDataObject *output); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateData for class vtkSource requires 2 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->UpdateData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSource:ComputeInputUpdateExtents vtkSourceComputeInputUpdateExtentsFunction
//input a0 a1 
//output none
ArrayVector vtkSourceComputeInputUpdateExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeInputUpdateExtents (vtkDataObject *output); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeInputUpdateExtents for class vtkSource requires 2 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ComputeInputUpdateExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSource:SetReleaseDataFlag vtkSourceSetReleaseDataFlagFunction
//input a0 a1 
//output none
ArrayVector vtkSourceSetReleaseDataFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetReleaseDataFlag (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReleaseDataFlag for class vtkSource requires 2 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReleaseDataFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSource:GetReleaseDataFlag vtkSourceGetReleaseDataFlagFunction
//input a0 
//output y
ArrayVector vtkSourceGetReleaseDataFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetReleaseDataFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReleaseDataFlag for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReleaseDataFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSource:ReleaseDataFlagOn vtkSourceReleaseDataFlagOnFunction
//input a0 
//output none
ArrayVector vtkSourceReleaseDataFlagOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseDataFlagOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReleaseDataFlagOn for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtk_pointer->ReleaseDataFlagOn();
  return retval;
}

//@@Signature
//sfunction @vtkSource:ReleaseDataFlagOff vtkSourceReleaseDataFlagOffFunction
//input a0 
//output none
ArrayVector vtkSourceReleaseDataFlagOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseDataFlagOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReleaseDataFlagOff for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtk_pointer->ReleaseDataFlagOff();
  return retval;
}

//@@Signature
//sfunction @vtkSource:GetNumberOfOutputs vtkSourceGetNumberOfOutputsFunction
//input a0 
//output y
ArrayVector vtkSourceGetNumberOfOutputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfOutputs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfOutputs for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfOutputs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSource:UnRegisterAllOutputs vtkSourceUnRegisterAllOutputsFunction
//input a0 
//output none
ArrayVector vtkSourceUnRegisterAllOutputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnRegisterAllOutputs (void ); */
  if (arg.size() < 1) 
    throw Exception("Function UnRegisterAllOutputs for class vtkSource requires 1 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtk_pointer->UnRegisterAllOutputs();
  return retval;
}

//@@Signature
//sfunction @vtkSource:GetOutputIndex vtkSourceGetOutputIndexFunction
//input a0 a1 
//output y
ArrayVector vtkSourceGetOutputIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputIndex (vtkDataObject *out); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputIndex for class vtkSource requires 2 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  temp20 = (vtk_pointer)->GetOutputIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSource:SetExecutive vtkSourceSetExecutiveFunction
//input a0 a1 
//output none
ArrayVector vtkSourceSetExecutiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetExecutive (vtkExecutive *executive); */
  if (arg.size() < 2) 
    throw Exception("Function SetExecutive for class vtkSource requires 2 argument(s)");
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  Array retval;
  vtkExecutive  *temp0;
  temp0 = GetVTKPointer<vtkExecutive>(arg[1]);
  vtk_pointer->SetExecutive(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSource:display vtkSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSource* vtk_pointer = GetVTKPointer<vtkSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSource:delete vtkSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSource
//@@Section VTKFiltering
//@@Usage
// vtkSource is an abstract object that specifies behavior and interface
// of source objects. Source objects are objects that begin visualization
// pipeline. Sources include readers (read data from file or communications
// port) and procedural sources (generate data programmatically). vtkSource 
// objects are also objects that generate output data. In this sense
// vtkSource is used as a superclass to vtkFilter.
//
// Concrete subclasses of vtkSource must define Update() and Execute() 
// methods. The public method Update() invokes network execution and will
// bring the network up-to-date. The protected Execute() method actually
// does the work of data creation/generation. The difference between the two
// methods is that Update() implements input consistency checks and modified
// time comparisons and then invokes the Execute() which is an implementation 
// of a particular algorithm.
//
// An important feature of subclasses of vtkSource is that it is possible 
// to control the memory-management model (i.e., retain output versus delete
// output data). If enabled the ReleaseDataFlag enables the deletion of the
// output data once the downstream process object finishes processing the
// data (please see text).
//
//To create an instance of class vtkSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkSource
//@]
//@@Methods
//The class vtkSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSource = obj.NewInstance ()|
// \item @|vtkSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Update ()| -  Bring object up-to-date before execution. Update() checks modified
// time against last execution time, and re-executes object if necessary.
//// \item @|obj.UpdateWholeExtent ()| -  Like update, but make sure the update extent is the whole extent in
// the output.
//// \item @|obj.UpdateInformation ()| -  Updates any global information about the data 
// (like spacing for images)
//// \item @|obj.PropagateUpdateExtent (vtkDataObject output)| -  WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. 
// THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.
// The update extent for this object is propagated up the pipeline.
// This propagation may early terminate based on the PipelineMTime.
//// \item @|obj.TriggerAsynchronousUpdate ()| -  WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. 
// THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.
// Propagate back up the pipeline for ports and trigger the update on the
// other side of the port to allow for asynchronous parallel processing in
// the pipeline.
// This propagation may early terminate based on the PipelineMTime.
//// \item @|obj.UpdateData (vtkDataObject output)| -  WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. 
// THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.
// Propagate the update back up the pipeline, and perform the actual 
// work of updating on the way down. When the propagate arrives at a
// port, block and wait for the asynchronous update to finish on the
// other side.
// This propagation may early terminate based on the PipelineMTime.
//// \item @|obj.ComputeInputUpdateExtents (vtkDataObject output)| -  What is the input update extent that is required to produce the
// desired output? By default, the whole input is always required but
// this is overridden in many subclasses. 
//// \item @|obj.SetReleaseDataFlag (int )| -  Turn on/off flag to control whether this object's data is released
// after being used by a source.
//// \item @|int = obj.GetReleaseDataFlag ()| -  Turn on/off flag to control whether this object's data is released
// after being used by a source.
//// \item @|obj.ReleaseDataFlagOn ()| -  Turn on/off flag to control whether this object's data is released
// after being used by a source.
//// \item @|obj.ReleaseDataFlagOff ()| -  Turn on/off flag to control whether this object's data is released
// after being used by a source.
//// \item @|int = obj.GetNumberOfOutputs ()| -  Return an array with all the inputs of this process object.
// This is useful for tracing back in the pipeline to construct
// graphs etc.
//// \item @|obj.UnRegisterAllOutputs (void )| -  Release/disconnect all outputs of this source. This is intended to be
// called prior to Delete() if the user is concerned about outputs holding
// on to the filter/source.
//// \item @|int = obj.GetOutputIndex (vtkDataObject out)| -  Return what index output the passed in output is, return -1 if it
// does not match any of the outputs
//// \item @|obj.SetExecutive (vtkExecutive executive)| -  Set this algorithm's executive.  This algorithm is removed from
// any executive to which it has previously been assigned and then
// assigned to the given executive.
////\end{itemize}
//!
