#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSphere object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSphere.h"

//@@Signature
//sfunction @vtkSphere:vtkSphere vtkSphereConstructorFunction
//input a
//output p
//@@Parents vtkSphere vtkImplicitFunction 
ArrayVector vtkSphereConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSphere::New(),"vtkSphere",eval);
  } else if (arg[0].className() == "vtkSphere") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSphere"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSphere");
    vtkSphere*q = reinterpret_cast<vtkSphere*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSphere");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSphere:GetClassName vtkSphereGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSphereGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSphere requires 1 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphere:IsA vtkSphereIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSphereIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSphere requires 2 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphere:NewInstance vtkSphereNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSphereNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphere *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSphere requires 1 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  vtkSphere  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphere",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphere:SafeDownCast vtkSphereSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSphereSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphere *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSphere requires 2 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSphere  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphere",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphere:EvaluateFunction__1 vtkSphereEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkSphereEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkSphere requires 2 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphere:EvaluateFunction__2 vtkSphereEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSphereEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkSphere requires 4 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphere:EvaluateGradient vtkSphereEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSphereEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double n[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkSphere requires 3 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSphere:SetRadius vtkSphereSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkSphereSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkSphere requires 2 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphere:GetRadius vtkSphereGetRadiusFunction
//input a0 
//output y
ArrayVector vtkSphereGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkSphere requires 1 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphere:SetCenter__1 vtkSphereSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSphereSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkSphere requires 4 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSphere:SetCenter__2 vtkSphereSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkSphereSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkSphere requires 2 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphere:GetCenter vtkSphereGetCenterFunction
//input a0 
//output y
ArrayVector vtkSphereGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkSphere requires 1 argument(s)");
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSphere:EvaluateFunction vtkSphereEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkSphereEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSphereEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereEvaluateFunction");
}

//@@Signature
//sfunction @vtkSphere:SetCenter vtkSphereSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkSphereSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSphereSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereSetCenter");
}

//@@Signature
//sfunction @vtkSphere:ComputeBoundingSphere vtkSphereComputeBoundingSphereFunction
//input varargin
//output varargout
ArrayVector vtkSphereComputeBoundingSphereFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkSphereComputeBoundingSphere");
}

//@@Signature
//sfunction @vtkSphere:display vtkSphereDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSphereDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSphere* vtk_pointer = GetVTKPointer<vtkSphere>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSphere:delete vtkSphereDeleteFunction
//input varargin
//output none
ArrayVector vtkSphereDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSphere
//@@Section VTKFiltering
//@@Usage
// vtkSphere computes the implicit function and/or gradient for a sphere.
// vtkSphere is a concrete implementation of vtkImplicitFunction. Additional
// methods are available for sphere-related computations, such as computing
// bounding spheres for a set of points, or set of spheres.
//
//To create an instance of class vtkSphere, simply
//invoke its constructor as follows
//@[
//  obj = vtkSphere
//@]
//@@Methods
//The class vtkSphere has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSphere class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSphere = obj.NewInstance ()|
// \item @|vtkSphere = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double n[3])|
// \item @|obj.SetRadius (double )| -  Set / get the radius of the sphere.
//// \item @|double = obj.GetRadius ()| -  Set / get the radius of the sphere.
//// \item @|obj.SetCenter (double , double , double )| -  Set / get the center of the sphere.
//// \item @|obj.SetCenter (double  a[3])| -  Set / get the center of the sphere.
//// \item @|double = obj. GetCenter ()| -  Set / get the center of the sphere.
////\end{itemize}
//!
