#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSpline object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSpline.h"

//@@Signature
//sfunction @vtkSpline:vtkSpline vtkSplineConstructorFunction
//input a
//output p
//@@Parents vtkSpline vtkObject 
ArrayVector vtkSplineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSpline::New(),"vtkSpline",eval);
  } else if (arg[0].className() == "vtkSpline") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSpline"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSpline");
    vtkSpline*q = reinterpret_cast<vtkSpline*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSpline");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSpline:GetClassName vtkSplineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSplineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:IsA vtkSplineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSplineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:NewInstance vtkSplineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSplineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpline *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:SafeDownCast vtkSplineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSplineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpline *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSpline  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:SetParametricRange__1 vtkSplineSetParametricRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkSplineSetParametricRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParametricRange (double tMin, double tMax); */
  if (arg.size() < 3) 
    throw Exception("Function SetParametricRange__1 for class vtkSpline requires 3 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetParametricRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:SetParametricRange__2 vtkSplineSetParametricRange__2Function
//input a0 a1 
//output none
ArrayVector vtkSplineSetParametricRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParametricRange (double tRange[2]);this SetParametricRange tRange tRange  */
  if (arg.size() < 2) 
    throw Exception("Function SetParametricRange__2 for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetParametricRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetParametricRange vtkSplineGetParametricRangeFunction
//input a0 a1 
//output none
ArrayVector vtkSplineGetParametricRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetParametricRange (double tRange[2]) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricRange for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetParametricRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:SetClampValue vtkSplineSetClampValueFunction
//input a0 a1 
//output none
ArrayVector vtkSplineSetClampValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClampValue (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClampValue for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClampValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetClampValue vtkSplineGetClampValueFunction
//input a0 
//output y
ArrayVector vtkSplineGetClampValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClampValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClampValue for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClampValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:ClampValueOn vtkSplineClampValueOnFunction
//input a0 
//output none
ArrayVector vtkSplineClampValueOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampValueOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampValueOn for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  vtk_pointer->ClampValueOn();
  return retval;
}

//@@Signature
//sfunction @vtkSpline:ClampValueOff vtkSplineClampValueOffFunction
//input a0 
//output none
ArrayVector vtkSplineClampValueOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampValueOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampValueOff for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  vtk_pointer->ClampValueOff();
  return retval;
}

//@@Signature
//sfunction @vtkSpline:Compute vtkSplineComputeFunction
//input a0 
//output none
ArrayVector vtkSplineComputeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Compute () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Compute for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  vtk_pointer->Compute();
  return retval;
}

//@@Signature
//sfunction @vtkSpline:Evaluate vtkSplineEvaluateFunction
//input a0 a1 
//output y
ArrayVector vtkSplineEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double Evaluate (double t) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function Evaluate for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->Evaluate(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetNumberOfPoints vtkSplineGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkSplineGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:AddPoint vtkSplineAddPointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSplineAddPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddPoint (double t, double x); */
  if (arg.size() < 3) 
    throw Exception("Function AddPoint for class vtkSpline requires 3 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->AddPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:RemovePoint vtkSplineRemovePointFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRemovePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemovePoint (double t); */
  if (arg.size() < 2) 
    throw Exception("Function RemovePoint for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RemovePoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:RemoveAllPoints vtkSplineRemoveAllPointsFunction
//input a0 
//output none
ArrayVector vtkSplineRemoveAllPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllPoints for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllPoints();
  return retval;
}

//@@Signature
//sfunction @vtkSpline:SetClosed vtkSplineSetClosedFunction
//input a0 a1 
//output none
ArrayVector vtkSplineSetClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClosed (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClosed for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClosed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetClosed vtkSplineGetClosedFunction
//input a0 
//output y
ArrayVector vtkSplineGetClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClosed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClosed for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClosed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:ClosedOn vtkSplineClosedOnFunction
//input a0 
//output none
ArrayVector vtkSplineClosedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClosedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClosedOn for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  vtk_pointer->ClosedOn();
  return retval;
}

//@@Signature
//sfunction @vtkSpline:ClosedOff vtkSplineClosedOffFunction
//input a0 
//output none
ArrayVector vtkSplineClosedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClosedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClosedOff for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  vtk_pointer->ClosedOff();
  return retval;
}

//@@Signature
//sfunction @vtkSpline:SetLeftConstraint vtkSplineSetLeftConstraintFunction
//input a0 a1 
//output none
ArrayVector vtkSplineSetLeftConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeftConstraint (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeftConstraint for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLeftConstraint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetLeftConstraintMinValue vtkSplineGetLeftConstraintMinValueFunction
//input a0 
//output y
ArrayVector vtkSplineGetLeftConstraintMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftConstraintMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftConstraintMinValue for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftConstraintMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetLeftConstraintMaxValue vtkSplineGetLeftConstraintMaxValueFunction
//input a0 
//output y
ArrayVector vtkSplineGetLeftConstraintMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftConstraintMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftConstraintMaxValue for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftConstraintMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetLeftConstraint vtkSplineGetLeftConstraintFunction
//input a0 
//output y
ArrayVector vtkSplineGetLeftConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftConstraint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftConstraint for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftConstraint();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:SetRightConstraint vtkSplineSetRightConstraintFunction
//input a0 a1 
//output none
ArrayVector vtkSplineSetRightConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRightConstraint (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRightConstraint for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRightConstraint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetRightConstraintMinValue vtkSplineGetRightConstraintMinValueFunction
//input a0 
//output y
ArrayVector vtkSplineGetRightConstraintMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightConstraintMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightConstraintMinValue for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightConstraintMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetRightConstraintMaxValue vtkSplineGetRightConstraintMaxValueFunction
//input a0 
//output y
ArrayVector vtkSplineGetRightConstraintMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightConstraintMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightConstraintMaxValue for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightConstraintMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetRightConstraint vtkSplineGetRightConstraintFunction
//input a0 
//output y
ArrayVector vtkSplineGetRightConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightConstraint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightConstraint for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightConstraint();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:SetLeftValue vtkSplineSetLeftValueFunction
//input a0 a1 
//output none
ArrayVector vtkSplineSetLeftValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeftValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeftValue for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLeftValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetLeftValue vtkSplineGetLeftValueFunction
//input a0 
//output y
ArrayVector vtkSplineGetLeftValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeftValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftValue for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeftValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:SetRightValue vtkSplineSetRightValueFunction
//input a0 a1 
//output none
ArrayVector vtkSplineSetRightValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRightValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRightValue for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRightValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetRightValue vtkSplineGetRightValueFunction
//input a0 
//output y
ArrayVector vtkSplineGetRightValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRightValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightValue for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRightValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:GetMTime vtkSplineGetMTimeFunction
//input a0 
//output y
ArrayVector vtkSplineGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkSpline requires 1 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpline:DeepCopy vtkSplineDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkSplineDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkSpline *s); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkSpline requires 2 argument(s)");
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp0;
  temp0 = GetVTKPointer<vtkSpline>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpline:SetParametricRange vtkSplineSetParametricRangeFunction
//input varargin
//output varargout
ArrayVector vtkSplineSetParametricRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSplineSetParametricRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSplineSetParametricRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSplineSetParametricRange");
}

//@@Signature
//sfunction @vtkSpline:display vtkSplineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSplineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSpline* vtk_pointer = GetVTKPointer<vtkSpline>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSpline:delete vtkSplineDeleteFunction
//input varargin
//output none
ArrayVector vtkSplineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSpline
//@@Section VTKFiltering
//@@Usage
// vtkSpline interpolates a set of data points (i.e., interpolation means
// that the spline passes through the points).  vtkSpline is an abstract
// class: its subclasses vtkCardinalSpline and vtkKochenekSpline do the
// interpolation. Note that this spline maps the 1D parametric coordinate
// t into a single value x. Thus if you want to use the spline to 
// interpolate points (i.e. x[3]), you have to create three splines for
// each of the x-y-z coordinates. Fortunately, the vtkParametricSpline
// class does this for you.
//
// Typically a spline is used by adding a sequence of parametric coordinate /
// data (t,x) values followed by use of an evaluation function (e.g.,
// vtkCardinalSpline::Evaluate()).  Since these splines are 1D, a point in
// this context is an independent / dependent variable pair. 
//
// Splines can also be set up to be closed or open. Closed splines continue
// from the last point to the first point with continuous function and 
// derivative values. (You don't need to duplicate the first point to close
// the spline, just set ClosedOn.) 
//
// This implementation of splines does not use a normalized parametric
// coordinate. If the spline is open, then the parameter space is (tMin <= t
// <= tMax) where tMin and tMax are the minimum and maximum parametric values
// seen when performing AddPoint(). If the spline is closed, then the
// parameter space is (tMin <= t <= (tMax+1)) where tMin and tMax are the
// minimum and maximum parametric values seen when performing AddPoint().
// Note, however, that this behavior can be changed by explicitly setting
// the ParametricRange(tMin,tMax). If set, the parameter space remains
// (tMin <= t <= tMax), except that additions of data with parametric
// values outside this range are clamped within this range.
//
//To create an instance of class vtkSpline, simply
//invoke its constructor as follows
//@[
//  obj = vtkSpline
//@]
//@@Methods
//The class vtkSpline has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSpline class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSpline = obj.NewInstance ()|
// \item @|vtkSpline = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetParametricRange (double tMin, double tMax)| -  Set/Get the parametric range. If not set, the range is determined
// implicitly by keeping track of the (min,max) parameter values for
// t. If set, the AddPoint() method will clamp the t value to lie
// within the specified range.
//// \item @|obj.SetParametricRange (double tRange[2])| -  Set/Get the parametric range. If not set, the range is determined
// implicitly by keeping track of the (min,max) parameter values for
// t. If set, the AddPoint() method will clamp the t value to lie
// within the specified range.
//// \item @|obj.GetParametricRange (double tRange[2]) const| -  Set/Get the parametric range. If not set, the range is determined
// implicitly by keeping track of the (min,max) parameter values for
// t. If set, the AddPoint() method will clamp the t value to lie
// within the specified range.
//// \item @|obj.SetClampValue (int )| -  Set/Get ClampValue. If On, results of the interpolation will be
// clamped to the min/max of the input data.
//// \item @|int = obj.GetClampValue ()| -  Set/Get ClampValue. If On, results of the interpolation will be
// clamped to the min/max of the input data.
//// \item @|obj.ClampValueOn ()| -  Set/Get ClampValue. If On, results of the interpolation will be
// clamped to the min/max of the input data.
//// \item @|obj.ClampValueOff ()| -  Set/Get ClampValue. If On, results of the interpolation will be
// clamped to the min/max of the input data.
//// \item @|obj.Compute ()| -  Compute the coefficients for the spline.
//// \item @|double = obj.Evaluate (double t)| -  Interpolate the value of the spline at parametric location of t.
//// \item @|int = obj.GetNumberOfPoints ()| -  Return the number of points inserted thus far.
//// \item @|obj.AddPoint (double t, double x)| -  Add a pair of points to be fit with the spline.
//// \item @|obj.RemovePoint (double t)| -  Remove a point from the data to be fit with the spline.
//// \item @|obj.RemoveAllPoints ()| -  Remove all points from the data.
//// \item @|obj.SetClosed (int )| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.
//// \item @|int = obj.GetClosed ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.
//// \item @|obj.ClosedOn ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.
//// \item @|obj.ClosedOff ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.
//// \item @|obj.SetLeftConstraint (int )| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
// 
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetLeftConstraintMinValue ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
// 
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetLeftConstraintMaxValue ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
// 
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetLeftConstraint ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
// 
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|obj.SetRightConstraint (int )| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
// 
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetRightConstraintMinValue ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
// 
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetRightConstraintMaxValue ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
// 
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|int = obj.GetRightConstraint ()| -  Set the type of constraint of the left(right) end points. Four
// constraints are available:
// 
// 0: the first derivative at left(right) most point is determined
// from the line defined from the first(last) two points.
//
// 1: the first derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 2: the second derivative at left(right) most point is set to
// Left(Right)Value.
// 
// 3: the second derivative at left(right)most points is Left(Right)Value
// times second derivative at first interior point.
//// \item @|obj.SetLeftValue (double )| -  The values of the derivative on the left and right sides. The value
// is used only if the left(right) constraint is type 1-3.
//// \item @|double = obj.GetLeftValue ()| -  The values of the derivative on the left and right sides. The value
// is used only if the left(right) constraint is type 1-3.
//// \item @|obj.SetRightValue (double )| -  The values of the derivative on the left and right sides. The value
// is used only if the left(right) constraint is type 1-3.
//// \item @|double = obj.GetRightValue ()| -  The values of the derivative on the left and right sides. The value
// is used only if the left(right) constraint is type 1-3.
//// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the Piecewise function.
//// \item @|obj.DeepCopy (vtkSpline s)| -  Deep copy of spline data.
////\end{itemize}
//!
