#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredGrid.h"

//@@Signature
//sfunction @vtkStructuredGrid:vtkStructuredGrid vtkStructuredGridConstructorFunction
//input a
//output p
//@@Parents vtkStructuredGrid vtkPointSet 
ArrayVector vtkStructuredGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredGrid::New(),"vtkStructuredGrid",eval);
  } else if (arg[0].className() == "vtkStructuredGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredGrid");
    vtkStructuredGrid*q = reinterpret_cast<vtkStructuredGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredGrid:GetClassName vtkStructuredGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:IsA vtkStructuredGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:NewInstance vtkStructuredGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:SafeDownCast vtkStructuredGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetDataObjectType vtkStructuredGridGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType ();return VTK_STRUCTURED_GRID  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:CopyStructure vtkStructuredGridCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyStructure (vtkDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetNumberOfPoints vtkStructuredGridGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPoints ();return vtkPointSet GetNumberOfPoints  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetPoint__1 vtkStructuredGridGetPoint__1Function
//input a0 a1 
//output y
ArrayVector vtkStructuredGridGetPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint (vtkIdType ptId);return this vtkPointSet GetPoint ptId  */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint__1 for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPoint(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetPoint__2 vtkStructuredGridGetPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredGridGetPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint (vtkIdType ptId, double p[3]);this vtkPointSet GetPoint ptId p  */
  if (arg.size() < 3) 
    throw Exception("Function GetPoint__2 for class vtkStructuredGrid requires 3 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetCell__1 vtkStructuredGridGetCell__1Function
//input a0 a1 
//output y
ArrayVector vtkStructuredGridGetCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetCell (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCell__1 for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetCell__2 vtkStructuredGridGetCell__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredGridGetCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCell (vtkIdType cellId, vtkGenericCell *cell); */
  if (arg.size() < 3) 
    throw Exception("Function GetCell__2 for class vtkStructuredGrid requires 3 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  vtk_pointer->GetCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetCellBounds vtkStructuredGridGetCellBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredGridGetCellBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellBounds (vtkIdType cellId, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellBounds for class vtkStructuredGrid requires 3 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[6];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetCellBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetCellType vtkStructuredGridGetCellTypeFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellType for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetNumberOfCells vtkStructuredGridGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetCellPoints vtkStructuredGridGetCellPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredGridGetCellPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellPoints for class vtkStructuredGrid requires 3 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetCellPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetPointCells vtkStructuredGridGetPointCellsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredGridGetPointCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);vtkStructuredData GetPointCells ptId cellIds this GetDimensions  */
  if (arg.size() < 3) 
    throw Exception("Function GetPointCells for class vtkStructuredGrid requires 3 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetPointCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:Initialize vtkStructuredGridInitializeFunction
//input a0 
//output none
ArrayVector vtkStructuredGridInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetMaxCellSize vtkStructuredGridGetMaxCellSizeFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetMaxCellSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxCellSize ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellSize for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetCellNeighbors__1 vtkStructuredGridGetCellNeighbors__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStructuredGridGetCellNeighbors__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds); */
  if (arg.size() < 4) 
    throw Exception("Function GetCellNeighbors__1 for class vtkStructuredGrid requires 4 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  vtk_pointer->GetCellNeighbors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetScalarRange__1 vtkStructuredGridGetScalarRange__1Function
//input a0 a1 
//output none
ArrayVector vtkStructuredGridGetScalarRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetScalarRange (double range[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarRange__1 for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetScalarRange__2 vtkStructuredGridGetScalarRange__2Function
//input a0 
//output y
ArrayVector vtkStructuredGridGetScalarRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetScalarRange ();return this Superclass GetScalarRange  */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarRange__2 for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScalarRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:SetDimensions__1 vtkStructuredGridSetDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStructuredGridSetDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensions (int i, int j, int k); */
  if (arg.size() < 4) 
    throw Exception("Function SetDimensions__1 for class vtkStructuredGrid requires 4 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:SetDimensions__2 vtkStructuredGridSetDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkStructuredGridSetDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensions (int dim[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensions__2 for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetDimensions__1 vtkStructuredGridGetDimensions__1Function
//input a0 
//output y
ArrayVector vtkStructuredGridGetDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int *GetDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensions__1 for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetDimensions__2 vtkStructuredGridGetDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkStructuredGridGetDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetDimensions (int dim[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetDimensions__2 for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetDataDimension vtkStructuredGridGetDataDimensionFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetDataDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataDimension for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:SetExtent__1 vtkStructuredGridSetExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkStructuredGridSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__1 for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:SetExtent__2 vtkStructuredGridSetExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkStructuredGridSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__2 for class vtkStructuredGrid requires 7 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetExtent vtkStructuredGridGetExtentFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtent for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetActualMemorySize vtkStructuredGridGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:ShallowCopy vtkStructuredGridShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:DeepCopy vtkStructuredGridDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetExtentType vtkStructuredGridGetExtentTypeFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetExtentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtentType ();return VTK_3D_EXTENT  */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentType for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtentType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:BlankPoint vtkStructuredGridBlankPointFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridBlankPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BlankPoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function BlankPoint for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->BlankPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:UnBlankPoint vtkStructuredGridUnBlankPointFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridUnBlankPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnBlankPoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function UnBlankPoint for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->UnBlankPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:BlankCell vtkStructuredGridBlankCellFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridBlankCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BlankCell (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function BlankCell for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->BlankCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:UnBlankCell vtkStructuredGridUnBlankCellFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridUnBlankCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnBlankCell (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function UnBlankCell for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->UnBlankCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetPointVisibilityArray vtkStructuredGridGetPointVisibilityArrayFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetPointVisibilityArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *GetPointVisibilityArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointVisibilityArray for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp20;
  temp20 = (vtk_pointer)->GetPointVisibilityArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:SetPointVisibilityArray vtkStructuredGridSetPointVisibilityArrayFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridSetPointVisibilityArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointVisibilityArray (vtkUnsignedCharArray *pointVisibility); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointVisibilityArray for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  vtk_pointer->SetPointVisibilityArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetCellVisibilityArray vtkStructuredGridGetCellVisibilityArrayFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetCellVisibilityArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *GetCellVisibilityArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellVisibilityArray for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp20;
  temp20 = (vtk_pointer)->GetCellVisibilityArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:SetCellVisibilityArray vtkStructuredGridSetCellVisibilityArrayFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridSetCellVisibilityArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellVisibilityArray (vtkUnsignedCharArray *pointVisibility); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellVisibilityArray for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  vtk_pointer->SetCellVisibilityArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:IsPointVisible vtkStructuredGridIsPointVisibleFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridIsPointVisibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char IsPointVisible (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function IsPointVisible for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned char     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsPointVisible(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:IsCellVisible vtkStructuredGridIsCellVisibleFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridIsCellVisibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char IsCellVisible (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function IsCellVisible for class vtkStructuredGrid requires 2 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned char     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsCellVisible(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetPointBlanking vtkStructuredGridGetPointBlankingFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetPointBlankingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char GetPointBlanking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointBlanking for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  unsigned char     temp20;
  temp20 = (vtk_pointer)->GetPointBlanking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetCellBlanking vtkStructuredGridGetCellBlankingFunction
//input a0 
//output y
ArrayVector vtkStructuredGridGetCellBlankingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char GetCellBlanking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellBlanking for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  unsigned char     temp20;
  temp20 = (vtk_pointer)->GetCellBlanking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:Crop vtkStructuredGridCropFunction
//input a0 
//output none
ArrayVector vtkStructuredGridCropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Crop (); */
  if (arg.size() < 1) 
    throw Exception("Function Crop for class vtkStructuredGrid requires 1 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->Crop();
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetPoint__3 vtkStructuredGridGetPoint__3Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkStructuredGridGetPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint (int i, int j, int k, double p[3], bool adjustForExtenttrue); */
  if (arg.size() < 6) 
    throw Exception("Function GetPoint__3 for class vtkStructuredGrid requires 6 argument(s)");
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  double temp3[3];
  bool   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGrid:GetPoint vtkStructuredGridGetPointFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkStructuredGridGetPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkStructuredGridGetPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkStructuredGridGetPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridGetPoint");
}

//@@Signature
//sfunction @vtkStructuredGrid:GetCell vtkStructuredGridGetCellFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridGetCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkStructuredGridGetCell__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericCell"))
    return vtkStructuredGridGetCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridGetCell");
}

//@@Signature
//sfunction @vtkStructuredGrid:GetCellNeighbors vtkStructuredGridGetCellNeighborsFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridGetCellNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkIdList"))
    return vtkStructuredGridGetCellNeighbors__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridGetCellNeighbors");
}

//@@Signature
//sfunction @vtkStructuredGrid:GetScalarRange vtkStructuredGridGetScalarRangeFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridGetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkStructuredGridGetScalarRange__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkStructuredGridGetScalarRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridGetScalarRange");
}

//@@Signature
//sfunction @vtkStructuredGrid:SetDimensions vtkStructuredGridSetDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridSetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkStructuredGridSetDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkStructuredGridSetDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridSetDimensions");
}

//@@Signature
//sfunction @vtkStructuredGrid:GetDimensions vtkStructuredGridGetDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridGetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkStructuredGridGetDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkStructuredGridGetDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridGetDimensions");
}

//@@Signature
//sfunction @vtkStructuredGrid:SetExtent vtkStructuredGridSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkStructuredGridSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkStructuredGridSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridSetExtent");
}

//@@Signature
//sfunction @vtkStructuredGrid:display vtkStructuredGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredGrid* vtk_pointer = GetVTKPointer<vtkStructuredGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredGrid:delete vtkStructuredGridDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredGrid
//@@Section VTKFiltering
//@@Usage
// vtkStructuredGrid is a data object that is a concrete implementation of
// vtkDataSet. vtkStructuredGrid represents a geometric structure that is a
// topologically regular array of points. The topology is that of a cube that
// has been subdivided into a regular array of smaller cubes. Each point/cell
// can be addressed with i-j-k indices. Examples include finite difference 
// grids.
//
// The order and number of points must match that specified by the dimensions
// of the grid. The point order increases in i fastest (from 0<=i<dims[0]),
// then j (0<=j<dims[1]), then k (0<=k<dims[2]) where dims[] are the
// dimensions of the grid in the i-j-k topological directions. The number of
// points is dims[0]*dims[1]*dims[2]. The same is true for the cells of the
// grid. The order and number of cells must match that specified by the
// dimensions of the grid. The cell order increases in i fastest (from
// 0<=i<(dims[0]-1)), then j (0<=j<(dims[1]-1)), then k (0<=k<(dims[2]-1))
// The number of cells is (dims[0]-1)*(dims[1]-1)*(dims[2]-1).
// 
// A unusual feature of vtkStructuredGrid is the ability to blank, 
// or "turn-off" points and cells in the dataset. This is controlled by 
// defining a "blanking array" whose values (0,1) specify whether
// a point should be blanked or not.
//
//To create an instance of class vtkStructuredGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredGrid
//@]
//@@Methods
//The class vtkStructuredGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredGrid = obj.NewInstance ()|
// \item @|vtkStructuredGrid = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()| -  Copy the geometric and topological structure of an input poly data object.
//// \item @|obj.CopyStructure (vtkDataSet ds)| -  Copy the geometric and topological structure of an input poly data object.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|double = obj.GetPoint (vtkIdType ptId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetPoint (vtkIdType ptId, double p[3])| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkCell = obj.GetCell (vtkIdType cellId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCell (vtkIdType cellId, vtkGenericCell cell)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCellBounds (vtkIdType cellId, double bounds[6])| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|int = obj.GetCellType (vtkIdType cellId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCellPoints (vtkIdType cellId, vtkIdList ptIds)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetPointCells (vtkIdType ptId, vtkIdList cellIds)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.Initialize ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|int = obj.GetMaxCellSize ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCellNeighbors (vtkIdType cellId, vtkIdList ptIds, vtkIdList cellIds)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetScalarRange (double range[2])| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|double = obj.GetScalarRange ()| -  following methods are specific to structured grid
//// \item @|obj.SetDimensions (int i, int j, int k)| -  following methods are specific to structured grid
//// \item @|obj.SetDimensions (int dim[3])| -  following methods are specific to structured grid
//// \item @|int = obj.GetDimensions ()| -  Get dimensions of this structured points dataset.
//// \item @|obj.GetDimensions (int dim[3])| -  Get dimensions of this structured points dataset.
//// \item @|int = obj.GetDataDimension ()| -  Return the dimensionality of the data.
//// \item @|obj.SetExtent (int extent[6])| -  Different ways to set the extent of the data array.  The extent
// should be set before the "Scalars" are set or allocated.
// The Extent is stored  in the order (X, Y, Z).
//// \item @|obj.SetExtent (int x1, int x2, int y1, int y2, int z1, int z2)| -  Different ways to set the extent of the data array.  The extent
// should be set before the "Scalars" are set or allocated.
// The Extent is stored  in the order (X, Y, Z).
//// \item @|int = obj. GetExtent ()| -  Different ways to set the extent of the data array.  The extent
// should be set before the "Scalars" are set or allocated.
// The Extent is stored  in the order (X, Y, Z).
//// \item @|long = obj.GetActualMemorySize ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value). THIS METHOD
// IS THREAD SAFE.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|int = obj.GetExtentType ()| -  Methods for supporting blanking of cells. Blanking turns on or off
// points in the structured grid, and hence the cells connected to them.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|obj.BlankPoint (vtkIdType ptId)| -  Methods for supporting blanking of cells. Blanking turns on or off
// points in the structured grid, and hence the cells connected to them.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|obj.UnBlankPoint (vtkIdType ptId)| -  Methods for supporting blanking of cells. Blanking turns on or off
// points in the structured grid, and hence the cells connected to them.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|obj.BlankCell (vtkIdType ptId)| -  Methods for supporting blanking of cells. Blanking turns on or off
// cells in the structured grid, and hence the cells connected to them.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|obj.UnBlankCell (vtkIdType ptId)| -  Methods for supporting blanking of cells. Blanking turns on or off
// cells in the structured grid, and hence the cells connected to them.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|vtkUnsignedCharArray = obj.GetPointVisibilityArray ()| -  Get the array that defines the blanking (visibility) of each point.
//// \item @|obj.SetPointVisibilityArray (vtkUnsignedCharArray pointVisibility)| -  Set an array that defines the (blanking) visibility of the points 
// in the grid. Make sure that length of the visibility array matches 
// the number of points in the grid.
//// \item @|vtkUnsignedCharArray = obj.GetCellVisibilityArray ()| -  Get the array that defines the blanking (visibility) of each cell.
//// \item @|obj.SetCellVisibilityArray (vtkUnsignedCharArray pointVisibility)| -  Set an array that defines the (blanking) visibility of the cells 
// in the grid. Make sure that length of the visibility array matches 
// the number of points in the grid.
//// \item @|char = obj.IsPointVisible (vtkIdType ptId)| -  Return non-zero value if specified point is visible.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|char = obj.IsCellVisible (vtkIdType cellId)| -  Return non-zero value if specified point is visible.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|char = obj.GetPointBlanking ()| -  Returns 1 if there is any visibility constraint on the points,
// 0 otherwise.
//// \item @|char = obj.GetCellBlanking ()| -  Returns 1 if there is any visibility constraint on the cells,
// 0 otherwise.
//// \item @|obj.Crop ()| -  Reallocates and copies to set the Extent to the UpdateExtent.
// This is used internally when the exact extent is requested, 
// and the source generated more than the update extent. 
//// \item @|obj.GetPoint (int i, int j, int k, double p[3], bool adjustForExtenttrue)| -  Get a point in the grid. If adjustForExtent is true, (i,j,k) is 
// interpreted as a position relative to the beginning of the extent.
// If adjustForExtent is false, (i,j,k) is interpreted literally
// and the (i,j,k) point of the grid is returned regardless of the 
// extent beginning.
// The point coordinate is returned in 'p'.
// The default adjustForExtent is true.
////\end{itemize}
//!
