#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredGridAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredGridAlgorithm.h"

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:vtkStructuredGridAlgorithm vtkStructuredGridAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkStructuredGridAlgorithm vtkAlgorithm 
ArrayVector vtkStructuredGridAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredGridAlgorithm::New(),"vtkStructuredGridAlgorithm",eval);
  } else if (arg[0].className() == "vtkStructuredGridAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredGridAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredGridAlgorithm");
    vtkStructuredGridAlgorithm*q = reinterpret_cast<vtkStructuredGridAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredGridAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredGridAlgorithm:GetClassName vtkStructuredGridAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredGridAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredGridAlgorithm requires 1 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:IsA vtkStructuredGridAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredGridAlgorithm requires 2 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:NewInstance vtkStructuredGridAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredGridAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredGridAlgorithm requires 1 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkStructuredGridAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:SafeDownCast vtkStructuredGridAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredGridAlgorithm requires 2 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredGridAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:GetOutput__1 vtkStructuredGridAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkStructuredGridAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkStructuredGridAlgorithm requires 1 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:GetOutput__2 vtkStructuredGridAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkStructuredGridAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkStructuredGridAlgorithm requires 2 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkStructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:SetOutput vtkStructuredGridAlgorithmSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridAlgorithmSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutput (vtkDataObject *d); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkStructuredGridAlgorithm requires 2 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:GetInput__1 vtkStructuredGridAlgorithmGetInput__1Function
//input a0 
//output y
ArrayVector vtkStructuredGridAlgorithmGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkStructuredGridAlgorithm requires 1 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:GetInput__2 vtkStructuredGridAlgorithmGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkStructuredGridAlgorithmGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkStructuredGridAlgorithm requires 2 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:GetStructuredGridInput vtkStructuredGridAlgorithmGetStructuredGridInputFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridAlgorithmGetStructuredGridInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetStructuredGridInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetStructuredGridInput for class vtkStructuredGridAlgorithm requires 2 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkStructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetStructuredGridInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:SetInput__1 vtkStructuredGridAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkStructuredGridAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkStructuredGridAlgorithm requires 2 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:SetInput__2 vtkStructuredGridAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredGridAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkStructuredGridAlgorithm requires 3 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:AddInput__1 vtkStructuredGridAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkStructuredGridAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkStructuredGridAlgorithm requires 2 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:AddInput__2 vtkStructuredGridAlgorithmAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredGridAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkStructuredGridAlgorithm requires 3 argument(s)");
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:GetOutput vtkStructuredGridAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkStructuredGridAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkStructuredGridAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:GetInput vtkStructuredGridAlgorithmGetInputFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkStructuredGridAlgorithmGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkStructuredGridAlgorithmGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridAlgorithmGetInput");
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:SetInput vtkStructuredGridAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkStructuredGridAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkStructuredGridAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:AddInput vtkStructuredGridAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkStructuredGridAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkStructuredGridAlgorithmAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkStructuredGridAlgorithm:display vtkStructuredGridAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkStructuredGridAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredGridAlgorithm:delete vtkStructuredGridAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredGridAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredGridAlgorithm
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkStructuredGridAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredGridAlgorithm
//@]
//@@Methods
//The class vtkStructuredGridAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredGridAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredGridAlgorithm = obj.NewInstance ()|
// \item @|vtkStructuredGridAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkStructuredGrid = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkStructuredGrid = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetOutput (vtkDataObject d)| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetInput ()|
// \item @|vtkDataObject = obj.GetInput (int port)|
// \item @|vtkStructuredGrid = obj.GetStructuredGridInput (int port)|
// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
