#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredGridSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredGridSource.h"

//@@Signature
//sfunction @vtkStructuredGridSource:vtkStructuredGridSource vtkStructuredGridSourceConstructorFunction
//input a
//output p
//@@Parents vtkStructuredGridSource vtkSource 
ArrayVector vtkStructuredGridSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredGridSource::New(),"vtkStructuredGridSource",eval);
  } else if (arg[0].className() == "vtkStructuredGridSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredGridSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredGridSource");
    vtkStructuredGridSource*q = reinterpret_cast<vtkStructuredGridSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredGridSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredGridSource:GetClassName vtkStructuredGridSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredGridSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredGridSource requires 1 argument(s)");
  vtkStructuredGridSource* vtk_pointer = GetVTKPointer<vtkStructuredGridSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridSource:IsA vtkStructuredGridSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredGridSource requires 2 argument(s)");
  vtkStructuredGridSource* vtk_pointer = GetVTKPointer<vtkStructuredGridSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridSource:NewInstance vtkStructuredGridSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredGridSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredGridSource requires 1 argument(s)");
  vtkStructuredGridSource* vtk_pointer = GetVTKPointer<vtkStructuredGridSource>(arg[0]);
  Array retval;
  vtkStructuredGridSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridSource:SafeDownCast vtkStructuredGridSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredGridSource requires 2 argument(s)");
  vtkStructuredGridSource* vtk_pointer = GetVTKPointer<vtkStructuredGridSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredGridSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridSource:GetOutput__1 vtkStructuredGridSourceGetOutput__1Function
//input a0 
//output y
ArrayVector vtkStructuredGridSourceGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkStructuredGridSource requires 1 argument(s)");
  vtkStructuredGridSource* vtk_pointer = GetVTKPointer<vtkStructuredGridSource>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridSource:GetOutput__2 vtkStructuredGridSourceGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkStructuredGridSourceGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkStructuredGridSource requires 2 argument(s)");
  vtkStructuredGridSource* vtk_pointer = GetVTKPointer<vtkStructuredGridSource>(arg[0]);
  Array retval;
  int      temp0;
  vtkStructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridSource:SetOutput vtkStructuredGridSourceSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridSourceSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkStructuredGrid *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkStructuredGridSource requires 2 argument(s)");
  vtkStructuredGridSource* vtk_pointer = GetVTKPointer<vtkStructuredGridSource>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkStructuredGrid>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridSource:GetOutput vtkStructuredGridSourceGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkStructuredGridSourceGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkStructuredGridSourceGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridSourceGetOutput");
}

//@@Signature
//sfunction @vtkStructuredGridSource:display vtkStructuredGridSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredGridSource* vtk_pointer = GetVTKPointer<vtkStructuredGridSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredGridSource:delete vtkStructuredGridSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredGridSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredGridSource
//@@Section VTKFiltering
//@@Usage
// vtkStructuredGridSource is an abstract class whose subclasses generate
// structured grid data.
//
//To create an instance of class vtkStructuredGridSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredGridSource
//@]
//@@Methods
//The class vtkStructuredGridSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredGridSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredGridSource = obj.NewInstance ()|
// \item @|vtkStructuredGridSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkStructuredGrid = obj.GetOutput ()| -  Get the output of this source.
//// \item @|vtkStructuredGrid = obj.GetOutput (int idx)| -  Get the output of this source.
//// \item @|obj.SetOutput (vtkStructuredGrid output)| -  Get the output of this source.
////\end{itemize}
//!
