#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredGridToPolyDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredGridToPolyDataFilter.h"

//@@Signature
//sfunction @vtkStructuredGridToPolyDataFilter:vtkStructuredGridToPolyDataFilter vtkStructuredGridToPolyDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkStructuredGridToPolyDataFilter vtkPolyDataSource 
ArrayVector vtkStructuredGridToPolyDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredGridToPolyDataFilter::New(),"vtkStructuredGridToPolyDataFilter",eval);
  } else if (arg[0].className() == "vtkStructuredGridToPolyDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredGridToPolyDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredGridToPolyDataFilter");
    vtkStructuredGridToPolyDataFilter*q = reinterpret_cast<vtkStructuredGridToPolyDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredGridToPolyDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredGridToPolyDataFilter:GetClassName vtkStructuredGridToPolyDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredGridToPolyDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredGridToPolyDataFilter requires 1 argument(s)");
  vtkStructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToPolyDataFilter:IsA vtkStructuredGridToPolyDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridToPolyDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredGridToPolyDataFilter requires 2 argument(s)");
  vtkStructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToPolyDataFilter:NewInstance vtkStructuredGridToPolyDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredGridToPolyDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridToPolyDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredGridToPolyDataFilter requires 1 argument(s)");
  vtkStructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  vtkStructuredGridToPolyDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToPolyDataFilter:SafeDownCast vtkStructuredGridToPolyDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridToPolyDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridToPolyDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredGridToPolyDataFilter requires 2 argument(s)");
  vtkStructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredGridToPolyDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToPolyDataFilter:SetInput vtkStructuredGridToPolyDataFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridToPolyDataFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkStructuredGrid *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkStructuredGridToPolyDataFilter requires 2 argument(s)");
  vtkStructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkStructuredGrid>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToPolyDataFilter:GetInput vtkStructuredGridToPolyDataFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkStructuredGridToPolyDataFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkStructuredGridToPolyDataFilter requires 1 argument(s)");
  vtkStructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToPolyDataFilter:display vtkStructuredGridToPolyDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridToPolyDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToPolyDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredGridToPolyDataFilter:delete vtkStructuredGridToPolyDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredGridToPolyDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredGridToPolyDataFilter
//@@Section VTKFiltering
//@@Usage
// vtkStructuredGridToPolyDataFilter is a filter whose subclasses take as input
// structured grid datasets and generate polygonal data on output. 
//
//To create an instance of class vtkStructuredGridToPolyDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredGridToPolyDataFilter
//@]
//@@Methods
//The class vtkStructuredGridToPolyDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredGridToPolyDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredGridToPolyDataFilter = obj.NewInstance ()|
// \item @|vtkStructuredGridToPolyDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkStructuredGrid input)| -  Set / get the input Grid or filter.
//// \item @|vtkStructuredGrid = obj.GetInput ()| -  Set / get the input Grid or filter.
////\end{itemize}
//!
