#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredGridToStructuredGridFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredGridToStructuredGridFilter.h"

//@@Signature
//sfunction @vtkStructuredGridToStructuredGridFilter:vtkStructuredGridToStructuredGridFilter vtkStructuredGridToStructuredGridFilterConstructorFunction
//input a
//output p
//@@Parents vtkStructuredGridToStructuredGridFilter vtkStructuredGridSource 
ArrayVector vtkStructuredGridToStructuredGridFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredGridToStructuredGridFilter::New(),"vtkStructuredGridToStructuredGridFilter",eval);
  } else if (arg[0].className() == "vtkStructuredGridToStructuredGridFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredGridToStructuredGridFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredGridToStructuredGridFilter");
    vtkStructuredGridToStructuredGridFilter*q = reinterpret_cast<vtkStructuredGridToStructuredGridFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredGridToStructuredGridFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredGridToStructuredGridFilter:GetClassName vtkStructuredGridToStructuredGridFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredGridToStructuredGridFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredGridToStructuredGridFilter requires 1 argument(s)");
  vtkStructuredGridToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToStructuredGridFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToStructuredGridFilter:IsA vtkStructuredGridToStructuredGridFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridToStructuredGridFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredGridToStructuredGridFilter requires 2 argument(s)");
  vtkStructuredGridToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToStructuredGridFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToStructuredGridFilter:NewInstance vtkStructuredGridToStructuredGridFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredGridToStructuredGridFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridToStructuredGridFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredGridToStructuredGridFilter requires 1 argument(s)");
  vtkStructuredGridToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToStructuredGridFilter>(arg[0]);
  Array retval;
  vtkStructuredGridToStructuredGridFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridToStructuredGridFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToStructuredGridFilter:SafeDownCast vtkStructuredGridToStructuredGridFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridToStructuredGridFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridToStructuredGridFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredGridToStructuredGridFilter requires 2 argument(s)");
  vtkStructuredGridToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToStructuredGridFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredGridToStructuredGridFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridToStructuredGridFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToStructuredGridFilter:SetInput vtkStructuredGridToStructuredGridFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridToStructuredGridFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkStructuredGrid *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkStructuredGridToStructuredGridFilter requires 2 argument(s)");
  vtkStructuredGridToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToStructuredGridFilter>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkStructuredGrid>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToStructuredGridFilter:GetInput vtkStructuredGridToStructuredGridFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkStructuredGridToStructuredGridFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkStructuredGridToStructuredGridFilter requires 1 argument(s)");
  vtkStructuredGridToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToStructuredGridFilter>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridToStructuredGridFilter:display vtkStructuredGridToStructuredGridFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridToStructuredGridFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredGridToStructuredGridFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridToStructuredGridFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredGridToStructuredGridFilter:delete vtkStructuredGridToStructuredGridFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredGridToStructuredGridFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredGridToStructuredGridFilter
//@@Section VTKFiltering
//@@Usage
// vtkStructuredPointsToStructuredPointsFilter is an abstract filter class 
// whose subclasses take on input a structured grid  and generate a
// structured grid on output.
//
//To create an instance of class vtkStructuredGridToStructuredGridFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredGridToStructuredGridFilter
//@]
//@@Methods
//The class vtkStructuredGridToStructuredGridFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredGridToStructuredGridFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredGridToStructuredGridFilter = obj.NewInstance ()|
// \item @|vtkStructuredGridToStructuredGridFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkStructuredGrid input)| -  Set / get the input Grid or filter.
//// \item @|vtkStructuredGrid = obj.GetInput ()| -  Set / get the input Grid or filter.
////\end{itemize}
//!
