#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredPoints.h"

//@@Signature
//sfunction @vtkStructuredPoints:vtkStructuredPoints vtkStructuredPointsConstructorFunction
//input a
//output p
//@@Parents vtkStructuredPoints vtkImageData 
ArrayVector vtkStructuredPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredPoints::New(),"vtkStructuredPoints",eval);
  } else if (arg[0].className() == "vtkStructuredPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredPoints");
    vtkStructuredPoints*q = reinterpret_cast<vtkStructuredPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredPoints:GetClassName vtkStructuredPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredPoints requires 1 argument(s)");
  vtkStructuredPoints* vtk_pointer = GetVTKPointer<vtkStructuredPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPoints:IsA vtkStructuredPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredPoints requires 2 argument(s)");
  vtkStructuredPoints* vtk_pointer = GetVTKPointer<vtkStructuredPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPoints:NewInstance vtkStructuredPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredPoints requires 1 argument(s)");
  vtkStructuredPoints* vtk_pointer = GetVTKPointer<vtkStructuredPoints>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPoints:SafeDownCast vtkStructuredPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredPoints requires 2 argument(s)");
  vtkStructuredPoints* vtk_pointer = GetVTKPointer<vtkStructuredPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPoints:GetDataObjectType vtkStructuredPointsGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType ();return VTK_STRUCTURED_POINTS  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkStructuredPoints requires 1 argument(s)");
  vtkStructuredPoints* vtk_pointer = GetVTKPointer<vtkStructuredPoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPoints:display vtkStructuredPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredPoints* vtk_pointer = GetVTKPointer<vtkStructuredPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredPoints:delete vtkStructuredPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredPoints
//@@Section VTKFiltering
//@@Usage
// StructuredPoints is a subclass of ImageData that requires the data extent
// to exactly match the update extent. Normall image data allows that the
// data extent may be larger than the update extent.
// StructuredPoints also defines the origin differently that vtkImageData.
// For structured points the origin is the location of first point. 
// Whereas images define the origin as the location of point 0, 0, 0.
// Image Origin is stored in ivar, and structured points
// have special methods for setting/getting the origin/extents.
//
//To create an instance of class vtkStructuredPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredPoints
//@]
//@@Methods
//The class vtkStructuredPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredPoints = obj.NewInstance ()|
// \item @|vtkStructuredPoints = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()|
//\end{itemize}
//!
