#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredPointsCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredPointsCollection.h"

//@@Signature
//sfunction @vtkStructuredPointsCollection:vtkStructuredPointsCollection vtkStructuredPointsCollectionConstructorFunction
//input a
//output p
//@@Parents vtkStructuredPointsCollection vtkCollection 
ArrayVector vtkStructuredPointsCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredPointsCollection::New(),"vtkStructuredPointsCollection",eval);
  } else if (arg[0].className() == "vtkStructuredPointsCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredPointsCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredPointsCollection");
    vtkStructuredPointsCollection*q = reinterpret_cast<vtkStructuredPointsCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredPointsCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredPointsCollection:GetClassName vtkStructuredPointsCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredPointsCollection requires 1 argument(s)");
  vtkStructuredPointsCollection* vtk_pointer = GetVTKPointer<vtkStructuredPointsCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsCollection:IsA vtkStructuredPointsCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredPointsCollection requires 2 argument(s)");
  vtkStructuredPointsCollection* vtk_pointer = GetVTKPointer<vtkStructuredPointsCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsCollection:NewInstance vtkStructuredPointsCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredPointsCollection requires 1 argument(s)");
  vtkStructuredPointsCollection* vtk_pointer = GetVTKPointer<vtkStructuredPointsCollection>(arg[0]);
  Array retval;
  vtkStructuredPointsCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsCollection:SafeDownCast vtkStructuredPointsCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredPointsCollection requires 2 argument(s)");
  vtkStructuredPointsCollection* vtk_pointer = GetVTKPointer<vtkStructuredPointsCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredPointsCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsCollection:AddItem__1 vtkStructuredPointsCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkStructuredPointsCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkStructuredPoints *ds);this vtkCollection AddItem ds  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkStructuredPointsCollection requires 2 argument(s)");
  vtkStructuredPointsCollection* vtk_pointer = GetVTKPointer<vtkStructuredPointsCollection>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp0;
  temp0 = GetVTKPointer<vtkStructuredPoints>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsCollection:GetNextItem vtkStructuredPointsCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetNextItem ();return static_cast vtkStructuredPoints this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkStructuredPointsCollection requires 1 argument(s)");
  vtkStructuredPointsCollection* vtk_pointer = GetVTKPointer<vtkStructuredPointsCollection>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsCollection:AddItem vtkStructuredPointsCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkStructuredPoints"))
    return vtkStructuredPointsCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredPointsCollectionAddItem");
}

//@@Signature
//sfunction @vtkStructuredPointsCollection:display vtkStructuredPointsCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredPointsCollection* vtk_pointer = GetVTKPointer<vtkStructuredPointsCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredPointsCollection:delete vtkStructuredPointsCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredPointsCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredPointsCollection
//@@Section VTKFiltering
//@@Usage
// vtkStructuredPointsCollection is an object that creates and manipulates
// lists of structured points datasets. See also vtkCollection and
// subclasses.
//
//To create an instance of class vtkStructuredPointsCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredPointsCollection
//@]
//@@Methods
//The class vtkStructuredPointsCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredPointsCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredPointsCollection = obj.NewInstance ()|
// \item @|vtkStructuredPointsCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkStructuredPoints ds)| -  Get the next item in the collection. NULL is returned if the collection
// is exhausted.
//// \item @|vtkStructuredPoints = obj.GetNextItem ()| -  Get the next item in the collection. NULL is returned if the collection
// is exhausted.
////\end{itemize}
//!
