#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredPointsSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredPointsSource.h"

//@@Signature
//sfunction @vtkStructuredPointsSource:vtkStructuredPointsSource vtkStructuredPointsSourceConstructorFunction
//input a
//output p
//@@Parents vtkStructuredPointsSource vtkSource 
ArrayVector vtkStructuredPointsSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredPointsSource::New(),"vtkStructuredPointsSource",eval);
  } else if (arg[0].className() == "vtkStructuredPointsSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredPointsSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredPointsSource");
    vtkStructuredPointsSource*q = reinterpret_cast<vtkStructuredPointsSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredPointsSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredPointsSource:GetClassName vtkStructuredPointsSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredPointsSource requires 1 argument(s)");
  vtkStructuredPointsSource* vtk_pointer = GetVTKPointer<vtkStructuredPointsSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsSource:IsA vtkStructuredPointsSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredPointsSource requires 2 argument(s)");
  vtkStructuredPointsSource* vtk_pointer = GetVTKPointer<vtkStructuredPointsSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsSource:NewInstance vtkStructuredPointsSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredPointsSource requires 1 argument(s)");
  vtkStructuredPointsSource* vtk_pointer = GetVTKPointer<vtkStructuredPointsSource>(arg[0]);
  Array retval;
  vtkStructuredPointsSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsSource:SafeDownCast vtkStructuredPointsSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredPointsSource requires 2 argument(s)");
  vtkStructuredPointsSource* vtk_pointer = GetVTKPointer<vtkStructuredPointsSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredPointsSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsSource:SetOutput vtkStructuredPointsSourceSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredPointsSourceSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkStructuredPoints *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkStructuredPointsSource requires 2 argument(s)");
  vtkStructuredPointsSource* vtk_pointer = GetVTKPointer<vtkStructuredPointsSource>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp0;
  temp0 = GetVTKPointer<vtkStructuredPoints>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsSource:GetOutput__1 vtkStructuredPointsSourceGetOutput__1Function
//input a0 
//output y
ArrayVector vtkStructuredPointsSourceGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkStructuredPointsSource requires 1 argument(s)");
  vtkStructuredPointsSource* vtk_pointer = GetVTKPointer<vtkStructuredPointsSource>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsSource:GetOutput__2 vtkStructuredPointsSourceGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsSourceGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkStructuredPointsSource requires 2 argument(s)");
  vtkStructuredPointsSource* vtk_pointer = GetVTKPointer<vtkStructuredPointsSource>(arg[0]);
  Array retval;
  int      temp0;
  vtkStructuredPoints  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsSource:GetOutput vtkStructuredPointsSourceGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkStructuredPointsSourceGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkStructuredPointsSourceGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredPointsSourceGetOutput");
}

//@@Signature
//sfunction @vtkStructuredPointsSource:display vtkStructuredPointsSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredPointsSource* vtk_pointer = GetVTKPointer<vtkStructuredPointsSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredPointsSource:delete vtkStructuredPointsSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredPointsSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredPointsSource
//@@Section VTKFiltering
//@@Usage
// vtkStructuredPointsSource is an abstract class whose subclasses generate
// structured Points data.
//
//To create an instance of class vtkStructuredPointsSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredPointsSource
//@]
//@@Methods
//The class vtkStructuredPointsSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredPointsSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredPointsSource = obj.NewInstance ()|
// \item @|vtkStructuredPointsSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutput (vtkStructuredPoints output)| -  Set/Get the output of this source.
//// \item @|vtkStructuredPoints = obj.GetOutput ()| -  Set/Get the output of this source.
//// \item @|vtkStructuredPoints = obj.GetOutput (int idx)| -  Set/Get the output of this source.
////\end{itemize}
//!
