#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredPointsToPolyDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredPointsToPolyDataFilter.h"

//@@Signature
//sfunction @vtkStructuredPointsToPolyDataFilter:vtkStructuredPointsToPolyDataFilter vtkStructuredPointsToPolyDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkStructuredPointsToPolyDataFilter vtkPolyDataSource 
ArrayVector vtkStructuredPointsToPolyDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredPointsToPolyDataFilter::New(),"vtkStructuredPointsToPolyDataFilter",eval);
  } else if (arg[0].className() == "vtkStructuredPointsToPolyDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredPointsToPolyDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredPointsToPolyDataFilter");
    vtkStructuredPointsToPolyDataFilter*q = reinterpret_cast<vtkStructuredPointsToPolyDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredPointsToPolyDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredPointsToPolyDataFilter:GetClassName vtkStructuredPointsToPolyDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsToPolyDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredPointsToPolyDataFilter requires 1 argument(s)");
  vtkStructuredPointsToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToPolyDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToPolyDataFilter:IsA vtkStructuredPointsToPolyDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsToPolyDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredPointsToPolyDataFilter requires 2 argument(s)");
  vtkStructuredPointsToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToPolyDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToPolyDataFilter:NewInstance vtkStructuredPointsToPolyDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsToPolyDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsToPolyDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredPointsToPolyDataFilter requires 1 argument(s)");
  vtkStructuredPointsToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToPolyDataFilter>(arg[0]);
  Array retval;
  vtkStructuredPointsToPolyDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToPolyDataFilter:SafeDownCast vtkStructuredPointsToPolyDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsToPolyDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsToPolyDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredPointsToPolyDataFilter requires 2 argument(s)");
  vtkStructuredPointsToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToPolyDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredPointsToPolyDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToPolyDataFilter:SetInput vtkStructuredPointsToPolyDataFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredPointsToPolyDataFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkStructuredPointsToPolyDataFilter requires 2 argument(s)");
  vtkStructuredPointsToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToPolyDataFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToPolyDataFilter:GetInput vtkStructuredPointsToPolyDataFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsToPolyDataFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkStructuredPointsToPolyDataFilter requires 1 argument(s)");
  vtkStructuredPointsToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToPolyDataFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToPolyDataFilter:display vtkStructuredPointsToPolyDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsToPolyDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredPointsToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToPolyDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredPointsToPolyDataFilter:delete vtkStructuredPointsToPolyDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredPointsToPolyDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredPointsToPolyDataFilter
//@@Section VTKFiltering
//@@Usage
// vtkStructuredPointsToPolyDataFilter is an abstract filter class whose
// subclasses take on input structured points and generate polygonal 
// data on output.
//
//To create an instance of class vtkStructuredPointsToPolyDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredPointsToPolyDataFilter
//@]
//@@Methods
//The class vtkStructuredPointsToPolyDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredPointsToPolyDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredPointsToPolyDataFilter = obj.NewInstance ()|
// \item @|vtkStructuredPointsToPolyDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkImageData input)| -  Set / get the input data or filter.
//// \item @|vtkImageData = obj.GetInput ()| -  Set / get the input data or filter.
////\end{itemize}
//!
