#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredPointsToStructuredPointsFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredPointsToStructuredPointsFilter.h"

//@@Signature
//sfunction @vtkStructuredPointsToStructuredPointsFilter:vtkStructuredPointsToStructuredPointsFilter vtkStructuredPointsToStructuredPointsFilterConstructorFunction
//input a
//output p
//@@Parents vtkStructuredPointsToStructuredPointsFilter vtkStructuredPointsSource 
ArrayVector vtkStructuredPointsToStructuredPointsFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredPointsToStructuredPointsFilter::New(),"vtkStructuredPointsToStructuredPointsFilter",eval);
  } else if (arg[0].className() == "vtkStructuredPointsToStructuredPointsFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredPointsToStructuredPointsFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredPointsToStructuredPointsFilter");
    vtkStructuredPointsToStructuredPointsFilter*q = reinterpret_cast<vtkStructuredPointsToStructuredPointsFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredPointsToStructuredPointsFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredPointsToStructuredPointsFilter:GetClassName vtkStructuredPointsToStructuredPointsFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsToStructuredPointsFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredPointsToStructuredPointsFilter requires 1 argument(s)");
  vtkStructuredPointsToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToStructuredPointsFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToStructuredPointsFilter:IsA vtkStructuredPointsToStructuredPointsFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsToStructuredPointsFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredPointsToStructuredPointsFilter requires 2 argument(s)");
  vtkStructuredPointsToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToStructuredPointsFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToStructuredPointsFilter:NewInstance vtkStructuredPointsToStructuredPointsFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsToStructuredPointsFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsToStructuredPointsFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredPointsToStructuredPointsFilter requires 1 argument(s)");
  vtkStructuredPointsToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToStructuredPointsFilter>(arg[0]);
  Array retval;
  vtkStructuredPointsToStructuredPointsFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsToStructuredPointsFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToStructuredPointsFilter:SafeDownCast vtkStructuredPointsToStructuredPointsFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsToStructuredPointsFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsToStructuredPointsFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredPointsToStructuredPointsFilter requires 2 argument(s)");
  vtkStructuredPointsToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToStructuredPointsFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredPointsToStructuredPointsFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsToStructuredPointsFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToStructuredPointsFilter:SetInput vtkStructuredPointsToStructuredPointsFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredPointsToStructuredPointsFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkStructuredPointsToStructuredPointsFilter requires 2 argument(s)");
  vtkStructuredPointsToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToStructuredPointsFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToStructuredPointsFilter:GetInput vtkStructuredPointsToStructuredPointsFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsToStructuredPointsFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkStructuredPointsToStructuredPointsFilter requires 1 argument(s)");
  vtkStructuredPointsToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToStructuredPointsFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsToStructuredPointsFilter:display vtkStructuredPointsToStructuredPointsFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsToStructuredPointsFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredPointsToStructuredPointsFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsToStructuredPointsFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredPointsToStructuredPointsFilter:delete vtkStructuredPointsToStructuredPointsFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredPointsToStructuredPointsFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredPointsToStructuredPointsFilter
//@@Section VTKFiltering
//@@Usage
// vtkStructuredPointsToStructuredPointsFilter is an abstract filter class 
// whose subclasses take on input structured points and generate
// structured points on output.
//
//To create an instance of class vtkStructuredPointsToStructuredPointsFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredPointsToStructuredPointsFilter
//@]
//@@Methods
//The class vtkStructuredPointsToStructuredPointsFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredPointsToStructuredPointsFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredPointsToStructuredPointsFilter = obj.NewInstance ()|
// \item @|vtkStructuredPointsToStructuredPointsFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkImageData input)| -  Set / get the input data or filter.
//// \item @|vtkImageData = obj.GetInput ()| -  Set / get the input data or filter.
////\end{itemize}
//!
