#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSuperquadric object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSuperquadric.h"

//@@Signature
//sfunction @vtkSuperquadric:vtkSuperquadric vtkSuperquadricConstructorFunction
//input a
//output p
//@@Parents vtkSuperquadric vtkImplicitFunction 
ArrayVector vtkSuperquadricConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSuperquadric::New(),"vtkSuperquadric",eval);
  } else if (arg[0].className() == "vtkSuperquadric") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSuperquadric"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSuperquadric");
    vtkSuperquadric*q = reinterpret_cast<vtkSuperquadric*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSuperquadric");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSuperquadric:GetClassName vtkSuperquadricGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSuperquadricGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:IsA vtkSuperquadricIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSuperquadricIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSuperquadric requires 2 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:NewInstance vtkSuperquadricNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSuperquadricNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSuperquadric *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  vtkSuperquadric  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSuperquadric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:SafeDownCast vtkSuperquadricSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSuperquadricSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSuperquadric *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSuperquadric requires 2 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSuperquadric  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSuperquadric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:EvaluateFunction__1 vtkSuperquadricEvaluateFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkSuperquadricEvaluateFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function EvaluateFunction__1 for class vtkSuperquadric requires 2 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->EvaluateFunction(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:EvaluateFunction__2 vtkSuperquadricEvaluateFunction__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSuperquadricEvaluateFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z  */
  if (arg.size() < 4) 
    throw Exception("Function EvaluateFunction__2 for class vtkSuperquadric requires 4 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->EvaluateFunction(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:EvaluateGradient vtkSuperquadricEvaluateGradientFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSuperquadricEvaluateGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EvaluateGradient (double x[3], double g[3]); */
  if (arg.size() < 3) 
    throw Exception("Function EvaluateGradient for class vtkSuperquadric requires 3 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->EvaluateGradient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:SetCenter__1 vtkSuperquadricSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSuperquadricSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkSuperquadric requires 4 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:SetCenter__2 vtkSuperquadricSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkSuperquadric requires 2 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:GetCenter vtkSuperquadricGetCenterFunction
//input a0 
//output y
ArrayVector vtkSuperquadricGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:SetScale__1 vtkSuperquadricSetScale__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSuperquadricSetScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetScale__1 for class vtkSuperquadric requires 4 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetScale(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:SetScale__2 vtkSuperquadricSetScale__2Function
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSetScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetScale__2 for class vtkSuperquadric requires 2 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:GetScale vtkSuperquadricGetScaleFunction
//input a0 
//output y
ArrayVector vtkSuperquadricGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScale();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:GetThickness vtkSuperquadricGetThicknessFunction
//input a0 
//output y
ArrayVector vtkSuperquadricGetThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThickness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThickness for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThickness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:SetThickness vtkSuperquadricSetThicknessFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSetThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThickness (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThickness for class vtkSuperquadric requires 2 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetThickness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:GetThicknessMinValue vtkSuperquadricGetThicknessMinValueFunction
//input a0 
//output y
ArrayVector vtkSuperquadricGetThicknessMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThicknessMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThicknessMinValue for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThicknessMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:GetThicknessMaxValue vtkSuperquadricGetThicknessMaxValueFunction
//input a0 
//output y
ArrayVector vtkSuperquadricGetThicknessMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThicknessMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThicknessMaxValue for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThicknessMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:GetPhiRoundness vtkSuperquadricGetPhiRoundnessFunction
//input a0 
//output y
ArrayVector vtkSuperquadricGetPhiRoundnessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPhiRoundness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiRoundness for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPhiRoundness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:SetPhiRoundness vtkSuperquadricSetPhiRoundnessFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSetPhiRoundnessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhiRoundness (double e); */
  if (arg.size() < 2) 
    throw Exception("Function SetPhiRoundness for class vtkSuperquadric requires 2 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPhiRoundness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:GetThetaRoundness vtkSuperquadricGetThetaRoundnessFunction
//input a0 
//output y
ArrayVector vtkSuperquadricGetThetaRoundnessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThetaRoundness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaRoundness for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThetaRoundness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:SetThetaRoundness vtkSuperquadricSetThetaRoundnessFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSetThetaRoundnessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThetaRoundness (double e); */
  if (arg.size() < 2) 
    throw Exception("Function SetThetaRoundness for class vtkSuperquadric requires 2 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetThetaRoundness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:SetSize vtkSuperquadricSetSizeFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSize for class vtkSuperquadric requires 2 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:GetSize vtkSuperquadricGetSizeFunction
//input a0 
//output y
ArrayVector vtkSuperquadricGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:ToroidalOn vtkSuperquadricToroidalOnFunction
//input a0 
//output none
ArrayVector vtkSuperquadricToroidalOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ToroidalOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ToroidalOn for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  vtk_pointer->ToroidalOn();
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:ToroidalOff vtkSuperquadricToroidalOffFunction
//input a0 
//output none
ArrayVector vtkSuperquadricToroidalOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ToroidalOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ToroidalOff for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  vtk_pointer->ToroidalOff();
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:GetToroidal vtkSuperquadricGetToroidalFunction
//input a0 
//output y
ArrayVector vtkSuperquadricGetToroidalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToroidal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToroidal for class vtkSuperquadric requires 1 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToroidal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:SetToroidal vtkSuperquadricSetToroidalFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSetToroidalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetToroidal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetToroidal for class vtkSuperquadric requires 2 argument(s)");
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetToroidal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadric:EvaluateFunction vtkSuperquadricEvaluateFunctionFunction
//input varargin
//output varargout
ArrayVector vtkSuperquadricEvaluateFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSuperquadricEvaluateFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSuperquadricEvaluateFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSuperquadricEvaluateFunction");
}

//@@Signature
//sfunction @vtkSuperquadric:SetCenter vtkSuperquadricSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkSuperquadricSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSuperquadricSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSuperquadricSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSuperquadricSetCenter");
}

//@@Signature
//sfunction @vtkSuperquadric:SetScale vtkSuperquadricSetScaleFunction
//input varargin
//output varargout
ArrayVector vtkSuperquadricSetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSuperquadricSetScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSuperquadricSetScale__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSuperquadricSetScale");
}

//@@Signature
//sfunction @vtkSuperquadric:display vtkSuperquadricDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSuperquadricDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSuperquadric* vtk_pointer = GetVTKPointer<vtkSuperquadric>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSuperquadric:delete vtkSuperquadricDeleteFunction
//input varargin
//output none
ArrayVector vtkSuperquadricDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSuperquadric
//@@Section VTKFiltering
//@@Usage
// vtkSuperquadric computes the implicit function and function gradient
// for a superquadric. vtkSuperquadric is a concrete implementation of
// vtkImplicitFunction.  The superquadric is centered at Center and axes
// of rotation is along the y-axis. (Use the superclass'
// vtkImplicitFunction transformation matrix if necessary to reposition.)
// Roundness parameters (PhiRoundness and ThetaRoundness) control
// the shape of the superquadric.  The Toroidal boolean controls whether
// a toroidal superquadric is produced.  If so, the Thickness parameter
// controls the thickness of the toroid:  0 is the thinnest allowable
// toroid, and 1 has a minimum sized hole.  The Scale parameters allow 
// the superquadric to be scaled in x, y, and z (normal vectors are correctly
// generated in any case).  The Size parameter controls size of the 
// superquadric.
//
// This code is based on "Rigid physically based superquadrics", A. H. Barr,
// in "Graphics Gems III", David Kirk, ed., Academic Press, 1992.
//
//
//To create an instance of class vtkSuperquadric, simply
//invoke its constructor as follows
//@[
//  obj = vtkSuperquadric
//@]
//@@Methods
//The class vtkSuperquadric has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSuperquadric class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSuperquadric = obj.NewInstance ()|
// \item @|vtkSuperquadric = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.EvaluateFunction (double x[3])|
// \item @|double = obj.EvaluateFunction (double x, double y, double z)|
// \item @|obj.EvaluateGradient (double x[3], double g[3])|
// \item @|obj.SetCenter (double , double , double )| -  Set the center of the superquadric. Default is 0,0,0.
//// \item @|obj.SetCenter (double  a[3])| -  Set the center of the superquadric. Default is 0,0,0.
//// \item @|double = obj. GetCenter ()| -  Set the center of the superquadric. Default is 0,0,0.
//// \item @|obj.SetScale (double , double , double )| -  Set the scale factors of the superquadric. Default is 1,1,1.
//// \item @|obj.SetScale (double  a[3])| -  Set the scale factors of the superquadric. Default is 1,1,1.
//// \item @|double = obj. GetScale ()| -  Set the scale factors of the superquadric. Default is 1,1,1.
//// \item @|double = obj.GetThickness ()| -  Set/Get Superquadric ring thickness (toroids only).
// Changing thickness maintains the outside diameter of the toroid.
//// \item @|obj.SetThickness (double )| -  Set/Get Superquadric ring thickness (toroids only).
// Changing thickness maintains the outside diameter of the toroid.
//// \item @|double = obj.GetThicknessMinValue ()| -  Set/Get Superquadric ring thickness (toroids only).
// Changing thickness maintains the outside diameter of the toroid.
//// \item @|double = obj.GetThicknessMaxValue ()| -  Set/Get Superquadric ring thickness (toroids only).
// Changing thickness maintains the outside diameter of the toroid.
//// \item @|double = obj.GetPhiRoundness ()| -  Set/Get Superquadric north/south roundness. 
// Values range from 0 (rectangular) to 1 (circular) to higher orders.
//// \item @|obj.SetPhiRoundness (double e)| -  Set/Get Superquadric north/south roundness. 
// Values range from 0 (rectangular) to 1 (circular) to higher orders.
//// \item @|double = obj.GetThetaRoundness ()| -  Set/Get Superquadric east/west roundness.
// Values range from 0 (rectangular) to 1 (circular) to higher orders.
//// \item @|obj.SetThetaRoundness (double e)| -  Set/Get Superquadric east/west roundness.
// Values range from 0 (rectangular) to 1 (circular) to higher orders.
//// \item @|obj.SetSize (double )| -  Set/Get Superquadric isotropic size.
//// \item @|double = obj.GetSize ()| -  Set/Get Superquadric isotropic size.
//// \item @|obj.ToroidalOn ()| -  Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).
//// \item @|obj.ToroidalOff ()| -  Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).
//// \item @|int = obj.GetToroidal ()| -  Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).
//// \item @|obj.SetToroidal (int )| -  Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).
////\end{itemize}
//!
