#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTable.h"

//@@Signature
//sfunction @vtkTable:vtkTable vtkTableConstructorFunction
//input a
//output p
//@@Parents vtkTable vtkDataObject 
ArrayVector vtkTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTable::New(),"vtkTable",eval);
  } else if (arg[0].className() == "vtkTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTable");
    vtkTable*q = reinterpret_cast<vtkTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTable:GetClassName vtkTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTable requires 1 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTable:IsA vtkTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTable:NewInstance vtkTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTable requires 1 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTable:SafeDownCast vtkTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTable:Dump vtkTableDumpFunction
//input a0 a1 
//output none
ArrayVector vtkTableDumpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Dump (unsigned int colWidth); */
  if (arg.size() < 2) 
    throw Exception("Function Dump for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->Dump(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetDataObjectType vtkTableGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkTableGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType ();return VTK_TABLE  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkTable requires 1 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetActualMemorySize vtkTableGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkTableGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkTable requires 1 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetRowData vtkTableGetRowDataFunction
//input a0 
//output y
ArrayVector vtkTableGetRowDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetAttributes *GetRowData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRowData for class vtkTable requires 1 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp20;
  temp20 = (vtk_pointer)->GetRowData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTable:SetRowData vtkTableSetRowDataFunction
//input a0 a1 
//output none
ArrayVector vtkTableSetRowDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRowData (vtkDataSetAttributes *data); */
  if (arg.size() < 2) 
    throw Exception("Function SetRowData for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  vtk_pointer->SetRowData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetNumberOfRows vtkTableGetNumberOfRowsFunction
//input a0 
//output y
ArrayVector vtkTableGetNumberOfRowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfRows (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRows for class vtkTable requires 1 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfRows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTable:SetNumberOfRows vtkTableSetNumberOfRowsFunction
//input a0 a1 
//output none
ArrayVector vtkTableSetNumberOfRowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfRows (const vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfRows for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfRows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetRow__1 vtkTableGetRow__1Function
//input a0 a1 
//output y
ArrayVector vtkTableGetRow__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVariantArray *GetRow (vtkIdType row); */
  if (arg.size() < 2) 
    throw Exception("Function GetRow__1 for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkVariantArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRow(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVariantArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetRow__2 vtkTableGetRow__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkTableGetRow__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetRow (vtkIdType row, vtkVariantArray *values); */
  if (arg.size() < 3) 
    throw Exception("Function GetRow__2 for class vtkTable requires 3 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkVariantArray  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkVariantArray>(arg[2]);
  vtk_pointer->GetRow(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTable:SetRow vtkTableSetRowFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTableSetRowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRow (vtkIdType row, vtkVariantArray *values); */
  if (arg.size() < 3) 
    throw Exception("Function SetRow for class vtkTable requires 3 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkVariantArray  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkVariantArray>(arg[2]);
  vtk_pointer->SetRow(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTable:InsertNextBlankRow vtkTableInsertNextBlankRowFunction
//input a0 a1 
//output y
ArrayVector vtkTableInsertNextBlankRowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextBlankRow (double default_num_val); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextBlankRow for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  double   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->InsertNextBlankRow(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTable:InsertNextRow vtkTableInsertNextRowFunction
//input a0 a1 
//output y
ArrayVector vtkTableInsertNextRowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextRow (vtkVariantArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function InsertNextRow for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkVariantArray  *temp0;
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkVariantArray>(arg[1]);
  temp20 = (vtk_pointer)->InsertNextRow(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTable:RemoveRow vtkTableRemoveRowFunction
//input a0 a1 
//output none
ArrayVector vtkTableRemoveRowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveRow (vtkIdType row); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveRow for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveRow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetNumberOfColumns vtkTableGetNumberOfColumnsFunction
//input a0 
//output y
ArrayVector vtkTableGetNumberOfColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfColumns (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfColumns for class vtkTable requires 1 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfColumns();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetColumnName vtkTableGetColumnNameFunction
//input a0 a1 
//output y
ArrayVector vtkTableGetColumnNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetColumnName (vtkIdType col); */
  if (arg.size() < 2) 
    throw Exception("Function GetColumnName for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetColumnName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetColumnByName vtkTableGetColumnByNameFunction
//input a0 a1 
//output y
ArrayVector vtkTableGetColumnByNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *GetColumnByName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetColumnByName for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  char    *temp0;
  vtkAbstractArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetColumnByName(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetColumn vtkTableGetColumnFunction
//input a0 a1 
//output y
ArrayVector vtkTableGetColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *GetColumn (vtkIdType col); */
  if (arg.size() < 2) 
    throw Exception("Function GetColumn for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkAbstractArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetColumn(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTable:AddColumn vtkTableAddColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableAddColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddColumn (vtkAbstractArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function AddColumn for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->AddColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTable:RemoveColumnByName vtkTableRemoveColumnByNameFunction
//input a0 a1 
//output none
ArrayVector vtkTableRemoveColumnByNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveColumnByName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveColumnByName for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveColumnByName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTable:RemoveColumn vtkTableRemoveColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableRemoveColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveColumn (vtkIdType col); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveColumn for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTable:Initialize vtkTableInitializeFunction
//input a0 
//output none
ArrayVector vtkTableInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkTable requires 1 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetData__1 vtkTableGetData__1Function
//input a0 a1 
//output y
ArrayVector vtkTableGetData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkTable *GetData (vtkInformation *info); */
  if (arg.size() < 2) 
    throw Exception("Function GetData__1 for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkTable  *temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->GetData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetData__2 vtkTableGetData__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkTableGetData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkTable *GetData (vtkInformationVector *v, int i); */
  if (arg.size() < 3) 
    throw Exception("Function GetData__2 for class vtkTable requires 3 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkTable  *temp20;
  temp0 = GetVTKPointer<vtkInformationVector>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetData(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTable:ShallowCopy vtkTableShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkTableShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTable:DeepCopy vtkTableDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkTableDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetAttributesAsFieldData vtkTableGetAttributesAsFieldDataFunction
//input a0 a1 
//output y
ArrayVector vtkTableGetAttributesAsFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkFieldData *GetAttributesAsFieldData (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributesAsFieldData for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  int      temp0;
  vtkFieldData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributesAsFieldData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFieldData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetNumberOfElements vtkTableGetNumberOfElementsFunction
//input a0 a1 
//output y
ArrayVector vtkTableGetNumberOfElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfElements (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfElements for class vtkTable requires 2 argument(s)");
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfElements(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTable:GetRow vtkTableGetRowFunction
//input varargin
//output varargout
ArrayVector vtkTableGetRowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTableGetRow__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkVariantArray"))
    return vtkTableGetRow__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTableGetRow");
}

//@@Signature
//sfunction @vtkTable:GetData vtkTableGetDataFunction
//input varargin
//output varargout
ArrayVector vtkTableGetDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformation"))
    return vtkTableGetData__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkInformationVector") && VTKIsScalarArg(arg[2]))
    return vtkTableGetData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTableGetData");
}

//@@Signature
//sfunction @vtkTable:display vtkTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTable* vtk_pointer = GetVTKPointer<vtkTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTable:delete vtkTableDeleteFunction
//input varargin
//output none
ArrayVector vtkTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTable
//@@Section VTKFiltering
//@@Usage
// vtkTable is a basic data structure for storing columns of data.
// Internally, columns are stored in a vtkDataSetAttributes structure called
// RowData. However, using the vtkTable API additionally ensures that every column
// has the same number of entries, and provides row access (using vtkVariantArray)
// and single entry access (using vtkVariant).
//
// The field data inherited from vtkDataObject may be used to store metadata
// related to the table.
//
//
//To create an instance of class vtkTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkTable
//@]
//@@Methods
//The class vtkTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTable = obj.NewInstance ()|
// \item @|vtkTable = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Dump (int colWidth)| -  Dump table contents.
//// \item @|int = obj.GetDataObjectType ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value).
//// \item @|long = obj.GetActualMemorySize ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value).
//// \item @|vtkDataSetAttributes = obj.GetRowData ()| -  Get/Set the main data (columns) of the table.
//// \item @|obj.SetRowData (vtkDataSetAttributes data)| -  Get/Set the main data (columns) of the table.
//// \item @|vtkIdType = obj.GetNumberOfRows ()| -  Get the number of rows in the table.
//// \item @|obj.SetNumberOfRows (vtkIdType )| -  Set the number of rows in the table. Note that memory allocation might be performed
// as a result of this, but no memory will be released. 
//// \item @|vtkVariantArray = obj.GetRow (vtkIdType row)| -  Get a row of the table as a vtkVariantArray which has one entry for each column.
// NOTE: This version of the method is NOT thread safe.
//// \item @|obj.GetRow (vtkIdType row, vtkVariantArray values)| -  Get a row of the table as a vtkVariantArray which has one entry for each column.
//// \item @|obj.SetRow (vtkIdType row, vtkVariantArray values)| -  Set a row of the table with a vtkVariantArray which has one entry for each column.
//// \item @|vtkIdType = obj.InsertNextBlankRow (double default_num_val)| -  Insert a blank row at the end of the table.
//// \item @|vtkIdType = obj.InsertNextRow (vtkVariantArray arr)| -  Insert a row specified by a vtkVariantArray.  The number of entries in the array
// should match the number of columns in the table.
//// \item @|obj.RemoveRow (vtkIdType row)| -  Delete a row from the table.  Rows below the deleted row are shifted up.
//// \item @|vtkIdType = obj.GetNumberOfColumns ()| -  Get the number of columns in the table.
//// \item @|string = obj.GetColumnName (vtkIdType col)|
// \item @|vtkAbstractArray = obj.GetColumnByName (string name)| -  Get a column of the table by its name.
//// \item @|vtkAbstractArray = obj.GetColumn (vtkIdType col)| -  Get a column of the table by its column index.
//// \item @|obj.AddColumn (vtkAbstractArray arr)| -  Add a column to the table.
//// \item @|obj.RemoveColumnByName (string name)| -  Remove a column from the table by its name.
//// \item @|obj.RemoveColumn (vtkIdType col)| -  Remove a column from the table by its column index.
//// \item @|obj.Initialize ()| -  Initialize to an empty table.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow/deep copy the data from src into this object.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow/deep copy the data from src into this object.
//// \item @|vtkFieldData = obj.GetAttributesAsFieldData (int type)| -  Returns the attributes of the data object as a vtkFieldData.
// This returns non-null values in all the same cases as GetAttributes,
// in addition to the case of FIELD, which will return the field data
// for any vtkDataObject subclass.
//// \item @|vtkIdType = obj.GetNumberOfElements (int type)| -  Get the number of elements for a specific attribute type (ROW, etc.).
////\end{itemize}
//!
