#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableAlgorithm.h"

//@@Signature
//sfunction @vtkTableAlgorithm:vtkTableAlgorithm vtkTableAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkTableAlgorithm vtkAlgorithm 
ArrayVector vtkTableAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableAlgorithm::New(),"vtkTableAlgorithm",eval);
  } else if (arg[0].className() == "vtkTableAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableAlgorithm");
    vtkTableAlgorithm*q = reinterpret_cast<vtkTableAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableAlgorithm:GetClassName vtkTableAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableAlgorithm requires 1 argument(s)");
  vtkTableAlgorithm* vtk_pointer = GetVTKPointer<vtkTableAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableAlgorithm:IsA vtkTableAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableAlgorithm requires 2 argument(s)");
  vtkTableAlgorithm* vtk_pointer = GetVTKPointer<vtkTableAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableAlgorithm:NewInstance vtkTableAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableAlgorithm requires 1 argument(s)");
  vtkTableAlgorithm* vtk_pointer = GetVTKPointer<vtkTableAlgorithm>(arg[0]);
  Array retval;
  vtkTableAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableAlgorithm:SafeDownCast vtkTableAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableAlgorithm requires 2 argument(s)");
  vtkTableAlgorithm* vtk_pointer = GetVTKPointer<vtkTableAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableAlgorithm:GetOutput__1 vtkTableAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkTableAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *GetOutput ();return this GetOutput  */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkTableAlgorithm requires 1 argument(s)");
  vtkTableAlgorithm* vtk_pointer = GetVTKPointer<vtkTableAlgorithm>(arg[0]);
  Array retval;
  vtkTable  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableAlgorithm:GetOutput__2 vtkTableAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkTableAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *GetOutput (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkTableAlgorithm requires 2 argument(s)");
  vtkTableAlgorithm* vtk_pointer = GetVTKPointer<vtkTableAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkTable  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableAlgorithm:SetInput__1 vtkTableAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkTableAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *obj);this SetInput obj  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkTableAlgorithm requires 2 argument(s)");
  vtkTableAlgorithm* vtk_pointer = GetVTKPointer<vtkTableAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableAlgorithm:SetInput__2 vtkTableAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkTableAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int index, vtkDataObject *obj); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkTableAlgorithm requires 3 argument(s)");
  vtkTableAlgorithm* vtk_pointer = GetVTKPointer<vtkTableAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTableAlgorithm:GetOutput vtkTableAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkTableAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkTableAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTableAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTableAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkTableAlgorithm:SetInput vtkTableAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkTableAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkTableAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkTableAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTableAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkTableAlgorithm:display vtkTableAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableAlgorithm* vtk_pointer = GetVTKPointer<vtkTableAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableAlgorithm:delete vtkTableAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkTableAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableAlgorithm
//@@Section VTKFiltering
//@@Usage
// vtkTableAlgorithm is a convenience class to make writing algorithms
// easier. It is also designed to help transition old algorithms to the new
// pipeline architecture. There are some assumptions and defaults made by this
// class you should be aware of. This class defaults such that your filter
// will have one input port and one output port. If that is not the case
// simply change it with SetNumberOfInputPorts etc. See this class
// constructor for the default. This class also provides a FillInputPortInfo
// method that by default says that all inputs will be Tree. If that
// isn't the case then please override this method in your subclass. This
// class breaks out the downstream requests into separate functions such as
// ExecuteData and ExecuteInformation.  For new algorithms you should
// implement RequestData( request, inputVec, outputVec) but for older filters
// there is a default implementation that calls the old ExecuteData(output)
// signature. For even older filters that don't implement ExecuteData the
// default implementation calls the even older Execute() signature.
//
// .SECTION Thanks
// Thanks to Brian Wylie for creating this class.
//
//To create an instance of class vtkTableAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableAlgorithm
//@]
//@@Methods
//The class vtkTableAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableAlgorithm = obj.NewInstance ()|
// \item @|vtkTableAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkTable = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkTable = obj.GetOutput (int index)| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetInput (vtkDataObject obj)| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int index, vtkDataObject obj)| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
////\end{itemize}
//!
