#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalDataSet.h"

//@@Signature
//sfunction @vtkTemporalDataSet:vtkTemporalDataSet vtkTemporalDataSetConstructorFunction
//input a
//output p
//@@Parents vtkTemporalDataSet vtkCompositeDataSet 
ArrayVector vtkTemporalDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalDataSet::New(),"vtkTemporalDataSet",eval);
  } else if (arg[0].className() == "vtkTemporalDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalDataSet");
    vtkTemporalDataSet*q = reinterpret_cast<vtkTemporalDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalDataSet:GetClassName vtkTemporalDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalDataSet requires 1 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:IsA vtkTemporalDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalDataSet requires 2 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:NewInstance vtkTemporalDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalDataSet requires 1 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  vtkTemporalDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:SafeDownCast vtkTemporalDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalDataSet requires 2 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:GetDataObjectType vtkTemporalDataSetGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkTemporalDataSetGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_TEMPORAL_DATA_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkTemporalDataSet requires 1 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:SetNumberOfTimeSteps vtkTemporalDataSetSetNumberOfTimeStepsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalDataSetSetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfTimeSteps (unsigned int numLevels);this SetNumberOfChildren numLevels  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTimeSteps for class vtkTemporalDataSet requires 2 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTimeSteps(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:GetNumberOfTimeSteps vtkTemporalDataSetGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkTemporalDataSetGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetNumberOfTimeSteps ();return this GetNumberOfChildren  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkTemporalDataSet requires 1 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:SetTimeStep vtkTemporalDataSetSetTimeStepFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTemporalDataSetSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (unsigned int timestep, vtkDataObject *dobj); */
  if (arg.size() < 3) 
    throw Exception("Function SetTimeStep for class vtkTemporalDataSet requires 3 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetTimeStep(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:GetTimeStep vtkTemporalDataSetGetTimeStepFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetTimeStep (unsigned int timestep);return this GetChild timestep  */
  if (arg.size() < 2) 
    throw Exception("Function GetTimeStep for class vtkTemporalDataSet requires 2 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTimeStep(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:GetMetaData__1 vtkTemporalDataSetGetMetaData__1Function
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetGetMetaData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetMetaData (unsigned int timestep);return this Superclass GetChildMetaData timestep  */
  if (arg.size() < 2) 
    throw Exception("Function GetMetaData__1 for class vtkTemporalDataSet requires 2 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkInformation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMetaData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:HasMetaData__1 vtkTemporalDataSetHasMetaData__1Function
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetHasMetaData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasMetaData (unsigned int timestep);return this Superclass HasChildMetaData timestep  */
  if (arg.size() < 2) 
    throw Exception("Function HasMetaData__1 for class vtkTemporalDataSet requires 2 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->HasMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:GetExtentType vtkTemporalDataSetGetExtentTypeFunction
//input a0 
//output y
ArrayVector vtkTemporalDataSetGetExtentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetExtentType ();return VTK_TIME_EXTENT  */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentType for class vtkTemporalDataSet requires 1 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtentType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:GetMetaData__2 vtkTemporalDataSetGetMetaData__2Function
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetGetMetaData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkInformation *GetMetaData (vtkCompositeDataIterator *iter);return this Superclass GetMetaData iter  */
  if (arg.size() < 2) 
    throw Exception("Function GetMetaData__2 for class vtkTemporalDataSet requires 2 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->GetMetaData(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:HasMetaData__2 vtkTemporalDataSetHasMetaData__2Function
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetHasMetaData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasMetaData (vtkCompositeDataIterator *iter);return this Superclass HasMetaData iter  */
  if (arg.size() < 2) 
    throw Exception("Function HasMetaData__2 for class vtkTemporalDataSet requires 2 argument(s)");
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  Array retval;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkCompositeDataIterator>(arg[1]);
  temp20 = (vtk_pointer)->HasMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSet:GetMetaData vtkTemporalDataSetGetMetaDataFunction
//input varargin
//output varargout
ArrayVector vtkTemporalDataSetGetMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTemporalDataSetGetMetaData__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCompositeDataIterator"))
    return vtkTemporalDataSetGetMetaData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalDataSetGetMetaData");
}

//@@Signature
//sfunction @vtkTemporalDataSet:HasMetaData vtkTemporalDataSetHasMetaDataFunction
//input varargin
//output varargout
ArrayVector vtkTemporalDataSetHasMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTemporalDataSetHasMetaData__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCompositeDataIterator"))
    return vtkTemporalDataSetHasMetaData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalDataSetHasMetaData");
}

//@@Signature
//sfunction @vtkTemporalDataSet:display vtkTemporalDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalDataSet* vtk_pointer = GetVTKPointer<vtkTemporalDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalDataSet:delete vtkTemporalDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalDataSet
//@@Section VTKFiltering
//@@Usage
// vtkTemporalDataSet is a vtkCompositeDataSet that stores
// multiple time steps of data. 
//
//To create an instance of class vtkTemporalDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalDataSet
//@]
//@@Methods
//The class vtkTemporalDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTemporalDataSet = obj.NewInstance ()|
// \item @|vtkTemporalDataSet = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()| -  Set the number of time steps in theis dataset
//// \item @|obj.SetNumberOfTimeSteps (int numLevels)| -  Returns the number of time steps.
//// \item @|int = obj.GetNumberOfTimeSteps ()| -  Set a data object as a timestep. Cannot be vtkTemporalDataSet.
//// \item @|obj.SetTimeStep (int timestep, vtkDataObject dobj)| -  Set a data object as a timestep. Cannot be vtkTemporalDataSet.
//// \item @|vtkDataObject = obj.GetTimeStep (int timestep)| -  Get timestep meta-data.
//// \item @|vtkInformation = obj.GetMetaData (int timestep)| -  Returns if timestep meta-data is present.
//// \item @|int = obj.HasMetaData (int timestep)| -  The extent type is a 3D extent
//// \item @|int = obj.GetExtentType ()| -  The extent type is a 3D extent
//// \item @|vtkInformation = obj.GetMetaData (vtkCompositeDataIterator iter)| -  Unhiding superclass method.
//// \item @|int = obj.HasMetaData (vtkCompositeDataIterator iter)|
//\end{itemize}
//!
