#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalDataSetAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalDataSetAlgorithm.h"

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:vtkTemporalDataSetAlgorithm vtkTemporalDataSetAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkTemporalDataSetAlgorithm vtkAlgorithm 
ArrayVector vtkTemporalDataSetAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalDataSetAlgorithm::New(),"vtkTemporalDataSetAlgorithm",eval);
  } else if (arg[0].className() == "vtkTemporalDataSetAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalDataSetAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalDataSetAlgorithm");
    vtkTemporalDataSetAlgorithm*q = reinterpret_cast<vtkTemporalDataSetAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalDataSetAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:GetClassName vtkTemporalDataSetAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalDataSetAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalDataSetAlgorithm requires 1 argument(s)");
  vtkTemporalDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkTemporalDataSetAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:IsA vtkTemporalDataSetAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalDataSetAlgorithm requires 2 argument(s)");
  vtkTemporalDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkTemporalDataSetAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:NewInstance vtkTemporalDataSetAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalDataSetAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalDataSetAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalDataSetAlgorithm requires 1 argument(s)");
  vtkTemporalDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkTemporalDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkTemporalDataSetAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalDataSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:SafeDownCast vtkTemporalDataSetAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalDataSetAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalDataSetAlgorithm requires 2 argument(s)");
  vtkTemporalDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkTemporalDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalDataSetAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalDataSetAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:GetOutput__1 vtkTemporalDataSetAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkTemporalDataSetAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalDataSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkTemporalDataSetAlgorithm requires 1 argument(s)");
  vtkTemporalDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkTemporalDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkTemporalDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:GetOutput__2 vtkTemporalDataSetAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalDataSet *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkTemporalDataSetAlgorithm requires 2 argument(s)");
  vtkTemporalDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkTemporalDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkTemporalDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:SetInput__1 vtkTemporalDataSetAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkTemporalDataSetAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkTemporalDataSetAlgorithm requires 2 argument(s)");
  vtkTemporalDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkTemporalDataSetAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:SetInput__2 vtkTemporalDataSetAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkTemporalDataSetAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkTemporalDataSetAlgorithm requires 3 argument(s)");
  vtkTemporalDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkTemporalDataSetAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:GetOutput vtkTemporalDataSetAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkTemporalDataSetAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkTemporalDataSetAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTemporalDataSetAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalDataSetAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:SetInput vtkTemporalDataSetAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkTemporalDataSetAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkTemporalDataSetAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkTemporalDataSetAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalDataSetAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkTemporalDataSetAlgorithm:display vtkTemporalDataSetAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalDataSetAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalDataSetAlgorithm* vtk_pointer = GetVTKPointer<vtkTemporalDataSetAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalDataSetAlgorithm:delete vtkTemporalDataSetAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalDataSetAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalDataSetAlgorithm
//@@Section VTKFiltering
//@@Usage
// Algorithms that take any type of data object (including composite dataset)
// and produce a vtkTemporalDataSet in the output can subclass from this
// class.
//
//To create an instance of class vtkTemporalDataSetAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalDataSetAlgorithm
//@]
//@@Methods
//The class vtkTemporalDataSetAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalDataSetAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTemporalDataSetAlgorithm = obj.NewInstance ()|
// \item @|vtkTemporalDataSetAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkTemporalDataSet = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkTemporalDataSet = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
////\end{itemize}
//!
