#include "VTKWrap.hpp"

// FreeMat wrapper for vtkThreadedImageAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkThreadedImageAlgorithm.h"

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:vtkThreadedImageAlgorithm vtkThreadedImageAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkThreadedImageAlgorithm vtkImageAlgorithm 
ArrayVector vtkThreadedImageAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkThreadedImageAlgorithm::New(),"vtkThreadedImageAlgorithm",eval);
  } else if (arg[0].className() == "vtkThreadedImageAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkThreadedImageAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkThreadedImageAlgorithm");
    vtkThreadedImageAlgorithm*q = reinterpret_cast<vtkThreadedImageAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkThreadedImageAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkThreadedImageAlgorithm:GetClassName vtkThreadedImageAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkThreadedImageAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkThreadedImageAlgorithm requires 1 argument(s)");
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:IsA vtkThreadedImageAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkThreadedImageAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkThreadedImageAlgorithm requires 2 argument(s)");
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:NewInstance vtkThreadedImageAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkThreadedImageAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThreadedImageAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkThreadedImageAlgorithm requires 1 argument(s)");
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  Array retval;
  vtkThreadedImageAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThreadedImageAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:SafeDownCast vtkThreadedImageAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkThreadedImageAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThreadedImageAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkThreadedImageAlgorithm requires 2 argument(s)");
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkThreadedImageAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThreadedImageAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:ThreadedExecute vtkThreadedImageAlgorithmThreadedExecuteFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkThreadedImageAlgorithmThreadedExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int threadId); */
  if (arg.size() < 5) 
    throw Exception("Function ThreadedExecute for class vtkThreadedImageAlgorithm requires 5 argument(s)");
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  vtkImageData  *temp1;
  int    temp2[6];
  int      temp3;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  temp1 = GetVTKPointer<vtkImageData>(arg[2]);
  if ( !(arg[3].isVector() && arg[3].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
  }
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[9].asDouble();
  vtk_pointer->ThreadedExecute(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:SetNumberOfThreads vtkThreadedImageAlgorithmSetNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkThreadedImageAlgorithmSetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfThreads (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfThreads for class vtkThreadedImageAlgorithm requires 2 argument(s)");
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:GetNumberOfThreadsMinValue vtkThreadedImageAlgorithmGetNumberOfThreadsMinValueFunction
//input a0 
//output y
ArrayVector vtkThreadedImageAlgorithmGetNumberOfThreadsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMinValue for class vtkThreadedImageAlgorithm requires 1 argument(s)");
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:GetNumberOfThreadsMaxValue vtkThreadedImageAlgorithmGetNumberOfThreadsMaxValueFunction
//input a0 
//output y
ArrayVector vtkThreadedImageAlgorithmGetNumberOfThreadsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMaxValue for class vtkThreadedImageAlgorithm requires 1 argument(s)");
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:GetNumberOfThreads vtkThreadedImageAlgorithmGetNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkThreadedImageAlgorithmGetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreads for class vtkThreadedImageAlgorithm requires 1 argument(s)");
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:SplitExtent vtkThreadedImageAlgorithmSplitExtentFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkThreadedImageAlgorithmSplitExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SplitExtent (int splitExt[6], int startExt[6], int num, int total); */
  if (arg.size() < 5) 
    throw Exception("Function SplitExtent for class vtkThreadedImageAlgorithm requires 5 argument(s)");
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  int      temp2;
  int      temp3;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  if ( !arg[13].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[13].asDouble();
  if ( !arg[14].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[14].asDouble();
  temp20 = (vtk_pointer)->SplitExtent(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreadedImageAlgorithm:display vtkThreadedImageAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkThreadedImageAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkThreadedImageAlgorithm* vtk_pointer = GetVTKPointer<vtkThreadedImageAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkThreadedImageAlgorithm:delete vtkThreadedImageAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkThreadedImageAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkThreadedImageAlgorithm
//@@Section VTKFiltering
//@@Usage
// vtkThreadedImageAlgorithm is a filter superclass that hides much of the 
// pipeline  complexity. It handles breaking the pipeline execution 
// into smaller extents so that the vtkImageData limits are observed. It 
// also provides support for multithreading. If you don't need any of this
// functionality, consider using vtkSimpleImageToImageAlgorithm instead.
// .SECTION See also
// vtkSimpleImageToImageAlgorithm
//
//To create an instance of class vtkThreadedImageAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkThreadedImageAlgorithm
//@]
//@@Methods
//The class vtkThreadedImageAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkThreadedImageAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkThreadedImageAlgorithm = obj.NewInstance ()|
// \item @|vtkThreadedImageAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ThreadedExecute (vtkImageData inData, vtkImageData outData, int extent[6], int threadId)|
// \item @|obj.SetNumberOfThreads (int )| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.GetNumberOfThreadsMinValue ()| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.GetNumberOfThreadsMaxValue ()| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.GetNumberOfThreads ()| -  Get/Set the number of threads to create when rendering
//// \item @|int = obj.SplitExtent (int splitExt[6], int startExt[6], int num, int total)| -  Putting this here until I merge graphics and imaging streaming.
////\end{itemize}
//!
