#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTree object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTree.h"

//@@Signature
//sfunction @vtkTree:vtkTree vtkTreeConstructorFunction
//input a
//output p
//@@Parents vtkTree vtkDirectedAcyclicGraph 
ArrayVector vtkTreeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTree::New(),"vtkTree",eval);
  } else if (arg[0].className() == "vtkTree") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTree"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTree");
    vtkTree*q = reinterpret_cast<vtkTree*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTree");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTree:GetClassName vtkTreeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTree requires 1 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTree:IsA vtkTreeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTree requires 2 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTree:NewInstance vtkTreeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTree *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTree requires 1 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  vtkTree  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTree:SafeDownCast vtkTreeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTree *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTree requires 2 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTree  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTree:GetDataObjectType vtkTreeGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkTreeGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_TREE  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkTree requires 1 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTree:GetRoot vtkTreeGetRootFunction
//input a0 
//output y
ArrayVector vtkTreeGetRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetRoot (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRoot for class vtkTree requires 1 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetRoot();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTree:GetNumberOfChildren vtkTreeGetNumberOfChildrenFunction
//input a0 a1 
//output y
ArrayVector vtkTreeGetNumberOfChildrenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfChildren (vtkIdType v);return this GetOutDegree v  */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfChildren for class vtkTree requires 2 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfChildren(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTree:GetChild vtkTreeGetChildFunction
//input a0 a1 a2 
//output y
ArrayVector vtkTreeGetChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetChild (vtkIdType v, vtkIdType i); */
  if (arg.size() < 3) 
    throw Exception("Function GetChild for class vtkTree requires 3 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetChild(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTree:GetChildren vtkTreeGetChildrenFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTreeGetChildrenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetChildren (vtkIdType v, vtkAdjacentVertexIterator *it);this GetAdjacentVertices v it  */
  if (arg.size() < 3) 
    throw Exception("Function GetChildren for class vtkTree requires 3 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkAdjacentVertexIterator  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAdjacentVertexIterator>(arg[2]);
  vtk_pointer->GetChildren(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTree:GetParent vtkTreeGetParentFunction
//input a0 a1 
//output y
ArrayVector vtkTreeGetParentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetParent (vtkIdType v); */
  if (arg.size() < 2) 
    throw Exception("Function GetParent for class vtkTree requires 2 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetParent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTree:GetLevel vtkTreeGetLevelFunction
//input a0 a1 
//output y
ArrayVector vtkTreeGetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetLevel (vtkIdType v); */
  if (arg.size() < 2) 
    throw Exception("Function GetLevel for class vtkTree requires 2 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLevel(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTree:IsLeaf vtkTreeIsLeafFunction
//input a0 a1 
//output y
ArrayVector vtkTreeIsLeafFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsLeaf (vtkIdType vertex); */
  if (arg.size() < 2) 
    throw Exception("Function IsLeaf for class vtkTree requires 2 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsLeaf(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTree:ReorderChildren vtkTreeReorderChildrenFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTreeReorderChildrenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReorderChildren (vtkIdType parent, vtkIdTypeArray *children); */
  if (arg.size() < 3) 
    throw Exception("Function ReorderChildren for class vtkTree requires 3 argument(s)");
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdTypeArray>(arg[2]);
  vtk_pointer->ReorderChildren(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTree:display vtkTreeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTree* vtk_pointer = GetVTKPointer<vtkTree>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTree:delete vtkTreeDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTree
//@@Section VTKFiltering
//@@Usage
// vtkTree is a connected directed graph with no cycles. A tree is a type of
// directed graph, so works with all graph algorithms.
//
// vtkTree is a read-only data structure.
// To construct a tree, create an instance of vtkMutableDirectedGraph.
// Add vertices and edges with AddVertex() and AddEdge(). You may alternately
// start by adding a single vertex as the root then call graph->AddChild(parent)
// which adds a new vertex and connects the parent to the child.
// The tree MUST have all edges in the proper direction, from parent to child.
// After building the tree, call tree->CheckedShallowCopy(graph) to copy the
// structure into a vtkTree. This method will return false if the graph is
// an invalid tree.
//
// vtkTree provides some convenience methods for obtaining the parent and
// children of a vertex, for finding the root, and determining if a vertex
// is a leaf (a vertex with no children).
//
//
//To create an instance of class vtkTree, simply
//invoke its constructor as follows
//@[
//  obj = vtkTree
//@]
//@@Methods
//The class vtkTree has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTree class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTree = obj.NewInstance ()|
// \item @|vtkTree = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()| -  Get the root vertex of the tree.
//// \item @|vtkIdType = obj.GetRoot ()| -  Get the root vertex of the tree.
//// \item @|vtkIdType = obj.GetNumberOfChildren (vtkIdType v)| -  Get the i-th child of a parent vertex.
//// \item @|vtkIdType = obj.GetChild (vtkIdType v, vtkIdType i)| -  Get the i-th child of a parent vertex.
//// \item @|obj.GetChildren (vtkIdType v, vtkAdjacentVertexIterator it)| -  Get the parent of a vertex.
//// \item @|vtkIdType = obj.GetParent (vtkIdType v)| -  Get the parent of a vertex.
//// \item @|vtkIdType = obj.GetLevel (vtkIdType v)| -  Get the level of the vertex in the tree.  The root vertex has level 0.
// Returns -1 if the vertex id is < 0 or greater than the number of vertices
// in the tree.
//// \item @|bool = obj.IsLeaf (vtkIdType vertex)| -  Return whether the vertex is a leaf (i.e. it has no children).
//// \item @|obj.ReorderChildren (vtkIdType parent, vtkIdTypeArray children)| -  Reorder the children of a parent vertex.
// The children array must contain all the children of parent,
// just in a different order.
// This does not change the topology of the tree.
////\end{itemize}
//!
