#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeDFSIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeDFSIterator.h"

//@@Signature
//sfunction @vtkTreeDFSIterator:vtkTreeDFSIterator vtkTreeDFSIteratorConstructorFunction
//input a
//output p
//@@Parents vtkTreeDFSIterator vtkObject 
ArrayVector vtkTreeDFSIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeDFSIterator::New(),"vtkTreeDFSIterator",eval);
  } else if (arg[0].className() == "vtkTreeDFSIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeDFSIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeDFSIterator");
    vtkTreeDFSIterator*q = reinterpret_cast<vtkTreeDFSIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeDFSIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeDFSIterator:GetClassName vtkTreeDFSIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeDFSIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeDFSIterator requires 1 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:IsA vtkTreeDFSIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeDFSIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeDFSIterator requires 2 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:NewInstance vtkTreeDFSIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeDFSIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeDFSIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeDFSIterator requires 1 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  vtkTreeDFSIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeDFSIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:SafeDownCast vtkTreeDFSIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeDFSIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeDFSIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeDFSIterator requires 2 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeDFSIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeDFSIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:SetTree vtkTreeDFSIteratorSetTreeFunction
//input a0 a1 
//output none
ArrayVector vtkTreeDFSIteratorSetTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTree (vtkTree *graph); */
  if (arg.size() < 2) 
    throw Exception("Function SetTree for class vtkTreeDFSIterator requires 2 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  vtk_pointer->SetTree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:SetMode vtkTreeDFSIteratorSetModeFunction
//input a0 a1 
//output none
ArrayVector vtkTreeDFSIteratorSetModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMode (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function SetMode for class vtkTreeDFSIterator requires 2 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:GetMode vtkTreeDFSIteratorGetModeFunction
//input a0 
//output y
ArrayVector vtkTreeDFSIteratorGetModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMode for class vtkTreeDFSIterator requires 1 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:SetStartVertex vtkTreeDFSIteratorSetStartVertexFunction
//input a0 a1 
//output none
ArrayVector vtkTreeDFSIteratorSetStartVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartVertex (vtkIdType vertex); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartVertex for class vtkTreeDFSIterator requires 2 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStartVertex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:GetStartVertex vtkTreeDFSIteratorGetStartVertexFunction
//input a0 
//output y
ArrayVector vtkTreeDFSIteratorGetStartVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetStartVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartVertex for class vtkTreeDFSIterator requires 1 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetStartVertex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:Next vtkTreeDFSIteratorNextFunction
//input a0 
//output y
ArrayVector vtkTreeDFSIteratorNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType Next (); */
  if (arg.size() < 1) 
    throw Exception("Function Next for class vtkTreeDFSIterator requires 1 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->Next();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:HasNext vtkTreeDFSIteratorHasNextFunction
//input a0 
//output y
ArrayVector vtkTreeDFSIteratorHasNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool HasNext (); */
  if (arg.size() < 1) 
    throw Exception("Function HasNext for class vtkTreeDFSIterator requires 1 argument(s)");
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasNext();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeDFSIterator:display vtkTreeDFSIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeDFSIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeDFSIterator* vtk_pointer = GetVTKPointer<vtkTreeDFSIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeDFSIterator:delete vtkTreeDFSIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeDFSIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeDFSIterator
//@@Section VTKFiltering
//@@Usage
// vtkTreeDFSIterator performs a depth first seedgeh of a tree.  First,
// you must set the tree on which you are going to iterate, and set
// the starting vertex and mode.  The mode is either DISCOVER, in which
// case vertices are visited as they are first reached, or FINISH, in which
// case vertices are visited when they are done, i.e. all adjacent vertices
// have been discovered already.
//
// After setting up the iterator, the normal mode of operation is to
// set up a <code>while(iter->HasNext())</code> loop, with the statement
// <code>vtkIdType vertex = iter->Next()</code> inside the loop.
//
//To create an instance of class vtkTreeDFSIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeDFSIterator
//@]
//@@Methods
//The class vtkTreeDFSIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeDFSIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeDFSIterator = obj.NewInstance ()|
// \item @|vtkTreeDFSIterator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTree (vtkTree graph)| -  Set the graph to iterate over.
//// \item @|obj.SetMode (int mode)| -  Set the visit mode of the iterator.  Mode can be
//   DISCOVER (0): Order by discovery time
//   FINISH   (1): Order by finish time
// Default is DISCOVER.
// Use DISCOVER for top-down algorithms where parents need to be processed before children.
// Use FINISH for bottom-up algorithms where children need to be processed before parents.
//// \item @|int = obj.GetMode ()| -  Set the visit mode of the iterator.  Mode can be
//   DISCOVER (0): Order by discovery time
//   FINISH   (1): Order by finish time
// Default is DISCOVER.
// Use DISCOVER for top-down algorithms where parents need to be processed before children.
// Use FINISH for bottom-up algorithms where children need to be processed before parents.
//// \item @|obj.SetStartVertex (vtkIdType vertex)| -  The start vertex of the seedgeh.
// The tree iterator will only iterate over the subtree rooted at vertex.
// If not set (or set to a negative value), starts at the root of the tree.
//// \item @|vtkIdType = obj.GetStartVertex ()| -  The start vertex of the seedgeh.
// The tree iterator will only iterate over the subtree rooted at vertex.
// If not set (or set to a negative value), starts at the root of the tree.
//// \item @|vtkIdType = obj.Next ()| -  The next vertex visited in the graph.
//// \item @|bool = obj.HasNext ()| -  Return true when all vertices have been visited.
////\end{itemize}
//!
