#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTriQuadraticHexahedron object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTriQuadraticHexahedron.h"

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:vtkTriQuadraticHexahedron vtkTriQuadraticHexahedronConstructorFunction
//input a
//output p
//@@Parents vtkTriQuadraticHexahedron vtkNonLinearCell 
ArrayVector vtkTriQuadraticHexahedronConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTriQuadraticHexahedron::New(),"vtkTriQuadraticHexahedron",eval);
  } else if (arg[0].className() == "vtkTriQuadraticHexahedron") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTriQuadraticHexahedron"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTriQuadraticHexahedron");
    vtkTriQuadraticHexahedron*q = reinterpret_cast<vtkTriQuadraticHexahedron*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTriQuadraticHexahedron");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTriQuadraticHexahedron:GetClassName vtkTriQuadraticHexahedronGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTriQuadraticHexahedronGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTriQuadraticHexahedron requires 1 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:IsA vtkTriQuadraticHexahedronIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTriQuadraticHexahedronIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTriQuadraticHexahedron requires 2 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:NewInstance vtkTriQuadraticHexahedronNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTriQuadraticHexahedronNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriQuadraticHexahedron *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTriQuadraticHexahedron requires 1 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  vtkTriQuadraticHexahedron  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriQuadraticHexahedron",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:SafeDownCast vtkTriQuadraticHexahedronSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTriQuadraticHexahedronSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriQuadraticHexahedron *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTriQuadraticHexahedron requires 2 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTriQuadraticHexahedron  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriQuadraticHexahedron",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:GetCellType vtkTriQuadraticHexahedronGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkTriQuadraticHexahedronGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType ();return VTK_TRIQUADRATIC_HEXAHEDRON  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkTriQuadraticHexahedron requires 1 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:GetCellDimension vtkTriQuadraticHexahedronGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkTriQuadraticHexahedronGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkTriQuadraticHexahedron requires 1 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:GetNumberOfEdges vtkTriQuadraticHexahedronGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkTriQuadraticHexahedronGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkTriQuadraticHexahedron requires 1 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:GetNumberOfFaces vtkTriQuadraticHexahedronGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkTriQuadraticHexahedronGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkTriQuadraticHexahedron requires 1 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:GetEdge vtkTriQuadraticHexahedronGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkTriQuadraticHexahedronGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkTriQuadraticHexahedron requires 2 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:GetFace vtkTriQuadraticHexahedronGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkTriQuadraticHexahedronGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkTriQuadraticHexahedron requires 2 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:CellBoundary vtkTriQuadraticHexahedronCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTriQuadraticHexahedronCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkTriQuadraticHexahedron requires 4 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:Contour vtkTriQuadraticHexahedronContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkTriQuadraticHexahedronContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkTriQuadraticHexahedron requires 12 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:Triangulate vtkTriQuadraticHexahedronTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTriQuadraticHexahedronTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkTriQuadraticHexahedron requires 4 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:Derivatives vtkTriQuadraticHexahedronDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkTriQuadraticHexahedronDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkTriQuadraticHexahedron requires 6 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:Clip vtkTriQuadraticHexahedronClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkTriQuadraticHexahedronClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *tetras, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut); */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkTriQuadraticHexahedron requires 11 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:InterpolationFunctions vtkTriQuadraticHexahedronInterpolationFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTriQuadraticHexahedronInterpolationFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationFunctions (double pcoords[3], double weights[27]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationFunctions for class vtkTriQuadraticHexahedron requires 3 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[27];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 27) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:InterpolationDerivs vtkTriQuadraticHexahedronInterpolationDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTriQuadraticHexahedronInterpolationDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationDerivs (double pcoords[3], double derivs[81]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationDerivs for class vtkTriQuadraticHexahedron requires 3 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[81];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 81) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:InterpolateFunctions vtkTriQuadraticHexahedronInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTriQuadraticHexahedronInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double weights[27]);vtkTriQuadraticHexahedron InterpolationFunctions pcoords weights  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkTriQuadraticHexahedron requires 3 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[27];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 27) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:InterpolateDerivs vtkTriQuadraticHexahedronInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTriQuadraticHexahedronInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double derivs[81]);vtkTriQuadraticHexahedron InterpolationDerivs pcoords derivs  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkTriQuadraticHexahedron requires 3 argument(s)");
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[81];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 81) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTriQuadraticHexahedron:display vtkTriQuadraticHexahedronDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTriQuadraticHexahedronDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTriQuadraticHexahedron* vtk_pointer = GetVTKPointer<vtkTriQuadraticHexahedron>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTriQuadraticHexahedron:delete vtkTriQuadraticHexahedronDeleteFunction
//input varargin
//output none
ArrayVector vtkTriQuadraticHexahedronDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTriQuadraticHexahedron
//@@Section VTKFiltering
//@@Usage
// vtkTriQuadraticHexahedron is a concrete implementation of vtkNonLinearCell to
// represent a three-dimensional, 27-node isoparametric triquadratic
// hexahedron. The interpolation is the standard finite element, triquadratic
// isoparametric shape function. The cell includes 8 edge nodes, 12 mid-edge nodes, 
// 6 mid-face nodes and one mid-volume node. The ordering of the 27 points defining the 
// cell is point ids (0-7,8-19, 20-25, 26)
// where point ids 0-7 are the eight corner vertices of the cube; followed by
// twelve midedge nodes (8-19); followed by 6 mid-face nodes (20-25) and the last node (26) 
// is the mid-volume node. Note that these midedge nodes correspond lie
// on the edges defined by (0,1), (1,2), (2,3), (3,0), (4,5), (5,6), (6,7),
// (7,4), (0,4), (1,5), (2,6), (3,7). The mid-surface nodes lies on the faces
// defined by (first edge nodes id's, than mid-edge nodes id's):
// (0,1,5,4;8,17,12,16), (1,2,6,5;9,18,13,17), (2,3,7,6,10,19,14,18),
// (3,0,4,7;11,16,15,19), (0,1,2,3;8,9,10,11), (4,5,6,7;12,13,14,15).
// The last point lies in the center of the cell (0,1,2,3,4,5,6,7).
//
// \verbatim
//
// top 
//  7--14--6
//  |      |
// 15  25  13
//  |      |
//  4--12--5
//
//  middle
// 19--23--18
//  |      |
// 20  26  21
//  |      |
// 16--22--17
//
// bottom
//  3--10--2
//  |      |
// 11  24  9 
//  |      |
//  0-- 8--1
//  
// \endverbatim
//
//
//To create an instance of class vtkTriQuadraticHexahedron, simply
//invoke its constructor as follows
//@[
//  obj = vtkTriQuadraticHexahedron
//@]
//@@Methods
//The class vtkTriQuadraticHexahedron has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTriQuadraticHexahedron class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTriQuadraticHexahedron = obj.NewInstance ()|
// \item @|vtkTriQuadraticHexahedron = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetCellType ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.GetCellDimension ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|vtkCell = obj.GetEdge (int )| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|vtkCell = obj.GetFace (int )| -  Implement the vtkCell API. See the vtkCell API for descriptions
// of these methods.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)|
// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)|
// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)|
// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)|
// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray tetras, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  Clip this triquadratic hexahedron using scalar value provided. Like
// contouring, except that it cuts the hex to produce linear
// tetrahedron.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double weights[27])| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs[81])| -  Return the ids of the vertices defining edge/face (`edgeId`/`faceId').
// Ids are related to the cell, not to the dataset.
////\end{itemize}
//!
