#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTriangle object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTriangle.h"

//@@Signature
//sfunction @vtkTriangle:vtkTriangle vtkTriangleConstructorFunction
//input a
//output p
//@@Parents vtkTriangle vtkCell 
ArrayVector vtkTriangleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTriangle::New(),"vtkTriangle",eval);
  } else if (arg[0].className() == "vtkTriangle") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTriangle"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTriangle");
    vtkTriangle*q = reinterpret_cast<vtkTriangle*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTriangle");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTriangle:GetClassName vtkTriangleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTriangleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTriangle requires 1 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:IsA vtkTriangleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTriangle requires 2 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:NewInstance vtkTriangleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTriangleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriangle *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTriangle requires 1 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  vtkTriangle  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriangle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:SafeDownCast vtkTriangleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriangle *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTriangle requires 2 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTriangle  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriangle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:GetEdge vtkTriangleGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int edgeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkTriangle requires 2 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:GetCellType vtkTriangleGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkTriangleGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType ();return VTK_TRIANGLE  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkTriangle requires 1 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:GetCellDimension vtkTriangleGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkTriangleGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkTriangle requires 1 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:GetNumberOfEdges vtkTriangleGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkTriangleGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkTriangle requires 1 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:GetNumberOfFaces vtkTriangleGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkTriangleGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkTriangle requires 1 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:GetFace vtkTriangleGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int );return  */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkTriangle requires 2 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:CellBoundary vtkTriangleCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTriangleCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkTriangle requires 4 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:Contour vtkTriangleContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkTriangleContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkTriangle requires 12 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:Triangulate vtkTriangleTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTriangleTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkTriangle requires 4 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:Derivatives vtkTriangleDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkTriangleDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkTriangle requires 6 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:ComputeArea vtkTriangleComputeAreaFunction
//input a0 
//output y
ArrayVector vtkTriangleComputeAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double ComputeArea (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeArea for class vtkTriangle requires 1 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->ComputeArea();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:Clip vtkTriangleClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkTriangleClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut); */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkTriangle requires 11 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:InterpolationFunctions vtkTriangleInterpolationFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTriangleInterpolationFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationFunctions (double pcoords[3], double sf[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationFunctions for class vtkTriangle requires 3 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:InterpolationDerivs vtkTriangleInterpolationDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTriangleInterpolationDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationDerivs (double pcoords[3], double derivs[6]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationDerivs for class vtkTriangle requires 3 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[6];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:InterpolateFunctions vtkTriangleInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTriangleInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double sf[3]);vtkTriangle InterpolationFunctions pcoords sf  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkTriangle requires 3 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:InterpolateDerivs vtkTriangleInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTriangleInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double derivs[6]);vtkTriangle InterpolationDerivs pcoords derivs  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkTriangle requires 3 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[6];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:GetParametricCenter vtkTriangleGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParametricCenter (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkTriangle requires 2 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:GetParametricDistance vtkTriangleGetParametricDistanceFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleGetParametricDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetParametricDistance (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricDistance for class vtkTriangle requires 2 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricDistance(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:TriangleCenter vtkTriangleTriangleCenterFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkTriangleTriangleCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void TriangleCenter (double p1[3], double p2[3], double p3[3], double center[3]); */
  if (arg.size() < 5) 
    throw Exception("Function TriangleCenter for class vtkTriangle requires 5 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  vtk_pointer->TriangleCenter(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:TriangleArea vtkTriangleTriangleAreaFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTriangleTriangleAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleArea (double p1[3], double p2[3], double p3[3]); */
  if (arg.size() < 4) 
    throw Exception("Function TriangleArea for class vtkTriangle requires 4 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->TriangleArea(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:Circumcircle vtkTriangleCircumcircleFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkTriangleCircumcircleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double Circumcircle (double p1[2], double p2[2], double p3[2], double center[2]); */
  if (arg.size() < 5) 
    throw Exception("Function Circumcircle for class vtkTriangle requires 5 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[2];
  double temp1[2];
  double temp2[2];
  double temp3[2];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Circumcircle(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:BarycentricCoords vtkTriangleBarycentricCoordsFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkTriangleBarycentricCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int BarycentricCoords (double x[2], double x1[2], double x2[2], double x3[2], double bcoords[3]); */
  if (arg.size() < 6) 
    throw Exception("Function BarycentricCoords for class vtkTriangle requires 6 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[2];
  double temp1[2];
  double temp2[2];
  double temp3[2];
  double temp4[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[9].isVector() && arg[9].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[9].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->BarycentricCoords(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:ProjectTo2D vtkTriangleProjectTo2DFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkTriangleProjectTo2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int ProjectTo2D (double x1[3], double x2[3], double x3[3], double v1[2], double v2[2], double v3[2]); */
  if (arg.size() < 7) 
    throw Exception("Function ProjectTo2D for class vtkTriangle requires 7 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[2];
  double temp4[2];
  double temp5[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[12].isVector() && arg[12].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[12].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  if ( !(arg[14].isVector() && arg[14].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[14].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ProjectTo2D(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:ComputeNormal__2 vtkTriangleComputeNormal__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkTriangleComputeNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeNormal (double v1[3], double v2[3], double v3[3], double n[3]); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeNormal__2 for class vtkTriangle requires 5 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeNormal(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:ComputeNormalDirection vtkTriangleComputeNormalDirectionFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkTriangleComputeNormalDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeNormalDirection (double v1[3], double v2[3], double v3[3], double n[3]); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeNormalDirection for class vtkTriangle requires 5 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeNormalDirection(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:PointInTriangle vtkTrianglePointInTriangleFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkTrianglePointInTriangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int PointInTriangle (double x[3], double x1[3], double x2[3], double x3[3], double tol2); */
  if (arg.size() < 6) 
    throw Exception("Function PointInTriangle for class vtkTriangle requires 6 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double   temp4;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !arg[13].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[13].asDouble();
  temp20 = (vtk_pointer)->PointInTriangle(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:ComputeQuadric__2 vtkTriangleComputeQuadric__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkTriangleComputeQuadric__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeQuadric (double x1[3], double x2[3], double x3[3], vtkQuadric *quadric); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeQuadric__2 for class vtkTriangle requires 5 argument(s)");
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  vtkQuadric  *temp3;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp3 = GetVTKPointer<vtkQuadric>(arg[10]);
  vtk_pointer->ComputeQuadric(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkTriangle:ComputeNormal vtkTriangleComputeNormalFunction
//input varargin
//output varargout
ArrayVector vtkTriangleComputeNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkTriangleComputeNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTriangleComputeNormal");
}

//@@Signature
//sfunction @vtkTriangle:ComputeQuadric vtkTriangleComputeQuadricFunction
//input varargin
//output varargout
ArrayVector vtkTriangleComputeQuadricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsClass(arg[4],"vtkQuadric"))
    return vtkTriangleComputeQuadric__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTriangleComputeQuadric");
}

//@@Signature
//sfunction @vtkTriangle:display vtkTriangleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTriangleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTriangle* vtk_pointer = GetVTKPointer<vtkTriangle>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTriangle:delete vtkTriangleDeleteFunction
//input varargin
//output none
ArrayVector vtkTriangleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTriangle
//@@Section VTKFiltering
//@@Usage
// vtkTriangle is a concrete implementation of vtkCell to represent a triangle
// located in 3-space.
//
//To create an instance of class vtkTriangle, simply
//invoke its constructor as follows
//@[
//  obj = vtkTriangle
//@]
//@@Methods
//The class vtkTriangle has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTriangle class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTriangle = obj.NewInstance ()|
// \item @|vtkTriangle = obj.SafeDownCast (vtkObject o)|
// \item @|vtkCell = obj.GetEdge (int edgeId)| -  Get the edge specified by edgeId (range 0 to 2) and return that edge's
// coordinates.
//// \item @|int = obj.GetCellType ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetCellDimension ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetFace (int )| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)| -  See the vtkCell API for descriptions of these methods.
//// \item @|double = obj.ComputeArea ()| -  A convenience function to compute the area of a vtkTriangle.
//// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  Clip this triangle using scalar value provided. Like contouring, except
// that it cuts the triangle to produce other triangles.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double sf[3])| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs[6])| -  Return the ids of the vertices defining edge (`edgeId`).
// Ids are related to the cell, not to the dataset.
//// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  Return the center of the triangle in parametric coordinates.
//// \item @|double = obj.GetParametricDistance (double pcoords[3])| -  Return the distance of the parametric coordinate provided to the
// cell. If inside the cell, a distance of zero is returned.
////\end{itemize}
//!
