#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTriangleStrip object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTriangleStrip.h"

//@@Signature
//sfunction @vtkTriangleStrip:vtkTriangleStrip vtkTriangleStripConstructorFunction
//input a
//output p
//@@Parents vtkTriangleStrip vtkCell 
ArrayVector vtkTriangleStripConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTriangleStrip::New(),"vtkTriangleStrip",eval);
  } else if (arg[0].className() == "vtkTriangleStrip") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTriangleStrip"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTriangleStrip");
    vtkTriangleStrip*q = reinterpret_cast<vtkTriangleStrip*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTriangleStrip");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTriangleStrip:GetClassName vtkTriangleStripGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTriangleStripGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTriangleStrip requires 1 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:IsA vtkTriangleStripIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleStripIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTriangleStrip requires 2 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:NewInstance vtkTriangleStripNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTriangleStripNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriangleStrip *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTriangleStrip requires 1 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  vtkTriangleStrip  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriangleStrip",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:SafeDownCast vtkTriangleStripSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleStripSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriangleStrip *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTriangleStrip requires 2 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTriangleStrip  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriangleStrip",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:GetCellType vtkTriangleStripGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkTriangleStripGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType ();return VTK_TRIANGLE_STRIP  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkTriangleStrip requires 1 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:GetCellDimension vtkTriangleStripGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkTriangleStripGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkTriangleStrip requires 1 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:GetNumberOfEdges vtkTriangleStripGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkTriangleStripGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges ();return this GetNumberOfPoints  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkTriangleStrip requires 1 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:GetNumberOfFaces vtkTriangleStripGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkTriangleStripGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkTriangleStrip requires 1 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:GetEdge vtkTriangleStripGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleStripGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int edgeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkTriangleStrip requires 2 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:GetFace vtkTriangleStripGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleStripGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int );return  */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkTriangleStrip requires 2 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:CellBoundary vtkTriangleStripCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTriangleStripCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkTriangleStrip requires 4 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:Contour vtkTriangleStripContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkTriangleStripContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkTriangleStrip requires 12 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:Clip vtkTriangleStripClipFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 
//output none
ArrayVector vtkTriangleStripClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut); */
  if (arg.size() < 11) 
    throw Exception("Function Clip for class vtkTriangleStrip requires 11 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  vtk_pointer->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:Triangulate vtkTriangleStripTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTriangleStripTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkTriangleStrip requires 4 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:Derivatives vtkTriangleStripDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkTriangleStripDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkTriangleStrip requires 6 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:IsPrimaryCell vtkTriangleStripIsPrimaryCellFunction
//input a0 
//output y
ArrayVector vtkTriangleStripIsPrimaryCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsPrimaryCell ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsPrimaryCell for class vtkTriangleStrip requires 1 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsPrimaryCell();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:GetParametricCenter vtkTriangleStripGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleStripGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParametricCenter (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkTriangleStrip requires 2 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:InterpolateFunctions vtkTriangleStripInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTriangleStripInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double *weights); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkTriangleStrip requires 3 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:InterpolateDerivs vtkTriangleStripInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTriangleStripInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double *derivs); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkTriangleStrip requires 3 argument(s)");
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  Array retval;
  double temp0[3];
  double  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleStrip:display vtkTriangleStripDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTriangleStripDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTriangleStrip* vtk_pointer = GetVTKPointer<vtkTriangleStrip>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTriangleStrip:delete vtkTriangleStripDeleteFunction
//input varargin
//output none
ArrayVector vtkTriangleStripDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTriangleStrip
//@@Section VTKFiltering
//@@Usage
// vtkTriangleStrip is a concrete implementation of vtkCell to represent a 2D
// triangle strip. A triangle strip is a compact representation of triangles
// connected edge to edge in strip fashion. The connectivity of a triangle
// strip is three points defining an initial triangle, then for each
// additional triangle, a single point that, combined with the previous two
// points, defines the next triangle.
//
//To create an instance of class vtkTriangleStrip, simply
//invoke its constructor as follows
//@[
//  obj = vtkTriangleStrip
//@]
//@@Methods
//The class vtkTriangleStrip has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTriangleStrip class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTriangleStrip = obj.NewInstance ()|
// \item @|vtkTriangleStrip = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetCellType ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetCellDimension ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetEdge (int edgeId)| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetFace (int )| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Clip (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd, int insideOut)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)|
// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)|
// \item @|int = obj.IsPrimaryCell ()| -  Return the center of the point cloud in parametric coordinates.
//// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  Return the center of the point cloud in parametric coordinates.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double weights)| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs)| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
////\end{itemize}
//!
