#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTrivialProducer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTrivialProducer.h"

//@@Signature
//sfunction @vtkTrivialProducer:vtkTrivialProducer vtkTrivialProducerConstructorFunction
//input a
//output p
//@@Parents vtkTrivialProducer vtkAlgorithm 
ArrayVector vtkTrivialProducerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTrivialProducer::New(),"vtkTrivialProducer",eval);
  } else if (arg[0].className() == "vtkTrivialProducer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTrivialProducer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTrivialProducer");
    vtkTrivialProducer*q = reinterpret_cast<vtkTrivialProducer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTrivialProducer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTrivialProducer:GetClassName vtkTrivialProducerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTrivialProducerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTrivialProducer requires 1 argument(s)");
  vtkTrivialProducer* vtk_pointer = GetVTKPointer<vtkTrivialProducer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTrivialProducer:IsA vtkTrivialProducerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTrivialProducerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTrivialProducer requires 2 argument(s)");
  vtkTrivialProducer* vtk_pointer = GetVTKPointer<vtkTrivialProducer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTrivialProducer:NewInstance vtkTrivialProducerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTrivialProducerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTrivialProducer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTrivialProducer requires 1 argument(s)");
  vtkTrivialProducer* vtk_pointer = GetVTKPointer<vtkTrivialProducer>(arg[0]);
  Array retval;
  vtkTrivialProducer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTrivialProducer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTrivialProducer:SafeDownCast vtkTrivialProducerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTrivialProducerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTrivialProducer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTrivialProducer requires 2 argument(s)");
  vtkTrivialProducer* vtk_pointer = GetVTKPointer<vtkTrivialProducer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTrivialProducer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTrivialProducer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTrivialProducer:SetOutput vtkTrivialProducerSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkTrivialProducerSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutput (vtkDataObject *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkTrivialProducer requires 2 argument(s)");
  vtkTrivialProducer* vtk_pointer = GetVTKPointer<vtkTrivialProducer>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTrivialProducer:GetMTime vtkTrivialProducerGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTrivialProducerGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTrivialProducer requires 1 argument(s)");
  vtkTrivialProducer* vtk_pointer = GetVTKPointer<vtkTrivialProducer>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTrivialProducer:display vtkTrivialProducerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTrivialProducerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTrivialProducer* vtk_pointer = GetVTKPointer<vtkTrivialProducer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTrivialProducer:delete vtkTrivialProducerDeleteFunction
//input varargin
//output none
ArrayVector vtkTrivialProducerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTrivialProducer
//@@Section VTKFiltering
//@@Usage
// vtkTrivialProducer allows stand-alone data objects to be connected
// as inputs in a pipeline.  All data objects that are connected to a
// pipeline involving vtkAlgorithm must have a producer.  This trivial
// producer allows data objects that are hand-constructed in a program
// without another vtk producer to be connected.
//
//To create an instance of class vtkTrivialProducer, simply
//invoke its constructor as follows
//@[
//  obj = vtkTrivialProducer
//@]
//@@Methods
//The class vtkTrivialProducer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTrivialProducer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTrivialProducer = obj.NewInstance ()|
// \item @|vtkTrivialProducer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutput (vtkDataObject output)| -  Set the data object that is "produced" by this producer.  It is
// never really modified.
//// \item @|long = obj.GetMTime ()| -  The modified time of this producer is the newer of this object or
// the assigned output.
////\end{itemize}
//!
