#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUndirectedGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUndirectedGraph.h"

//@@Signature
//sfunction @vtkUndirectedGraph:vtkUndirectedGraph vtkUndirectedGraphConstructorFunction
//input a
//output p
//@@Parents vtkUndirectedGraph vtkGraph 
ArrayVector vtkUndirectedGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUndirectedGraph::New(),"vtkUndirectedGraph",eval);
  } else if (arg[0].className() == "vtkUndirectedGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUndirectedGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUndirectedGraph");
    vtkUndirectedGraph*q = reinterpret_cast<vtkUndirectedGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUndirectedGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUndirectedGraph:GetClassName vtkUndirectedGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUndirectedGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUndirectedGraph requires 1 argument(s)");
  vtkUndirectedGraph* vtk_pointer = GetVTKPointer<vtkUndirectedGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraph:IsA vtkUndirectedGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUndirectedGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUndirectedGraph requires 2 argument(s)");
  vtkUndirectedGraph* vtk_pointer = GetVTKPointer<vtkUndirectedGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraph:NewInstance vtkUndirectedGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUndirectedGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUndirectedGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUndirectedGraph requires 1 argument(s)");
  vtkUndirectedGraph* vtk_pointer = GetVTKPointer<vtkUndirectedGraph>(arg[0]);
  Array retval;
  vtkUndirectedGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUndirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraph:SafeDownCast vtkUndirectedGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUndirectedGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUndirectedGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUndirectedGraph requires 2 argument(s)");
  vtkUndirectedGraph* vtk_pointer = GetVTKPointer<vtkUndirectedGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUndirectedGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUndirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraph:GetDataObjectType vtkUndirectedGraphGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkUndirectedGraphGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_UNDIRECTED_GRAPH  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkUndirectedGraph requires 1 argument(s)");
  vtkUndirectedGraph* vtk_pointer = GetVTKPointer<vtkUndirectedGraph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraph:GetInDegree vtkUndirectedGraphGetInDegreeFunction
//input a0 a1 
//output y
ArrayVector vtkUndirectedGraphGetInDegreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetInDegree (vtkIdType v); */
  if (arg.size() < 2) 
    throw Exception("Function GetInDegree for class vtkUndirectedGraph requires 2 argument(s)");
  vtkUndirectedGraph* vtk_pointer = GetVTKPointer<vtkUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInDegree(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraph:GetInEdge vtkUndirectedGraphGetInEdgeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkUndirectedGraphGetInEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetInEdge (vtkIdType v, vtkIdType i, vtkGraphEdge *e);this Superclass GetInEdge v i e  */
  if (arg.size() < 4) 
    throw Exception("Function GetInEdge for class vtkUndirectedGraph requires 4 argument(s)");
  vtkUndirectedGraph* vtk_pointer = GetVTKPointer<vtkUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkGraphEdge>(arg[3]);
  vtk_pointer->GetInEdge(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraph:GetInEdges vtkUndirectedGraphGetInEdgesFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUndirectedGraphGetInEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetInEdges (vtkIdType v, vtkInEdgeIterator *it);Superclass GetInEdges v it  */
  if (arg.size() < 3) 
    throw Exception("Function GetInEdges for class vtkUndirectedGraph requires 3 argument(s)");
  vtkUndirectedGraph* vtk_pointer = GetVTKPointer<vtkUndirectedGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkInEdgeIterator  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInEdgeIterator>(arg[2]);
  vtk_pointer->GetInEdges(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraph:display vtkUndirectedGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUndirectedGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUndirectedGraph* vtk_pointer = GetVTKPointer<vtkUndirectedGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUndirectedGraph:delete vtkUndirectedGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkUndirectedGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUndirectedGraph
//@@Section VTKFiltering
//@@Usage
// vtkUndirectedGraph is a collection of vertices along with a collection of
// undirected edges (they connect two vertices in no particular order). 
// ShallowCopy(), DeepCopy(), CheckedShallowCopy(), CheckedDeepCopy()
// accept instances of vtkUndirectedGraph and vtkMutableUndirectedGraph.
// GetOutEdges(v, it) and GetInEdges(v, it) return the same list of edges, 
// which is the list of all edges which have a v as an endpoint.
// GetInDegree(v), GetOutDegree(v) and GetDegree(v) all return the full
// degree of vertex v.
//
// vtkUndirectedGraph is read-only. To create an undirected graph,
// use an instance of vtkMutableUndirectedGraph, then you may set the
// structure to a vtkUndirectedGraph using ShallowCopy().
//
//
//To create an instance of class vtkUndirectedGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkUndirectedGraph
//@]
//@@Methods
//The class vtkUndirectedGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUndirectedGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUndirectedGraph = obj.NewInstance ()|
// \item @|vtkUndirectedGraph = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()| -  Returns the full degree of the vertex.
//// \item @|vtkIdType = obj.GetInDegree (vtkIdType v)| -  Returns the full degree of the vertex.
//// \item @|obj.GetInEdge (vtkIdType v, vtkIdType i, vtkGraphEdge e)| -  Initialize the iterator to get the incoming edges to a vertex.
// For an undirected graph, this is all incident edges.
//// \item @|obj.GetInEdges (vtkIdType v, vtkInEdgeIterator it)|
//\end{itemize}
//!
