#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUndirectedGraphAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUndirectedGraphAlgorithm.h"

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:vtkUndirectedGraphAlgorithm vtkUndirectedGraphAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkUndirectedGraphAlgorithm vtkAlgorithm 
ArrayVector vtkUndirectedGraphAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUndirectedGraphAlgorithm::New(),"vtkUndirectedGraphAlgorithm",eval);
  } else if (arg[0].className() == "vtkUndirectedGraphAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUndirectedGraphAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUndirectedGraphAlgorithm");
    vtkUndirectedGraphAlgorithm*q = reinterpret_cast<vtkUndirectedGraphAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUndirectedGraphAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:GetClassName vtkUndirectedGraphAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUndirectedGraphAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUndirectedGraphAlgorithm requires 1 argument(s)");
  vtkUndirectedGraphAlgorithm* vtk_pointer = GetVTKPointer<vtkUndirectedGraphAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:IsA vtkUndirectedGraphAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUndirectedGraphAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUndirectedGraphAlgorithm requires 2 argument(s)");
  vtkUndirectedGraphAlgorithm* vtk_pointer = GetVTKPointer<vtkUndirectedGraphAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:NewInstance vtkUndirectedGraphAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUndirectedGraphAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUndirectedGraphAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUndirectedGraphAlgorithm requires 1 argument(s)");
  vtkUndirectedGraphAlgorithm* vtk_pointer = GetVTKPointer<vtkUndirectedGraphAlgorithm>(arg[0]);
  Array retval;
  vtkUndirectedGraphAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUndirectedGraphAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:SafeDownCast vtkUndirectedGraphAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUndirectedGraphAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUndirectedGraphAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUndirectedGraphAlgorithm requires 2 argument(s)");
  vtkUndirectedGraphAlgorithm* vtk_pointer = GetVTKPointer<vtkUndirectedGraphAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUndirectedGraphAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUndirectedGraphAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:GetOutput__1 vtkUndirectedGraphAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkUndirectedGraphAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUndirectedGraph *GetOutput ();return this GetOutput  */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkUndirectedGraphAlgorithm requires 1 argument(s)");
  vtkUndirectedGraphAlgorithm* vtk_pointer = GetVTKPointer<vtkUndirectedGraphAlgorithm>(arg[0]);
  Array retval;
  vtkUndirectedGraph  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUndirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:GetOutput__2 vtkUndirectedGraphAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkUndirectedGraphAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUndirectedGraph *GetOutput (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkUndirectedGraphAlgorithm requires 2 argument(s)");
  vtkUndirectedGraphAlgorithm* vtk_pointer = GetVTKPointer<vtkUndirectedGraphAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkUndirectedGraph  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUndirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:SetInput__1 vtkUndirectedGraphAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkUndirectedGraphAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *obj);this SetInput obj  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkUndirectedGraphAlgorithm requires 2 argument(s)");
  vtkUndirectedGraphAlgorithm* vtk_pointer = GetVTKPointer<vtkUndirectedGraphAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:SetInput__2 vtkUndirectedGraphAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkUndirectedGraphAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int index, vtkDataObject *obj); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkUndirectedGraphAlgorithm requires 3 argument(s)");
  vtkUndirectedGraphAlgorithm* vtk_pointer = GetVTKPointer<vtkUndirectedGraphAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:GetOutput vtkUndirectedGraphAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkUndirectedGraphAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkUndirectedGraphAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkUndirectedGraphAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUndirectedGraphAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:SetInput vtkUndirectedGraphAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkUndirectedGraphAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkUndirectedGraphAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkUndirectedGraphAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUndirectedGraphAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkUndirectedGraphAlgorithm:display vtkUndirectedGraphAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUndirectedGraphAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUndirectedGraphAlgorithm* vtk_pointer = GetVTKPointer<vtkUndirectedGraphAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUndirectedGraphAlgorithm:delete vtkUndirectedGraphAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkUndirectedGraphAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUndirectedGraphAlgorithm
//@@Section VTKFiltering
//@@Usage
// vtkUndirectedGraphAlgorithm is a convenience class to make writing algorithms
// easier. It is also designed to help transition old algorithms to the new
// pipeline edgehitecture. There are some assumptions and defaults made by this
// class you should be aware of. This class defaults such that your filter
// will have one input port and one output port. If that is not the case
// simply change it with SetNumberOfInputPorts etc. See this class
// constructor for the default. This class also provides a FillInputPortInfo
// method that by default says that all inputs will be Graph. If that
// isn't the case then please override this method in your subclass. This
// class breaks out the downstream requests into separate functions such as
// ExecuteData and ExecuteInformation.  For new algorithms you should
// implement RequestData( request, inputVec, outputVec) but for older filters
// there is a default implementation that calls the old ExecuteData(output)
// signature. For even older filters that don't implement ExecuteData the
// default implementation calls the even older Execute() signature.
//
// .SECTION Thanks
// Thanks to Patricia Crossno, Ken Moreland, Andrew Wilson and Brian Wylie from
// Sandia National Laboratories for their help in developing this class.
//
//To create an instance of class vtkUndirectedGraphAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkUndirectedGraphAlgorithm
//@]
//@@Methods
//The class vtkUndirectedGraphAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUndirectedGraphAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUndirectedGraphAlgorithm = obj.NewInstance ()|
// \item @|vtkUndirectedGraphAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkUndirectedGraph = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkUndirectedGraph = obj.GetOutput (int index)| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetInput (vtkDataObject obj)| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int index, vtkDataObject obj)| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
////\end{itemize}
//!
