#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUniformGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUniformGrid.h"

//@@Signature
//sfunction @vtkUniformGrid:vtkUniformGrid vtkUniformGridConstructorFunction
//input a
//output p
//@@Parents vtkUniformGrid vtkImageData 
ArrayVector vtkUniformGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUniformGrid::New(),"vtkUniformGrid",eval);
  } else if (arg[0].className() == "vtkUniformGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUniformGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUniformGrid");
    vtkUniformGrid*q = reinterpret_cast<vtkUniformGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUniformGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUniformGrid:GetClassName vtkUniformGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUniformGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUniformGrid requires 1 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:IsA vtkUniformGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUniformGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:NewInstance vtkUniformGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUniformGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUniformGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUniformGrid requires 1 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkUniformGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUniformGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:SafeDownCast vtkUniformGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUniformGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUniformGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUniformGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUniformGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:CopyStructure vtkUniformGridCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkUniformGridCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyStructure (vtkDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetDataObjectType vtkUniformGridGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkUniformGridGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataObjectType ();return VTK_UNIFORM_GRID  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkUniformGrid requires 1 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetCell__1 vtkUniformGridGetCell__1Function
//input a0 a1 
//output y
ArrayVector vtkUniformGridGetCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCell *GetCell (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCell__1 for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetCell__2 vtkUniformGridGetCell__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkUniformGridGetCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell); */
  if (arg.size() < 3) 
    throw Exception("Function GetCell__2 for class vtkUniformGrid requires 3 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  vtk_pointer->GetCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetCellType vtkUniformGridGetCellTypeFunction
//input a0 a1 
//output y
ArrayVector vtkUniformGridGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCellType (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellType for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetCellPoints vtkUniformGridGetCellPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUniformGridGetCellPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);vtkStructuredData GetCellPoints cellId ptIds this DataDescription this GetDimensions  */
  if (arg.size() < 3) 
    throw Exception("Function GetCellPoints for class vtkUniformGrid requires 3 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetCellPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetPointCells vtkUniformGridGetPointCellsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUniformGridGetPointCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);vtkStructuredData GetPointCells ptId cellIds this GetDimensions  */
  if (arg.size() < 3) 
    throw Exception("Function GetPointCells for class vtkUniformGrid requires 3 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetPointCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:Initialize vtkUniformGridInitializeFunction
//input a0 
//output none
ArrayVector vtkUniformGridInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkUniformGrid requires 1 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetMaxCellSize vtkUniformGridGetMaxCellSizeFunction
//input a0 
//output y
ArrayVector vtkUniformGridGetMaxCellSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetMaxCellSize ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellSize for class vtkUniformGrid requires 1 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:ShallowCopy vtkUniformGridShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkUniformGridShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:DeepCopy vtkUniformGridDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkUniformGridDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:BlankPoint vtkUniformGridBlankPointFunction
//input a0 a1 
//output none
ArrayVector vtkUniformGridBlankPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BlankPoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function BlankPoint for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->BlankPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:UnBlankPoint vtkUniformGridUnBlankPointFunction
//input a0 a1 
//output none
ArrayVector vtkUniformGridUnBlankPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnBlankPoint (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function UnBlankPoint for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->UnBlankPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:BlankCell vtkUniformGridBlankCellFunction
//input a0 a1 
//output none
ArrayVector vtkUniformGridBlankCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BlankCell (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function BlankCell for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->BlankCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:UnBlankCell vtkUniformGridUnBlankCellFunction
//input a0 a1 
//output none
ArrayVector vtkUniformGridUnBlankCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnBlankCell (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function UnBlankCell for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->UnBlankCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetPointVisibilityArray vtkUniformGridGetPointVisibilityArrayFunction
//input a0 
//output y
ArrayVector vtkUniformGridGetPointVisibilityArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkUnsignedCharArray *GetPointVisibilityArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointVisibilityArray for class vtkUniformGrid requires 1 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp20;
  temp20 = (vtk_pointer)->GetPointVisibilityArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:SetPointVisibilityArray vtkUniformGridSetPointVisibilityArrayFunction
//input a0 a1 
//output none
ArrayVector vtkUniformGridSetPointVisibilityArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointVisibilityArray (vtkUnsignedCharArray *pointVisibility); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointVisibilityArray for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  vtk_pointer->SetPointVisibilityArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetCellVisibilityArray vtkUniformGridGetCellVisibilityArrayFunction
//input a0 
//output y
ArrayVector vtkUniformGridGetCellVisibilityArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkUnsignedCharArray *GetCellVisibilityArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellVisibilityArray for class vtkUniformGrid requires 1 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp20;
  temp20 = (vtk_pointer)->GetCellVisibilityArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:SetCellVisibilityArray vtkUniformGridSetCellVisibilityArrayFunction
//input a0 a1 
//output none
ArrayVector vtkUniformGridSetCellVisibilityArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellVisibilityArray (vtkUnsignedCharArray *pointVisibility); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellVisibilityArray for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  vtk_pointer->SetCellVisibilityArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:IsPointVisible vtkUniformGridIsPointVisibleFunction
//input a0 a1 
//output y
ArrayVector vtkUniformGridIsPointVisibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned char IsPointVisible (vtkIdType ptId); */
  if (arg.size() < 2) 
    throw Exception("Function IsPointVisible for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned char     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsPointVisible(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:IsCellVisible vtkUniformGridIsCellVisibleFunction
//input a0 a1 
//output y
ArrayVector vtkUniformGridIsCellVisibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned char IsCellVisible (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function IsCellVisible for class vtkUniformGrid requires 2 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  unsigned char     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsCellVisible(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetPointBlanking vtkUniformGridGetPointBlankingFunction
//input a0 
//output y
ArrayVector vtkUniformGridGetPointBlankingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned char GetPointBlanking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointBlanking for class vtkUniformGrid requires 1 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  unsigned char     temp20;
  temp20 = (vtk_pointer)->GetPointBlanking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetCellBlanking vtkUniformGridGetCellBlankingFunction
//input a0 
//output y
ArrayVector vtkUniformGridGetCellBlankingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned char GetCellBlanking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellBlanking for class vtkUniformGrid requires 1 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  unsigned char     temp20;
  temp20 = (vtk_pointer)->GetCellBlanking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:NewImageDataCopy vtkUniformGridNewImageDataCopyFunction
//input a0 
//output y
ArrayVector vtkUniformGridNewImageDataCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkImageData *NewImageDataCopy (); */
  if (arg.size() < 1) 
    throw Exception("Function NewImageDataCopy for class vtkUniformGrid requires 1 argument(s)");
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->NewImageDataCopy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUniformGrid:GetCell vtkUniformGridGetCellFunction
//input varargin
//output varargout
ArrayVector vtkUniformGridGetCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkUniformGridGetCell__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericCell"))
    return vtkUniformGridGetCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUniformGridGetCell");
}

//@@Signature
//sfunction @vtkUniformGrid:FindCell vtkUniformGridFindCellFunction
//input varargin
//output varargout
ArrayVector vtkUniformGridFindCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkUniformGridFindCell");
}

//@@Signature
//sfunction @vtkUniformGrid:display vtkUniformGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUniformGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUniformGrid* vtk_pointer = GetVTKPointer<vtkUniformGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUniformGrid:delete vtkUniformGridDeleteFunction
//input varargin
//output none
ArrayVector vtkUniformGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUniformGrid
//@@Section VTKFiltering
//@@Usage
// vtkUniformGrid is a subclass of vtkImageData. In addition to all
// the image data functionality, it supports blanking.
//
//To create an instance of class vtkUniformGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkUniformGrid
//@]
//@@Methods
//The class vtkUniformGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUniformGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Construct an empty uniform grid.
//// \item @|int = obj.IsA (string name)| -  Construct an empty uniform grid.
//// \item @|vtkUniformGrid = obj.NewInstance ()| -  Construct an empty uniform grid.
//// \item @|vtkUniformGrid = obj.SafeDownCast (vtkObject o)| -  Construct an empty uniform grid.
//// \item @|obj.CopyStructure (vtkDataSet ds)| -  Copy the geometric and topological structure of an input image data
// object.
//// \item @|int = obj.GetDataObjectType ()| -  Return what type of dataset this is.
//// \item @|vtkCell = obj.GetCell (vtkIdType cellId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCell (vtkIdType cellId, vtkGenericCell cell)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|int = obj.GetCellType (vtkIdType cellId)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetCellPoints (vtkIdType cellId, vtkIdList ptIds)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.GetPointCells (vtkIdType ptId, vtkIdList cellIds)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.Initialize ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|int = obj.GetMaxCellSize ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.BlankPoint (vtkIdType ptId)| -  Methods for supporting blanking of cells. Blanking turns on or off
// points in the structured grid, and hence the cells connected to them.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|obj.UnBlankPoint (vtkIdType ptId)| -  Methods for supporting blanking of cells. Blanking turns on or off
// points in the structured grid, and hence the cells connected to them.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|obj.BlankCell (vtkIdType ptId)| -  Methods for supporting blanking of cells. Blanking turns on or off
// cells in the structured grid.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|obj.UnBlankCell (vtkIdType ptId)| -  Methods for supporting blanking of cells. Blanking turns on or off
// cells in the structured grid.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|vtkUnsignedCharArray = obj.GetPointVisibilityArray ()| -  Get the array that defines the blanking (visibility) of each point.
//// \item @|obj.SetPointVisibilityArray (vtkUnsignedCharArray pointVisibility)| -  Set an array that defines the (blanking) visibility of the points
// in the grid. Make sure that length of the visibility array matches
// the number of points in the grid.
//// \item @|vtkUnsignedCharArray = obj.GetCellVisibilityArray ()| -  Get the array that defines the blanking (visibility) of each cell.
//// \item @|obj.SetCellVisibilityArray (vtkUnsignedCharArray pointVisibility)| -  Set an array that defines the (blanking) visibility of the cells
// in the grid. Make sure that length of the visibility array matches
// the number of points in the grid.
//// \item @|char = obj.IsPointVisible (vtkIdType ptId)| -  Return non-zero value if specified point is visible.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|char = obj.IsCellVisible (vtkIdType cellId)| -  Return non-zero value if specified cell is visible.
// These methods should be called only after the dimensions of the
// grid are set.
//// \item @|char = obj.GetPointBlanking ()| -  Returns 1 if there is any visibility constraint on the points,
// 0 otherwise.
//// \item @|char = obj.GetCellBlanking ()| -  Returns 1 if there is any visibility constraint on the cells,
// 0 otherwise.
//// \item @|vtkImageData = obj.NewImageDataCopy ()|
//\end{itemize}
//!
