#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGrid.h"

//@@Signature
//sfunction @vtkUnstructuredGrid:vtkUnstructuredGrid vtkUnstructuredGridConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGrid vtkPointSet 
ArrayVector vtkUnstructuredGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGrid::New(),"vtkUnstructuredGrid",eval);
  } else if (arg[0].className() == "vtkUnstructuredGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGrid");
    vtkUnstructuredGrid*q = reinterpret_cast<vtkUnstructuredGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGrid:GetClassName vtkUnstructuredGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:IsA vtkUnstructuredGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGrid requires 2 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:NewInstance vtkUnstructuredGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:SafeDownCast vtkUnstructuredGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGrid requires 2 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetDataObjectType vtkUnstructuredGridGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType ();return VTK_UNSTRUCTURED_GRID  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:Allocate vtkUnstructuredGridAllocateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridAllocateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Allocate (vtkIdType numCells, int extSize); */
  if (arg.size() < 3) 
    throw Exception("Function Allocate for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Allocate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:InsertNextCell__2 vtkUnstructuredGridInsertNextCell__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkUnstructuredGridInsertNextCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType InsertNextCell (int type, vtkIdList *ptIds); */
  if (arg.size() < 3) 
    throw Exception("Function InsertNextCell__2 for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp20 = (vtk_pointer)->InsertNextCell(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:Reset vtkUnstructuredGridResetFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:CopyStructure vtkUnstructuredGridCopyStructureFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridCopyStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyStructure (vtkDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function CopyStructure for class vtkUnstructuredGrid requires 2 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->CopyStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetNumberOfCells vtkUnstructuredGridGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCell__1 vtkUnstructuredGridGetCell__1Function
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridGetCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCell *GetCell (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCell__1 for class vtkUnstructuredGrid requires 2 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCell__2 vtkUnstructuredGridGetCell__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridGetCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell); */
  if (arg.size() < 3) 
    throw Exception("Function GetCell__2 for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  vtk_pointer->GetCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCellBounds vtkUnstructuredGridGetCellBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridGetCellBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellBounds (vtkIdType cellId, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellBounds for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[6];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetCellBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCellPoints__1 vtkUnstructuredGridGetCellPoints__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridGetCellPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellPoints__1 for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetCellPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetPointCells vtkUnstructuredGridGetPointCellsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridGetPointCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPointCells (vtkIdType ptId, vtkIdList *cellIds); */
  if (arg.size() < 3) 
    throw Exception("Function GetPointCells for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetPointCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCellType vtkUnstructuredGridGetCellTypeFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType (vtkIdType cellId); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellType for class vtkUnstructuredGrid requires 2 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCellTypesArray vtkUnstructuredGridGetCellTypesArrayFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetCellTypesArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *GetCellTypesArray ();return this Types  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellTypesArray for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp20;
  temp20 = (vtk_pointer)->GetCellTypesArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCellLocationsArray vtkUnstructuredGridGetCellLocationsArrayFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetCellLocationsArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdTypeArray *GetCellLocationsArray ();return this Locations  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellLocationsArray for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp20;
  temp20 = (vtk_pointer)->GetCellLocationsArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdTypeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:Squeeze vtkUnstructuredGridSqueezeFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridSqueezeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Squeeze (); */
  if (arg.size() < 1) 
    throw Exception("Function Squeeze for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->Squeeze();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:Initialize vtkUnstructuredGridInitializeFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetMaxCellSize vtkUnstructuredGridGetMaxCellSizeFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetMaxCellSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxCellSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellSize for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:BuildLinks vtkUnstructuredGridBuildLinksFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridBuildLinksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLinks (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLinks for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->BuildLinks();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCellLinks vtkUnstructuredGridGetCellLinksFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetCellLinksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellLinks *GetCellLinks ();return this Links  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellLinks for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkCellLinks  *temp20;
  temp20 = (vtk_pointer)->GetCellLinks();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellLinks",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:SetCells__1 vtkUnstructuredGridSetCells__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridSetCells__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCells (int type, vtkCellArray *cells); */
  if (arg.size() < 3) 
    throw Exception("Function SetCells__1 for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  vtkCellArray  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkCellArray>(arg[2]);
  vtk_pointer->SetCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:SetCells__2 vtkUnstructuredGridSetCells__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridSetCells__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCells (int *types, vtkCellArray *cells); */
  if (arg.size() < 3) 
    throw Exception("Function SetCells__2 for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int     *temp0;
  vtkCellArray  *temp1;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  temp1 = GetVTKPointer<vtkCellArray>(arg[2]);
  vtk_pointer->SetCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:SetCells__3 vtkUnstructuredGridSetCells__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkUnstructuredGridSetCells__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCells (vtkUnsignedCharArray *cellTypes, vtkIdTypeArray *cellLocations, vtkCellArray *cells); */
  if (arg.size() < 4) 
    throw Exception("Function SetCells__3 for class vtkUnstructuredGrid requires 4 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  vtkIdTypeArray  *temp1;
  vtkCellArray  *temp2;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  temp1 = GetVTKPointer<vtkIdTypeArray>(arg[2]);
  temp2 = GetVTKPointer<vtkCellArray>(arg[3]);
  vtk_pointer->SetCells(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCells vtkUnstructuredGridGetCellsFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellArray *GetCells ();return this Connectivity  */
  if (arg.size() < 1) 
    throw Exception("Function GetCells for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkCellArray  *temp20;
  temp20 = (vtk_pointer)->GetCells();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:RemoveReferenceToCell vtkUnstructuredGridRemoveReferenceToCellFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridRemoveReferenceToCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveReferenceToCell (vtkIdType ptId, vtkIdType cellId); */
  if (arg.size() < 3) 
    throw Exception("Function RemoveReferenceToCell for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->RemoveReferenceToCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:AddReferenceToCell vtkUnstructuredGridAddReferenceToCellFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridAddReferenceToCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddReferenceToCell (vtkIdType ptId, vtkIdType cellId); */
  if (arg.size() < 3) 
    throw Exception("Function AddReferenceToCell for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddReferenceToCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:ResizeCellList vtkUnstructuredGridResizeCellListFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridResizeCellListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResizeCellList (vtkIdType ptId, int size); */
  if (arg.size() < 3) 
    throw Exception("Function ResizeCellList for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->ResizeCellList(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCellNeighbors__1 vtkUnstructuredGridGetCellNeighbors__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkUnstructuredGridGetCellNeighbors__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds); */
  if (arg.size() < 4) 
    throw Exception("Function GetCellNeighbors__1 for class vtkUnstructuredGrid requires 4 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  vtk_pointer->GetCellNeighbors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetUpdateExtent__2 vtkUnstructuredGridGetUpdateExtent__2Function
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetUpdateExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int *GetUpdateExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpdateExtent__2 for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetUpdateExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetUpdateExtent__4 vtkUnstructuredGridGetUpdateExtent__4Function
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGetUpdateExtent__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetUpdateExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetUpdateExtent__4 for class vtkUnstructuredGrid requires 2 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetUpdateExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetPiece vtkUnstructuredGridGetPieceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPiece for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetNumberOfPieces vtkUnstructuredGridGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetGhostLevel vtkUnstructuredGridGetGhostLevelFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevel for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetActualMemorySize vtkUnstructuredGridGetActualMemorySizeFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGetActualMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetActualMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualMemorySize for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetActualMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:ShallowCopy vtkUnstructuredGridShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkUnstructuredGrid requires 2 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:DeepCopy vtkUnstructuredGridDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkDataObject *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkUnstructuredGrid requires 2 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetIdsOfCellsOfType vtkUnstructuredGridGetIdsOfCellsOfTypeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridGetIdsOfCellsOfTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetIdsOfCellsOfType (int type, vtkIdTypeArray *array); */
  if (arg.size() < 3) 
    throw Exception("Function GetIdsOfCellsOfType for class vtkUnstructuredGrid requires 3 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdTypeArray  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdTypeArray>(arg[2]);
  vtk_pointer->GetIdsOfCellsOfType(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:IsHomogeneous vtkUnstructuredGridIsHomogeneousFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridIsHomogeneousFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsHomogeneous (); */
  if (arg.size() < 1) 
    throw Exception("Function IsHomogeneous for class vtkUnstructuredGrid requires 1 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsHomogeneous();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:RemoveGhostCells vtkUnstructuredGridRemoveGhostCellsFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridRemoveGhostCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveGhostCells (int level); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveGhostCells for class vtkUnstructuredGrid requires 2 argument(s)");
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveGhostCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGrid:InsertNextCell vtkUnstructuredGridInsertNextCellFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridInsertNextCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList"))
    return vtkUnstructuredGridInsertNextCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridInsertNextCell");
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCell vtkUnstructuredGridGetCellFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridGetCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkUnstructuredGridGetCell__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericCell"))
    return vtkUnstructuredGridGetCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridGetCell");
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCellPoints vtkUnstructuredGridGetCellPointsFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridGetCellPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList"))
    return vtkUnstructuredGridGetCellPoints__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridGetCellPoints");
}

//@@Signature
//sfunction @vtkUnstructuredGrid:SetCells vtkUnstructuredGridSetCellsFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridSetCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkCellArray"))
    return vtkUnstructuredGridSetCells__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsClass(arg[2],"vtkCellArray"))
    return vtkUnstructuredGridSetCells__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkUnsignedCharArray") && VTKIsClass(arg[2],"vtkIdTypeArray") && VTKIsClass(arg[3],"vtkCellArray"))
    return vtkUnstructuredGridSetCells__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridSetCells");
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetCellNeighbors vtkUnstructuredGridGetCellNeighborsFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridGetCellNeighborsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkIdList"))
    return vtkUnstructuredGridGetCellNeighbors__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridGetCellNeighbors");
}

//@@Signature
//sfunction @vtkUnstructuredGrid:GetUpdateExtent vtkUnstructuredGridGetUpdateExtentFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridGetUpdateExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkUnstructuredGridGetUpdateExtent__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkUnstructuredGridGetUpdateExtent__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridGetUpdateExtent");
}

//@@Signature
//sfunction @vtkUnstructuredGrid:display vtkUnstructuredGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkUnstructuredGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGrid:delete vtkUnstructuredGridDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGrid
//@@Section VTKFiltering
//@@Usage
// vtkUnstructuredGrid is a data object that is a concrete implementation 
// of vtkDataSet. vtkUnstructuredGrid represents any combinations of any cell
// types. This includes 0D (e.g., points), 1D (e.g., lines, polylines), 2D 
// (e.g., triangles, polygons), and 3D (e.g., hexahedron, tetrahedron).
//
//To create an instance of class vtkUnstructuredGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGrid
//@]
//@@Methods
//The class vtkUnstructuredGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGrid = obj.NewInstance ()|
// \item @|vtkUnstructuredGrid = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataObjectType ()| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|obj.Allocate (vtkIdType numCells, int extSize)| -  Standard vtkDataSet API methods. See vtkDataSet for more information.
//// \item @|vtkIdType = obj.InsertNextCell (int type, vtkIdList ptIds)| -  Insert/create cell in object by type and list of point ids defining
// cell topology.
//// \item @|obj.Reset ()|
// \item @|obj.CopyStructure (vtkDataSet ds)|
// \item @|vtkIdType = obj.GetNumberOfCells ()|
// \item @|vtkCell = obj.GetCell (vtkIdType cellId)|
// \item @|obj.GetCell (vtkIdType cellId, vtkGenericCell cell)|
// \item @|obj.GetCellBounds (vtkIdType cellId, double bounds[6])|
// \item @|obj.GetCellPoints (vtkIdType cellId, vtkIdList ptIds)|
// \item @|obj.GetPointCells (vtkIdType ptId, vtkIdList cellIds)|
// \item @|int = obj.GetCellType (vtkIdType cellId)|
// \item @|vtkUnsignedCharArray = obj.GetCellTypesArray ()|
// \item @|vtkIdTypeArray = obj.GetCellLocationsArray ()|
// \item @|obj.Squeeze ()|
// \item @|obj.Initialize ()|
// \item @|int = obj.GetMaxCellSize ()|
// \item @|obj.BuildLinks ()|
// \item @|vtkCellLinks = obj.GetCellLinks ()|
// \item @|obj.SetCells (int type, vtkCellArray cells)| -  Special methods specific to vtkUnstructuredGrid for defining the cells
// composing the dataset.
//// \item @|obj.SetCells (int types, vtkCellArray cells)| -  Special methods specific to vtkUnstructuredGrid for defining the cells
// composing the dataset.
//// \item @|obj.SetCells (vtkUnsignedCharArray cellTypes, vtkIdTypeArray cellLocations, vtkCellArray cells)| -  Special methods specific to vtkUnstructuredGrid for defining the cells
// composing the dataset.
//// \item @|vtkCellArray = obj.GetCells ()| -  Special methods specific to vtkUnstructuredGrid for defining the cells
// composing the dataset.
//// \item @|obj.RemoveReferenceToCell (vtkIdType ptId, vtkIdType cellId)| -  Special methods specific to vtkUnstructuredGrid for defining the cells
// composing the dataset.
//// \item @|obj.AddReferenceToCell (vtkIdType ptId, vtkIdType cellId)| -  Special methods specific to vtkUnstructuredGrid for defining the cells
// composing the dataset.
//// \item @|obj.ResizeCellList (vtkIdType ptId, int size)| -  Special methods specific to vtkUnstructuredGrid for defining the cells
// composing the dataset.
//// \item @|obj.GetCellNeighbors (vtkIdType cellId, vtkIdList ptIds, vtkIdList cellIds)| -  Topological inquiry to get all cells using list of points exclusive of
// cell specified (e.g., cellId).
// THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND
// THE DATASET IS NOT MODIFIED
//// \item @|int = obj.GetUpdateExtent ()| -  We need this here to avoid hiding superclass method
//// \item @|obj.GetUpdateExtent (int extent[6])| -  We need this here to avoid hiding superclass method
//// \item @|int = obj.GetPiece ()| -  Set / Get the piece and the number of pieces. Similar to extent in 3D.
//// \item @|int = obj.GetNumberOfPieces ()| -  Set / Get the piece and the number of pieces. Similar to extent in 3D.
//// \item @|int = obj.GetGhostLevel ()| -  Get the ghost level.
//// \item @|long = obj.GetActualMemorySize ()| -  Return the actual size of the data in kilobytes. This number
// is valid only after the pipeline has updated. The memory size
// returned is guaranteed to be greater than or equal to the
// memory required to represent the data (e.g., extra space in
// arrays, etc. are not included in the return value). THIS METHOD
// IS THREAD SAFE.
//// \item @|obj.ShallowCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkDataObject src)| -  Shallow and Deep copy.
//// \item @|obj.GetIdsOfCellsOfType (int type, vtkIdTypeArray array)| -  Fill vtkIdTypeArray container with list of cell Ids.  This
// method traverses all cells and, for a particular cell type,
// inserts the cell Id into the container.
//// \item @|int = obj.IsHomogeneous ()| -  Traverse cells and determine if cells are all of the same type.
//// \item @|obj.RemoveGhostCells (int level)| -  This method will remove any cell that has a ghost level array value
// greater or equal to level.
////\end{itemize}
//!
