#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridAlgorithm.h"

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:vtkUnstructuredGridAlgorithm vtkUnstructuredGridAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridAlgorithm vtkAlgorithm 
ArrayVector vtkUnstructuredGridAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridAlgorithm::New(),"vtkUnstructuredGridAlgorithm",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridAlgorithm");
    vtkUnstructuredGridAlgorithm*q = reinterpret_cast<vtkUnstructuredGridAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:GetClassName vtkUnstructuredGridAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridAlgorithm requires 1 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:IsA vtkUnstructuredGridAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridAlgorithm requires 2 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:NewInstance vtkUnstructuredGridAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridAlgorithm requires 1 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkUnstructuredGridAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:SafeDownCast vtkUnstructuredGridAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridAlgorithm requires 2 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:GetOutput__1 vtkUnstructuredGridAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkUnstructuredGridAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkUnstructuredGridAlgorithm requires 1 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:GetOutput__2 vtkUnstructuredGridAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkUnstructuredGridAlgorithm requires 2 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:SetOutput vtkUnstructuredGridAlgorithmSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridAlgorithmSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutput (vtkDataObject *d); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkUnstructuredGridAlgorithm requires 2 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:GetInput__1 vtkUnstructuredGridAlgorithmGetInput__1Function
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridAlgorithmGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__1 for class vtkUnstructuredGridAlgorithm requires 2 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:GetInput__2 vtkUnstructuredGridAlgorithmGetInput__2Function
//input a0 
//output y
ArrayVector vtkUnstructuredGridAlgorithmGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput ();return this GetInput  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__2 for class vtkUnstructuredGridAlgorithm requires 1 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:GetUnstructuredGridInput vtkUnstructuredGridAlgorithmGetUnstructuredGridInputFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridAlgorithmGetUnstructuredGridInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGridInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetUnstructuredGridInput for class vtkUnstructuredGridAlgorithm requires 2 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetUnstructuredGridInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:SetInput__1 vtkUnstructuredGridAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkUnstructuredGridAlgorithm requires 2 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:SetInput__2 vtkUnstructuredGridAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkUnstructuredGridAlgorithm requires 3 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:AddInput__1 vtkUnstructuredGridAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkUnstructuredGridAlgorithm requires 2 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:AddInput__2 vtkUnstructuredGridAlgorithmAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkUnstructuredGridAlgorithm requires 3 argument(s)");
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:GetOutput vtkUnstructuredGridAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkUnstructuredGridAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkUnstructuredGridAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:GetInput vtkUnstructuredGridAlgorithmGetInputFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkUnstructuredGridAlgorithmGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkUnstructuredGridAlgorithmGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridAlgorithmGetInput");
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:SetInput vtkUnstructuredGridAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkUnstructuredGridAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkUnstructuredGridAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:AddInput vtkUnstructuredGridAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkUnstructuredGridAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkUnstructuredGridAlgorithmAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkUnstructuredGridAlgorithm:display vtkUnstructuredGridAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridAlgorithm* vtk_pointer = GetVTKPointer<vtkUnstructuredGridAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridAlgorithm:delete vtkUnstructuredGridAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridAlgorithm
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkUnstructuredGridAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridAlgorithm
//@]
//@@Methods
//The class vtkUnstructuredGridAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridAlgorithm = obj.NewInstance ()|
// \item @|vtkUnstructuredGridAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkUnstructuredGrid = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkUnstructuredGrid = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetOutput (vtkDataObject d)| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetInput (int port)|
// \item @|vtkDataObject = obj.GetInput ()|
// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridInput (int port)|
// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
