#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridSource.h"

//@@Signature
//sfunction @vtkUnstructuredGridSource:vtkUnstructuredGridSource vtkUnstructuredGridSourceConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridSource vtkSource 
ArrayVector vtkUnstructuredGridSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridSource::New(),"vtkUnstructuredGridSource",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridSource");
    vtkUnstructuredGridSource*q = reinterpret_cast<vtkUnstructuredGridSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridSource:GetClassName vtkUnstructuredGridSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridSource requires 1 argument(s)");
  vtkUnstructuredGridSource* vtk_pointer = GetVTKPointer<vtkUnstructuredGridSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridSource:IsA vtkUnstructuredGridSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridSource requires 2 argument(s)");
  vtkUnstructuredGridSource* vtk_pointer = GetVTKPointer<vtkUnstructuredGridSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridSource:NewInstance vtkUnstructuredGridSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridSource requires 1 argument(s)");
  vtkUnstructuredGridSource* vtk_pointer = GetVTKPointer<vtkUnstructuredGridSource>(arg[0]);
  Array retval;
  vtkUnstructuredGridSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridSource:SafeDownCast vtkUnstructuredGridSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridSource requires 2 argument(s)");
  vtkUnstructuredGridSource* vtk_pointer = GetVTKPointer<vtkUnstructuredGridSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridSource:GetOutput__1 vtkUnstructuredGridSourceGetOutput__1Function
//input a0 
//output y
ArrayVector vtkUnstructuredGridSourceGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkUnstructuredGridSource requires 1 argument(s)");
  vtkUnstructuredGridSource* vtk_pointer = GetVTKPointer<vtkUnstructuredGridSource>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridSource:GetOutput__2 vtkUnstructuredGridSourceGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridSourceGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkUnstructuredGridSource requires 2 argument(s)");
  vtkUnstructuredGridSource* vtk_pointer = GetVTKPointer<vtkUnstructuredGridSource>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridSource:SetOutput vtkUnstructuredGridSourceSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridSourceSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkUnstructuredGrid *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkUnstructuredGridSource requires 2 argument(s)");
  vtkUnstructuredGridSource* vtk_pointer = GetVTKPointer<vtkUnstructuredGridSource>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridSource:GetOutput vtkUnstructuredGridSourceGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkUnstructuredGridSourceGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkUnstructuredGridSourceGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridSourceGetOutput");
}

//@@Signature
//sfunction @vtkUnstructuredGridSource:display vtkUnstructuredGridSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridSource* vtk_pointer = GetVTKPointer<vtkUnstructuredGridSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridSource:delete vtkUnstructuredGridSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridSource
//@@Section VTKFiltering
//@@Usage
// vtkUnstructuredGridSource is an abstract class whose subclasses generate 
// unstructured grid data.
//
//To create an instance of class vtkUnstructuredGridSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridSource
//@]
//@@Methods
//The class vtkUnstructuredGridSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridSource = obj.NewInstance ()|
// \item @|vtkUnstructuredGridSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkUnstructuredGrid = obj.GetOutput ()| -  Get the output of this source.
//// \item @|vtkUnstructuredGrid = obj.GetOutput (int idx)| -  Get the output of this source.
//// \item @|obj.SetOutput (vtkUnstructuredGrid output)| -  Get the output of this source.
////\end{itemize}
//!
