#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridToPolyDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridToPolyDataFilter.h"

//@@Signature
//sfunction @vtkUnstructuredGridToPolyDataFilter:vtkUnstructuredGridToPolyDataFilter vtkUnstructuredGridToPolyDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridToPolyDataFilter vtkPolyDataSource 
ArrayVector vtkUnstructuredGridToPolyDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridToPolyDataFilter::New(),"vtkUnstructuredGridToPolyDataFilter",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridToPolyDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridToPolyDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridToPolyDataFilter");
    vtkUnstructuredGridToPolyDataFilter*q = reinterpret_cast<vtkUnstructuredGridToPolyDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridToPolyDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridToPolyDataFilter:GetClassName vtkUnstructuredGridToPolyDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridToPolyDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridToPolyDataFilter requires 1 argument(s)");
  vtkUnstructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToPolyDataFilter:IsA vtkUnstructuredGridToPolyDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridToPolyDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridToPolyDataFilter requires 2 argument(s)");
  vtkUnstructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToPolyDataFilter:NewInstance vtkUnstructuredGridToPolyDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridToPolyDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridToPolyDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridToPolyDataFilter requires 1 argument(s)");
  vtkUnstructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGridToPolyDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToPolyDataFilter:SafeDownCast vtkUnstructuredGridToPolyDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridToPolyDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridToPolyDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridToPolyDataFilter requires 2 argument(s)");
  vtkUnstructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridToPolyDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToPolyDataFilter:SetInput vtkUnstructuredGridToPolyDataFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridToPolyDataFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkUnstructuredGrid *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkUnstructuredGridToPolyDataFilter requires 2 argument(s)");
  vtkUnstructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToPolyDataFilter:GetInput vtkUnstructuredGridToPolyDataFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridToPolyDataFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkUnstructuredGridToPolyDataFilter requires 1 argument(s)");
  vtkUnstructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToPolyDataFilter:ComputeInputUpdateExtents vtkUnstructuredGridToPolyDataFilterComputeInputUpdateExtentsFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridToPolyDataFilterComputeInputUpdateExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeInputUpdateExtents (vtkDataObject *output); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeInputUpdateExtents for class vtkUnstructuredGridToPolyDataFilter requires 2 argument(s)");
  vtkUnstructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToPolyDataFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ComputeInputUpdateExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToPolyDataFilter:display vtkUnstructuredGridToPolyDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridToPolyDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToPolyDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridToPolyDataFilter:delete vtkUnstructuredGridToPolyDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridToPolyDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridToPolyDataFilter
//@@Section VTKFiltering
//@@Usage
// vtkUnstructuredGridToPolyDataFilter is an abstract filter class whose
// subclasses take as input datasets of type vtkUnstructuredGrid and 
// generate polygonal data on output.
//
//To create an instance of class vtkUnstructuredGridToPolyDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridToPolyDataFilter
//@]
//@@Methods
//The class vtkUnstructuredGridToPolyDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridToPolyDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridToPolyDataFilter = obj.NewInstance ()|
// \item @|vtkUnstructuredGridToPolyDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkUnstructuredGrid input)| -  Set / get the input data or filter.
//// \item @|vtkUnstructuredGrid = obj.GetInput ()| -  Set / get the input data or filter.
//// \item @|obj.ComputeInputUpdateExtents (vtkDataObject output)| -  Do not let datasets return more than requested.
////\end{itemize}
//!
