#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridToUnstructuredGridFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridToUnstructuredGridFilter.h"

//@@Signature
//sfunction @vtkUnstructuredGridToUnstructuredGridFilter:vtkUnstructuredGridToUnstructuredGridFilter vtkUnstructuredGridToUnstructuredGridFilterConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridToUnstructuredGridFilter vtkUnstructuredGridSource 
ArrayVector vtkUnstructuredGridToUnstructuredGridFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridToUnstructuredGridFilter::New(),"vtkUnstructuredGridToUnstructuredGridFilter",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridToUnstructuredGridFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridToUnstructuredGridFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridToUnstructuredGridFilter");
    vtkUnstructuredGridToUnstructuredGridFilter*q = reinterpret_cast<vtkUnstructuredGridToUnstructuredGridFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridToUnstructuredGridFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridToUnstructuredGridFilter:GetClassName vtkUnstructuredGridToUnstructuredGridFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridToUnstructuredGridFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridToUnstructuredGridFilter requires 1 argument(s)");
  vtkUnstructuredGridToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToUnstructuredGridFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToUnstructuredGridFilter:IsA vtkUnstructuredGridToUnstructuredGridFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridToUnstructuredGridFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridToUnstructuredGridFilter requires 2 argument(s)");
  vtkUnstructuredGridToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToUnstructuredGridFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToUnstructuredGridFilter:NewInstance vtkUnstructuredGridToUnstructuredGridFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridToUnstructuredGridFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridToUnstructuredGridFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridToUnstructuredGridFilter requires 1 argument(s)");
  vtkUnstructuredGridToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToUnstructuredGridFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGridToUnstructuredGridFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridToUnstructuredGridFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToUnstructuredGridFilter:SafeDownCast vtkUnstructuredGridToUnstructuredGridFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridToUnstructuredGridFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridToUnstructuredGridFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridToUnstructuredGridFilter requires 2 argument(s)");
  vtkUnstructuredGridToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToUnstructuredGridFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridToUnstructuredGridFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridToUnstructuredGridFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToUnstructuredGridFilter:SetInput vtkUnstructuredGridToUnstructuredGridFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridToUnstructuredGridFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkUnstructuredGrid *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkUnstructuredGridToUnstructuredGridFilter requires 2 argument(s)");
  vtkUnstructuredGridToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToUnstructuredGridFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToUnstructuredGridFilter:GetInput vtkUnstructuredGridToUnstructuredGridFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridToUnstructuredGridFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkUnstructuredGridToUnstructuredGridFilter requires 1 argument(s)");
  vtkUnstructuredGridToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToUnstructuredGridFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToUnstructuredGridFilter:FillInputPortInformation vtkUnstructuredGridToUnstructuredGridFilterFillInputPortInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkUnstructuredGridToUnstructuredGridFilterFillInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int FillInputPortInformation (int , vtkInformation *); */
  if (arg.size() < 3) 
    throw Exception("Function FillInputPortInformation for class vtkUnstructuredGridToUnstructuredGridFilter requires 3 argument(s)");
  vtkUnstructuredGridToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToUnstructuredGridFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->FillInputPortInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridToUnstructuredGridFilter:display vtkUnstructuredGridToUnstructuredGridFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridToUnstructuredGridFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridToUnstructuredGridFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridToUnstructuredGridFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridToUnstructuredGridFilter:delete vtkUnstructuredGridToUnstructuredGridFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridToUnstructuredGridFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridToUnstructuredGridFilter
//@@Section VTKFiltering
//@@Usage
//
//To create an instance of class vtkUnstructuredGridToUnstructuredGridFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridToUnstructuredGridFilter
//@]
//@@Methods
//The class vtkUnstructuredGridToUnstructuredGridFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridToUnstructuredGridFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridToUnstructuredGridFilter = obj.NewInstance ()|
// \item @|vtkUnstructuredGridToUnstructuredGridFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkUnstructuredGrid input)| -  Set / get the input Grid or filter.
//// \item @|vtkUnstructuredGrid = obj.GetInput ()| -  Set / get the input Grid or filter.
//// \item @|int = obj.FillInputPortInformation (int , vtkInformation )|
//\end{itemize}
//!
