#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVertexListIterator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVertexListIterator.h"

//@@Signature
//sfunction @vtkVertexListIterator:vtkVertexListIterator vtkVertexListIteratorConstructorFunction
//input a
//output p
//@@Parents vtkVertexListIterator vtkObject 
ArrayVector vtkVertexListIteratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVertexListIterator::New(),"vtkVertexListIterator",eval);
  } else if (arg[0].className() == "vtkVertexListIterator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVertexListIterator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVertexListIterator");
    vtkVertexListIterator*q = reinterpret_cast<vtkVertexListIterator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVertexListIterator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVertexListIterator:GetClassName vtkVertexListIteratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVertexListIteratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVertexListIterator requires 1 argument(s)");
  vtkVertexListIterator* vtk_pointer = GetVTKPointer<vtkVertexListIterator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVertexListIterator:IsA vtkVertexListIteratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVertexListIteratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVertexListIterator requires 2 argument(s)");
  vtkVertexListIterator* vtk_pointer = GetVTKPointer<vtkVertexListIterator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVertexListIterator:NewInstance vtkVertexListIteratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVertexListIteratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVertexListIterator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVertexListIterator requires 1 argument(s)");
  vtkVertexListIterator* vtk_pointer = GetVTKPointer<vtkVertexListIterator>(arg[0]);
  Array retval;
  vtkVertexListIterator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVertexListIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVertexListIterator:SafeDownCast vtkVertexListIteratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVertexListIteratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVertexListIterator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVertexListIterator requires 2 argument(s)");
  vtkVertexListIterator* vtk_pointer = GetVTKPointer<vtkVertexListIterator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVertexListIterator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVertexListIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVertexListIterator:SetGraph vtkVertexListIteratorSetGraphFunction
//input a0 a1 
//output none
ArrayVector vtkVertexListIteratorSetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraph (vtkGraph *graph); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraph for class vtkVertexListIterator requires 2 argument(s)");
  vtkVertexListIterator* vtk_pointer = GetVTKPointer<vtkVertexListIterator>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->SetGraph(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVertexListIterator:GetGraph vtkVertexListIteratorGetGraphFunction
//input a0 
//output y
ArrayVector vtkVertexListIteratorGetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetGraph (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraph for class vtkVertexListIterator requires 1 argument(s)");
  vtkVertexListIterator* vtk_pointer = GetVTKPointer<vtkVertexListIterator>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetGraph();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVertexListIterator:Next vtkVertexListIteratorNextFunction
//input a0 
//output y
ArrayVector vtkVertexListIteratorNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType Next ();vtkIdType v this Current this Current return v  */
  if (arg.size() < 1) 
    throw Exception("Function Next for class vtkVertexListIterator requires 1 argument(s)");
  vtkVertexListIterator* vtk_pointer = GetVTKPointer<vtkVertexListIterator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->Next();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVertexListIterator:HasNext vtkVertexListIteratorHasNextFunction
//input a0 
//output y
ArrayVector vtkVertexListIteratorHasNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool HasNext ();return this Current this End  */
  if (arg.size() < 1) 
    throw Exception("Function HasNext for class vtkVertexListIterator requires 1 argument(s)");
  vtkVertexListIterator* vtk_pointer = GetVTKPointer<vtkVertexListIterator>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasNext();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkVertexListIterator:display vtkVertexListIteratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVertexListIteratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVertexListIterator* vtk_pointer = GetVTKPointer<vtkVertexListIterator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVertexListIterator:delete vtkVertexListIteratorDeleteFunction
//input varargin
//output none
ArrayVector vtkVertexListIteratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVertexListIterator
//@@Section VTKFiltering
//@@Usage
// vtkVertexListIterator iterates through all vertices in a graph.
// Create an instance of this and call graph->GetVertices(it) to initialize
// this iterator. You may alternately call SetGraph() to initialize the
// iterator.
//
//
//To create an instance of class vtkVertexListIterator, simply
//invoke its constructor as follows
//@[
//  obj = vtkVertexListIterator
//@]
//@@Methods
//The class vtkVertexListIterator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVertexListIterator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVertexListIterator = obj.NewInstance ()|
// \item @|vtkVertexListIterator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGraph (vtkGraph graph)| -  Setup the iterator with a graph.
//// \item @|vtkGraph = obj.GetGraph ()| -  Get the graph associated with this iterator.
//// \item @|vtkIdType = obj.Next ()| -  Whether this iterator has more edges.
//// \item @|bool = obj.HasNext ()|
//\end{itemize}
//!
