#include "VTKWrap.hpp"

// FreeMat wrapper for vtkViewDependentErrorMetric object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkViewDependentErrorMetric.h"

//@@Signature
//sfunction @vtkViewDependentErrorMetric:vtkViewDependentErrorMetric vtkViewDependentErrorMetricConstructorFunction
//input a
//output p
//@@Parents vtkViewDependentErrorMetric vtkGenericSubdivisionErrorMetric 
ArrayVector vtkViewDependentErrorMetricConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkViewDependentErrorMetric::New(),"vtkViewDependentErrorMetric",eval);
  } else if (arg[0].className() == "vtkViewDependentErrorMetric") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkViewDependentErrorMetric"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkViewDependentErrorMetric");
    vtkViewDependentErrorMetric*q = reinterpret_cast<vtkViewDependentErrorMetric*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkViewDependentErrorMetric");
    return ret;
  }
}
//@@Signature
//sfunction @vtkViewDependentErrorMetric:GetClassName vtkViewDependentErrorMetricGetClassNameFunction
//input a0 
//output y
ArrayVector vtkViewDependentErrorMetricGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkViewDependentErrorMetric requires 1 argument(s)");
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewDependentErrorMetric:IsA vtkViewDependentErrorMetricIsAFunction
//input a0 a1 
//output y
ArrayVector vtkViewDependentErrorMetricIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkViewDependentErrorMetric requires 2 argument(s)");
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewDependentErrorMetric:NewInstance vtkViewDependentErrorMetricNewInstanceFunction
//input a0 
//output y
ArrayVector vtkViewDependentErrorMetricNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewDependentErrorMetric *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkViewDependentErrorMetric requires 1 argument(s)");
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  Array retval;
  vtkViewDependentErrorMetric  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewDependentErrorMetric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewDependentErrorMetric:SafeDownCast vtkViewDependentErrorMetricSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkViewDependentErrorMetricSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewDependentErrorMetric *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkViewDependentErrorMetric requires 2 argument(s)");
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkViewDependentErrorMetric  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewDependentErrorMetric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewDependentErrorMetric:GetPixelTolerance vtkViewDependentErrorMetricGetPixelToleranceFunction
//input a0 
//output y
ArrayVector vtkViewDependentErrorMetricGetPixelToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPixelTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelTolerance for class vtkViewDependentErrorMetric requires 1 argument(s)");
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPixelTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewDependentErrorMetric:SetPixelTolerance vtkViewDependentErrorMetricSetPixelToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkViewDependentErrorMetricSetPixelToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPixelTolerance (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetPixelTolerance for class vtkViewDependentErrorMetric requires 2 argument(s)");
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPixelTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewDependentErrorMetric:GetViewport vtkViewDependentErrorMetricGetViewportFunction
//input a0 
//output y
ArrayVector vtkViewDependentErrorMetricGetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewport *GetViewport (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewport for class vtkViewDependentErrorMetric requires 1 argument(s)");
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  Array retval;
  vtkViewport  *temp20;
  temp20 = (vtk_pointer)->GetViewport();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewDependentErrorMetric:SetViewport vtkViewDependentErrorMetricSetViewportFunction
//input a0 a1 
//output none
ArrayVector vtkViewDependentErrorMetricSetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewport (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewport for class vtkViewDependentErrorMetric requires 2 argument(s)");
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  vtk_pointer->SetViewport(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewDependentErrorMetric:RequiresEdgeSubdivision vtkViewDependentErrorMetricRequiresEdgeSubdivisionFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkViewDependentErrorMetricRequiresEdgeSubdivisionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RequiresEdgeSubdivision (double *leftPoint, double *midPoint, double *rightPoint, double alpha); */
  if (arg.size() < 5) 
    throw Exception("Function RequiresEdgeSubdivision for class vtkViewDependentErrorMetric requires 5 argument(s)");
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  double   temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->RequiresEdgeSubdivision(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewDependentErrorMetric:GetError vtkViewDependentErrorMetricGetErrorFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkViewDependentErrorMetricGetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetError (double *leftPoint, double *midPoint, double *rightPoint, double alpha); */
  if (arg.size() < 5) 
    throw Exception("Function GetError for class vtkViewDependentErrorMetric requires 5 argument(s)");
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  double   temp3;
  double   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->GetError(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewDependentErrorMetric:display vtkViewDependentErrorMetricDisplayFunction
//input varargin
//output varargout
ArrayVector vtkViewDependentErrorMetricDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkViewDependentErrorMetric* vtk_pointer = GetVTKPointer<vtkViewDependentErrorMetric>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkViewDependentErrorMetric:delete vtkViewDependentErrorMetricDeleteFunction
//input varargin
//output none
ArrayVector vtkViewDependentErrorMetricDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkViewDependentErrorMetric
//@@Section VTKFiltering
//@@Usage
// It is a concrete error metric, based on a geometric criterium in 
// the screen space: the variation of the projected edge from a projected 
// straight line
//
//
//To create an instance of class vtkViewDependentErrorMetric, simply
//invoke its constructor as follows
//@[
//  obj = vtkViewDependentErrorMetric
//@]
//@@Methods
//The class vtkViewDependentErrorMetric has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkViewDependentErrorMetric class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK type and error macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK type and error macros.
//// \item @|vtkViewDependentErrorMetric = obj.NewInstance ()| -  Standard VTK type and error macros.
//// \item @|vtkViewDependentErrorMetric = obj.SafeDownCast (vtkObject o)| -  Standard VTK type and error macros.
//// \item @|double = obj.GetPixelTolerance ()| -  Return the squared screen-based geometric accurary measured in pixels.
// An accuracy less or equal to 0.25 (0.5^2) ensures that the screen-space
// interpolation of a mid-point matchs exactly with the projection of the
// mid-point (a value less than 1 but greater than 0.25 is not enough,
// because of 8-neighbors). Maybe it is useful for lower accuracy in case of
// anti-aliasing?
// \post positive_result: result>0
//// \item @|obj.SetPixelTolerance (double value)| -  Set the squared screen-based geometric accuracy measured in pixels.
// Subdivision will be required if the square distance between the projection
// of the real point and the straight line passing through the projection
// of the vertices of the edge is greater than `value'.
// For instance, 0.25 will give better result than 1.
// \pre positive_value: value>0
//// \item @|vtkViewport = obj.GetViewport ()| -  Set/Get the renderer with `renderer' on which the error metric 
// is based. The error metric use the active camera of the renderer.
//// \item @|obj.SetViewport (vtkViewport viewport)| -  Set/Get the renderer with `renderer' on which the error metric 
// is based. The error metric use the active camera of the renderer.
//// \item @|int = obj.RequiresEdgeSubdivision (double leftPoint, double midPoint, double rightPoint, double alpha)| -  Does the edge need to be subdivided according to the distance between
// the line passing through its endpoints in screen space and the projection
// of its mid point?
// The edge is defined by its `leftPoint' and its `rightPoint'.
// `leftPoint', `midPoint' and `rightPoint' have to be initialized before
// calling RequiresEdgeSubdivision().
// Their format is global coordinates, parametric coordinates and
// point centered attributes: xyx rst abc de...
// `alpha' is the normalized abscissa of the midpoint along the edge.
// (close to 0 means close to the left point, close to 1 means close to the
// right point)
// \pre leftPoint_exists: leftPoint!=0
// \pre midPoint_exists: midPoint!=0
// \pre rightPoint_exists: rightPoint!=0
// \pre clamped_alpha: alpha>0 && alpha<1
// \pre valid_size: sizeof(leftPoint)=sizeof(midPoint)=sizeof(rightPoint)
//          =GetAttributeCollection()->GetNumberOfPointCenteredComponents()+6
//// \item @|double = obj.GetError (double leftPoint, double midPoint, double rightPoint, double alpha)| -  Return the error at the mid-point. The type of error depends on the state
// of the concrete error metric. For instance, it can return an absolute
// or relative error metric.
// See RequiresEdgeSubdivision() for a description of the arguments.
// \pre leftPoint_exists: leftPoint!=0
// \pre midPoint_exists: midPoint!=0
// \pre rightPoint_exists: rightPoint!=0
// \pre clamped_alpha: alpha>0 && alpha<1
// \pre valid_size: sizeof(leftPoint)=sizeof(midPoint)=sizeof(rightPoint)
//          =GetAttributeCollection()->GetNumberOfPointCenteredComponents()+6
// \post positive_result: result>=0
////\end{itemize}
//!
