#include "VTKWrap.hpp"

// FreeMat wrapper for vtkViewport object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkViewport.h"

//@@Signature
//sfunction @vtkViewport:vtkViewport vtkViewportConstructorFunction
//input a
//output p
//@@Parents vtkViewport vtkObject 
ArrayVector vtkViewportConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkViewport::New(),"vtkViewport",eval);
  } else if (arg[0].className() == "vtkViewport") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkViewport"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkViewport");
    vtkViewport*q = reinterpret_cast<vtkViewport*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkViewport");
    return ret;
  }
}
//@@Signature
//sfunction @vtkViewport:GetClassName vtkViewportGetClassNameFunction
//input a0 
//output y
ArrayVector vtkViewportGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:IsA vtkViewportIsAFunction
//input a0 a1 
//output y
ArrayVector vtkViewportIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:NewInstance vtkViewportNewInstanceFunction
//input a0 
//output y
ArrayVector vtkViewportNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewport *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkViewport  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SafeDownCast vtkViewportSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkViewportSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewport *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkViewport  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:AddViewProp vtkViewportAddViewPropFunction
//input a0 a1 
//output none
ArrayVector vtkViewportAddViewPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddViewProp (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function AddViewProp for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddViewProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetViewProps vtkViewportGetViewPropsFunction
//input a0 
//output y
ArrayVector vtkViewportGetViewPropsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropCollection *GetViewProps ();return this Props  */
  if (arg.size() < 1) 
    throw Exception("Function GetViewProps for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkPropCollection  *temp20;
  temp20 = (vtk_pointer)->GetViewProps();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:HasViewProp vtkViewportHasViewPropFunction
//input a0 a1 
//output y
ArrayVector vtkViewportHasViewPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasViewProp (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function HasViewProp for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  temp20 = (vtk_pointer)->HasViewProp(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:RemoveViewProp vtkViewportRemoveViewPropFunction
//input a0 a1 
//output none
ArrayVector vtkViewportRemoveViewPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveViewProp (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveViewProp for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->RemoveViewProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:RemoveAllViewProps vtkViewportRemoveAllViewPropsFunction
//input a0 
//output none
ArrayVector vtkViewportRemoveAllViewPropsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllViewProps (void ); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllViewProps for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllViewProps();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:AddActor2D vtkViewportAddActor2DFunction
//input a0 a1 
//output none
ArrayVector vtkViewportAddActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddActor2D (vtkProp *p); */
  if (arg.size() < 2) 
    throw Exception("Function AddActor2D for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddActor2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:RemoveActor2D vtkViewportRemoveActor2DFunction
//input a0 a1 
//output none
ArrayVector vtkViewportRemoveActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveActor2D (vtkProp *p); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveActor2D for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->RemoveActor2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetActors2D vtkViewportGetActors2DFunction
//input a0 
//output y
ArrayVector vtkViewportGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2DCollection *GetActors2D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActors2D for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkActor2DCollection  *temp20;
  temp20 = (vtk_pointer)->GetActors2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2DCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetBackground__1 vtkViewportSetBackground__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewportSetBackground__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackground (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetBackground__1 for class vtkViewport requires 4 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetBackground(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetBackground__2 vtkViewportSetBackground__2Function
//input a0 a1 
//output none
ArrayVector vtkViewportSetBackground__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackground (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackground__2 for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBackground(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetBackground vtkViewportGetBackgroundFunction
//input a0 
//output y
ArrayVector vtkViewportGetBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBackground (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackground for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBackground();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetBackground2__1 vtkViewportSetBackground2__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewportSetBackground2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackground2 (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetBackground2__1 for class vtkViewport requires 4 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetBackground2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetBackground2__2 vtkViewportSetBackground2__2Function
//input a0 a1 
//output none
ArrayVector vtkViewportSetBackground2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackground2 (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackground2__2 for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBackground2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetBackground2 vtkViewportGetBackground2Function
//input a0 
//output y
ArrayVector vtkViewportGetBackground2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBackground2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackground2 for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBackground2();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetGradientBackground vtkViewportSetGradientBackgroundFunction
//input a0 a1 
//output none
ArrayVector vtkViewportSetGradientBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGradientBackground (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientBackground for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGradientBackground(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetGradientBackground vtkViewportGetGradientBackgroundFunction
//input a0 
//output y
ArrayVector vtkViewportGetGradientBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGradientBackground (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientBackground for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGradientBackground();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GradientBackgroundOn vtkViewportGradientBackgroundOnFunction
//input a0 
//output none
ArrayVector vtkViewportGradientBackgroundOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GradientBackgroundOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GradientBackgroundOn for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->GradientBackgroundOn();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GradientBackgroundOff vtkViewportGradientBackgroundOffFunction
//input a0 
//output none
ArrayVector vtkViewportGradientBackgroundOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GradientBackgroundOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GradientBackgroundOff for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->GradientBackgroundOff();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetAspect__1 vtkViewportSetAspect__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkViewportSetAspect__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAspect (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetAspect__1 for class vtkViewport requires 3 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetAspect(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetAspect__2 vtkViewportSetAspect__2Function
//input a0 a1 
//output none
ArrayVector vtkViewportSetAspect__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAspect (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAspect__2 for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAspect(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetAspect vtkViewportGetAspectFunction
//input a0 
//output y
ArrayVector vtkViewportGetAspectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetAspect (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAspect for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetAspect();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:ComputeAspect vtkViewportComputeAspectFunction
//input a0 
//output none
ArrayVector vtkViewportComputeAspectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeAspect (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeAspect for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->ComputeAspect();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetPixelAspect__1 vtkViewportSetPixelAspect__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkViewportSetPixelAspect__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPixelAspect (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetPixelAspect__1 for class vtkViewport requires 3 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPixelAspect(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetPixelAspect__2 vtkViewportSetPixelAspect__2Function
//input a0 a1 
//output none
ArrayVector vtkViewportSetPixelAspect__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPixelAspect (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPixelAspect__2 for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPixelAspect(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPixelAspect vtkViewportGetPixelAspectFunction
//input a0 
//output y
ArrayVector vtkViewportGetPixelAspectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPixelAspect (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelAspect for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPixelAspect();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetViewport__1 vtkViewportSetViewport__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkViewportSetViewport__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewport (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetViewport__1 for class vtkViewport requires 5 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetViewport(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetViewport__2 vtkViewportSetViewport__2Function
//input a0 a1 
//output none
ArrayVector vtkViewportSetViewport__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewport (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewport__2 for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetViewport(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetViewport vtkViewportGetViewportFunction
//input a0 
//output y
ArrayVector vtkViewportGetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetViewport (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewport for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetViewport();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetDisplayPoint__1 vtkViewportSetDisplayPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewportSetDisplayPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayPoint (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDisplayPoint__1 for class vtkViewport requires 4 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDisplayPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetDisplayPoint__2 vtkViewportSetDisplayPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkViewportSetDisplayPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayPoint (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayPoint__2 for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDisplayPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetDisplayPoint vtkViewportGetDisplayPointFunction
//input a0 
//output y
ArrayVector vtkViewportGetDisplayPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDisplayPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayPoint for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDisplayPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetViewPoint__1 vtkViewportSetViewPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewportSetViewPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewPoint (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetViewPoint__1 for class vtkViewport requires 4 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetViewPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetViewPoint__2 vtkViewportSetViewPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkViewportSetViewPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewPoint (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewPoint__2 for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetViewPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetViewPoint vtkViewportGetViewPointFunction
//input a0 
//output y
ArrayVector vtkViewportGetViewPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetViewPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewPoint for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetViewPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetWorldPoint__1 vtkViewportSetWorldPoint__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkViewportSetWorldPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWorldPoint (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetWorldPoint__1 for class vtkViewport requires 5 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetWorldPoint(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetWorldPoint__2 vtkViewportSetWorldPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkViewportSetWorldPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWorldPoint (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWorldPoint__2 for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetWorldPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetWorldPoint vtkViewportGetWorldPointFunction
//input a0 
//output y
ArrayVector vtkViewportGetWorldPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetWorldPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWorldPoint for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetWorldPoint();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetCenter vtkViewportGetCenterFunction
//input a0 
//output y
ArrayVector vtkViewportGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:IsInViewport vtkViewportIsInViewportFunction
//input a0 a1 a2 
//output y
ArrayVector vtkViewportIsInViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsInViewport (int x, int y); */
  if (arg.size() < 3) 
    throw Exception("Function IsInViewport for class vtkViewport requires 3 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->IsInViewport(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetVTKWindow vtkViewportGetVTKWindowFunction
//input a0 
//output y
ArrayVector vtkViewportGetVTKWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkWindow *GetVTKWindow () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetVTKWindow for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkWindow  *temp20;
  temp20 = (vtk_pointer)->GetVTKWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:DisplayToView vtkViewportDisplayToViewFunction
//input a0 
//output none
ArrayVector vtkViewportDisplayToViewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisplayToView (); */
  if (arg.size() < 1) 
    throw Exception("Function DisplayToView for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->DisplayToView();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:ViewToDisplay vtkViewportViewToDisplayFunction
//input a0 
//output none
ArrayVector vtkViewportViewToDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ViewToDisplay (); */
  if (arg.size() < 1) 
    throw Exception("Function ViewToDisplay for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->ViewToDisplay();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:WorldToView__1 vtkViewportWorldToView__1Function
//input a0 
//output none
ArrayVector vtkViewportWorldToView__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WorldToView (); */
  if (arg.size() < 1) 
    throw Exception("Function WorldToView__1 for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->WorldToView();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:ViewToWorld__1 vtkViewportViewToWorld__1Function
//input a0 
//output none
ArrayVector vtkViewportViewToWorld__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ViewToWorld (); */
  if (arg.size() < 1) 
    throw Exception("Function ViewToWorld__1 for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->ViewToWorld();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:DisplayToWorld vtkViewportDisplayToWorldFunction
//input a0 
//output none
ArrayVector vtkViewportDisplayToWorldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisplayToWorld ();this DisplayToView this ViewToWorld  */
  if (arg.size() < 1) 
    throw Exception("Function DisplayToWorld for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->DisplayToWorld();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:WorldToDisplay vtkViewportWorldToDisplayFunction
//input a0 
//output none
ArrayVector vtkViewportWorldToDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WorldToDisplay ();this WorldToView this ViewToDisplay  */
  if (arg.size() < 1) 
    throw Exception("Function WorldToDisplay for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->WorldToDisplay();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetSize vtkViewportGetSizeFunction
//input a0 
//output y
ArrayVector vtkViewportGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int *GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetOrigin vtkViewportGetOriginFunction
//input a0 
//output y
ArrayVector vtkViewportGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetTiledSize vtkViewportGetTiledSizeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkViewportGetTiledSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTiledSize (int *width, int *height); */
  if (arg.size() < 3) 
    throw Exception("Function GetTiledSize for class vtkViewport requires 3 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->GetTiledSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetTiledSizeAndOrigin vtkViewportGetTiledSizeAndOriginFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkViewportGetTiledSizeAndOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTiledSizeAndOrigin (int *width, int *height, int *lowerLeftX, int *lowerLeftY); */
  if (arg.size() < 5) 
    throw Exception("Function GetTiledSizeAndOrigin for class vtkViewport requires 5 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  int     *temp2;
  int     *temp3;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
      }
  vtk_pointer->GetTiledSizeAndOrigin(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:PickProp vtkViewportPickPropFunction
//input a0 a1 a2 
//output y
ArrayVector vtkViewportPickPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAssemblyPath *PickProp (double selectionX, double selectionY) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function PickProp for class vtkViewport requires 3 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  vtkAssemblyPath  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->PickProp(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:PickPropFrom vtkViewportPickPropFromFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkViewportPickPropFromFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPath *PickPropFrom (double selectionX, double selectionY, vtkPropCollection *); */
  if (arg.size() < 4) 
    throw Exception("Function PickPropFrom for class vtkViewport requires 4 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  vtkPropCollection  *temp2;
  vtkAssemblyPath  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkPropCollection>(arg[3]);
  temp20 = (vtk_pointer)->PickPropFrom(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPickX vtkViewportGetPickXFunction
//input a0 
//output y
ArrayVector vtkViewportGetPickXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPickX () const;return this PickX1 this PickX2  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickX for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPickX();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPickY vtkViewportGetPickYFunction
//input a0 
//output y
ArrayVector vtkViewportGetPickYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPickY () const;return this PickY1 this PickY2  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickY for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPickY();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPickWidth vtkViewportGetPickWidthFunction
//input a0 
//output y
ArrayVector vtkViewportGetPickWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPickWidth () const;return this PickX2 this PickX1  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickWidth for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPickWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPickHeight vtkViewportGetPickHeightFunction
//input a0 
//output y
ArrayVector vtkViewportGetPickHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPickHeight () const;return this PickY2 this PickY1  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickHeight for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPickHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPickX1 vtkViewportGetPickX1Function
//input a0 
//output y
ArrayVector vtkViewportGetPickX1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPickX1 () const;return this PickX1  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickX1 for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPickX1();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPickY1 vtkViewportGetPickY1Function
//input a0 
//output y
ArrayVector vtkViewportGetPickY1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPickY1 () const;return this PickY1  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickY1 for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPickY1();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPickX2 vtkViewportGetPickX2Function
//input a0 
//output y
ArrayVector vtkViewportGetPickX2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPickX2 () const;return this PickX2  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickX2 for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPickX2();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPickY2 vtkViewportGetPickY2Function
//input a0 
//output y
ArrayVector vtkViewportGetPickY2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPickY2 () const;return this PickY2  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickY2 for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPickY2();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetIsPicking vtkViewportGetIsPickingFunction
//input a0 
//output y
ArrayVector vtkViewportGetIsPickingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIsPicking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIsPicking for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIsPicking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPickResultProps vtkViewportGetPickResultPropsFunction
//input a0 
//output y
ArrayVector vtkViewportGetPickResultPropsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropCollection *GetPickResultProps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPickResultProps for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkPropCollection  *temp20;
  temp20 = (vtk_pointer)->GetPickResultProps();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetPickedZ vtkViewportGetPickedZFunction
//input a0 
//output y
ArrayVector vtkViewportGetPickedZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetPickedZ () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetPickedZ for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPickedZ();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:RemoveProp vtkViewportRemovePropFunction
//input a0 a1 
//output none
ArrayVector vtkViewportRemovePropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveProp (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveProp for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->RemoveProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:AddProp vtkViewportAddPropFunction
//input a0 a1 
//output none
ArrayVector vtkViewportAddPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddProp (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function AddProp for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:GetProps vtkViewportGetPropsFunction
//input a0 
//output y
ArrayVector vtkViewportGetPropsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropCollection *GetProps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProps for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkPropCollection  *temp20;
  temp20 = (vtk_pointer)->GetProps();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewport:HasProp vtkViewportHasPropFunction
//input a0 a1 
//output y
ArrayVector vtkViewportHasPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasProp (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function HasProp for class vtkViewport requires 2 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  temp20 = (vtk_pointer)->HasProp(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewport:RemoveAllProps vtkViewportRemoveAllPropsFunction
//input a0 
//output none
ArrayVector vtkViewportRemoveAllPropsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllProps (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllProps for class vtkViewport requires 1 argument(s)");
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllProps();
  return retval;
}

//@@Signature
//sfunction @vtkViewport:SetBackground vtkViewportSetBackgroundFunction
//input varargin
//output varargout
ArrayVector vtkViewportSetBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewportSetBackground__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewportSetBackground__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewportSetBackground");
}

//@@Signature
//sfunction @vtkViewport:SetBackground2 vtkViewportSetBackground2Function
//input varargin
//output varargout
ArrayVector vtkViewportSetBackground2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewportSetBackground2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewportSetBackground2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewportSetBackground2");
}

//@@Signature
//sfunction @vtkViewport:SetAspect vtkViewportSetAspectFunction
//input varargin
//output varargout
ArrayVector vtkViewportSetAspectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkViewportSetAspect__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewportSetAspect__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewportSetAspect");
}

//@@Signature
//sfunction @vtkViewport:SetPixelAspect vtkViewportSetPixelAspectFunction
//input varargin
//output varargout
ArrayVector vtkViewportSetPixelAspectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkViewportSetPixelAspect__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewportSetPixelAspect__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewportSetPixelAspect");
}

//@@Signature
//sfunction @vtkViewport:SetViewport vtkViewportSetViewportFunction
//input varargin
//output varargout
ArrayVector vtkViewportSetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkViewportSetViewport__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewportSetViewport__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewportSetViewport");
}

//@@Signature
//sfunction @vtkViewport:SetDisplayPoint vtkViewportSetDisplayPointFunction
//input varargin
//output varargout
ArrayVector vtkViewportSetDisplayPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewportSetDisplayPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewportSetDisplayPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewportSetDisplayPoint");
}

//@@Signature
//sfunction @vtkViewport:SetViewPoint vtkViewportSetViewPointFunction
//input varargin
//output varargout
ArrayVector vtkViewportSetViewPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewportSetViewPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewportSetViewPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewportSetViewPoint");
}

//@@Signature
//sfunction @vtkViewport:SetWorldPoint vtkViewportSetWorldPointFunction
//input varargin
//output varargout
ArrayVector vtkViewportSetWorldPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkViewportSetWorldPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewportSetWorldPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewportSetWorldPoint");
}

//@@Signature
//sfunction @vtkViewport:WorldToView vtkViewportWorldToViewFunction
//input varargin
//output varargout
ArrayVector vtkViewportWorldToViewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkViewportWorldToView__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewportWorldToView");
}

//@@Signature
//sfunction @vtkViewport:ViewToWorld vtkViewportViewToWorldFunction
//input varargin
//output varargout
ArrayVector vtkViewportViewToWorldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkViewportViewToWorld__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewportViewToWorld");
}

//@@Signature
//sfunction @vtkViewport:display vtkViewportDisplayFunction
//input varargin
//output varargout
ArrayVector vtkViewportDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkViewport* vtk_pointer = GetVTKPointer<vtkViewport>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkViewport:delete vtkViewportDeleteFunction
//input varargin
//output none
ArrayVector vtkViewportDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkViewport
//@@Section VTKFiltering
//@@Usage
// vtkViewport provides an abstract specification for Viewports. A Viewport
// is an object that controls the rendering process for objects. Rendering
// is the process of converting geometry, a specification for lights, and
// a camera view into an image. vtkViewport also performs coordinate
// transformation between world coordinates, view coordinates (the computer
// graphics rendering coordinate system), and display coordinates (the
// actual screen coordinates on the display device). Certain advanced
// rendering features such as two-sided lighting can also be controlled.
//
//To create an instance of class vtkViewport, simply
//invoke its constructor as follows
//@[
//  obj = vtkViewport
//@]
//@@Methods
//The class vtkViewport has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkViewport class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkViewport = obj.NewInstance ()|
// \item @|vtkViewport = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddViewProp (vtkProp )| -  Add a prop to the list of props. Prop is the superclass of all
// actors, volumes, 2D actors, composite props etc.
//// \item @|vtkPropCollection = obj.GetViewProps ()| -  Return any props in this viewport.
//// \item @|int = obj.HasViewProp (vtkProp )| -  Query if a prop is in the list of props.
//// \item @|obj.RemoveViewProp (vtkProp )| -  Remove an actor from the list of actors.
//// \item @|obj.RemoveAllViewProps (void )| -  Remove all actors from the list of actors.
//// \item @|obj.AddActor2D (vtkProp p)| -  Add/Remove different types of props to the renderer.
// These methods are all synonyms to AddViewProp and RemoveViewProp.
// They are here for convenience and backwards compatibility.
//// \item @|obj.RemoveActor2D (vtkProp p)| -  Add/Remove different types of props to the renderer.
// These methods are all synonyms to AddViewProp and RemoveViewProp.
// They are here for convenience and backwards compatibility.
//// \item @|vtkActor2DCollection = obj.GetActors2D ()| -  Add/Remove different types of props to the renderer.
// These methods are all synonyms to AddViewProp and RemoveViewProp.
// They are here for convenience and backwards compatibility.
//// \item @|obj.SetBackground (double , double , double )| -  Set/Get the background color of the rendering screen using an rgb color
// specification.
//// \item @|obj.SetBackground (double  a[3])| -  Set/Get the background color of the rendering screen using an rgb color
// specification.
//// \item @|double = obj. GetBackground ()| -  Set/Get the background color of the rendering screen using an rgb color
// specification.
//// \item @|obj.SetBackground2 (double , double , double )| -  Set/Get the second background color of the rendering screen
// for gradient backgrounds using an rgb color specification.
//// \item @|obj.SetBackground2 (double  a[3])| -  Set/Get the second background color of the rendering screen
// for gradient backgrounds using an rgb color specification.
//// \item @|double = obj. GetBackground2 ()| -  Set/Get the second background color of the rendering screen
// for gradient backgrounds using an rgb color specification.
//// \item @|obj.SetGradientBackground (bool )| -  Set/Get whether this viewport should have a gradient background
// using the Background (top) and Background2 (bottom) colors.
// Default is off.
//// \item @|bool = obj.GetGradientBackground ()| -  Set/Get whether this viewport should have a gradient background
// using the Background (top) and Background2 (bottom) colors.
// Default is off.
//// \item @|obj.GradientBackgroundOn ()| -  Set/Get whether this viewport should have a gradient background
// using the Background (top) and Background2 (bottom) colors.
// Default is off.
//// \item @|obj.GradientBackgroundOff ()| -  Set/Get whether this viewport should have a gradient background
// using the Background (top) and Background2 (bottom) colors.
// Default is off.
//// \item @|obj.SetAspect (double , double )| -  Set the aspect ratio of the rendered image. This is computed
// automatically and should not be set by the user.
//// \item @|obj.SetAspect (double  a[2])| -  Set the aspect ratio of the rendered image. This is computed
// automatically and should not be set by the user.
//// \item @|double = obj. GetAspect ()| -  Set the aspect ratio of the rendered image. This is computed
// automatically and should not be set by the user.
//// \item @|obj.ComputeAspect ()| -  Set the aspect ratio of the rendered image. This is computed
// automatically and should not be set by the user.
//// \item @|obj.SetPixelAspect (double , double )| -  Set the aspect ratio of a pixel in the rendered image.
// This factor permits the image to rendered anisotropically
// (i.e., stretched in one direction or the other).
//// \item @|obj.SetPixelAspect (double  a[2])| -  Set the aspect ratio of a pixel in the rendered image.
// This factor permits the image to rendered anisotropically
// (i.e., stretched in one direction or the other).
//// \item @|double = obj. GetPixelAspect ()| -  Set the aspect ratio of a pixel in the rendered image.
// This factor permits the image to rendered anisotropically
// (i.e., stretched in one direction or the other).
//// \item @|obj.SetViewport (double , double , double , double )| -  Specify the viewport for the Viewport to draw in the rendering window.
// Coordinates are expressed as (xmin,ymin,xmax,ymax), where each
// coordinate is 0 <= coordinate <= 1.0.
//// \item @|obj.SetViewport (double  a[4])| -  Specify the viewport for the Viewport to draw in the rendering window.
// Coordinates are expressed as (xmin,ymin,xmax,ymax), where each
// coordinate is 0 <= coordinate <= 1.0.
//// \item @|double = obj. GetViewport ()| -  Specify the viewport for the Viewport to draw in the rendering window.
// Coordinates are expressed as (xmin,ymin,xmax,ymax), where each
// coordinate is 0 <= coordinate <= 1.0.
//// \item @|obj.SetDisplayPoint (double , double , double )| -  Set/get a point location in display (or screen) coordinates.
// The lower left corner of the window is the origin and y increases
// as you go up the screen.
//// \item @|obj.SetDisplayPoint (double  a[3])| -  Set/get a point location in display (or screen) coordinates.
// The lower left corner of the window is the origin and y increases
// as you go up the screen.
//// \item @|double = obj. GetDisplayPoint ()| -  Set/get a point location in display (or screen) coordinates.
// The lower left corner of the window is the origin and y increases
// as you go up the screen.
//// \item @|obj.SetViewPoint (double , double , double )| -  Specify a point location in view coordinates. The origin is in the
// middle of the viewport and it extends from -1 to 1 in all three
// dimensions.
//// \item @|obj.SetViewPoint (double  a[3])| -  Specify a point location in view coordinates. The origin is in the
// middle of the viewport and it extends from -1 to 1 in all three
// dimensions.
//// \item @|double = obj. GetViewPoint ()| -  Specify a point location in view coordinates. The origin is in the
// middle of the viewport and it extends from -1 to 1 in all three
// dimensions.
//// \item @|obj.SetWorldPoint (double , double , double , double )| -  Specify a point location in world coordinates. This method takes
// homogeneous coordinates.
//// \item @|obj.SetWorldPoint (double  a[4])| -  Specify a point location in world coordinates. This method takes
// homogeneous coordinates.
//// \item @|double = obj. GetWorldPoint ()| -  Specify a point location in world coordinates. This method takes
// homogeneous coordinates.
//// \item @|double = obj.GetCenter ()| -  Return the center of this viewport in display coordinates.
//// \item @|int = obj.IsInViewport (int x, int y)| -  Is a given display point in this Viewport's viewport.
//// \item @|vtkWindow = obj.GetVTKWindow ()| -  Return the vtkWindow that owns this vtkViewport.
//// \item @|obj.DisplayToView ()| -  Convert display coordinates to view coordinates.
//// \item @|obj.ViewToDisplay ()| -  Convert view coordinates to display coordinates.
//// \item @|obj.WorldToView ()| -  Convert world point coordinates to view coordinates.
//// \item @|obj.ViewToWorld ()| -  Convert view point coordinates to world coordinates.
//// \item @|obj.DisplayToWorld ()| -  Convert display (or screen) coordinates to world coordinates.
//// \item @|obj.WorldToDisplay ()| -  Convert world point coordinates to display (or screen) coordinates.
//// \item @|int = obj.GetSize ()| -  Get the size and origin of the viewport in display coordinates. Note:
// if the window has not yet been realized, GetSize() and GetOrigin()
// return (0,0).
//// \item @|int = obj.GetOrigin ()| -  Get the size and origin of the viewport in display coordinates. Note:
// if the window has not yet been realized, GetSize() and GetOrigin()
// return (0,0).
//// \item @|obj.GetTiledSize (int width, int height)| -  Get the size and origin of the viewport in display coordinates. Note:
// if the window has not yet been realized, GetSize() and GetOrigin()
// return (0,0).
//// \item @|obj.GetTiledSizeAndOrigin (int width, int height, int lowerLeftX, int lowerLeftY)| -  Get the size and origin of the viewport in display coordinates. Note:
// if the window has not yet been realized, GetSize() and GetOrigin()
// return (0,0).
//// \item @|vtkAssemblyPath = obj.PickProp (double selectionX, double selectionY)| -  Return the Prop that has the highest z value at the given x, y position
// in the viewport.  Basically, the top most prop that renders the pixel at
// selectionX, selectionY will be returned.  If no Props are there NULL is
// returned.  This method selects from the Viewports Prop list.
//// \item @|vtkAssemblyPath = obj.PickPropFrom (double selectionX, double selectionY, vtkPropCollection )| -  Same as PickProp with two arguments, but selects from the given
// collection of Props instead of the Renderers props.  Make sure
// the Props in the collection are in this renderer.
//// \item @|double = obj.GetPickX () const| -  Methods used to return the pick (x,y) in local display coordinates (i.e.,
// it's that same as selectionX and selectionY).
//// \item @|double = obj.GetPickY () const| -  Methods used to return the pick (x,y) in local display coordinates (i.e.,
// it's that same as selectionX and selectionY).
//// \item @|double = obj.GetPickWidth () const| -  Methods used to return the pick (x,y) in local display coordinates (i.e.,
// it's that same as selectionX and selectionY).
//// \item @|double = obj.GetPickHeight () const| -  Methods used to return the pick (x,y) in local display coordinates (i.e.,
// it's that same as selectionX and selectionY).
//// \item @|double = obj.GetPickX1 () const| -  Methods used to return the pick (x,y) in local display coordinates (i.e.,
// it's that same as selectionX and selectionY).
//// \item @|double = obj.GetPickY1 () const| -  Methods used to return the pick (x,y) in local display coordinates (i.e.,
// it's that same as selectionX and selectionY).
//// \item @|double = obj.GetPickX2 () const| -  Methods used to return the pick (x,y) in local display coordinates (i.e.,
// it's that same as selectionX and selectionY).
//// \item @|double = obj.GetPickY2 () const| -  Methods used to return the pick (x,y) in local display coordinates (i.e.,
// it's that same as selectionX and selectionY).
//// \item @|int = obj.GetIsPicking ()| -  Methods used to return the pick (x,y) in local display coordinates (i.e.,
// it's that same as selectionX and selectionY).
//// \item @|vtkPropCollection = obj.GetPickResultProps ()| -  Methods used to return the pick (x,y) in local display coordinates (i.e.,
// it's that same as selectionX and selectionY).
//// \item @|double = obj.GetPickedZ ()| -  Return the Z value for the last picked Prop.
//// \item @|obj.RemoveProp (vtkProp )| -  @deprecated Replaced by vtkViewport::RemoveViewProp() as of VTK 5.0.
//// \item @|obj.AddProp (vtkProp )| -  @deprecated Replaced by vtkViewport::AddViewProp() as of VTK 5.0.
//// \item @|vtkPropCollection = obj.GetProps ()| -  @deprecated Replaced by vtkViewport::GetViewProps() as of VTK 5.0.
//// \item @|int = obj.HasProp (vtkProp )| -  @deprecated Replaced by vtkViewport::HasViewProp() as of VTK 5.0.
//// \item @|obj.RemoveAllProps ()| -  @deprecated Replaced by vtkViewport::RemoveAllViewProps() as of VTK 5.0.
////\end{itemize}
//!
