#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWedge object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWedge.h"

//@@Signature
//sfunction @vtkWedge:vtkWedge vtkWedgeConstructorFunction
//input a
//output p
//@@Parents vtkWedge vtkCell3D 
ArrayVector vtkWedgeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWedge::New(),"vtkWedge",eval);
  } else if (arg[0].className() == "vtkWedge") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWedge"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWedge");
    vtkWedge*q = reinterpret_cast<vtkWedge*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWedge");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWedge:GetClassName vtkWedgeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWedgeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWedge requires 1 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWedge:IsA vtkWedgeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWedgeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWedge requires 2 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWedge:NewInstance vtkWedgeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWedgeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWedge *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWedge requires 1 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  vtkWedge  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWedge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWedge:SafeDownCast vtkWedgeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWedgeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWedge *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWedge requires 2 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWedge  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWedge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWedge:GetCellType vtkWedgeGetCellTypeFunction
//input a0 
//output y
ArrayVector vtkWedgeGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellType ();return VTK_WEDGE  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellType for class vtkWedge requires 1 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWedge:GetCellDimension vtkWedgeGetCellDimensionFunction
//input a0 
//output y
ArrayVector vtkWedgeGetCellDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellDimension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDimension for class vtkWedge requires 1 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWedge:GetNumberOfEdges vtkWedgeGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkWedgeGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkWedge requires 1 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWedge:GetNumberOfFaces vtkWedgeGetNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkWedgeGetNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaces ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaces for class vtkWedge requires 1 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWedge:GetEdge vtkWedgeGetEdgeFunction
//input a0 a1 
//output y
ArrayVector vtkWedgeGetEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetEdge (int edgeId); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdge for class vtkWedge requires 2 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdge(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWedge:GetFace vtkWedgeGetFaceFunction
//input a0 a1 
//output y
ArrayVector vtkWedgeGetFaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCell *GetFace (int faceId); */
  if (arg.size() < 2) 
    throw Exception("Function GetFace for class vtkWedge requires 2 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  int      temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFace(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWedge:CellBoundary vtkWedgeCellBoundaryFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkWedgeCellBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CellBoundary (int subId, double pcoords[3], vtkIdList *pts); */
  if (arg.size() < 4) 
    throw Exception("Function CellBoundary for class vtkWedge requires 4 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkIdList>(arg[5]);
  temp20 = (vtk_pointer)->CellBoundary(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWedge:Contour vtkWedgeContourFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 
//output none
ArrayVector vtkWedgeContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd); */
  if (arg.size() < 12) 
    throw Exception("Function Contour for class vtkWedge requires 12 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkCellArray>(arg[5]);
  temp5 = GetVTKPointer<vtkCellArray>(arg[6]);
  temp6 = GetVTKPointer<vtkPointData>(arg[7]);
  temp7 = GetVTKPointer<vtkPointData>(arg[8]);
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  if ( !arg[10].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp9 = (int) arg[10].asDouble();
  temp10 = GetVTKPointer<vtkCellData>(arg[11]);
  vtk_pointer->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
  return retval;
}

//@@Signature
//sfunction @vtkWedge:Triangulate vtkWedgeTriangulateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkWedgeTriangulateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts); */
  if (arg.size() < 4) 
    throw Exception("Function Triangulate for class vtkWedge requires 4 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  temp20 = (vtk_pointer)->Triangulate(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWedge:Derivatives vtkWedgeDerivativesFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkWedgeDerivativesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Derivatives (int subId, double pcoords[3], double *values, int dim, double *derivs); */
  if (arg.size() < 6) 
    throw Exception("Function Derivatives for class vtkWedge requires 6 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double  *temp2;
  int      temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[6].asDouble();
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->Derivatives(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkWedge:GetParametricCenter vtkWedgeGetParametricCenterFunction
//input a0 a1 
//output y
ArrayVector vtkWedgeGetParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParametricCenter (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetParametricCenter for class vtkWedge requires 2 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetParametricCenter(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWedge:InterpolationFunctions vtkWedgeInterpolationFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkWedgeInterpolationFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationFunctions (double pcoords[3], double weights[6]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationFunctions for class vtkWedge requires 3 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[6];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWedge:InterpolationDerivs vtkWedgeInterpolationDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkWedgeInterpolationDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolationDerivs (double pcoords[3], double derivs[18]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolationDerivs for class vtkWedge requires 3 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[18];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 18) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolationDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWedge:InterpolateFunctions vtkWedgeInterpolateFunctionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkWedgeInterpolateFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateFunctions (double pcoords[3], double weights[6]);vtkWedge InterpolationFunctions pcoords weights  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateFunctions for class vtkWedge requires 3 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[6];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateFunctions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWedge:InterpolateDerivs vtkWedgeInterpolateDerivsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkWedgeInterpolateDerivsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InterpolateDerivs (double pcoords[3], double derivs[18]);vtkWedge InterpolationDerivs pcoords derivs  */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateDerivs for class vtkWedge requires 3 argument(s)");
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[18];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 18) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateDerivs(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWedge:display vtkWedgeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWedgeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWedge* vtk_pointer = GetVTKPointer<vtkWedge>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWedge:delete vtkWedgeDeleteFunction
//input varargin
//output none
ArrayVector vtkWedgeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWedge
//@@Section VTKFiltering
//@@Usage
// vtkWedge is a concrete implementation of vtkCell to represent a linear 3D
// wedge. A wedge consists of two triangular and three quadrilateral faces
// and is defined by the six points (0-5). vtkWedge uses the standard
// isoparametric shape functions for a linear wedge. The wedge is defined
// by the six points (0-5) where (0,1,2) is the base of the wedge which,
// using the right hand rule, forms a triangle whose normal points outward
// (away from the triangular face (3,4,5)).
//
//To create an instance of class vtkWedge, simply
//invoke its constructor as follows
//@[
//  obj = vtkWedge
//@]
//@@Methods
//The class vtkWedge has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWedge class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWedge = obj.NewInstance ()|
// \item @|vtkWedge = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetCellType ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetCellDimension ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfEdges ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetNumberOfFaces ()| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetEdge (int edgeId)| -  See the vtkCell API for descriptions of these methods.
//// \item @|vtkCell = obj.GetFace (int faceId)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.CellBoundary (int subId, double pcoords[3], vtkIdList pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Contour (double value, vtkDataArray cellScalars, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkCellArray lines, vtkCellArray polys, vtkPointData inPd, vtkPointData outPd, vtkCellData inCd, vtkIdType cellId, vtkCellData outCd)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.Triangulate (int index, vtkIdList ptIds, vtkPoints pts)| -  See the vtkCell API for descriptions of these methods.
//// \item @|obj.Derivatives (int subId, double pcoords[3], double values, int dim, double derivs)| -  See the vtkCell API for descriptions of these methods.
//// \item @|int = obj.GetParametricCenter (double pcoords[3])| -  Return the center of the wedge in parametric coordinates.
//// \item @|obj.InterpolateFunctions (double pcoords[3], double weights[6])| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
//// \item @|obj.InterpolateDerivs (double pcoords[3], double derivs[18])| -  Compute the interpolation functions/derivatives
// (aka shape functions/derivatives)
////\end{itemize}
//!
