#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompassRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompassRepresentation.h"

//@@Signature
//sfunction @vtkCompassRepresentation:vtkCompassRepresentation vtkCompassRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkCompassRepresentation vtkContinuousValueWidgetRepresentation 
ArrayVector vtkCompassRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompassRepresentation::New(),"vtkCompassRepresentation",eval);
  } else if (arg[0].className() == "vtkCompassRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompassRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompassRepresentation");
    vtkCompassRepresentation*q = reinterpret_cast<vtkCompassRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompassRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompassRepresentation:GetClassName vtkCompassRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompassRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:IsA vtkCompassRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompassRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:NewInstance vtkCompassRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompassRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompassRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkCompassRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompassRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:SafeDownCast vtkCompassRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompassRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompassRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompassRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompassRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:GetPoint1Coordinate vtkCompassRepresentationGetPoint1CoordinateFunction
//input a0 
//output y
ArrayVector vtkCompassRepresentationGetPoint1CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetPoint1Coordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1Coordinate for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPoint1Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:GetPoint2Coordinate vtkCompassRepresentationGetPoint2CoordinateFunction
//input a0 
//output y
ArrayVector vtkCompassRepresentationGetPoint2CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetPoint2Coordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2Coordinate for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPoint2Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:GetRingProperty vtkCompassRepresentationGetRingPropertyFunction
//input a0 
//output y
ArrayVector vtkCompassRepresentationGetRingPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetRingProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRingProperty for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetRingProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:GetSelectedProperty vtkCompassRepresentationGetSelectedPropertyFunction
//input a0 
//output y
ArrayVector vtkCompassRepresentationGetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetSelectedProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedProperty for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetSelectedProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:GetLabelProperty vtkCompassRepresentationGetLabelPropertyFunction
//input a0 
//output y
ArrayVector vtkCompassRepresentationGetLabelPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLabelProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelProperty for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:PlaceWidget vtkCompassRepresentationPlaceWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:BuildRepresentation vtkCompassRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkCompassRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:StartWidgetInteraction vtkCompassRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:WidgetInteraction vtkCompassRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:TiltWidgetInteraction vtkCompassRepresentationTiltWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationTiltWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TiltWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function TiltWidgetInteraction for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->TiltWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:DistanceWidgetInteraction vtkCompassRepresentationDistanceWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationDistanceWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DistanceWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function DistanceWidgetInteraction for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->DistanceWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:ComputeInteractionState vtkCompassRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCompassRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkCompassRepresentation requires 4 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:Highlight vtkCompassRepresentationHighlightFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationHighlightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Highlight (int ); */
  if (arg.size() < 2) 
    throw Exception("Function Highlight for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Highlight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:GetActors vtkCompassRepresentationGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:ReleaseGraphicsResources vtkCompassRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:RenderOverlay vtkCompassRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkCompassRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:RenderOpaqueGeometry vtkCompassRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCompassRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:SetHeading vtkCompassRepresentationSetHeadingFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationSetHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetHeading (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeading for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeading(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:GetHeading vtkCompassRepresentationGetHeadingFunction
//input a0 
//output y
ArrayVector vtkCompassRepresentationGetHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetHeading (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeading for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeading();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:SetTilt vtkCompassRepresentationSetTiltFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationSetTiltFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTilt (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetTilt for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTilt(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:GetTilt vtkCompassRepresentationGetTiltFunction
//input a0 
//output y
ArrayVector vtkCompassRepresentationGetTiltFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetTilt (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTilt for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTilt();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:UpdateTilt vtkCompassRepresentationUpdateTiltFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationUpdateTiltFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateTilt (double time); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateTilt for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->UpdateTilt(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:EndTilt vtkCompassRepresentationEndTiltFunction
//input a0 
//output none
ArrayVector vtkCompassRepresentationEndTiltFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndTilt (); */
  if (arg.size() < 1) 
    throw Exception("Function EndTilt for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EndTilt();
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:SetDistance vtkCompassRepresentationSetDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationSetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDistance (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistance for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:GetDistance vtkCompassRepresentationGetDistanceFunction
//input a0 
//output y
ArrayVector vtkCompassRepresentationGetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistance for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:UpdateDistance vtkCompassRepresentationUpdateDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationUpdateDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateDistance (double time); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateDistance for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->UpdateDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:EndDistance vtkCompassRepresentationEndDistanceFunction
//input a0 
//output none
ArrayVector vtkCompassRepresentationEndDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function EndDistance for class vtkCompassRepresentation requires 1 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EndDistance();
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:SetRenderer vtkCompassRepresentationSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkCompassRepresentationSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkCompassRepresentation requires 2 argument(s)");
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassRepresentation:display vtkCompassRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompassRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompassRepresentation* vtk_pointer = GetVTKPointer<vtkCompassRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompassRepresentation:delete vtkCompassRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkCompassRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompassRepresentation
//@@Section VTKGeovis
//@@Usage
// This class is used to represent and render a compass.  
//
//To create an instance of class vtkCompassRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompassRepresentation
//@]
//@@Methods
//The class vtkCompassRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompassRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for the class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for the class.
//// \item @|vtkCompassRepresentation = obj.NewInstance ()| -  Standard methods for the class.
//// \item @|vtkCompassRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for the class.
//// \item @|vtkCoordinate = obj.GetPoint1Coordinate ()| -  Position the first end point of the slider. Note that this point is an
// instance of vtkCoordinate, meaning that Point 1 can be specified in a
// variety of coordinate systems, and can even be relative to another
// point. To set the point, you'll want to get the Point1Coordinate and
// then invoke the necessary methods to put it into the correct coordinate
// system and set the correct initial value.
//// \item @|vtkCoordinate = obj.GetPoint2Coordinate ()| -  Position the second end point of the slider. Note that this point is an
// instance of vtkCoordinate, meaning that Point 1 can be specified in a
// variety of coordinate systems, and can even be relative to another
// point. To set the point, you'll want to get the Point2Coordinate and
// then invoke the necessary methods to put it into the correct coordinate
// system and set the correct initial value.
//// \item @|vtkProperty2D = obj.GetRingProperty ()| -  Get the slider properties. The properties of the slider when selected 
// and unselected can be manipulated.
//// \item @|vtkProperty2D = obj.GetSelectedProperty ()| -  Get the selection property. This property is used to modify the
// appearance of selected objects (e.g., the slider).
//// \item @|vtkTextProperty = obj.GetLabelProperty ()| -  Set/Get the properties for the label and title text.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.BuildRepresentation ()| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.TiltWidgetInteraction (double eventPos[2])| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.DistanceWidgetInteraction (double eventPos[2])| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.Highlight (int )| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.GetActors (vtkPropCollection )|
// \item @|obj.ReleaseGraphicsResources (vtkWindow )|
// \item @|int = obj.RenderOverlay (vtkViewport )|
// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )|
// \item @|obj.SetHeading (double value)|
// \item @|double = obj.GetHeading ()|
// \item @|obj.SetTilt (double value)|
// \item @|double = obj.GetTilt ()|
// \item @|obj.UpdateTilt (double time)|
// \item @|obj.EndTilt ()|
// \item @|obj.SetDistance (double value)|
// \item @|double = obj.GetDistance ()|
// \item @|obj.UpdateDistance (double time)|
// \item @|obj.EndDistance ()|
// \item @|obj.SetRenderer (vtkRenderer ren)|
//\end{itemize}
//!
