#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompassWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompassWidget.h"

//@@Signature
//sfunction @vtkCompassWidget:vtkCompassWidget vtkCompassWidgetConstructorFunction
//input a
//output p
//@@Parents vtkCompassWidget vtkAbstractWidget 
ArrayVector vtkCompassWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompassWidget::New(),"vtkCompassWidget",eval);
  } else if (arg[0].className() == "vtkCompassWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompassWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompassWidget");
    vtkCompassWidget*q = reinterpret_cast<vtkCompassWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompassWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompassWidget:GetClassName vtkCompassWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompassWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompassWidget requires 1 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:IsA vtkCompassWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompassWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompassWidget requires 2 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:NewInstance vtkCompassWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompassWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompassWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompassWidget requires 1 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  vtkCompassWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompassWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:SafeDownCast vtkCompassWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompassWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompassWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompassWidget requires 2 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompassWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompassWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:SetRepresentation vtkCompassWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkCompassWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkCompassRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkCompassWidget requires 2 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  vtkCompassRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkCompassRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:CreateDefaultRepresentation vtkCompassWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkCompassWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkCompassWidget requires 1 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:GetHeading vtkCompassWidgetGetHeadingFunction
//input a0 
//output y
ArrayVector vtkCompassWidgetGetHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeading (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeading for class vtkCompassWidget requires 1 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeading();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:SetHeading vtkCompassWidgetSetHeadingFunction
//input a0 a1 
//output none
ArrayVector vtkCompassWidgetSetHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeading (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeading for class vtkCompassWidget requires 2 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeading(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:GetTilt vtkCompassWidgetGetTiltFunction
//input a0 
//output y
ArrayVector vtkCompassWidgetGetTiltFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTilt (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTilt for class vtkCompassWidget requires 1 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTilt();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:SetTilt vtkCompassWidgetSetTiltFunction
//input a0 a1 
//output none
ArrayVector vtkCompassWidgetSetTiltFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTilt (double t); */
  if (arg.size() < 2) 
    throw Exception("Function SetTilt for class vtkCompassWidget requires 2 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTilt(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:GetDistance vtkCompassWidgetGetDistanceFunction
//input a0 
//output y
ArrayVector vtkCompassWidgetGetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistance for class vtkCompassWidget requires 1 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:SetDistance vtkCompassWidgetSetDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkCompassWidgetSetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistance (double t); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistance for class vtkCompassWidget requires 2 argument(s)");
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompassWidget:display vtkCompassWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompassWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompassWidget* vtk_pointer = GetVTKPointer<vtkCompassWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompassWidget:delete vtkCompassWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkCompassWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompassWidget
//@@Section VTKGeovis
//@@Usage
// The vtkCompassWidget is used to adjust a scalar value in an 
// application. Note that the actual appearance of the widget depends on
// the specific representation for the widget.
// 
// To use this widget, set the widget representation. (the details may
// vary depending on the particulars of the representation). 
//
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
// If the slider bead is selected:
//   LeftButtonPressEvent - select slider 
//   LeftButtonReleaseEvent - release slider 
//   MouseMoveEvent - move slider
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkCompassWidget's widget events:
// <pre>
//   vtkWidgetEvent::Select -- some part of the widget has been selected
//   vtkWidgetEvent::EndSelect -- the selection process has completed
//   vtkWidgetEvent::Move -- a request for slider motion has been invoked
// </pre>
//
// In turn, when these widget events are processed, the vtkCompassWidget
// invokes the following VTK events on itself (which observers can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)
//   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)
//   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)
// </pre>
//
//
//To create an instance of class vtkCompassWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompassWidget
//@]
//@@Methods
//The class vtkCompassWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompassWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros.
//// \item @|int = obj.IsA (string name)| -  Standard macros.
//// \item @|vtkCompassWidget = obj.NewInstance ()| -  Standard macros.
//// \item @|vtkCompassWidget = obj.SafeDownCast (vtkObject o)| -  Standard macros.
//// \item @|obj.SetRepresentation (vtkCompassRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
//// \item @|double = obj.GetHeading ()| -  Get the value for this widget. 
//// \item @|obj.SetHeading (double v)| -  Get the value for this widget. 
//// \item @|double = obj.GetTilt ()| -  Get the value for this widget. 
//// \item @|obj.SetTilt (double t)| -  Get the value for this widget. 
//// \item @|double = obj.GetDistance ()| -  Get the value for this widget. 
//// \item @|obj.SetDistance (double t)| -  Get the value for this widget. 
////\end{itemize}
//!
