#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoAdaptiveArcs object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoAdaptiveArcs.h"

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:vtkGeoAdaptiveArcs vtkGeoAdaptiveArcsConstructorFunction
//input a
//output p
//@@Parents vtkGeoAdaptiveArcs vtkPolyDataAlgorithm 
ArrayVector vtkGeoAdaptiveArcsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoAdaptiveArcs::New(),"vtkGeoAdaptiveArcs",eval);
  } else if (arg[0].className() == "vtkGeoAdaptiveArcs") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoAdaptiveArcs"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoAdaptiveArcs");
    vtkGeoAdaptiveArcs*q = reinterpret_cast<vtkGeoAdaptiveArcs*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoAdaptiveArcs");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoAdaptiveArcs:GetClassName vtkGeoAdaptiveArcsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoAdaptiveArcsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoAdaptiveArcs requires 1 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:IsA vtkGeoAdaptiveArcsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoAdaptiveArcsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoAdaptiveArcs requires 2 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:NewInstance vtkGeoAdaptiveArcsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoAdaptiveArcsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoAdaptiveArcs *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoAdaptiveArcs requires 1 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  vtkGeoAdaptiveArcs  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoAdaptiveArcs",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:SafeDownCast vtkGeoAdaptiveArcsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoAdaptiveArcsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoAdaptiveArcs *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoAdaptiveArcs requires 2 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoAdaptiveArcs  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoAdaptiveArcs",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:SetGlobeRadius vtkGeoAdaptiveArcsSetGlobeRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAdaptiveArcsSetGlobeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlobeRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobeRadius for class vtkGeoAdaptiveArcs requires 2 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGlobeRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:GetGlobeRadius vtkGeoAdaptiveArcsGetGlobeRadiusFunction
//input a0 
//output y
ArrayVector vtkGeoAdaptiveArcsGetGlobeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGlobeRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobeRadius for class vtkGeoAdaptiveArcs requires 1 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGlobeRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:SetMaximumPixelSeparation vtkGeoAdaptiveArcsSetMaximumPixelSeparationFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAdaptiveArcsSetMaximumPixelSeparationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumPixelSeparation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumPixelSeparation for class vtkGeoAdaptiveArcs requires 2 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumPixelSeparation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:GetMaximumPixelSeparation vtkGeoAdaptiveArcsGetMaximumPixelSeparationFunction
//input a0 
//output y
ArrayVector vtkGeoAdaptiveArcsGetMaximumPixelSeparationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumPixelSeparation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumPixelSeparation for class vtkGeoAdaptiveArcs requires 1 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumPixelSeparation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:SetMinimumPixelSeparation vtkGeoAdaptiveArcsSetMinimumPixelSeparationFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAdaptiveArcsSetMinimumPixelSeparationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumPixelSeparation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumPixelSeparation for class vtkGeoAdaptiveArcs requires 2 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumPixelSeparation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:GetMinimumPixelSeparation vtkGeoAdaptiveArcsGetMinimumPixelSeparationFunction
//input a0 
//output y
ArrayVector vtkGeoAdaptiveArcsGetMinimumPixelSeparationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumPixelSeparation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumPixelSeparation for class vtkGeoAdaptiveArcs requires 1 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumPixelSeparation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:SetRenderer vtkGeoAdaptiveArcsSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAdaptiveArcsSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkGeoAdaptiveArcs requires 2 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:GetRenderer vtkGeoAdaptiveArcsGetRendererFunction
//input a0 
//output y
ArrayVector vtkGeoAdaptiveArcsGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkGeoAdaptiveArcs requires 1 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:GetMTime vtkGeoAdaptiveArcsGetMTimeFunction
//input a0 
//output y
ArrayVector vtkGeoAdaptiveArcsGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkGeoAdaptiveArcs requires 1 argument(s)");
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAdaptiveArcs:display vtkGeoAdaptiveArcsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoAdaptiveArcsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoAdaptiveArcs* vtk_pointer = GetVTKPointer<vtkGeoAdaptiveArcs>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoAdaptiveArcs:delete vtkGeoAdaptiveArcsDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoAdaptiveArcsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoAdaptiveArcs
//@@Section VTKGeovis
//@@Usage
//
//To create an instance of class vtkGeoAdaptiveArcs, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoAdaptiveArcs
//@]
//@@Methods
//The class vtkGeoAdaptiveArcs has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoAdaptiveArcs class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoAdaptiveArcs = obj.NewInstance ()|
// \item @|vtkGeoAdaptiveArcs = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGlobeRadius (double )| -  The base radius used to determine the earth's surface.
// Default is the earth's radius in meters.
// TODO: Change this to take in a vtkGeoTerrain to get altitude.
//// \item @|double = obj.GetGlobeRadius ()| -  The base radius used to determine the earth's surface.
// Default is the earth's radius in meters.
// TODO: Change this to take in a vtkGeoTerrain to get altitude.
//// \item @|obj.SetMaximumPixelSeparation (double )| -  The maximum number of pixels between points on the arcs.
// If two adjacent points are farther than the threshold,
// the line segment will be subdivided such that each point
// is separated by at most the threshold.
//// \item @|double = obj.GetMaximumPixelSeparation ()| -  The maximum number of pixels between points on the arcs.
// If two adjacent points are farther than the threshold,
// the line segment will be subdivided such that each point
// is separated by at most the threshold.
//// \item @|obj.SetMinimumPixelSeparation (double )| -  The minimum number of pixels between points on the arcs.
// Points closer than the threshold will be skipped until
// a point farther than the minimum threshold is reached.
//// \item @|double = obj.GetMinimumPixelSeparation ()| -  The minimum number of pixels between points on the arcs.
// Points closer than the threshold will be skipped until
// a point farther than the minimum threshold is reached.
//// \item @|obj.SetRenderer (vtkRenderer ren)| -  The renderer used to estimate the number of pixels between
// points.
//// \item @|vtkRenderer = obj.GetRenderer ()| -  The renderer used to estimate the number of pixels between
// points.
//// \item @|long = obj.GetMTime ()| -  Return the modified time of this object.
////\end{itemize}
//!
