#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoAlignedImageRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoAlignedImageRepresentation.h"

//@@Signature
//sfunction @vtkGeoAlignedImageRepresentation:vtkGeoAlignedImageRepresentation vtkGeoAlignedImageRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkGeoAlignedImageRepresentation vtkDataRepresentation 
ArrayVector vtkGeoAlignedImageRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoAlignedImageRepresentation::New(),"vtkGeoAlignedImageRepresentation",eval);
  } else if (arg[0].className() == "vtkGeoAlignedImageRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoAlignedImageRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoAlignedImageRepresentation");
    vtkGeoAlignedImageRepresentation*q = reinterpret_cast<vtkGeoAlignedImageRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoAlignedImageRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoAlignedImageRepresentation:GetClassName vtkGeoAlignedImageRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoAlignedImageRepresentation requires 1 argument(s)");
  vtkGeoAlignedImageRepresentation* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageRepresentation:IsA vtkGeoAlignedImageRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoAlignedImageRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoAlignedImageRepresentation requires 2 argument(s)");
  vtkGeoAlignedImageRepresentation* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageRepresentation:NewInstance vtkGeoAlignedImageRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoAlignedImageRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoAlignedImageRepresentation requires 1 argument(s)");
  vtkGeoAlignedImageRepresentation* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageRepresentation>(arg[0]);
  Array retval;
  vtkGeoAlignedImageRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoAlignedImageRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageRepresentation:SafeDownCast vtkGeoAlignedImageRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoAlignedImageRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoAlignedImageRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoAlignedImageRepresentation requires 2 argument(s)");
  vtkGeoAlignedImageRepresentation* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoAlignedImageRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoAlignedImageRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageRepresentation:GetBestImageForBounds vtkGeoAlignedImageRepresentationGetBestImageForBoundsFunction
//input a0 a1 
//output y
ArrayVector vtkGeoAlignedImageRepresentationGetBestImageForBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGeoImageNode *GetBestImageForBounds (double bounds[4]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBestImageForBounds for class vtkGeoAlignedImageRepresentation requires 2 argument(s)");
  vtkGeoAlignedImageRepresentation* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageRepresentation>(arg[0]);
  Array retval;
  double temp0[4];
  vtkGeoImageNode  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetBestImageForBounds(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoImageNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageRepresentation:GetSource vtkGeoAlignedImageRepresentationGetSourceFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageRepresentationGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGeoSource *GetSource ();return this GeoSource  */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkGeoAlignedImageRepresentation requires 1 argument(s)");
  vtkGeoAlignedImageRepresentation* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageRepresentation>(arg[0]);
  Array retval;
  vtkGeoSource  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageRepresentation:SetSource vtkGeoAlignedImageRepresentationSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAlignedImageRepresentationSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSource (vtkGeoSource *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkGeoAlignedImageRepresentation requires 2 argument(s)");
  vtkGeoAlignedImageRepresentation* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageRepresentation>(arg[0]);
  Array retval;
  vtkGeoSource  *temp0;
  temp0 = GetVTKPointer<vtkGeoSource>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageRepresentation:SaveDatabase vtkGeoAlignedImageRepresentationSaveDatabaseFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAlignedImageRepresentationSaveDatabaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SaveDatabase (const char *path); */
  if (arg.size() < 2) 
    throw Exception("Function SaveDatabase for class vtkGeoAlignedImageRepresentation requires 2 argument(s)");
  vtkGeoAlignedImageRepresentation* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SaveDatabase(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageRepresentation:display vtkGeoAlignedImageRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoAlignedImageRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoAlignedImageRepresentation* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoAlignedImageRepresentation:delete vtkGeoAlignedImageRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoAlignedImageRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoAlignedImageRepresentation
//@@Section VTKGeovis
//@@Usage
// vtkGeoAlignedImageRepresentation represents a high resolution image
// over the globle. It has an associated vtkGeoSource which is responsible
// for fetching new data. This class keeps the fetched data in a quad-tree
// structure organized by latitude and longitude.
//
//To create an instance of class vtkGeoAlignedImageRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoAlignedImageRepresentation
//@]
//@@Methods
//The class vtkGeoAlignedImageRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoAlignedImageRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoAlignedImageRepresentation = obj.NewInstance ()|
// \item @|vtkGeoAlignedImageRepresentation = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGeoImageNode = obj.GetBestImageForBounds (double bounds[4])| -  Retrieve the most refined image patch that covers the specified
// latitude and longitude bounds (lat-min, lat-max, long-min, long-max).
//// \item @|vtkGeoSource = obj.GetSource ()| -  The source for this representation. This must be set first before
// calling GetBestImageForBounds.
//// \item @|obj.SetSource (vtkGeoSource source)| -  The source for this representation. This must be set first before
// calling GetBestImageForBounds.
//// \item @|obj.SaveDatabase (string path)| -  Serialize the database to the specified directory.
// Each image is stored as a .vti file.
// The Origin and Spacing of the saved image contain (lat-min, long-min)
// and (lat-max, long-max), respectively.
// Files are named based on their level and id within that level.
////\end{itemize}
//!
