#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoAlignedImageSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoAlignedImageSource.h"

//@@Signature
//sfunction @vtkGeoAlignedImageSource:vtkGeoAlignedImageSource vtkGeoAlignedImageSourceConstructorFunction
//input a
//output p
//@@Parents vtkGeoAlignedImageSource vtkGeoSource 
ArrayVector vtkGeoAlignedImageSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoAlignedImageSource::New(),"vtkGeoAlignedImageSource",eval);
  } else if (arg[0].className() == "vtkGeoAlignedImageSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoAlignedImageSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoAlignedImageSource");
    vtkGeoAlignedImageSource*q = reinterpret_cast<vtkGeoAlignedImageSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoAlignedImageSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoAlignedImageSource:GetClassName vtkGeoAlignedImageSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:IsA vtkGeoAlignedImageSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoAlignedImageSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoAlignedImageSource requires 2 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:NewInstance vtkGeoAlignedImageSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoAlignedImageSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  vtkGeoAlignedImageSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoAlignedImageSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:SafeDownCast vtkGeoAlignedImageSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoAlignedImageSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoAlignedImageSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoAlignedImageSource requires 2 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoAlignedImageSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoAlignedImageSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:FetchRoot vtkGeoAlignedImageSourceFetchRootFunction
//input a0 a1 
//output y
ArrayVector vtkGeoAlignedImageSourceFetchRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchRoot (vtkGeoTreeNode *node); */
  if (arg.size() < 2) 
    throw Exception("Function FetchRoot for class vtkGeoAlignedImageSource requires 2 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  temp20 = (vtk_pointer)->FetchRoot(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:FetchChild vtkGeoAlignedImageSourceFetchChildFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGeoAlignedImageSourceFetchChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchChild (vtkGeoTreeNode *parent, int index, vtkGeoTreeNode *child); */
  if (arg.size() < 4) 
    throw Exception("Function FetchChild for class vtkGeoAlignedImageSource requires 4 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkGeoTreeNode>(arg[3]);
  temp20 = (vtk_pointer)->FetchChild(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:GetImage vtkGeoAlignedImageSourceGetImageFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageSourceGetImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImage for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetImage();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:SetImage vtkGeoAlignedImageSourceSetImageFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAlignedImageSourceSetImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImage (vtkImageData *image); */
  if (arg.size() < 2) 
    throw Exception("Function SetImage for class vtkGeoAlignedImageSource requires 2 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:SetLatitudeRange__1 vtkGeoAlignedImageSourceSetLatitudeRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeoAlignedImageSourceSetLatitudeRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatitudeRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetLatitudeRange__1 for class vtkGeoAlignedImageSource requires 3 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetLatitudeRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:SetLatitudeRange__2 vtkGeoAlignedImageSourceSetLatitudeRange__2Function
//input a0 a1 
//output none
ArrayVector vtkGeoAlignedImageSourceSetLatitudeRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatitudeRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLatitudeRange__2 for class vtkGeoAlignedImageSource requires 2 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetLatitudeRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:GetLatitudeRange vtkGeoAlignedImageSourceGetLatitudeRangeFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageSourceGetLatitudeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLatitudeRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitudeRange for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLatitudeRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:SetLongitudeRange__1 vtkGeoAlignedImageSourceSetLongitudeRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeoAlignedImageSourceSetLongitudeRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLongitudeRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetLongitudeRange__1 for class vtkGeoAlignedImageSource requires 3 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetLongitudeRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:SetLongitudeRange__2 vtkGeoAlignedImageSourceSetLongitudeRange__2Function
//input a0 a1 
//output none
ArrayVector vtkGeoAlignedImageSourceSetLongitudeRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLongitudeRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLongitudeRange__2 for class vtkGeoAlignedImageSource requires 2 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetLongitudeRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:GetLongitudeRange vtkGeoAlignedImageSourceGetLongitudeRangeFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageSourceGetLongitudeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLongitudeRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitudeRange for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLongitudeRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:SetOverlap vtkGeoAlignedImageSourceSetOverlapFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAlignedImageSourceSetOverlapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOverlap (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOverlap for class vtkGeoAlignedImageSource requires 2 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOverlap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:GetOverlapMinValue vtkGeoAlignedImageSourceGetOverlapMinValueFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageSourceGetOverlapMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOverlapMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOverlapMinValue for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOverlapMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:GetOverlapMaxValue vtkGeoAlignedImageSourceGetOverlapMaxValueFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageSourceGetOverlapMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOverlapMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOverlapMaxValue for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOverlapMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:GetOverlap vtkGeoAlignedImageSourceGetOverlapFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageSourceGetOverlapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOverlap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOverlap for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOverlap();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:SetPowerOfTwoSize vtkGeoAlignedImageSourceSetPowerOfTwoSizeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAlignedImageSourceSetPowerOfTwoSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPowerOfTwoSize (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPowerOfTwoSize for class vtkGeoAlignedImageSource requires 2 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetPowerOfTwoSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:GetPowerOfTwoSize vtkGeoAlignedImageSourceGetPowerOfTwoSizeFunction
//input a0 
//output y
ArrayVector vtkGeoAlignedImageSourceGetPowerOfTwoSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetPowerOfTwoSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPowerOfTwoSize for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetPowerOfTwoSize();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:PowerOfTwoSizeOn vtkGeoAlignedImageSourcePowerOfTwoSizeOnFunction
//input a0 
//output none
ArrayVector vtkGeoAlignedImageSourcePowerOfTwoSizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PowerOfTwoSizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PowerOfTwoSizeOn for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  vtk_pointer->PowerOfTwoSizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:PowerOfTwoSizeOff vtkGeoAlignedImageSourcePowerOfTwoSizeOffFunction
//input a0 
//output none
ArrayVector vtkGeoAlignedImageSourcePowerOfTwoSizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PowerOfTwoSizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PowerOfTwoSizeOff for class vtkGeoAlignedImageSource requires 1 argument(s)");
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  Array retval;
  vtk_pointer->PowerOfTwoSizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:SetLatitudeRange vtkGeoAlignedImageSourceSetLatitudeRangeFunction
//input varargin
//output varargout
ArrayVector vtkGeoAlignedImageSourceSetLatitudeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkGeoAlignedImageSourceSetLatitudeRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeoAlignedImageSourceSetLatitudeRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoAlignedImageSourceSetLatitudeRange");
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:SetLongitudeRange vtkGeoAlignedImageSourceSetLongitudeRangeFunction
//input varargin
//output varargout
ArrayVector vtkGeoAlignedImageSourceSetLongitudeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkGeoAlignedImageSourceSetLongitudeRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeoAlignedImageSourceSetLongitudeRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoAlignedImageSourceSetLongitudeRange");
}

//@@Signature
//sfunction @vtkGeoAlignedImageSource:display vtkGeoAlignedImageSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoAlignedImageSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoAlignedImageSource* vtk_pointer = GetVTKPointer<vtkGeoAlignedImageSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoAlignedImageSource:delete vtkGeoAlignedImageSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoAlignedImageSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoAlignedImageSource
//@@Section VTKGeovis
//@@Usage
// vtkGeoAlignedImageSource uses a high resolution image to generate tiles
// at multiple resolutions in a hierarchy. It should be used as a source in
// vtkGeoAlignedImageRepresentation.
//
//To create an instance of class vtkGeoAlignedImageSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoAlignedImageSource
//@]
//@@Methods
//The class vtkGeoAlignedImageSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoAlignedImageSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoAlignedImageSource = obj.NewInstance ()|
// \item @|vtkGeoAlignedImageSource = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.FetchRoot (vtkGeoTreeNode node)| -  Fetch the root image.
//// \item @|bool = obj.FetchChild (vtkGeoTreeNode parent, int index, vtkGeoTreeNode child)| -  Fetch a child image.
//// \item @|vtkImageData = obj.GetImage ()| -  The high-resolution image to be used to cover the globe.
//// \item @|obj.SetImage (vtkImageData image)| -  The high-resolution image to be used to cover the globe.
//// \item @|obj.SetLatitudeRange (double , double )| -  The range of the input hi-res image.
//// \item @|obj.SetLatitudeRange (double  a[2])| -  The range of the input hi-res image.
//// \item @|double = obj. GetLatitudeRange ()| -  The range of the input hi-res image.
//// \item @|obj.SetLongitudeRange (double , double )| -  The range of the input hi-res image.
//// \item @|obj.SetLongitudeRange (double  a[2])| -  The range of the input hi-res image.
//// \item @|double = obj. GetLongitudeRange ()| -  The range of the input hi-res image.
//// \item @|obj.SetOverlap (double )| -  The overlap of adjacent tiles.
//// \item @|double = obj.GetOverlapMinValue ()| -  The overlap of adjacent tiles.
//// \item @|double = obj.GetOverlapMaxValue ()| -  The overlap of adjacent tiles.
//// \item @|double = obj.GetOverlap ()| -  The overlap of adjacent tiles.
//// \item @|obj.SetPowerOfTwoSize (bool )| -  Whether to force image sizes to a power of two.
//// \item @|bool = obj.GetPowerOfTwoSize ()| -  Whether to force image sizes to a power of two.
//// \item @|obj.PowerOfTwoSizeOn ()| -  Whether to force image sizes to a power of two.
//// \item @|obj.PowerOfTwoSizeOff ()| -  Whether to force image sizes to a power of two.
////\end{itemize}
//!
