#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoArcs object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoArcs.h"

//@@Signature
//sfunction @vtkGeoArcs:vtkGeoArcs vtkGeoArcsConstructorFunction
//input a
//output p
//@@Parents vtkGeoArcs vtkPolyDataAlgorithm 
ArrayVector vtkGeoArcsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoArcs::New(),"vtkGeoArcs",eval);
  } else if (arg[0].className() == "vtkGeoArcs") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoArcs"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoArcs");
    vtkGeoArcs*q = reinterpret_cast<vtkGeoArcs*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoArcs");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoArcs:GetClassName vtkGeoArcsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoArcsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoArcs requires 1 argument(s)");
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoArcs:IsA vtkGeoArcsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoArcsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoArcs requires 2 argument(s)");
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoArcs:NewInstance vtkGeoArcsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoArcsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoArcs *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoArcs requires 1 argument(s)");
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  Array retval;
  vtkGeoArcs  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoArcs",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoArcs:SafeDownCast vtkGeoArcsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoArcsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoArcs *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoArcs requires 2 argument(s)");
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoArcs  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoArcs",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoArcs:SetGlobeRadius vtkGeoArcsSetGlobeRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkGeoArcsSetGlobeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlobeRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobeRadius for class vtkGeoArcs requires 2 argument(s)");
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGlobeRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoArcs:GetGlobeRadius vtkGeoArcsGetGlobeRadiusFunction
//input a0 
//output y
ArrayVector vtkGeoArcsGetGlobeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGlobeRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobeRadius for class vtkGeoArcs requires 1 argument(s)");
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGlobeRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoArcs:SetExplodeFactor vtkGeoArcsSetExplodeFactorFunction
//input a0 a1 
//output none
ArrayVector vtkGeoArcsSetExplodeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExplodeFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExplodeFactor for class vtkGeoArcs requires 2 argument(s)");
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetExplodeFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoArcs:GetExplodeFactor vtkGeoArcsGetExplodeFactorFunction
//input a0 
//output y
ArrayVector vtkGeoArcsGetExplodeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetExplodeFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExplodeFactor for class vtkGeoArcs requires 1 argument(s)");
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetExplodeFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoArcs:SetNumberOfSubdivisions vtkGeoArcsSetNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkGeoArcsSetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSubdivisions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSubdivisions for class vtkGeoArcs requires 2 argument(s)");
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoArcs:GetNumberOfSubdivisions vtkGeoArcsGetNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkGeoArcsGetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubdivisions for class vtkGeoArcs requires 1 argument(s)");
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoArcs:display vtkGeoArcsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoArcsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoArcs* vtk_pointer = GetVTKPointer<vtkGeoArcs>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoArcs:delete vtkGeoArcsDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoArcsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoArcs
//@@Section VTKGeovis
//@@Usage
// vtkGeoArcs produces arcs for each line in the input polydata. This is useful
// for viewing lines on a sphere (e.g. the earth). The arcs may "jump" above
// the sphere's surface using ExplodeFactor.
//
//To create an instance of class vtkGeoArcs, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoArcs
//@]
//@@Methods
//The class vtkGeoArcs has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoArcs class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoArcs = obj.NewInstance ()|
// \item @|vtkGeoArcs = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGlobeRadius (double )| -  The base radius used to determine the earth's surface.
// Default is the earth's radius in meters.
//// \item @|double = obj.GetGlobeRadius ()| -  The base radius used to determine the earth's surface.
// Default is the earth's radius in meters.
//// \item @|obj.SetExplodeFactor (double )| -  Factor on which to "explode" the arcs away from the surface.
// A value of 0.0 keeps the values on the surface.
// Values larger than 0.0 push the arcs away from the surface by a distance
// proportional to the distance between the points.
// The default is 0.2.
//// \item @|double = obj.GetExplodeFactor ()| -  Factor on which to "explode" the arcs away from the surface.
// A value of 0.0 keeps the values on the surface.
// Values larger than 0.0 push the arcs away from the surface by a distance
// proportional to the distance between the points.
// The default is 0.2.
//// \item @|obj.SetNumberOfSubdivisions (int )| -  The number of subdivisions in the arc.
// The default is 20.
//// \item @|int = obj.GetNumberOfSubdivisions ()| -  The number of subdivisions in the arc.
// The default is 20.
////\end{itemize}
//!
