#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoAssignCoordinates object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoAssignCoordinates.h"

//@@Signature
//sfunction @vtkGeoAssignCoordinates:vtkGeoAssignCoordinates vtkGeoAssignCoordinatesConstructorFunction
//input a
//output p
//@@Parents vtkGeoAssignCoordinates vtkPassInputTypeAlgorithm 
ArrayVector vtkGeoAssignCoordinatesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoAssignCoordinates::New(),"vtkGeoAssignCoordinates",eval);
  } else if (arg[0].className() == "vtkGeoAssignCoordinates") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoAssignCoordinates"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoAssignCoordinates");
    vtkGeoAssignCoordinates*q = reinterpret_cast<vtkGeoAssignCoordinates*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoAssignCoordinates");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoAssignCoordinates:GetClassName vtkGeoAssignCoordinatesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoAssignCoordinatesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoAssignCoordinates requires 1 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:IsA vtkGeoAssignCoordinatesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoAssignCoordinatesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoAssignCoordinates requires 2 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:NewInstance vtkGeoAssignCoordinatesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoAssignCoordinatesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoAssignCoordinates *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoAssignCoordinates requires 1 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  vtkGeoAssignCoordinates  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoAssignCoordinates",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:SafeDownCast vtkGeoAssignCoordinatesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoAssignCoordinatesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoAssignCoordinates *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoAssignCoordinates requires 2 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoAssignCoordinates  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoAssignCoordinates",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:SetLongitudeArrayName vtkGeoAssignCoordinatesSetLongitudeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAssignCoordinatesSetLongitudeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLongitudeArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLongitudeArrayName for class vtkGeoAssignCoordinates requires 2 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLongitudeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:GetLongitudeArrayName vtkGeoAssignCoordinatesGetLongitudeArrayNameFunction
//input a0 
//output y
ArrayVector vtkGeoAssignCoordinatesGetLongitudeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLongitudeArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitudeArrayName for class vtkGeoAssignCoordinates requires 1 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLongitudeArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:SetLatitudeArrayName vtkGeoAssignCoordinatesSetLatitudeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAssignCoordinatesSetLatitudeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatitudeArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLatitudeArrayName for class vtkGeoAssignCoordinates requires 2 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLatitudeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:GetLatitudeArrayName vtkGeoAssignCoordinatesGetLatitudeArrayNameFunction
//input a0 
//output y
ArrayVector vtkGeoAssignCoordinatesGetLatitudeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLatitudeArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitudeArrayName for class vtkGeoAssignCoordinates requires 1 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLatitudeArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:SetGlobeRadius vtkGeoAssignCoordinatesSetGlobeRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAssignCoordinatesSetGlobeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlobeRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobeRadius for class vtkGeoAssignCoordinates requires 2 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGlobeRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:GetGlobeRadius vtkGeoAssignCoordinatesGetGlobeRadiusFunction
//input a0 
//output y
ArrayVector vtkGeoAssignCoordinatesGetGlobeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGlobeRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobeRadius for class vtkGeoAssignCoordinates requires 1 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGlobeRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:SetTransform vtkGeoAssignCoordinatesSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAssignCoordinatesSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkAbstractTransform *trans); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkGeoAssignCoordinates requires 2 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:GetTransform vtkGeoAssignCoordinatesGetTransformFunction
//input a0 
//output y
ArrayVector vtkGeoAssignCoordinatesGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkGeoAssignCoordinates requires 1 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:SetCoordinatesInArrays vtkGeoAssignCoordinatesSetCoordinatesInArraysFunction
//input a0 a1 
//output none
ArrayVector vtkGeoAssignCoordinatesSetCoordinatesInArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoordinatesInArrays (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoordinatesInArrays for class vtkGeoAssignCoordinates requires 2 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetCoordinatesInArrays(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:GetCoordinatesInArrays vtkGeoAssignCoordinatesGetCoordinatesInArraysFunction
//input a0 
//output y
ArrayVector vtkGeoAssignCoordinatesGetCoordinatesInArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetCoordinatesInArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoordinatesInArrays for class vtkGeoAssignCoordinates requires 1 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetCoordinatesInArrays();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:CoordinatesInArraysOn vtkGeoAssignCoordinatesCoordinatesInArraysOnFunction
//input a0 
//output none
ArrayVector vtkGeoAssignCoordinatesCoordinatesInArraysOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CoordinatesInArraysOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CoordinatesInArraysOn for class vtkGeoAssignCoordinates requires 1 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  vtk_pointer->CoordinatesInArraysOn();
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:CoordinatesInArraysOff vtkGeoAssignCoordinatesCoordinatesInArraysOffFunction
//input a0 
//output none
ArrayVector vtkGeoAssignCoordinatesCoordinatesInArraysOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CoordinatesInArraysOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CoordinatesInArraysOff for class vtkGeoAssignCoordinates requires 1 argument(s)");
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  Array retval;
  vtk_pointer->CoordinatesInArraysOff();
  return retval;
}

//@@Signature
//sfunction @vtkGeoAssignCoordinates:display vtkGeoAssignCoordinatesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoAssignCoordinatesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoAssignCoordinates* vtk_pointer = GetVTKPointer<vtkGeoAssignCoordinates>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoAssignCoordinates:delete vtkGeoAssignCoordinatesDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoAssignCoordinatesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoAssignCoordinates
//@@Section VTKGeovis
//@@Usage
// Givem latitude and longitude arrays, 
// take the values in those arrays and convert them to x,y,z world coordinates.
// Uses a spherical model of the earth to do the conversion.
// The position is in meters relative to the center of the earth.
//
// If a transform is given, use the transform to convert latitude and longitude
// to the world coordinate.
//
//To create an instance of class vtkGeoAssignCoordinates, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoAssignCoordinates
//@]
//@@Methods
//The class vtkGeoAssignCoordinates has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoAssignCoordinates class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoAssignCoordinates = obj.NewInstance ()|
// \item @|vtkGeoAssignCoordinates = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLongitudeArrayName (string )| -  Set the longitude coordinate array name. 
//// \item @|string = obj.GetLongitudeArrayName ()| -  Set the longitude coordinate array name. 
//// \item @|obj.SetLatitudeArrayName (string )| -  Set the latitude coordinate array name. 
//// \item @|string = obj.GetLatitudeArrayName ()| -  Set the latitude coordinate array name. 
//// \item @|obj.SetGlobeRadius (double )| -  The base radius to use in GLOBAL mode.
// Default is the earth's radius.
//// \item @|double = obj.GetGlobeRadius ()| -  The base radius to use in GLOBAL mode.
// Default is the earth's radius.
//// \item @|obj.SetTransform (vtkAbstractTransform trans)| -  The transform to use to convert coordinates of the form
// (lat, long, 0) to (x, y z). If this is NULL (the default),
// use GlobeRadius to perform a spherical embedding.
//// \item @|vtkAbstractTransform = obj.GetTransform ()| -  The transform to use to convert coordinates of the form
// (lat, long, 0) to (x, y z). If this is NULL (the default),
// use GlobeRadius to perform a spherical embedding.
//// \item @|obj.SetCoordinatesInArrays (bool )| -  If on, uses LatitudeArrayName and LongitudeArrayName to
// move values in data arrays into the points of the data set.
// Turn off if the lattitude and longitude are already in
// the points.
//// \item @|bool = obj.GetCoordinatesInArrays ()| -  If on, uses LatitudeArrayName and LongitudeArrayName to
// move values in data arrays into the points of the data set.
// Turn off if the lattitude and longitude are already in
// the points.
//// \item @|obj.CoordinatesInArraysOn ()| -  If on, uses LatitudeArrayName and LongitudeArrayName to
// move values in data arrays into the points of the data set.
// Turn off if the lattitude and longitude are already in
// the points.
//// \item @|obj.CoordinatesInArraysOff ()| -  If on, uses LatitudeArrayName and LongitudeArrayName to
// move values in data arrays into the points of the data set.
// Turn off if the lattitude and longitude are already in
// the points.
////\end{itemize}
//!
