#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoCamera object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoCamera.h"

//@@Signature
//sfunction @vtkGeoCamera:vtkGeoCamera vtkGeoCameraConstructorFunction
//input a
//output p
//@@Parents vtkGeoCamera vtkObject 
ArrayVector vtkGeoCameraConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoCamera::New(),"vtkGeoCamera",eval);
  } else if (arg[0].className() == "vtkGeoCamera") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoCamera"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoCamera");
    vtkGeoCamera*q = reinterpret_cast<vtkGeoCamera*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoCamera");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoCamera:GetClassName vtkGeoCameraGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:IsA vtkGeoCameraIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoCameraIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:NewInstance vtkGeoCameraNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoCameraNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoCamera *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  vtkGeoCamera  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:SafeDownCast vtkGeoCameraSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoCameraSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoCamera *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoCamera  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetPosition vtkGeoCameraGetPositionFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:SetLongitude vtkGeoCameraSetLongitudeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoCameraSetLongitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLongitude (double longitude); */
  if (arg.size() < 2) 
    throw Exception("Function SetLongitude for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLongitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetLongitude vtkGeoCameraGetLongitudeFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetLongitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLongitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitude for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLongitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:SetLatitude vtkGeoCameraSetLatitudeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoCameraSetLatitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatitude (double latitude); */
  if (arg.size() < 2) 
    throw Exception("Function SetLatitude for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLatitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetLatitude vtkGeoCameraGetLatitudeFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetLatitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLatitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitude for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLatitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:SetDistance vtkGeoCameraSetDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkGeoCameraSetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistance (double Distance); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistance for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetDistance vtkGeoCameraGetDistanceFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistance for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:SetHeading vtkGeoCameraSetHeadingFunction
//input a0 a1 
//output none
ArrayVector vtkGeoCameraSetHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeading (double heading); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeading for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeading(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetHeading vtkGeoCameraGetHeadingFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeading (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeading for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeading();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:SetTilt vtkGeoCameraSetTiltFunction
//input a0 a1 
//output none
ArrayVector vtkGeoCameraSetTiltFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTilt (double tilt); */
  if (arg.size() < 2) 
    throw Exception("Function SetTilt for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTilt(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetTilt vtkGeoCameraGetTiltFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetTiltFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTilt (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTilt for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTilt();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetVTKCamera vtkGeoCameraGetVTKCameraFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetVTKCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetVTKCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVTKCamera for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetVTKCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:InitializeNodeAnalysis vtkGeoCameraInitializeNodeAnalysisFunction
//input a0 a1 
//output none
ArrayVector vtkGeoCameraInitializeNodeAnalysisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeNodeAnalysis (int rendererSize[2]); */
  if (arg.size() < 2) 
    throw Exception("Function InitializeNodeAnalysis for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->InitializeNodeAnalysis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetNodeCoverage vtkGeoCameraGetNodeCoverageFunction
//input a0 a1 
//output y
ArrayVector vtkGeoCameraGetNodeCoverageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetNodeCoverage (vtkGeoTerrainNode *node); */
  if (arg.size() < 2) 
    throw Exception("Function GetNodeCoverage for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  vtkGeoTerrainNode  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkGeoTerrainNode>(arg[1]);
  temp20 = (vtk_pointer)->GetNodeCoverage(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetLockHeading vtkGeoCameraGetLockHeadingFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetLockHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetLockHeading (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLockHeading for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLockHeading();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:SetLockHeading vtkGeoCameraSetLockHeadingFunction
//input a0 a1 
//output none
ArrayVector vtkGeoCameraSetLockHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLockHeading (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLockHeading for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetLockHeading(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:LockHeadingOn vtkGeoCameraLockHeadingOnFunction
//input a0 
//output none
ArrayVector vtkGeoCameraLockHeadingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LockHeadingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LockHeadingOn for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  vtk_pointer->LockHeadingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:LockHeadingOff vtkGeoCameraLockHeadingOffFunction
//input a0 
//output none
ArrayVector vtkGeoCameraLockHeadingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LockHeadingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LockHeadingOff for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  vtk_pointer->LockHeadingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:SetOriginLatitude vtkGeoCameraSetOriginLatitudeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoCameraSetOriginLatitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginLatitude (double oLat); */
  if (arg.size() < 2) 
    throw Exception("Function SetOriginLatitude for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOriginLatitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetOriginLatitude vtkGeoCameraGetOriginLatitudeFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetOriginLatitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOriginLatitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOriginLatitude for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOriginLatitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:SetOriginLongitude vtkGeoCameraSetOriginLongitudeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoCameraSetOriginLongitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginLongitude (double oLat); */
  if (arg.size() < 2) 
    throw Exception("Function SetOriginLongitude for class vtkGeoCamera requires 2 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOriginLongitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetOriginLongitude vtkGeoCameraGetOriginLongitudeFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetOriginLongitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOriginLongitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOriginLongitude for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOriginLongitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:GetOrigin vtkGeoCameraGetOriginFunction
//input a0 
//output y
ArrayVector vtkGeoCameraGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkGeoCamera requires 1 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:SetOrigin vtkGeoCameraSetOriginFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGeoCameraSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double ox, double oy, double oz);this Origin ox this Origin oy this Origin oz this UpdateVTKCamera  */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin for class vtkGeoCamera requires 4 argument(s)");
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGeoCamera:display vtkGeoCameraDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoCameraDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoCamera* vtk_pointer = GetVTKPointer<vtkGeoCamera>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoCamera:delete vtkGeoCameraDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoCameraDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoCamera
//@@Section VTKGeovis
//@@Usage
// I wanted to hide the normal vtkCamera API
// so I did not make this a subclass.  The camera is a helper object.
// You can get a pointer to the camera, but it should be treated like
// a const.
//
//To create an instance of class vtkGeoCamera, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoCamera
//@]
//@@Methods
//The class vtkGeoCamera has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoCamera class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoCamera = obj.NewInstance ()|
// \item @|vtkGeoCamera = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj. GetPosition ()| -  Get the world position without the origin shift.
//// \item @|obj.SetLongitude (double longitude)| -  Longitude is in degrees: (-180->180)
//   Relative to absolute coordinates.
//  Rotate Longitude  around z axis (earth axis),
//// \item @|double = obj.GetLongitude ()| -  Longitude is in degrees: (-180->180)
//   Relative to absolute coordinates.
//  Rotate Longitude  around z axis (earth axis),
//// \item @|obj.SetLatitude (double latitude)| -   Latitude is in degrees: (-90->90)
//    Relative to Longitude.
//  Rotate Latitude   around x axis by Latitude, 
//// \item @|double = obj.GetLatitude ()| -   Latitude is in degrees: (-90->90)
//    Relative to Longitude.
//  Rotate Latitude   around x axis by Latitude, 
//// \item @|obj.SetDistance (double Distance)| -  Distance is in Meters
//   Relative to Longitude and Latitude.
//   above sea level   ???? should we make this from center of earth ????
//                    ???? what about equatorial bulge ????
//// \item @|double = obj.GetDistance ()| -  Distance is in Meters
//   Relative to Longitude and Latitude.
//   above sea level   ???? should we make this from center of earth ????
//                    ???? what about equatorial bulge ????
//// \item @|obj.SetHeading (double heading)| -  Heading is in degrees:  (-180->180)
//   Relative to Logitude and Latitude.
//   0 is north. 
//   90 is east.       ???? what is the standard ????
//   180 is south.
//   -90 is west.  
//  Rotate Heading    around -y axis Center,     
//// \item @|double = obj.GetHeading ()| -  Heading is in degrees:  (-180->180)
//   Relative to Logitude and Latitude.
//   0 is north. 
//   90 is east.       ???? what is the standard ????
//   180 is south.
//   -90 is west.  
//  Rotate Heading    around -y axis Center,     
//// \item @|obj.SetTilt (double tilt)| -  Tilt is also know as pitch.
// Tilt is in degrees: (0->90)
//   Relative to Longitude, Latitude, and Heading.
// Rotate Tilt       around x axis,             
//// \item @|double = obj.GetTilt ()| -  Tilt is also know as pitch.
// Tilt is in degrees: (0->90)
//   Relative to Longitude, Latitude, and Heading.
// Rotate Tilt       around x axis,             
//// \item @|vtkCamera = obj.GetVTKCamera ()| -  This vtk camera is updated to match this geo cameras state.
// It should be treated as a const and should not be modified.
//// \item @|obj.InitializeNodeAnalysis (int rendererSize[2])| -  We precompute some values to speed up update of the terrain.
// Unfortunately, they have to be manually/explicitely updated
// when the camera or renderer size changes.
//// \item @|double = obj.GetNodeCoverage (vtkGeoTerrainNode node)| -  This method estimates how much of the view is covered by the sphere.
// Returns a value from 0 to 1.
//// \item @|bool = obj.GetLockHeading ()|
// \item @|obj.SetLockHeading (bool )|
// \item @|obj.LockHeadingOn ()|
// \item @|obj.LockHeadingOff ()|
// \item @|obj.SetOriginLatitude (double oLat)| -  This point is shifted to 0,0,0 to avoid openGL issues.
//// \item @|double = obj.GetOriginLatitude ()| -  This point is shifted to 0,0,0 to avoid openGL issues.
//// \item @|obj.SetOriginLongitude (double oLat)| -  This point is shifted to 0,0,0 to avoid openGL issues.
//// \item @|double = obj.GetOriginLongitude ()| -  This point is shifted to 0,0,0 to avoid openGL issues.
//// \item @|double = obj. GetOrigin ()| -  Get the rectilinear cooridinate location of the origin.
// This is used to shift the terrain points.
//// \item @|obj.SetOrigin (double ox, double oy, double oz)|
//\end{itemize}
//!
