#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoFileImageSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoFileImageSource.h"

//@@Signature
//sfunction @vtkGeoFileImageSource:vtkGeoFileImageSource vtkGeoFileImageSourceConstructorFunction
//input a
//output p
//@@Parents vtkGeoFileImageSource vtkGeoSource 
ArrayVector vtkGeoFileImageSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoFileImageSource::New(),"vtkGeoFileImageSource",eval);
  } else if (arg[0].className() == "vtkGeoFileImageSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoFileImageSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoFileImageSource");
    vtkGeoFileImageSource*q = reinterpret_cast<vtkGeoFileImageSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoFileImageSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoFileImageSource:GetClassName vtkGeoFileImageSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoFileImageSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoFileImageSource requires 1 argument(s)");
  vtkGeoFileImageSource* vtk_pointer = GetVTKPointer<vtkGeoFileImageSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileImageSource:IsA vtkGeoFileImageSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoFileImageSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoFileImageSource requires 2 argument(s)");
  vtkGeoFileImageSource* vtk_pointer = GetVTKPointer<vtkGeoFileImageSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileImageSource:NewInstance vtkGeoFileImageSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoFileImageSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoFileImageSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoFileImageSource requires 1 argument(s)");
  vtkGeoFileImageSource* vtk_pointer = GetVTKPointer<vtkGeoFileImageSource>(arg[0]);
  Array retval;
  vtkGeoFileImageSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoFileImageSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileImageSource:SafeDownCast vtkGeoFileImageSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoFileImageSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoFileImageSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoFileImageSource requires 2 argument(s)");
  vtkGeoFileImageSource* vtk_pointer = GetVTKPointer<vtkGeoFileImageSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoFileImageSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoFileImageSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileImageSource:FetchRoot vtkGeoFileImageSourceFetchRootFunction
//input a0 a1 
//output y
ArrayVector vtkGeoFileImageSourceFetchRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchRoot (vtkGeoTreeNode *root); */
  if (arg.size() < 2) 
    throw Exception("Function FetchRoot for class vtkGeoFileImageSource requires 2 argument(s)");
  vtkGeoFileImageSource* vtk_pointer = GetVTKPointer<vtkGeoFileImageSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  temp20 = (vtk_pointer)->FetchRoot(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileImageSource:FetchChild vtkGeoFileImageSourceFetchChildFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGeoFileImageSourceFetchChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchChild (vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child); */
  if (arg.size() < 4) 
    throw Exception("Function FetchChild for class vtkGeoFileImageSource requires 4 argument(s)");
  vtkGeoFileImageSource* vtk_pointer = GetVTKPointer<vtkGeoFileImageSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkGeoTreeNode>(arg[3]);
  temp20 = (vtk_pointer)->FetchChild(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileImageSource:SetPath vtkGeoFileImageSourceSetPathFunction
//input a0 a1 
//output none
ArrayVector vtkGeoFileImageSourceSetPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPath (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPath for class vtkGeoFileImageSource requires 2 argument(s)");
  vtkGeoFileImageSource* vtk_pointer = GetVTKPointer<vtkGeoFileImageSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPath(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileImageSource:GetPath vtkGeoFileImageSourceGetPathFunction
//input a0 
//output y
ArrayVector vtkGeoFileImageSourceGetPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPath (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPath for class vtkGeoFileImageSource requires 1 argument(s)");
  vtkGeoFileImageSource* vtk_pointer = GetVTKPointer<vtkGeoFileImageSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPath();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileImageSource:display vtkGeoFileImageSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoFileImageSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoFileImageSource* vtk_pointer = GetVTKPointer<vtkGeoFileImageSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoFileImageSource:delete vtkGeoFileImageSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoFileImageSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoFileImageSource
//@@Section VTKGeovis
//@@Usage
// vtkGeoFileImageSource is a vtkGeoSource that fetches .vti images from
// disk in a directory with a certain naming scheme. You may use
// vtkGeoAlignedImageRepresentation's SaveDatabase method to generate
// an database of image tiles in this format.
//
//To create an instance of class vtkGeoFileImageSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoFileImageSource
//@]
//@@Methods
//The class vtkGeoFileImageSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoFileImageSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoFileImageSource = obj.NewInstance ()|
// \item @|vtkGeoFileImageSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGeoFileImageSource = obj.()|
// \item @|~vtkGeoFileImageSource = obj.()|
// \item @|bool = obj.FetchRoot (vtkGeoTreeNode root)| -  Fetches the root image representing the whole globe.
//// \item @|bool = obj.FetchChild (vtkGeoTreeNode node, int index, vtkGeoTreeNode child)| -  Fetches the child image of a parent from disk.
//// \item @|obj.SetPath (string )| -  The path the tiled image database.
//// \item @|string = obj.GetPath ()| -  The path the tiled image database.
////\end{itemize}
//!
