#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoFileTerrainSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoFileTerrainSource.h"

//@@Signature
//sfunction @vtkGeoFileTerrainSource:vtkGeoFileTerrainSource vtkGeoFileTerrainSourceConstructorFunction
//input a
//output p
//@@Parents vtkGeoFileTerrainSource vtkGeoSource 
ArrayVector vtkGeoFileTerrainSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoFileTerrainSource::New(),"vtkGeoFileTerrainSource",eval);
  } else if (arg[0].className() == "vtkGeoFileTerrainSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoFileTerrainSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoFileTerrainSource");
    vtkGeoFileTerrainSource*q = reinterpret_cast<vtkGeoFileTerrainSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoFileTerrainSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoFileTerrainSource:GetClassName vtkGeoFileTerrainSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoFileTerrainSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoFileTerrainSource requires 1 argument(s)");
  vtkGeoFileTerrainSource* vtk_pointer = GetVTKPointer<vtkGeoFileTerrainSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileTerrainSource:IsA vtkGeoFileTerrainSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoFileTerrainSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoFileTerrainSource requires 2 argument(s)");
  vtkGeoFileTerrainSource* vtk_pointer = GetVTKPointer<vtkGeoFileTerrainSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileTerrainSource:NewInstance vtkGeoFileTerrainSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoFileTerrainSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoFileTerrainSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoFileTerrainSource requires 1 argument(s)");
  vtkGeoFileTerrainSource* vtk_pointer = GetVTKPointer<vtkGeoFileTerrainSource>(arg[0]);
  Array retval;
  vtkGeoFileTerrainSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoFileTerrainSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileTerrainSource:SafeDownCast vtkGeoFileTerrainSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoFileTerrainSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoFileTerrainSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoFileTerrainSource requires 2 argument(s)");
  vtkGeoFileTerrainSource* vtk_pointer = GetVTKPointer<vtkGeoFileTerrainSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoFileTerrainSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoFileTerrainSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileTerrainSource:FetchRoot vtkGeoFileTerrainSourceFetchRootFunction
//input a0 a1 
//output y
ArrayVector vtkGeoFileTerrainSourceFetchRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchRoot (vtkGeoTreeNode *root); */
  if (arg.size() < 2) 
    throw Exception("Function FetchRoot for class vtkGeoFileTerrainSource requires 2 argument(s)");
  vtkGeoFileTerrainSource* vtk_pointer = GetVTKPointer<vtkGeoFileTerrainSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  temp20 = (vtk_pointer)->FetchRoot(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileTerrainSource:FetchChild vtkGeoFileTerrainSourceFetchChildFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGeoFileTerrainSourceFetchChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchChild (vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child); */
  if (arg.size() < 4) 
    throw Exception("Function FetchChild for class vtkGeoFileTerrainSource requires 4 argument(s)");
  vtkGeoFileTerrainSource* vtk_pointer = GetVTKPointer<vtkGeoFileTerrainSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkGeoTreeNode>(arg[3]);
  temp20 = (vtk_pointer)->FetchChild(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileTerrainSource:SetPath vtkGeoFileTerrainSourceSetPathFunction
//input a0 a1 
//output none
ArrayVector vtkGeoFileTerrainSourceSetPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPath (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPath for class vtkGeoFileTerrainSource requires 2 argument(s)");
  vtkGeoFileTerrainSource* vtk_pointer = GetVTKPointer<vtkGeoFileTerrainSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPath(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileTerrainSource:GetPath vtkGeoFileTerrainSourceGetPathFunction
//input a0 
//output y
ArrayVector vtkGeoFileTerrainSourceGetPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPath (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPath for class vtkGeoFileTerrainSource requires 1 argument(s)");
  vtkGeoFileTerrainSource* vtk_pointer = GetVTKPointer<vtkGeoFileTerrainSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPath();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoFileTerrainSource:display vtkGeoFileTerrainSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoFileTerrainSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoFileTerrainSource* vtk_pointer = GetVTKPointer<vtkGeoFileTerrainSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoFileTerrainSource:delete vtkGeoFileTerrainSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoFileTerrainSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoFileTerrainSource
//@@Section VTKGeovis
//@@Usage
// vtkGeoFileTerrainSource reads geometry tiles as .vtp files from a
// directory that follow a certain naming convention containing the level
// of the patch and the position within that level. Use vtkGeoTerrain's
// SaveDatabase method to create a database of files in this format.
//
//To create an instance of class vtkGeoFileTerrainSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoFileTerrainSource
//@]
//@@Methods
//The class vtkGeoFileTerrainSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoFileTerrainSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoFileTerrainSource = obj.NewInstance ()|
// \item @|vtkGeoFileTerrainSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGeoFileTerrainSource = obj.()|
// \item @|~vtkGeoFileTerrainSource = obj.()|
// \item @|bool = obj.FetchRoot (vtkGeoTreeNode root)| -  Retrieve the root geometry representing the entire globe.
//// \item @|bool = obj.FetchChild (vtkGeoTreeNode node, int index, vtkGeoTreeNode child)|
// \item @|obj.SetPath (string )| -  The path the tiled geometry database.
//// \item @|string = obj.GetPath ()| -  The path the tiled geometry database.
////\end{itemize}
//!
