#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoGlobeSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoGlobeSource.h"

//@@Signature
//sfunction @vtkGeoGlobeSource:vtkGeoGlobeSource vtkGeoGlobeSourceConstructorFunction
//input a
//output p
//@@Parents vtkGeoGlobeSource vtkGeoSource 
ArrayVector vtkGeoGlobeSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoGlobeSource::New(),"vtkGeoGlobeSource",eval);
  } else if (arg[0].className() == "vtkGeoGlobeSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoGlobeSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoGlobeSource");
    vtkGeoGlobeSource*q = reinterpret_cast<vtkGeoGlobeSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoGlobeSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoGlobeSource:GetClassName vtkGeoGlobeSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoGlobeSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoGlobeSource requires 1 argument(s)");
  vtkGeoGlobeSource* vtk_pointer = GetVTKPointer<vtkGeoGlobeSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGlobeSource:IsA vtkGeoGlobeSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoGlobeSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoGlobeSource requires 2 argument(s)");
  vtkGeoGlobeSource* vtk_pointer = GetVTKPointer<vtkGeoGlobeSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGlobeSource:NewInstance vtkGeoGlobeSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoGlobeSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoGlobeSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoGlobeSource requires 1 argument(s)");
  vtkGeoGlobeSource* vtk_pointer = GetVTKPointer<vtkGeoGlobeSource>(arg[0]);
  Array retval;
  vtkGeoGlobeSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoGlobeSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGlobeSource:SafeDownCast vtkGeoGlobeSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoGlobeSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoGlobeSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoGlobeSource requires 2 argument(s)");
  vtkGeoGlobeSource* vtk_pointer = GetVTKPointer<vtkGeoGlobeSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoGlobeSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoGlobeSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGlobeSource:FetchRoot vtkGeoGlobeSourceFetchRootFunction
//input a0 a1 
//output y
ArrayVector vtkGeoGlobeSourceFetchRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchRoot (vtkGeoTreeNode *root); */
  if (arg.size() < 2) 
    throw Exception("Function FetchRoot for class vtkGeoGlobeSource requires 2 argument(s)");
  vtkGeoGlobeSource* vtk_pointer = GetVTKPointer<vtkGeoGlobeSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  temp20 = (vtk_pointer)->FetchRoot(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGlobeSource:FetchChild vtkGeoGlobeSourceFetchChildFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGeoGlobeSourceFetchChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchChild (vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child); */
  if (arg.size() < 4) 
    throw Exception("Function FetchChild for class vtkGeoGlobeSource requires 4 argument(s)");
  vtkGeoGlobeSource* vtk_pointer = GetVTKPointer<vtkGeoGlobeSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkGeoTreeNode>(arg[3]);
  temp20 = (vtk_pointer)->FetchChild(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGlobeSource:display vtkGeoGlobeSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoGlobeSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoGlobeSource* vtk_pointer = GetVTKPointer<vtkGeoGlobeSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoGlobeSource:delete vtkGeoGlobeSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoGlobeSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoGlobeSource
//@@Section VTKGeovis
//@@Usage
// vtkGeoGlobeSource is a 3D vtkGeoSource suitable for use in vtkGeoTerrain.
// It uses the vtkGlobeSource filter to produce terrain patches.
//
//To create an instance of class vtkGeoGlobeSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoGlobeSource
//@]
//@@Methods
//The class vtkGeoGlobeSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoGlobeSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoGlobeSource = obj.NewInstance ()|
// \item @|vtkGeoGlobeSource = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.FetchRoot (vtkGeoTreeNode root)| -  Fetches a low-resolution sphere for the entire globe.
//// \item @|bool = obj.FetchChild (vtkGeoTreeNode node, int index, vtkGeoTreeNode child)| -  Fetches a refined geometry patch, a section of a sphere.
////\end{itemize}
//!
