#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoGraticule object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoGraticule.h"

//@@Signature
//sfunction @vtkGeoGraticule:vtkGeoGraticule vtkGeoGraticuleConstructorFunction
//input a
//output p
//@@Parents vtkGeoGraticule vtkPolyDataAlgorithm 
ArrayVector vtkGeoGraticuleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoGraticule::New(),"vtkGeoGraticule",eval);
  } else if (arg[0].className() == "vtkGeoGraticule") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoGraticule"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoGraticule");
    vtkGeoGraticule*q = reinterpret_cast<vtkGeoGraticule*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoGraticule");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoGraticule:GetClassName vtkGeoGraticuleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:IsA vtkGeoGraticuleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoGraticuleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoGraticule requires 2 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:NewInstance vtkGeoGraticuleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoGraticule *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  vtkGeoGraticule  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoGraticule",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:SafeDownCast vtkGeoGraticuleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoGraticuleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoGraticule *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoGraticule requires 2 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoGraticule  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoGraticule",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:SetLatitudeBounds__1 vtkGeoGraticuleSetLatitudeBounds__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeoGraticuleSetLatitudeBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatitudeBounds (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetLatitudeBounds__1 for class vtkGeoGraticule requires 3 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetLatitudeBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:SetLatitudeBounds__2 vtkGeoGraticuleSetLatitudeBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkGeoGraticuleSetLatitudeBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatitudeBounds (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLatitudeBounds__2 for class vtkGeoGraticule requires 2 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetLatitudeBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetLatitudeBounds vtkGeoGraticuleGetLatitudeBoundsFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleGetLatitudeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLatitudeBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitudeBounds for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLatitudeBounds();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:SetLongitudeBounds__1 vtkGeoGraticuleSetLongitudeBounds__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeoGraticuleSetLongitudeBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLongitudeBounds (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetLongitudeBounds__1 for class vtkGeoGraticule requires 3 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetLongitudeBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:SetLongitudeBounds__2 vtkGeoGraticuleSetLongitudeBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkGeoGraticuleSetLongitudeBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLongitudeBounds (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLongitudeBounds__2 for class vtkGeoGraticule requires 2 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetLongitudeBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetLongitudeBounds vtkGeoGraticuleGetLongitudeBoundsFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleGetLongitudeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLongitudeBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitudeBounds for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLongitudeBounds();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:SetLatitudeLevel vtkGeoGraticuleSetLatitudeLevelFunction
//input a0 a1 
//output none
ArrayVector vtkGeoGraticuleSetLatitudeLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatitudeLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLatitudeLevel for class vtkGeoGraticule requires 2 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLatitudeLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetLatitudeLevelMinValue vtkGeoGraticuleGetLatitudeLevelMinValueFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleGetLatitudeLevelMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLatitudeLevelMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitudeLevelMinValue for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLatitudeLevelMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetLatitudeLevelMaxValue vtkGeoGraticuleGetLatitudeLevelMaxValueFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleGetLatitudeLevelMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLatitudeLevelMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitudeLevelMaxValue for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLatitudeLevelMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetLatitudeLevel vtkGeoGraticuleGetLatitudeLevelFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleGetLatitudeLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLatitudeLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitudeLevel for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLatitudeLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:SetLongitudeLevel vtkGeoGraticuleSetLongitudeLevelFunction
//input a0 a1 
//output none
ArrayVector vtkGeoGraticuleSetLongitudeLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLongitudeLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLongitudeLevel for class vtkGeoGraticule requires 2 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLongitudeLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetLongitudeLevelMinValue vtkGeoGraticuleGetLongitudeLevelMinValueFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleGetLongitudeLevelMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLongitudeLevelMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitudeLevelMinValue for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLongitudeLevelMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetLongitudeLevelMaxValue vtkGeoGraticuleGetLongitudeLevelMaxValueFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleGetLongitudeLevelMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLongitudeLevelMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitudeLevelMaxValue for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLongitudeLevelMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetLongitudeLevel vtkGeoGraticuleGetLongitudeLevelFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleGetLongitudeLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLongitudeLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitudeLevel for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLongitudeLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetLatitudeDelta vtkGeoGraticuleGetLatitudeDeltaFunction
//input a0 a1 
//output y
ArrayVector vtkGeoGraticuleGetLatitudeDeltaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double GetLatitudeDelta (int level);return LatitudeLevelTics level  */
  if (arg.size() < 2) 
    throw Exception("Function GetLatitudeDelta for class vtkGeoGraticule requires 2 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLatitudeDelta(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetLongitudeDelta vtkGeoGraticuleGetLongitudeDeltaFunction
//input a0 a1 
//output y
ArrayVector vtkGeoGraticuleGetLongitudeDeltaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double GetLongitudeDelta (int level);return LongitudeLevelTics level  */
  if (arg.size() < 2) 
    throw Exception("Function GetLongitudeDelta for class vtkGeoGraticule requires 2 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLongitudeDelta(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:SetGeometryType vtkGeoGraticuleSetGeometryTypeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoGraticuleSetGeometryTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeometryType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeometryType for class vtkGeoGraticule requires 2 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeometryType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:GetGeometryType vtkGeoGraticuleGetGeometryTypeFunction
//input a0 
//output y
ArrayVector vtkGeoGraticuleGetGeometryTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeometryType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeometryType for class vtkGeoGraticule requires 1 argument(s)");
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeometryType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoGraticule:SetLatitudeBounds vtkGeoGraticuleSetLatitudeBoundsFunction
//input varargin
//output varargout
ArrayVector vtkGeoGraticuleSetLatitudeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkGeoGraticuleSetLatitudeBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeoGraticuleSetLatitudeBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoGraticuleSetLatitudeBounds");
}

//@@Signature
//sfunction @vtkGeoGraticule:SetLongitudeBounds vtkGeoGraticuleSetLongitudeBoundsFunction
//input varargin
//output varargout
ArrayVector vtkGeoGraticuleSetLongitudeBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkGeoGraticuleSetLongitudeBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeoGraticuleSetLongitudeBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoGraticuleSetLongitudeBounds");
}

//@@Signature
//sfunction @vtkGeoGraticule:display vtkGeoGraticuleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoGraticuleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoGraticule* vtk_pointer = GetVTKPointer<vtkGeoGraticule>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoGraticule:delete vtkGeoGraticuleDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoGraticuleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoGraticule
//@@Section VTKGeovis
//@@Usage
// This filter generates polydata to illustrate the distortions introduced
// by a map projection. The level parameter specifies the number of lines
// to be drawn. Poles are treated differently than other regions; hence the
// use of a Level parameter instead of a NumberOfLines parameter.
// The latitude and longitude are specified as half-open intervals with units
// of degrees. By default the latitude bounds are [-90,90[ and the longitude
// bounds are [0,180[.
//
//To create an instance of class vtkGeoGraticule, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoGraticule
//@]
//@@Methods
//The class vtkGeoGraticule has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoGraticule class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoGraticule = obj.NewInstance ()|
// \item @|vtkGeoGraticule = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLatitudeBounds (double , double )| -  The latitude bounds of the graticule.
//// \item @|obj.SetLatitudeBounds (double  a[2])| -  The latitude bounds of the graticule.
//// \item @|double = obj. GetLatitudeBounds ()| -  The latitude bounds of the graticule.
//// \item @|obj.SetLongitudeBounds (double , double )| -  The longitude bounds of the graticule.
//// \item @|obj.SetLongitudeBounds (double  a[2])| -  The longitude bounds of the graticule.
//// \item @|double = obj. GetLongitudeBounds ()| -  The longitude bounds of the graticule.
//// \item @|obj.SetLatitudeLevel (int )| -  The frequency level of latitude lines.
//// \item @|int = obj.GetLatitudeLevelMinValue ()| -  The frequency level of latitude lines.
//// \item @|int = obj.GetLatitudeLevelMaxValue ()| -  The frequency level of latitude lines.
//// \item @|int = obj.GetLatitudeLevel ()| -  The frequency level of latitude lines.
//// \item @|obj.SetLongitudeLevel (int )| -  The frequency level of longitude lines.
//// \item @|int = obj.GetLongitudeLevelMinValue ()| -  The frequency level of longitude lines.
//// \item @|int = obj.GetLongitudeLevelMaxValue ()| -  The frequency level of longitude lines.
//// \item @|int = obj.GetLongitudeLevel ()| -  The frequency level of longitude lines.
//// \item @|obj.SetGeometryType (int )| -  Set//get the type(s) of cells that will be
// output by the filter. By default, polylines
// are output. You may also request quadrilaterals. 
// This is a bit vector of GeometryType enums.
//// \item @|int = obj.GetGeometryType ()| -  Set//get the type(s) of cells that will be
// output by the filter. By default, polylines
// are output. You may also request quadrilaterals. 
// This is a bit vector of GeometryType enums.
////\end{itemize}
//!
