#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoImageNode object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoImageNode.h"

//@@Signature
//sfunction @vtkGeoImageNode:vtkGeoImageNode vtkGeoImageNodeConstructorFunction
//input a
//output p
//@@Parents vtkGeoImageNode vtkGeoTreeNode 
ArrayVector vtkGeoImageNodeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoImageNode::New(),"vtkGeoImageNode",eval);
  } else if (arg[0].className() == "vtkGeoImageNode") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoImageNode"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoImageNode");
    vtkGeoImageNode*q = reinterpret_cast<vtkGeoImageNode*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoImageNode");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoImageNode:GetClassName vtkGeoImageNodeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoImageNodeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoImageNode requires 1 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:IsA vtkGeoImageNodeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoImageNodeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoImageNode requires 2 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:NewInstance vtkGeoImageNodeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoImageNodeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoImageNode *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoImageNode requires 1 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtkGeoImageNode  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoImageNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:SafeDownCast vtkGeoImageNodeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoImageNodeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoImageNode *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoImageNode requires 2 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoImageNode  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoImageNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:GetChild vtkGeoImageNodeGetChildFunction
//input a0 a1 
//output y
ArrayVector vtkGeoImageNodeGetChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoImageNode *GetChild (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetChild for class vtkGeoImageNode requires 2 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  int      temp0;
  vtkGeoImageNode  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetChild(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoImageNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:GetParent vtkGeoImageNodeGetParentFunction
//input a0 
//output y
ArrayVector vtkGeoImageNodeGetParentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoImageNode *GetParent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParent for class vtkGeoImageNode requires 1 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtkGeoImageNode  *temp20;
  temp20 = (vtk_pointer)->GetParent();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoImageNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:GetImage vtkGeoImageNodeGetImageFunction
//input a0 
//output y
ArrayVector vtkGeoImageNodeGetImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImage for class vtkGeoImageNode requires 1 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetImage();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:SetImage vtkGeoImageNodeSetImageFunction
//input a0 a1 
//output none
ArrayVector vtkGeoImageNodeSetImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImage (vtkImageData *image); */
  if (arg.size() < 2) 
    throw Exception("Function SetImage for class vtkGeoImageNode requires 2 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:GetTexture vtkGeoImageNodeGetTextureFunction
//input a0 
//output y
ArrayVector vtkGeoImageNodeGetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *GetTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexture for class vtkGeoImageNode requires 1 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtkTexture  *temp20;
  temp20 = (vtk_pointer)->GetTexture();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:SetTexture vtkGeoImageNodeSetTextureFunction
//input a0 a1 
//output none
ArrayVector vtkGeoImageNodeSetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTexture (vtkTexture *texture); */
  if (arg.size() < 2) 
    throw Exception("Function SetTexture for class vtkGeoImageNode requires 2 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtkTexture  *temp0;
  temp0 = GetVTKPointer<vtkTexture>(arg[1]);
  vtk_pointer->SetTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:CropImageForTile vtkGeoImageNodeCropImageForTileFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGeoImageNodeCropImageForTileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CropImageForTile (vtkImageData *image, double *imageLonLatExt, const char *prefix); */
  if (arg.size() < 4) 
    throw Exception("Function CropImageForTile for class vtkGeoImageNode requires 4 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  double  *temp1;
  char    *temp2;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  vtk_pointer->CropImageForTile(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:LoadAnImage vtkGeoImageNodeLoadAnImageFunction
//input a0 a1 
//output none
ArrayVector vtkGeoImageNodeLoadAnImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LoadAnImage (const char *prefix); */
  if (arg.size() < 2) 
    throw Exception("Function LoadAnImage for class vtkGeoImageNode requires 2 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->LoadAnImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:ShallowCopy vtkGeoImageNodeShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGeoImageNodeShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkGeoTreeNode *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkGeoImageNode requires 2 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:DeepCopy vtkGeoImageNodeDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGeoImageNodeDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkGeoTreeNode *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkGeoImageNode requires 2 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:HasData vtkGeoImageNodeHasDataFunction
//input a0 
//output y
ArrayVector vtkGeoImageNodeHasDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool HasData (); */
  if (arg.size() < 1) 
    throw Exception("Function HasData for class vtkGeoImageNode requires 1 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasData();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:DeleteData vtkGeoImageNodeDeleteDataFunction
//input a0 
//output none
ArrayVector vtkGeoImageNodeDeleteDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeleteData (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteData for class vtkGeoImageNode requires 1 argument(s)");
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  Array retval;
  vtk_pointer->DeleteData();
  return retval;
}

//@@Signature
//sfunction @vtkGeoImageNode:display vtkGeoImageNodeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoImageNodeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoImageNode* vtk_pointer = GetVTKPointer<vtkGeoImageNode>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoImageNode:delete vtkGeoImageNodeDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoImageNodeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoImageNode
//@@Section VTKGeovis
//@@Usage
// vtkGeoImageNode contains an image tile in a multi-resolution image tree,
// along with metadata about that image's extents.
//
//
//To create an instance of class vtkGeoImageNode, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoImageNode
//@]
//@@Methods
//The class vtkGeoImageNode has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoImageNode class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoImageNode = obj.NewInstance ()|
// \item @|vtkGeoImageNode = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGeoImageNode = obj.GetChild (int idx)|
// \item @|vtkGeoImageNode = obj.GetParent ()|
// \item @|vtkImageData = obj.GetImage ()| -  Get the image tile.
//// \item @|obj.SetImage (vtkImageData image)| -  Get the image tile.
//// \item @|vtkTexture = obj.GetTexture ()| -  Get the image tile.
//// \item @|obj.SetTexture (vtkTexture texture)| -  Get the image tile.
//// \item @|obj.CropImageForTile (vtkImageData image, double imageLonLatExt, string prefix)| -  This crops the image as small as possible while still covering the 
// patch.  The Longitude Latitude range may get bigger to reflect the
// actual size of the image.
// If prefix is specified, writes the tile to that location.
//// \item @|obj.LoadAnImage (string prefix)| -  This loads the image from a tile database at the specified location.
//// \item @|obj.ShallowCopy (vtkGeoTreeNode src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkGeoTreeNode src)| -  Shallow and Deep copy.
//// \item @|bool = obj.HasData ()|
// \item @|obj.DeleteData ()| -  Deletes the data associated with the node to make this
// an "empty" node. This is performed when the node has
// been unused for a certain amount of time.
////\end{itemize}
//!
