#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoInteractorStyle object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoInteractorStyle.h"

//@@Signature
//sfunction @vtkGeoInteractorStyle:vtkGeoInteractorStyle vtkGeoInteractorStyleConstructorFunction
//input a
//output p
//@@Parents vtkGeoInteractorStyle vtkInteractorStyleTrackballCamera 
ArrayVector vtkGeoInteractorStyleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoInteractorStyle::New(),"vtkGeoInteractorStyle",eval);
  } else if (arg[0].className() == "vtkGeoInteractorStyle") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoInteractorStyle"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoInteractorStyle");
    vtkGeoInteractorStyle*q = reinterpret_cast<vtkGeoInteractorStyle*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoInteractorStyle");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoInteractorStyle:GetClassName vtkGeoInteractorStyleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoInteractorStyleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:IsA vtkGeoInteractorStyleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoInteractorStyleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoInteractorStyle requires 2 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:NewInstance vtkGeoInteractorStyleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoInteractorStyleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoInteractorStyle *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtkGeoInteractorStyle  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoInteractorStyle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:SafeDownCast vtkGeoInteractorStyleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoInteractorStyleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoInteractorStyle *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoInteractorStyle requires 2 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoInteractorStyle  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoInteractorStyle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:OnEnter vtkGeoInteractorStyleOnEnterFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleOnEnterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnEnter (); */
  if (arg.size() < 1) 
    throw Exception("Function OnEnter for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnEnter();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:OnLeave vtkGeoInteractorStyleOnLeaveFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleOnLeaveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeave (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeave for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnLeave();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:OnMouseMove vtkGeoInteractorStyleOnMouseMoveFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleOnMouseMoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseMove (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseMove for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseMove();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:OnLeftButtonUp vtkGeoInteractorStyleOnLeftButtonUpFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleOnLeftButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonUp for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:OnMiddleButtonUp vtkGeoInteractorStyleOnMiddleButtonUpFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleOnMiddleButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonUp for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:OnRightButtonUp vtkGeoInteractorStyleOnRightButtonUpFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleOnRightButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonUp for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:OnLeftButtonDown vtkGeoInteractorStyleOnLeftButtonDownFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleOnLeftButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonDown for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:OnMiddleButtonDown vtkGeoInteractorStyleOnMiddleButtonDownFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleOnMiddleButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonDown for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:OnRightButtonDown vtkGeoInteractorStyleOnRightButtonDownFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleOnRightButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonDown for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:OnChar vtkGeoInteractorStyleOnCharFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleOnCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnChar (); */
  if (arg.size() < 1) 
    throw Exception("Function OnChar for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnChar();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:RubberBandZoom vtkGeoInteractorStyleRubberBandZoomFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleRubberBandZoomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RubberBandZoom (); */
  if (arg.size() < 1) 
    throw Exception("Function RubberBandZoom for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->RubberBandZoom();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:Pan vtkGeoInteractorStylePanFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStylePanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Pan (); */
  if (arg.size() < 1) 
    throw Exception("Function Pan for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->Pan();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:Dolly__1 vtkGeoInteractorStyleDolly__1Function
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleDolly__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Dolly (); */
  if (arg.size() < 1) 
    throw Exception("Function Dolly__1 for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->Dolly();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:RedrawRectangle vtkGeoInteractorStyleRedrawRectangleFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleRedrawRectangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RedrawRectangle (); */
  if (arg.size() < 1) 
    throw Exception("Function RedrawRectangle for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->RedrawRectangle();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:StartState vtkGeoInteractorStyleStartStateFunction
//input a0 a1 
//output none
ArrayVector vtkGeoInteractorStyleStartStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartState (int newstate); */
  if (arg.size() < 2) 
    throw Exception("Function StartState for class vtkGeoInteractorStyle requires 2 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->StartState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:GetGeoCamera vtkGeoInteractorStyleGetGeoCameraFunction
//input a0 
//output y
ArrayVector vtkGeoInteractorStyleGetGeoCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoCamera *GetGeoCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeoCamera for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtkGeoCamera  *temp20;
  temp20 = (vtk_pointer)->GetGeoCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:ResetCamera vtkGeoInteractorStyleResetCameraFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleResetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetCamera for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->ResetCamera();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:WidgetInteraction vtkGeoInteractorStyleWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkGeoInteractorStyleWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WidgetInteraction (vtkObject *caller); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkGeoInteractorStyle requires 2 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:SetInteractor vtkGeoInteractorStyleSetInteractorFunction
//input a0 a1 
//output none
ArrayVector vtkGeoInteractorStyleSetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractor (vtkRenderWindowInteractor *interactor); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractor for class vtkGeoInteractorStyle requires 2 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->SetInteractor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:GetRayIntersection vtkGeoInteractorStyleGetRayIntersectionFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGeoInteractorStyleGetRayIntersectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRayIntersection (double origin[3], double direction[3], double intersection[3]); */
  if (arg.size() < 4) 
    throw Exception("Function GetRayIntersection for class vtkGeoInteractorStyle requires 4 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetRayIntersection(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:SetCurrentRenderer vtkGeoInteractorStyleSetCurrentRendererFunction
//input a0 a1 
//output none
ArrayVector vtkGeoInteractorStyleSetCurrentRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCurrentRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentRenderer for class vtkGeoInteractorStyle requires 2 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetCurrentRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:GetLockHeading vtkGeoInteractorStyleGetLockHeadingFunction
//input a0 
//output y
ArrayVector vtkGeoInteractorStyleGetLockHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetLockHeading (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLockHeading for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLockHeading();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:SetLockHeading vtkGeoInteractorStyleSetLockHeadingFunction
//input a0 a1 
//output none
ArrayVector vtkGeoInteractorStyleSetLockHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLockHeading (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLockHeading for class vtkGeoInteractorStyle requires 2 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetLockHeading(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:LockHeadingOn vtkGeoInteractorStyleLockHeadingOnFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleLockHeadingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LockHeadingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LockHeadingOn for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->LockHeadingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:LockHeadingOff vtkGeoInteractorStyleLockHeadingOffFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleLockHeadingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LockHeadingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LockHeadingOff for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->LockHeadingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:ResetCameraClippingRange vtkGeoInteractorStyleResetCameraClippingRangeFunction
//input a0 
//output none
ArrayVector vtkGeoInteractorStyleResetCameraClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCameraClippingRange (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetCameraClippingRange for class vtkGeoInteractorStyle requires 1 argument(s)");
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->ResetCameraClippingRange();
  return retval;
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:Dolly vtkGeoInteractorStyleDollyFunction
//input varargin
//output varargout
ArrayVector vtkGeoInteractorStyleDollyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkGeoInteractorStyleDolly__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoInteractorStyleDolly");
}

//@@Signature
//sfunction @vtkGeoInteractorStyle:display vtkGeoInteractorStyleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoInteractorStyleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoInteractorStyle* vtk_pointer = GetVTKPointer<vtkGeoInteractorStyle>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoInteractorStyle:delete vtkGeoInteractorStyleDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoInteractorStyleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoInteractorStyle
//@@Section VTKGeovis
//@@Usage
// vtkGeoInteractorStyle contains interaction capabilities for a geographic
// view including orbit, zoom, and tilt. It also includes a compass widget
// for changing view parameters.
//
//
//To create an instance of class vtkGeoInteractorStyle, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoInteractorStyle
//@]
//@@Methods
//The class vtkGeoInteractorStyle has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoInteractorStyle class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoInteractorStyle = obj.NewInstance ()|
// \item @|vtkGeoInteractorStyle = obj.SafeDownCast (vtkObject o)|
// \item @|obj.OnEnter ()| -  Event bindings
//// \item @|obj.OnLeave ()| -  Event bindings
//// \item @|obj.OnMouseMove ()| -  Event bindings
//// \item @|obj.OnLeftButtonUp ()| -  Event bindings
//// \item @|obj.OnMiddleButtonUp ()| -  Event bindings
//// \item @|obj.OnRightButtonUp ()| -  Event bindings
//// \item @|obj.OnLeftButtonDown ()| -  Event bindings
//// \item @|obj.OnMiddleButtonDown ()| -  Event bindings
//// \item @|obj.OnRightButtonDown ()| -  Event bindings
//// \item @|obj.OnChar ()| -  Event bindings
//// \item @|obj.RubberBandZoom ()|
// \item @|obj.Pan ()|
// \item @|obj.Dolly ()|
// \item @|obj.RedrawRectangle ()|
// \item @|obj.StartState (int newstate)|
// \item @|vtkGeoCamera = obj.GetGeoCamera ()|
// \item @|obj.ResetCamera ()| -  This can be used to set the camera to the standard view of the earth.
//// \item @|obj.WidgetInteraction (vtkObject caller)|
// \item @|obj.SetInteractor (vtkRenderWindowInteractor interactor)| -  Set/Get the Interactor wrapper being controlled by this object.
// (Satisfy superclass API.)
//// \item @|int = obj.GetRayIntersection (double origin[3], double direction[3], double intersection[3])|
// \item @|obj.SetCurrentRenderer (vtkRenderer )| -  Override to make the renderer use this camera subclass
//// \item @|bool = obj.GetLockHeading ()|
// \item @|obj.SetLockHeading (bool )|
// \item @|obj.LockHeadingOn ()|
// \item @|obj.LockHeadingOff ()|
// \item @|obj.ResetCameraClippingRange ()|
//\end{itemize}
//!
