#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoProjection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoProjection.h"

//@@Signature
//sfunction @vtkGeoProjection:vtkGeoProjection vtkGeoProjectionConstructorFunction
//input a
//output p
//@@Parents vtkGeoProjection vtkObject 
ArrayVector vtkGeoProjectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoProjection::New(),"vtkGeoProjection",eval);
  } else if (arg[0].className() == "vtkGeoProjection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoProjection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoProjection");
    vtkGeoProjection*q = reinterpret_cast<vtkGeoProjection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoProjection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoProjection:GetClassName vtkGeoProjectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoProjection requires 1 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:IsA vtkGeoProjectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoProjectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoProjection requires 2 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:NewInstance vtkGeoProjectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoProjection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoProjection requires 1 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  vtkGeoProjection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoProjection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:SafeDownCast vtkGeoProjectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoProjectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoProjection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoProjection requires 2 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoProjection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoProjection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:GetNumberOfProjections vtkGeoProjectionGetNumberOfProjectionsFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionGetNumberOfProjectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetNumberOfProjections (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfProjections for class vtkGeoProjection requires 1 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfProjections();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:GetProjectionName vtkGeoProjectionGetProjectionNameFunction
//input a0 a1 
//output y
ArrayVector vtkGeoProjectionGetProjectionNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetProjectionName (int projection); */
  if (arg.size() < 2) 
    throw Exception("Function GetProjectionName for class vtkGeoProjection requires 2 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetProjectionName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:GetProjectionDescription vtkGeoProjectionGetProjectionDescriptionFunction
//input a0 a1 
//output y
ArrayVector vtkGeoProjectionGetProjectionDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetProjectionDescription (int projection); */
  if (arg.size() < 2) 
    throw Exception("Function GetProjectionDescription for class vtkGeoProjection requires 2 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetProjectionDescription(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:SetName vtkGeoProjectionSetNameFunction
//input a0 a1 
//output none
ArrayVector vtkGeoProjectionSetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetName for class vtkGeoProjection requires 2 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:GetName vtkGeoProjectionGetNameFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionGetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetName for class vtkGeoProjection requires 1 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:GetIndex vtkGeoProjectionGetIndexFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionGetIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndex for class vtkGeoProjection requires 1 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:GetDescription vtkGeoProjectionGetDescriptionFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionGetDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDescription (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDescription for class vtkGeoProjection requires 1 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescription();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:SetCentralMeridian vtkGeoProjectionSetCentralMeridianFunction
//input a0 a1 
//output none
ArrayVector vtkGeoProjectionSetCentralMeridianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCentralMeridian (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCentralMeridian for class vtkGeoProjection requires 2 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCentralMeridian(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:GetCentralMeridian vtkGeoProjectionGetCentralMeridianFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionGetCentralMeridianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCentralMeridian (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCentralMeridian for class vtkGeoProjection requires 1 argument(s)");
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCentralMeridian();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjection:display vtkGeoProjectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoProjectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoProjection* vtk_pointer = GetVTKPointer<vtkGeoProjection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoProjection:delete vtkGeoProjectionDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoProjectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoProjection
//@@Section VTKGeovis
//@@Usage
// This class uses the PROJ.4 library to represent geographic coordinate
// projections.
//
//To create an instance of class vtkGeoProjection, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoProjection
//@]
//@@Methods
//The class vtkGeoProjection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoProjection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoProjection = obj.NewInstance ()|
// \item @|vtkGeoProjection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetName (string )| -  Set/get the short name describing the projection you wish to use.
// This defaults to "rpoly" for no reason other than I like it.
// To get a list of valid values, use the GetNumberOfProjections() and
// GetProjectionName(int) static methods.
//// \item @|string = obj.GetName ()| -  Set/get the short name describing the projection you wish to use.
// This defaults to "rpoly" for no reason other than I like it.
// To get a list of valid values, use the GetNumberOfProjections() and
// GetProjectionName(int) static methods.
//// \item @|int = obj.GetIndex ()| -  Return the index of the current projection's type in the list of all projection types.
// On error, this will return -1. On success, it returns a number in [0,GetNumberOfProjections()[.
//// \item @|string = obj.GetDescription ()| -  Get the description of a projection.
// This will return NULL if the projection name is invalid.
//// \item @|obj.SetCentralMeridian (double )| -  Set/get the longitude which corresponds to the central meridian of the projection.
// This defaults to 0, the Greenwich Meridian.
//// \item @|double = obj.GetCentralMeridian ()| -  Set/get the longitude which corresponds to the central meridian of the projection.
// This defaults to 0, the Greenwich Meridian.
////\end{itemize}
//!
