#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoProjectionSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoProjectionSource.h"

//@@Signature
//sfunction @vtkGeoProjectionSource:vtkGeoProjectionSource vtkGeoProjectionSourceConstructorFunction
//input a
//output p
//@@Parents vtkGeoProjectionSource vtkGeoSource 
ArrayVector vtkGeoProjectionSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoProjectionSource::New(),"vtkGeoProjectionSource",eval);
  } else if (arg[0].className() == "vtkGeoProjectionSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoProjectionSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoProjectionSource");
    vtkGeoProjectionSource*q = reinterpret_cast<vtkGeoProjectionSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoProjectionSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoProjectionSource:GetClassName vtkGeoProjectionSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoProjectionSource requires 1 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:IsA vtkGeoProjectionSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoProjectionSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoProjectionSource requires 2 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:NewInstance vtkGeoProjectionSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoProjectionSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoProjectionSource requires 1 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  vtkGeoProjectionSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoProjectionSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:SafeDownCast vtkGeoProjectionSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoProjectionSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoProjectionSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoProjectionSource requires 2 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoProjectionSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoProjectionSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:FetchRoot vtkGeoProjectionSourceFetchRootFunction
//input a0 a1 
//output y
ArrayVector vtkGeoProjectionSourceFetchRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchRoot (vtkGeoTreeNode *root); */
  if (arg.size() < 2) 
    throw Exception("Function FetchRoot for class vtkGeoProjectionSource requires 2 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  temp20 = (vtk_pointer)->FetchRoot(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:FetchChild vtkGeoProjectionSourceFetchChildFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGeoProjectionSourceFetchChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchChild (vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child); */
  if (arg.size() < 4) 
    throw Exception("Function FetchChild for class vtkGeoProjectionSource requires 4 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkGeoTreeNode>(arg[3]);
  temp20 = (vtk_pointer)->FetchChild(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:GetProjection vtkGeoProjectionSourceGetProjectionFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionSourceGetProjectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjection for class vtkGeoProjectionSource requires 1 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:SetProjection vtkGeoProjectionSourceSetProjectionFunction
//input a0 a1 
//output none
ArrayVector vtkGeoProjectionSourceSetProjectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetProjection (int projection); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjection for class vtkGeoProjectionSource requires 2 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:GetMinCellsPerNode vtkGeoProjectionSourceGetMinCellsPerNodeFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionSourceGetMinCellsPerNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinCellsPerNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinCellsPerNode for class vtkGeoProjectionSource requires 1 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinCellsPerNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:SetMinCellsPerNode vtkGeoProjectionSourceSetMinCellsPerNodeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoProjectionSourceSetMinCellsPerNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinCellsPerNode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinCellsPerNode for class vtkGeoProjectionSource requires 2 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinCellsPerNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:GetTransform vtkGeoProjectionSourceGetTransformFunction
//input a0 
//output y
ArrayVector vtkGeoProjectionSourceGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkGeoProjectionSource requires 1 argument(s)");
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoProjectionSource:display vtkGeoProjectionSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoProjectionSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoProjectionSource* vtk_pointer = GetVTKPointer<vtkGeoProjectionSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoProjectionSource:delete vtkGeoProjectionSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoProjectionSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoProjectionSource
//@@Section VTKGeovis
//@@Usage
// vtkGeoProjectionSource is a vtkGeoSource suitable for use in vtkTerrain2D.
// This source uses the libproj4 library to produce geometry patches at
// multiple resolutions. Each patch covers a specific region in projected
// space.
//
//To create an instance of class vtkGeoProjectionSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoProjectionSource
//@]
//@@Methods
//The class vtkGeoProjectionSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoProjectionSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoProjectionSource = obj.NewInstance ()|
// \item @|vtkGeoProjectionSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGeoProjectionSource = obj.()|
// \item @|~vtkGeoProjectionSource = obj.()|
// \item @|bool = obj.FetchRoot (vtkGeoTreeNode root)| -  Blocking methods for sources with low latency.
//// \item @|bool = obj.FetchChild (vtkGeoTreeNode node, int index, vtkGeoTreeNode child)| -  Blocking methods for sources with low latency.
//// \item @|int = obj.GetProjection ()| -  The projection ID defining the projection. Initial value is 0.
//// \item @|obj.SetProjection (int projection)| -  The projection ID defining the projection. Initial value is 0.
//// \item @|int = obj.GetMinCellsPerNode ()| -  The minimum number of cells per node.
//// \item @|obj.SetMinCellsPerNode (int )| -  The minimum number of cells per node.
//// \item @|vtkAbstractTransform = obj.GetTransform ()| -  Return the projection transformation used by this 2D terrain.
////\end{itemize}
//!
