#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoSampleArcs object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoSampleArcs.h"

//@@Signature
//sfunction @vtkGeoSampleArcs:vtkGeoSampleArcs vtkGeoSampleArcsConstructorFunction
//input a
//output p
//@@Parents vtkGeoSampleArcs vtkPolyDataAlgorithm 
ArrayVector vtkGeoSampleArcsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoSampleArcs::New(),"vtkGeoSampleArcs",eval);
  } else if (arg[0].className() == "vtkGeoSampleArcs") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoSampleArcs"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoSampleArcs");
    vtkGeoSampleArcs*q = reinterpret_cast<vtkGeoSampleArcs*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoSampleArcs");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoSampleArcs:GetClassName vtkGeoSampleArcsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoSampleArcsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoSampleArcs requires 1 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:IsA vtkGeoSampleArcsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoSampleArcsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoSampleArcs requires 2 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:NewInstance vtkGeoSampleArcsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoSampleArcsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoSampleArcs *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoSampleArcs requires 1 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  vtkGeoSampleArcs  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoSampleArcs",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:SafeDownCast vtkGeoSampleArcsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoSampleArcsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoSampleArcs *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoSampleArcs requires 2 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoSampleArcs  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoSampleArcs",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:SetGlobeRadius vtkGeoSampleArcsSetGlobeRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkGeoSampleArcsSetGlobeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlobeRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobeRadius for class vtkGeoSampleArcs requires 2 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGlobeRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:GetGlobeRadius vtkGeoSampleArcsGetGlobeRadiusFunction
//input a0 
//output y
ArrayVector vtkGeoSampleArcsGetGlobeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGlobeRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobeRadius for class vtkGeoSampleArcs requires 1 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGlobeRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:SetMaximumDistanceMeters vtkGeoSampleArcsSetMaximumDistanceMetersFunction
//input a0 a1 
//output none
ArrayVector vtkGeoSampleArcsSetMaximumDistanceMetersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumDistanceMeters (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumDistanceMeters for class vtkGeoSampleArcs requires 2 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumDistanceMeters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:GetMaximumDistanceMeters vtkGeoSampleArcsGetMaximumDistanceMetersFunction
//input a0 
//output y
ArrayVector vtkGeoSampleArcsGetMaximumDistanceMetersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistanceMeters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistanceMeters for class vtkGeoSampleArcs requires 1 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistanceMeters();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:SetInputCoordinateSystem vtkGeoSampleArcsSetInputCoordinateSystemFunction
//input a0 a1 
//output none
ArrayVector vtkGeoSampleArcsSetInputCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputCoordinateSystem (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputCoordinateSystem for class vtkGeoSampleArcs requires 2 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInputCoordinateSystem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:GetInputCoordinateSystem vtkGeoSampleArcsGetInputCoordinateSystemFunction
//input a0 
//output y
ArrayVector vtkGeoSampleArcsGetInputCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInputCoordinateSystem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputCoordinateSystem for class vtkGeoSampleArcs requires 1 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInputCoordinateSystem();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:SetInputCoordinateSystemToRectangular vtkGeoSampleArcsSetInputCoordinateSystemToRectangularFunction
//input a0 
//output none
ArrayVector vtkGeoSampleArcsSetInputCoordinateSystemToRectangularFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputCoordinateSystemToRectangular ();this SetInputCoordinateSystem RECTANGULAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputCoordinateSystemToRectangular for class vtkGeoSampleArcs requires 1 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  vtk_pointer->SetInputCoordinateSystemToRectangular();
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:SetInputCoordinateSystemToSpherical vtkGeoSampleArcsSetInputCoordinateSystemToSphericalFunction
//input a0 
//output none
ArrayVector vtkGeoSampleArcsSetInputCoordinateSystemToSphericalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputCoordinateSystemToSpherical ();this SetInputCoordinateSystem SPHERICAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputCoordinateSystemToSpherical for class vtkGeoSampleArcs requires 1 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  vtk_pointer->SetInputCoordinateSystemToSpherical();
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:SetOutputCoordinateSystem vtkGeoSampleArcsSetOutputCoordinateSystemFunction
//input a0 a1 
//output none
ArrayVector vtkGeoSampleArcsSetOutputCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputCoordinateSystem (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputCoordinateSystem for class vtkGeoSampleArcs requires 2 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputCoordinateSystem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:GetOutputCoordinateSystem vtkGeoSampleArcsGetOutputCoordinateSystemFunction
//input a0 
//output y
ArrayVector vtkGeoSampleArcsGetOutputCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputCoordinateSystem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputCoordinateSystem for class vtkGeoSampleArcs requires 1 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputCoordinateSystem();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:SetOutputCoordinateSystemToRectangular vtkGeoSampleArcsSetOutputCoordinateSystemToRectangularFunction
//input a0 
//output none
ArrayVector vtkGeoSampleArcsSetOutputCoordinateSystemToRectangularFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutputCoordinateSystemToRectangular ();this SetOutputCoordinateSystem RECTANGULAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputCoordinateSystemToRectangular for class vtkGeoSampleArcs requires 1 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputCoordinateSystemToRectangular();
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:SetOutputCoordinateSystemToSpherical vtkGeoSampleArcsSetOutputCoordinateSystemToSphericalFunction
//input a0 
//output none
ArrayVector vtkGeoSampleArcsSetOutputCoordinateSystemToSphericalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutputCoordinateSystemToSpherical ();this SetOutputCoordinateSystem SPHERICAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputCoordinateSystemToSpherical for class vtkGeoSampleArcs requires 1 argument(s)");
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputCoordinateSystemToSpherical();
  return retval;
}

//@@Signature
//sfunction @vtkGeoSampleArcs:display vtkGeoSampleArcsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoSampleArcsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoSampleArcs* vtk_pointer = GetVTKPointer<vtkGeoSampleArcs>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoSampleArcs:delete vtkGeoSampleArcsDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoSampleArcsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoSampleArcs
//@@Section VTKGeovis
//@@Usage
// vtkGeoSampleArcs refines lines in the input polygonal data
// so that the distance between adjacent points is no more than a threshold
// distance. Points are interpolated along the surface of the globe.
// This is useful in order to keep lines such as political boundaries from
// intersecting the globe and becoming invisible.
//
//To create an instance of class vtkGeoSampleArcs, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoSampleArcs
//@]
//@@Methods
//The class vtkGeoSampleArcs has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoSampleArcs class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoSampleArcs = obj.NewInstance ()|
// \item @|vtkGeoSampleArcs = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGlobeRadius (double )| -  The base radius used to determine the earth's surface.
// Default is the earth's radius in meters.
// TODO: Change this to take in a vtkGeoTerrain to get altitude.
//// \item @|double = obj.GetGlobeRadius ()| -  The base radius used to determine the earth's surface.
// Default is the earth's radius in meters.
// TODO: Change this to take in a vtkGeoTerrain to get altitude.
//// \item @|obj.SetMaximumDistanceMeters (double )| -  The maximum distance, in meters, between adjacent points.
//// \item @|double = obj.GetMaximumDistanceMeters ()| -  The maximum distance, in meters, between adjacent points.
//// \item @|obj.SetInputCoordinateSystem (int )| -  The input coordinate system.
// RECTANGULAR is x,y,z meters relative the the earth center.
// SPHERICAL is longitude,latitude,altitude.
//// \item @|int = obj.GetInputCoordinateSystem ()| -  The input coordinate system.
// RECTANGULAR is x,y,z meters relative the the earth center.
// SPHERICAL is longitude,latitude,altitude.
//// \item @|obj.SetInputCoordinateSystemToRectangular ()| -  The input coordinate system.
// RECTANGULAR is x,y,z meters relative the the earth center.
// SPHERICAL is longitude,latitude,altitude.
//// \item @|obj.SetInputCoordinateSystemToSpherical ()| -  The desired output coordinate system.
// RECTANGULAR is x,y,z meters relative the the earth center.
// SPHERICAL is longitude,latitude,altitude.
//// \item @|obj.SetOutputCoordinateSystem (int )| -  The desired output coordinate system.
// RECTANGULAR is x,y,z meters relative the the earth center.
// SPHERICAL is longitude,latitude,altitude.
//// \item @|int = obj.GetOutputCoordinateSystem ()| -  The desired output coordinate system.
// RECTANGULAR is x,y,z meters relative the the earth center.
// SPHERICAL is longitude,latitude,altitude.
//// \item @|obj.SetOutputCoordinateSystemToRectangular ()| -  The desired output coordinate system.
// RECTANGULAR is x,y,z meters relative the the earth center.
// SPHERICAL is longitude,latitude,altitude.
//// \item @|obj.SetOutputCoordinateSystemToSpherical ()|
//\end{itemize}
//!
