#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoSource.h"

//@@Signature
//sfunction @vtkGeoSource:vtkGeoSource vtkGeoSourceConstructorFunction
//input a
//output p
//@@Parents vtkGeoSource vtkObject 
ArrayVector vtkGeoSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoSource::New(),"vtkGeoSource",eval);
  } else if (arg[0].className() == "vtkGeoSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoSource");
    vtkGeoSource*q = reinterpret_cast<vtkGeoSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoSource:GetClassName vtkGeoSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoSource requires 1 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:IsA vtkGeoSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoSource requires 2 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:NewInstance vtkGeoSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoSource requires 1 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  vtkGeoSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:SafeDownCast vtkGeoSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoSource requires 2 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:FetchRoot vtkGeoSourceFetchRootFunction
//input a0 a1 
//output y
ArrayVector vtkGeoSourceFetchRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchRoot (vtkGeoTreeNode *root) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function FetchRoot for class vtkGeoSource requires 2 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  temp20 = (vtk_pointer)->FetchRoot(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:FetchChild vtkGeoSourceFetchChildFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkGeoSourceFetchChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool FetchChild (vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function FetchChild for class vtkGeoSource requires 4 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkGeoTreeNode>(arg[3]);
  temp20 = (vtk_pointer)->FetchChild(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:RequestChildren vtkGeoSourceRequestChildrenFunction
//input a0 a1 
//output none
ArrayVector vtkGeoSourceRequestChildrenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RequestChildren (vtkGeoTreeNode *node); */
  if (arg.size() < 2) 
    throw Exception("Function RequestChildren for class vtkGeoSource requires 2 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->RequestChildren(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:GetRequestedNodes vtkGeoSourceGetRequestedNodesFunction
//input a0 a1 
//output y
ArrayVector vtkGeoSourceGetRequestedNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCollection *GetRequestedNodes (vtkGeoTreeNode *node); */
  if (arg.size() < 2) 
    throw Exception("Function GetRequestedNodes for class vtkGeoSource requires 2 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  vtkCollection  *temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  temp20 = (vtk_pointer)->GetRequestedNodes(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:Initialize vtkGeoSourceInitializeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoSourceInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (int numThreads); */
  if (arg.size() < 2) 
    throw Exception("Function Initialize for class vtkGeoSource requires 2 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Initialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:ShutDown vtkGeoSourceShutDownFunction
//input a0 
//output none
ArrayVector vtkGeoSourceShutDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShutDown (); */
  if (arg.size() < 1) 
    throw Exception("Function ShutDown for class vtkGeoSource requires 1 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  vtk_pointer->ShutDown();
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:WorkerThread vtkGeoSourceWorkerThreadFunction
//input a0 
//output none
ArrayVector vtkGeoSourceWorkerThreadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WorkerThread (); */
  if (arg.size() < 1) 
    throw Exception("Function WorkerThread for class vtkGeoSource requires 1 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  vtk_pointer->WorkerThread();
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:GetTransform vtkGeoSourceGetTransformFunction
//input a0 
//output y
ArrayVector vtkGeoSourceGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractTransform *GetTransform ();return NULL  */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkGeoSource requires 1 argument(s)");
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSource:display vtkGeoSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoSource* vtk_pointer = GetVTKPointer<vtkGeoSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoSource:delete vtkGeoSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoSource
//@@Section VTKGeovis
//@@Usage
// vtkGeoSource is an abstract superclass for all multi-resolution data sources
// shown in a geographic view like vtkGeoView or vtkGeoView2D. vtkGeoSource
// subclasses need to implement the FetchRoot() method, which fills a
// vtkGeoTreeNode with the low-res data at the root, and FetchChild(), which
// produces a refinement of a parent node. Other geovis classes such as
// vtkGeoTerrain, vtkGeoTerrain2D, and vtkGeoAlignedImageSource use a
// vtkGeoSource subclass to build their geometry or image caches which are
// stored in trees. The source itself does not maintain the tree, but
// simply provides a mechanism for generating refined tree nodes.
//
// Sources are multi-threaded. Each source may have one or more worker threads
// associated with it, which this superclass manages. It is essential that the
// FetchChild() method is thread-safe, since it may be called from multiple
// workers simultaneously.
//
//To create an instance of class vtkGeoSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoSource
//@]
//@@Methods
//The class vtkGeoSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoSource = obj.NewInstance ()|
// \item @|vtkGeoSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGeoSource = obj.()|
// \item @|~vtkGeoSource = obj.()|
// \item @|bool = obj.FetchRoot (vtkGeoTreeNode root)| -  Blocking access methods to be implemented in subclasses.
//// \item @|bool = obj.FetchChild (vtkGeoTreeNode node, int index, vtkGeoTreeNode child)| -  Blocking access methods to be implemented in subclasses.
//// \item @|obj.RequestChildren (vtkGeoTreeNode node)| -  Non-blocking methods for to use from the main application.
// After calling RequestChildren() for a certain node,
// GetRequestedNodes() will after a certain period of time return a
// non-null pointer to a collection of four vtkGeoTreeNode objects,
// which are the four children of the requested node.
// The collection is reference counted, so you need to eventually
// call Delete() on the returned collection pointer (if it is non-null).
//// \item @|vtkCollection = obj.GetRequestedNodes (vtkGeoTreeNode node)| -  Non-blocking methods for to use from the main application.
// After calling RequestChildren() for a certain node,
// GetRequestedNodes() will after a certain period of time return a
// non-null pointer to a collection of four vtkGeoTreeNode objects,
// which are the four children of the requested node.
// The collection is reference counted, so you need to eventually
// call Delete() on the returned collection pointer (if it is non-null).
//// \item @|obj.Initialize (int numThreads)| -  Spawn worker threads. 
//// \item @|obj.ShutDown ()| -  Shut down the source. This terminates the thread and releases memory.
//// \item @|obj.WorkerThread ()|
// \item @|vtkAbstractTransform = obj.GetTransform ()|
//\end{itemize}
//!
