#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoSphereTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoSphereTransform.h"

//@@Signature
//sfunction @vtkGeoSphereTransform:vtkGeoSphereTransform vtkGeoSphereTransformConstructorFunction
//input a
//output p
//@@Parents vtkGeoSphereTransform vtkAbstractTransform 
ArrayVector vtkGeoSphereTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoSphereTransform::New(),"vtkGeoSphereTransform",eval);
  } else if (arg[0].className() == "vtkGeoSphereTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoSphereTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoSphereTransform");
    vtkGeoSphereTransform*q = reinterpret_cast<vtkGeoSphereTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoSphereTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoSphereTransform:GetClassName vtkGeoSphereTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoSphereTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoSphereTransform requires 1 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:IsA vtkGeoSphereTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoSphereTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoSphereTransform requires 2 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:NewInstance vtkGeoSphereTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoSphereTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoSphereTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoSphereTransform requires 1 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  vtkGeoSphereTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoSphereTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:SafeDownCast vtkGeoSphereTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoSphereTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoSphereTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoSphereTransform requires 2 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoSphereTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoSphereTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:Inverse vtkGeoSphereTransformInverseFunction
//input a0 
//output none
ArrayVector vtkGeoSphereTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Inverse (); */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkGeoSphereTransform requires 1 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:InternalTransformPoint__1 vtkGeoSphereTransformInternalTransformPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeoSphereTransformInternalTransformPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalTransformPoint (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__1 for class vtkGeoSphereTransform requires 3 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:InternalTransformPoint__2 vtkGeoSphereTransformInternalTransformPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeoSphereTransformInternalTransformPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalTransformPoint (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__2 for class vtkGeoSphereTransform requires 3 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:MakeTransform vtkGeoSphereTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkGeoSphereTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkGeoSphereTransform requires 1 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:SetToRectangular vtkGeoSphereTransformSetToRectangularFunction
//input a0 a1 
//output none
ArrayVector vtkGeoSphereTransformSetToRectangularFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetToRectangular (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetToRectangular for class vtkGeoSphereTransform requires 2 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetToRectangular(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:GetToRectangular vtkGeoSphereTransformGetToRectangularFunction
//input a0 
//output y
ArrayVector vtkGeoSphereTransformGetToRectangularFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetToRectangular (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToRectangular for class vtkGeoSphereTransform requires 1 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetToRectangular();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:ToRectangularOn vtkGeoSphereTransformToRectangularOnFunction
//input a0 
//output none
ArrayVector vtkGeoSphereTransformToRectangularOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ToRectangularOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ToRectangularOn for class vtkGeoSphereTransform requires 1 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  vtk_pointer->ToRectangularOn();
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:ToRectangularOff vtkGeoSphereTransformToRectangularOffFunction
//input a0 
//output none
ArrayVector vtkGeoSphereTransformToRectangularOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ToRectangularOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ToRectangularOff for class vtkGeoSphereTransform requires 1 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  vtk_pointer->ToRectangularOff();
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:SetBaseAltitude vtkGeoSphereTransformSetBaseAltitudeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoSphereTransformSetBaseAltitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBaseAltitude (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBaseAltitude for class vtkGeoSphereTransform requires 2 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBaseAltitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:GetBaseAltitude vtkGeoSphereTransformGetBaseAltitudeFunction
//input a0 
//output y
ArrayVector vtkGeoSphereTransformGetBaseAltitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBaseAltitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBaseAltitude for class vtkGeoSphereTransform requires 1 argument(s)");
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBaseAltitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoSphereTransform:InternalTransformPoint vtkGeoSphereTransformInternalTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkGeoSphereTransformInternalTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGeoSphereTransformInternalTransformPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGeoSphereTransformInternalTransformPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoSphereTransformInternalTransformPoint");
}

//@@Signature
//sfunction @vtkGeoSphereTransform:InternalTransformDerivative vtkGeoSphereTransformInternalTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkGeoSphereTransformInternalTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGeoSphereTransformInternalTransformDerivative");
}

//@@Signature
//sfunction @vtkGeoSphereTransform:display vtkGeoSphereTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoSphereTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoSphereTransform* vtk_pointer = GetVTKPointer<vtkGeoSphereTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoSphereTransform:delete vtkGeoSphereTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoSphereTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoSphereTransform
//@@Section VTKGeovis
//@@Usage
// the cartesian coordinate system is the following (if BaseAltitude is 0),
// - the origin is at the center of the earth
// - the x axis goes from the origin to (longtitude=-90,latitude=0), intersection of equator and the meridian passing just east of Galapagos Islands
// - the y axis goes from the origin to the intersection of Greenwitch meridian and equator (longitude=0,latitude=0)
// - the z axis goes from the origin to the Geographic North Pole (latitude=90)
// - therefore the frame is right-handed.
//
//To create an instance of class vtkGeoSphereTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoSphereTransform
//@]
//@@Methods
//The class vtkGeoSphereTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoSphereTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoSphereTransform = obj.NewInstance ()|
// \item @|vtkGeoSphereTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Inverse ()| -  Invert the transformation.
//// \item @|obj.InternalTransformPoint (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformPoint (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make another transform of the same type.
//// \item @|obj.SetToRectangular (bool )| -  If on, this transform converts (long,lat,alt) triples to (x,y,z) as an offset
// from the center of the earth. Alt, x, y, and z are all be in meters.
// If off, the tranform works in the reverse direction.
// Initial value is on.
//// \item @|bool = obj.GetToRectangular ()| -  If on, this transform converts (long,lat,alt) triples to (x,y,z) as an offset
// from the center of the earth. Alt, x, y, and z are all be in meters.
// If off, the tranform works in the reverse direction.
// Initial value is on.
//// \item @|obj.ToRectangularOn ()| -  If on, this transform converts (long,lat,alt) triples to (x,y,z) as an offset
// from the center of the earth. Alt, x, y, and z are all be in meters.
// If off, the tranform works in the reverse direction.
// Initial value is on.
//// \item @|obj.ToRectangularOff ()| -  If on, this transform converts (long,lat,alt) triples to (x,y,z) as an offset
// from the center of the earth. Alt, x, y, and z are all be in meters.
// If off, the tranform works in the reverse direction.
// Initial value is on.
//// \item @|obj.SetBaseAltitude (double )| -  The base altitude to transform coordinates to. This can be useful for transforming
// lines just above the earth's surface. Default is 0.
//// \item @|double = obj.GetBaseAltitude ()| -  The base altitude to transform coordinates to. This can be useful for transforming
// lines just above the earth's surface. Default is 0.
////\end{itemize}
//!
