#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoTerrain object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoTerrain.h"

//@@Signature
//sfunction @vtkGeoTerrain:vtkGeoTerrain vtkGeoTerrainConstructorFunction
//input a
//output p
//@@Parents vtkGeoTerrain vtkObject 
ArrayVector vtkGeoTerrainConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoTerrain::New(),"vtkGeoTerrain",eval);
  } else if (arg[0].className() == "vtkGeoTerrain") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoTerrain"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoTerrain");
    vtkGeoTerrain*q = reinterpret_cast<vtkGeoTerrain*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoTerrain");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoTerrain:GetClassName vtkGeoTerrainGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoTerrain requires 1 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:IsA vtkGeoTerrainIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTerrainIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoTerrain requires 2 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:NewInstance vtkGeoTerrainNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTerrain *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoTerrain requires 1 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  vtkGeoTerrain  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTerrain",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:SafeDownCast vtkGeoTerrainSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTerrainSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTerrain *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoTerrain requires 2 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoTerrain  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTerrain",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:GetSource vtkGeoTerrainGetSourceFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGeoSource *GetSource ();return this GeoSource  */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkGeoTerrain requires 1 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  vtkGeoSource  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:SetSource vtkGeoTerrainSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTerrainSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSource (vtkGeoSource *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkGeoTerrain requires 2 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  vtkGeoSource  *temp0;
  temp0 = GetVTKPointer<vtkGeoSource>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:SaveDatabase vtkGeoTerrainSaveDatabaseFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGeoTerrainSaveDatabaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SaveDatabase (const char *path, int depth); */
  if (arg.size() < 3) 
    throw Exception("Function SaveDatabase for class vtkGeoTerrain requires 3 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SaveDatabase(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:AddActors vtkGeoTerrainAddActorsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGeoTerrainAddActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddActors (vtkRenderer *ren, vtkAssembly *assembly, vtkCollection *imageReps); */
  if (arg.size() < 4) 
    throw Exception("Function AddActors for class vtkGeoTerrain requires 4 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkAssembly  *temp1;
  vtkCollection  *temp2;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkAssembly>(arg[2]);
  temp2 = GetVTKPointer<vtkCollection>(arg[3]);
  vtk_pointer->AddActors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:SetOrigin__1 vtkGeoTerrainSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGeoTerrainSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkGeoTerrain requires 4 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:SetOrigin__2 vtkGeoTerrainSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkGeoTerrainSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkGeoTerrain requires 2 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:GetOrigin vtkGeoTerrainGetOriginFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkGeoTerrain requires 1 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:SetMaxLevel vtkGeoTerrainSetMaxLevelFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTerrainSetMaxLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxLevel for class vtkGeoTerrain requires 2 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:GetMaxLevelMinValue vtkGeoTerrainGetMaxLevelMinValueFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainGetMaxLevelMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxLevelMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLevelMinValue for class vtkGeoTerrain requires 1 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxLevelMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:GetMaxLevelMaxValue vtkGeoTerrainGetMaxLevelMaxValueFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainGetMaxLevelMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxLevelMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLevelMaxValue for class vtkGeoTerrain requires 1 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxLevelMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:GetMaxLevel vtkGeoTerrainGetMaxLevelFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainGetMaxLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLevel for class vtkGeoTerrain requires 1 argument(s)");
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain:SetOrigin vtkGeoTerrainSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkGeoTerrainSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkGeoTerrainSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeoTerrainSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoTerrainSetOrigin");
}

//@@Signature
//sfunction @vtkGeoTerrain:display vtkGeoTerrainDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoTerrainDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoTerrain* vtk_pointer = GetVTKPointer<vtkGeoTerrain>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoTerrain:delete vtkGeoTerrainDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoTerrainDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoTerrain
//@@Section VTKGeovis
//@@Usage
// vtkGeoTerrain contains a multi-resolution tree of geometry representing
// the globe. It uses a vtkGeoSource subclass to generate the terrain, such
// as vtkGeoGlobeSource. This source must be set before using the terrain in
// a vtkGeoView. The terrain also contains an AddActors() method which
// will update the set of actors representing the globe given the current
// camera position.
//
//To create an instance of class vtkGeoTerrain, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoTerrain
//@]
//@@Methods
//The class vtkGeoTerrain has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoTerrain class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoTerrain = obj.NewInstance ()|
// \item @|vtkGeoTerrain = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGeoSource = obj.GetSource ()| -  The source used to obtain geometry patches.
//// \item @|obj.SetSource (vtkGeoSource source)| -  The source used to obtain geometry patches.
//// \item @|obj.SaveDatabase (string path, int depth)| -  Save the set of patches up to a given maximum depth.
//// \item @|obj.AddActors (vtkRenderer ren, vtkAssembly assembly, vtkCollection imageReps)| -  Update the actors in an assembly used to render the globe.
// ren is the current renderer, and imageReps holds the collection of
// vtkGeoAlignedImageRepresentations that will be blended together to
// form the image on the globe.
//// \item @|obj.SetOrigin (double , double , double )| -  The world-coordinate origin offset used to eliminate precision errors
// when zoomed in to a particular region of the globe.
//// \item @|obj.SetOrigin (double  a[3])| -  The world-coordinate origin offset used to eliminate precision errors
// when zoomed in to a particular region of the globe.
//// \item @|double = obj. GetOrigin ()| -  The world-coordinate origin offset used to eliminate precision errors
// when zoomed in to a particular region of the globe.
//// \item @|obj.SetMaxLevel (int )| -  The maximum level of the terrain tree.
//// \item @|int = obj.GetMaxLevelMinValue ()| -  The maximum level of the terrain tree.
//// \item @|int = obj.GetMaxLevelMaxValue ()| -  The maximum level of the terrain tree.
//// \item @|int = obj.GetMaxLevel ()| -  The maximum level of the terrain tree.
////\end{itemize}
//!
