#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoTerrain2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoTerrain2D.h"

//@@Signature
//sfunction @vtkGeoTerrain2D:vtkGeoTerrain2D vtkGeoTerrain2DConstructorFunction
//input a
//output p
//@@Parents vtkGeoTerrain2D vtkGeoTerrain 
ArrayVector vtkGeoTerrain2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoTerrain2D::New(),"vtkGeoTerrain2D",eval);
  } else if (arg[0].className() == "vtkGeoTerrain2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoTerrain2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoTerrain2D");
    vtkGeoTerrain2D*q = reinterpret_cast<vtkGeoTerrain2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoTerrain2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoTerrain2D:GetClassName vtkGeoTerrain2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoTerrain2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoTerrain2D requires 1 argument(s)");
  vtkGeoTerrain2D* vtk_pointer = GetVTKPointer<vtkGeoTerrain2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain2D:IsA vtkGeoTerrain2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTerrain2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoTerrain2D requires 2 argument(s)");
  vtkGeoTerrain2D* vtk_pointer = GetVTKPointer<vtkGeoTerrain2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain2D:NewInstance vtkGeoTerrain2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoTerrain2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTerrain2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoTerrain2D requires 1 argument(s)");
  vtkGeoTerrain2D* vtk_pointer = GetVTKPointer<vtkGeoTerrain2D>(arg[0]);
  Array retval;
  vtkGeoTerrain2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTerrain2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain2D:SafeDownCast vtkGeoTerrain2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTerrain2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTerrain2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoTerrain2D requires 2 argument(s)");
  vtkGeoTerrain2D* vtk_pointer = GetVTKPointer<vtkGeoTerrain2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoTerrain2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTerrain2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain2D:SetTextureTolerance vtkGeoTerrain2DSetTextureToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTerrain2DSetTextureToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureTolerance for class vtkGeoTerrain2D requires 2 argument(s)");
  vtkGeoTerrain2D* vtk_pointer = GetVTKPointer<vtkGeoTerrain2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTextureTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain2D:GetTextureTolerance vtkGeoTerrain2DGetTextureToleranceFunction
//input a0 
//output y
ArrayVector vtkGeoTerrain2DGetTextureToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureTolerance for class vtkGeoTerrain2D requires 1 argument(s)");
  vtkGeoTerrain2D* vtk_pointer = GetVTKPointer<vtkGeoTerrain2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain2D:SetLocationTolerance vtkGeoTerrain2DSetLocationToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTerrain2DSetLocationToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocationTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocationTolerance for class vtkGeoTerrain2D requires 2 argument(s)");
  vtkGeoTerrain2D* vtk_pointer = GetVTKPointer<vtkGeoTerrain2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLocationTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain2D:GetLocationTolerance vtkGeoTerrain2DGetLocationToleranceFunction
//input a0 
//output y
ArrayVector vtkGeoTerrain2DGetLocationToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLocationTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocationTolerance for class vtkGeoTerrain2D requires 1 argument(s)");
  vtkGeoTerrain2D* vtk_pointer = GetVTKPointer<vtkGeoTerrain2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLocationTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain2D:GetTransform vtkGeoTerrain2DGetTransformFunction
//input a0 
//output y
ArrayVector vtkGeoTerrain2DGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkGeoTerrain2D requires 1 argument(s)");
  vtkGeoTerrain2D* vtk_pointer = GetVTKPointer<vtkGeoTerrain2D>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrain2D:display vtkGeoTerrain2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoTerrain2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoTerrain2D* vtk_pointer = GetVTKPointer<vtkGeoTerrain2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoTerrain2D:delete vtkGeoTerrain2DDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoTerrain2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoTerrain2D
//@@Section VTKGeovis
//@@Usage
// vtkGeoTerrain2D contains a multi-resolution tree of geometry representing
// the globe. It uses a vtkGeoSource subclass to generate the terrain, such
// as vtkGeoProjectionSource. This source must be set before using the
// terrain in a vtkGeoView2D. The terrain also contains an AddActors()
// method which updates the set of actors representing the globe given the
// current camera position.
//
//To create an instance of class vtkGeoTerrain2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoTerrain2D
//@]
//@@Methods
//The class vtkGeoTerrain2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoTerrain2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoTerrain2D = obj.NewInstance ()|
// \item @|vtkGeoTerrain2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTextureTolerance (double )| -  The maximum size of a single texel in pixels.
// Images will be refined if a texel becomes larger than the tolerance.
//// \item @|double = obj.GetTextureTolerance ()| -  The maximum size of a single texel in pixels.
// Images will be refined if a texel becomes larger than the tolerance.
//// \item @|obj.SetLocationTolerance (double )| -  The maximum allowed deviation of geometry in pixels.
// Geometry will be refined if the deviation is larger than the tolerance.
//// \item @|double = obj.GetLocationTolerance ()| -  The maximum allowed deviation of geometry in pixels.
// Geometry will be refined if the deviation is larger than the tolerance.
//// \item @|vtkAbstractTransform = obj.GetTransform ()| -  Return the projection transformation used by this 2D terrain.
////\end{itemize}
//!
