#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoTerrainNode object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoTerrainNode.h"

//@@Signature
//sfunction @vtkGeoTerrainNode:vtkGeoTerrainNode vtkGeoTerrainNodeConstructorFunction
//input a
//output p
//@@Parents vtkGeoTerrainNode vtkGeoTreeNode 
ArrayVector vtkGeoTerrainNodeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoTerrainNode::New(),"vtkGeoTerrainNode",eval);
  } else if (arg[0].className() == "vtkGeoTerrainNode") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoTerrainNode"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoTerrainNode");
    vtkGeoTerrainNode*q = reinterpret_cast<vtkGeoTerrainNode*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoTerrainNode");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoTerrainNode:GetClassName vtkGeoTerrainNodeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:IsA vtkGeoTerrainNodeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTerrainNodeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoTerrainNode requires 2 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:NewInstance vtkGeoTerrainNodeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTerrainNode *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  vtkGeoTerrainNode  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTerrainNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:SafeDownCast vtkGeoTerrainNodeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTerrainNodeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTerrainNode *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoTerrainNode requires 2 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoTerrainNode  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTerrainNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetChild vtkGeoTerrainNodeGetChildFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTerrainNodeGetChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTerrainNode *GetChild (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetChild for class vtkGeoTerrainNode requires 2 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  int      temp0;
  vtkGeoTerrainNode  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetChild(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTerrainNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetParent vtkGeoTerrainNodeGetParentFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetParentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTerrainNode *GetParent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParent for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  vtkGeoTerrainNode  *temp20;
  temp20 = (vtk_pointer)->GetParent();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTerrainNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetAltitude vtkGeoTerrainNodeGetAltitudeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGeoTerrainNodeGetAltitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAltitude (double longitude, double latitude); */
  if (arg.size() < 3) 
    throw Exception("Function GetAltitude for class vtkGeoTerrainNode requires 3 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetAltitude(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetModel vtkGeoTerrainNodeGetModelFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetModelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetModel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModel for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetModel();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:SetModel vtkGeoTerrainNodeSetModelFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTerrainNodeSetModelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModel (vtkPolyData *model); */
  if (arg.size() < 2) 
    throw Exception("Function SetModel for class vtkGeoTerrainNode requires 2 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetModel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:UpdateBoundingSphere vtkGeoTerrainNodeUpdateBoundingSphereFunction
//input a0 
//output none
ArrayVector vtkGeoTerrainNodeUpdateBoundingSphereFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdateBoundingSphere (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateBoundingSphere for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  vtk_pointer->UpdateBoundingSphere();
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetBoundingSphereRadius vtkGeoTerrainNodeGetBoundingSphereRadiusFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetBoundingSphereRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBoundingSphereRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundingSphereRadius for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBoundingSphereRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetBoundingSphereCenter vtkGeoTerrainNodeGetBoundingSphereCenterFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetBoundingSphereCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBoundingSphereCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundingSphereCenter for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBoundingSphereCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetCornerNormal00 vtkGeoTerrainNodeGetCornerNormal00Function
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetCornerNormal00Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCornerNormal00 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerNormal00 for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCornerNormal00();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetCornerNormal01 vtkGeoTerrainNodeGetCornerNormal01Function
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetCornerNormal01Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCornerNormal01 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerNormal01 for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCornerNormal01();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetCornerNormal10 vtkGeoTerrainNodeGetCornerNormal10Function
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetCornerNormal10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCornerNormal10 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerNormal10 for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCornerNormal10();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetCornerNormal11 vtkGeoTerrainNodeGetCornerNormal11Function
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetCornerNormal11Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCornerNormal11 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerNormal11 for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCornerNormal11();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetProjectionBounds vtkGeoTerrainNodeGetProjectionBoundsFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetProjectionBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetProjectionBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionBounds for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetProjectionBounds();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:SetProjectionBounds__1 vtkGeoTerrainNodeSetProjectionBounds__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkGeoTerrainNodeSetProjectionBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionBounds (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetProjectionBounds__1 for class vtkGeoTerrainNode requires 5 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetProjectionBounds(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:SetProjectionBounds__2 vtkGeoTerrainNodeSetProjectionBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkGeoTerrainNodeSetProjectionBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionBounds (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionBounds__2 for class vtkGeoTerrainNode requires 2 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetProjectionBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetGraticuleLevel vtkGeoTerrainNodeGetGraticuleLevelFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetGraticuleLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGraticuleLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraticuleLevel for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGraticuleLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:SetGraticuleLevel vtkGeoTerrainNodeSetGraticuleLevelFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTerrainNodeSetGraticuleLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraticuleLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraticuleLevel for class vtkGeoTerrainNode requires 2 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGraticuleLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetError vtkGeoTerrainNodeGetErrorFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetError for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:SetError vtkGeoTerrainNodeSetErrorFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTerrainNodeSetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetError (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetError for class vtkGeoTerrainNode requires 2 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetError(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:GetCoverage vtkGeoTerrainNodeGetCoverageFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeGetCoverageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetCoverage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoverage for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetCoverage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:SetCoverage vtkGeoTerrainNodeSetCoverageFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTerrainNodeSetCoverageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoverage (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoverage for class vtkGeoTerrainNode requires 2 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCoverage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:ShallowCopy vtkGeoTerrainNodeShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTerrainNodeShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkGeoTreeNode *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkGeoTerrainNode requires 2 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:DeepCopy vtkGeoTerrainNodeDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTerrainNodeDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkGeoTreeNode *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkGeoTerrainNode requires 2 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:HasData vtkGeoTerrainNodeHasDataFunction
//input a0 
//output y
ArrayVector vtkGeoTerrainNodeHasDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool HasData (); */
  if (arg.size() < 1) 
    throw Exception("Function HasData for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasData();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:DeleteData vtkGeoTerrainNodeDeleteDataFunction
//input a0 
//output none
ArrayVector vtkGeoTerrainNodeDeleteDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeleteData (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteData for class vtkGeoTerrainNode requires 1 argument(s)");
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  Array retval;
  vtk_pointer->DeleteData();
  return retval;
}

//@@Signature
//sfunction @vtkGeoTerrainNode:SetProjectionBounds vtkGeoTerrainNodeSetProjectionBoundsFunction
//input varargin
//output varargout
ArrayVector vtkGeoTerrainNodeSetProjectionBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkGeoTerrainNodeSetProjectionBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeoTerrainNodeSetProjectionBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoTerrainNodeSetProjectionBounds");
}

//@@Signature
//sfunction @vtkGeoTerrainNode:display vtkGeoTerrainNodeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoTerrainNodeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoTerrainNode* vtk_pointer = GetVTKPointer<vtkGeoTerrainNode>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoTerrainNode:delete vtkGeoTerrainNodeDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoTerrainNodeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoTerrainNode
//@@Section VTKGeovis
//@@Usage
//
//To create an instance of class vtkGeoTerrainNode, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoTerrainNode
//@]
//@@Methods
//The class vtkGeoTerrainNode has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoTerrainNode class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoTerrainNode = obj.NewInstance ()|
// \item @|vtkGeoTerrainNode = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGeoTerrainNode = obj.GetChild (int idx)|
// \item @|vtkGeoTerrainNode = obj.GetParent ()|
// \item @|double = obj.GetAltitude (double longitude, double latitude)|
// \item @|vtkPolyData = obj.GetModel ()| -  Get the terrrain model.  The user has to copy the terrain
// into this object.
//// \item @|obj.SetModel (vtkPolyData model)| -  Get the terrrain model.  The user has to copy the terrain
// into this object.
//// \item @|obj.UpdateBoundingSphere ()| -  Bounding sphere is precomputed for faster updates of terrain.
//// \item @|double = obj.GetBoundingSphereRadius ()| -  Bounding sphere is precomputed for faster updates of terrain.
//// \item @|double = obj. GetBoundingSphereCenter ()| -  Bounding sphere is precomputed for faster updates of terrain.
//// \item @|double = obj. GetCornerNormal00 ()|
// \item @|double = obj. GetCornerNormal01 ()|
// \item @|double = obj. GetCornerNormal10 ()|
// \item @|double = obj. GetCornerNormal11 ()|
// \item @|double = obj. GetProjectionBounds ()| -  For 2D projections, store the bounds of the node in projected space
// to quickly determine if a node is offscreen.
//// \item @|obj.SetProjectionBounds (double , double , double , double )| -  For 2D projections, store the bounds of the node in projected space
// to quickly determine if a node is offscreen.
//// \item @|obj.SetProjectionBounds (double  a[4])| -  For 2D projections, store the bounds of the node in projected space
// to quickly determine if a node is offscreen.
//// \item @|int = obj.GetGraticuleLevel ()| -  For 2D projections, store the granularity of the graticule in this node.
//// \item @|obj.SetGraticuleLevel (int )| -  For 2D projections, store the granularity of the graticule in this node.
//// \item @|double = obj.GetError ()| -  For 2D projections, store the maximum deviation of line segment centers
// from the actual projection value.
//// \item @|obj.SetError (double )| -  For 2D projections, store the maximum deviation of line segment centers
// from the actual projection value.
//// \item @|float = obj.GetCoverage ()| -  For 2D projections, store the maximum deviation of line segment centers
// from the actual projection value.
//// \item @|obj.SetCoverage (float )| -  For 2D projections, store the maximum deviation of line segment centers
// from the actual projection value.
//// \item @|obj.ShallowCopy (vtkGeoTreeNode src)| -  Shallow and Deep copy.
//// \item @|obj.DeepCopy (vtkGeoTreeNode src)| -  Shallow and Deep copy.
//// \item @|bool = obj.HasData ()| -  Returns whether this node has valid data associated
// with it, or if it is an "empty" node.
//// \item @|obj.DeleteData ()| -  Deletes the data associated with the node to make this
// an "empty" node. This is performed when the node has
// been unused for a certain amount of time.
////\end{itemize}
//!
