#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoTransform.h"

//@@Signature
//sfunction @vtkGeoTransform:vtkGeoTransform vtkGeoTransformConstructorFunction
//input a
//output p
//@@Parents vtkGeoTransform vtkAbstractTransform 
ArrayVector vtkGeoTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoTransform::New(),"vtkGeoTransform",eval);
  } else if (arg[0].className() == "vtkGeoTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoTransform");
    vtkGeoTransform*q = reinterpret_cast<vtkGeoTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoTransform:GetClassName vtkGeoTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoTransform requires 1 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:IsA vtkGeoTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoTransform requires 2 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:NewInstance vtkGeoTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoTransform requires 1 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  vtkGeoTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:SafeDownCast vtkGeoTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoTransform requires 2 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:SetSourceProjection vtkGeoTransformSetSourceProjectionFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTransformSetSourceProjectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceProjection (vtkGeoProjection *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceProjection for class vtkGeoTransform requires 2 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  vtkGeoProjection  *temp0;
  temp0 = GetVTKPointer<vtkGeoProjection>(arg[1]);
  vtk_pointer->SetSourceProjection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:GetSourceProjection vtkGeoTransformGetSourceProjectionFunction
//input a0 
//output y
ArrayVector vtkGeoTransformGetSourceProjectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoProjection *GetSourceProjection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSourceProjection for class vtkGeoTransform requires 1 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  vtkGeoProjection  *temp20;
  temp20 = (vtk_pointer)->GetSourceProjection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoProjection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:SetDestinationProjection vtkGeoTransformSetDestinationProjectionFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTransformSetDestinationProjectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDestinationProjection (vtkGeoProjection *dest); */
  if (arg.size() < 2) 
    throw Exception("Function SetDestinationProjection for class vtkGeoTransform requires 2 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  vtkGeoProjection  *temp0;
  temp0 = GetVTKPointer<vtkGeoProjection>(arg[1]);
  vtk_pointer->SetDestinationProjection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:GetDestinationProjection vtkGeoTransformGetDestinationProjectionFunction
//input a0 
//output y
ArrayVector vtkGeoTransformGetDestinationProjectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoProjection *GetDestinationProjection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDestinationProjection for class vtkGeoTransform requires 1 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  vtkGeoProjection  *temp20;
  temp20 = (vtk_pointer)->GetDestinationProjection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoProjection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:TransformPoints vtkGeoTransformTransformPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGeoTransformTransformPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TransformPoints (vtkPoints *src, vtkPoints *dst); */
  if (arg.size() < 3) 
    throw Exception("Function TransformPoints for class vtkGeoTransform requires 3 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  vtk_pointer->TransformPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:Inverse vtkGeoTransformInverseFunction
//input a0 
//output none
ArrayVector vtkGeoTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Inverse (); */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkGeoTransform requires 1 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:InternalTransformPoint__1 vtkGeoTransformInternalTransformPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeoTransformInternalTransformPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalTransformPoint (const float in[3], float out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__1 for class vtkGeoTransform requires 3 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  float  temp0[3];
  float  temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:InternalTransformPoint__2 vtkGeoTransformInternalTransformPoint__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeoTransformInternalTransformPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalTransformPoint (const double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function InternalTransformPoint__2 for class vtkGeoTransform requires 3 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InternalTransformPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:MakeTransform vtkGeoTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkGeoTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkGeoTransform requires 1 argument(s)");
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTransform:InternalTransformPoint vtkGeoTransformInternalTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkGeoTransformInternalTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGeoTransformInternalTransformPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkGeoTransformInternalTransformPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoTransformInternalTransformPoint");
}

//@@Signature
//sfunction @vtkGeoTransform:InternalTransformDerivative vtkGeoTransformInternalTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkGeoTransformInternalTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGeoTransformInternalTransformDerivative");
}

//@@Signature
//sfunction @vtkGeoTransform:display vtkGeoTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoTransform* vtk_pointer = GetVTKPointer<vtkGeoTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoTransform:delete vtkGeoTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoTransform
//@@Section VTKGeovis
//@@Usage
// This class takes two geographic projections and transforms point
// coordinates between them.
//
//To create an instance of class vtkGeoTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoTransform
//@]
//@@Methods
//The class vtkGeoTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoTransform = obj.NewInstance ()|
// \item @|vtkGeoTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSourceProjection (vtkGeoProjection source)| -  The source geographic projection.
//// \item @|vtkGeoProjection = obj.GetSourceProjection ()| -  The source geographic projection.
//// \item @|obj.SetDestinationProjection (vtkGeoProjection dest)| -  The target geographic projection.
//// \item @|vtkGeoProjection = obj.GetDestinationProjection ()| -  The target geographic projection.
//// \item @|obj.TransformPoints (vtkPoints src, vtkPoints dst)| -  Transform many points at once.
//// \item @|obj.Inverse ()| -  Invert the transformation.
//// \item @|obj.InternalTransformPoint (float in[3], float out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|obj.InternalTransformPoint (double in[3], double out[3])| -  This will calculate the transformation without calling Update.
// Meant for use only within other VTK classes.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make another transform of the same type.
////\end{itemize}
//!
