#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoTreeNode object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoTreeNode.h"

//@@Signature
//sfunction @vtkGeoTreeNode:vtkGeoTreeNode vtkGeoTreeNodeConstructorFunction
//input a
//output p
//@@Parents vtkGeoTreeNode vtkObject 
ArrayVector vtkGeoTreeNodeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoTreeNode::New(),"vtkGeoTreeNode",eval);
  } else if (arg[0].className() == "vtkGeoTreeNode") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoTreeNode"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoTreeNode");
    vtkGeoTreeNode*q = reinterpret_cast<vtkGeoTreeNode*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoTreeNode");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoTreeNode:GetClassName vtkGeoTreeNodeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:IsA vtkGeoTreeNodeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTreeNodeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:NewInstance vtkGeoTreeNodeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTreeNode *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTreeNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SafeDownCast vtkGeoTreeNodeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTreeNodeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTreeNode *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoTreeNode  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTreeNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetId vtkGeoTreeNodeSetIdFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeSetIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetId (unsigned long ); */
  if (arg.size() < 2) 
    throw Exception("Function SetId for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->SetId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:GetId vtkGeoTreeNodeGetIdFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeGetIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetId for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetLevel vtkGeoTreeNodeSetLevelFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeSetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLevel for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:GetLevel vtkGeoTreeNodeGetLevelFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeGetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevel for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetLongitudeRange__1 vtkGeoTreeNodeSetLongitudeRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeoTreeNodeSetLongitudeRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLongitudeRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetLongitudeRange__1 for class vtkGeoTreeNode requires 3 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetLongitudeRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetLongitudeRange__2 vtkGeoTreeNodeSetLongitudeRange__2Function
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeSetLongitudeRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLongitudeRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLongitudeRange__2 for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetLongitudeRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:GetLongitudeRange vtkGeoTreeNodeGetLongitudeRangeFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeGetLongitudeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLongitudeRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitudeRange for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLongitudeRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetLatitudeRange__1 vtkGeoTreeNodeSetLatitudeRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGeoTreeNodeSetLatitudeRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatitudeRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetLatitudeRange__1 for class vtkGeoTreeNode requires 3 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetLatitudeRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetLatitudeRange__2 vtkGeoTreeNodeSetLatitudeRange__2Function
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeSetLatitudeRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatitudeRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLatitudeRange__2 for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetLatitudeRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:GetLatitudeRange vtkGeoTreeNodeGetLatitudeRangeFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeGetLatitudeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLatitudeRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitudeRange for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLatitudeRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetChild vtkGeoTreeNodeSetChildFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGeoTreeNodeSetChildFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetChild (vtkGeoTreeNode *node, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetChild for class vtkGeoTreeNode requires 3 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetChild(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetParent vtkGeoTreeNodeSetParentFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeSetParentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParent (vtkGeoTreeNode *node);this Parent node  */
  if (arg.size() < 2) 
    throw Exception("Function SetParent for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->SetParent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetOlder vtkGeoTreeNodeSetOlderFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeSetOlderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOlder (vtkGeoTreeNode *node);this Older node  */
  if (arg.size() < 2) 
    throw Exception("Function SetOlder for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->SetOlder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:GetOlder vtkGeoTreeNodeGetOlderFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeGetOlderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTreeNode *GetOlder ();return this Older  */
  if (arg.size() < 1) 
    throw Exception("Function GetOlder for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp20;
  temp20 = (vtk_pointer)->GetOlder();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTreeNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetNewer vtkGeoTreeNodeSetNewerFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeSetNewerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNewer (vtkGeoTreeNode *node);this Newer node  */
  if (arg.size() < 2) 
    throw Exception("Function SetNewer for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->SetNewer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:GetNewer vtkGeoTreeNodeGetNewerFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeGetNewerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTreeNode *GetNewer ();return this Newer  */
  if (arg.size() < 1) 
    throw Exception("Function GetNewer for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp20;
  temp20 = (vtk_pointer)->GetNewer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTreeNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:HasData vtkGeoTreeNodeHasDataFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeHasDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool HasData ();return false  */
  if (arg.size() < 1) 
    throw Exception("Function HasData for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasData();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:DeleteData vtkGeoTreeNodeDeleteDataFunction
//input a0 
//output none
ArrayVector vtkGeoTreeNodeDeleteDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeleteData (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteData for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtk_pointer->DeleteData();
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:GetWhichChildAreYou vtkGeoTreeNodeGetWhichChildAreYouFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeGetWhichChildAreYouFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWhichChildAreYou (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWhichChildAreYou for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWhichChildAreYou();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:IsDescendantOf vtkGeoTreeNodeIsDescendantOfFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTreeNodeIsDescendantOfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsDescendantOf (vtkGeoTreeNode *elder); */
  if (arg.size() < 2) 
    throw Exception("Function IsDescendantOf for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  temp20 = (vtk_pointer)->IsDescendantOf(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:CreateChildren vtkGeoTreeNodeCreateChildrenFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeCreateChildrenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CreateChildren (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateChildren for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->CreateChildren();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:GetChildTreeNode vtkGeoTreeNodeGetChildTreeNodeFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTreeNodeGetChildTreeNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTreeNode *GetChildTreeNode (int idx);return this Children idx  */
  if (arg.size() < 2) 
    throw Exception("Function GetChildTreeNode for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  int      temp0;
  vtkGeoTreeNode  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetChildTreeNode(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTreeNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:GetParentTreeNode vtkGeoTreeNodeGetParentTreeNodeFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeGetParentTreeNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTreeNode *GetParentTreeNode ();return this Parent  */
  if (arg.size() < 1) 
    throw Exception("Function GetParentTreeNode for class vtkGeoTreeNode requires 1 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp20;
  temp20 = (vtk_pointer)->GetParentTreeNode();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTreeNode",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:ShallowCopy vtkGeoTreeNodeShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkGeoTreeNode *src); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:DeepCopy vtkGeoTreeNodeDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkGeoTreeNode *src); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkGeoTreeNode requires 2 argument(s)");
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetLongitudeRange vtkGeoTreeNodeSetLongitudeRangeFunction
//input varargin
//output varargout
ArrayVector vtkGeoTreeNodeSetLongitudeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkGeoTreeNodeSetLongitudeRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeoTreeNodeSetLongitudeRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoTreeNodeSetLongitudeRange");
}

//@@Signature
//sfunction @vtkGeoTreeNode:SetLatitudeRange vtkGeoTreeNodeSetLatitudeRangeFunction
//input varargin
//output varargout
ArrayVector vtkGeoTreeNodeSetLatitudeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkGeoTreeNodeSetLatitudeRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeoTreeNodeSetLatitudeRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeoTreeNodeSetLatitudeRange");
}

//@@Signature
//sfunction @vtkGeoTreeNode:display vtkGeoTreeNodeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoTreeNodeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoTreeNode* vtk_pointer = GetVTKPointer<vtkGeoTreeNode>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoTreeNode:delete vtkGeoTreeNodeDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoTreeNodeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoTreeNode
//@@Section VTKGeovis
//@@Usage
// A self-referential data structure for storing geometry or imagery for
// the geospatial views. The data is organized in a quadtree. Each node
// contains a pointer to its parent and owns references to its four
// child nodes. The ID of each node is unique in its level, and encodes
// the path from the root node in its bits.
//
//To create an instance of class vtkGeoTreeNode, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoTreeNode
//@]
//@@Methods
//The class vtkGeoTreeNode has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoTreeNode class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoTreeNode = obj.NewInstance ()|
// \item @|vtkGeoTreeNode = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetId (long )| -  The id uniquely specified this node.
// For this implementation I am going to store the branch path
// in the bits.
//// \item @|long = obj.GetId ()| -  The id uniquely specified this node.
// For this implementation I am going to store the branch path
// in the bits.
//// \item @|obj.SetLevel (int )|
// \item @|int = obj.GetLevel ()|
// \item @|obj.SetLongitudeRange (double , double )| -  Longitude and latitude range of the terrain model.
//// \item @|obj.SetLongitudeRange (double  a[2])| -  Longitude and latitude range of the terrain model.
//// \item @|double = obj. GetLongitudeRange ()| -  Longitude and latitude range of the terrain model.
//// \item @|obj.SetLatitudeRange (double , double )| -  Longitude and latitude range of the terrain model.
//// \item @|obj.SetLatitudeRange (double  a[2])| -  Longitude and latitude range of the terrain model.
//// \item @|double = obj. GetLatitudeRange ()| -  Longitude and latitude range of the terrain model.
//// \item @|obj.SetChild (vtkGeoTreeNode node, int idx)| -  Get a child of this node. If one is set, then they all should
// set.  No not mix subclasses.
//// \item @|obj.SetParent (vtkGeoTreeNode node)| -  Manage links to older and newer tree nodes.
// These are used to periodically delete unused patches.
//// \item @|obj.SetOlder (vtkGeoTreeNode node)| -  Manage links to older and newer tree nodes.
// These are used to periodically delete unused patches.
//// \item @|vtkGeoTreeNode = obj.GetOlder ()| -  Manage links to older and newer tree nodes.
// These are used to periodically delete unused patches.
//// \item @|obj.SetNewer (vtkGeoTreeNode node)| -  Manage links to older and newer tree nodes.
// These are used to periodically delete unused patches.
//// \item @|vtkGeoTreeNode = obj.GetNewer ()| -  Returns whether this node has valid data associated
// with it, or if it is an "empty" node.
//// \item @|bool = obj.HasData ()| -  Deletes the data associated with the node to make this
// an "empty" node. This is performed when the node has
// been unused for a certain amount of time.
//// \item @|obj.DeleteData ()|
// \item @|int = obj.GetWhichChildAreYou ()|
// \item @|bool = obj.IsDescendantOf (vtkGeoTreeNode elder)| -  This method returns true if this node descends from the
// elder node.  The descision is made from the node ids, so the nodes do
// not have to be in the same tree!
//// \item @|int = obj.CreateChildren ()|
// \item @|vtkGeoTreeNode = obj.GetChildTreeNode (int idx)| -  Get the parent as a vtkGeoTreeNode.
// Subclasses also implement GetParent() which returns the parent
// as the appropriate subclass type.
//// \item @|vtkGeoTreeNode = obj.GetParentTreeNode ()| -  Shallow and Deep copy. Deep copy performs a shallow copy
// of the Child nodes.
//// \item @|obj.ShallowCopy (vtkGeoTreeNode src)| -  Shallow and Deep copy. Deep copy performs a shallow copy
// of the Child nodes.
//// \item @|obj.DeepCopy (vtkGeoTreeNode src)| -  Shallow and Deep copy. Deep copy performs a shallow copy
// of the Child nodes.
////\end{itemize}
//!
