#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoTreeNodeCache object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoTreeNodeCache.h"

//@@Signature
//sfunction @vtkGeoTreeNodeCache:vtkGeoTreeNodeCache vtkGeoTreeNodeCacheConstructorFunction
//input a
//output p
//@@Parents vtkGeoTreeNodeCache vtkObject 
ArrayVector vtkGeoTreeNodeCacheConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoTreeNodeCache::New(),"vtkGeoTreeNodeCache",eval);
  } else if (arg[0].className() == "vtkGeoTreeNodeCache") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoTreeNodeCache"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoTreeNodeCache");
    vtkGeoTreeNodeCache*q = reinterpret_cast<vtkGeoTreeNodeCache*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoTreeNodeCache");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoTreeNodeCache:GetClassName vtkGeoTreeNodeCacheGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeCacheGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoTreeNodeCache requires 1 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:IsA vtkGeoTreeNodeCacheIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTreeNodeCacheIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoTreeNodeCache requires 2 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:NewInstance vtkGeoTreeNodeCacheNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeCacheNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTreeNodeCache *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoTreeNodeCache requires 1 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  vtkGeoTreeNodeCache  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTreeNodeCache",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:SafeDownCast vtkGeoTreeNodeCacheSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoTreeNodeCacheSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTreeNodeCache *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoTreeNodeCache requires 2 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoTreeNodeCache  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTreeNodeCache",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:SetCacheMaximumLimit vtkGeoTreeNodeCacheSetCacheMaximumLimitFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeCacheSetCacheMaximumLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCacheMaximumLimit (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCacheMaximumLimit for class vtkGeoTreeNodeCache requires 2 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCacheMaximumLimit(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:GetCacheMaximumLimit vtkGeoTreeNodeCacheGetCacheMaximumLimitFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeCacheGetCacheMaximumLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheMaximumLimit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheMaximumLimit for class vtkGeoTreeNodeCache requires 1 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheMaximumLimit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:SetCacheMinimumLimit vtkGeoTreeNodeCacheSetCacheMinimumLimitFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeCacheSetCacheMinimumLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCacheMinimumLimit (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCacheMinimumLimit for class vtkGeoTreeNodeCache requires 2 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCacheMinimumLimit(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:GetCacheMinimumLimit vtkGeoTreeNodeCacheGetCacheMinimumLimitFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeCacheGetCacheMinimumLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheMinimumLimit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheMinimumLimit for class vtkGeoTreeNodeCache requires 1 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheMinimumLimit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:SendToFront vtkGeoTreeNodeCacheSendToFrontFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeCacheSendToFrontFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SendToFront (vtkGeoTreeNode *node); */
  if (arg.size() < 2) 
    throw Exception("Function SendToFront for class vtkGeoTreeNodeCache requires 2 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->SendToFront(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:RemoveNode vtkGeoTreeNodeCacheRemoveNodeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoTreeNodeCacheRemoveNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveNode (vtkGeoTreeNode *node); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveNode for class vtkGeoTreeNodeCache requires 2 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  vtkGeoTreeNode  *temp0;
  temp0 = GetVTKPointer<vtkGeoTreeNode>(arg[1]);
  vtk_pointer->RemoveNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:GetSize vtkGeoTreeNodeCacheGetSizeFunction
//input a0 
//output y
ArrayVector vtkGeoTreeNodeCacheGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkGeoTreeNodeCache requires 1 argument(s)");
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoTreeNodeCache:display vtkGeoTreeNodeCacheDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoTreeNodeCacheDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoTreeNodeCache* vtk_pointer = GetVTKPointer<vtkGeoTreeNodeCache>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoTreeNodeCache:delete vtkGeoTreeNodeCacheDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoTreeNodeCacheDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoTreeNodeCache
//@@Section VTKGeovis
//@@Usage
// vtkGeoTreeNodeCache keeps track of a linked list of vtkGeoTreeNodes,
// and has operations to move nodes to the front of the list and to
// delete data from the least used nodes. This is used to recover memory
// from nodes that store data that hasn't been used in a while.
//
//To create an instance of class vtkGeoTreeNodeCache, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoTreeNodeCache
//@]
//@@Methods
//The class vtkGeoTreeNodeCache has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoTreeNodeCache class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoTreeNodeCache = obj.NewInstance ()|
// \item @|vtkGeoTreeNodeCache = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCacheMaximumLimit (int )| -  The size of the cache of geospatial nodes.
// When the size reaches this limit, the list of non-empty
// nodes will be shortened to CacheMinimumLimit.
//// \item @|int = obj.GetCacheMaximumLimit ()| -  The size of the cache of geospatial nodes.
// When the size reaches this limit, the list of non-empty
// nodes will be shortened to CacheMinimumLimit.
//// \item @|obj.SetCacheMinimumLimit (int )| -  The cache is reduced to this size when the maximum limit is reached.
//// \item @|int = obj.GetCacheMinimumLimit ()| -  The cache is reduced to this size when the maximum limit is reached.
//// \item @|obj.SendToFront (vtkGeoTreeNode node)| -  Send a node to the front of the list.
// Perform this whenever a node is accessed, so that the most
// recently accessed nodes' data are not deleted.
//// \item @|obj.RemoveNode (vtkGeoTreeNode node)| -  Remove the node from the list.
//// \item @|int = obj.GetSize ()| -  The current size of the list.
////\end{itemize}
//!
