#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoView object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoView.h"

//@@Signature
//sfunction @vtkGeoView:vtkGeoView vtkGeoViewConstructorFunction
//input a
//output p
//@@Parents vtkGeoView vtkRenderView 
ArrayVector vtkGeoViewConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoView::New(),"vtkGeoView",eval);
  } else if (arg[0].className() == "vtkGeoView") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoView"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoView");
    vtkGeoView*q = reinterpret_cast<vtkGeoView*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoView");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoView:GetClassName vtkGeoViewGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoViewGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoView requires 1 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:IsA vtkGeoViewIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoViewIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoView requires 2 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:NewInstance vtkGeoViewNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoViewNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoView *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoView requires 1 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtkGeoView  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:SafeDownCast vtkGeoViewSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoViewSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoView *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoView requires 2 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoView  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:AddDefaultImageRepresentation vtkGeoViewAddDefaultImageRepresentationFunction
//input a0 a1 
//output y
ArrayVector vtkGeoViewAddDefaultImageRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoAlignedImageRepresentation *AddDefaultImageRepresentation (vtkImageData *image); */
  if (arg.size() < 2) 
    throw Exception("Function AddDefaultImageRepresentation for class vtkGeoView requires 2 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  vtkGeoAlignedImageRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  temp20 = (vtk_pointer)->AddDefaultImageRepresentation(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoAlignedImageRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:PrepareForRendering vtkGeoViewPrepareForRenderingFunction
//input a0 
//output none
ArrayVector vtkGeoViewPrepareForRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PrepareForRendering (); */
  if (arg.size() < 1) 
    throw Exception("Function PrepareForRendering for class vtkGeoView requires 1 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtk_pointer->PrepareForRendering();
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:BuildLowResEarth vtkGeoViewBuildLowResEarthFunction
//input a0 a1 
//output none
ArrayVector vtkGeoViewBuildLowResEarthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLowResEarth (double origin[3]); */
  if (arg.size() < 2) 
    throw Exception("Function BuildLowResEarth for class vtkGeoView requires 2 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->BuildLowResEarth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:SetLockHeading vtkGeoViewSetLockHeadingFunction
//input a0 a1 
//output none
ArrayVector vtkGeoViewSetLockHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLockHeading (bool lock); */
  if (arg.size() < 2) 
    throw Exception("Function SetLockHeading for class vtkGeoView requires 2 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetLockHeading(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:GetLockHeading vtkGeoViewGetLockHeadingFunction
//input a0 
//output y
ArrayVector vtkGeoViewGetLockHeadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetLockHeading (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLockHeading for class vtkGeoView requires 1 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLockHeading();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:LockHeadingOn vtkGeoViewLockHeadingOnFunction
//input a0 
//output none
ArrayVector vtkGeoViewLockHeadingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LockHeadingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LockHeadingOn for class vtkGeoView requires 1 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtk_pointer->LockHeadingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:LockHeadingOff vtkGeoViewLockHeadingOffFunction
//input a0 
//output none
ArrayVector vtkGeoViewLockHeadingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LockHeadingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LockHeadingOff for class vtkGeoView requires 1 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtk_pointer->LockHeadingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:GetGeoInteractorStyle vtkGeoViewGetGeoInteractorStyleFunction
//input a0 
//output y
ArrayVector vtkGeoViewGetGeoInteractorStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoInteractorStyle *GetGeoInteractorStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeoInteractorStyle for class vtkGeoView requires 1 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtkGeoInteractorStyle  *temp20;
  temp20 = (vtk_pointer)->GetGeoInteractorStyle();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoInteractorStyle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:SetGeoInteractorStyle vtkGeoViewSetGeoInteractorStyleFunction
//input a0 a1 
//output none
ArrayVector vtkGeoViewSetGeoInteractorStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGeoInteractorStyle (vtkGeoInteractorStyle *style); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeoInteractorStyle for class vtkGeoView requires 2 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtkGeoInteractorStyle  *temp0;
  temp0 = GetVTKPointer<vtkGeoInteractorStyle>(arg[1]);
  vtk_pointer->SetGeoInteractorStyle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:SetTerrain vtkGeoViewSetTerrainFunction
//input a0 a1 
//output none
ArrayVector vtkGeoViewSetTerrainFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTerrain (vtkGeoTerrain *terrain); */
  if (arg.size() < 2) 
    throw Exception("Function SetTerrain for class vtkGeoView requires 2 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtkGeoTerrain  *temp0;
  temp0 = GetVTKPointer<vtkGeoTerrain>(arg[1]);
  vtk_pointer->SetTerrain(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:GetTerrain vtkGeoViewGetTerrainFunction
//input a0 
//output y
ArrayVector vtkGeoViewGetTerrainFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTerrain *GetTerrain (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTerrain for class vtkGeoView requires 1 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtkGeoTerrain  *temp20;
  temp20 = (vtk_pointer)->GetTerrain();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTerrain",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:Render vtkGeoViewRenderFunction
//input a0 
//output none
ArrayVector vtkGeoViewRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (); */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkGeoView requires 1 argument(s)");
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkGeoView:display vtkGeoViewDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoViewDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoView* vtk_pointer = GetVTKPointer<vtkGeoView>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoView:delete vtkGeoViewDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoViewDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoView
//@@Section VTKGeovis
//@@Usage
// vtkGeoView is a 3D globe view. The globe may contain a multi-resolution
// geometry source (vtkGeoTerrain), multiple multi-resolution image sources
// (vtkGeoAlignedImageRepresentation), as well as other representations such
// as vtkRenderedGraphRepresentation. At a minimum, the view must have a terrain
// and one image representation. The view uses vtkGeoInteractorStyle to orbit,
// zoom, and tilt the view, and contains a vtkCompassWidget for manipulating
// the camera.
//
// Each terrain or image representation contains a vtkGeoSource subclass which
// generates geometry or imagery at multiple resolutions. As the camera
// position changes, the terrain and/or image representations may ask its
// vtkGeoSource to refine the geometry. This refinement is performed on a
// separate thread, and the data is added to the view when it becomes available.
//
//
//To create an instance of class vtkGeoView, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoView
//@]
//@@Methods
//The class vtkGeoView has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoView class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoView = obj.NewInstance ()|
// \item @|vtkGeoView = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGeoAlignedImageRepresentation = obj.AddDefaultImageRepresentation (vtkImageData image)| -  Adds an image representation with a simple terrain model using
// the image in the specified file as the globe terrain.
//// \item @|obj.PrepareForRendering ()|
// \item @|obj.BuildLowResEarth (double origin[3])| -  Rebuild low-res earth source; call after (re)setting origin.
//// \item @|obj.SetLockHeading (bool lock)| -  Whether the view locks the heading when panning.
// Default is off.
//// \item @|bool = obj.GetLockHeading ()| -  Whether the view locks the heading when panning.
// Default is off.
//// \item @|obj.LockHeadingOn ()| -  Whether the view locks the heading when panning.
// Default is off.
//// \item @|obj.LockHeadingOff ()| -  Whether the view locks the heading when panning.
// Default is off.
//// \item @|vtkGeoInteractorStyle = obj.GetGeoInteractorStyle ()| -  Convenience method for obtaining the internal interactor style.
//// \item @|obj.SetGeoInteractorStyle (vtkGeoInteractorStyle style)| -  Method to change the interactor style.
//// \item @|obj.SetTerrain (vtkGeoTerrain terrain)| -  The terrain (geometry) model for this earth view.
//// \item @|vtkGeoTerrain = obj.GetTerrain ()| -  The terrain (geometry) model for this earth view.
//// \item @|obj.Render ()| -  Update and render the view.
////\end{itemize}
//!
