#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoView2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoView2D.h"

//@@Signature
//sfunction @vtkGeoView2D:vtkGeoView2D vtkGeoView2DConstructorFunction
//input a
//output p
//@@Parents vtkGeoView2D vtkRenderView 
ArrayVector vtkGeoView2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoView2D::New(),"vtkGeoView2D",eval);
  } else if (arg[0].className() == "vtkGeoView2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoView2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoView2D");
    vtkGeoView2D*q = reinterpret_cast<vtkGeoView2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoView2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoView2D:GetClassName vtkGeoView2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoView2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoView2D requires 1 argument(s)");
  vtkGeoView2D* vtk_pointer = GetVTKPointer<vtkGeoView2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoView2D:IsA vtkGeoView2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoView2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoView2D requires 2 argument(s)");
  vtkGeoView2D* vtk_pointer = GetVTKPointer<vtkGeoView2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoView2D:NewInstance vtkGeoView2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoView2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoView2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoView2D requires 1 argument(s)");
  vtkGeoView2D* vtk_pointer = GetVTKPointer<vtkGeoView2D>(arg[0]);
  Array retval;
  vtkGeoView2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoView2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView2D:SafeDownCast vtkGeoView2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoView2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoView2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoView2D requires 2 argument(s)");
  vtkGeoView2D* vtk_pointer = GetVTKPointer<vtkGeoView2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoView2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoView2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView2D:GetSurface vtkGeoView2DGetSurfaceFunction
//input a0 
//output y
ArrayVector vtkGeoView2DGetSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoTerrain2D *GetSurface (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSurface for class vtkGeoView2D requires 1 argument(s)");
  vtkGeoView2D* vtk_pointer = GetVTKPointer<vtkGeoView2D>(arg[0]);
  Array retval;
  vtkGeoTerrain2D  *temp20;
  temp20 = (vtk_pointer)->GetSurface();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoTerrain2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView2D:SetSurface vtkGeoView2DSetSurfaceFunction
//input a0 a1 
//output none
ArrayVector vtkGeoView2DSetSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSurface (vtkGeoTerrain2D *surf); */
  if (arg.size() < 2) 
    throw Exception("Function SetSurface for class vtkGeoView2D requires 2 argument(s)");
  vtkGeoView2D* vtk_pointer = GetVTKPointer<vtkGeoView2D>(arg[0]);
  Array retval;
  vtkGeoTerrain2D  *temp0;
  temp0 = GetVTKPointer<vtkGeoTerrain2D>(arg[1]);
  vtk_pointer->SetSurface(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView2D:GetTransform vtkGeoView2DGetTransformFunction
//input a0 
//output y
ArrayVector vtkGeoView2DGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkGeoView2D requires 1 argument(s)");
  vtkGeoView2D* vtk_pointer = GetVTKPointer<vtkGeoView2D>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView2D:ApplyViewTheme vtkGeoView2DApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkGeoView2DApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *theme); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkGeoView2D requires 2 argument(s)");
  vtkGeoView2D* vtk_pointer = GetVTKPointer<vtkGeoView2D>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoView2D:Render vtkGeoView2DRenderFunction
//input a0 
//output none
ArrayVector vtkGeoView2DRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (); */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkGeoView2D requires 1 argument(s)");
  vtkGeoView2D* vtk_pointer = GetVTKPointer<vtkGeoView2D>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkGeoView2D:display vtkGeoView2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoView2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoView2D* vtk_pointer = GetVTKPointer<vtkGeoView2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoView2D:delete vtkGeoView2DDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoView2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoView2D
//@@Section VTKGeovis
//@@Usage
// vtkGeoView is a 2D globe view. The globe may contain a multi-resolution
// geometry source (vtkGeoTerrain2D), multiple multi-resolution image sources
// (vtkGeoAlignedImageRepresentation), as well as other representations such
// as vtkGeoGraphRepresentation2D. At a minimum, the view must have a terrain
// and one image representation. By default, you may select in the view with
// the left mouse button, pan with the middle button, and zoom with the right
// mouse button or scroll wheel.
//
// Each terrain or image representation contains a vtkGeoSource subclass which
// generates geometry or imagery at multiple resolutions. As the camera 
// position changes, the terrain and/or image representations may ask its
// vtkGeoSource to refine the geometry. This refinement is performed on a
// separate thread, and the data is added to the view when it becomes available.
//
//
//To create an instance of class vtkGeoView2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoView2D
//@]
//@@Methods
//The class vtkGeoView2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoView2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoView2D = obj.NewInstance ()|
// \item @|vtkGeoView2D = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGeoView2D = obj.()|
// \item @|~vtkGeoView2D = obj.()|
// \item @|vtkGeoTerrain2D = obj.GetSurface ()|
// \item @|obj.SetSurface (vtkGeoTerrain2D surf)|
// \item @|vtkAbstractTransform = obj.GetTransform ()| -  Returns the transform associated with the surface.
//// \item @|obj.ApplyViewTheme (vtkViewTheme theme)| -  Apply the view theme to this view.
//// \item @|obj.Render ()| -  Update and render the view.
////\end{itemize}
//!
