#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGlobeSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGlobeSource.h"

//@@Signature
//sfunction @vtkGlobeSource:vtkGlobeSource vtkGlobeSourceConstructorFunction
//input a
//output p
//@@Parents vtkGlobeSource vtkPolyDataAlgorithm 
ArrayVector vtkGlobeSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGlobeSource::New(),"vtkGlobeSource",eval);
  } else if (arg[0].className() == "vtkGlobeSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGlobeSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGlobeSource");
    vtkGlobeSource*q = reinterpret_cast<vtkGlobeSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGlobeSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGlobeSource:GetClassName vtkGlobeSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:IsA vtkGlobeSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGlobeSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:NewInstance vtkGlobeSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGlobeSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  vtkGlobeSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGlobeSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SafeDownCast vtkGlobeSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGlobeSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGlobeSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGlobeSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGlobeSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetOrigin__1 vtkGlobeSourceSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGlobeSourceSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkGlobeSource requires 4 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetOrigin__2 vtkGlobeSourceSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkGlobeSourceSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetStartLongitude vtkGlobeSourceSetStartLongitudeFunction
//input a0 a1 
//output none
ArrayVector vtkGlobeSourceSetStartLongitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartLongitude (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartLongitude for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStartLongitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetStartLongitudeMinValue vtkGlobeSourceGetStartLongitudeMinValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetStartLongitudeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartLongitudeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartLongitudeMinValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartLongitudeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetStartLongitudeMaxValue vtkGlobeSourceGetStartLongitudeMaxValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetStartLongitudeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartLongitudeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartLongitudeMaxValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartLongitudeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetEndLongitude vtkGlobeSourceSetEndLongitudeFunction
//input a0 a1 
//output none
ArrayVector vtkGlobeSourceSetEndLongitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEndLongitude (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEndLongitude for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEndLongitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetEndLongitudeMinValue vtkGlobeSourceGetEndLongitudeMinValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetEndLongitudeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndLongitudeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndLongitudeMinValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndLongitudeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetEndLongitudeMaxValue vtkGlobeSourceGetEndLongitudeMaxValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetEndLongitudeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndLongitudeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndLongitudeMaxValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndLongitudeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetStartLatitude vtkGlobeSourceSetStartLatitudeFunction
//input a0 a1 
//output none
ArrayVector vtkGlobeSourceSetStartLatitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartLatitude (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartLatitude for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStartLatitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetStartLatitudeMinValue vtkGlobeSourceGetStartLatitudeMinValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetStartLatitudeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartLatitudeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartLatitudeMinValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartLatitudeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetStartLatitudeMaxValue vtkGlobeSourceGetStartLatitudeMaxValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetStartLatitudeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartLatitudeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartLatitudeMaxValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartLatitudeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetEndLatitude vtkGlobeSourceSetEndLatitudeFunction
//input a0 a1 
//output none
ArrayVector vtkGlobeSourceSetEndLatitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEndLatitude (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEndLatitude for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEndLatitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetEndLatitudeMinValue vtkGlobeSourceGetEndLatitudeMinValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetEndLatitudeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndLatitudeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndLatitudeMinValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndLatitudeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetEndLatitudeMaxValue vtkGlobeSourceGetEndLatitudeMaxValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetEndLatitudeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndLatitudeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndLatitudeMaxValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndLatitudeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetLongitudeResolution vtkGlobeSourceSetLongitudeResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkGlobeSourceSetLongitudeResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLongitudeResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLongitudeResolution for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLongitudeResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetLongitudeResolutionMinValue vtkGlobeSourceGetLongitudeResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetLongitudeResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLongitudeResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitudeResolutionMinValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLongitudeResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetLongitudeResolutionMaxValue vtkGlobeSourceGetLongitudeResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetLongitudeResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLongitudeResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitudeResolutionMaxValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLongitudeResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetLongitudeResolution vtkGlobeSourceGetLongitudeResolutionFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetLongitudeResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLongitudeResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLongitudeResolution for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLongitudeResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetLatitudeResolution vtkGlobeSourceSetLatitudeResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkGlobeSourceSetLatitudeResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatitudeResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLatitudeResolution for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLatitudeResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetLatitudeResolutionMinValue vtkGlobeSourceGetLatitudeResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetLatitudeResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLatitudeResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitudeResolutionMinValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLatitudeResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetLatitudeResolutionMaxValue vtkGlobeSourceGetLatitudeResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetLatitudeResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLatitudeResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitudeResolutionMaxValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLatitudeResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetLatitudeResolution vtkGlobeSourceGetLatitudeResolutionFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetLatitudeResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLatitudeResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatitudeResolution for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLatitudeResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetRadius vtkGlobeSourceSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkGlobeSourceSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetRadiusMinValue vtkGlobeSourceGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetRadiusMaxValue vtkGlobeSourceGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetRadius vtkGlobeSourceGetRadiusFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetCurtainHeight vtkGlobeSourceSetCurtainHeightFunction
//input a0 a1 
//output none
ArrayVector vtkGlobeSourceSetCurtainHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurtainHeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurtainHeight for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCurtainHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetCurtainHeightMinValue vtkGlobeSourceGetCurtainHeightMinValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetCurtainHeightMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCurtainHeightMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurtainHeightMinValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCurtainHeightMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetCurtainHeightMaxValue vtkGlobeSourceGetCurtainHeightMaxValueFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetCurtainHeightMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCurtainHeightMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurtainHeightMaxValue for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCurtainHeightMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetCurtainHeight vtkGlobeSourceGetCurtainHeightFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetCurtainHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCurtainHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurtainHeight for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCurtainHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetQuadrilateralTessellation vtkGlobeSourceSetQuadrilateralTessellationFunction
//input a0 a1 
//output none
ArrayVector vtkGlobeSourceSetQuadrilateralTessellationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadrilateralTessellation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetQuadrilateralTessellation for class vtkGlobeSource requires 2 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetQuadrilateralTessellation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:GetQuadrilateralTessellation vtkGlobeSourceGetQuadrilateralTessellationFunction
//input a0 
//output y
ArrayVector vtkGlobeSourceGetQuadrilateralTessellationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetQuadrilateralTessellation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQuadrilateralTessellation for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetQuadrilateralTessellation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:QuadrilateralTessellationOn vtkGlobeSourceQuadrilateralTessellationOnFunction
//input a0 
//output none
ArrayVector vtkGlobeSourceQuadrilateralTessellationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void QuadrilateralTessellationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function QuadrilateralTessellationOn for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  vtk_pointer->QuadrilateralTessellationOn();
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:QuadrilateralTessellationOff vtkGlobeSourceQuadrilateralTessellationOffFunction
//input a0 
//output none
ArrayVector vtkGlobeSourceQuadrilateralTessellationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void QuadrilateralTessellationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function QuadrilateralTessellationOff for class vtkGlobeSource requires 1 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  vtk_pointer->QuadrilateralTessellationOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:ComputeGlobePoint vtkGlobeSourceComputeGlobePointFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkGlobeSourceComputeGlobePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeGlobePoint (double theta, double phi, double radius, double *point, double *normal); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeGlobePoint for class vtkGlobeSource requires 6 argument(s)");
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp3;
  double  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
  vtk_pointer->ComputeGlobePoint(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkGlobeSource:SetOrigin vtkGlobeSourceSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkGlobeSourceSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkGlobeSourceSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGlobeSourceSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGlobeSourceSetOrigin");
}

//@@Signature
//sfunction @vtkGlobeSource:display vtkGlobeSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGlobeSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGlobeSource* vtk_pointer = GetVTKPointer<vtkGlobeSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGlobeSource:delete vtkGlobeSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkGlobeSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGlobeSource
//@@Section VTKGeovis
//@@Usage
// vtkGlobeSource will generate any "rectangular" patch of the globe
// given its Longitude-Latitude extent.  It adds two point scalar arrays
// Longitude and Latitude to the output.  These arrays can be transformed
// to generate texture coordinates for any texture map.  This source is 
// imperfect near the poles as implmented.  It should really reduce the
// longitude resolution as the triangles become slivers.
//
// \image html vtkGlobeSourceSphericalToCartesianFigure.png
// \image latex vtkGlobeSourceSphericalToCartesianFigure.eps
//
//To create an instance of class vtkGlobeSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkGlobeSource
//@]
//@@Methods
//The class vtkGlobeSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGlobeSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGlobeSource = obj.NewInstance ()|
// \item @|vtkGlobeSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOrigin (double , double , double )|
// \item @|obj.SetOrigin (double  a[3])|
// \item @|obj.SetStartLongitude (double )| -  Longitude Latitude clamps.
//// \item @|double = obj.GetStartLongitudeMinValue ()| -  Longitude Latitude clamps.
//// \item @|double = obj.GetStartLongitudeMaxValue ()| -  Longitude Latitude clamps.
//// \item @|obj.SetEndLongitude (double )| -  Longitude Latitude clamps.
//// \item @|double = obj.GetEndLongitudeMinValue ()| -  Longitude Latitude clamps.
//// \item @|double = obj.GetEndLongitudeMaxValue ()| -  Longitude Latitude clamps.
//// \item @|obj.SetStartLatitude (double )| -  Longitude Latitude clamps.
//// \item @|double = obj.GetStartLatitudeMinValue ()| -  Longitude Latitude clamps.
//// \item @|double = obj.GetStartLatitudeMaxValue ()| -  Longitude Latitude clamps.
//// \item @|obj.SetEndLatitude (double )| -  Longitude Latitude clamps.
//// \item @|double = obj.GetEndLatitudeMinValue ()| -  Longitude Latitude clamps.
//// \item @|double = obj.GetEndLatitudeMaxValue ()| -  Longitude Latitude clamps.
//// \item @|obj.SetLongitudeResolution (int )| -  Set the number of points in the longitude direction (ranging from
// StartLongitude to EndLongitude).
//// \item @|int = obj.GetLongitudeResolutionMinValue ()| -  Set the number of points in the longitude direction (ranging from
// StartLongitude to EndLongitude).
//// \item @|int = obj.GetLongitudeResolutionMaxValue ()| -  Set the number of points in the longitude direction (ranging from
// StartLongitude to EndLongitude).
//// \item @|int = obj.GetLongitudeResolution ()| -  Set the number of points in the longitude direction (ranging from
// StartLongitude to EndLongitude).
//// \item @|obj.SetLatitudeResolution (int )| -  Set the number of points in the latitude direction (ranging
// from StartLatitude to EndLatitude).
//// \item @|int = obj.GetLatitudeResolutionMinValue ()| -  Set the number of points in the latitude direction (ranging
// from StartLatitude to EndLatitude).
//// \item @|int = obj.GetLatitudeResolutionMaxValue ()| -  Set the number of points in the latitude direction (ranging
// from StartLatitude to EndLatitude).
//// \item @|int = obj.GetLatitudeResolution ()| -  Set the number of points in the latitude direction (ranging
// from StartLatitude to EndLatitude).
//// \item @|obj.SetRadius (double )| -  Set radius of sphere. Default is 6356750.0
//// \item @|double = obj.GetRadiusMinValue ()| -  Set radius of sphere. Default is 6356750.0
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set radius of sphere. Default is 6356750.0
//// \item @|double = obj.GetRadius ()| -  Set radius of sphere. Default is 6356750.0
//// \item @|obj.SetCurtainHeight (double )|
// \item @|double = obj.GetCurtainHeightMinValue ()|
// \item @|double = obj.GetCurtainHeightMaxValue ()|
// \item @|double = obj.GetCurtainHeight ()|
// \item @|obj.SetQuadrilateralTessellation (int )| -  Cause the sphere to be tessellated with edges along the latitude
// and longitude lines. If off, triangles are generated at non-polar
// regions, which results in edges that are not parallel to latitude and
// longitude lines. If on, quadrilaterals are generated everywhere
// except at the poles. This can be useful for generating a wireframe
// sphere with natural latitude and longitude lines.
//// \item @|int = obj.GetQuadrilateralTessellation ()| -  Cause the sphere to be tessellated with edges along the latitude
// and longitude lines. If off, triangles are generated at non-polar
// regions, which results in edges that are not parallel to latitude and
// longitude lines. If on, quadrilaterals are generated everywhere
// except at the poles. This can be useful for generating a wireframe
// sphere with natural latitude and longitude lines.
//// \item @|obj.QuadrilateralTessellationOn ()| -  Cause the sphere to be tessellated with edges along the latitude
// and longitude lines. If off, triangles are generated at non-polar
// regions, which results in edges that are not parallel to latitude and
// longitude lines. If on, quadrilaterals are generated everywhere
// except at the poles. This can be useful for generating a wireframe
// sphere with natural latitude and longitude lines.
//// \item @|obj.QuadrilateralTessellationOff ()| -  Cause the sphere to be tessellated with edges along the latitude
// and longitude lines. If off, triangles are generated at non-polar
// regions, which results in edges that are not parallel to latitude and
// longitude lines. If on, quadrilaterals are generated everywhere
// except at the poles. This can be useful for generating a wireframe
// sphere with natural latitude and longitude lines.
////\end{itemize}
//!
