#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAnnotationLink object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAnnotationLink.h"

//@@Signature
//sfunction @vtkAnnotationLink:vtkAnnotationLink vtkAnnotationLinkConstructorFunction
//input a
//output p
//@@Parents vtkAnnotationLink vtkAnnotationLayersAlgorithm 
ArrayVector vtkAnnotationLinkConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAnnotationLink::New(),"vtkAnnotationLink",eval);
  } else if (arg[0].className() == "vtkAnnotationLink") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAnnotationLink"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAnnotationLink");
    vtkAnnotationLink*q = reinterpret_cast<vtkAnnotationLink*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAnnotationLink");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAnnotationLink:GetClassName vtkAnnotationLinkGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAnnotationLinkGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAnnotationLink requires 1 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:IsA vtkAnnotationLinkIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotationLinkIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAnnotationLink requires 2 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:NewInstance vtkAnnotationLinkNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAnnotationLinkNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotationLink *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAnnotationLink requires 1 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  vtkAnnotationLink  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotationLink",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:SafeDownCast vtkAnnotationLinkSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotationLinkSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotationLink *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAnnotationLink requires 2 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAnnotationLink  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotationLink",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:GetAnnotationLayers vtkAnnotationLinkGetAnnotationLayersFunction
//input a0 
//output y
ArrayVector vtkAnnotationLinkGetAnnotationLayersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotationLayers *GetAnnotationLayers (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnnotationLayers for class vtkAnnotationLink requires 1 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  vtkAnnotationLayers  *temp20;
  temp20 = (vtk_pointer)->GetAnnotationLayers();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotationLayers",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:SetAnnotationLayers vtkAnnotationLinkSetAnnotationLayersFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationLinkSetAnnotationLayersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAnnotationLayers (vtkAnnotationLayers *layers); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnnotationLayers for class vtkAnnotationLink requires 2 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  vtkAnnotationLayers  *temp0;
  temp0 = GetVTKPointer<vtkAnnotationLayers>(arg[1]);
  vtk_pointer->SetAnnotationLayers(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:SetCurrentSelection vtkAnnotationLinkSetCurrentSelectionFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationLinkSetCurrentSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCurrentSelection (vtkSelection *sel); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentSelection for class vtkAnnotationLink requires 2 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  vtk_pointer->SetCurrentSelection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:GetCurrentSelection vtkAnnotationLinkGetCurrentSelectionFunction
//input a0 
//output y
ArrayVector vtkAnnotationLinkGetCurrentSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkSelection *GetCurrentSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentSelection for class vtkAnnotationLink requires 1 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  vtkSelection  *temp20;
  temp20 = (vtk_pointer)->GetCurrentSelection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:AddDomainMap vtkAnnotationLinkAddDomainMapFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationLinkAddDomainMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddDomainMap (vtkTable *map); */
  if (arg.size() < 2) 
    throw Exception("Function AddDomainMap for class vtkAnnotationLink requires 2 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  vtkTable  *temp0;
  temp0 = GetVTKPointer<vtkTable>(arg[1]);
  vtk_pointer->AddDomainMap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:RemoveDomainMap vtkAnnotationLinkRemoveDomainMapFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotationLinkRemoveDomainMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveDomainMap (vtkTable *map); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveDomainMap for class vtkAnnotationLink requires 2 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  vtkTable  *temp0;
  temp0 = GetVTKPointer<vtkTable>(arg[1]);
  vtk_pointer->RemoveDomainMap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:RemoveAllDomainMaps vtkAnnotationLinkRemoveAllDomainMapsFunction
//input a0 
//output none
ArrayVector vtkAnnotationLinkRemoveAllDomainMapsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllDomainMaps (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllDomainMaps for class vtkAnnotationLink requires 1 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllDomainMaps();
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:GetNumberOfDomainMaps vtkAnnotationLinkGetNumberOfDomainMapsFunction
//input a0 
//output y
ArrayVector vtkAnnotationLinkGetNumberOfDomainMapsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfDomainMaps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfDomainMaps for class vtkAnnotationLink requires 1 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfDomainMaps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:GetDomainMap vtkAnnotationLinkGetDomainMapFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotationLinkGetDomainMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *GetDomainMap (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetDomainMap for class vtkAnnotationLink requires 2 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  int      temp0;
  vtkTable  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDomainMap(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:GetMTime vtkAnnotationLinkGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAnnotationLinkGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAnnotationLink requires 1 argument(s)");
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotationLink:display vtkAnnotationLinkDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAnnotationLinkDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAnnotationLink* vtk_pointer = GetVTKPointer<vtkAnnotationLink>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAnnotationLink:delete vtkAnnotationLinkDeleteFunction
//input varargin
//output none
ArrayVector vtkAnnotationLinkDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAnnotationLink
//@@Section VTKGraphics
//@@Usage
// vtkAnnotationLink is a simple source filter which outputs the
// vtkAnnotationLayers object stored internally.  Multiple objects may share
// the same annotation link filter and connect it to an internal pipeline so
// that if one object changes the annotation set, it will be pulled into all
// the other objects when their pipelines update.
//
// The shared vtkAnnotationLayers object (a collection of annotations) is
// shallow copied to output port 0.
//
// vtkAnnotationLink can also store a set of domain maps. A domain map is
// simply a table associating values between domains. The domain of each
// column is defined by the array name of the column. The domain maps are
// sent to a multi-block dataset in output port 1.
//
// Output ports 0 and 1 can be set as input ports 0 and 1 to
// vtkConvertSelectionDomain, which can use the domain maps to convert the
// domains of selections in the vtkAnnotationLayers to match a particular
// data object (set as port 2 on vtkConvertSelectionDomain).
//
// The shared vtkAnnotationLayers object also stores a "current selection"
// normally interpreted as the interactive selection of an application.
// As a convenience, this selection is sent to output port 2 so that it
// can be connected to pipelines requiring a vtkSelection.
//
//To create an instance of class vtkAnnotationLink, simply
//invoke its constructor as follows
//@[
//  obj = vtkAnnotationLink
//@]
//@@Methods
//The class vtkAnnotationLink has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAnnotationLink class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAnnotationLink = obj.NewInstance ()|
// \item @|vtkAnnotationLink = obj.SafeDownCast (vtkObject o)|
// \item @|vtkAnnotationLayers = obj.GetAnnotationLayers ()| -  The annotations to be shared.
//// \item @|obj.SetAnnotationLayers (vtkAnnotationLayers layers)| -  The annotations to be shared.
//// \item @|obj.SetCurrentSelection (vtkSelection sel)| -  Set or get the current selection in the annotation layers.
//// \item @|vtkSelection = obj.GetCurrentSelection ()| -  Set or get the current selection in the annotation layers.
//// \item @|obj.AddDomainMap (vtkTable map)| -  The domain mappings.
//// \item @|obj.RemoveDomainMap (vtkTable map)| -  The domain mappings.
//// \item @|obj.RemoveAllDomainMaps ()| -  The domain mappings.
//// \item @|int = obj.GetNumberOfDomainMaps ()| -  The domain mappings.
//// \item @|vtkTable = obj.GetDomainMap (int i)| -  The domain mappings.
//// \item @|long = obj.GetMTime ()| -  Get the mtime of this object.
////\end{itemize}
//!
