#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAppendFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAppendFilter.h"

//@@Signature
//sfunction @vtkAppendFilter:vtkAppendFilter vtkAppendFilterConstructorFunction
//input a
//output p
//@@Parents vtkAppendFilter vtkUnstructuredGridAlgorithm 
ArrayVector vtkAppendFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAppendFilter::New(),"vtkAppendFilter",eval);
  } else if (arg[0].className() == "vtkAppendFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAppendFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAppendFilter");
    vtkAppendFilter*q = reinterpret_cast<vtkAppendFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAppendFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAppendFilter:GetClassName vtkAppendFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAppendFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAppendFilter requires 1 argument(s)");
  vtkAppendFilter* vtk_pointer = GetVTKPointer<vtkAppendFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendFilter:IsA vtkAppendFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAppendFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAppendFilter requires 2 argument(s)");
  vtkAppendFilter* vtk_pointer = GetVTKPointer<vtkAppendFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendFilter:NewInstance vtkAppendFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAppendFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAppendFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAppendFilter requires 1 argument(s)");
  vtkAppendFilter* vtk_pointer = GetVTKPointer<vtkAppendFilter>(arg[0]);
  Array retval;
  vtkAppendFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAppendFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAppendFilter:SafeDownCast vtkAppendFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAppendFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAppendFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAppendFilter requires 2 argument(s)");
  vtkAppendFilter* vtk_pointer = GetVTKPointer<vtkAppendFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAppendFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAppendFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAppendFilter:RemoveInput vtkAppendFilterRemoveInputFunction
//input a0 a1 
//output none
ArrayVector vtkAppendFilterRemoveInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveInput (vtkDataSet *in); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveInput for class vtkAppendFilter requires 2 argument(s)");
  vtkAppendFilter* vtk_pointer = GetVTKPointer<vtkAppendFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->RemoveInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendFilter:GetInputList vtkAppendFilterGetInputListFunction
//input a0 
//output y
ArrayVector vtkAppendFilterGetInputListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetCollection *GetInputList (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputList for class vtkAppendFilter requires 1 argument(s)");
  vtkAppendFilter* vtk_pointer = GetVTKPointer<vtkAppendFilter>(arg[0]);
  Array retval;
  vtkDataSetCollection  *temp20;
  temp20 = (vtk_pointer)->GetInputList();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAppendFilter:display vtkAppendFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAppendFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAppendFilter* vtk_pointer = GetVTKPointer<vtkAppendFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAppendFilter:delete vtkAppendFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkAppendFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAppendFilter
//@@Section VTKGraphics
//@@Usage
// vtkAppendFilter is a filter that appends one of more datasets into a single
// unstructured grid. All geometry is extracted and appended, but point 
// attributes (i.e., scalars, vectors, normals, field data, etc.) are extracted 
// and appended only if all datasets have the point attributes available. 
// (For example, if one dataset has scalars but another does not, scalars will 
// not be appended.)
//
//To create an instance of class vtkAppendFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkAppendFilter
//@]
//@@Methods
//The class vtkAppendFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAppendFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAppendFilter = obj.NewInstance ()|
// \item @|vtkAppendFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RemoveInput (vtkDataSet in)| -  Remove a dataset from the list of data to append.
//// \item @|vtkDataSetCollection = obj.GetInputList ()| -  Returns a copy of the input array.  Modifications to this list
// will not be reflected in the actual inputs.
////\end{itemize}
//!
