#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAppendPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAppendPolyData.h"

//@@Signature
//sfunction @vtkAppendPolyData:vtkAppendPolyData vtkAppendPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkAppendPolyData vtkPolyDataAlgorithm 
ArrayVector vtkAppendPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAppendPolyData::New(),"vtkAppendPolyData",eval);
  } else if (arg[0].className() == "vtkAppendPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAppendPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAppendPolyData");
    vtkAppendPolyData*q = reinterpret_cast<vtkAppendPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAppendPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAppendPolyData:GetClassName vtkAppendPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAppendPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAppendPolyData requires 1 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:IsA vtkAppendPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAppendPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAppendPolyData requires 2 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:NewInstance vtkAppendPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAppendPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAppendPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAppendPolyData requires 1 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  vtkAppendPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAppendPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:SafeDownCast vtkAppendPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAppendPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAppendPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAppendPolyData requires 2 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAppendPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAppendPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:SetUserManagedInputs vtkAppendPolyDataSetUserManagedInputsFunction
//input a0 a1 
//output none
ArrayVector vtkAppendPolyDataSetUserManagedInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUserManagedInputs (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUserManagedInputs for class vtkAppendPolyData requires 2 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUserManagedInputs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:GetUserManagedInputs vtkAppendPolyDataGetUserManagedInputsFunction
//input a0 
//output y
ArrayVector vtkAppendPolyDataGetUserManagedInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUserManagedInputs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUserManagedInputs for class vtkAppendPolyData requires 1 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUserManagedInputs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:UserManagedInputsOn vtkAppendPolyDataUserManagedInputsOnFunction
//input a0 
//output none
ArrayVector vtkAppendPolyDataUserManagedInputsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UserManagedInputsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UserManagedInputsOn for class vtkAppendPolyData requires 1 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  vtk_pointer->UserManagedInputsOn();
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:UserManagedInputsOff vtkAppendPolyDataUserManagedInputsOffFunction
//input a0 
//output none
ArrayVector vtkAppendPolyDataUserManagedInputsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UserManagedInputsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UserManagedInputsOff for class vtkAppendPolyData requires 1 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  vtk_pointer->UserManagedInputsOff();
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:AddInput__1 vtkAppendPolyDataAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkAppendPolyDataAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkPolyData *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkAppendPolyData requires 2 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:RemoveInput vtkAppendPolyDataRemoveInputFunction
//input a0 a1 
//output none
ArrayVector vtkAppendPolyDataRemoveInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveInput (vtkPolyData *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveInput for class vtkAppendPolyData requires 2 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->RemoveInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:SetNumberOfInputs vtkAppendPolyDataSetNumberOfInputsFunction
//input a0 a1 
//output none
ArrayVector vtkAppendPolyDataSetNumberOfInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfInputs (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfInputs for class vtkAppendPolyData requires 2 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfInputs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:SetInputByNumber vtkAppendPolyDataSetInputByNumberFunction
//input a0 a1 a2 
//output none
ArrayVector vtkAppendPolyDataSetInputByNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputByNumber (int num, vtkPolyData *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputByNumber for class vtkAppendPolyData requires 3 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->SetInputByNumber(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:SetParallelStreaming vtkAppendPolyDataSetParallelStreamingFunction
//input a0 a1 
//output none
ArrayVector vtkAppendPolyDataSetParallelStreamingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParallelStreaming (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetParallelStreaming for class vtkAppendPolyData requires 2 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetParallelStreaming(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:GetParallelStreaming vtkAppendPolyDataGetParallelStreamingFunction
//input a0 
//output y
ArrayVector vtkAppendPolyDataGetParallelStreamingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParallelStreaming (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParallelStreaming for class vtkAppendPolyData requires 1 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetParallelStreaming();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:ParallelStreamingOn vtkAppendPolyDataParallelStreamingOnFunction
//input a0 
//output none
ArrayVector vtkAppendPolyDataParallelStreamingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParallelStreamingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ParallelStreamingOn for class vtkAppendPolyData requires 1 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ParallelStreamingOn();
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:ParallelStreamingOff vtkAppendPolyDataParallelStreamingOffFunction
//input a0 
//output none
ArrayVector vtkAppendPolyDataParallelStreamingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParallelStreamingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ParallelStreamingOff for class vtkAppendPolyData requires 1 argument(s)");
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ParallelStreamingOff();
  return retval;
}

//@@Signature
//sfunction @vtkAppendPolyData:AddInput vtkAppendPolyDataAddInputFunction
//input varargin
//output varargout
ArrayVector vtkAppendPolyDataAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPolyData"))
    return vtkAppendPolyDataAddInput__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAppendPolyDataAddInput");
}

//@@Signature
//sfunction @vtkAppendPolyData:display vtkAppendPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAppendPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAppendPolyData* vtk_pointer = GetVTKPointer<vtkAppendPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAppendPolyData:delete vtkAppendPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkAppendPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAppendPolyData
//@@Section VTKGraphics
//@@Usage
// 
// vtkAppendPolyData is a filter that appends one of more polygonal datasets
// into a single polygonal dataset. All geometry is extracted and appended,
// but point and cell attributes (i.e., scalars, vectors, normals) are
// extracted and appended only if all datasets have the point and/or cell
// attributes available.  (For example, if one dataset has point scalars but
// another does not, point scalars will not be appended.)
//
//To create an instance of class vtkAppendPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkAppendPolyData
//@]
//@@Methods
//The class vtkAppendPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAppendPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAppendPolyData = obj.NewInstance ()|
// \item @|vtkAppendPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetUserManagedInputs (int )| -  UserManagedInputs allows the user to set inputs by number instead of
// using the AddInput/RemoveInput functions. Calls to
// SetNumberOfInputs/SetInputByNumber should not be mixed with calls
// to AddInput/RemoveInput. By default, UserManagedInputs is false.
//// \item @|int = obj.GetUserManagedInputs ()| -  UserManagedInputs allows the user to set inputs by number instead of
// using the AddInput/RemoveInput functions. Calls to
// SetNumberOfInputs/SetInputByNumber should not be mixed with calls
// to AddInput/RemoveInput. By default, UserManagedInputs is false.
//// \item @|obj.UserManagedInputsOn ()| -  UserManagedInputs allows the user to set inputs by number instead of
// using the AddInput/RemoveInput functions. Calls to
// SetNumberOfInputs/SetInputByNumber should not be mixed with calls
// to AddInput/RemoveInput. By default, UserManagedInputs is false.
//// \item @|obj.UserManagedInputsOff ()| -  UserManagedInputs allows the user to set inputs by number instead of
// using the AddInput/RemoveInput functions. Calls to
// SetNumberOfInputs/SetInputByNumber should not be mixed with calls
// to AddInput/RemoveInput. By default, UserManagedInputs is false.
//// \item @|obj.AddInput (vtkPolyData )| -  Add a dataset to the list of data to append. Should not be
// used when UserManagedInputs is true, use SetInputByNumber instead.
//// \item @|obj.RemoveInput (vtkPolyData )| -  Remove a dataset from the list of data to append. Should not be
// used when UserManagedInputs is true, use SetInputByNumber (NULL) instead.
//// \item @|obj.SetNumberOfInputs (int num)| -  Directly set(allocate) number of inputs, should only be used
// when UserManagedInputs is true.
//// \item @|obj.SetInputByNumber (int num, vtkPolyData input)|
// \item @|obj.SetParallelStreaming (int )| -  ParallelStreaming is for a particular application.
// It causes this filter to ask for a different piece
// from each of its inputs.  If all the inputs are the same,
// then the output of this append filter is the whole dataset
// pieced back together.  Duplicate points are create 
// along the seams.  The purpose of this feature is to get 
// data parallelism at a course scale.  Each of the inputs
// can be generated in a different process at the same time.
//// \item @|int = obj.GetParallelStreaming ()| -  ParallelStreaming is for a particular application.
// It causes this filter to ask for a different piece
// from each of its inputs.  If all the inputs are the same,
// then the output of this append filter is the whole dataset
// pieced back together.  Duplicate points are create 
// along the seams.  The purpose of this feature is to get 
// data parallelism at a course scale.  Each of the inputs
// can be generated in a different process at the same time.
//// \item @|obj.ParallelStreamingOn ()| -  ParallelStreaming is for a particular application.
// It causes this filter to ask for a different piece
// from each of its inputs.  If all the inputs are the same,
// then the output of this append filter is the whole dataset
// pieced back together.  Duplicate points are create 
// along the seams.  The purpose of this feature is to get 
// data parallelism at a course scale.  Each of the inputs
// can be generated in a different process at the same time.
//// \item @|obj.ParallelStreamingOff ()| -  ParallelStreaming is for a particular application.
// It causes this filter to ask for a different piece
// from each of its inputs.  If all the inputs are the same,
// then the output of this append filter is the whole dataset
// pieced back together.  Duplicate points are create 
// along the seams.  The purpose of this feature is to get 
// data parallelism at a course scale.  Each of the inputs
// can be generated in a different process at the same time.
////\end{itemize}
//!
