#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAppendSelection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAppendSelection.h"

//@@Signature
//sfunction @vtkAppendSelection:vtkAppendSelection vtkAppendSelectionConstructorFunction
//input a
//output p
//@@Parents vtkAppendSelection vtkSelectionAlgorithm 
ArrayVector vtkAppendSelectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAppendSelection::New(),"vtkAppendSelection",eval);
  } else if (arg[0].className() == "vtkAppendSelection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAppendSelection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAppendSelection");
    vtkAppendSelection*q = reinterpret_cast<vtkAppendSelection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAppendSelection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAppendSelection:GetClassName vtkAppendSelectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAppendSelectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAppendSelection requires 1 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:IsA vtkAppendSelectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAppendSelectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAppendSelection requires 2 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:NewInstance vtkAppendSelectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAppendSelectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAppendSelection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAppendSelection requires 1 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  vtkAppendSelection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAppendSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:SafeDownCast vtkAppendSelectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAppendSelectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAppendSelection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAppendSelection requires 2 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAppendSelection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAppendSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:SetUserManagedInputs vtkAppendSelectionSetUserManagedInputsFunction
//input a0 a1 
//output none
ArrayVector vtkAppendSelectionSetUserManagedInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUserManagedInputs (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUserManagedInputs for class vtkAppendSelection requires 2 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUserManagedInputs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:GetUserManagedInputs vtkAppendSelectionGetUserManagedInputsFunction
//input a0 
//output y
ArrayVector vtkAppendSelectionGetUserManagedInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUserManagedInputs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUserManagedInputs for class vtkAppendSelection requires 1 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUserManagedInputs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:UserManagedInputsOn vtkAppendSelectionUserManagedInputsOnFunction
//input a0 
//output none
ArrayVector vtkAppendSelectionUserManagedInputsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UserManagedInputsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UserManagedInputsOn for class vtkAppendSelection requires 1 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  vtk_pointer->UserManagedInputsOn();
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:UserManagedInputsOff vtkAppendSelectionUserManagedInputsOffFunction
//input a0 
//output none
ArrayVector vtkAppendSelectionUserManagedInputsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UserManagedInputsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UserManagedInputsOff for class vtkAppendSelection requires 1 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  vtk_pointer->UserManagedInputsOff();
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:AddInput__1 vtkAppendSelectionAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkAppendSelectionAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkSelection *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkAppendSelection requires 2 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:RemoveInput vtkAppendSelectionRemoveInputFunction
//input a0 a1 
//output none
ArrayVector vtkAppendSelectionRemoveInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveInput (vtkSelection *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveInput for class vtkAppendSelection requires 2 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  vtk_pointer->RemoveInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:SetNumberOfInputs vtkAppendSelectionSetNumberOfInputsFunction
//input a0 a1 
//output none
ArrayVector vtkAppendSelectionSetNumberOfInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfInputs (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfInputs for class vtkAppendSelection requires 2 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfInputs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:SetInputByNumber vtkAppendSelectionSetInputByNumberFunction
//input a0 a1 a2 
//output none
ArrayVector vtkAppendSelectionSetInputByNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputByNumber (int num, vtkSelection *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputByNumber for class vtkAppendSelection requires 3 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  int      temp0;
  vtkSelection  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkSelection>(arg[2]);
  vtk_pointer->SetInputByNumber(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:SetAppendByUnion vtkAppendSelectionSetAppendByUnionFunction
//input a0 a1 
//output none
ArrayVector vtkAppendSelectionSetAppendByUnionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAppendByUnion (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAppendByUnion for class vtkAppendSelection requires 2 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAppendByUnion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:GetAppendByUnion vtkAppendSelectionGetAppendByUnionFunction
//input a0 
//output y
ArrayVector vtkAppendSelectionGetAppendByUnionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAppendByUnion (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAppendByUnion for class vtkAppendSelection requires 1 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAppendByUnion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:AppendByUnionOn vtkAppendSelectionAppendByUnionOnFunction
//input a0 
//output none
ArrayVector vtkAppendSelectionAppendByUnionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AppendByUnionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AppendByUnionOn for class vtkAppendSelection requires 1 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  vtk_pointer->AppendByUnionOn();
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:AppendByUnionOff vtkAppendSelectionAppendByUnionOffFunction
//input a0 
//output none
ArrayVector vtkAppendSelectionAppendByUnionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AppendByUnionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AppendByUnionOff for class vtkAppendSelection requires 1 argument(s)");
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  Array retval;
  vtk_pointer->AppendByUnionOff();
  return retval;
}

//@@Signature
//sfunction @vtkAppendSelection:AddInput vtkAppendSelectionAddInputFunction
//input varargin
//output varargout
ArrayVector vtkAppendSelectionAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkSelection"))
    return vtkAppendSelectionAddInput__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAppendSelectionAddInput");
}

//@@Signature
//sfunction @vtkAppendSelection:display vtkAppendSelectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAppendSelectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAppendSelection* vtk_pointer = GetVTKPointer<vtkAppendSelection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAppendSelection:delete vtkAppendSelectionDeleteFunction
//input varargin
//output none
ArrayVector vtkAppendSelectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAppendSelection
//@@Section VTKGraphics
//@@Usage
// vtkAppendSelection is a filter that appends one of more selections into
// a single selection.  All selections must have the same content type unless
// AppendByUnion is false.
//
//To create an instance of class vtkAppendSelection, simply
//invoke its constructor as follows
//@[
//  obj = vtkAppendSelection
//@]
//@@Methods
//The class vtkAppendSelection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAppendSelection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAppendSelection = obj.NewInstance ()|
// \item @|vtkAppendSelection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetUserManagedInputs (int )| -  UserManagedInputs allows the user to set inputs by number instead of
// using the AddInput/RemoveInput functions. Calls to
// SetNumberOfInputs/SetInputByNumber should not be mixed with calls
// to AddInput/RemoveInput. By default, UserManagedInputs is false.
//// \item @|int = obj.GetUserManagedInputs ()| -  UserManagedInputs allows the user to set inputs by number instead of
// using the AddInput/RemoveInput functions. Calls to
// SetNumberOfInputs/SetInputByNumber should not be mixed with calls
// to AddInput/RemoveInput. By default, UserManagedInputs is false.
//// \item @|obj.UserManagedInputsOn ()| -  UserManagedInputs allows the user to set inputs by number instead of
// using the AddInput/RemoveInput functions. Calls to
// SetNumberOfInputs/SetInputByNumber should not be mixed with calls
// to AddInput/RemoveInput. By default, UserManagedInputs is false.
//// \item @|obj.UserManagedInputsOff ()| -  UserManagedInputs allows the user to set inputs by number instead of
// using the AddInput/RemoveInput functions. Calls to
// SetNumberOfInputs/SetInputByNumber should not be mixed with calls
// to AddInput/RemoveInput. By default, UserManagedInputs is false.
//// \item @|obj.AddInput (vtkSelection )| -  Add a dataset to the list of data to append. Should not be
// used when UserManagedInputs is true, use SetInputByNumber instead.
//// \item @|obj.RemoveInput (vtkSelection )| -  Remove a dataset from the list of data to append. Should not be
// used when UserManagedInputs is true, use SetInputByNumber (NULL) instead.
//// \item @|obj.SetNumberOfInputs (int num)| -  Directly set(allocate) number of inputs, should only be used
// when UserManagedInputs is true.
//// \item @|obj.SetInputByNumber (int num, vtkSelection input)|
// \item @|obj.SetAppendByUnion (int )| -  When set to true, all the selections are combined together to form a single
// vtkSelection output.
// When set to false, the output is a composite selection with 
// input selections as the children of the composite selection. This allows
// for selections with different content types and properties. Default is
// true. 
//// \item @|int = obj.GetAppendByUnion ()| -  When set to true, all the selections are combined together to form a single
// vtkSelection output.
// When set to false, the output is a composite selection with 
// input selections as the children of the composite selection. This allows
// for selections with different content types and properties. Default is
// true. 
//// \item @|obj.AppendByUnionOn ()| -  When set to true, all the selections are combined together to form a single
// vtkSelection output.
// When set to false, the output is a composite selection with 
// input selections as the children of the composite selection. This allows
// for selections with different content types and properties. Default is
// true. 
//// \item @|obj.AppendByUnionOff ()| -  When set to true, all the selections are combined together to form a single
// vtkSelection output.
// When set to false, the output is a composite selection with 
// input selections as the children of the composite selection. This allows
// for selections with different content types and properties. Default is
// true. 
////\end{itemize}
//!
