#include "VTKWrap.hpp"

// FreeMat wrapper for vtkApproximatingSubdivisionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkApproximatingSubdivisionFilter.h"

//@@Signature
//sfunction @vtkApproximatingSubdivisionFilter:vtkApproximatingSubdivisionFilter vtkApproximatingSubdivisionFilterConstructorFunction
//input a
//output p
//@@Parents vtkApproximatingSubdivisionFilter vtkPolyDataAlgorithm 
ArrayVector vtkApproximatingSubdivisionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkApproximatingSubdivisionFilter::New(),"vtkApproximatingSubdivisionFilter",eval);
  } else if (arg[0].className() == "vtkApproximatingSubdivisionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkApproximatingSubdivisionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkApproximatingSubdivisionFilter");
    vtkApproximatingSubdivisionFilter*q = reinterpret_cast<vtkApproximatingSubdivisionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkApproximatingSubdivisionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkApproximatingSubdivisionFilter:GetClassName vtkApproximatingSubdivisionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkApproximatingSubdivisionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkApproximatingSubdivisionFilter requires 1 argument(s)");
  vtkApproximatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkApproximatingSubdivisionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApproximatingSubdivisionFilter:IsA vtkApproximatingSubdivisionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkApproximatingSubdivisionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkApproximatingSubdivisionFilter requires 2 argument(s)");
  vtkApproximatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkApproximatingSubdivisionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApproximatingSubdivisionFilter:NewInstance vtkApproximatingSubdivisionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkApproximatingSubdivisionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkApproximatingSubdivisionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkApproximatingSubdivisionFilter requires 1 argument(s)");
  vtkApproximatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkApproximatingSubdivisionFilter>(arg[0]);
  Array retval;
  vtkApproximatingSubdivisionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkApproximatingSubdivisionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkApproximatingSubdivisionFilter:SafeDownCast vtkApproximatingSubdivisionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkApproximatingSubdivisionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkApproximatingSubdivisionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkApproximatingSubdivisionFilter requires 2 argument(s)");
  vtkApproximatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkApproximatingSubdivisionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkApproximatingSubdivisionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkApproximatingSubdivisionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkApproximatingSubdivisionFilter:SetNumberOfSubdivisions vtkApproximatingSubdivisionFilterSetNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkApproximatingSubdivisionFilterSetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSubdivisions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSubdivisions for class vtkApproximatingSubdivisionFilter requires 2 argument(s)");
  vtkApproximatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkApproximatingSubdivisionFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApproximatingSubdivisionFilter:GetNumberOfSubdivisions vtkApproximatingSubdivisionFilterGetNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkApproximatingSubdivisionFilterGetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubdivisions for class vtkApproximatingSubdivisionFilter requires 1 argument(s)");
  vtkApproximatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkApproximatingSubdivisionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApproximatingSubdivisionFilter:display vtkApproximatingSubdivisionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkApproximatingSubdivisionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkApproximatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkApproximatingSubdivisionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkApproximatingSubdivisionFilter:delete vtkApproximatingSubdivisionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkApproximatingSubdivisionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkApproximatingSubdivisionFilter
//@@Section VTKGraphics
//@@Usage
// vtkApproximatingSubdivisionFilter is an abstract class that defines
// the protocol for Approximating subdivision surface filters.
//
//To create an instance of class vtkApproximatingSubdivisionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkApproximatingSubdivisionFilter
//@]
//@@Methods
//The class vtkApproximatingSubdivisionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkApproximatingSubdivisionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkApproximatingSubdivisionFilter = obj.NewInstance ()|
// \item @|vtkApproximatingSubdivisionFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfSubdivisions (int )| -  Set/get the number of subdivisions.
//// \item @|int = obj.GetNumberOfSubdivisions ()| -  Set/get the number of subdivisions.
////\end{itemize}
//!
