#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArcSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArcSource.h"

//@@Signature
//sfunction @vtkArcSource:vtkArcSource vtkArcSourceConstructorFunction
//input a
//output p
//@@Parents vtkArcSource vtkPolyDataAlgorithm 
ArrayVector vtkArcSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArcSource::New(),"vtkArcSource",eval);
  } else if (arg[0].className() == "vtkArcSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArcSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArcSource");
    vtkArcSource*q = reinterpret_cast<vtkArcSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArcSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArcSource:GetClassName vtkArcSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArcSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:IsA vtkArcSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArcSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArcSource requires 2 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:NewInstance vtkArcSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArcSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArcSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  vtkArcSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArcSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:SafeDownCast vtkArcSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArcSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArcSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArcSource requires 2 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArcSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArcSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:SetPoint1__1 vtkArcSourceSetPoint1__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkArcSourceSetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint1__1 for class vtkArcSource requires 4 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint1(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:SetPoint1__2 vtkArcSourceSetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkArcSourceSetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1__2 for class vtkArcSource requires 2 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:GetPoint1 vtkArcSourceGetPoint1Function
//input a0 
//output y
ArrayVector vtkArcSourceGetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1 for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:SetPoint2__1 vtkArcSourceSetPoint2__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkArcSourceSetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint2__1 for class vtkArcSource requires 4 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:SetPoint2__2 vtkArcSourceSetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkArcSourceSetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2__2 for class vtkArcSource requires 2 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:GetPoint2 vtkArcSourceGetPoint2Function
//input a0 
//output y
ArrayVector vtkArcSourceGetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2 for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:SetCenter__1 vtkArcSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkArcSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkArcSource requires 4 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:SetCenter__2 vtkArcSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkArcSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkArcSource requires 2 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:GetCenter vtkArcSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkArcSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:SetResolution vtkArcSourceSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkArcSourceSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkArcSource requires 2 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:GetResolutionMinValue vtkArcSourceGetResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkArcSourceGetResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMinValue for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:GetResolutionMaxValue vtkArcSourceGetResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkArcSourceGetResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMaxValue for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:GetResolution vtkArcSourceGetResolutionFunction
//input a0 
//output y
ArrayVector vtkArcSourceGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:SetNegative vtkArcSourceSetNegativeFunction
//input a0 a1 
//output none
ArrayVector vtkArcSourceSetNegativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNegative (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNegative for class vtkArcSource requires 2 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetNegative(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:GetNegative vtkArcSourceGetNegativeFunction
//input a0 
//output y
ArrayVector vtkArcSourceGetNegativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetNegative (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNegative for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetNegative();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:NegativeOn vtkArcSourceNegativeOnFunction
//input a0 
//output none
ArrayVector vtkArcSourceNegativeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NegativeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NegativeOn for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  vtk_pointer->NegativeOn();
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:NegativeOff vtkArcSourceNegativeOffFunction
//input a0 
//output none
ArrayVector vtkArcSourceNegativeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NegativeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NegativeOff for class vtkArcSource requires 1 argument(s)");
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  Array retval;
  vtk_pointer->NegativeOff();
  return retval;
}

//@@Signature
//sfunction @vtkArcSource:SetPoint1 vtkArcSourceSetPoint1Function
//input varargin
//output varargout
ArrayVector vtkArcSourceSetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkArcSourceSetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkArcSourceSetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkArcSourceSetPoint1");
}

//@@Signature
//sfunction @vtkArcSource:SetPoint2 vtkArcSourceSetPoint2Function
//input varargin
//output varargout
ArrayVector vtkArcSourceSetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkArcSourceSetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkArcSourceSetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkArcSourceSetPoint2");
}

//@@Signature
//sfunction @vtkArcSource:SetCenter vtkArcSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkArcSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkArcSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkArcSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkArcSourceSetCenter");
}

//@@Signature
//sfunction @vtkArcSource:display vtkArcSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArcSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArcSource* vtk_pointer = GetVTKPointer<vtkArcSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArcSource:delete vtkArcSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkArcSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArcSource
//@@Section VTKGraphics
//@@Usage
// vtkArcSource is a source object that creates an arc defined by two 
// endpoints and a center. The number of segments composing the polyline is
// controlled by setting the object resolution.
//
//To create an instance of class vtkArcSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkArcSource
//@]
//@@Methods
//The class vtkArcSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArcSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArcSource = obj.NewInstance ()|
// \item @|vtkArcSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPoint1 (double , double , double )| -  Set position of first end point.
//// \item @|obj.SetPoint1 (double  a[3])| -  Set position of first end point.
//// \item @|double = obj. GetPoint1 ()| -  Set position of first end point.
//// \item @|obj.SetPoint2 (double , double , double )| -  Set position of other end point.
//// \item @|obj.SetPoint2 (double  a[3])| -  Set position of other end point.
//// \item @|double = obj. GetPoint2 ()| -  Set position of other end point.
//// \item @|obj.SetCenter (double , double , double )| -  Set position of the center of the circle that define the arc.
// Note: you can use the function vtkMath::Solve3PointCircle to
// find the center from 3 points located on a circle.
//// \item @|obj.SetCenter (double  a[3])| -  Set position of the center of the circle that define the arc.
// Note: you can use the function vtkMath::Solve3PointCircle to
// find the center from 3 points located on a circle.
//// \item @|double = obj. GetCenter ()| -  Set position of the center of the circle that define the arc.
// Note: you can use the function vtkMath::Solve3PointCircle to
// find the center from 3 points located on a circle.
//// \item @|obj.SetResolution (int )| -  Divide line into resolution number of pieces.
// Note: if Resolution is set to 1 (default), the arc is a 
// straight line.
//// \item @|int = obj.GetResolutionMinValue ()| -  Divide line into resolution number of pieces.
// Note: if Resolution is set to 1 (default), the arc is a 
// straight line.
//// \item @|int = obj.GetResolutionMaxValue ()| -  Divide line into resolution number of pieces.
// Note: if Resolution is set to 1 (default), the arc is a 
// straight line.
//// \item @|int = obj.GetResolution ()| -  Divide line into resolution number of pieces.
// Note: if Resolution is set to 1 (default), the arc is a 
// straight line.
//// \item @|obj.SetNegative (bool )| -  Use the angle that is a negative coterminal of the vectors angle:
// the longest angle.
// Note: false by default.
//// \item @|bool = obj.GetNegative ()| -  Use the angle that is a negative coterminal of the vectors angle:
// the longest angle.
// Note: false by default.
//// \item @|obj.NegativeOn ()| -  Use the angle that is a negative coterminal of the vectors angle:
// the longest angle.
// Note: false by default.
//// \item @|obj.NegativeOff ()| -  Use the angle that is a negative coterminal of the vectors angle:
// the longest angle.
// Note: false by default.
////\end{itemize}
//!
