#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArrayCalculator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArrayCalculator.h"

//@@Signature
//sfunction @vtkArrayCalculator:vtkArrayCalculator vtkArrayCalculatorConstructorFunction
//input a
//output p
//@@Parents vtkArrayCalculator vtkDataSetAlgorithm 
ArrayVector vtkArrayCalculatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArrayCalculator::New(),"vtkArrayCalculator",eval);
  } else if (arg[0].className() == "vtkArrayCalculator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArrayCalculator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArrayCalculator");
    vtkArrayCalculator*q = reinterpret_cast<vtkArrayCalculator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArrayCalculator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArrayCalculator:GetClassName vtkArrayCalculatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:IsA vtkArrayCalculatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArrayCalculatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:NewInstance vtkArrayCalculatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayCalculator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtkArrayCalculator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayCalculator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SafeDownCast vtkArrayCalculatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArrayCalculatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayCalculator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArrayCalculator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayCalculator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetFunction vtkArrayCalculatorSetFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkArrayCalculatorSetFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFunction (const char *function); */
  if (arg.size() < 2) 
    throw Exception("Function SetFunction for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetFunction vtkArrayCalculatorGetFunctionFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFunction for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFunction();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:AddScalarArrayName vtkArrayCalculatorAddScalarArrayNameFunction
//input a0 a1 a2 
//output none
ArrayVector vtkArrayCalculatorAddScalarArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddScalarArrayName (const char *arrayName, int component); */
  if (arg.size() < 3) 
    throw Exception("Function AddScalarArrayName for class vtkArrayCalculator requires 3 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddScalarArrayName(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:AddVectorArrayName vtkArrayCalculatorAddVectorArrayNameFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkArrayCalculatorAddVectorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddVectorArrayName (const char *arrayName, int component0, int component1, int component2); */
  if (arg.size() < 5) 
    throw Exception("Function AddVectorArrayName for class vtkArrayCalculator requires 5 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->AddVectorArrayName(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:AddScalarVariable vtkArrayCalculatorAddScalarVariableFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkArrayCalculatorAddScalarVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddScalarVariable (const char *variableName, const char *arrayName, int component); */
  if (arg.size() < 4) 
    throw Exception("Function AddScalarVariable for class vtkArrayCalculator requires 4 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->AddScalarVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:AddVectorVariable vtkArrayCalculatorAddVectorVariableFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkArrayCalculatorAddVectorVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddVectorVariable (const char *variableName, const char *arrayName, int component0, int component1, int component2); */
  if (arg.size() < 6) 
    throw Exception("Function AddVectorVariable for class vtkArrayCalculator requires 6 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  vtk_pointer->AddVectorVariable(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:AddCoordinateScalarVariable vtkArrayCalculatorAddCoordinateScalarVariableFunction
//input a0 a1 a2 
//output none
ArrayVector vtkArrayCalculatorAddCoordinateScalarVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCoordinateScalarVariable (const char *variableName, int component); */
  if (arg.size() < 3) 
    throw Exception("Function AddCoordinateScalarVariable for class vtkArrayCalculator requires 3 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddCoordinateScalarVariable(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:AddCoordinateVectorVariable vtkArrayCalculatorAddCoordinateVectorVariableFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkArrayCalculatorAddCoordinateVectorVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCoordinateVectorVariable (const char *variableName, int component0, int component1, int component2); */
  if (arg.size() < 5) 
    throw Exception("Function AddCoordinateVectorVariable for class vtkArrayCalculator requires 5 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->AddCoordinateVectorVariable(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetResultArrayName vtkArrayCalculatorSetResultArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkArrayCalculatorSetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResultArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetResultArrayName for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetResultArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetResultArrayName vtkArrayCalculatorGetResultArrayNameFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetResultArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResultArrayName for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetResultArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetResultArrayType vtkArrayCalculatorGetResultArrayTypeFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetResultArrayTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResultArrayType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResultArrayType for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResultArrayType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetResultArrayType vtkArrayCalculatorSetResultArrayTypeFunction
//input a0 a1 
//output none
ArrayVector vtkArrayCalculatorSetResultArrayTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResultArrayType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResultArrayType for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResultArrayType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetCoordinateResults vtkArrayCalculatorGetCoordinateResultsFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetCoordinateResultsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCoordinateResults (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoordinateResults for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCoordinateResults();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetCoordinateResults vtkArrayCalculatorSetCoordinateResultsFunction
//input a0 a1 
//output none
ArrayVector vtkArrayCalculatorSetCoordinateResultsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoordinateResults (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoordinateResults for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCoordinateResults(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:CoordinateResultsOn vtkArrayCalculatorCoordinateResultsOnFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorCoordinateResultsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CoordinateResultsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CoordinateResultsOn for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->CoordinateResultsOn();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:CoordinateResultsOff vtkArrayCalculatorCoordinateResultsOffFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorCoordinateResultsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CoordinateResultsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CoordinateResultsOff for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->CoordinateResultsOff();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetAttributeMode vtkArrayCalculatorSetAttributeModeFunction
//input a0 a1 
//output none
ArrayVector vtkArrayCalculatorSetAttributeModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttributeMode for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAttributeMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetAttributeMode vtkArrayCalculatorGetAttributeModeFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetAttributeModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributeMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeMode for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributeMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetAttributeModeToDefault vtkArrayCalculatorSetAttributeModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorSetAttributeModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToDefault ();this SetAttributeMode VTK_ATTRIBUTE_MODE_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToDefault for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetAttributeModeToUsePointData vtkArrayCalculatorSetAttributeModeToUsePointDataFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorSetAttributeModeToUsePointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToUsePointData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_POINT_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToUsePointData for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToUsePointData();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetAttributeModeToUseCellData vtkArrayCalculatorSetAttributeModeToUseCellDataFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorSetAttributeModeToUseCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToUseCellData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_CELL_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToUseCellData for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToUseCellData();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetAttributeModeToUseVertexData vtkArrayCalculatorSetAttributeModeToUseVertexDataFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorSetAttributeModeToUseVertexDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToUseVertexData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_VERTEX_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToUseVertexData for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToUseVertexData();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetAttributeModeToUseEdgeData vtkArrayCalculatorSetAttributeModeToUseEdgeDataFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorSetAttributeModeToUseEdgeDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToUseEdgeData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_EDGE_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToUseEdgeData for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToUseEdgeData();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetAttributeModeAsString vtkArrayCalculatorGetAttributeModeAsStringFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetAttributeModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAttributeModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeModeAsString for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAttributeModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:RemoveAllVariables vtkArrayCalculatorRemoveAllVariablesFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorRemoveAllVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllVariables for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllVariables();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:RemoveScalarVariables vtkArrayCalculatorRemoveScalarVariablesFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorRemoveScalarVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveScalarVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveScalarVariables for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->RemoveScalarVariables();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:RemoveVectorVariables vtkArrayCalculatorRemoveVectorVariablesFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorRemoveVectorVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveVectorVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveVectorVariables for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->RemoveVectorVariables();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:RemoveCoordinateScalarVariables vtkArrayCalculatorRemoveCoordinateScalarVariablesFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorRemoveCoordinateScalarVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveCoordinateScalarVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveCoordinateScalarVariables for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->RemoveCoordinateScalarVariables();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:RemoveCoordinateVectorVariables vtkArrayCalculatorRemoveCoordinateVectorVariablesFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorRemoveCoordinateVectorVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveCoordinateVectorVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveCoordinateVectorVariables for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->RemoveCoordinateVectorVariables();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetScalarArrayName vtkArrayCalculatorGetScalarArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkArrayCalculatorGetScalarArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalarArrayName (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarArrayName for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetVectorArrayName vtkArrayCalculatorGetVectorArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkArrayCalculatorGetVectorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVectorArrayName (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorArrayName for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVectorArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetScalarVariableName vtkArrayCalculatorGetScalarVariableNameFunction
//input a0 a1 
//output y
ArrayVector vtkArrayCalculatorGetScalarVariableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalarVariableName (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarVariableName for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarVariableName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetVectorVariableName vtkArrayCalculatorGetVectorVariableNameFunction
//input a0 a1 
//output y
ArrayVector vtkArrayCalculatorGetVectorVariableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVectorVariableName (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorVariableName for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVectorVariableName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetSelectedScalarComponent vtkArrayCalculatorGetSelectedScalarComponentFunction
//input a0 a1 
//output y
ArrayVector vtkArrayCalculatorGetSelectedScalarComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectedScalarComponent (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetSelectedScalarComponent for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSelectedScalarComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetNumberOfScalarArrays vtkArrayCalculatorGetNumberOfScalarArraysFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetNumberOfScalarArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfScalarArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfScalarArrays for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfScalarArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetNumberOfVectorArrays vtkArrayCalculatorGetNumberOfVectorArraysFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetNumberOfVectorArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVectorArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVectorArrays for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVectorArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetReplaceInvalidValues vtkArrayCalculatorSetReplaceInvalidValuesFunction
//input a0 a1 
//output none
ArrayVector vtkArrayCalculatorSetReplaceInvalidValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReplaceInvalidValues (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReplaceInvalidValues for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReplaceInvalidValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetReplaceInvalidValues vtkArrayCalculatorGetReplaceInvalidValuesFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetReplaceInvalidValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReplaceInvalidValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReplaceInvalidValues for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReplaceInvalidValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:ReplaceInvalidValuesOn vtkArrayCalculatorReplaceInvalidValuesOnFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorReplaceInvalidValuesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceInvalidValuesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReplaceInvalidValuesOn for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->ReplaceInvalidValuesOn();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:ReplaceInvalidValuesOff vtkArrayCalculatorReplaceInvalidValuesOffFunction
//input a0 
//output none
ArrayVector vtkArrayCalculatorReplaceInvalidValuesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceInvalidValuesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReplaceInvalidValuesOff for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  vtk_pointer->ReplaceInvalidValuesOff();
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:SetReplacementValue vtkArrayCalculatorSetReplacementValueFunction
//input a0 a1 
//output none
ArrayVector vtkArrayCalculatorSetReplacementValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReplacementValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReplacementValue for class vtkArrayCalculator requires 2 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetReplacementValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetReplacementValue vtkArrayCalculatorGetReplacementValueFunction
//input a0 
//output y
ArrayVector vtkArrayCalculatorGetReplacementValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetReplacementValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReplacementValue for class vtkArrayCalculator requires 1 argument(s)");
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetReplacementValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayCalculator:GetSelectedVectorComponents vtkArrayCalculatorGetSelectedVectorComponentsFunction
//input varargin
//output varargout
ArrayVector vtkArrayCalculatorGetSelectedVectorComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkArrayCalculatorGetSelectedVectorComponents");
}

//@@Signature
//sfunction @vtkArrayCalculator:display vtkArrayCalculatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArrayCalculatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArrayCalculator* vtk_pointer = GetVTKPointer<vtkArrayCalculator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArrayCalculator:delete vtkArrayCalculatorDeleteFunction
//input varargin
//output none
ArrayVector vtkArrayCalculatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArrayCalculator
//@@Section VTKGraphics
//@@Usage
// vtkArrayCalculator performs operations on vectors or scalars in field
// data arrays.  It uses vtkFunctionParser to do the parsing and to
// evaluate the function for each entry in the input arrays.  The arrays
// used in a given function must be all in point data or all in cell data.
// The resulting array will be stored as a field data array.  The result
// array can either be stored in a new array or it can overwrite an existing
// array.
//
// The functions that this array calculator understands is:
// <pre>
// standard operations: + - * / ^ .
// build unit vectors: iHat, jHat, kHat (ie (1,0,0), (0,1,0), (0,0,1))
// abs
// acos
// asin
// atan
// ceil
// cos
// cosh
// exp
// floor
// log
// mag
// min
// max
// norm
// sign
// sin
// sinh
// sqrt
// tan
// tanh
// </pre>
// Note that some of these operations work on scalars, some on vectors, and some on
// both (e.g., you can multiply a scalar times a vector). The operations are performed
// tuple-wise (i.e., tuple-by-tuple). The user must specify which arrays to use as
// vectors and/or scalars, and the name of the output data array.
//
//
//To create an instance of class vtkArrayCalculator, simply
//invoke its constructor as follows
//@[
//  obj = vtkArrayCalculator
//@]
//@@Methods
//The class vtkArrayCalculator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArrayCalculator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArrayCalculator = obj.NewInstance ()|
// \item @|vtkArrayCalculator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFunction (string function)| -  Set/Get the function to be evaluated.
//// \item @|string = obj.GetFunction ()| -  Set/Get the function to be evaluated.
//// \item @|obj.AddScalarArrayName (string arrayName, int component)| -  Add an array name to the list of arrays used in the function and specify
// which components of the array to use in evaluating the function.  The
// array name must match the name in the function.  Use AddScalarVariable or
// AddVectorVariable to use a variable name different from the array name.
//// \item @|obj.AddVectorArrayName (string arrayName, int component0, int component1, int component2)| -  Add an array name to the list of arrays used in the function and specify
// which components of the array to use in evaluating the function.  The
// array name must match the name in the function.  Use AddScalarVariable or
// AddVectorVariable to use a variable name different from the array name.
//// \item @|obj.AddScalarVariable (string variableName, string arrayName, int component)| -  Add a variable name, a corresponding array name, and which components of
// the array to use.
//// \item @|obj.AddVectorVariable (string variableName, string arrayName, int component0, int component1, int component2)| -  Add a variable name, a corresponding array name, and which components of
// the array to use.
//// \item @|obj.AddCoordinateScalarVariable (string variableName, int component)| -  Add a variable name, a corresponding array name, and which components of
// the array to use.
//// \item @|obj.AddCoordinateVectorVariable (string variableName, int component0, int component1, int component2)| -  Add a variable name, a corresponding array name, and which components of
// the array to use.
//// \item @|obj.SetResultArrayName (string name)| -  Set the name of the array in which to store the result of
// evaluating this function.  If this is the name of an existing array,
// that array will be overwritten.  Otherwise a new array will be
// created with the specified name.
//// \item @|string = obj.GetResultArrayName ()| -  Set the name of the array in which to store the result of
// evaluating this function.  If this is the name of an existing array,
// that array will be overwritten.  Otherwise a new array will be
// created with the specified name.
//// \item @|int = obj.GetResultArrayType ()| -  Type of the result array. It is ignored if CoordinateResults is true.
// Initial value is VTK_DOUBLE.
//// \item @|obj.SetResultArrayType (int )| -  Type of the result array. It is ignored if CoordinateResults is true.
// Initial value is VTK_DOUBLE.
//// \item @|int = obj.GetCoordinateResults ()| -  Set whether to output results as coordinates.  ResultArrayName will be
// ignored.  Outputing as coordinates is only valid with vector results and
// if the AttributeMode is AttributeModeToUsePointData.
// If a valid output can't be made, an error will occur.
//// \item @|obj.SetCoordinateResults (int )| -  Set whether to output results as coordinates.  ResultArrayName will be
// ignored.  Outputing as coordinates is only valid with vector results and
// if the AttributeMode is AttributeModeToUsePointData.
// If a valid output can't be made, an error will occur.
//// \item @|obj.CoordinateResultsOn ()| -  Set whether to output results as coordinates.  ResultArrayName will be
// ignored.  Outputing as coordinates is only valid with vector results and
// if the AttributeMode is AttributeModeToUsePointData.
// If a valid output can't be made, an error will occur.
//// \item @|obj.CoordinateResultsOff ()| -  Set whether to output results as coordinates.  ResultArrayName will be
// ignored.  Outputing as coordinates is only valid with vector results and
// if the AttributeMode is AttributeModeToUsePointData.
// If a valid output can't be made, an error will occur.
//// \item @|obj.SetAttributeMode (int )| -  Control whether the filter operates on point data or cell data.
// By default (AttributeModeToDefault), the filter uses point
// data. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
// For graphs you can set the filter to use vertex data
// (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).
//// \item @|int = obj.GetAttributeMode ()| -  Control whether the filter operates on point data or cell data.
// By default (AttributeModeToDefault), the filter uses point
// data. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
// For graphs you can set the filter to use vertex data
// (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).
//// \item @|obj.SetAttributeModeToDefault ()| -  Control whether the filter operates on point data or cell data.
// By default (AttributeModeToDefault), the filter uses point
// data. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
// For graphs you can set the filter to use vertex data
// (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).
//// \item @|obj.SetAttributeModeToUsePointData ()| -  Control whether the filter operates on point data or cell data.
// By default (AttributeModeToDefault), the filter uses point
// data. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
// For graphs you can set the filter to use vertex data
// (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).
//// \item @|obj.SetAttributeModeToUseCellData ()| -  Control whether the filter operates on point data or cell data.
// By default (AttributeModeToDefault), the filter uses point
// data. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
// For graphs you can set the filter to use vertex data
// (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).
//// \item @|obj.SetAttributeModeToUseVertexData ()| -  Control whether the filter operates on point data or cell data.
// By default (AttributeModeToDefault), the filter uses point
// data. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
// For graphs you can set the filter to use vertex data
// (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).
//// \item @|obj.SetAttributeModeToUseEdgeData ()| -  Control whether the filter operates on point data or cell data.
// By default (AttributeModeToDefault), the filter uses point
// data. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
// For graphs you can set the filter to use vertex data
// (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).
//// \item @|string = obj.GetAttributeModeAsString ()| -  Control whether the filter operates on point data or cell data.
// By default (AttributeModeToDefault), the filter uses point
// data. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
// For graphs you can set the filter to use vertex data
// (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).
//// \item @|obj.RemoveAllVariables ()| -  Remove all the variable names and their associated array names.
//// \item @|obj.RemoveScalarVariables ()| -  Remove all the scalar variable names and their associated array names.
//// \item @|obj.RemoveVectorVariables ()| -  Remove all the scalar variable names and their associated array names.
//// \item @|obj.RemoveCoordinateScalarVariables ()| -  Remove all the coordinate variables.
//// \item @|obj.RemoveCoordinateVectorVariables ()| -  Remove all the coordinate variables.
//// \item @|string = obj.GetScalarArrayName (int i)| -  Methods to get information about the current variables.
//// \item @|string = obj.GetVectorArrayName (int i)| -  Methods to get information about the current variables.
//// \item @|string = obj.GetScalarVariableName (int i)| -  Methods to get information about the current variables.
//// \item @|string = obj.GetVectorVariableName (int i)| -  Methods to get information about the current variables.
//// \item @|int = obj.GetSelectedScalarComponent (int i)| -  Methods to get information about the current variables.
//// \item @|int = obj.GetNumberOfScalarArrays ()| -  Methods to get information about the current variables.
//// \item @|int = obj.GetNumberOfVectorArrays ()| -  Methods to get information about the current variables.
//// \item @|obj.SetReplaceInvalidValues (int )| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
//// \item @|int = obj.GetReplaceInvalidValues ()| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
//// \item @|obj.ReplaceInvalidValuesOn ()| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
//// \item @|obj.ReplaceInvalidValuesOff ()| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
//// \item @|obj.SetReplacementValue (double )| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
//// \item @|double = obj.GetReplacementValue ()| -  When ReplaceInvalidValues is on, all invalid values (such as
// sqrt(-2), note that function parser does not handle complex
// numbers) will be replaced by ReplacementValue. Otherwise an
// error will be reported
////\end{itemize}
//!
