#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArrowSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArrowSource.h"

//@@Signature
//sfunction @vtkArrowSource:vtkArrowSource vtkArrowSourceConstructorFunction
//input a
//output p
//@@Parents vtkArrowSource vtkPolyDataAlgorithm 
ArrayVector vtkArrowSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArrowSource::New(),"vtkArrowSource",eval);
  } else if (arg[0].className() == "vtkArrowSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArrowSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArrowSource");
    vtkArrowSource*q = reinterpret_cast<vtkArrowSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArrowSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArrowSource:GetClassName vtkArrowSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:IsA vtkArrowSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArrowSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArrowSource requires 2 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:NewInstance vtkArrowSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArrowSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrowSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  vtkArrowSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrowSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:SafeDownCast vtkArrowSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArrowSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrowSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArrowSource requires 2 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArrowSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrowSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:SetTipLength vtkArrowSourceSetTipLengthFunction
//input a0 a1 
//output none
ArrayVector vtkArrowSourceSetTipLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTipLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTipLength for class vtkArrowSource requires 2 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTipLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetTipLengthMinValue vtkArrowSourceGetTipLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetTipLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTipLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTipLengthMinValue for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTipLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetTipLengthMaxValue vtkArrowSourceGetTipLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetTipLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTipLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTipLengthMaxValue for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTipLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetTipLength vtkArrowSourceGetTipLengthFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetTipLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTipLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTipLength for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTipLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:SetTipRadius vtkArrowSourceSetTipRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkArrowSourceSetTipRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTipRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTipRadius for class vtkArrowSource requires 2 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTipRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetTipRadiusMinValue vtkArrowSourceGetTipRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetTipRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTipRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTipRadiusMinValue for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTipRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetTipRadiusMaxValue vtkArrowSourceGetTipRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetTipRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTipRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTipRadiusMaxValue for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTipRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetTipRadius vtkArrowSourceGetTipRadiusFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetTipRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTipRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTipRadius for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTipRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:SetTipResolution vtkArrowSourceSetTipResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkArrowSourceSetTipResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTipResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTipResolution for class vtkArrowSource requires 2 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTipResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetTipResolutionMinValue vtkArrowSourceGetTipResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetTipResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTipResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTipResolutionMinValue for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTipResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetTipResolutionMaxValue vtkArrowSourceGetTipResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetTipResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTipResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTipResolutionMaxValue for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTipResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetTipResolution vtkArrowSourceGetTipResolutionFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetTipResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTipResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTipResolution for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTipResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:SetShaftRadius vtkArrowSourceSetShaftRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkArrowSourceSetShaftRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShaftRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShaftRadius for class vtkArrowSource requires 2 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetShaftRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetShaftRadiusMinValue vtkArrowSourceGetShaftRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetShaftRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShaftRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaftRadiusMinValue for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShaftRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetShaftRadiusMaxValue vtkArrowSourceGetShaftRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetShaftRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShaftRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaftRadiusMaxValue for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShaftRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetShaftRadius vtkArrowSourceGetShaftRadiusFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetShaftRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShaftRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaftRadius for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShaftRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:SetShaftResolution vtkArrowSourceSetShaftResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkArrowSourceSetShaftResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShaftResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShaftResolution for class vtkArrowSource requires 2 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShaftResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetShaftResolutionMinValue vtkArrowSourceGetShaftResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetShaftResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaftResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaftResolutionMinValue for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShaftResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetShaftResolutionMaxValue vtkArrowSourceGetShaftResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetShaftResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaftResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaftResolutionMaxValue for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShaftResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetShaftResolution vtkArrowSourceGetShaftResolutionFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetShaftResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaftResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaftResolution for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShaftResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:InvertOn vtkArrowSourceInvertOnFunction
//input a0 
//output none
ArrayVector vtkArrowSourceInvertOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InvertOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InvertOn for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  vtk_pointer->InvertOn();
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:InvertOff vtkArrowSourceInvertOffFunction
//input a0 
//output none
ArrayVector vtkArrowSourceInvertOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InvertOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InvertOff for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  vtk_pointer->InvertOff();
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:SetInvert vtkArrowSourceSetInvertFunction
//input a0 a1 
//output none
ArrayVector vtkArrowSourceSetInvertFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInvert (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInvert for class vtkArrowSource requires 2 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetInvert(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:GetInvert vtkArrowSourceGetInvertFunction
//input a0 
//output y
ArrayVector vtkArrowSourceGetInvertFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetInvert (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInvert for class vtkArrowSource requires 1 argument(s)");
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetInvert();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkArrowSource:display vtkArrowSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArrowSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArrowSource* vtk_pointer = GetVTKPointer<vtkArrowSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArrowSource:delete vtkArrowSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkArrowSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArrowSource
//@@Section VTKGraphics
//@@Usage
// vtkArrowSource was intended to be used as the source for a glyph.
// The shaft base is always at (0,0,0). The arrow tip is always at (1,0,0). If
// "Invert" is true, then the ends are flipped i.e. tip is at (0,0,0) while
// base is at (1, 0, 0).
// The resolution of the cone and shaft can be set and default to 6.
// The radius of the cone and shaft can be set and default to 0.03 and 0.1.
// The length of the tip can also be set, and defaults to 0.35.
//
//To create an instance of class vtkArrowSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkArrowSource
//@]
//@@Methods
//The class vtkArrowSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArrowSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArrowSource = obj.NewInstance ()|
// \item @|vtkArrowSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTipLength (double )| -  Set the length, and radius of the tip.  They default to 0.35 and 0.1
//// \item @|double = obj.GetTipLengthMinValue ()| -  Set the length, and radius of the tip.  They default to 0.35 and 0.1
//// \item @|double = obj.GetTipLengthMaxValue ()| -  Set the length, and radius of the tip.  They default to 0.35 and 0.1
//// \item @|double = obj.GetTipLength ()| -  Set the length, and radius of the tip.  They default to 0.35 and 0.1
//// \item @|obj.SetTipRadius (double )| -  Set the length, and radius of the tip.  They default to 0.35 and 0.1
//// \item @|double = obj.GetTipRadiusMinValue ()| -  Set the length, and radius of the tip.  They default to 0.35 and 0.1
//// \item @|double = obj.GetTipRadiusMaxValue ()| -  Set the length, and radius of the tip.  They default to 0.35 and 0.1
//// \item @|double = obj.GetTipRadius ()| -  Set the length, and radius of the tip.  They default to 0.35 and 0.1
//// \item @|obj.SetTipResolution (int )| -  Set the resolution of the tip.  The tip behaves the same as a cone.
// Resoultion 1 gives a single triangle, 2 gives two crossed triangles.
//// \item @|int = obj.GetTipResolutionMinValue ()| -  Set the resolution of the tip.  The tip behaves the same as a cone.
// Resoultion 1 gives a single triangle, 2 gives two crossed triangles.
//// \item @|int = obj.GetTipResolutionMaxValue ()| -  Set the resolution of the tip.  The tip behaves the same as a cone.
// Resoultion 1 gives a single triangle, 2 gives two crossed triangles.
//// \item @|int = obj.GetTipResolution ()| -  Set the resolution of the tip.  The tip behaves the same as a cone.
// Resoultion 1 gives a single triangle, 2 gives two crossed triangles.
//// \item @|obj.SetShaftRadius (double )| -  Set the radius of the shaft.  Defaults to 0.03.
//// \item @|double = obj.GetShaftRadiusMinValue ()| -  Set the radius of the shaft.  Defaults to 0.03.
//// \item @|double = obj.GetShaftRadiusMaxValue ()| -  Set the radius of the shaft.  Defaults to 0.03.
//// \item @|double = obj.GetShaftRadius ()| -  Set the radius of the shaft.  Defaults to 0.03.
//// \item @|obj.SetShaftResolution (int )| -  Set the resolution of the shaft.  2 gives a rectangle.
// I would like to extend the cone to produce a line,
// but this is not an option now.
//// \item @|int = obj.GetShaftResolutionMinValue ()| -  Set the resolution of the shaft.  2 gives a rectangle.
// I would like to extend the cone to produce a line,
// but this is not an option now.
//// \item @|int = obj.GetShaftResolutionMaxValue ()| -  Set the resolution of the shaft.  2 gives a rectangle.
// I would like to extend the cone to produce a line,
// but this is not an option now.
//// \item @|int = obj.GetShaftResolution ()| -  Set the resolution of the shaft.  2 gives a rectangle.
// I would like to extend the cone to produce a line,
// but this is not an option now.
//// \item @|obj.InvertOn ()| -  Inverts the arrow direction. When set to true, base is at (1, 0, 0) while the
// tip is at (0, 0, 0). The default is false, i.e. base at (0, 0, 0) and the tip
// at (1, 0, 0).
//// \item @|obj.InvertOff ()| -  Inverts the arrow direction. When set to true, base is at (1, 0, 0) while the
// tip is at (0, 0, 0). The default is false, i.e. base at (0, 0, 0) and the tip
// at (1, 0, 0).
//// \item @|obj.SetInvert (bool )| -  Inverts the arrow direction. When set to true, base is at (1, 0, 0) while the
// tip is at (0, 0, 0). The default is false, i.e. base at (0, 0, 0) and the tip
// at (1, 0, 0).
//// \item @|bool = obj.GetInvert ()| -  Inverts the arrow direction. When set to true, base is at (1, 0, 0) while the
// tip is at (0, 0, 0). The default is false, i.e. base at (0, 0, 0) and the tip
// at (1, 0, 0).
////\end{itemize}
//!
