#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAssignAttribute object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAssignAttribute.h"

//@@Signature
//sfunction @vtkAssignAttribute:vtkAssignAttribute vtkAssignAttributeConstructorFunction
//input a
//output p
//@@Parents vtkAssignAttribute vtkPassInputTypeAlgorithm 
ArrayVector vtkAssignAttributeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAssignAttribute::New(),"vtkAssignAttribute",eval);
  } else if (arg[0].className() == "vtkAssignAttribute") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAssignAttribute"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAssignAttribute");
    vtkAssignAttribute*q = reinterpret_cast<vtkAssignAttribute*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAssignAttribute");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAssignAttribute:GetClassName vtkAssignAttributeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAssignAttributeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAssignAttribute requires 1 argument(s)");
  vtkAssignAttribute* vtk_pointer = GetVTKPointer<vtkAssignAttribute>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignAttribute:IsA vtkAssignAttributeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAssignAttributeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAssignAttribute requires 2 argument(s)");
  vtkAssignAttribute* vtk_pointer = GetVTKPointer<vtkAssignAttribute>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignAttribute:NewInstance vtkAssignAttributeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAssignAttributeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssignAttribute *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAssignAttribute requires 1 argument(s)");
  vtkAssignAttribute* vtk_pointer = GetVTKPointer<vtkAssignAttribute>(arg[0]);
  Array retval;
  vtkAssignAttribute  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssignAttribute",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssignAttribute:SafeDownCast vtkAssignAttributeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAssignAttributeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssignAttribute *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAssignAttribute requires 2 argument(s)");
  vtkAssignAttribute* vtk_pointer = GetVTKPointer<vtkAssignAttribute>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAssignAttribute  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssignAttribute",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssignAttribute:Assign__1 vtkAssignAttributeAssign__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAssignAttributeAssign__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Assign (int inputAttributeType, int attributeType, int attributeLoc); */
  if (arg.size() < 4) 
    throw Exception("Function Assign__1 for class vtkAssignAttribute requires 4 argument(s)");
  vtkAssignAttribute* vtk_pointer = GetVTKPointer<vtkAssignAttribute>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Assign(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAssignAttribute:Assign__2 vtkAssignAttributeAssign__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAssignAttributeAssign__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Assign (const char *fieldName, int attributeType, int attributeLoc); */
  if (arg.size() < 4) 
    throw Exception("Function Assign__2 for class vtkAssignAttribute requires 4 argument(s)");
  vtkAssignAttribute* vtk_pointer = GetVTKPointer<vtkAssignAttribute>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Assign(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAssignAttribute:Assign__3 vtkAssignAttributeAssign__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAssignAttributeAssign__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Assign (const char *name, const char *attributeType, const char *attributeLoc); */
  if (arg.size() < 4) 
    throw Exception("Function Assign__3 for class vtkAssignAttribute requires 4 argument(s)");
  vtkAssignAttribute* vtk_pointer = GetVTKPointer<vtkAssignAttribute>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  vtk_pointer->Assign(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAssignAttribute:Assign vtkAssignAttributeAssignFunction
//input varargin
//output varargout
ArrayVector vtkAssignAttributeAssignFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAssignAttributeAssign__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAssignAttributeAssign__2Function(nargout,arg,eval);
  if ((arg.size() == 4))
    return vtkAssignAttributeAssign__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAssignAttributeAssign");
}

//@@Signature
//sfunction @vtkAssignAttribute:display vtkAssignAttributeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAssignAttributeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAssignAttribute* vtk_pointer = GetVTKPointer<vtkAssignAttribute>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAssignAttribute:delete vtkAssignAttributeDeleteFunction
//input varargin
//output none
ArrayVector vtkAssignAttributeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAssignAttribute
//@@Section VTKGraphics
//@@Usage
// vtkAssignAttribute is use to label a field (vtkDataArray) as an attribute.
// A field name or an attribute to labeled can be specified. For example:
// @verbatim
// aa->Assign("foo", vtkDataSetAttributes::SCALARS, 
//            vtkAssignAttribute::POINT_DATA);
// @endverbatim
// tells vtkAssignAttribute to make the array in the point data called
// "foo" the active scalars. On the other hand,
// @verbatim
// aa->Assign(vtkDataSetAttributes::VECTORS, vtkDataSetAttributes::SCALARS, 
//            vtkAssignAttribute::POINT_DATA);
// @endverbatim
// tells vtkAssignAttribute to make the active vectors also the active
// scalars. The same can be done more easily from Tcl by using the Assign()
// method which takes strings:
// @verbatim
// aa Assign "foo" SCALARS POINT_DATA 
// or
// aa Assign SCALARS VECTORS POINT_DATA
//
// AttributeTypes: SCALARS, VECTORS, NORMALS, TCOORDS, TENSORS
// Attribute locations: POINT_DATA, CELL_DATA
// @endverbatim
//
//To create an instance of class vtkAssignAttribute, simply
//invoke its constructor as follows
//@[
//  obj = vtkAssignAttribute
//@]
//@@Methods
//The class vtkAssignAttribute has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAssignAttribute class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAssignAttribute = obj.NewInstance ()|
// \item @|vtkAssignAttribute = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Assign (int inputAttributeType, int attributeType, int attributeLoc)| -  Label an attribute as another attribute.
//// \item @|obj.Assign (string fieldName, int attributeType, int attributeLoc)| -  Label an array as an attribute.
//// \item @|obj.Assign (string name, string attributeType, string attributeLoc)| -  Helper method used by other language bindings. Allows the caller to
// specify arguments as strings instead of enums.
////\end{itemize}
//!
