#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAttributeDataToFieldDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAttributeDataToFieldDataFilter.h"

//@@Signature
//sfunction @vtkAttributeDataToFieldDataFilter:vtkAttributeDataToFieldDataFilter vtkAttributeDataToFieldDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkAttributeDataToFieldDataFilter vtkDataSetAlgorithm 
ArrayVector vtkAttributeDataToFieldDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAttributeDataToFieldDataFilter::New(),"vtkAttributeDataToFieldDataFilter",eval);
  } else if (arg[0].className() == "vtkAttributeDataToFieldDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAttributeDataToFieldDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAttributeDataToFieldDataFilter");
    vtkAttributeDataToFieldDataFilter*q = reinterpret_cast<vtkAttributeDataToFieldDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAttributeDataToFieldDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAttributeDataToFieldDataFilter:GetClassName vtkAttributeDataToFieldDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAttributeDataToFieldDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAttributeDataToFieldDataFilter requires 1 argument(s)");
  vtkAttributeDataToFieldDataFilter* vtk_pointer = GetVTKPointer<vtkAttributeDataToFieldDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAttributeDataToFieldDataFilter:IsA vtkAttributeDataToFieldDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAttributeDataToFieldDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAttributeDataToFieldDataFilter requires 2 argument(s)");
  vtkAttributeDataToFieldDataFilter* vtk_pointer = GetVTKPointer<vtkAttributeDataToFieldDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAttributeDataToFieldDataFilter:NewInstance vtkAttributeDataToFieldDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAttributeDataToFieldDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAttributeDataToFieldDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAttributeDataToFieldDataFilter requires 1 argument(s)");
  vtkAttributeDataToFieldDataFilter* vtk_pointer = GetVTKPointer<vtkAttributeDataToFieldDataFilter>(arg[0]);
  Array retval;
  vtkAttributeDataToFieldDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAttributeDataToFieldDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAttributeDataToFieldDataFilter:SafeDownCast vtkAttributeDataToFieldDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAttributeDataToFieldDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAttributeDataToFieldDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAttributeDataToFieldDataFilter requires 2 argument(s)");
  vtkAttributeDataToFieldDataFilter* vtk_pointer = GetVTKPointer<vtkAttributeDataToFieldDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAttributeDataToFieldDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAttributeDataToFieldDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAttributeDataToFieldDataFilter:SetPassAttributeData vtkAttributeDataToFieldDataFilterSetPassAttributeDataFunction
//input a0 a1 
//output none
ArrayVector vtkAttributeDataToFieldDataFilterSetPassAttributeDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassAttributeData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassAttributeData for class vtkAttributeDataToFieldDataFilter requires 2 argument(s)");
  vtkAttributeDataToFieldDataFilter* vtk_pointer = GetVTKPointer<vtkAttributeDataToFieldDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassAttributeData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAttributeDataToFieldDataFilter:GetPassAttributeData vtkAttributeDataToFieldDataFilterGetPassAttributeDataFunction
//input a0 
//output y
ArrayVector vtkAttributeDataToFieldDataFilterGetPassAttributeDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassAttributeData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassAttributeData for class vtkAttributeDataToFieldDataFilter requires 1 argument(s)");
  vtkAttributeDataToFieldDataFilter* vtk_pointer = GetVTKPointer<vtkAttributeDataToFieldDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassAttributeData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAttributeDataToFieldDataFilter:PassAttributeDataOn vtkAttributeDataToFieldDataFilterPassAttributeDataOnFunction
//input a0 
//output none
ArrayVector vtkAttributeDataToFieldDataFilterPassAttributeDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassAttributeDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassAttributeDataOn for class vtkAttributeDataToFieldDataFilter requires 1 argument(s)");
  vtkAttributeDataToFieldDataFilter* vtk_pointer = GetVTKPointer<vtkAttributeDataToFieldDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassAttributeDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkAttributeDataToFieldDataFilter:PassAttributeDataOff vtkAttributeDataToFieldDataFilterPassAttributeDataOffFunction
//input a0 
//output none
ArrayVector vtkAttributeDataToFieldDataFilterPassAttributeDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassAttributeDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassAttributeDataOff for class vtkAttributeDataToFieldDataFilter requires 1 argument(s)");
  vtkAttributeDataToFieldDataFilter* vtk_pointer = GetVTKPointer<vtkAttributeDataToFieldDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassAttributeDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkAttributeDataToFieldDataFilter:display vtkAttributeDataToFieldDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAttributeDataToFieldDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAttributeDataToFieldDataFilter* vtk_pointer = GetVTKPointer<vtkAttributeDataToFieldDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAttributeDataToFieldDataFilter:delete vtkAttributeDataToFieldDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkAttributeDataToFieldDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAttributeDataToFieldDataFilter
//@@Section VTKGraphics
//@@Usage
// vtkAttributeDataToFieldDataFilter is a class that maps attribute data into
// field data. Since this filter is a subclass of vtkDataSetAlgorithm,
// the output dataset (whose structure is the same as the input dataset),
// will contain the field data that is generated. The filter will convert
// point and cell attribute data to field data and assign it as point and
// cell field data, replacing any point or field data that was there
// previously. By default, the original non-field point and cell attribute
// data will be passed to the output of the filter, although you can shut
// this behavior down.
//
//To create an instance of class vtkAttributeDataToFieldDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkAttributeDataToFieldDataFilter
//@]
//@@Methods
//The class vtkAttributeDataToFieldDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAttributeDataToFieldDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAttributeDataToFieldDataFilter = obj.NewInstance ()|
// \item @|vtkAttributeDataToFieldDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPassAttributeData (int )| -  Turn on/off the passing of point and cell non-field attribute data to the
// output of the filter.
//// \item @|int = obj.GetPassAttributeData ()| -  Turn on/off the passing of point and cell non-field attribute data to the
// output of the filter.
//// \item @|obj.PassAttributeDataOn ()| -  Turn on/off the passing of point and cell non-field attribute data to the
// output of the filter.
//// \item @|obj.PassAttributeDataOff ()| -  Turn on/off the passing of point and cell non-field attribute data to the
// output of the filter.
////\end{itemize}
//!
