#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAxes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAxes.h"

//@@Signature
//sfunction @vtkAxes:vtkAxes vtkAxesConstructorFunction
//input a
//output p
//@@Parents vtkAxes vtkPolyDataAlgorithm 
ArrayVector vtkAxesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAxes::New(),"vtkAxes",eval);
  } else if (arg[0].className() == "vtkAxes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAxes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAxes");
    vtkAxes*q = reinterpret_cast<vtkAxes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAxes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAxes:GetClassName vtkAxesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAxesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAxes requires 1 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxes:IsA vtkAxesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAxesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAxes requires 2 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxes:NewInstance vtkAxesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAxesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAxes requires 1 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  vtkAxes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxes:SafeDownCast vtkAxesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAxesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAxes requires 2 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAxes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxes:SetOrigin__1 vtkAxesSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAxesSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkAxes requires 4 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAxes:SetOrigin__2 vtkAxesSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkAxesSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkAxes requires 2 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxes:GetOrigin vtkAxesGetOriginFunction
//input a0 
//output y
ArrayVector vtkAxesGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkAxes requires 1 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAxes:SetScaleFactor vtkAxesSetScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkAxesSetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleFactor for class vtkAxes requires 2 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxes:GetScaleFactor vtkAxesGetScaleFactorFunction
//input a0 
//output y
ArrayVector vtkAxesGetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactor for class vtkAxes requires 1 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxes:SetSymmetric vtkAxesSetSymmetricFunction
//input a0 a1 
//output none
ArrayVector vtkAxesSetSymmetricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSymmetric (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSymmetric for class vtkAxes requires 2 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSymmetric(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxes:GetSymmetric vtkAxesGetSymmetricFunction
//input a0 
//output y
ArrayVector vtkAxesGetSymmetricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSymmetric (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSymmetric for class vtkAxes requires 1 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSymmetric();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxes:SymmetricOn vtkAxesSymmetricOnFunction
//input a0 
//output none
ArrayVector vtkAxesSymmetricOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SymmetricOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SymmetricOn for class vtkAxes requires 1 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  vtk_pointer->SymmetricOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxes:SymmetricOff vtkAxesSymmetricOffFunction
//input a0 
//output none
ArrayVector vtkAxesSymmetricOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SymmetricOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SymmetricOff for class vtkAxes requires 1 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  vtk_pointer->SymmetricOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxes:SetComputeNormals vtkAxesSetComputeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkAxesSetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeNormals for class vtkAxes requires 2 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxes:GetComputeNormals vtkAxesGetComputeNormalsFunction
//input a0 
//output y
ArrayVector vtkAxesGetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeNormals for class vtkAxes requires 1 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxes:ComputeNormalsOn vtkAxesComputeNormalsOnFunction
//input a0 
//output none
ArrayVector vtkAxesComputeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOn for class vtkAxes requires 1 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxes:ComputeNormalsOff vtkAxesComputeNormalsOffFunction
//input a0 
//output none
ArrayVector vtkAxesComputeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOff for class vtkAxes requires 1 argument(s)");
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxes:SetOrigin vtkAxesSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkAxesSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAxesSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxesSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxesSetOrigin");
}

//@@Signature
//sfunction @vtkAxes:display vtkAxesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAxesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAxes* vtk_pointer = GetVTKPointer<vtkAxes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAxes:delete vtkAxesDeleteFunction
//input varargin
//output none
ArrayVector vtkAxesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAxes
//@@Section VTKGraphics
//@@Usage
// vtkAxes creates three lines that form an x-y-z axes. The origin of the
// axes is user specified (0,0,0 is default), and the size is specified with
// a scale factor. Three scalar values are generated for the three lines and
// can be used (via color map) to indicate a particular coordinate axis.
//
//To create an instance of class vtkAxes, simply
//invoke its constructor as follows
//@[
//  obj = vtkAxes
//@]
//@@Methods
//The class vtkAxes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAxes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAxes = obj.NewInstance ()|
// \item @|vtkAxes = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOrigin (double , double , double )| -  Set the origin of the axes.
//// \item @|obj.SetOrigin (double  a[3])| -  Set the origin of the axes.
//// \item @|double = obj. GetOrigin ()| -  Set the origin of the axes.
//// \item @|obj.SetScaleFactor (double )| -  Set the scale factor of the axes. Used to control size.
//// \item @|double = obj.GetScaleFactor ()| -  Set the scale factor of the axes. Used to control size.
//// \item @|obj.SetSymmetric (int )| -  If Symetric is on, the the axis continue to negative values.
//// \item @|int = obj.GetSymmetric ()| -  If Symetric is on, the the axis continue to negative values.
//// \item @|obj.SymmetricOn ()| -  If Symetric is on, the the axis continue to negative values.
//// \item @|obj.SymmetricOff ()| -  If Symetric is on, the the axis continue to negative values.
//// \item @|obj.SetComputeNormals (int )| -  Option for computing normals.  By default they are computed.
//// \item @|int = obj.GetComputeNormals ()| -  Option for computing normals.  By default they are computed.
//// \item @|obj.ComputeNormalsOn ()| -  Option for computing normals.  By default they are computed.
//// \item @|obj.ComputeNormalsOff ()| -  Option for computing normals.  By default they are computed.
////\end{itemize}
//!
