#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBandedPolyDataContourFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBandedPolyDataContourFilter.h"

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:vtkBandedPolyDataContourFilter vtkBandedPolyDataContourFilterConstructorFunction
//input a
//output p
//@@Parents vtkBandedPolyDataContourFilter vtkPolyDataAlgorithm 
ArrayVector vtkBandedPolyDataContourFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBandedPolyDataContourFilter::New(),"vtkBandedPolyDataContourFilter",eval);
  } else if (arg[0].className() == "vtkBandedPolyDataContourFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBandedPolyDataContourFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBandedPolyDataContourFilter");
    vtkBandedPolyDataContourFilter*q = reinterpret_cast<vtkBandedPolyDataContourFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBandedPolyDataContourFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetClassName vtkBandedPolyDataContourFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBandedPolyDataContourFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:IsA vtkBandedPolyDataContourFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBandedPolyDataContourFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBandedPolyDataContourFilter requires 2 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:NewInstance vtkBandedPolyDataContourFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBandedPolyDataContourFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBandedPolyDataContourFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  vtkBandedPolyDataContourFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBandedPolyDataContourFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:SafeDownCast vtkBandedPolyDataContourFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBandedPolyDataContourFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBandedPolyDataContourFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBandedPolyDataContourFilter requires 2 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBandedPolyDataContourFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBandedPolyDataContourFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:SetValue vtkBandedPolyDataContourFilterSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBandedPolyDataContourFilterSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkBandedPolyDataContourFilter requires 3 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetValue vtkBandedPolyDataContourFilterGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkBandedPolyDataContourFilterGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkBandedPolyDataContourFilter requires 2 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetValues__2 vtkBandedPolyDataContourFilterGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkBandedPolyDataContourFilterGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues); */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkBandedPolyDataContourFilter requires 2 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:SetNumberOfContours vtkBandedPolyDataContourFilterSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkBandedPolyDataContourFilterSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkBandedPolyDataContourFilter requires 2 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetNumberOfContours vtkBandedPolyDataContourFilterGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkBandedPolyDataContourFilterGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GenerateValues__1 vtkBandedPolyDataContourFilterGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBandedPolyDataContourFilterGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkBandedPolyDataContourFilter requires 3 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GenerateValues__2 vtkBandedPolyDataContourFilterGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBandedPolyDataContourFilterGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd); */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkBandedPolyDataContourFilter requires 4 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:SetClipping vtkBandedPolyDataContourFilterSetClippingFunction
//input a0 a1 
//output none
ArrayVector vtkBandedPolyDataContourFilterSetClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClipping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipping for class vtkBandedPolyDataContourFilter requires 2 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClipping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetClipping vtkBandedPolyDataContourFilterGetClippingFunction
//input a0 
//output y
ArrayVector vtkBandedPolyDataContourFilterGetClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClipping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipping for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClipping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:ClippingOn vtkBandedPolyDataContourFilterClippingOnFunction
//input a0 
//output none
ArrayVector vtkBandedPolyDataContourFilterClippingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClippingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClippingOn for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ClippingOn();
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:ClippingOff vtkBandedPolyDataContourFilterClippingOffFunction
//input a0 
//output none
ArrayVector vtkBandedPolyDataContourFilterClippingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClippingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClippingOff for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ClippingOff();
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:SetScalarMode vtkBandedPolyDataContourFilterSetScalarModeFunction
//input a0 a1 
//output none
ArrayVector vtkBandedPolyDataContourFilterSetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarMode for class vtkBandedPolyDataContourFilter requires 2 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetScalarModeMinValue vtkBandedPolyDataContourFilterGetScalarModeMinValueFunction
//input a0 
//output y
ArrayVector vtkBandedPolyDataContourFilterGetScalarModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarModeMinValue for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetScalarModeMaxValue vtkBandedPolyDataContourFilterGetScalarModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkBandedPolyDataContourFilterGetScalarModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarModeMaxValue for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetScalarMode vtkBandedPolyDataContourFilterGetScalarModeFunction
//input a0 
//output y
ArrayVector vtkBandedPolyDataContourFilterGetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarMode for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:SetScalarModeToIndex vtkBandedPolyDataContourFilterSetScalarModeToIndexFunction
//input a0 
//output none
ArrayVector vtkBandedPolyDataContourFilterSetScalarModeToIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToIndex ();this SetScalarMode VTK_SCALAR_MODE_INDEX  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToIndex for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToIndex();
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:SetScalarModeToValue vtkBandedPolyDataContourFilterSetScalarModeToValueFunction
//input a0 
//output none
ArrayVector vtkBandedPolyDataContourFilterSetScalarModeToValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToValue ();this SetScalarMode VTK_SCALAR_MODE_VALUE  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToValue for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToValue();
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:SetGenerateContourEdges vtkBandedPolyDataContourFilterSetGenerateContourEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkBandedPolyDataContourFilterSetGenerateContourEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateContourEdges (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateContourEdges for class vtkBandedPolyDataContourFilter requires 2 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateContourEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetGenerateContourEdges vtkBandedPolyDataContourFilterGetGenerateContourEdgesFunction
//input a0 
//output y
ArrayVector vtkBandedPolyDataContourFilterGetGenerateContourEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateContourEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateContourEdges for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateContourEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GenerateContourEdgesOn vtkBandedPolyDataContourFilterGenerateContourEdgesOnFunction
//input a0 
//output none
ArrayVector vtkBandedPolyDataContourFilterGenerateContourEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateContourEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateContourEdgesOn for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateContourEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GenerateContourEdgesOff vtkBandedPolyDataContourFilterGenerateContourEdgesOffFunction
//input a0 
//output none
ArrayVector vtkBandedPolyDataContourFilterGenerateContourEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateContourEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateContourEdgesOff for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateContourEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetContourEdgesOutput vtkBandedPolyDataContourFilterGetContourEdgesOutputFunction
//input a0 
//output y
ArrayVector vtkBandedPolyDataContourFilterGetContourEdgesOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetContourEdgesOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContourEdgesOutput for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetContourEdgesOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetMTime vtkBandedPolyDataContourFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkBandedPolyDataContourFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkBandedPolyDataContourFilter requires 1 argument(s)");
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GetValues vtkBandedPolyDataContourFilterGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkBandedPolyDataContourFilterGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBandedPolyDataContourFilterGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBandedPolyDataContourFilterGetValues");
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:GenerateValues vtkBandedPolyDataContourFilterGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkBandedPolyDataContourFilterGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkBandedPolyDataContourFilterGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkBandedPolyDataContourFilterGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBandedPolyDataContourFilterGenerateValues");
}

//@@Signature
//sfunction @vtkBandedPolyDataContourFilter:display vtkBandedPolyDataContourFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBandedPolyDataContourFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBandedPolyDataContourFilter* vtk_pointer = GetVTKPointer<vtkBandedPolyDataContourFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBandedPolyDataContourFilter:delete vtkBandedPolyDataContourFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkBandedPolyDataContourFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBandedPolyDataContourFilter
//@@Section VTKGraphics
//@@Usage
// vtkBandedPolyDataContourFilter is a filter that takes as input vtkPolyData
// and produces as output filled contours (also represented as vtkPolyData).
// Filled contours are bands of cells that all have the same cell scalar
// value, and can therefore be colored the same. The method is also referred
// to as filled contour generation.
//
// To use this filter you must specify one or more contour values.  You can
// either use the method SetValue() to specify each contour value, or use
// GenerateValues() to generate a series of evenly spaced contours.  Each
// contour value divides (or clips) the data into two pieces, values below
// the contour value, and values above it. The scalar values of each
// band correspond to the specified contour value.  Note that if the first and
// last contour values are not the minimum/maximum contour range, then two
// extra contour values are added corresponding to the minimum and maximum
// range values. These extra contour bands can be prevented from being output
// by turning clipping on.
//
//
//To create an instance of class vtkBandedPolyDataContourFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkBandedPolyDataContourFilter
//@]
//@@Methods
//The class vtkBandedPolyDataContourFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBandedPolyDataContourFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBandedPolyDataContourFilter = obj.NewInstance ()|
// \item @|vtkBandedPolyDataContourFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (int i, double value)| -  Methods to set / get contour values. A single value at a time can be
// set with SetValue(). Multiple contour values can be set with
// GenerateValues(). Note that GenerateValues() generates n values
// inclusive of the start and end range values.
//// \item @|double = obj.GetValue (int i)| -  Methods to set / get contour values. A single value at a time can be
// set with SetValue(). Multiple contour values can be set with
// GenerateValues(). Note that GenerateValues() generates n values
// inclusive of the start and end range values.
//// \item @|obj.GetValues (double contourValues)| -  Methods to set / get contour values. A single value at a time can be
// set with SetValue(). Multiple contour values can be set with
// GenerateValues(). Note that GenerateValues() generates n values
// inclusive of the start and end range values.
//// \item @|obj.SetNumberOfContours (int number)| -  Methods to set / get contour values. A single value at a time can be
// set with SetValue(). Multiple contour values can be set with
// GenerateValues(). Note that GenerateValues() generates n values
// inclusive of the start and end range values.
//// \item @|int = obj.GetNumberOfContours ()| -  Methods to set / get contour values. A single value at a time can be
// set with SetValue(). Multiple contour values can be set with
// GenerateValues(). Note that GenerateValues() generates n values
// inclusive of the start and end range values.
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Methods to set / get contour values. A single value at a time can be
// set with SetValue(). Multiple contour values can be set with
// GenerateValues(). Note that GenerateValues() generates n values
// inclusive of the start and end range values.
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Methods to set / get contour values. A single value at a time can be
// set with SetValue(). Multiple contour values can be set with
// GenerateValues(). Note that GenerateValues() generates n values
// inclusive of the start and end range values.
//// \item @|obj.SetClipping (int )| -  Indicate whether to clip outside the range specified by the user.
// (The range is contour value[0] to contour value[numContours-1].)
// Clipping means all cells outside of the range specified are not
// sent to the output.
//// \item @|int = obj.GetClipping ()| -  Indicate whether to clip outside the range specified by the user.
// (The range is contour value[0] to contour value[numContours-1].)
// Clipping means all cells outside of the range specified are not
// sent to the output.
//// \item @|obj.ClippingOn ()| -  Indicate whether to clip outside the range specified by the user.
// (The range is contour value[0] to contour value[numContours-1].)
// Clipping means all cells outside of the range specified are not
// sent to the output.
//// \item @|obj.ClippingOff ()| -  Indicate whether to clip outside the range specified by the user.
// (The range is contour value[0] to contour value[numContours-1].)
// Clipping means all cells outside of the range specified are not
// sent to the output.
//// \item @|obj.SetScalarMode (int )| -  Control whether the cell scalars are output as an integer index or
// a scalar value. If an index, the index refers to the bands produced
// by the clipping range. If a value, then a scalar value which is a 
// value between clip values is used.
//// \item @|int = obj.GetScalarModeMinValue ()| -  Control whether the cell scalars are output as an integer index or
// a scalar value. If an index, the index refers to the bands produced
// by the clipping range. If a value, then a scalar value which is a 
// value between clip values is used.
//// \item @|int = obj.GetScalarModeMaxValue ()| -  Control whether the cell scalars are output as an integer index or
// a scalar value. If an index, the index refers to the bands produced
// by the clipping range. If a value, then a scalar value which is a 
// value between clip values is used.
//// \item @|int = obj.GetScalarMode ()| -  Control whether the cell scalars are output as an integer index or
// a scalar value. If an index, the index refers to the bands produced
// by the clipping range. If a value, then a scalar value which is a 
// value between clip values is used.
//// \item @|obj.SetScalarModeToIndex ()| -  Control whether the cell scalars are output as an integer index or
// a scalar value. If an index, the index refers to the bands produced
// by the clipping range. If a value, then a scalar value which is a 
// value between clip values is used.
//// \item @|obj.SetScalarModeToValue ()| -  Turn on/off a flag to control whether contour edges are generated.
// Contour edges are the edges between bands. If enabled, they are 
// generated from polygons/triangle strips and placed into the second
// output (the ContourEdgesOutput).
//// \item @|obj.SetGenerateContourEdges (int )| -  Turn on/off a flag to control whether contour edges are generated.
// Contour edges are the edges between bands. If enabled, they are 
// generated from polygons/triangle strips and placed into the second
// output (the ContourEdgesOutput).
//// \item @|int = obj.GetGenerateContourEdges ()| -  Turn on/off a flag to control whether contour edges are generated.
// Contour edges are the edges between bands. If enabled, they are 
// generated from polygons/triangle strips and placed into the second
// output (the ContourEdgesOutput).
//// \item @|obj.GenerateContourEdgesOn ()| -  Turn on/off a flag to control whether contour edges are generated.
// Contour edges are the edges between bands. If enabled, they are 
// generated from polygons/triangle strips and placed into the second
// output (the ContourEdgesOutput).
//// \item @|obj.GenerateContourEdgesOff ()| -  Turn on/off a flag to control whether contour edges are generated.
// Contour edges are the edges between bands. If enabled, they are 
// generated from polygons/triangle strips and placed into the second
// output (the ContourEdgesOutput).
//// \item @|vtkPolyData = obj.GetContourEdgesOutput ()| -  Get the second output which contains the edges dividing the contour 
// bands. This output is empty unless GenerateContourEdges is enabled.
//// \item @|long = obj.GetMTime ()| -  Overload GetMTime because we delegate to vtkContourValues so its
// modified time must be taken into account.
////\end{itemize}
//!
