#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBlankStructuredGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBlankStructuredGrid.h"

//@@Signature
//sfunction @vtkBlankStructuredGrid:vtkBlankStructuredGrid vtkBlankStructuredGridConstructorFunction
//input a
//output p
//@@Parents vtkBlankStructuredGrid vtkStructuredGridAlgorithm 
ArrayVector vtkBlankStructuredGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBlankStructuredGrid::New(),"vtkBlankStructuredGrid",eval);
  } else if (arg[0].className() == "vtkBlankStructuredGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBlankStructuredGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBlankStructuredGrid");
    vtkBlankStructuredGrid*q = reinterpret_cast<vtkBlankStructuredGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBlankStructuredGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBlankStructuredGrid:GetClassName vtkBlankStructuredGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBlankStructuredGrid requires 1 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:IsA vtkBlankStructuredGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBlankStructuredGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBlankStructuredGrid requires 2 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:NewInstance vtkBlankStructuredGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBlankStructuredGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBlankStructuredGrid requires 1 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  vtkBlankStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBlankStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:SafeDownCast vtkBlankStructuredGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBlankStructuredGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBlankStructuredGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBlankStructuredGrid requires 2 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBlankStructuredGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBlankStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:SetMinBlankingValue vtkBlankStructuredGridSetMinBlankingValueFunction
//input a0 a1 
//output none
ArrayVector vtkBlankStructuredGridSetMinBlankingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinBlankingValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinBlankingValue for class vtkBlankStructuredGrid requires 2 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinBlankingValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:GetMinBlankingValue vtkBlankStructuredGridGetMinBlankingValueFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridGetMinBlankingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinBlankingValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinBlankingValue for class vtkBlankStructuredGrid requires 1 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinBlankingValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:SetMaxBlankingValue vtkBlankStructuredGridSetMaxBlankingValueFunction
//input a0 a1 
//output none
ArrayVector vtkBlankStructuredGridSetMaxBlankingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxBlankingValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxBlankingValue for class vtkBlankStructuredGrid requires 2 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaxBlankingValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:GetMaxBlankingValue vtkBlankStructuredGridGetMaxBlankingValueFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridGetMaxBlankingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaxBlankingValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxBlankingValue for class vtkBlankStructuredGrid requires 1 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaxBlankingValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:SetArrayName vtkBlankStructuredGridSetArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkBlankStructuredGridSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayName for class vtkBlankStructuredGrid requires 2 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:GetArrayName vtkBlankStructuredGridGetArrayNameFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayName for class vtkBlankStructuredGrid requires 1 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:SetArrayId vtkBlankStructuredGridSetArrayIdFunction
//input a0 a1 
//output none
ArrayVector vtkBlankStructuredGridSetArrayIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayId (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayId for class vtkBlankStructuredGrid requires 2 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetArrayId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:GetArrayId vtkBlankStructuredGridGetArrayIdFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridGetArrayIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayId for class vtkBlankStructuredGrid requires 1 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:SetComponent vtkBlankStructuredGridSetComponentFunction
//input a0 a1 
//output none
ArrayVector vtkBlankStructuredGridSetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComponent for class vtkBlankStructuredGrid requires 2 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:GetComponentMinValue vtkBlankStructuredGridGetComponentMinValueFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridGetComponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentMinValue for class vtkBlankStructuredGrid requires 1 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:GetComponentMaxValue vtkBlankStructuredGridGetComponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridGetComponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentMaxValue for class vtkBlankStructuredGrid requires 1 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:GetComponent vtkBlankStructuredGridGetComponentFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridGetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponent for class vtkBlankStructuredGrid requires 1 argument(s)");
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGrid:display vtkBlankStructuredGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBlankStructuredGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBlankStructuredGrid* vtk_pointer = GetVTKPointer<vtkBlankStructuredGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBlankStructuredGrid:delete vtkBlankStructuredGridDeleteFunction
//input varargin
//output none
ArrayVector vtkBlankStructuredGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBlankStructuredGrid
//@@Section VTKGraphics
//@@Usage
// vtkBlankStructuredGrid is a filter that sets the blanking field in a 
// vtkStructuredGrid dataset. The blanking field is set by examining a
// specified point attribute data array (e.g., scalars) and converting
// values in the data array to either a "1" (visible) or "0" (blanked) value
// in the blanking array. The values to be blanked are specified by giving
// a min/max range. All data values in the data array indicated and laying
// within the range specified (inclusive on both ends) are translated to 
// a "off" blanking value.
//
//To create an instance of class vtkBlankStructuredGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkBlankStructuredGrid
//@]
//@@Methods
//The class vtkBlankStructuredGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBlankStructuredGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBlankStructuredGrid = obj.NewInstance ()|
// \item @|vtkBlankStructuredGrid = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMinBlankingValue (double )| -  Specify the lower data value in the data array specified which will be
// converted into a "blank" (or off) value in the blanking array.
//// \item @|double = obj.GetMinBlankingValue ()| -  Specify the lower data value in the data array specified which will be
// converted into a "blank" (or off) value in the blanking array.
//// \item @|obj.SetMaxBlankingValue (double )| -  Specify the upper data value in the data array specified which will be
// converted into a "blank" (or off) value in the blanking array.
//// \item @|double = obj.GetMaxBlankingValue ()| -  Specify the upper data value in the data array specified which will be
// converted into a "blank" (or off) value in the blanking array.
//// \item @|obj.SetArrayName (string )| -  Specify the data array name to use to generate the blanking
// field. Alternatively, you can specify the array id. (If both are set,
// the array name takes precedence.)
//// \item @|string = obj.GetArrayName ()| -  Specify the data array name to use to generate the blanking
// field. Alternatively, you can specify the array id. (If both are set,
// the array name takes precedence.)
//// \item @|obj.SetArrayId (int )| -  Specify the data array id to use to generate the blanking
// field. Alternatively, you can specify the array name. (If both are set,
// the array name takes precedence.)
//// \item @|int = obj.GetArrayId ()| -  Specify the data array id to use to generate the blanking
// field. Alternatively, you can specify the array name. (If both are set,
// the array name takes precedence.)
//// \item @|obj.SetComponent (int )| -  Specify the component in the data array to use to generate the blanking
// field.
//// \item @|int = obj.GetComponentMinValue ()| -  Specify the component in the data array to use to generate the blanking
// field.
//// \item @|int = obj.GetComponentMaxValue ()| -  Specify the component in the data array to use to generate the blanking
// field.
//// \item @|int = obj.GetComponent ()| -  Specify the component in the data array to use to generate the blanking
// field.
////\end{itemize}
//!
