#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBlankStructuredGridWithImage object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBlankStructuredGridWithImage.h"

//@@Signature
//sfunction @vtkBlankStructuredGridWithImage:vtkBlankStructuredGridWithImage vtkBlankStructuredGridWithImageConstructorFunction
//input a
//output p
//@@Parents vtkBlankStructuredGridWithImage vtkStructuredGridAlgorithm 
ArrayVector vtkBlankStructuredGridWithImageConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBlankStructuredGridWithImage::New(),"vtkBlankStructuredGridWithImage",eval);
  } else if (arg[0].className() == "vtkBlankStructuredGridWithImage") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBlankStructuredGridWithImage"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBlankStructuredGridWithImage");
    vtkBlankStructuredGridWithImage*q = reinterpret_cast<vtkBlankStructuredGridWithImage*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBlankStructuredGridWithImage");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBlankStructuredGridWithImage:GetClassName vtkBlankStructuredGridWithImageGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridWithImageGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBlankStructuredGridWithImage requires 1 argument(s)");
  vtkBlankStructuredGridWithImage* vtk_pointer = GetVTKPointer<vtkBlankStructuredGridWithImage>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGridWithImage:IsA vtkBlankStructuredGridWithImageIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBlankStructuredGridWithImageIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBlankStructuredGridWithImage requires 2 argument(s)");
  vtkBlankStructuredGridWithImage* vtk_pointer = GetVTKPointer<vtkBlankStructuredGridWithImage>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGridWithImage:NewInstance vtkBlankStructuredGridWithImageNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridWithImageNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBlankStructuredGridWithImage *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBlankStructuredGridWithImage requires 1 argument(s)");
  vtkBlankStructuredGridWithImage* vtk_pointer = GetVTKPointer<vtkBlankStructuredGridWithImage>(arg[0]);
  Array retval;
  vtkBlankStructuredGridWithImage  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBlankStructuredGridWithImage",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGridWithImage:SafeDownCast vtkBlankStructuredGridWithImageSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBlankStructuredGridWithImageSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBlankStructuredGridWithImage *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBlankStructuredGridWithImage requires 2 argument(s)");
  vtkBlankStructuredGridWithImage* vtk_pointer = GetVTKPointer<vtkBlankStructuredGridWithImage>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBlankStructuredGridWithImage  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBlankStructuredGridWithImage",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGridWithImage:SetBlankingInput vtkBlankStructuredGridWithImageSetBlankingInputFunction
//input a0 a1 
//output none
ArrayVector vtkBlankStructuredGridWithImageSetBlankingInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlankingInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlankingInput for class vtkBlankStructuredGridWithImage requires 2 argument(s)");
  vtkBlankStructuredGridWithImage* vtk_pointer = GetVTKPointer<vtkBlankStructuredGridWithImage>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetBlankingInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGridWithImage:GetBlankingInput vtkBlankStructuredGridWithImageGetBlankingInputFunction
//input a0 
//output y
ArrayVector vtkBlankStructuredGridWithImageGetBlankingInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetBlankingInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlankingInput for class vtkBlankStructuredGridWithImage requires 1 argument(s)");
  vtkBlankStructuredGridWithImage* vtk_pointer = GetVTKPointer<vtkBlankStructuredGridWithImage>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetBlankingInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBlankStructuredGridWithImage:display vtkBlankStructuredGridWithImageDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBlankStructuredGridWithImageDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBlankStructuredGridWithImage* vtk_pointer = GetVTKPointer<vtkBlankStructuredGridWithImage>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBlankStructuredGridWithImage:delete vtkBlankStructuredGridWithImageDeleteFunction
//input varargin
//output none
ArrayVector vtkBlankStructuredGridWithImageDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBlankStructuredGridWithImage
//@@Section VTKGraphics
//@@Usage
// This filter can be used to set the blanking in a structured grid with 
// an image. The filter takes two inputs: the structured grid to blank, 
// and the image used to set the blanking. Make sure that the dimensions of
// both the image and the structured grid are identical.
//
// Note that the image is interpreted as follows: zero values indicate that
// the structured grid point is blanked; non-zero values indicate that the
// structured grid point is visible. The blanking data must be unsigned char.
//
//To create an instance of class vtkBlankStructuredGridWithImage, simply
//invoke its constructor as follows
//@[
//  obj = vtkBlankStructuredGridWithImage
//@]
//@@Methods
//The class vtkBlankStructuredGridWithImage has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBlankStructuredGridWithImage class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBlankStructuredGridWithImage = obj.NewInstance ()|
// \item @|vtkBlankStructuredGridWithImage = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetBlankingInput (vtkImageData input)| -  Set / get the input image used to perform the blanking.
//// \item @|vtkImageData = obj.GetBlankingInput ()| -  Set / get the input image used to perform the blanking.
////\end{itemize}
//!
