#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBlockIdScalars object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBlockIdScalars.h"

//@@Signature
//sfunction @vtkBlockIdScalars:vtkBlockIdScalars vtkBlockIdScalarsConstructorFunction
//input a
//output p
//@@Parents vtkBlockIdScalars vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkBlockIdScalarsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBlockIdScalars::New(),"vtkBlockIdScalars",eval);
  } else if (arg[0].className() == "vtkBlockIdScalars") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBlockIdScalars"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBlockIdScalars");
    vtkBlockIdScalars*q = reinterpret_cast<vtkBlockIdScalars*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBlockIdScalars");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBlockIdScalars:GetClassName vtkBlockIdScalarsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBlockIdScalarsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBlockIdScalars requires 1 argument(s)");
  vtkBlockIdScalars* vtk_pointer = GetVTKPointer<vtkBlockIdScalars>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlockIdScalars:IsA vtkBlockIdScalarsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBlockIdScalarsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBlockIdScalars requires 2 argument(s)");
  vtkBlockIdScalars* vtk_pointer = GetVTKPointer<vtkBlockIdScalars>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBlockIdScalars:NewInstance vtkBlockIdScalarsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBlockIdScalarsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBlockIdScalars *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBlockIdScalars requires 1 argument(s)");
  vtkBlockIdScalars* vtk_pointer = GetVTKPointer<vtkBlockIdScalars>(arg[0]);
  Array retval;
  vtkBlockIdScalars  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBlockIdScalars",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBlockIdScalars:SafeDownCast vtkBlockIdScalarsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBlockIdScalarsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBlockIdScalars *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBlockIdScalars requires 2 argument(s)");
  vtkBlockIdScalars* vtk_pointer = GetVTKPointer<vtkBlockIdScalars>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBlockIdScalars  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBlockIdScalars",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBlockIdScalars:display vtkBlockIdScalarsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBlockIdScalarsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBlockIdScalars* vtk_pointer = GetVTKPointer<vtkBlockIdScalars>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBlockIdScalars:delete vtkBlockIdScalarsDeleteFunction
//input varargin
//output none
ArrayVector vtkBlockIdScalarsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBlockIdScalars
//@@Section VTKGraphics
//@@Usage
// vtkBlockIdScalars is a filter that generates scalars using the block index
// for each block. Note that all sub-blocks within a block get the same scalar.
// The new scalars array is named \c BlockIdScalars.
//
//To create an instance of class vtkBlockIdScalars, simply
//invoke its constructor as follows
//@[
//  obj = vtkBlockIdScalars
//@]
//@@Methods
//The class vtkBlockIdScalars has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBlockIdScalars class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBlockIdScalars = obj.NewInstance ()|
// \item @|vtkBlockIdScalars = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
