#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBoxClipDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBoxClipDataSet.h"

//@@Signature
//sfunction @vtkBoxClipDataSet:vtkBoxClipDataSet vtkBoxClipDataSetConstructorFunction
//input a
//output p
//@@Parents vtkBoxClipDataSet vtkUnstructuredGridAlgorithm 
ArrayVector vtkBoxClipDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBoxClipDataSet::New(),"vtkBoxClipDataSet",eval);
  } else if (arg[0].className() == "vtkBoxClipDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBoxClipDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBoxClipDataSet");
    vtkBoxClipDataSet*q = reinterpret_cast<vtkBoxClipDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBoxClipDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBoxClipDataSet:GetClassName vtkBoxClipDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBoxClipDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:IsA vtkBoxClipDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBoxClipDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBoxClipDataSet requires 2 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:NewInstance vtkBoxClipDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBoxClipDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoxClipDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkBoxClipDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoxClipDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:SafeDownCast vtkBoxClipDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBoxClipDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoxClipDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBoxClipDataSet requires 2 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBoxClipDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoxClipDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:SetBoxClip__1 vtkBoxClipDataSetSetBoxClip__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkBoxClipDataSetSetBoxClip__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoxClip (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 7) 
    throw Exception("Function SetBoxClip__1 for class vtkBoxClipDataSet requires 7 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBoxClip(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:SetBoxClip__2 vtkBoxClipDataSetSetBoxClip__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 a12 
//output none
ArrayVector vtkBoxClipDataSetSetBoxClip__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoxClip (const double *n0, const double *o0, const double *n1, const double *o1, const double *n2, const double *o2, const double *n3, const double *o3, const double *n4, const double *o4, const double *n5, const double *o5); */
  if (arg.size() < 13) 
    throw Exception("Function SetBoxClip__2 for class vtkBoxClipDataSet requires 13 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  double  *temp3;
  double  *temp4;
  double  *temp5;
  double  *temp6;
  double  *temp7;
  double  *temp8;
  double  *temp9;
  double  *temp10;
  double  *temp11;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp6 = new double[length];
      for ( int k = 0; k < length; k++ ) temp6[k] = (double)data[k+1];
      }
    if ( !arg[8].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[8].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp7 = new double[length];
      for ( int k = 0; k < length; k++ ) temp7[k] = (double)data[k+1];
      }
    if ( !arg[9].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[9].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp8 = new double[length];
      for ( int k = 0; k < length; k++ ) temp8[k] = (double)data[k+1];
      }
    if ( !arg[10].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[10].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp9 = new double[length];
      for ( int k = 0; k < length; k++ ) temp9[k] = (double)data[k+1];
      }
    if ( !arg[11].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[11].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp10 = new double[length];
      for ( int k = 0; k < length; k++ ) temp10[k] = (double)data[k+1];
      }
    if ( !arg[12].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[12].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp11 = new double[length];
      for ( int k = 0; k < length; k++ ) temp11[k] = (double)data[k+1];
      }
  vtk_pointer->SetBoxClip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:SetGenerateClipScalars vtkBoxClipDataSetSetGenerateClipScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkBoxClipDataSetSetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClipScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClipScalars for class vtkBoxClipDataSet requires 2 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClipScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GetGenerateClipScalars vtkBoxClipDataSetGetGenerateClipScalarsFunction
//input a0 
//output y
ArrayVector vtkBoxClipDataSetGetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClipScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClipScalars for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClipScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GenerateClipScalarsOn vtkBoxClipDataSetGenerateClipScalarsOnFunction
//input a0 
//output none
ArrayVector vtkBoxClipDataSetGenerateClipScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOn for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GenerateClipScalarsOff vtkBoxClipDataSetGenerateClipScalarsOffFunction
//input a0 
//output none
ArrayVector vtkBoxClipDataSetGenerateClipScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOff for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:SetGenerateClippedOutput vtkBoxClipDataSetSetGenerateClippedOutputFunction
//input a0 a1 
//output none
ArrayVector vtkBoxClipDataSetSetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClippedOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClippedOutput for class vtkBoxClipDataSet requires 2 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClippedOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GetGenerateClippedOutput vtkBoxClipDataSetGetGenerateClippedOutputFunction
//input a0 
//output y
ArrayVector vtkBoxClipDataSetGetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClippedOutput for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClippedOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GenerateClippedOutputOn vtkBoxClipDataSetGenerateClippedOutputOnFunction
//input a0 
//output none
ArrayVector vtkBoxClipDataSetGenerateClippedOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOn for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GenerateClippedOutputOff vtkBoxClipDataSetGenerateClippedOutputOffFunction
//input a0 
//output none
ArrayVector vtkBoxClipDataSetGenerateClippedOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOff for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GetClippedOutput vtkBoxClipDataSetGetClippedOutputFunction
//input a0 
//output y
ArrayVector vtkBoxClipDataSetGetClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippedOutput for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetClippedOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GetNumberOfOutputs vtkBoxClipDataSetGetNumberOfOutputsFunction
//input a0 
//output y
ArrayVector vtkBoxClipDataSetGetNumberOfOutputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfOutputs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfOutputs for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfOutputs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:SetLocator vtkBoxClipDataSetSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkBoxClipDataSetSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkBoxClipDataSet requires 2 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GetLocator vtkBoxClipDataSetGetLocatorFunction
//input a0 
//output y
ArrayVector vtkBoxClipDataSetGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:CreateDefaultLocator vtkBoxClipDataSetCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkBoxClipDataSetCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GetMTime vtkBoxClipDataSetGetMTimeFunction
//input a0 
//output y
ArrayVector vtkBoxClipDataSetGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:GetOrientation vtkBoxClipDataSetGetOrientationFunction
//input a0 
//output y
ArrayVector vtkBoxClipDataSetGetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetOrientation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientation for class vtkBoxClipDataSet requires 1 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetOrientation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:SetOrientation vtkBoxClipDataSetSetOrientationFunction
//input a0 a1 
//output none
ArrayVector vtkBoxClipDataSetSetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientation (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientation for class vtkBoxClipDataSet requires 2 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:InterpolateEdge vtkBoxClipDataSetInterpolateEdgeFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkBoxClipDataSetInterpolateEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void InterpolateEdge (vtkDataSetAttributes *attributes, vtkIdType toId, vtkIdType fromId1, vtkIdType fromId2, double t); */
  if (arg.size() < 6) 
    throw Exception("Function InterpolateEdge for class vtkBoxClipDataSet requires 6 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  double   temp4;
  temp0 = GetVTKPointer<vtkDataSetAttributes>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:ClipBox vtkBoxClipDataSetClipBoxFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkBoxClipDataSetClipBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipBox (vtkPoints *newPoints, vtkGenericCell *cell, vtkIncrementalPointLocator *locator, vtkCellArray *tets, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD); */
  if (arg.size() < 10) 
    throw Exception("Function ClipBox for class vtkBoxClipDataSet requires 10 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  vtk_pointer->ClipBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:ClipHexahedron vtkBoxClipDataSetClipHexahedronFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkBoxClipDataSetClipHexahedronFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipHexahedron (vtkPoints *newPoints, vtkGenericCell *cell, vtkIncrementalPointLocator *locator, vtkCellArray *tets, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD); */
  if (arg.size() < 10) 
    throw Exception("Function ClipHexahedron for class vtkBoxClipDataSet requires 10 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  vtk_pointer->ClipHexahedron(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:ClipBox2D vtkBoxClipDataSetClipBox2DFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkBoxClipDataSetClipBox2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipBox2D (vtkPoints *newPoints, vtkGenericCell *cell, vtkIncrementalPointLocator *locator, vtkCellArray *tets, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD); */
  if (arg.size() < 10) 
    throw Exception("Function ClipBox2D for class vtkBoxClipDataSet requires 10 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  vtk_pointer->ClipBox2D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:ClipHexahedron2D vtkBoxClipDataSetClipHexahedron2DFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkBoxClipDataSetClipHexahedron2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipHexahedron2D (vtkPoints *newPoints, vtkGenericCell *cell, vtkIncrementalPointLocator *locator, vtkCellArray *tets, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD); */
  if (arg.size() < 10) 
    throw Exception("Function ClipHexahedron2D for class vtkBoxClipDataSet requires 10 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  vtk_pointer->ClipHexahedron2D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:ClipBox1D vtkBoxClipDataSetClipBox1DFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkBoxClipDataSetClipBox1DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipBox1D (vtkPoints *newPoints, vtkGenericCell *cell, vtkIncrementalPointLocator *locator, vtkCellArray *lines, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD); */
  if (arg.size() < 10) 
    throw Exception("Function ClipBox1D for class vtkBoxClipDataSet requires 10 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  vtk_pointer->ClipBox1D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:ClipHexahedron1D vtkBoxClipDataSetClipHexahedron1DFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkBoxClipDataSetClipHexahedron1DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipHexahedron1D (vtkPoints *newPoints, vtkGenericCell *cell, vtkIncrementalPointLocator *locator, vtkCellArray *lines, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD); */
  if (arg.size() < 10) 
    throw Exception("Function ClipHexahedron1D for class vtkBoxClipDataSet requires 10 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  temp2 = GetVTKPointer<vtkIncrementalPointLocator>(arg[3]);
  temp3 = GetVTKPointer<vtkCellArray>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkPointData>(arg[6]);
  temp6 = GetVTKPointer<vtkCellData>(arg[7]);
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp8 = GetVTKPointer<vtkCellData>(arg[9]);
  vtk_pointer->ClipHexahedron1D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:ClipBox0D vtkBoxClipDataSetClipBox0DFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output none
ArrayVector vtkBoxClipDataSetClipBox0DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipBox0D (vtkGenericCell *cell, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD); */
  if (arg.size() < 9) 
    throw Exception("Function ClipBox0D for class vtkBoxClipDataSet requires 9 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkGenericCell  *temp0;
  vtkIncrementalPointLocator  *temp1;
  vtkCellArray  *temp2;
  vtkPointData  *temp3;
  vtkPointData  *temp4;
  vtkCellData  *temp5;
  vtkIdType   temp6;
  vtkCellData  *temp7;
  temp0 = GetVTKPointer<vtkGenericCell>(arg[1]);
  temp1 = GetVTKPointer<vtkIncrementalPointLocator>(arg[2]);
  temp2 = GetVTKPointer<vtkCellArray>(arg[3]);
  temp3 = GetVTKPointer<vtkPointData>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkCellData>(arg[6]);
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp7 = GetVTKPointer<vtkCellData>(arg[8]);
  vtk_pointer->ClipBox0D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:ClipHexahedron0D vtkBoxClipDataSetClipHexahedron0DFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output none
ArrayVector vtkBoxClipDataSetClipHexahedron0DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipHexahedron0D (vtkGenericCell *cell, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD); */
  if (arg.size() < 9) 
    throw Exception("Function ClipHexahedron0D for class vtkBoxClipDataSet requires 9 argument(s)");
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  Array retval;
  vtkGenericCell  *temp0;
  vtkIncrementalPointLocator  *temp1;
  vtkCellArray  *temp2;
  vtkPointData  *temp3;
  vtkPointData  *temp4;
  vtkCellData  *temp5;
  vtkIdType   temp6;
  vtkCellData  *temp7;
  temp0 = GetVTKPointer<vtkGenericCell>(arg[1]);
  temp1 = GetVTKPointer<vtkIncrementalPointLocator>(arg[2]);
  temp2 = GetVTKPointer<vtkCellArray>(arg[3]);
  temp3 = GetVTKPointer<vtkPointData>(arg[4]);
  temp4 = GetVTKPointer<vtkPointData>(arg[5]);
  temp5 = GetVTKPointer<vtkCellData>(arg[6]);
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp7 = GetVTKPointer<vtkCellData>(arg[8]);
  vtk_pointer->ClipHexahedron0D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return retval;
}

//@@Signature
//sfunction @vtkBoxClipDataSet:SetBoxClip vtkBoxClipDataSetSetBoxClipFunction
//input varargin
//output varargout
ArrayVector vtkBoxClipDataSetSetBoxClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkBoxClipDataSetSetBoxClip__1Function(nargout,arg,eval);
  if ((arg.size() == 13) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]) && VTKIsVectorArg(arg[7]) && VTKIsVectorArg(arg[8]) && VTKIsVectorArg(arg[9]) && VTKIsVectorArg(arg[10]) && VTKIsVectorArg(arg[11]) && VTKIsVectorArg(arg[12]))
    return vtkBoxClipDataSetSetBoxClip__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoxClipDataSetSetBoxClip");
}

//@@Signature
//sfunction @vtkBoxClipDataSet:display vtkBoxClipDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBoxClipDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBoxClipDataSet* vtk_pointer = GetVTKPointer<vtkBoxClipDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBoxClipDataSet:delete vtkBoxClipDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkBoxClipDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBoxClipDataSet
//@@Section VTKGraphics
//@@Usage
// Clipping means that is actually 'cuts' through the cells of the dataset,
// returning tetrahedral cells inside of the box.
// The output of this filter is an unstructured grid.
//
// This filter can be configured to compute a second output. The
// second output is the part of the cell that is clipped away. Set the
// GenerateClippedData boolean on if you wish to access this output data.
//
// The vtkBoxClipDataSet will triangulate all types of 3D cells (i.e, create tetrahedra).
// This is necessary to preserve compatibility across face neighbors.
//
// To use this filter,you can decide if you will be clipping with a box or a hexahedral box.
// 1) Set orientation 
//    if(SetOrientation(0)): box (parallel with coordinate axis)
//       SetBoxClip(xmin,xmax,ymin,ymax,zmin,zmax)  
//    if(SetOrientation(1)): hexahedral box (Default)
//       SetBoxClip(n[0],o[0],n[1],o[1],n[2],o[2],n[3],o[3],n[4],o[4],n[5],o[5])  
//       PlaneNormal[] normal of each plane
//       PlanePoint[] point on the plane 
// 2) Apply the GenerateClipScalarsOn() 
// 3) Execute clipping  Update();
//
//To create an instance of class vtkBoxClipDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkBoxClipDataSet
//@]
//@@Methods
//The class vtkBoxClipDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBoxClipDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBoxClipDataSet = obj.NewInstance ()|
// \item @|vtkBoxClipDataSet = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetBoxClip (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)|
// \item @|obj.SetBoxClip (double n0, double o0, double n1, double o1, double n2, double o2, double n3, double o3, double n4, double o4, double n5, double o5)|
// \item @|obj.SetGenerateClipScalars (int )| -  If this flag is enabled, then the output scalar values will be 
// interpolated, and not the input scalar data.
//// \item @|int = obj.GetGenerateClipScalars ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated, and not the input scalar data.
//// \item @|obj.GenerateClipScalarsOn ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated, and not the input scalar data.
//// \item @|obj.GenerateClipScalarsOff ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated, and not the input scalar data.
//// \item @|obj.SetGenerateClippedOutput (int )| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|int = obj.GetGenerateClippedOutput ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|obj.GenerateClippedOutputOn ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|obj.GenerateClippedOutputOff ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|vtkUnstructuredGrid = obj.GetClippedOutput ()| -  Return the Clipped output.
//// \item @|int = obj.GetNumberOfOutputs ()| -  Return the Clipped output.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Specify a spatial locator for merging points. By default, an
// instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Specify a spatial locator for merging points. By default, an
// instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified. The 
// locator is used to merge coincident points.
//// \item @|long = obj.GetMTime ()| -  Return the mtime also considering the locator.
//// \item @|int = obj.GetOrientation ()| -  Tells if clipping happens with a box parallel with coordinate axis
// (0) or with an hexahedral box (1). Initial value is 1.
//// \item @|obj.SetOrientation (int )| -  Tells if clipping happens with a box parallel with coordinate axis
// (0) or with an hexahedral box (1). Initial value is 1.
//// \item @|obj.ClipBox (vtkPoints newPoints, vtkGenericCell cell, vtkIncrementalPointLocator locator, vtkCellArray tets, vtkPointData inPD, vtkPointData outPD, vtkCellData inCD, vtkIdType cellId, vtkCellData outCD)|
// \item @|obj.ClipHexahedron (vtkPoints newPoints, vtkGenericCell cell, vtkIncrementalPointLocator locator, vtkCellArray tets, vtkPointData inPD, vtkPointData outPD, vtkCellData inCD, vtkIdType cellId, vtkCellData outCD)|
// \item @|obj.ClipBox2D (vtkPoints newPoints, vtkGenericCell cell, vtkIncrementalPointLocator locator, vtkCellArray tets, vtkPointData inPD, vtkPointData outPD, vtkCellData inCD, vtkIdType cellId, vtkCellData outCD)|
// \item @|obj.ClipHexahedron2D (vtkPoints newPoints, vtkGenericCell cell, vtkIncrementalPointLocator locator, vtkCellArray tets, vtkPointData inPD, vtkPointData outPD, vtkCellData inCD, vtkIdType cellId, vtkCellData outCD)|
// \item @|obj.ClipBox1D (vtkPoints newPoints, vtkGenericCell cell, vtkIncrementalPointLocator locator, vtkCellArray lines, vtkPointData inPD, vtkPointData outPD, vtkCellData inCD, vtkIdType cellId, vtkCellData outCD)|
// \item @|obj.ClipHexahedron1D (vtkPoints newPoints, vtkGenericCell cell, vtkIncrementalPointLocator locator, vtkCellArray lines, vtkPointData inPD, vtkPointData outPD, vtkCellData inCD, vtkIdType cellId, vtkCellData outCD)|
// \item @|obj.ClipBox0D (vtkGenericCell cell, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkPointData inPD, vtkPointData outPD, vtkCellData inCD, vtkIdType cellId, vtkCellData outCD)|
// \item @|obj.ClipHexahedron0D (vtkGenericCell cell, vtkIncrementalPointLocator locator, vtkCellArray verts, vtkPointData inPD, vtkPointData outPD, vtkCellData inCD, vtkIdType cellId, vtkCellData outCD)|
//\end{itemize}
//!
