#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBrownianPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBrownianPoints.h"

//@@Signature
//sfunction @vtkBrownianPoints:vtkBrownianPoints vtkBrownianPointsConstructorFunction
//input a
//output p
//@@Parents vtkBrownianPoints vtkDataSetAlgorithm 
ArrayVector vtkBrownianPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBrownianPoints::New(),"vtkBrownianPoints",eval);
  } else if (arg[0].className() == "vtkBrownianPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBrownianPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBrownianPoints");
    vtkBrownianPoints*q = reinterpret_cast<vtkBrownianPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBrownianPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBrownianPoints:GetClassName vtkBrownianPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBrownianPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBrownianPoints requires 1 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:IsA vtkBrownianPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBrownianPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBrownianPoints requires 2 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:NewInstance vtkBrownianPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBrownianPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBrownianPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBrownianPoints requires 1 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  vtkBrownianPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBrownianPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:SafeDownCast vtkBrownianPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBrownianPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBrownianPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBrownianPoints requires 2 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBrownianPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBrownianPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:SetMinimumSpeed vtkBrownianPointsSetMinimumSpeedFunction
//input a0 a1 
//output none
ArrayVector vtkBrownianPointsSetMinimumSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumSpeed (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumSpeed for class vtkBrownianPoints requires 2 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumSpeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:GetMinimumSpeedMinValue vtkBrownianPointsGetMinimumSpeedMinValueFunction
//input a0 
//output y
ArrayVector vtkBrownianPointsGetMinimumSpeedMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumSpeedMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumSpeedMinValue for class vtkBrownianPoints requires 1 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumSpeedMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:GetMinimumSpeedMaxValue vtkBrownianPointsGetMinimumSpeedMaxValueFunction
//input a0 
//output y
ArrayVector vtkBrownianPointsGetMinimumSpeedMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumSpeedMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumSpeedMaxValue for class vtkBrownianPoints requires 1 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumSpeedMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:GetMinimumSpeed vtkBrownianPointsGetMinimumSpeedFunction
//input a0 
//output y
ArrayVector vtkBrownianPointsGetMinimumSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumSpeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumSpeed for class vtkBrownianPoints requires 1 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumSpeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:SetMaximumSpeed vtkBrownianPointsSetMaximumSpeedFunction
//input a0 a1 
//output none
ArrayVector vtkBrownianPointsSetMaximumSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumSpeed (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumSpeed for class vtkBrownianPoints requires 2 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumSpeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:GetMaximumSpeedMinValue vtkBrownianPointsGetMaximumSpeedMinValueFunction
//input a0 
//output y
ArrayVector vtkBrownianPointsGetMaximumSpeedMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumSpeedMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumSpeedMinValue for class vtkBrownianPoints requires 1 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumSpeedMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:GetMaximumSpeedMaxValue vtkBrownianPointsGetMaximumSpeedMaxValueFunction
//input a0 
//output y
ArrayVector vtkBrownianPointsGetMaximumSpeedMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumSpeedMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumSpeedMaxValue for class vtkBrownianPoints requires 1 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumSpeedMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:GetMaximumSpeed vtkBrownianPointsGetMaximumSpeedFunction
//input a0 
//output y
ArrayVector vtkBrownianPointsGetMaximumSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumSpeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumSpeed for class vtkBrownianPoints requires 1 argument(s)");
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumSpeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBrownianPoints:display vtkBrownianPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBrownianPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBrownianPoints* vtk_pointer = GetVTKPointer<vtkBrownianPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBrownianPoints:delete vtkBrownianPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkBrownianPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBrownianPoints
//@@Section VTKGraphics
//@@Usage
// vtkBrownianPoints is a filter object that assigns a random vector (i.e.,
// magnitude and direction) to each point. The minimum and maximum speed
// values can be controlled by the user.
//
//To create an instance of class vtkBrownianPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkBrownianPoints
//@]
//@@Methods
//The class vtkBrownianPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBrownianPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBrownianPoints = obj.NewInstance ()|
// \item @|vtkBrownianPoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMinimumSpeed (double )| -  Set the minimum speed value.
//// \item @|double = obj.GetMinimumSpeedMinValue ()| -  Set the minimum speed value.
//// \item @|double = obj.GetMinimumSpeedMaxValue ()| -  Set the minimum speed value.
//// \item @|double = obj.GetMinimumSpeed ()| -  Set the minimum speed value.
//// \item @|obj.SetMaximumSpeed (double )| -  Set the maximum speed value.
//// \item @|double = obj.GetMaximumSpeedMinValue ()| -  Set the maximum speed value.
//// \item @|double = obj.GetMaximumSpeedMaxValue ()| -  Set the maximum speed value.
//// \item @|double = obj.GetMaximumSpeed ()| -  Set the maximum speed value.
////\end{itemize}
//!
