#include "VTKWrap.hpp"

// FreeMat wrapper for vtkButterflySubdivisionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkButterflySubdivisionFilter.h"

//@@Signature
//sfunction @vtkButterflySubdivisionFilter:vtkButterflySubdivisionFilter vtkButterflySubdivisionFilterConstructorFunction
//input a
//output p
//@@Parents vtkButterflySubdivisionFilter vtkInterpolatingSubdivisionFilter 
ArrayVector vtkButterflySubdivisionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkButterflySubdivisionFilter::New(),"vtkButterflySubdivisionFilter",eval);
  } else if (arg[0].className() == "vtkButterflySubdivisionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkButterflySubdivisionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkButterflySubdivisionFilter");
    vtkButterflySubdivisionFilter*q = reinterpret_cast<vtkButterflySubdivisionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkButterflySubdivisionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkButterflySubdivisionFilter:GetClassName vtkButterflySubdivisionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkButterflySubdivisionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkButterflySubdivisionFilter requires 1 argument(s)");
  vtkButterflySubdivisionFilter* vtk_pointer = GetVTKPointer<vtkButterflySubdivisionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkButterflySubdivisionFilter:IsA vtkButterflySubdivisionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkButterflySubdivisionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkButterflySubdivisionFilter requires 2 argument(s)");
  vtkButterflySubdivisionFilter* vtk_pointer = GetVTKPointer<vtkButterflySubdivisionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkButterflySubdivisionFilter:NewInstance vtkButterflySubdivisionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkButterflySubdivisionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkButterflySubdivisionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkButterflySubdivisionFilter requires 1 argument(s)");
  vtkButterflySubdivisionFilter* vtk_pointer = GetVTKPointer<vtkButterflySubdivisionFilter>(arg[0]);
  Array retval;
  vtkButterflySubdivisionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkButterflySubdivisionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkButterflySubdivisionFilter:SafeDownCast vtkButterflySubdivisionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkButterflySubdivisionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkButterflySubdivisionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkButterflySubdivisionFilter requires 2 argument(s)");
  vtkButterflySubdivisionFilter* vtk_pointer = GetVTKPointer<vtkButterflySubdivisionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkButterflySubdivisionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkButterflySubdivisionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkButterflySubdivisionFilter:display vtkButterflySubdivisionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkButterflySubdivisionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkButterflySubdivisionFilter* vtk_pointer = GetVTKPointer<vtkButterflySubdivisionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkButterflySubdivisionFilter:delete vtkButterflySubdivisionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkButterflySubdivisionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkButterflySubdivisionFilter
//@@Section VTKGraphics
//@@Usage
// vtkButterflySubdivisionFilter is an interpolating subdivision scheme
// that creates four new triangles for each triangle in the mesh. The
// user can specify the NumberOfSubdivisions. This filter implements the
// 8-point butterfly scheme described in: Zorin, D., Schroder, P., and
// Sweldens, W., "Interpolating Subdivisions for Meshes with Arbitrary
// Topology," Computer Graphics Proceedings, Annual Conference Series,
// 1996, ACM SIGGRAPH, pp.189-192. This scheme improves previous
// butterfly subdivisions with special treatment of vertices with valence
// other than 6.
// 
// Currently, the filter only operates on triangles. Users should use the
// vtkTriangleFilter to triangulate meshes that contain polygons or
// triangle strips.
// 
// The filter interpolates point data using the same scheme. New
// triangles created at a subdivision step will have the cell data of
// their parent cell.
//
//To create an instance of class vtkButterflySubdivisionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkButterflySubdivisionFilter
//@]
//@@Methods
//The class vtkButterflySubdivisionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkButterflySubdivisionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Construct object with NumberOfSubdivisions set to 1.
//// \item @|int = obj.IsA (string name)| -  Construct object with NumberOfSubdivisions set to 1.
//// \item @|vtkButterflySubdivisionFilter = obj.NewInstance ()| -  Construct object with NumberOfSubdivisions set to 1.
//// \item @|vtkButterflySubdivisionFilter = obj.SafeDownCast (vtkObject o)| -  Construct object with NumberOfSubdivisions set to 1.
////\end{itemize}
//!
