#include "VTKWrap.hpp"

// FreeMat wrapper for vtkButtonSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkButtonSource.h"

//@@Signature
//sfunction @vtkButtonSource:vtkButtonSource vtkButtonSourceConstructorFunction
//input a
//output p
//@@Parents vtkButtonSource vtkPolyDataAlgorithm 
ArrayVector vtkButtonSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkButtonSource::New(),"vtkButtonSource",eval);
  } else if (arg[0].className() == "vtkButtonSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkButtonSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkButtonSource");
    vtkButtonSource*q = reinterpret_cast<vtkButtonSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkButtonSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkButtonSource:GetClassName vtkButtonSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkButtonSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:IsA vtkButtonSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkButtonSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkButtonSource requires 2 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:NewInstance vtkButtonSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkButtonSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkButtonSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  vtkButtonSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkButtonSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SafeDownCast vtkButtonSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkButtonSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkButtonSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkButtonSource requires 2 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkButtonSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkButtonSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetCenter__1 vtkButtonSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkButtonSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkButtonSource requires 4 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetCenter__2 vtkButtonSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkButtonSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkButtonSource requires 2 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:GetCenter vtkButtonSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkButtonSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetTextureStyle vtkButtonSourceSetTextureStyleFunction
//input a0 a1 
//output none
ArrayVector vtkButtonSourceSetTextureStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureStyle (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureStyle for class vtkButtonSource requires 2 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTextureStyle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:GetTextureStyleMinValue vtkButtonSourceGetTextureStyleMinValueFunction
//input a0 
//output y
ArrayVector vtkButtonSourceGetTextureStyleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureStyleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureStyleMinValue for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureStyleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:GetTextureStyleMaxValue vtkButtonSourceGetTextureStyleMaxValueFunction
//input a0 
//output y
ArrayVector vtkButtonSourceGetTextureStyleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureStyleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureStyleMaxValue for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureStyleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:GetTextureStyle vtkButtonSourceGetTextureStyleFunction
//input a0 
//output y
ArrayVector vtkButtonSourceGetTextureStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureStyle for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureStyle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetTextureStyleToFitImage vtkButtonSourceSetTextureStyleToFitImageFunction
//input a0 
//output none
ArrayVector vtkButtonSourceSetTextureStyleToFitImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureStyleToFitImage ();this SetTextureStyle VTK_TEXTURE_STYLE_FIT_IMAGE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTextureStyleToFitImage for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  vtk_pointer->SetTextureStyleToFitImage();
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetTextureStyleToProportional vtkButtonSourceSetTextureStyleToProportionalFunction
//input a0 
//output none
ArrayVector vtkButtonSourceSetTextureStyleToProportionalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureStyleToProportional ();this SetTextureStyle VTK_TEXTURE_STYLE_PROPORTIONAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetTextureStyleToProportional for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  vtk_pointer->SetTextureStyleToProportional();
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetTextureDimensions__1 vtkButtonSourceSetTextureDimensions__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkButtonSourceSetTextureDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureDimensions (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTextureDimensions__1 for class vtkButtonSource requires 3 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTextureDimensions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetTextureDimensions__2 vtkButtonSourceSetTextureDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkButtonSourceSetTextureDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureDimensions (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureDimensions__2 for class vtkButtonSource requires 2 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTextureDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:GetTextureDimensions vtkButtonSourceGetTextureDimensionsFunction
//input a0 
//output y
ArrayVector vtkButtonSourceGetTextureDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTextureDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureDimensions for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTextureDimensions();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetShoulderTextureCoordinate__1 vtkButtonSourceSetShoulderTextureCoordinate__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkButtonSourceSetShoulderTextureCoordinate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShoulderTextureCoordinate (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetShoulderTextureCoordinate__1 for class vtkButtonSource requires 3 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetShoulderTextureCoordinate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetShoulderTextureCoordinate__2 vtkButtonSourceSetShoulderTextureCoordinate__2Function
//input a0 a1 
//output none
ArrayVector vtkButtonSourceSetShoulderTextureCoordinate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShoulderTextureCoordinate (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetShoulderTextureCoordinate__2 for class vtkButtonSource requires 2 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetShoulderTextureCoordinate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:GetShoulderTextureCoordinate vtkButtonSourceGetShoulderTextureCoordinateFunction
//input a0 
//output y
ArrayVector vtkButtonSourceGetShoulderTextureCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetShoulderTextureCoordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShoulderTextureCoordinate for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetShoulderTextureCoordinate();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetTwoSided vtkButtonSourceSetTwoSidedFunction
//input a0 a1 
//output none
ArrayVector vtkButtonSourceSetTwoSidedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTwoSided (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTwoSided for class vtkButtonSource requires 2 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTwoSided(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:GetTwoSided vtkButtonSourceGetTwoSidedFunction
//input a0 
//output y
ArrayVector vtkButtonSourceGetTwoSidedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTwoSided (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTwoSided for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTwoSided();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:TwoSidedOn vtkButtonSourceTwoSidedOnFunction
//input a0 
//output none
ArrayVector vtkButtonSourceTwoSidedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoSidedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoSidedOn for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  vtk_pointer->TwoSidedOn();
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:TwoSidedOff vtkButtonSourceTwoSidedOffFunction
//input a0 
//output none
ArrayVector vtkButtonSourceTwoSidedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoSidedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoSidedOff for class vtkButtonSource requires 1 argument(s)");
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  Array retval;
  vtk_pointer->TwoSidedOff();
  return retval;
}

//@@Signature
//sfunction @vtkButtonSource:SetCenter vtkButtonSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkButtonSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkButtonSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkButtonSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkButtonSourceSetCenter");
}

//@@Signature
//sfunction @vtkButtonSource:SetTextureDimensions vtkButtonSourceSetTextureDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkButtonSourceSetTextureDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkButtonSourceSetTextureDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkButtonSourceSetTextureDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkButtonSourceSetTextureDimensions");
}

//@@Signature
//sfunction @vtkButtonSource:SetShoulderTextureCoordinate vtkButtonSourceSetShoulderTextureCoordinateFunction
//input varargin
//output varargout
ArrayVector vtkButtonSourceSetShoulderTextureCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkButtonSourceSetShoulderTextureCoordinate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkButtonSourceSetShoulderTextureCoordinate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkButtonSourceSetShoulderTextureCoordinate");
}

//@@Signature
//sfunction @vtkButtonSource:display vtkButtonSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkButtonSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkButtonSource* vtk_pointer = GetVTKPointer<vtkButtonSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkButtonSource:delete vtkButtonSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkButtonSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkButtonSource
//@@Section VTKGraphics
//@@Usage
// vtkButtonSource is an abstract class that defines an API for creating
// "button-like" objects in VTK. A button is a geometry with a rectangular
// region that can be textured. The button is divided into two regions: the
// texture region and the shoulder region. The points in both regions are
// assigned texture coordinates. The texture region has texture coordinates
// consistent with the image to be placed on it.  All points in the shoulder
// regions are assigned a texture coordinate specified by the user.  In this
// way the shoulder region can be colored by the texture.
//
// Creating a vtkButtonSource requires specifying its center point. 
// (Subclasses have other attributes that must be set to control 
// the shape of the button.) You must also specify how to control
// the shape of the texture region; i.e., wheter to size the
// texture region proportional to the texture dimensions or whether
// to size the texture region proportional to the button. Also, buttons
// can be created single sided are mirrored to create two-sided buttons.
//
//To create an instance of class vtkButtonSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkButtonSource
//@]
//@@Methods
//The class vtkButtonSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkButtonSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkButtonSource = obj.NewInstance ()|
// \item @|vtkButtonSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCenter (double , double , double )| -  Specify a point defining the origin (center) of the button.
//// \item @|obj.SetCenter (double  a[3])| -  Specify a point defining the origin (center) of the button.
//// \item @|double = obj. GetCenter ()| -  Specify a point defining the origin (center) of the button.
//// \item @|obj.SetTextureStyle (int )| -  Set/Get the style of the texture region: whether to size it
// according to the x-y dimensions of the texture, or whether to make
// the texture region proportional to the width/height of the button.
//// \item @|int = obj.GetTextureStyleMinValue ()| -  Set/Get the style of the texture region: whether to size it
// according to the x-y dimensions of the texture, or whether to make
// the texture region proportional to the width/height of the button.
//// \item @|int = obj.GetTextureStyleMaxValue ()| -  Set/Get the style of the texture region: whether to size it
// according to the x-y dimensions of the texture, or whether to make
// the texture region proportional to the width/height of the button.
//// \item @|int = obj.GetTextureStyle ()| -  Set/Get the style of the texture region: whether to size it
// according to the x-y dimensions of the texture, or whether to make
// the texture region proportional to the width/height of the button.
//// \item @|obj.SetTextureStyleToFitImage ()| -  Set/Get the style of the texture region: whether to size it
// according to the x-y dimensions of the texture, or whether to make
// the texture region proportional to the width/height of the button.
//// \item @|obj.SetTextureStyleToProportional ()| -  Set/get the texture dimension. This needs to be set if the texture
// style is set to fit the image.
//// \item @|obj.SetTextureDimensions (int , int )| -  Set/get the texture dimension. This needs to be set if the texture
// style is set to fit the image.
//// \item @|obj.SetTextureDimensions (int  a[2])| -  Set/get the texture dimension. This needs to be set if the texture
// style is set to fit the image.
//// \item @|int = obj. GetTextureDimensions ()| -  Set/get the texture dimension. This needs to be set if the texture
// style is set to fit the image.
//// \item @|obj.SetShoulderTextureCoordinate (double , double )| -  Set/Get the default texture coordinate to set the shoulder region to.
//// \item @|obj.SetShoulderTextureCoordinate (double  a[2])| -  Set/Get the default texture coordinate to set the shoulder region to.
//// \item @|double = obj. GetShoulderTextureCoordinate ()| -  Set/Get the default texture coordinate to set the shoulder region to.
//// \item @|obj.SetTwoSided (int )| -  Indicate whether the button is single or double sided. A double sided
// button can be viewed from two sides...it looks sort of like a "pill."
// A single-sided button is meant to viewed from a single side; it looks 
// like a "clam-shell."
//// \item @|int = obj.GetTwoSided ()| -  Indicate whether the button is single or double sided. A double sided
// button can be viewed from two sides...it looks sort of like a "pill."
// A single-sided button is meant to viewed from a single side; it looks 
// like a "clam-shell."
//// \item @|obj.TwoSidedOn ()| -  Indicate whether the button is single or double sided. A double sided
// button can be viewed from two sides...it looks sort of like a "pill."
// A single-sided button is meant to viewed from a single side; it looks 
// like a "clam-shell."
//// \item @|obj.TwoSidedOff ()| -  Indicate whether the button is single or double sided. A double sided
// button can be viewed from two sides...it looks sort of like a "pill."
// A single-sided button is meant to viewed from a single side; it looks 
// like a "clam-shell."
////\end{itemize}
//!
