#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCellCenters object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCellCenters.h"

//@@Signature
//sfunction @vtkCellCenters:vtkCellCenters vtkCellCentersConstructorFunction
//input a
//output p
//@@Parents vtkCellCenters vtkPolyDataAlgorithm 
ArrayVector vtkCellCentersConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCellCenters::New(),"vtkCellCenters",eval);
  } else if (arg[0].className() == "vtkCellCenters") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCellCenters"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCellCenters");
    vtkCellCenters*q = reinterpret_cast<vtkCellCenters*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCellCenters");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCellCenters:GetClassName vtkCellCentersGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellCentersGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCellCenters requires 1 argument(s)");
  vtkCellCenters* vtk_pointer = GetVTKPointer<vtkCellCenters>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellCenters:IsA vtkCellCentersIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellCentersIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCellCenters requires 2 argument(s)");
  vtkCellCenters* vtk_pointer = GetVTKPointer<vtkCellCenters>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellCenters:NewInstance vtkCellCentersNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellCentersNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellCenters *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCellCenters requires 1 argument(s)");
  vtkCellCenters* vtk_pointer = GetVTKPointer<vtkCellCenters>(arg[0]);
  Array retval;
  vtkCellCenters  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellCenters",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellCenters:SafeDownCast vtkCellCentersSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellCentersSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellCenters *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCellCenters requires 2 argument(s)");
  vtkCellCenters* vtk_pointer = GetVTKPointer<vtkCellCenters>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCellCenters  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellCenters",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellCenters:SetVertexCells vtkCellCentersSetVertexCellsFunction
//input a0 a1 
//output none
ArrayVector vtkCellCentersSetVertexCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexCells for class vtkCellCenters requires 2 argument(s)");
  vtkCellCenters* vtk_pointer = GetVTKPointer<vtkCellCenters>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVertexCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellCenters:GetVertexCells vtkCellCentersGetVertexCellsFunction
//input a0 
//output y
ArrayVector vtkCellCentersGetVertexCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVertexCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexCells for class vtkCellCenters requires 1 argument(s)");
  vtkCellCenters* vtk_pointer = GetVTKPointer<vtkCellCenters>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVertexCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellCenters:VertexCellsOn vtkCellCentersVertexCellsOnFunction
//input a0 
//output none
ArrayVector vtkCellCentersVertexCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VertexCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VertexCellsOn for class vtkCellCenters requires 1 argument(s)");
  vtkCellCenters* vtk_pointer = GetVTKPointer<vtkCellCenters>(arg[0]);
  Array retval;
  vtk_pointer->VertexCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkCellCenters:VertexCellsOff vtkCellCentersVertexCellsOffFunction
//input a0 
//output none
ArrayVector vtkCellCentersVertexCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VertexCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VertexCellsOff for class vtkCellCenters requires 1 argument(s)");
  vtkCellCenters* vtk_pointer = GetVTKPointer<vtkCellCenters>(arg[0]);
  Array retval;
  vtk_pointer->VertexCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkCellCenters:display vtkCellCentersDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellCentersDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCellCenters* vtk_pointer = GetVTKPointer<vtkCellCenters>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCellCenters:delete vtkCellCentersDeleteFunction
//input varargin
//output none
ArrayVector vtkCellCentersDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCellCenters
//@@Section VTKGraphics
//@@Usage
// vtkCellCenters is a filter that takes as input any dataset and 
// generates on output points at the center of the cells in the dataset.
// These points can be used for placing glyphs (vtkGlyph3D) or labeling 
// (vtkLabeledDataMapper). (The center is the parametric center of the
// cell, not necessarily the geometric or bounding box center.) The cell
// attributes will be associated with the points on output.
// 
//
//To create an instance of class vtkCellCenters, simply
//invoke its constructor as follows
//@[
//  obj = vtkCellCenters
//@]
//@@Methods
//The class vtkCellCenters has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCellCenters class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCellCenters = obj.NewInstance ()|
// \item @|vtkCellCenters = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVertexCells (int )| -  Enable/disable the generation of vertex cells. The default
// is Off.
//// \item @|int = obj.GetVertexCells ()| -  Enable/disable the generation of vertex cells. The default
// is Off.
//// \item @|obj.VertexCellsOn ()| -  Enable/disable the generation of vertex cells. The default
// is Off.
//// \item @|obj.VertexCellsOff ()| -  Enable/disable the generation of vertex cells. The default
// is Off.
////\end{itemize}
//!
