#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCellDataToPointData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCellDataToPointData.h"

//@@Signature
//sfunction @vtkCellDataToPointData:vtkCellDataToPointData vtkCellDataToPointDataConstructorFunction
//input a
//output p
//@@Parents vtkCellDataToPointData vtkDataSetAlgorithm 
ArrayVector vtkCellDataToPointDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCellDataToPointData::New(),"vtkCellDataToPointData",eval);
  } else if (arg[0].className() == "vtkCellDataToPointData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCellDataToPointData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCellDataToPointData");
    vtkCellDataToPointData*q = reinterpret_cast<vtkCellDataToPointData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCellDataToPointData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCellDataToPointData:GetClassName vtkCellDataToPointDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellDataToPointDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCellDataToPointData requires 1 argument(s)");
  vtkCellDataToPointData* vtk_pointer = GetVTKPointer<vtkCellDataToPointData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellDataToPointData:IsA vtkCellDataToPointDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellDataToPointDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCellDataToPointData requires 2 argument(s)");
  vtkCellDataToPointData* vtk_pointer = GetVTKPointer<vtkCellDataToPointData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellDataToPointData:NewInstance vtkCellDataToPointDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellDataToPointDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellDataToPointData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCellDataToPointData requires 1 argument(s)");
  vtkCellDataToPointData* vtk_pointer = GetVTKPointer<vtkCellDataToPointData>(arg[0]);
  Array retval;
  vtkCellDataToPointData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellDataToPointData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellDataToPointData:SafeDownCast vtkCellDataToPointDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellDataToPointDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellDataToPointData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCellDataToPointData requires 2 argument(s)");
  vtkCellDataToPointData* vtk_pointer = GetVTKPointer<vtkCellDataToPointData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCellDataToPointData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellDataToPointData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellDataToPointData:SetPassCellData vtkCellDataToPointDataSetPassCellDataFunction
//input a0 a1 
//output none
ArrayVector vtkCellDataToPointDataSetPassCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassCellData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassCellData for class vtkCellDataToPointData requires 2 argument(s)");
  vtkCellDataToPointData* vtk_pointer = GetVTKPointer<vtkCellDataToPointData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassCellData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellDataToPointData:GetPassCellData vtkCellDataToPointDataGetPassCellDataFunction
//input a0 
//output y
ArrayVector vtkCellDataToPointDataGetPassCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassCellData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassCellData for class vtkCellDataToPointData requires 1 argument(s)");
  vtkCellDataToPointData* vtk_pointer = GetVTKPointer<vtkCellDataToPointData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassCellData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellDataToPointData:PassCellDataOn vtkCellDataToPointDataPassCellDataOnFunction
//input a0 
//output none
ArrayVector vtkCellDataToPointDataPassCellDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassCellDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassCellDataOn for class vtkCellDataToPointData requires 1 argument(s)");
  vtkCellDataToPointData* vtk_pointer = GetVTKPointer<vtkCellDataToPointData>(arg[0]);
  Array retval;
  vtk_pointer->PassCellDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkCellDataToPointData:PassCellDataOff vtkCellDataToPointDataPassCellDataOffFunction
//input a0 
//output none
ArrayVector vtkCellDataToPointDataPassCellDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassCellDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassCellDataOff for class vtkCellDataToPointData requires 1 argument(s)");
  vtkCellDataToPointData* vtk_pointer = GetVTKPointer<vtkCellDataToPointData>(arg[0]);
  Array retval;
  vtk_pointer->PassCellDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkCellDataToPointData:display vtkCellDataToPointDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellDataToPointDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCellDataToPointData* vtk_pointer = GetVTKPointer<vtkCellDataToPointData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCellDataToPointData:delete vtkCellDataToPointDataDeleteFunction
//input varargin
//output none
ArrayVector vtkCellDataToPointDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCellDataToPointData
//@@Section VTKGraphics
//@@Usage
// vtkCellDataToPointData is a filter that transforms cell data (i.e., data
// specified per cell) into point data (i.e., data specified at cell
// points). The method of transformation is based on averaging the data
// values of all cells using a particular point. Optionally, the input cell
// data can be passed through to the output as well.
//
//To create an instance of class vtkCellDataToPointData, simply
//invoke its constructor as follows
//@[
//  obj = vtkCellDataToPointData
//@]
//@@Methods
//The class vtkCellDataToPointData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCellDataToPointData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCellDataToPointData = obj.NewInstance ()|
// \item @|vtkCellDataToPointData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPassCellData (int )| -  Control whether the input cell data is to be passed to the output. If
// on, then the input cell data is passed through to the output; otherwise,
// only generated point data is placed into the output.
//// \item @|int = obj.GetPassCellData ()| -  Control whether the input cell data is to be passed to the output. If
// on, then the input cell data is passed through to the output; otherwise,
// only generated point data is placed into the output.
//// \item @|obj.PassCellDataOn ()| -  Control whether the input cell data is to be passed to the output. If
// on, then the input cell data is passed through to the output; otherwise,
// only generated point data is placed into the output.
//// \item @|obj.PassCellDataOff ()| -  Control whether the input cell data is to be passed to the output. If
// on, then the input cell data is passed through to the output; otherwise,
// only generated point data is placed into the output.
////\end{itemize}
//!
