#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCellDerivatives object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCellDerivatives.h"

//@@Signature
//sfunction @vtkCellDerivatives:vtkCellDerivatives vtkCellDerivativesConstructorFunction
//input a
//output p
//@@Parents vtkCellDerivatives vtkDataSetAlgorithm 
ArrayVector vtkCellDerivativesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCellDerivatives::New(),"vtkCellDerivatives",eval);
  } else if (arg[0].className() == "vtkCellDerivatives") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCellDerivatives"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCellDerivatives");
    vtkCellDerivatives*q = reinterpret_cast<vtkCellDerivatives*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCellDerivatives");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCellDerivatives:GetClassName vtkCellDerivativesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellDerivativesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:IsA vtkCellDerivativesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellDerivativesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCellDerivatives requires 2 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:NewInstance vtkCellDerivativesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellDerivativesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellDerivatives *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  vtkCellDerivatives  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellDerivatives",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:SafeDownCast vtkCellDerivativesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellDerivativesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellDerivatives *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCellDerivatives requires 2 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCellDerivatives  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellDerivatives",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:SetVectorMode vtkCellDerivativesSetVectorModeFunction
//input a0 a1 
//output none
ArrayVector vtkCellDerivativesSetVectorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorMode for class vtkCellDerivatives requires 2 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVectorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:GetVectorMode vtkCellDerivativesGetVectorModeFunction
//input a0 
//output y
ArrayVector vtkCellDerivativesGetVectorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorMode for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVectorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:SetVectorModeToPassVectors vtkCellDerivativesSetVectorModeToPassVectorsFunction
//input a0 
//output none
ArrayVector vtkCellDerivativesSetVectorModeToPassVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorModeToPassVectors ();this SetVectorMode VTK_VECTOR_MODE_PASS_VECTORS  */
  if (arg.size() < 1) 
    throw Exception("Function SetVectorModeToPassVectors for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  vtk_pointer->SetVectorModeToPassVectors();
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:SetVectorModeToComputeGradient vtkCellDerivativesSetVectorModeToComputeGradientFunction
//input a0 
//output none
ArrayVector vtkCellDerivativesSetVectorModeToComputeGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorModeToComputeGradient ();this SetVectorMode VTK_VECTOR_MODE_COMPUTE_GRADIENT  */
  if (arg.size() < 1) 
    throw Exception("Function SetVectorModeToComputeGradient for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  vtk_pointer->SetVectorModeToComputeGradient();
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:SetVectorModeToComputeVorticity vtkCellDerivativesSetVectorModeToComputeVorticityFunction
//input a0 
//output none
ArrayVector vtkCellDerivativesSetVectorModeToComputeVorticityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorModeToComputeVorticity ();this SetVectorMode VTK_VECTOR_MODE_COMPUTE_VORTICITY  */
  if (arg.size() < 1) 
    throw Exception("Function SetVectorModeToComputeVorticity for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  vtk_pointer->SetVectorModeToComputeVorticity();
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:GetVectorModeAsString vtkCellDerivativesGetVectorModeAsStringFunction
//input a0 
//output y
ArrayVector vtkCellDerivativesGetVectorModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVectorModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorModeAsString for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVectorModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:SetTensorMode vtkCellDerivativesSetTensorModeFunction
//input a0 a1 
//output none
ArrayVector vtkCellDerivativesSetTensorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTensorMode for class vtkCellDerivatives requires 2 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTensorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:GetTensorMode vtkCellDerivativesGetTensorModeFunction
//input a0 
//output y
ArrayVector vtkCellDerivativesGetTensorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTensorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTensorMode for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTensorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:SetTensorModeToPassTensors vtkCellDerivativesSetTensorModeToPassTensorsFunction
//input a0 
//output none
ArrayVector vtkCellDerivativesSetTensorModeToPassTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorModeToPassTensors ();this SetTensorMode VTK_TENSOR_MODE_PASS_TENSORS  */
  if (arg.size() < 1) 
    throw Exception("Function SetTensorModeToPassTensors for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  vtk_pointer->SetTensorModeToPassTensors();
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:SetTensorModeToComputeGradient vtkCellDerivativesSetTensorModeToComputeGradientFunction
//input a0 
//output none
ArrayVector vtkCellDerivativesSetTensorModeToComputeGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorModeToComputeGradient ();this SetTensorMode VTK_TENSOR_MODE_COMPUTE_GRADIENT  */
  if (arg.size() < 1) 
    throw Exception("Function SetTensorModeToComputeGradient for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  vtk_pointer->SetTensorModeToComputeGradient();
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:SetTensorModeToComputeStrain vtkCellDerivativesSetTensorModeToComputeStrainFunction
//input a0 
//output none
ArrayVector vtkCellDerivativesSetTensorModeToComputeStrainFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorModeToComputeStrain ();this SetTensorMode VTK_TENSOR_MODE_COMPUTE_STRAIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetTensorModeToComputeStrain for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  vtk_pointer->SetTensorModeToComputeStrain();
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:GetTensorModeAsString vtkCellDerivativesGetTensorModeAsStringFunction
//input a0 
//output y
ArrayVector vtkCellDerivativesGetTensorModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTensorModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTensorModeAsString for class vtkCellDerivatives requires 1 argument(s)");
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetTensorModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellDerivatives:display vtkCellDerivativesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellDerivativesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCellDerivatives* vtk_pointer = GetVTKPointer<vtkCellDerivatives>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCellDerivatives:delete vtkCellDerivativesDeleteFunction
//input varargin
//output none
ArrayVector vtkCellDerivativesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCellDerivatives
//@@Section VTKGraphics
//@@Usage
// vtkCellDerivatives is a filter that computes derivatives of scalars
// and vectors at the center of cells. You can choose to generate
// different output including the scalar gradient (a vector), computed
// tensor vorticity (a vector), gradient of input vectors (a tensor),
// and strain matrix of the input vectors (a tensor); or you may
// choose to pass data through to the output.
//
// Note that it is assumed that on input scalars and vector point data
// is available, which are then used to generate cell vectors and tensors.
// (The interpolation functions of the cells are used to compute the
// derivatives which is why point data is required.)
//
//To create an instance of class vtkCellDerivatives, simply
//invoke its constructor as follows
//@[
//  obj = vtkCellDerivatives
//@]
//@@Methods
//The class vtkCellDerivatives has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCellDerivatives class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCellDerivatives = obj.NewInstance ()|
// \item @|vtkCellDerivatives = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVectorMode (int )| -  Control how the filter works to generate vector cell data. You
// can choose to pass the input cell vectors, compute the gradient
// of the input scalars, or extract the vorticity of the computed
// vector gradient tensor. By default (VectorModeToComputeGradient),
// the filter will take the gradient of the input scalar data.
//// \item @|int = obj.GetVectorMode ()| -  Control how the filter works to generate vector cell data. You
// can choose to pass the input cell vectors, compute the gradient
// of the input scalars, or extract the vorticity of the computed
// vector gradient tensor. By default (VectorModeToComputeGradient),
// the filter will take the gradient of the input scalar data.
//// \item @|obj.SetVectorModeToPassVectors ()| -  Control how the filter works to generate vector cell data. You
// can choose to pass the input cell vectors, compute the gradient
// of the input scalars, or extract the vorticity of the computed
// vector gradient tensor. By default (VectorModeToComputeGradient),
// the filter will take the gradient of the input scalar data.
//// \item @|obj.SetVectorModeToComputeGradient ()| -  Control how the filter works to generate vector cell data. You
// can choose to pass the input cell vectors, compute the gradient
// of the input scalars, or extract the vorticity of the computed
// vector gradient tensor. By default (VectorModeToComputeGradient),
// the filter will take the gradient of the input scalar data.
//// \item @|obj.SetVectorModeToComputeVorticity ()| -  Control how the filter works to generate vector cell data. You
// can choose to pass the input cell vectors, compute the gradient
// of the input scalars, or extract the vorticity of the computed
// vector gradient tensor. By default (VectorModeToComputeGradient),
// the filter will take the gradient of the input scalar data.
//// \item @|string = obj.GetVectorModeAsString ()| -  Control how the filter works to generate vector cell data. You
// can choose to pass the input cell vectors, compute the gradient
// of the input scalars, or extract the vorticity of the computed
// vector gradient tensor. By default (VectorModeToComputeGradient),
// the filter will take the gradient of the input scalar data.
//// \item @|obj.SetTensorMode (int )| -  Control how the filter works to generate tensor cell data. You can
// choose to pass the input cell tensors, compute the gradient of
// the input vectors, or compute the strain tensor of the vector gradient
// tensor. By default (TensorModeToComputeGradient), the filter will
// take the gradient of the vector data to construct a tensor.
//// \item @|int = obj.GetTensorMode ()| -  Control how the filter works to generate tensor cell data. You can
// choose to pass the input cell tensors, compute the gradient of
// the input vectors, or compute the strain tensor of the vector gradient
// tensor. By default (TensorModeToComputeGradient), the filter will
// take the gradient of the vector data to construct a tensor.
//// \item @|obj.SetTensorModeToPassTensors ()| -  Control how the filter works to generate tensor cell data. You can
// choose to pass the input cell tensors, compute the gradient of
// the input vectors, or compute the strain tensor of the vector gradient
// tensor. By default (TensorModeToComputeGradient), the filter will
// take the gradient of the vector data to construct a tensor.
//// \item @|obj.SetTensorModeToComputeGradient ()| -  Control how the filter works to generate tensor cell data. You can
// choose to pass the input cell tensors, compute the gradient of
// the input vectors, or compute the strain tensor of the vector gradient
// tensor. By default (TensorModeToComputeGradient), the filter will
// take the gradient of the vector data to construct a tensor.
//// \item @|obj.SetTensorModeToComputeStrain ()| -  Control how the filter works to generate tensor cell data. You can
// choose to pass the input cell tensors, compute the gradient of
// the input vectors, or compute the strain tensor of the vector gradient
// tensor. By default (TensorModeToComputeGradient), the filter will
// take the gradient of the vector data to construct a tensor.
//// \item @|string = obj.GetTensorModeAsString ()| -  Control how the filter works to generate tensor cell data. You can
// choose to pass the input cell tensors, compute the gradient of
// the input vectors, or compute the strain tensor of the vector gradient
// tensor. By default (TensorModeToComputeGradient), the filter will
// take the gradient of the vector data to construct a tensor.
////\end{itemize}
//!
