#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCleanPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCleanPolyData.h"

//@@Signature
//sfunction @vtkCleanPolyData:vtkCleanPolyData vtkCleanPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkCleanPolyData vtkPolyDataAlgorithm 
ArrayVector vtkCleanPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCleanPolyData::New(),"vtkCleanPolyData",eval);
  } else if (arg[0].className() == "vtkCleanPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCleanPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCleanPolyData");
    vtkCleanPolyData*q = reinterpret_cast<vtkCleanPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCleanPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCleanPolyData:GetClassName vtkCleanPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:IsA vtkCleanPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCleanPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:NewInstance vtkCleanPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCleanPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtkCleanPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCleanPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:SafeDownCast vtkCleanPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCleanPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCleanPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCleanPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCleanPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:SetToleranceIsAbsolute vtkCleanPolyDataSetToleranceIsAbsoluteFunction
//input a0 a1 
//output none
ArrayVector vtkCleanPolyDataSetToleranceIsAbsoluteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetToleranceIsAbsolute (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetToleranceIsAbsolute for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetToleranceIsAbsolute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:ToleranceIsAbsoluteOn vtkCleanPolyDataToleranceIsAbsoluteOnFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataToleranceIsAbsoluteOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ToleranceIsAbsoluteOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ToleranceIsAbsoluteOn for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ToleranceIsAbsoluteOn();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:ToleranceIsAbsoluteOff vtkCleanPolyDataToleranceIsAbsoluteOffFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataToleranceIsAbsoluteOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ToleranceIsAbsoluteOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ToleranceIsAbsoluteOff for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ToleranceIsAbsoluteOff();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetToleranceIsAbsolute vtkCleanPolyDataGetToleranceIsAbsoluteFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetToleranceIsAbsoluteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceIsAbsolute (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceIsAbsolute for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceIsAbsolute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:SetTolerance vtkCleanPolyDataSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkCleanPolyDataSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetToleranceMinValue vtkCleanPolyDataGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetToleranceMaxValue vtkCleanPolyDataGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetTolerance vtkCleanPolyDataGetToleranceFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:SetAbsoluteTolerance vtkCleanPolyDataSetAbsoluteToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkCleanPolyDataSetAbsoluteToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAbsoluteTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAbsoluteTolerance for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAbsoluteTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetAbsoluteToleranceMinValue vtkCleanPolyDataGetAbsoluteToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetAbsoluteToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAbsoluteToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbsoluteToleranceMinValue for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAbsoluteToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetAbsoluteToleranceMaxValue vtkCleanPolyDataGetAbsoluteToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetAbsoluteToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAbsoluteToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbsoluteToleranceMaxValue for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAbsoluteToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetAbsoluteTolerance vtkCleanPolyDataGetAbsoluteToleranceFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetAbsoluteToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAbsoluteTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbsoluteTolerance for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAbsoluteTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:SetConvertLinesToPoints vtkCleanPolyDataSetConvertLinesToPointsFunction
//input a0 a1 
//output none
ArrayVector vtkCleanPolyDataSetConvertLinesToPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConvertLinesToPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConvertLinesToPoints for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetConvertLinesToPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:ConvertLinesToPointsOn vtkCleanPolyDataConvertLinesToPointsOnFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataConvertLinesToPointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertLinesToPointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertLinesToPointsOn for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ConvertLinesToPointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:ConvertLinesToPointsOff vtkCleanPolyDataConvertLinesToPointsOffFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataConvertLinesToPointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertLinesToPointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertLinesToPointsOff for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ConvertLinesToPointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetConvertLinesToPoints vtkCleanPolyDataGetConvertLinesToPointsFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetConvertLinesToPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConvertLinesToPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConvertLinesToPoints for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConvertLinesToPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:SetConvertPolysToLines vtkCleanPolyDataSetConvertPolysToLinesFunction
//input a0 a1 
//output none
ArrayVector vtkCleanPolyDataSetConvertPolysToLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConvertPolysToLines (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConvertPolysToLines for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetConvertPolysToLines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:ConvertPolysToLinesOn vtkCleanPolyDataConvertPolysToLinesOnFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataConvertPolysToLinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertPolysToLinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertPolysToLinesOn for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ConvertPolysToLinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:ConvertPolysToLinesOff vtkCleanPolyDataConvertPolysToLinesOffFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataConvertPolysToLinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertPolysToLinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertPolysToLinesOff for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ConvertPolysToLinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetConvertPolysToLines vtkCleanPolyDataGetConvertPolysToLinesFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetConvertPolysToLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConvertPolysToLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConvertPolysToLines for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConvertPolysToLines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:SetConvertStripsToPolys vtkCleanPolyDataSetConvertStripsToPolysFunction
//input a0 a1 
//output none
ArrayVector vtkCleanPolyDataSetConvertStripsToPolysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConvertStripsToPolys (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConvertStripsToPolys for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetConvertStripsToPolys(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:ConvertStripsToPolysOn vtkCleanPolyDataConvertStripsToPolysOnFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataConvertStripsToPolysOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertStripsToPolysOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertStripsToPolysOn for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ConvertStripsToPolysOn();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:ConvertStripsToPolysOff vtkCleanPolyDataConvertStripsToPolysOffFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataConvertStripsToPolysOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertStripsToPolysOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertStripsToPolysOff for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ConvertStripsToPolysOff();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetConvertStripsToPolys vtkCleanPolyDataGetConvertStripsToPolysFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetConvertStripsToPolysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConvertStripsToPolys (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConvertStripsToPolys for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConvertStripsToPolys();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:SetPointMerging vtkCleanPolyDataSetPointMergingFunction
//input a0 a1 
//output none
ArrayVector vtkCleanPolyDataSetPointMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointMerging (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointMerging for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointMerging(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetPointMerging vtkCleanPolyDataGetPointMergingFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetPointMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointMerging (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMerging for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPointMerging();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:PointMergingOn vtkCleanPolyDataPointMergingOnFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataPointMergingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointMergingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PointMergingOn for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->PointMergingOn();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:PointMergingOff vtkCleanPolyDataPointMergingOffFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataPointMergingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointMergingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PointMergingOff for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->PointMergingOff();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:SetLocator vtkCleanPolyDataSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkCleanPolyDataSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetLocator vtkCleanPolyDataGetLocatorFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:CreateDefaultLocator vtkCleanPolyDataCreateDefaultLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkCleanPolyDataCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (vtkPolyData *input); */
  if (arg.size() < 2) 
    throw Exception("Function CreateDefaultLocator for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->CreateDefaultLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:ReleaseLocator vtkCleanPolyDataReleaseLocatorFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataReleaseLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseLocator ();this SetLocator NULL  */
  if (arg.size() < 1) 
    throw Exception("Function ReleaseLocator for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->ReleaseLocator();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetMTime vtkCleanPolyDataGetMTimeFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:OperateOnPoint vtkCleanPolyDataOperateOnPointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCleanPolyDataOperateOnPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OperateOnPoint (double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function OperateOnPoint for class vtkCleanPolyData requires 3 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->OperateOnPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:OperateOnBounds vtkCleanPolyDataOperateOnBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCleanPolyDataOperateOnBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OperateOnBounds (double in[6], double out[6]); */
  if (arg.size() < 3) 
    throw Exception("Function OperateOnBounds for class vtkCleanPolyData requires 3 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  double temp0[6];
  double temp1[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->OperateOnBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:SetPieceInvariant vtkCleanPolyDataSetPieceInvariantFunction
//input a0 a1 
//output none
ArrayVector vtkCleanPolyDataSetPieceInvariantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPieceInvariant (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPieceInvariant for class vtkCleanPolyData requires 2 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPieceInvariant(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:GetPieceInvariant vtkCleanPolyDataGetPieceInvariantFunction
//input a0 
//output y
ArrayVector vtkCleanPolyDataGetPieceInvariantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPieceInvariant (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPieceInvariant for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPieceInvariant();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:PieceInvariantOn vtkCleanPolyDataPieceInvariantOnFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataPieceInvariantOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PieceInvariantOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceInvariantOn for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->PieceInvariantOn();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:PieceInvariantOff vtkCleanPolyDataPieceInvariantOffFunction
//input a0 
//output none
ArrayVector vtkCleanPolyDataPieceInvariantOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PieceInvariantOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceInvariantOff for class vtkCleanPolyData requires 1 argument(s)");
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  Array retval;
  vtk_pointer->PieceInvariantOff();
  return retval;
}

//@@Signature
//sfunction @vtkCleanPolyData:display vtkCleanPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCleanPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCleanPolyData* vtk_pointer = GetVTKPointer<vtkCleanPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCleanPolyData:delete vtkCleanPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkCleanPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCleanPolyData
//@@Section VTKGraphics
//@@Usage
// vtkCleanPolyData is a filter that takes polygonal data as input and
// generates polygonal data as output. vtkCleanPolyData can merge duplicate
// points (within specified tolerance and if enabled), eliminate points
// that are not used, and if enabled, transform degenerate cells into
// appropriate forms (for example, a triangle is converted into a line
// if two points of triangle are merged).
//
// Conversion of degenerate cells is controlled by the flags
// ConvertLinesToPoints, ConvertPolysToLines, ConvertStripsToPolys which act
// cumulatively such that a degenerate strip may become a poly.
// The full set is
// Line with 1 points -> Vert (if ConvertLinesToPoints)
// Poly with 2 points -> Line (if ConvertPolysToLines)
// Poly with 1 points -> Vert (if ConvertPolysToLines && ConvertLinesToPoints)
// Strp with 3 points -> Poly (if ConvertStripsToPolys)
// Strp with 2 points -> Line (if ConvertStripsToPolys && ConvertPolysToLines)
// Strp with 1 points -> Vert (if ConvertStripsToPolys && ConvertPolysToLines
//   && ConvertLinesToPoints)
//
// If tolerance is specified precisely=0.0, then vtkCleanPolyData will use
// the vtkMergePoints object to merge points (which is faster). Otherwise the
// slower vtkIncrementalPointLocator is used.  Before inserting points into the point
// locator, this class calls a function OperateOnPoint which can be used (in
// subclasses) to further refine the cleaning process. See
// vtkQuantizePolyDataPoints.
//
// Note that merging of points can be disabled. In this case, a point locator
// will not be used, and points that are not used by any cells will be
// eliminated, but never merged.
//
//To create an instance of class vtkCleanPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkCleanPolyData
//@]
//@@Methods
//The class vtkCleanPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCleanPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCleanPolyData = obj.NewInstance ()|
// \item @|vtkCleanPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetToleranceIsAbsolute (int )| -  By default ToleranceIsAbsolute is false and Tolerance is
// a fraction of Bounding box diagonal, if true, AbsoluteTolerance is
// used when adding points to locator (merging)
//// \item @|obj.ToleranceIsAbsoluteOn ()| -  By default ToleranceIsAbsolute is false and Tolerance is
// a fraction of Bounding box diagonal, if true, AbsoluteTolerance is
// used when adding points to locator (merging)
//// \item @|obj.ToleranceIsAbsoluteOff ()| -  By default ToleranceIsAbsolute is false and Tolerance is
// a fraction of Bounding box diagonal, if true, AbsoluteTolerance is
// used when adding points to locator (merging)
//// \item @|int = obj.GetToleranceIsAbsolute ()| -  By default ToleranceIsAbsolute is false and Tolerance is
// a fraction of Bounding box diagonal, if true, AbsoluteTolerance is
// used when adding points to locator (merging)
//// \item @|obj.SetTolerance (double )| -  Specify tolerance in terms of fraction of bounding box length.
//// \item @|double = obj.GetToleranceMinValue ()| -  Specify tolerance in terms of fraction of bounding box length.
//// \item @|double = obj.GetToleranceMaxValue ()| -  Specify tolerance in terms of fraction of bounding box length.
//// \item @|double = obj.GetTolerance ()| -  Specify tolerance in terms of fraction of bounding box length.
//// \item @|obj.SetAbsoluteTolerance (double )| -  Specify tolerance in absolute terms
//// \item @|double = obj.GetAbsoluteToleranceMinValue ()| -  Specify tolerance in absolute terms
//// \item @|double = obj.GetAbsoluteToleranceMaxValue ()| -  Specify tolerance in absolute terms
//// \item @|double = obj.GetAbsoluteTolerance ()| -  Specify tolerance in absolute terms
//// \item @|obj.SetConvertLinesToPoints (int )| -  Turn on/off conversion of degenerate lines to points
//// \item @|obj.ConvertLinesToPointsOn ()| -  Turn on/off conversion of degenerate lines to points
//// \item @|obj.ConvertLinesToPointsOff ()| -  Turn on/off conversion of degenerate lines to points
//// \item @|int = obj.GetConvertLinesToPoints ()| -  Turn on/off conversion of degenerate lines to points
//// \item @|obj.SetConvertPolysToLines (int )| -  Turn on/off conversion of degenerate polys to lines
//// \item @|obj.ConvertPolysToLinesOn ()| -  Turn on/off conversion of degenerate polys to lines
//// \item @|obj.ConvertPolysToLinesOff ()| -  Turn on/off conversion of degenerate polys to lines
//// \item @|int = obj.GetConvertPolysToLines ()| -  Turn on/off conversion of degenerate polys to lines
//// \item @|obj.SetConvertStripsToPolys (int )| -  Turn on/off conversion of degenerate strips to polys
//// \item @|obj.ConvertStripsToPolysOn ()| -  Turn on/off conversion of degenerate strips to polys
//// \item @|obj.ConvertStripsToPolysOff ()| -  Turn on/off conversion of degenerate strips to polys
//// \item @|int = obj.GetConvertStripsToPolys ()| -  Turn on/off conversion of degenerate strips to polys
//// \item @|obj.SetPointMerging (int )| -  Set/Get a boolean value that controls whether point merging is
// performed. If on, a locator will be used, and points laying within
// the appropriate tolerance may be merged. If off, points are never
// merged. By default, merging is on.
//// \item @|int = obj.GetPointMerging ()| -  Set/Get a boolean value that controls whether point merging is
// performed. If on, a locator will be used, and points laying within
// the appropriate tolerance may be merged. If off, points are never
// merged. By default, merging is on.
//// \item @|obj.PointMergingOn ()| -  Set/Get a boolean value that controls whether point merging is
// performed. If on, a locator will be used, and points laying within
// the appropriate tolerance may be merged. If off, points are never
// merged. By default, merging is on.
//// \item @|obj.PointMergingOff ()| -  Set/Get a boolean value that controls whether point merging is
// performed. If on, a locator will be used, and points laying within
// the appropriate tolerance may be merged. If off, points are never
// merged. By default, merging is on.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set/Get a spatial locator for speeding the search process. By
// default an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set/Get a spatial locator for speeding the search process. By
// default an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator (vtkPolyData input)| -  Create default locator. Used to create one when none is specified.
//// \item @|obj.ReleaseLocator ()| -  Get the MTime of this object also considering the locator.
//// \item @|long = obj.GetMTime ()| -  Get the MTime of this object also considering the locator.
//// \item @|obj.OperateOnPoint (double in[3], double out[3])| -  Perform operation on a point
//// \item @|obj.OperateOnBounds (double in[6], double out[6])| -  Perform operation on bounds
//// \item @|obj.SetPieceInvariant (int )|
// \item @|int = obj.GetPieceInvariant ()|
// \item @|obj.PieceInvariantOn ()|
// \item @|obj.PieceInvariantOff ()|
//\end{itemize}
//!
