#include "VTKWrap.hpp"

// FreeMat wrapper for vtkClipConvexPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkClipConvexPolyData.h"

//@@Signature
//sfunction @vtkClipConvexPolyData:vtkClipConvexPolyData vtkClipConvexPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkClipConvexPolyData vtkPolyDataAlgorithm 
ArrayVector vtkClipConvexPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkClipConvexPolyData::New(),"vtkClipConvexPolyData",eval);
  } else if (arg[0].className() == "vtkClipConvexPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkClipConvexPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkClipConvexPolyData");
    vtkClipConvexPolyData*q = reinterpret_cast<vtkClipConvexPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkClipConvexPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkClipConvexPolyData:GetClassName vtkClipConvexPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkClipConvexPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkClipConvexPolyData requires 1 argument(s)");
  vtkClipConvexPolyData* vtk_pointer = GetVTKPointer<vtkClipConvexPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipConvexPolyData:IsA vtkClipConvexPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkClipConvexPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkClipConvexPolyData requires 2 argument(s)");
  vtkClipConvexPolyData* vtk_pointer = GetVTKPointer<vtkClipConvexPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipConvexPolyData:NewInstance vtkClipConvexPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkClipConvexPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipConvexPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkClipConvexPolyData requires 1 argument(s)");
  vtkClipConvexPolyData* vtk_pointer = GetVTKPointer<vtkClipConvexPolyData>(arg[0]);
  Array retval;
  vtkClipConvexPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipConvexPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipConvexPolyData:SafeDownCast vtkClipConvexPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkClipConvexPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipConvexPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkClipConvexPolyData requires 2 argument(s)");
  vtkClipConvexPolyData* vtk_pointer = GetVTKPointer<vtkClipConvexPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkClipConvexPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipConvexPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipConvexPolyData:SetPlanes vtkClipConvexPolyDataSetPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkClipConvexPolyDataSetPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlanes (vtkPlaneCollection *planes); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlanes for class vtkClipConvexPolyData requires 2 argument(s)");
  vtkClipConvexPolyData* vtk_pointer = GetVTKPointer<vtkClipConvexPolyData>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp0;
  temp0 = GetVTKPointer<vtkPlaneCollection>(arg[1]);
  vtk_pointer->SetPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipConvexPolyData:GetPlanes vtkClipConvexPolyDataGetPlanesFunction
//input a0 
//output y
ArrayVector vtkClipConvexPolyDataGetPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneCollection *GetPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlanes for class vtkClipConvexPolyData requires 1 argument(s)");
  vtkClipConvexPolyData* vtk_pointer = GetVTKPointer<vtkClipConvexPolyData>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp20;
  temp20 = (vtk_pointer)->GetPlanes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipConvexPolyData:GetMTime vtkClipConvexPolyDataGetMTimeFunction
//input a0 
//output y
ArrayVector vtkClipConvexPolyDataGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkClipConvexPolyData requires 1 argument(s)");
  vtkClipConvexPolyData* vtk_pointer = GetVTKPointer<vtkClipConvexPolyData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipConvexPolyData:display vtkClipConvexPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkClipConvexPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkClipConvexPolyData* vtk_pointer = GetVTKPointer<vtkClipConvexPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkClipConvexPolyData:delete vtkClipConvexPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkClipConvexPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkClipConvexPolyData
//@@Section VTKGraphics
//@@Usage
// vtkClipConvexPolyData is a filter that clips a convex polydata with a set
// of planes. Its main usage is for clipping a bounding volume with frustum
// planes (used later one in volume rendering).
//
//To create an instance of class vtkClipConvexPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkClipConvexPolyData
//@]
//@@Methods
//The class vtkClipConvexPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkClipConvexPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkClipConvexPolyData = obj.NewInstance ()|
// \item @|vtkClipConvexPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPlanes (vtkPlaneCollection planes)| -  Set all the planes at once using a vtkPlanes implicit function.
// This also sets the D value.
//// \item @|vtkPlaneCollection = obj.GetPlanes ()| -  Set all the planes at once using a vtkPlanes implicit function.
// This also sets the D value.
//// \item @|long = obj.GetMTime ()| -  Redefines this method, as this filter depends on time of its components
// (planes)
////\end{itemize}
//!
