#include "VTKWrap.hpp"

// FreeMat wrapper for vtkClipDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkClipDataSet.h"

//@@Signature
//sfunction @vtkClipDataSet:vtkClipDataSet vtkClipDataSetConstructorFunction
//input a
//output p
//@@Parents vtkClipDataSet vtkUnstructuredGridAlgorithm 
ArrayVector vtkClipDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkClipDataSet::New(),"vtkClipDataSet",eval);
  } else if (arg[0].className() == "vtkClipDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkClipDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkClipDataSet");
    vtkClipDataSet*q = reinterpret_cast<vtkClipDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkClipDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkClipDataSet:GetClassName vtkClipDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:IsA vtkClipDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkClipDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkClipDataSet requires 2 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:NewInstance vtkClipDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkClipDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtkClipDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:SafeDownCast vtkClipDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkClipDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkClipDataSet requires 2 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkClipDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:SetValue vtkClipDataSetSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkClipDataSetSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkClipDataSet requires 2 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetValue vtkClipDataSetGetValueFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:SetUseValueAsOffset vtkClipDataSetSetUseValueAsOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkClipDataSetSetUseValueAsOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseValueAsOffset (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseValueAsOffset for class vtkClipDataSet requires 2 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseValueAsOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetUseValueAsOffset vtkClipDataSetGetUseValueAsOffsetFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetUseValueAsOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseValueAsOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseValueAsOffset for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseValueAsOffset();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:UseValueAsOffsetOn vtkClipDataSetUseValueAsOffsetOnFunction
//input a0 
//output none
ArrayVector vtkClipDataSetUseValueAsOffsetOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseValueAsOffsetOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseValueAsOffsetOn for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->UseValueAsOffsetOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:UseValueAsOffsetOff vtkClipDataSetUseValueAsOffsetOffFunction
//input a0 
//output none
ArrayVector vtkClipDataSetUseValueAsOffsetOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseValueAsOffsetOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseValueAsOffsetOff for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->UseValueAsOffsetOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:SetInsideOut vtkClipDataSetSetInsideOutFunction
//input a0 a1 
//output none
ArrayVector vtkClipDataSetSetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInsideOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInsideOut for class vtkClipDataSet requires 2 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInsideOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetInsideOut vtkClipDataSetGetInsideOutFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInsideOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInsideOut for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInsideOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:InsideOutOn vtkClipDataSetInsideOutOnFunction
//input a0 
//output none
ArrayVector vtkClipDataSetInsideOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOn for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:InsideOutOff vtkClipDataSetInsideOutOffFunction
//input a0 
//output none
ArrayVector vtkClipDataSetInsideOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOff for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:SetClipFunction vtkClipDataSetSetClipFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkClipDataSetSetClipFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetClipFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipFunction for class vtkClipDataSet requires 2 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetClipFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetClipFunction vtkClipDataSetGetClipFunctionFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetClipFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetClipFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipFunction for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetClipFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:SetGenerateClipScalars vtkClipDataSetSetGenerateClipScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkClipDataSetSetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClipScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClipScalars for class vtkClipDataSet requires 2 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClipScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetGenerateClipScalars vtkClipDataSetGetGenerateClipScalarsFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClipScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClipScalars for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClipScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GenerateClipScalarsOn vtkClipDataSetGenerateClipScalarsOnFunction
//input a0 
//output none
ArrayVector vtkClipDataSetGenerateClipScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOn for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GenerateClipScalarsOff vtkClipDataSetGenerateClipScalarsOffFunction
//input a0 
//output none
ArrayVector vtkClipDataSetGenerateClipScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOff for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:SetGenerateClippedOutput vtkClipDataSetSetGenerateClippedOutputFunction
//input a0 a1 
//output none
ArrayVector vtkClipDataSetSetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClippedOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClippedOutput for class vtkClipDataSet requires 2 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClippedOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetGenerateClippedOutput vtkClipDataSetGetGenerateClippedOutputFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClippedOutput for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClippedOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GenerateClippedOutputOn vtkClipDataSetGenerateClippedOutputOnFunction
//input a0 
//output none
ArrayVector vtkClipDataSetGenerateClippedOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOn for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GenerateClippedOutputOff vtkClipDataSetGenerateClippedOutputOffFunction
//input a0 
//output none
ArrayVector vtkClipDataSetGenerateClippedOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOff for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:SetMergeTolerance vtkClipDataSetSetMergeToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkClipDataSetSetMergeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMergeTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMergeTolerance for class vtkClipDataSet requires 2 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMergeTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetMergeToleranceMinValue vtkClipDataSetGetMergeToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetMergeToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeToleranceMinValue for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetMergeToleranceMaxValue vtkClipDataSetGetMergeToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetMergeToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeToleranceMaxValue for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetMergeTolerance vtkClipDataSetGetMergeToleranceFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetMergeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeTolerance for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetClippedOutput vtkClipDataSetGetClippedOutputFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippedOutput for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetClippedOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:SetLocator vtkClipDataSetSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkClipDataSetSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkClipDataSet requires 2 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetLocator vtkClipDataSetGetLocatorFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:CreateDefaultLocator vtkClipDataSetCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkClipDataSetCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:GetMTime vtkClipDataSetGetMTimeFunction
//input a0 
//output y
ArrayVector vtkClipDataSetGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkClipDataSet requires 1 argument(s)");
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipDataSet:display vtkClipDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkClipDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkClipDataSet* vtk_pointer = GetVTKPointer<vtkClipDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkClipDataSet:delete vtkClipDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkClipDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkClipDataSet
//@@Section VTKGraphics
//@@Usage
// vtkClipDataSet is a filter that clips any type of dataset using either
// any subclass of vtkImplicitFunction, or the input scalar
// data. Clipping means that it actually "cuts" through the cells of
// the dataset, returning everything inside of the specified implicit
// function (or greater than the scalar value) including "pieces" of
// a cell. (Compare this with vtkExtractGeometry, which pulls out
// entire, uncut cells.) The output of this filter is an unstructured
// grid.
//
// To use this filter, you must decide if you will be clipping with an
// implicit function, or whether you will be using the input scalar
// data.  If you want to clip with an implicit function, you must:
// 1) define an implicit function
// 2) set it with the SetClipFunction method
// 3) apply the GenerateClipScalarsOn method
// If a ClipFunction is not specified, or GenerateClipScalars is off
// (the default), then the input's scalar data will be used to clip
// the polydata.
//
// You can also specify a scalar value, which is used to decide what is
// inside and outside of the implicit function. You can also reverse the
// sense of what inside/outside is by setting the InsideOut instance
// variable. (The clipping algorithm proceeds by computing an implicit
// function value or using the input scalar data for each point in the
// dataset. This is compared to the scalar value to determine
// inside/outside.)
//
// This filter can be configured to compute a second output. The
// second output is the part of the cell that is clipped away. Set the
// GenerateClippedData boolean on if you wish to access this output data.
//
//To create an instance of class vtkClipDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkClipDataSet
//@]
//@@Methods
//The class vtkClipDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkClipDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkClipDataSet = obj.NewInstance ()|
// \item @|vtkClipDataSet = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (double )| -  Set the clipping value of the implicit function (if clipping with
// implicit function) or scalar value (if clipping with
// scalars). The default value is 0.0. This value is ignored if
// UseValueAsOffset is true and a clip function is defined.
//// \item @|double = obj.GetValue ()| -  Set the clipping value of the implicit function (if clipping with
// implicit function) or scalar value (if clipping with
// scalars). The default value is 0.0. This value is ignored if
// UseValueAsOffset is true and a clip function is defined.
//// \item @|obj.SetUseValueAsOffset (bool )| -  If UseValueAsOffset is true, Value is used as an offset parameter to
// the implicit function. Otherwise, Value is used only when clipping
// using a scalar array. Default is true.
//// \item @|bool = obj.GetUseValueAsOffset ()| -  If UseValueAsOffset is true, Value is used as an offset parameter to
// the implicit function. Otherwise, Value is used only when clipping
// using a scalar array. Default is true.
//// \item @|obj.UseValueAsOffsetOn ()| -  If UseValueAsOffset is true, Value is used as an offset parameter to
// the implicit function. Otherwise, Value is used only when clipping
// using a scalar array. Default is true.
//// \item @|obj.UseValueAsOffsetOff ()| -  If UseValueAsOffset is true, Value is used as an offset parameter to
// the implicit function. Otherwise, Value is used only when clipping
// using a scalar array. Default is true.
//// \item @|obj.SetInsideOut (int )| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|int = obj.GetInsideOut ()| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|obj.InsideOutOn ()| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|obj.InsideOutOff ()| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|obj.SetClipFunction (vtkImplicitFunction )|
// \item @|vtkImplicitFunction = obj.GetClipFunction ()|
// \item @|obj.SetGenerateClipScalars (int )| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|int = obj.GetGenerateClipScalars ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.GenerateClipScalarsOn ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.GenerateClipScalarsOff ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.SetGenerateClippedOutput (int )| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|int = obj.GetGenerateClippedOutput ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|obj.GenerateClippedOutputOn ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|obj.GenerateClippedOutputOff ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|obj.SetMergeTolerance (double )| -  Set the tolerance for merging clip intersection points that are near
// the vertices of cells. This tolerance is used to prevent the generation
// of degenerate primitives. Note that only 3D cells actually use this
// instance variable.
//// \item @|double = obj.GetMergeToleranceMinValue ()| -  Set the tolerance for merging clip intersection points that are near
// the vertices of cells. This tolerance is used to prevent the generation
// of degenerate primitives. Note that only 3D cells actually use this
// instance variable.
//// \item @|double = obj.GetMergeToleranceMaxValue ()| -  Set the tolerance for merging clip intersection points that are near
// the vertices of cells. This tolerance is used to prevent the generation
// of degenerate primitives. Note that only 3D cells actually use this
// instance variable.
//// \item @|double = obj.GetMergeTolerance ()| -  Set the tolerance for merging clip intersection points that are near
// the vertices of cells. This tolerance is used to prevent the generation
// of degenerate primitives. Note that only 3D cells actually use this
// instance variable.
//// \item @|vtkUnstructuredGrid = obj.GetClippedOutput ()| -  Return the Clipped output.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Specify a spatial locator for merging points. By default, an
// instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Specify a spatial locator for merging points. By default, an
// instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified. The 
// locator is used to merge coincident points.
//// \item @|long = obj.GetMTime ()| -  Return the mtime also considering the locator and clip function.
////\end{itemize}
//!
