#include "VTKWrap.hpp"

// FreeMat wrapper for vtkClipHyperOctree object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkClipHyperOctree.h"

//@@Signature
//sfunction @vtkClipHyperOctree:vtkClipHyperOctree vtkClipHyperOctreeConstructorFunction
//input a
//output p
//@@Parents vtkClipHyperOctree vtkUnstructuredGridAlgorithm 
ArrayVector vtkClipHyperOctreeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkClipHyperOctree::New(),"vtkClipHyperOctree",eval);
  } else if (arg[0].className() == "vtkClipHyperOctree") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkClipHyperOctree"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkClipHyperOctree");
    vtkClipHyperOctree*q = reinterpret_cast<vtkClipHyperOctree*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkClipHyperOctree");
    return ret;
  }
}
//@@Signature
//sfunction @vtkClipHyperOctree:GetClassName vtkClipHyperOctreeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkClipHyperOctreeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:IsA vtkClipHyperOctreeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkClipHyperOctreeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkClipHyperOctree requires 2 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:NewInstance vtkClipHyperOctreeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkClipHyperOctreeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipHyperOctree *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtkClipHyperOctree  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipHyperOctree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:SafeDownCast vtkClipHyperOctreeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkClipHyperOctreeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipHyperOctree *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkClipHyperOctree requires 2 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkClipHyperOctree  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipHyperOctree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:SetValue vtkClipHyperOctreeSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkClipHyperOctreeSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkClipHyperOctree requires 2 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GetValue vtkClipHyperOctreeGetValueFunction
//input a0 
//output y
ArrayVector vtkClipHyperOctreeGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:SetInsideOut vtkClipHyperOctreeSetInsideOutFunction
//input a0 a1 
//output none
ArrayVector vtkClipHyperOctreeSetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInsideOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInsideOut for class vtkClipHyperOctree requires 2 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInsideOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GetInsideOut vtkClipHyperOctreeGetInsideOutFunction
//input a0 
//output y
ArrayVector vtkClipHyperOctreeGetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInsideOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInsideOut for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInsideOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:InsideOutOn vtkClipHyperOctreeInsideOutOnFunction
//input a0 
//output none
ArrayVector vtkClipHyperOctreeInsideOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOn for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:InsideOutOff vtkClipHyperOctreeInsideOutOffFunction
//input a0 
//output none
ArrayVector vtkClipHyperOctreeInsideOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOff for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:SetClipFunction vtkClipHyperOctreeSetClipFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkClipHyperOctreeSetClipFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetClipFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipFunction for class vtkClipHyperOctree requires 2 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetClipFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GetClipFunction vtkClipHyperOctreeGetClipFunctionFunction
//input a0 
//output y
ArrayVector vtkClipHyperOctreeGetClipFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetClipFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipFunction for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetClipFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:SetGenerateClipScalars vtkClipHyperOctreeSetGenerateClipScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkClipHyperOctreeSetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClipScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClipScalars for class vtkClipHyperOctree requires 2 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClipScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GetGenerateClipScalars vtkClipHyperOctreeGetGenerateClipScalarsFunction
//input a0 
//output y
ArrayVector vtkClipHyperOctreeGetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClipScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClipScalars for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClipScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GenerateClipScalarsOn vtkClipHyperOctreeGenerateClipScalarsOnFunction
//input a0 
//output none
ArrayVector vtkClipHyperOctreeGenerateClipScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOn for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GenerateClipScalarsOff vtkClipHyperOctreeGenerateClipScalarsOffFunction
//input a0 
//output none
ArrayVector vtkClipHyperOctreeGenerateClipScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOff for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:SetGenerateClippedOutput vtkClipHyperOctreeSetGenerateClippedOutputFunction
//input a0 a1 
//output none
ArrayVector vtkClipHyperOctreeSetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClippedOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClippedOutput for class vtkClipHyperOctree requires 2 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClippedOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GetGenerateClippedOutput vtkClipHyperOctreeGetGenerateClippedOutputFunction
//input a0 
//output y
ArrayVector vtkClipHyperOctreeGetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClippedOutput for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClippedOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GenerateClippedOutputOn vtkClipHyperOctreeGenerateClippedOutputOnFunction
//input a0 
//output none
ArrayVector vtkClipHyperOctreeGenerateClippedOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOn for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GenerateClippedOutputOff vtkClipHyperOctreeGenerateClippedOutputOffFunction
//input a0 
//output none
ArrayVector vtkClipHyperOctreeGenerateClippedOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOff for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GetClippedOutput vtkClipHyperOctreeGetClippedOutputFunction
//input a0 
//output y
ArrayVector vtkClipHyperOctreeGetClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippedOutput for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetClippedOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:SetLocator vtkClipHyperOctreeSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkClipHyperOctreeSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkClipHyperOctree requires 2 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GetLocator vtkClipHyperOctreeGetLocatorFunction
//input a0 
//output y
ArrayVector vtkClipHyperOctreeGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:CreateDefaultLocator vtkClipHyperOctreeCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkClipHyperOctreeCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:GetMTime vtkClipHyperOctreeGetMTimeFunction
//input a0 
//output y
ArrayVector vtkClipHyperOctreeGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkClipHyperOctree requires 1 argument(s)");
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipHyperOctree:display vtkClipHyperOctreeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkClipHyperOctreeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkClipHyperOctree* vtk_pointer = GetVTKPointer<vtkClipHyperOctree>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkClipHyperOctree:delete vtkClipHyperOctreeDeleteFunction
//input varargin
//output none
ArrayVector vtkClipHyperOctreeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkClipHyperOctree
//@@Section VTKGraphics
//@@Usage
// vtkClipHyperOctree is a filter that clips an hyperoctree using either
// any subclass of vtkImplicitFunction, or the input scalar
// data. Clipping means that it actually "cuts" through the leaves (cells) of
// the hyperoctree, returning everything inside of the specified implicit
// function (or greater than the scalar value) including "pieces" of
// a cell. (Compare this with vtkExtractGeometry, which pulls out
// entire, uncut cells.) The output of this filter is an unstructured
// grid.
//
// To use this filter, you must decide if you will be clipping with an
// implicit function, or whether you will be using the input scalar
// data.  If you want to clip with an implicit function, you must:
// 1) define an implicit function
// 2) set it with the SetClipFunction method
// 3) apply the GenerateClipScalarsOn method
// If a ClipFunction is not specified, or GenerateClipScalars is off
// (the default), then the input's scalar data will be used to clip
// the polydata.
//
// You can also specify a scalar value, which is used to decide what is
// inside and outside of the implicit function. You can also reverse the
// sense of what inside/outside is by setting the InsideOut instance
// variable. (The clipping algorithm proceeds by computing an implicit
// function value or using the input scalar data for each point in the
// dataset. This is compared to the scalar value to determine
// inside/outside.)
//
// This filter can be configured to compute a second output. The
// second output is the part of the cell that is clipped away. Set the
// GenerateClippedData boolean on if you wish to access this output data.
//
//To create an instance of class vtkClipHyperOctree, simply
//invoke its constructor as follows
//@[
//  obj = vtkClipHyperOctree
//@]
//@@Methods
//The class vtkClipHyperOctree has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkClipHyperOctree class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkClipHyperOctree = obj.NewInstance ()|
// \item @|vtkClipHyperOctree = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (double )| -  Set the clipping value of the implicit function (if clipping with
// implicit function) or scalar value (if clipping with
// scalars). The default value is 0.0. 
//// \item @|double = obj.GetValue ()| -  Set the clipping value of the implicit function (if clipping with
// implicit function) or scalar value (if clipping with
// scalars). The default value is 0.0. 
//// \item @|obj.SetInsideOut (int )| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|int = obj.GetInsideOut ()| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|obj.InsideOutOn ()| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|obj.InsideOutOff ()| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|obj.SetClipFunction (vtkImplicitFunction )|
// \item @|vtkImplicitFunction = obj.GetClipFunction ()|
// \item @|obj.SetGenerateClipScalars (int )| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|int = obj.GetGenerateClipScalars ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.GenerateClipScalarsOn ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.GenerateClipScalarsOff ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.SetGenerateClippedOutput (int )| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|int = obj.GetGenerateClippedOutput ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|obj.GenerateClippedOutputOn ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|obj.GenerateClippedOutputOff ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|vtkUnstructuredGrid = obj.GetClippedOutput ()| -  Return the Clipped output.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Specify a spatial locator for merging points. By default, an
// instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Specify a spatial locator for merging points. By default, an
// instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified. The 
// locator is used to merge coincident points.
//// \item @|long = obj.GetMTime ()| -  Return the mtime also considering the locator and clip function.
////\end{itemize}
//!
