#include "VTKWrap.hpp"

// FreeMat wrapper for vtkClipPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkClipPolyData.h"

//@@Signature
//sfunction @vtkClipPolyData:vtkClipPolyData vtkClipPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkClipPolyData vtkPolyDataAlgorithm 
ArrayVector vtkClipPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkClipPolyData::New(),"vtkClipPolyData",eval);
  } else if (arg[0].className() == "vtkClipPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkClipPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkClipPolyData");
    vtkClipPolyData*q = reinterpret_cast<vtkClipPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkClipPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkClipPolyData:GetClassName vtkClipPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:IsA vtkClipPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkClipPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkClipPolyData requires 2 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:NewInstance vtkClipPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtkClipPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:SafeDownCast vtkClipPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkClipPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkClipPolyData requires 2 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkClipPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:SetValue vtkClipPolyDataSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkClipPolyDataSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkClipPolyData requires 2 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GetValue vtkClipPolyDataGetValueFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:SetInsideOut vtkClipPolyDataSetInsideOutFunction
//input a0 a1 
//output none
ArrayVector vtkClipPolyDataSetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInsideOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInsideOut for class vtkClipPolyData requires 2 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInsideOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GetInsideOut vtkClipPolyDataGetInsideOutFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataGetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInsideOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInsideOut for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInsideOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:InsideOutOn vtkClipPolyDataInsideOutOnFunction
//input a0 
//output none
ArrayVector vtkClipPolyDataInsideOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOn for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:InsideOutOff vtkClipPolyDataInsideOutOffFunction
//input a0 
//output none
ArrayVector vtkClipPolyDataInsideOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOff for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:SetClipFunction vtkClipPolyDataSetClipFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkClipPolyDataSetClipFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetClipFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipFunction for class vtkClipPolyData requires 2 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetClipFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GetClipFunction vtkClipPolyDataGetClipFunctionFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataGetClipFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetClipFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipFunction for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetClipFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:SetGenerateClipScalars vtkClipPolyDataSetGenerateClipScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkClipPolyDataSetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClipScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClipScalars for class vtkClipPolyData requires 2 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClipScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GetGenerateClipScalars vtkClipPolyDataGetGenerateClipScalarsFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataGetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClipScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClipScalars for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClipScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GenerateClipScalarsOn vtkClipPolyDataGenerateClipScalarsOnFunction
//input a0 
//output none
ArrayVector vtkClipPolyDataGenerateClipScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOn for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GenerateClipScalarsOff vtkClipPolyDataGenerateClipScalarsOffFunction
//input a0 
//output none
ArrayVector vtkClipPolyDataGenerateClipScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOff for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:SetGenerateClippedOutput vtkClipPolyDataSetGenerateClippedOutputFunction
//input a0 a1 
//output none
ArrayVector vtkClipPolyDataSetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClippedOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClippedOutput for class vtkClipPolyData requires 2 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClippedOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GetGenerateClippedOutput vtkClipPolyDataGetGenerateClippedOutputFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataGetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClippedOutput for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClippedOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GenerateClippedOutputOn vtkClipPolyDataGenerateClippedOutputOnFunction
//input a0 
//output none
ArrayVector vtkClipPolyDataGenerateClippedOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOn for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GenerateClippedOutputOff vtkClipPolyDataGenerateClippedOutputOffFunction
//input a0 
//output none
ArrayVector vtkClipPolyDataGenerateClippedOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOff for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GetClippedOutput vtkClipPolyDataGetClippedOutputFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataGetClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippedOutput for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetClippedOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GetClippedOutputPort vtkClipPolyDataGetClippedOutputPortFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataGetClippedOutputPortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithmOutput *GetClippedOutputPort ();return this GetOutputPort  */
  if (arg.size() < 1) 
    throw Exception("Function GetClippedOutputPort for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp20;
  temp20 = (vtk_pointer)->GetClippedOutputPort();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:SetLocator vtkClipPolyDataSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkClipPolyDataSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkClipPolyData requires 2 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GetLocator vtkClipPolyDataGetLocatorFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:CreateDefaultLocator vtkClipPolyDataCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkClipPolyDataCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:GetMTime vtkClipPolyDataGetMTimeFunction
//input a0 
//output y
ArrayVector vtkClipPolyDataGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkClipPolyData requires 1 argument(s)");
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipPolyData:display vtkClipPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkClipPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkClipPolyData* vtk_pointer = GetVTKPointer<vtkClipPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkClipPolyData:delete vtkClipPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkClipPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkClipPolyData
//@@Section VTKGraphics
//@@Usage
// vtkClipPolyData is a filter that clips polygonal data using either
// any subclass of vtkImplicitFunction, or the input scalar
// data. Clipping means that it actually "cuts" through the cells of
// the dataset, returning everything inside of the specified implicit
// function (or greater than the scalar value) including "pieces" of
// a cell. (Compare this with vtkExtractGeometry, which pulls out
// entire, uncut cells.) The output of this filter is polygonal data.
//
// To use this filter, you must decide if you will be clipping with an
// implicit function, or whether you will be using the input scalar
// data.  If you want to clip with an implicit function, you must:
// 1) define an implicit function
// 2) set it with the SetClipFunction method
// 3) apply the GenerateClipScalarsOn method
// If a ClipFunction is not specified, or GenerateClipScalars is off
// (the default), then the input's scalar data will be used to clip
// the polydata.
//
// You can also specify a scalar value, which is used to
// decide what is inside and outside of the implicit function. You can
// also reverse the sense of what inside/outside is by setting the
// InsideOut instance variable. (The cutting algorithm proceeds by
// computing an implicit function value or using the input scalar data
// for each point in the dataset. This is compared to the scalar value
// to determine inside/outside.)
//
// This filter can be configured to compute a second output. The
// second output is the polygonal data that is clipped away. Set the
// GenerateClippedData boolean on if you wish to access this output data.
//
//To create an instance of class vtkClipPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkClipPolyData
//@]
//@@Methods
//The class vtkClipPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkClipPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkClipPolyData = obj.NewInstance ()|
// \item @|vtkClipPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (double )| -  Set the clipping value of the implicit function (if clipping with
// implicit function) or scalar value (if clipping with
// scalars). The default value is 0.0. 
//// \item @|double = obj.GetValue ()| -  Set the clipping value of the implicit function (if clipping with
// implicit function) or scalar value (if clipping with
// scalars). The default value is 0.0. 
//// \item @|obj.SetInsideOut (int )| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|int = obj.GetInsideOut ()| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|obj.InsideOutOn ()| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|obj.InsideOutOff ()| -  Set/Get the InsideOut flag. When off, a vertex is considered
// inside the implicit function if its value is greater than the
// Value ivar. When InsideOutside is turned on, a vertex is
// considered inside the implicit function if its implicit function
// value is less than or equal to the Value ivar.  InsideOut is off
// by default.
//// \item @|obj.SetClipFunction (vtkImplicitFunction )|
// \item @|vtkImplicitFunction = obj.GetClipFunction ()|
// \item @|obj.SetGenerateClipScalars (int )| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|int = obj.GetGenerateClipScalars ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.GenerateClipScalarsOn ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.GenerateClipScalarsOff ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.SetGenerateClippedOutput (int )| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|int = obj.GetGenerateClippedOutput ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|obj.GenerateClippedOutputOn ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|obj.GenerateClippedOutputOff ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's been clipped away.
//// \item @|vtkPolyData = obj.GetClippedOutput ()| -  Return the Clipped output.
//// \item @|vtkAlgorithmOutput = obj.GetClippedOutputPort ()| -  Specify a spatial locator for merging points. By default, an
// instance of vtkMergePoints is used.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Specify a spatial locator for merging points. By default, an
// instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Specify a spatial locator for merging points. By default, an
// instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified. The 
// locator is used to merge coincident points.
//// \item @|long = obj.GetMTime ()| -  Return the mtime also considering the locator and clip function.
////\end{itemize}
//!
