#include "VTKWrap.hpp"

// FreeMat wrapper for vtkClipVolume object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkClipVolume.h"

//@@Signature
//sfunction @vtkClipVolume:vtkClipVolume vtkClipVolumeConstructorFunction
//input a
//output p
//@@Parents vtkClipVolume vtkUnstructuredGridAlgorithm 
ArrayVector vtkClipVolumeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkClipVolume::New(),"vtkClipVolume",eval);
  } else if (arg[0].className() == "vtkClipVolume") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkClipVolume"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkClipVolume");
    vtkClipVolume*q = reinterpret_cast<vtkClipVolume*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkClipVolume");
    return ret;
  }
}
//@@Signature
//sfunction @vtkClipVolume:GetClassName vtkClipVolumeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:IsA vtkClipVolumeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkClipVolumeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkClipVolume requires 2 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:NewInstance vtkClipVolumeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkClipVolumeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipVolume *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtkClipVolume  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipVolume",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:SafeDownCast vtkClipVolumeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkClipVolumeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipVolume *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkClipVolume requires 2 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkClipVolume  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipVolume",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:SetValue vtkClipVolumeSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkClipVolumeSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkClipVolume requires 2 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetValue vtkClipVolumeGetValueFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:SetInsideOut vtkClipVolumeSetInsideOutFunction
//input a0 a1 
//output none
ArrayVector vtkClipVolumeSetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInsideOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInsideOut for class vtkClipVolume requires 2 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInsideOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetInsideOut vtkClipVolumeGetInsideOutFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInsideOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInsideOut for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInsideOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:InsideOutOn vtkClipVolumeInsideOutOnFunction
//input a0 
//output none
ArrayVector vtkClipVolumeInsideOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOn for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:InsideOutOff vtkClipVolumeInsideOutOffFunction
//input a0 
//output none
ArrayVector vtkClipVolumeInsideOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOff for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:SetClipFunction vtkClipVolumeSetClipFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkClipVolumeSetClipFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetClipFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipFunction for class vtkClipVolume requires 2 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetClipFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetClipFunction vtkClipVolumeGetClipFunctionFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetClipFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetClipFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipFunction for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetClipFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:SetGenerateClipScalars vtkClipVolumeSetGenerateClipScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkClipVolumeSetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClipScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClipScalars for class vtkClipVolume requires 2 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClipScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetGenerateClipScalars vtkClipVolumeGetGenerateClipScalarsFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClipScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClipScalars for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClipScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GenerateClipScalarsOn vtkClipVolumeGenerateClipScalarsOnFunction
//input a0 
//output none
ArrayVector vtkClipVolumeGenerateClipScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOn for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GenerateClipScalarsOff vtkClipVolumeGenerateClipScalarsOffFunction
//input a0 
//output none
ArrayVector vtkClipVolumeGenerateClipScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOff for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:SetGenerateClippedOutput vtkClipVolumeSetGenerateClippedOutputFunction
//input a0 a1 
//output none
ArrayVector vtkClipVolumeSetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClippedOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClippedOutput for class vtkClipVolume requires 2 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClippedOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetGenerateClippedOutput vtkClipVolumeGetGenerateClippedOutputFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClippedOutput for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClippedOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GenerateClippedOutputOn vtkClipVolumeGenerateClippedOutputOnFunction
//input a0 
//output none
ArrayVector vtkClipVolumeGenerateClippedOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOn for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GenerateClippedOutputOff vtkClipVolumeGenerateClippedOutputOffFunction
//input a0 
//output none
ArrayVector vtkClipVolumeGenerateClippedOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOff for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetClippedOutput vtkClipVolumeGetClippedOutputFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippedOutput for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetClippedOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:SetMixed3DCellGeneration vtkClipVolumeSetMixed3DCellGenerationFunction
//input a0 a1 
//output none
ArrayVector vtkClipVolumeSetMixed3DCellGenerationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMixed3DCellGeneration (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMixed3DCellGeneration for class vtkClipVolume requires 2 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMixed3DCellGeneration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetMixed3DCellGeneration vtkClipVolumeGetMixed3DCellGenerationFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetMixed3DCellGenerationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMixed3DCellGeneration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMixed3DCellGeneration for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMixed3DCellGeneration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:Mixed3DCellGenerationOn vtkClipVolumeMixed3DCellGenerationOnFunction
//input a0 
//output none
ArrayVector vtkClipVolumeMixed3DCellGenerationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Mixed3DCellGenerationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function Mixed3DCellGenerationOn for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtk_pointer->Mixed3DCellGenerationOn();
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:Mixed3DCellGenerationOff vtkClipVolumeMixed3DCellGenerationOffFunction
//input a0 
//output none
ArrayVector vtkClipVolumeMixed3DCellGenerationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Mixed3DCellGenerationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function Mixed3DCellGenerationOff for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtk_pointer->Mixed3DCellGenerationOff();
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:SetMergeTolerance vtkClipVolumeSetMergeToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkClipVolumeSetMergeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMergeTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMergeTolerance for class vtkClipVolume requires 2 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMergeTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetMergeToleranceMinValue vtkClipVolumeGetMergeToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetMergeToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeToleranceMinValue for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetMergeToleranceMaxValue vtkClipVolumeGetMergeToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetMergeToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeToleranceMaxValue for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetMergeTolerance vtkClipVolumeGetMergeToleranceFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetMergeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeTolerance for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:SetLocator vtkClipVolumeSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkClipVolumeSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkClipVolume requires 2 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetLocator vtkClipVolumeGetLocatorFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:CreateDefaultLocator vtkClipVolumeCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkClipVolumeCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:GetMTime vtkClipVolumeGetMTimeFunction
//input a0 
//output y
ArrayVector vtkClipVolumeGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkClipVolume requires 1 argument(s)");
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipVolume:display vtkClipVolumeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkClipVolumeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkClipVolume* vtk_pointer = GetVTKPointer<vtkClipVolume>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkClipVolume:delete vtkClipVolumeDeleteFunction
//input varargin
//output none
ArrayVector vtkClipVolumeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkClipVolume
//@@Section VTKGraphics
//@@Usage
// vtkClipVolume is a filter that clips volume data (i.e., vtkImageData)
// using either: any subclass of vtkImplicitFunction or the input scalar
// data. The clipping operation cuts through the cells of the
// dataset--converting 3D image data into a 3D unstructured grid--returning
// everything inside of the specified implicit function (or greater than the
// scalar value). During the clipping the filter will produce pieces of a
// cell. (Compare this with vtkExtractGeometry or vtkGeometryFilter, which
// produces entire, uncut cells.) The output of this filter is a 3D
// unstructured grid (e.g., tetrahedra or other 3D cell types).
//
// To use this filter, you must decide if you will be clipping with an
// implicit function, or whether you will be using the input scalar data.  If
// you want to clip with an implicit function, you must first define and then
// set the implicit function with the SetClipFunction() method. Otherwise,
// you must make sure input scalar data is available. You can also specify a
// scalar value, which is used to decide what is inside and outside of the
// implicit function. You can also reverse the sense of what inside/outside
// is by setting the InsideOut instance variable. (The cutting algorithm
// proceeds by computing an implicit function value or using the input scalar
// data for each point in the dataset. This is compared to the scalar value
// to determine inside/outside.)
//
// This filter can be configured to compute a second output. The
// second output is the portion of the volume that is clipped away. Set the
// GenerateClippedData boolean on if you wish to access this output data.
//
// The filter will produce an unstructured grid of entirely tetrahedra or a
// mixed grid of tetrahedra and other 3D cell types (e.g., wedges). Control
// this behavior by setting the Mixed3DCellGeneration. By default the
// Mixed3DCellGeneration is on and a combination of cell types will be
// produced. Note that producing mixed cell types is a faster than producing
// only tetrahedra.
//
//To create an instance of class vtkClipVolume, simply
//invoke its constructor as follows
//@[
//  obj = vtkClipVolume
//@]
//@@Methods
//The class vtkClipVolume has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkClipVolume class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkClipVolume = obj.NewInstance ()|
// \item @|vtkClipVolume = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (double )| -  Set the clipping value of the implicit function (if clipping with
// implicit function) or scalar value (if clipping with scalars). The
// default value is 0.0.
//// \item @|double = obj.GetValue ()| -  Set the clipping value of the implicit function (if clipping with
// implicit function) or scalar value (if clipping with scalars). The
// default value is 0.0.
//// \item @|obj.SetInsideOut (int )| -  Set/Get the InsideOut flag. When off, a vertex is considered inside the
// implicit function if its value is greater than the Value ivar. When
// InsideOutside is turned on, a vertex is considered inside the implicit
// function if its implicit function value is less than or equal to the
// Value ivar.  InsideOut is off by default.
//// \item @|int = obj.GetInsideOut ()| -  Set/Get the InsideOut flag. When off, a vertex is considered inside the
// implicit function if its value is greater than the Value ivar. When
// InsideOutside is turned on, a vertex is considered inside the implicit
// function if its implicit function value is less than or equal to the
// Value ivar.  InsideOut is off by default.
//// \item @|obj.InsideOutOn ()| -  Set/Get the InsideOut flag. When off, a vertex is considered inside the
// implicit function if its value is greater than the Value ivar. When
// InsideOutside is turned on, a vertex is considered inside the implicit
// function if its implicit function value is less than or equal to the
// Value ivar.  InsideOut is off by default.
//// \item @|obj.InsideOutOff ()| -  Set/Get the InsideOut flag. When off, a vertex is considered inside the
// implicit function if its value is greater than the Value ivar. When
// InsideOutside is turned on, a vertex is considered inside the implicit
// function if its implicit function value is less than or equal to the
// Value ivar.  InsideOut is off by default.
//// \item @|obj.SetClipFunction (vtkImplicitFunction )|
// \item @|vtkImplicitFunction = obj.GetClipFunction ()|
// \item @|obj.SetGenerateClipScalars (int )| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|int = obj.GetGenerateClipScalars ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.GenerateClipScalarsOn ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.GenerateClipScalarsOff ()| -  If this flag is enabled, then the output scalar values will be 
// interpolated from the implicit function values, and not the 
// input scalar data. If you enable this flag but do not provide an
// implicit function an error will be reported.
//// \item @|obj.SetGenerateClippedOutput (int )| -  Control whether a second output is generated. The second output
// contains the unstructured grid that's been clipped away.
//// \item @|int = obj.GetGenerateClippedOutput ()| -  Control whether a second output is generated. The second output
// contains the unstructured grid that's been clipped away.
//// \item @|obj.GenerateClippedOutputOn ()| -  Control whether a second output is generated. The second output
// contains the unstructured grid that's been clipped away.
//// \item @|obj.GenerateClippedOutputOff ()| -  Control whether a second output is generated. The second output
// contains the unstructured grid that's been clipped away.
//// \item @|vtkUnstructuredGrid = obj.GetClippedOutput ()| -  Return the clipped output.
//// \item @|obj.SetMixed3DCellGeneration (int )| -  Control whether the filter produces a mix of 3D cell types on output, or
// whether the output cells are all tetrahedra. By default, a mixed set of
// cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type
// generation is faster and less overall data is generated.)
//// \item @|int = obj.GetMixed3DCellGeneration ()| -  Control whether the filter produces a mix of 3D cell types on output, or
// whether the output cells are all tetrahedra. By default, a mixed set of
// cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type
// generation is faster and less overall data is generated.)
//// \item @|obj.Mixed3DCellGenerationOn ()| -  Control whether the filter produces a mix of 3D cell types on output, or
// whether the output cells are all tetrahedra. By default, a mixed set of
// cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type
// generation is faster and less overall data is generated.)
//// \item @|obj.Mixed3DCellGenerationOff ()| -  Control whether the filter produces a mix of 3D cell types on output, or
// whether the output cells are all tetrahedra. By default, a mixed set of
// cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type
// generation is faster and less overall data is generated.)
//// \item @|obj.SetMergeTolerance (double )| -  Set the tolerance for merging clip intersection points that are near
// the corners of voxels. This tolerance is used to prevent the generation
// of degenerate tetrahedra.
//// \item @|double = obj.GetMergeToleranceMinValue ()| -  Set the tolerance for merging clip intersection points that are near
// the corners of voxels. This tolerance is used to prevent the generation
// of degenerate tetrahedra.
//// \item @|double = obj.GetMergeToleranceMaxValue ()| -  Set the tolerance for merging clip intersection points that are near
// the corners of voxels. This tolerance is used to prevent the generation
// of degenerate tetrahedra.
//// \item @|double = obj.GetMergeTolerance ()| -  Set the tolerance for merging clip intersection points that are near
// the corners of voxels. This tolerance is used to prevent the generation
// of degenerate tetrahedra.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / Get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / Get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified. The 
// locator is used to merge coincident points.
//// \item @|long = obj.GetMTime ()| -  Return the mtime also considering the locator and clip function.
////\end{itemize}
//!
