#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCoincidentPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCoincidentPoints.h"

//@@Signature
//sfunction @vtkCoincidentPoints:vtkCoincidentPoints vtkCoincidentPointsConstructorFunction
//input a
//output p
//@@Parents vtkCoincidentPoints vtkObject 
ArrayVector vtkCoincidentPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCoincidentPoints::New(),"vtkCoincidentPoints",eval);
  } else if (arg[0].className() == "vtkCoincidentPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCoincidentPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCoincidentPoints");
    vtkCoincidentPoints*q = reinterpret_cast<vtkCoincidentPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCoincidentPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCoincidentPoints:GetClassName vtkCoincidentPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCoincidentPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCoincidentPoints requires 1 argument(s)");
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCoincidentPoints:IsA vtkCoincidentPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCoincidentPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCoincidentPoints requires 2 argument(s)");
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCoincidentPoints:NewInstance vtkCoincidentPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCoincidentPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoincidentPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCoincidentPoints requires 1 argument(s)");
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  Array retval;
  vtkCoincidentPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoincidentPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCoincidentPoints:SafeDownCast vtkCoincidentPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCoincidentPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoincidentPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCoincidentPoints requires 2 argument(s)");
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCoincidentPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoincidentPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCoincidentPoints:AddPoint vtkCoincidentPointsAddPointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCoincidentPointsAddPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddPoint (vtkIdType Id, const double point[3]); */
  if (arg.size() < 3) 
    throw Exception("Function AddPoint for class vtkCoincidentPoints requires 3 argument(s)");
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->AddPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCoincidentPoints:GetCoincidentPointIds vtkCoincidentPointsGetCoincidentPointIdsFunction
//input a0 a1 
//output y
ArrayVector vtkCoincidentPointsGetCoincidentPointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *GetCoincidentPointIds (const double point[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCoincidentPointIds for class vtkCoincidentPoints requires 2 argument(s)");
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIdList  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetCoincidentPointIds(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCoincidentPoints:GetNextCoincidentPointIds vtkCoincidentPointsGetNextCoincidentPointIdsFunction
//input a0 
//output y
ArrayVector vtkCoincidentPointsGetNextCoincidentPointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *GetNextCoincidentPointIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextCoincidentPointIds for class vtkCoincidentPoints requires 1 argument(s)");
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  Array retval;
  vtkIdList  *temp20;
  temp20 = (vtk_pointer)->GetNextCoincidentPointIds();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCoincidentPoints:InitTraversal vtkCoincidentPointsInitTraversalFunction
//input a0 
//output none
ArrayVector vtkCoincidentPointsInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitTraversal for class vtkCoincidentPoints requires 1 argument(s)");
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  Array retval;
  vtk_pointer->InitTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkCoincidentPoints:RemoveNonCoincidentPoints vtkCoincidentPointsRemoveNonCoincidentPointsFunction
//input a0 
//output none
ArrayVector vtkCoincidentPointsRemoveNonCoincidentPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveNonCoincidentPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveNonCoincidentPoints for class vtkCoincidentPoints requires 1 argument(s)");
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  Array retval;
  vtk_pointer->RemoveNonCoincidentPoints();
  return retval;
}

//@@Signature
//sfunction @vtkCoincidentPoints:Clear vtkCoincidentPointsClearFunction
//input a0 
//output none
ArrayVector vtkCoincidentPointsClearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clear (); */
  if (arg.size() < 1) 
    throw Exception("Function Clear for class vtkCoincidentPoints requires 1 argument(s)");
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  Array retval;
  vtk_pointer->Clear();
  return retval;
}

//@@Signature
//sfunction @vtkCoincidentPoints:display vtkCoincidentPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCoincidentPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCoincidentPoints* vtk_pointer = GetVTKPointer<vtkCoincidentPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCoincidentPoints:delete vtkCoincidentPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkCoincidentPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCoincidentPoints
//@@Section VTKGraphics
//@@Usage
// This class provides a collection of points that is organized such that 
// each coordinate is stored with a set of point id's of points that are 
// all coincident.
//
//To create an instance of class vtkCoincidentPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkCoincidentPoints
//@]
//@@Methods
//The class vtkCoincidentPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCoincidentPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCoincidentPoints = obj.NewInstance ()|
// \item @|vtkCoincidentPoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddPoint (vtkIdType Id, double point[3])| -  Accumulates a set of Ids in a map where the point coordinate
// is the key. All Ids in a given map entry are thus coincident.
// @param Id - a unique Id for the given \a point that will be stored in an vtkIdList.
// @param[in] point - the point coordinate that we will store in the map to test if any other points are
// coincident with it.
//// \item @|vtkIdList = obj.GetCoincidentPointIds (double point[3])| -  Retrieve the list of point Ids that are coincident with the given \a point.
// @param[in] point - the coordinate of coincident points we want to retrieve.
//// \item @|vtkIdList = obj.GetNextCoincidentPointIds ()| -  Used to iterate the sets of coincident points within the map.
// InitTraversal must be called first or NULL will always be returned.
//// \item @|obj.InitTraversal ()|
// \item @|obj.RemoveNonCoincidentPoints ()|
// \item @|obj.Clear ()|
//\end{itemize}
//!
