#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompositeDataGeometryFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompositeDataGeometryFilter.h"

//@@Signature
//sfunction @vtkCompositeDataGeometryFilter:vtkCompositeDataGeometryFilter vtkCompositeDataGeometryFilterConstructorFunction
//input a
//output p
//@@Parents vtkCompositeDataGeometryFilter vtkPolyDataAlgorithm 
ArrayVector vtkCompositeDataGeometryFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompositeDataGeometryFilter::New(),"vtkCompositeDataGeometryFilter",eval);
  } else if (arg[0].className() == "vtkCompositeDataGeometryFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompositeDataGeometryFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompositeDataGeometryFilter");
    vtkCompositeDataGeometryFilter*q = reinterpret_cast<vtkCompositeDataGeometryFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompositeDataGeometryFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompositeDataGeometryFilter:GetClassName vtkCompositeDataGeometryFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompositeDataGeometryFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompositeDataGeometryFilter requires 1 argument(s)");
  vtkCompositeDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataGeometryFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataGeometryFilter:IsA vtkCompositeDataGeometryFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataGeometryFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompositeDataGeometryFilter requires 2 argument(s)");
  vtkCompositeDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataGeometryFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataGeometryFilter:NewInstance vtkCompositeDataGeometryFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompositeDataGeometryFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataGeometryFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompositeDataGeometryFilter requires 1 argument(s)");
  vtkCompositeDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataGeometryFilter>(arg[0]);
  Array retval;
  vtkCompositeDataGeometryFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataGeometryFilter:SafeDownCast vtkCompositeDataGeometryFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataGeometryFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataGeometryFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompositeDataGeometryFilter requires 2 argument(s)");
  vtkCompositeDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataGeometryFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompositeDataGeometryFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataGeometryFilter:display vtkCompositeDataGeometryFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompositeDataGeometryFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompositeDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataGeometryFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompositeDataGeometryFilter:delete vtkCompositeDataGeometryFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkCompositeDataGeometryFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompositeDataGeometryFilter
//@@Section VTKGraphics
//@@Usage
// vtkCompositeDataGeometryFilter applies vtkGeometryFilter to all
// leaves in vtkCompositeDataSet. Place this filter at the end of a
// pipeline before a polydata consumer such as a polydata mapper to extract
// geometry from all blocks and append them to one polydata object.
//
//To create an instance of class vtkCompositeDataGeometryFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompositeDataGeometryFilter
//@]
//@@Methods
//The class vtkCompositeDataGeometryFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompositeDataGeometryFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompositeDataGeometryFilter = obj.NewInstance ()|
// \item @|vtkCompositeDataGeometryFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
