#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompositeDataProbeFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompositeDataProbeFilter.h"

//@@Signature
//sfunction @vtkCompositeDataProbeFilter:vtkCompositeDataProbeFilter vtkCompositeDataProbeFilterConstructorFunction
//input a
//output p
//@@Parents vtkCompositeDataProbeFilter vtkProbeFilter 
ArrayVector vtkCompositeDataProbeFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompositeDataProbeFilter::New(),"vtkCompositeDataProbeFilter",eval);
  } else if (arg[0].className() == "vtkCompositeDataProbeFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompositeDataProbeFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompositeDataProbeFilter");
    vtkCompositeDataProbeFilter*q = reinterpret_cast<vtkCompositeDataProbeFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompositeDataProbeFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompositeDataProbeFilter:GetClassName vtkCompositeDataProbeFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompositeDataProbeFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompositeDataProbeFilter requires 1 argument(s)");
  vtkCompositeDataProbeFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataProbeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataProbeFilter:IsA vtkCompositeDataProbeFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataProbeFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompositeDataProbeFilter requires 2 argument(s)");
  vtkCompositeDataProbeFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataProbeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataProbeFilter:NewInstance vtkCompositeDataProbeFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompositeDataProbeFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataProbeFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompositeDataProbeFilter requires 1 argument(s)");
  vtkCompositeDataProbeFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataProbeFilter>(arg[0]);
  Array retval;
  vtkCompositeDataProbeFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataProbeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataProbeFilter:SafeDownCast vtkCompositeDataProbeFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeDataProbeFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataProbeFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompositeDataProbeFilter requires 2 argument(s)");
  vtkCompositeDataProbeFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataProbeFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompositeDataProbeFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataProbeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataProbeFilter:SetPassPartialArrays vtkCompositeDataProbeFilterSetPassPartialArraysFunction
//input a0 a1 
//output none
ArrayVector vtkCompositeDataProbeFilterSetPassPartialArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassPartialArrays (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassPartialArrays for class vtkCompositeDataProbeFilter requires 2 argument(s)");
  vtkCompositeDataProbeFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataProbeFilter>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetPassPartialArrays(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataProbeFilter:GetPassPartialArrays vtkCompositeDataProbeFilterGetPassPartialArraysFunction
//input a0 
//output y
ArrayVector vtkCompositeDataProbeFilterGetPassPartialArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetPassPartialArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassPartialArrays for class vtkCompositeDataProbeFilter requires 1 argument(s)");
  vtkCompositeDataProbeFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataProbeFilter>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetPassPartialArrays();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataProbeFilter:PassPartialArraysOn vtkCompositeDataProbeFilterPassPartialArraysOnFunction
//input a0 
//output none
ArrayVector vtkCompositeDataProbeFilterPassPartialArraysOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassPartialArraysOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassPartialArraysOn for class vtkCompositeDataProbeFilter requires 1 argument(s)");
  vtkCompositeDataProbeFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataProbeFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassPartialArraysOn();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataProbeFilter:PassPartialArraysOff vtkCompositeDataProbeFilterPassPartialArraysOffFunction
//input a0 
//output none
ArrayVector vtkCompositeDataProbeFilterPassPartialArraysOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassPartialArraysOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassPartialArraysOff for class vtkCompositeDataProbeFilter requires 1 argument(s)");
  vtkCompositeDataProbeFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataProbeFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassPartialArraysOff();
  return retval;
}

//@@Signature
//sfunction @vtkCompositeDataProbeFilter:display vtkCompositeDataProbeFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompositeDataProbeFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompositeDataProbeFilter* vtk_pointer = GetVTKPointer<vtkCompositeDataProbeFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompositeDataProbeFilter:delete vtkCompositeDataProbeFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkCompositeDataProbeFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompositeDataProbeFilter
//@@Section VTKGraphics
//@@Usage
// vtkCompositeDataProbeFilter supports probing into multi-group datasets.
// It sequentially probes through each concrete dataset within the composite 
// probing at only those locations at which there were no hits when probing
// earlier datasets. For Hierarchical datasets, this traversal through leaf
// datasets is done in reverse order of levels i.e. highest level first.
//
// When dealing with composite datasets, partial arrays are common i.e.
// data-arrays that are not available in all of the blocks. By default, this
// filter only passes those point and cell data-arrays that are available in all
// the blocks i.e. partial array are removed.
// When PassPartialArrays is turned on, this behavior is changed to take a
// union of all arrays present thus partial arrays are passed as well. However,
// for composite dataset input, this filter still produces a non-composite
// output. For all those locations in a block of where a particular data array
// is missing, this filter uses vtkMath::Nan() for double and float arrays,
// while 0 for all other types of arrays i.e int, char etc.
//
//To create an instance of class vtkCompositeDataProbeFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompositeDataProbeFilter
//@]
//@@Methods
//The class vtkCompositeDataProbeFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompositeDataProbeFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompositeDataProbeFilter = obj.NewInstance ()|
// \item @|vtkCompositeDataProbeFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPassPartialArrays (bool )| -  When dealing with composite datasets, partial arrays are common i.e.
// data-arrays that are not available in all of the blocks. By default, this
// filter only passes those point and cell data-arrays that are available in
// all the blocks i.e. partial array are removed.  When PassPartialArrays is
// turned on, this behavior is changed to take a union of all arrays present
// thus partial arrays are passed as well. However, for composite dataset
// input, this filter still produces a non-composite output. For all those
// locations in a block of where a particular data array is missing, this
// filter uses vtkMath::Nan() for double and float arrays, while 0 for all
// other types of arrays i.e int, char etc.
//// \item @|bool = obj.GetPassPartialArrays ()| -  When dealing with composite datasets, partial arrays are common i.e.
// data-arrays that are not available in all of the blocks. By default, this
// filter only passes those point and cell data-arrays that are available in
// all the blocks i.e. partial array are removed.  When PassPartialArrays is
// turned on, this behavior is changed to take a union of all arrays present
// thus partial arrays are passed as well. However, for composite dataset
// input, this filter still produces a non-composite output. For all those
// locations in a block of where a particular data array is missing, this
// filter uses vtkMath::Nan() for double and float arrays, while 0 for all
// other types of arrays i.e int, char etc.
//// \item @|obj.PassPartialArraysOn ()| -  When dealing with composite datasets, partial arrays are common i.e.
// data-arrays that are not available in all of the blocks. By default, this
// filter only passes those point and cell data-arrays that are available in
// all the blocks i.e. partial array are removed.  When PassPartialArrays is
// turned on, this behavior is changed to take a union of all arrays present
// thus partial arrays are passed as well. However, for composite dataset
// input, this filter still produces a non-composite output. For all those
// locations in a block of where a particular data array is missing, this
// filter uses vtkMath::Nan() for double and float arrays, while 0 for all
// other types of arrays i.e int, char etc.
//// \item @|obj.PassPartialArraysOff ()| -  When dealing with composite datasets, partial arrays are common i.e.
// data-arrays that are not available in all of the blocks. By default, this
// filter only passes those point and cell data-arrays that are available in
// all the blocks i.e. partial array are removed.  When PassPartialArrays is
// turned on, this behavior is changed to take a union of all arrays present
// thus partial arrays are passed as well. However, for composite dataset
// input, this filter still produces a non-composite output. For all those
// locations in a block of where a particular data array is missing, this
// filter uses vtkMath::Nan() for double and float arrays, while 0 for all
// other types of arrays i.e int, char etc.
////\end{itemize}
//!
