#include "VTKWrap.hpp"

// FreeMat wrapper for vtkConeSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkConeSource.h"

//@@Signature
//sfunction @vtkConeSource:vtkConeSource vtkConeSourceConstructorFunction
//input a
//output p
//@@Parents vtkConeSource vtkPolyDataAlgorithm 
ArrayVector vtkConeSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkConeSource::New(),"vtkConeSource",eval);
  } else if (arg[0].className() == "vtkConeSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkConeSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkConeSource");
    vtkConeSource*q = reinterpret_cast<vtkConeSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkConeSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkConeSource:GetClassName vtkConeSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:IsA vtkConeSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkConeSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkConeSource requires 2 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:NewInstance vtkConeSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkConeSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConeSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  vtkConeSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConeSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SafeDownCast vtkConeSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkConeSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConeSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkConeSource requires 2 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkConeSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConeSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SetHeight vtkConeSourceSetHeightFunction
//input a0 a1 
//output none
ArrayVector vtkConeSourceSetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeight for class vtkConeSource requires 2 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetHeightMinValue vtkConeSourceGetHeightMinValueFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetHeightMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightMinValue for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetHeightMaxValue vtkConeSourceGetHeightMaxValueFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetHeightMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightMaxValue for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetHeight vtkConeSourceGetHeightFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeight for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SetRadius vtkConeSourceSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkConeSourceSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkConeSource requires 2 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetRadiusMinValue vtkConeSourceGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetRadiusMaxValue vtkConeSourceGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetRadius vtkConeSourceGetRadiusFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SetResolution vtkConeSourceSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkConeSourceSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkConeSource requires 2 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetResolutionMinValue vtkConeSourceGetResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMinValue for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetResolutionMaxValue vtkConeSourceGetResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMaxValue for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetResolution vtkConeSourceGetResolutionFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SetCenter__1 vtkConeSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkConeSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkConeSource requires 4 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SetCenter__2 vtkConeSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkConeSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkConeSource requires 2 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetCenter vtkConeSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SetDirection__1 vtkConeSourceSetDirection__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkConeSourceSetDirection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirection (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDirection__1 for class vtkConeSource requires 4 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDirection(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SetDirection__2 vtkConeSourceSetDirection__2Function
//input a0 a1 
//output none
ArrayVector vtkConeSourceSetDirection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirection (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirection__2 for class vtkConeSource requires 2 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDirection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetDirection vtkConeSourceGetDirectionFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDirection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirection for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDirection();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SetAngle vtkConeSourceSetAngleFunction
//input a0 a1 
//output none
ArrayVector vtkConeSourceSetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAngle (double angle); */
  if (arg.size() < 2) 
    throw Exception("Function SetAngle for class vtkConeSource requires 2 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetAngle vtkConeSourceGetAngleFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngle for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SetCapping vtkConeSourceSetCappingFunction
//input a0 a1 
//output none
ArrayVector vtkConeSourceSetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapping for class vtkConeSource requires 2 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:GetCapping vtkConeSourceGetCappingFunction
//input a0 
//output y
ArrayVector vtkConeSourceGetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapping for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCapping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:CappingOn vtkConeSourceCappingOnFunction
//input a0 
//output none
ArrayVector vtkConeSourceCappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOn for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  vtk_pointer->CappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:CappingOff vtkConeSourceCappingOffFunction
//input a0 
//output none
ArrayVector vtkConeSourceCappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOff for class vtkConeSource requires 1 argument(s)");
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  Array retval;
  vtk_pointer->CappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkConeSource:SetCenter vtkConeSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkConeSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkConeSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkConeSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkConeSourceSetCenter");
}

//@@Signature
//sfunction @vtkConeSource:SetDirection vtkConeSourceSetDirectionFunction
//input varargin
//output varargout
ArrayVector vtkConeSourceSetDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkConeSourceSetDirection__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkConeSourceSetDirection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkConeSourceSetDirection");
}

//@@Signature
//sfunction @vtkConeSource:display vtkConeSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkConeSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkConeSource* vtk_pointer = GetVTKPointer<vtkConeSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkConeSource:delete vtkConeSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkConeSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkConeSource
//@@Section VTKGraphics
//@@Usage
// vtkConeSource creates a cone centered at a specified point and pointing in
// a specified direction. (By default, the center is the origin and the
// direction is the x-axis.) Depending upon the resolution of this object,
// different representations are created. If resolution=0 a line is created;
// if resolution=1, a single triangle is created; if resolution=2, two
// crossed triangles are created. For resolution > 2, a 3D cone (with
// resolution number of sides) is created. It also is possible to control
// whether the bottom of the cone is capped with a (resolution-sided)
// polygon, and to specify the height and radius of the cone.
//
//To create an instance of class vtkConeSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkConeSource
//@]
//@@Methods
//The class vtkConeSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkConeSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkConeSource = obj.NewInstance ()|
// \item @|vtkConeSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetHeight (double )| -  Set the height of the cone. This is the height along the cone in
// its specified direction.
//// \item @|double = obj.GetHeightMinValue ()| -  Set the height of the cone. This is the height along the cone in
// its specified direction.
//// \item @|double = obj.GetHeightMaxValue ()| -  Set the height of the cone. This is the height along the cone in
// its specified direction.
//// \item @|double = obj.GetHeight ()| -  Set the height of the cone. This is the height along the cone in
// its specified direction.
//// \item @|obj.SetRadius (double )| -  Set the base radius of the cone.
//// \item @|double = obj.GetRadiusMinValue ()| -  Set the base radius of the cone.
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set the base radius of the cone.
//// \item @|double = obj.GetRadius ()| -  Set the base radius of the cone.
//// \item @|obj.SetResolution (int )| -  Set the number of facets used to represent the cone.
//// \item @|int = obj.GetResolutionMinValue ()| -  Set the number of facets used to represent the cone.
//// \item @|int = obj.GetResolutionMaxValue ()| -  Set the number of facets used to represent the cone.
//// \item @|int = obj.GetResolution ()| -  Set the number of facets used to represent the cone.
//// \item @|obj.SetCenter (double , double , double )| -  Set the center of the cone. It is located at the middle of the axis of
// the cone. Warning: this is not the center of the base of the cone!
// The default is 0,0,0.
//// \item @|obj.SetCenter (double  a[3])| -  Set the center of the cone. It is located at the middle of the axis of
// the cone. Warning: this is not the center of the base of the cone!
// The default is 0,0,0.
//// \item @|double = obj. GetCenter ()| -  Set the center of the cone. It is located at the middle of the axis of
// the cone. Warning: this is not the center of the base of the cone!
// The default is 0,0,0.
//// \item @|obj.SetDirection (double , double , double )| -  Set the orientation vector of the cone. The vector does not have
// to be normalized. The direction goes from the center of the base toward
// the apex. The default is (1,0,0).
//// \item @|obj.SetDirection (double  a[3])| -  Set the orientation vector of the cone. The vector does not have
// to be normalized. The direction goes from the center of the base toward
// the apex. The default is (1,0,0).
//// \item @|double = obj. GetDirection ()| -  Set the orientation vector of the cone. The vector does not have
// to be normalized. The direction goes from the center of the base toward
// the apex. The default is (1,0,0).
//// \item @|obj.SetAngle (double angle)| -  Set the angle of the cone. This is the angle between the axis of the cone
// and a generatrix. Warning: this is not the aperture! The aperture is
// twice this angle.
// As a side effect, the angle plus height sets the base radius of the cone.
// Angle is expressed in degrees.
//// \item @|double = obj.GetAngle ()| -  Set the angle of the cone. This is the angle between the axis of the cone
// and a generatrix. Warning: this is not the aperture! The aperture is
// twice this angle.
// As a side effect, the angle plus height sets the base radius of the cone.
// Angle is expressed in degrees.
//// \item @|obj.SetCapping (int )| -  Turn on/off whether to cap the base of the cone with a polygon.
//// \item @|int = obj.GetCapping ()| -  Turn on/off whether to cap the base of the cone with a polygon.
//// \item @|obj.CappingOn ()| -  Turn on/off whether to cap the base of the cone with a polygon.
//// \item @|obj.CappingOff ()| -  Turn on/off whether to cap the base of the cone with a polygon.
////\end{itemize}
//!
