#include "VTKWrap.hpp"

// FreeMat wrapper for vtkConnectivityFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkConnectivityFilter.h"

//@@Signature
//sfunction @vtkConnectivityFilter:vtkConnectivityFilter vtkConnectivityFilterConstructorFunction
//input a
//output p
//@@Parents vtkConnectivityFilter vtkUnstructuredGridAlgorithm 
ArrayVector vtkConnectivityFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkConnectivityFilter::New(),"vtkConnectivityFilter",eval);
  } else if (arg[0].className() == "vtkConnectivityFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkConnectivityFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkConnectivityFilter");
    vtkConnectivityFilter*q = reinterpret_cast<vtkConnectivityFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkConnectivityFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkConnectivityFilter:GetClassName vtkConnectivityFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:IsA vtkConnectivityFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkConnectivityFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:NewInstance vtkConnectivityFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConnectivityFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtkConnectivityFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConnectivityFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SafeDownCast vtkConnectivityFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkConnectivityFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConnectivityFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkConnectivityFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConnectivityFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetScalarConnectivity vtkConnectivityFilterSetScalarConnectivityFunction
//input a0 a1 
//output none
ArrayVector vtkConnectivityFilterSetScalarConnectivityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarConnectivity (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarConnectivity for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarConnectivity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:GetScalarConnectivity vtkConnectivityFilterGetScalarConnectivityFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterGetScalarConnectivityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarConnectivity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarConnectivity for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarConnectivity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:ScalarConnectivityOn vtkConnectivityFilterScalarConnectivityOnFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterScalarConnectivityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarConnectivityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarConnectivityOn for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->ScalarConnectivityOn();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:ScalarConnectivityOff vtkConnectivityFilterScalarConnectivityOffFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterScalarConnectivityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarConnectivityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarConnectivityOff for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->ScalarConnectivityOff();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetScalarRange__1 vtkConnectivityFilterSetScalarRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkConnectivityFilterSetScalarRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarRange__1 for class vtkConnectivityFilter requires 3 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetScalarRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetScalarRange__2 vtkConnectivityFilterSetScalarRange__2Function
//input a0 a1 
//output none
ArrayVector vtkConnectivityFilterSetScalarRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarRange__2 for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:GetScalarRange vtkConnectivityFilterGetScalarRangeFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterGetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetScalarRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarRange for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScalarRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetExtractionMode vtkConnectivityFilterSetExtractionModeFunction
//input a0 a1 
//output none
ArrayVector vtkConnectivityFilterSetExtractionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractionMode for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractionMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:GetExtractionModeMinValue vtkConnectivityFilterGetExtractionModeMinValueFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterGetExtractionModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractionModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractionModeMinValue for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractionModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:GetExtractionModeMaxValue vtkConnectivityFilterGetExtractionModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterGetExtractionModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractionModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractionModeMaxValue for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractionModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:GetExtractionMode vtkConnectivityFilterGetExtractionModeFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterGetExtractionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractionMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractionMode for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractionMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetExtractionModeToPointSeededRegions vtkConnectivityFilterSetExtractionModeToPointSeededRegionsFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterSetExtractionModeToPointSeededRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToPointSeededRegions ();this SetExtractionMode VTK_EXTRACT_POINT_SEEDED_REGIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToPointSeededRegions for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToPointSeededRegions();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetExtractionModeToCellSeededRegions vtkConnectivityFilterSetExtractionModeToCellSeededRegionsFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterSetExtractionModeToCellSeededRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToCellSeededRegions ();this SetExtractionMode VTK_EXTRACT_CELL_SEEDED_REGIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToCellSeededRegions for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToCellSeededRegions();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetExtractionModeToLargestRegion vtkConnectivityFilterSetExtractionModeToLargestRegionFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterSetExtractionModeToLargestRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToLargestRegion ();this SetExtractionMode VTK_EXTRACT_LARGEST_REGION  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToLargestRegion for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToLargestRegion();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetExtractionModeToSpecifiedRegions vtkConnectivityFilterSetExtractionModeToSpecifiedRegionsFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterSetExtractionModeToSpecifiedRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToSpecifiedRegions ();this SetExtractionMode VTK_EXTRACT_SPECIFIED_REGIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToSpecifiedRegions for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToSpecifiedRegions();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetExtractionModeToClosestPointRegion vtkConnectivityFilterSetExtractionModeToClosestPointRegionFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterSetExtractionModeToClosestPointRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToClosestPointRegion ();this SetExtractionMode VTK_EXTRACT_CLOSEST_POINT_REGION  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToClosestPointRegion for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToClosestPointRegion();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetExtractionModeToAllRegions vtkConnectivityFilterSetExtractionModeToAllRegionsFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterSetExtractionModeToAllRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToAllRegions ();this SetExtractionMode VTK_EXTRACT_ALL_REGIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToAllRegions for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToAllRegions();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:GetExtractionModeAsString vtkConnectivityFilterGetExtractionModeAsStringFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterGetExtractionModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetExtractionModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractionModeAsString for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetExtractionModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:InitializeSeedList vtkConnectivityFilterInitializeSeedListFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterInitializeSeedListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeSeedList (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeSeedList for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->InitializeSeedList();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:AddSeed vtkConnectivityFilterAddSeedFunction
//input a0 a1 
//output none
ArrayVector vtkConnectivityFilterAddSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddSeed (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function AddSeed for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AddSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:DeleteSeed vtkConnectivityFilterDeleteSeedFunction
//input a0 a1 
//output none
ArrayVector vtkConnectivityFilterDeleteSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteSeed (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteSeed for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DeleteSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:InitializeSpecifiedRegionList vtkConnectivityFilterInitializeSpecifiedRegionListFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterInitializeSpecifiedRegionListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeSpecifiedRegionList (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeSpecifiedRegionList for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->InitializeSpecifiedRegionList();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:AddSpecifiedRegion vtkConnectivityFilterAddSpecifiedRegionFunction
//input a0 a1 
//output none
ArrayVector vtkConnectivityFilterAddSpecifiedRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddSpecifiedRegion (int id); */
  if (arg.size() < 2) 
    throw Exception("Function AddSpecifiedRegion for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AddSpecifiedRegion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:DeleteSpecifiedRegion vtkConnectivityFilterDeleteSpecifiedRegionFunction
//input a0 a1 
//output none
ArrayVector vtkConnectivityFilterDeleteSpecifiedRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteSpecifiedRegion (int id); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteSpecifiedRegion for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DeleteSpecifiedRegion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetClosestPoint__1 vtkConnectivityFilterSetClosestPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkConnectivityFilterSetClosestPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClosestPoint (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetClosestPoint__1 for class vtkConnectivityFilter requires 4 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetClosestPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetClosestPoint__2 vtkConnectivityFilterSetClosestPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkConnectivityFilterSetClosestPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClosestPoint (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetClosestPoint__2 for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetClosestPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:GetClosestPoint vtkConnectivityFilterGetClosestPointFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterGetClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetClosestPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClosestPoint for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetClosestPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:GetNumberOfExtractedRegions vtkConnectivityFilterGetNumberOfExtractedRegionsFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterGetNumberOfExtractedRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfExtractedRegions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfExtractedRegions for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfExtractedRegions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetColorRegions vtkConnectivityFilterSetColorRegionsFunction
//input a0 a1 
//output none
ArrayVector vtkConnectivityFilterSetColorRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorRegions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorRegions for class vtkConnectivityFilter requires 2 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorRegions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:GetColorRegions vtkConnectivityFilterGetColorRegionsFunction
//input a0 
//output y
ArrayVector vtkConnectivityFilterGetColorRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorRegions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorRegions for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorRegions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:ColorRegionsOn vtkConnectivityFilterColorRegionsOnFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterColorRegionsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorRegionsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorRegionsOn for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->ColorRegionsOn();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:ColorRegionsOff vtkConnectivityFilterColorRegionsOffFunction
//input a0 
//output none
ArrayVector vtkConnectivityFilterColorRegionsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorRegionsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorRegionsOff for class vtkConnectivityFilter requires 1 argument(s)");
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->ColorRegionsOff();
  return retval;
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetScalarRange vtkConnectivityFilterSetScalarRangeFunction
//input varargin
//output varargout
ArrayVector vtkConnectivityFilterSetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkConnectivityFilterSetScalarRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkConnectivityFilterSetScalarRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkConnectivityFilterSetScalarRange");
}

//@@Signature
//sfunction @vtkConnectivityFilter:SetClosestPoint vtkConnectivityFilterSetClosestPointFunction
//input varargin
//output varargout
ArrayVector vtkConnectivityFilterSetClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkConnectivityFilterSetClosestPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkConnectivityFilterSetClosestPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkConnectivityFilterSetClosestPoint");
}

//@@Signature
//sfunction @vtkConnectivityFilter:display vtkConnectivityFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkConnectivityFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkConnectivityFilter* vtk_pointer = GetVTKPointer<vtkConnectivityFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkConnectivityFilter:delete vtkConnectivityFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkConnectivityFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkConnectivityFilter
//@@Section VTKGraphics
//@@Usage
// vtkConnectivityFilter is a filter that extracts cells that share common
// points and/or meet other connectivity criterion. (Cells that share
// vertices and meet other connectivity criterion such as scalar range are
// known as a region.)  The filter works in one of six ways: 1) extract the
// largest connected region in the dataset; 2) extract specified region
// numbers; 3) extract all regions sharing specified point ids; 4) extract
// all regions sharing specified cell ids; 5) extract the region closest to
// the specified point; or 6) extract all regions (used to color the data by
// region).
//
// vtkConnectivityFilter is generalized to handle any type of input dataset.
// It generates output data of type vtkUnstructuredGrid. If you know that
// your input type is vtkPolyData, you may wish to use
// vtkPolyDataConnectivityFilter.
//
// The behavior of vtkConnectivityFilter can be modified by turning on the
// boolean ivar ScalarConnectivity. If this flag is on, the connectivity
// algorithm is modified so that cells are considered connected only if 1)
// they are geometrically connected (share a point) and 2) the scalar values
// of one of the cell's points falls in the scalar range specified. This use
// of ScalarConnectivity is particularly useful for volume datasets: it can
// be used as a simple "connected segmentation" algorithm. For example, by
// using a seed voxel (i.e., cell) on a known anatomical structure,
// connectivity will pull out all voxels "containing" the anatomical
// structure. These voxels can then be contoured or processed by other
// visualization filters.
//
//To create an instance of class vtkConnectivityFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkConnectivityFilter
//@]
//@@Methods
//The class vtkConnectivityFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkConnectivityFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkConnectivityFilter = obj.NewInstance ()|
// \item @|vtkConnectivityFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScalarConnectivity (int )| -  Turn on/off connectivity based on scalar value. If on, cells are connected
// only if they share points AND one of the cells scalar values falls in the
// scalar range specified.
//// \item @|int = obj.GetScalarConnectivity ()| -  Turn on/off connectivity based on scalar value. If on, cells are connected
// only if they share points AND one of the cells scalar values falls in the
// scalar range specified.
//// \item @|obj.ScalarConnectivityOn ()| -  Turn on/off connectivity based on scalar value. If on, cells are connected
// only if they share points AND one of the cells scalar values falls in the
// scalar range specified.
//// \item @|obj.ScalarConnectivityOff ()| -  Turn on/off connectivity based on scalar value. If on, cells are connected
// only if they share points AND one of the cells scalar values falls in the
// scalar range specified.
//// \item @|obj.SetScalarRange (double , double )| -  Set the scalar range to use to extract cells based on scalar connectivity.
//// \item @|obj.SetScalarRange (double  a[2])| -  Set the scalar range to use to extract cells based on scalar connectivity.
//// \item @|double = obj. GetScalarRange ()| -  Set the scalar range to use to extract cells based on scalar connectivity.
//// \item @|obj.SetExtractionMode (int )| -  Control the extraction of connected surfaces.
//// \item @|int = obj.GetExtractionModeMinValue ()| -  Control the extraction of connected surfaces.
//// \item @|int = obj.GetExtractionModeMaxValue ()| -  Control the extraction of connected surfaces.
//// \item @|int = obj.GetExtractionMode ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToPointSeededRegions ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToCellSeededRegions ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToLargestRegion ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToSpecifiedRegions ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToClosestPointRegion ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToAllRegions ()| -  Control the extraction of connected surfaces.
//// \item @|string = obj.GetExtractionModeAsString ()| -  Control the extraction of connected surfaces.
//// \item @|obj.InitializeSeedList ()| -  Initialize list of point ids/cell ids used to seed regions.
//// \item @|obj.AddSeed (vtkIdType id)| -  Add a seed id (point or cell id). Note: ids are 0-offset.
//// \item @|obj.DeleteSeed (vtkIdType id)| -  Delete a seed id (point or cell id). Note: ids are 0-offset.
//// \item @|obj.InitializeSpecifiedRegionList ()| -  Initialize list of region ids to extract.
//// \item @|obj.AddSpecifiedRegion (int id)| -  Add a region id to extract. Note: ids are 0-offset.
//// \item @|obj.DeleteSpecifiedRegion (int id)| -  Delete a region id to extract. Note: ids are 0-offset.
//// \item @|obj.SetClosestPoint (double , double , double )| -  Use to specify x-y-z point coordinates when extracting the region 
// closest to a specified point.
//// \item @|obj.SetClosestPoint (double  a[3])| -  Use to specify x-y-z point coordinates when extracting the region 
// closest to a specified point.
//// \item @|double = obj. GetClosestPoint ()| -  Use to specify x-y-z point coordinates when extracting the region 
// closest to a specified point.
//// \item @|int = obj.GetNumberOfExtractedRegions ()| -  Obtain the number of connected regions.
//// \item @|obj.SetColorRegions (int )| -  Turn on/off the coloring of connected regions.
//// \item @|int = obj.GetColorRegions ()| -  Turn on/off the coloring of connected regions.
//// \item @|obj.ColorRegionsOn ()| -  Turn on/off the coloring of connected regions.
//// \item @|obj.ColorRegionsOff ()| -  Turn on/off the coloring of connected regions.
////\end{itemize}
//!
