#include "VTKWrap.hpp"

// FreeMat wrapper for vtkContourFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkContourFilter.h"

//@@Signature
//sfunction @vtkContourFilter:vtkContourFilter vtkContourFilterConstructorFunction
//input a
//output p
//@@Parents vtkContourFilter vtkPolyDataAlgorithm 
ArrayVector vtkContourFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkContourFilter::New(),"vtkContourFilter",eval);
  } else if (arg[0].className() == "vtkContourFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkContourFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkContourFilter");
    vtkContourFilter*q = reinterpret_cast<vtkContourFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkContourFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkContourFilter:GetClassName vtkContourFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkContourFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:IsA vtkContourFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkContourFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:NewInstance vtkContourFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkContourFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtkContourFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:SafeDownCast vtkContourFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkContourFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkContourFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:SetValue vtkContourFilterSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkContourFilterSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkContourFilter requires 3 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetValue vtkContourFilterGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkContourFilterGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetValues__2 vtkContourFilterGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkContourFilterGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues); */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:SetNumberOfContours vtkContourFilterSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkContourFilterSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetNumberOfContours vtkContourFilterGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkContourFilterGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GenerateValues__1 vtkContourFilterGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkContourFilterGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkContourFilter requires 3 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GenerateValues__2 vtkContourFilterGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkContourFilterGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd); */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkContourFilter requires 4 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetMTime vtkContourFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkContourFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:SetComputeNormals vtkContourFilterSetComputeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkContourFilterSetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeNormals for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetComputeNormals vtkContourFilterGetComputeNormalsFunction
//input a0 
//output y
ArrayVector vtkContourFilterGetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeNormals for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:ComputeNormalsOn vtkContourFilterComputeNormalsOnFunction
//input a0 
//output none
ArrayVector vtkContourFilterComputeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOn for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:ComputeNormalsOff vtkContourFilterComputeNormalsOffFunction
//input a0 
//output none
ArrayVector vtkContourFilterComputeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOff for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:SetComputeGradients vtkContourFilterSetComputeGradientsFunction
//input a0 a1 
//output none
ArrayVector vtkContourFilterSetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeGradients (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeGradients for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeGradients(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetComputeGradients vtkContourFilterGetComputeGradientsFunction
//input a0 
//output y
ArrayVector vtkContourFilterGetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeGradients (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeGradients for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeGradients();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:ComputeGradientsOn vtkContourFilterComputeGradientsOnFunction
//input a0 
//output none
ArrayVector vtkContourFilterComputeGradientsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOn for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:ComputeGradientsOff vtkContourFilterComputeGradientsOffFunction
//input a0 
//output none
ArrayVector vtkContourFilterComputeGradientsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOff for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:SetComputeScalars vtkContourFilterSetComputeScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkContourFilterSetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeScalars for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetComputeScalars vtkContourFilterGetComputeScalarsFunction
//input a0 
//output y
ArrayVector vtkContourFilterGetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeScalars for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:ComputeScalarsOn vtkContourFilterComputeScalarsOnFunction
//input a0 
//output none
ArrayVector vtkContourFilterComputeScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOn for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:ComputeScalarsOff vtkContourFilterComputeScalarsOffFunction
//input a0 
//output none
ArrayVector vtkContourFilterComputeScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOff for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:SetUseScalarTree vtkContourFilterSetUseScalarTreeFunction
//input a0 a1 
//output none
ArrayVector vtkContourFilterSetUseScalarTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseScalarTree (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseScalarTree for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseScalarTree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetUseScalarTree vtkContourFilterGetUseScalarTreeFunction
//input a0 
//output y
ArrayVector vtkContourFilterGetUseScalarTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseScalarTree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseScalarTree for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseScalarTree();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:UseScalarTreeOn vtkContourFilterUseScalarTreeOnFunction
//input a0 
//output none
ArrayVector vtkContourFilterUseScalarTreeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseScalarTreeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseScalarTreeOn for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseScalarTreeOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:UseScalarTreeOff vtkContourFilterUseScalarTreeOffFunction
//input a0 
//output none
ArrayVector vtkContourFilterUseScalarTreeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseScalarTreeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseScalarTreeOff for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseScalarTreeOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:SetScalarTree vtkContourFilterSetScalarTreeFunction
//input a0 a1 
//output none
ArrayVector vtkContourFilterSetScalarTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScalarTree (vtkScalarTree *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarTree for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtkScalarTree  *temp0;
  temp0 = GetVTKPointer<vtkScalarTree>(arg[1]);
  vtk_pointer->SetScalarTree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetScalarTree vtkContourFilterGetScalarTreeFunction
//input a0 
//output y
ArrayVector vtkContourFilterGetScalarTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarTree *GetScalarTree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarTree for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtkScalarTree  *temp20;
  temp20 = (vtk_pointer)->GetScalarTree();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:SetLocator vtkContourFilterSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkContourFilterSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetLocator vtkContourFilterGetLocatorFunction
//input a0 
//output y
ArrayVector vtkContourFilterGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:CreateDefaultLocator vtkContourFilterCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkContourFilterCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:SetArrayComponent vtkContourFilterSetArrayComponentFunction
//input a0 a1 
//output none
ArrayVector vtkContourFilterSetArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayComponent for class vtkContourFilter requires 2 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetArrayComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetArrayComponent vtkContourFilterGetArrayComponentFunction
//input a0 
//output y
ArrayVector vtkContourFilterGetArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayComponent for class vtkContourFilter requires 1 argument(s)");
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourFilter:GetValues vtkContourFilterGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkContourFilterGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourFilterGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourFilterGetValues");
}

//@@Signature
//sfunction @vtkContourFilter:GenerateValues vtkContourFilterGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkContourFilterGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkContourFilterGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkContourFilterGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourFilterGenerateValues");
}

//@@Signature
//sfunction @vtkContourFilter:display vtkContourFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkContourFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkContourFilter* vtk_pointer = GetVTKPointer<vtkContourFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkContourFilter:delete vtkContourFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkContourFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkContourFilter
//@@Section VTKGraphics
//@@Usage
// vtkContourFilter is a filter that takes as input any dataset and 
// generates on output isosurfaces and/or isolines. The exact form 
// of the output depends upon the dimensionality of the input data. 
// Data consisting of 3D cells will generate isosurfaces, data 
// consisting of 2D cells will generate isolines, and data with 1D 
// or 0D cells will generate isopoints. Combinations of output type 
// are possible if the input dimension is mixed.
//
// To use this filter you must specify one or more contour values.
// You can either use the method SetValue() to specify each contour
// value, or use GenerateValues() to generate a series of evenly
// spaced contours. It is also possible to accelerate the operation of
// this filter (at the cost of extra memory) by using a
// vtkScalarTree. A scalar tree is used to quickly locate cells that
// contain a contour surface. This is especially effective if multiple
// contours are being extracted. If you want to use a scalar tree,
// invoke the method UseScalarTreeOn().
//
//To create an instance of class vtkContourFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkContourFilter
//@]
//@@Methods
//The class vtkContourFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkContourFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkContourFilter = obj.NewInstance ()|
// \item @|vtkContourFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (int i, double value)| -  Methods to set / get contour values.
//// \item @|double = obj.GetValue (int i)| -  Methods to set / get contour values.
//// \item @|obj.GetValues (double contourValues)| -  Methods to set / get contour values.
//// \item @|obj.SetNumberOfContours (int number)| -  Methods to set / get contour values.
//// \item @|int = obj.GetNumberOfContours ()| -  Methods to set / get contour values.
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Methods to set / get contour values.
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Methods to set / get contour values.
//// \item @|long = obj.GetMTime ()| -  Modified GetMTime Because we delegate to vtkContourValues
//// \item @|obj.SetComputeNormals (int )| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeNormals ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOn ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOff ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeGradients (int )| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeGradients ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOn ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOff ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeScalars (int )| -  Set/Get the computation of scalars.
//// \item @|int = obj.GetComputeScalars ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOn ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOff ()| -  Set/Get the computation of scalars.
//// \item @|obj.SetUseScalarTree (int )| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|int = obj.GetUseScalarTree ()| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|obj.UseScalarTreeOn ()| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|obj.UseScalarTreeOff ()| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|obj.SetScalarTree (vtkScalarTree )| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|vtkScalarTree = obj.GetScalarTree ()| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is
// specified. The locator is used to merge coincident points.
//// \item @|obj.SetArrayComponent (int )| -  Set/get which component of the scalar array to contour on; defaults to 0.
// Currently this feature only works if the input is a vtkImageData.
//// \item @|int = obj.GetArrayComponent ()| -  Set/get which component of the scalar array to contour on; defaults to 0.
// Currently this feature only works if the input is a vtkImageData.
////\end{itemize}
//!
