#include "VTKWrap.hpp"

// FreeMat wrapper for vtkContourGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkContourGrid.h"

//@@Signature
//sfunction @vtkContourGrid:vtkContourGrid vtkContourGridConstructorFunction
//input a
//output p
//@@Parents vtkContourGrid vtkPolyDataAlgorithm 
ArrayVector vtkContourGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkContourGrid::New(),"vtkContourGrid",eval);
  } else if (arg[0].className() == "vtkContourGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkContourGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkContourGrid");
    vtkContourGrid*q = reinterpret_cast<vtkContourGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkContourGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkContourGrid:GetClassName vtkContourGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkContourGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:IsA vtkContourGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkContourGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkContourGrid requires 2 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:NewInstance vtkContourGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkContourGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtkContourGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:SafeDownCast vtkContourGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkContourGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkContourGrid requires 2 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkContourGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:SetValue vtkContourGridSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkContourGridSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkContourGrid requires 3 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GetValue vtkContourGridGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkContourGridGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkContourGrid requires 2 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GetValues__2 vtkContourGridGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkContourGridGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues); */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkContourGrid requires 2 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:SetNumberOfContours vtkContourGridSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkContourGridSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkContourGrid requires 2 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GetNumberOfContours vtkContourGridGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkContourGridGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GenerateValues__1 vtkContourGridGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkContourGridGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkContourGrid requires 3 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GenerateValues__2 vtkContourGridGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkContourGridGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd); */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkContourGrid requires 4 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GetMTime vtkContourGridGetMTimeFunction
//input a0 
//output y
ArrayVector vtkContourGridGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:SetComputeNormals vtkContourGridSetComputeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkContourGridSetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeNormals for class vtkContourGrid requires 2 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GetComputeNormals vtkContourGridGetComputeNormalsFunction
//input a0 
//output y
ArrayVector vtkContourGridGetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeNormals for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:ComputeNormalsOn vtkContourGridComputeNormalsOnFunction
//input a0 
//output none
ArrayVector vtkContourGridComputeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOn for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:ComputeNormalsOff vtkContourGridComputeNormalsOffFunction
//input a0 
//output none
ArrayVector vtkContourGridComputeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOff for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:SetComputeGradients vtkContourGridSetComputeGradientsFunction
//input a0 a1 
//output none
ArrayVector vtkContourGridSetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeGradients (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeGradients for class vtkContourGrid requires 2 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeGradients(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GetComputeGradients vtkContourGridGetComputeGradientsFunction
//input a0 
//output y
ArrayVector vtkContourGridGetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeGradients (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeGradients for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeGradients();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:ComputeGradientsOn vtkContourGridComputeGradientsOnFunction
//input a0 
//output none
ArrayVector vtkContourGridComputeGradientsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOn for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:ComputeGradientsOff vtkContourGridComputeGradientsOffFunction
//input a0 
//output none
ArrayVector vtkContourGridComputeGradientsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOff for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:SetComputeScalars vtkContourGridSetComputeScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkContourGridSetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeScalars for class vtkContourGrid requires 2 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GetComputeScalars vtkContourGridGetComputeScalarsFunction
//input a0 
//output y
ArrayVector vtkContourGridGetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeScalars for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:ComputeScalarsOn vtkContourGridComputeScalarsOnFunction
//input a0 
//output none
ArrayVector vtkContourGridComputeScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOn for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:ComputeScalarsOff vtkContourGridComputeScalarsOffFunction
//input a0 
//output none
ArrayVector vtkContourGridComputeScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOff for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:SetUseScalarTree vtkContourGridSetUseScalarTreeFunction
//input a0 a1 
//output none
ArrayVector vtkContourGridSetUseScalarTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseScalarTree (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseScalarTree for class vtkContourGrid requires 2 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseScalarTree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GetUseScalarTree vtkContourGridGetUseScalarTreeFunction
//input a0 
//output y
ArrayVector vtkContourGridGetUseScalarTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseScalarTree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseScalarTree for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseScalarTree();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:UseScalarTreeOn vtkContourGridUseScalarTreeOnFunction
//input a0 
//output none
ArrayVector vtkContourGridUseScalarTreeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseScalarTreeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseScalarTreeOn for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtk_pointer->UseScalarTreeOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:UseScalarTreeOff vtkContourGridUseScalarTreeOffFunction
//input a0 
//output none
ArrayVector vtkContourGridUseScalarTreeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseScalarTreeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseScalarTreeOff for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtk_pointer->UseScalarTreeOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:SetLocator vtkContourGridSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkContourGridSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkContourGrid requires 2 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GetLocator vtkContourGridGetLocatorFunction
//input a0 
//output y
ArrayVector vtkContourGridGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:CreateDefaultLocator vtkContourGridCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkContourGridCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkContourGrid requires 1 argument(s)");
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkContourGrid:GetValues vtkContourGridGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkContourGridGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourGridGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourGridGetValues");
}

//@@Signature
//sfunction @vtkContourGrid:GenerateValues vtkContourGridGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkContourGridGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkContourGridGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkContourGridGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourGridGenerateValues");
}

//@@Signature
//sfunction @vtkContourGrid:display vtkContourGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkContourGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkContourGrid* vtk_pointer = GetVTKPointer<vtkContourGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkContourGrid:delete vtkContourGridDeleteFunction
//input varargin
//output none
ArrayVector vtkContourGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkContourGrid
//@@Section VTKGraphics
//@@Usage
// vtkContourGrid is a filter that takes as input datasets of type
// vtkUnstructuredGrid and generates on output isosurfaces and/or
// isolines. The exact form of the output depends upon the dimensionality of
// the input data.  Data consisting of 3D cells will generate isosurfaces,
// data consisting of 2D cells will generate isolines, and data with 1D or 0D
// cells will generate isopoints. Combinations of output type are possible if
// the input dimension is mixed.
//
// To use this filter you must specify one or more contour values.
// You can either use the method SetValue() to specify each contour
// value, or use GenerateValues() to generate a series of evenly
// spaced contours. It is also possible to accelerate the operation of
// this filter (at the cost of extra memory) by using a
// vtkScalarTree. A scalar tree is used to quickly locate cells that
// contain a contour surface. This is especially effective if multiple
// contours are being extracted. If you want to use a scalar tree,
// invoke the method UseScalarTreeOn().
//
//
//To create an instance of class vtkContourGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkContourGrid
//@]
//@@Methods
//The class vtkContourGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkContourGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkContourGrid = obj.NewInstance ()|
// \item @|vtkContourGrid = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (int i, double value)| -  Methods to set / get contour values.
//// \item @|double = obj.GetValue (int i)| -  Methods to set / get contour values.
//// \item @|obj.GetValues (double contourValues)| -  Methods to set / get contour values.
//// \item @|obj.SetNumberOfContours (int number)| -  Methods to set / get contour values.
//// \item @|int = obj.GetNumberOfContours ()| -  Methods to set / get contour values.
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Methods to set / get contour values.
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Methods to set / get contour values.
//// \item @|long = obj.GetMTime ()| -  Modified GetMTime Because we delegate to vtkContourValues
//// \item @|obj.SetComputeNormals (int )| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeNormals ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOn ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOff ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeGradients (int )| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeGradients ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOn ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOff ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeScalars (int )| -  Set/Get the computation of scalars.
//// \item @|int = obj.GetComputeScalars ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOn ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOff ()| -  Set/Get the computation of scalars.
//// \item @|obj.SetUseScalarTree (int )| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|int = obj.GetUseScalarTree ()| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|obj.UseScalarTreeOn ()| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|obj.UseScalarTreeOff ()| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is
// specified. The locator is used to merge coincident points.
////\end{itemize}
//!
