#include "VTKWrap.hpp"

// FreeMat wrapper for vtkConvertSelection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkConvertSelection.h"

//@@Signature
//sfunction @vtkConvertSelection:vtkConvertSelection vtkConvertSelectionConstructorFunction
//input a
//output p
//@@Parents vtkConvertSelection vtkSelectionAlgorithm 
ArrayVector vtkConvertSelectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkConvertSelection::New(),"vtkConvertSelection",eval);
  } else if (arg[0].className() == "vtkConvertSelection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkConvertSelection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkConvertSelection");
    vtkConvertSelection*q = reinterpret_cast<vtkConvertSelection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkConvertSelection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkConvertSelection:GetClassName vtkConvertSelectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkConvertSelectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkConvertSelection requires 1 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:IsA vtkConvertSelectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkConvertSelectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkConvertSelection requires 2 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:NewInstance vtkConvertSelectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkConvertSelectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConvertSelection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkConvertSelection requires 1 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkConvertSelection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConvertSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:SafeDownCast vtkConvertSelectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkConvertSelectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConvertSelection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkConvertSelection requires 2 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkConvertSelection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConvertSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:SetDataObjectConnection vtkConvertSelectionSetDataObjectConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkConvertSelectionSetDataObjectConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataObjectConnection (vtkAlgorithmOutput *in); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataObjectConnection for class vtkConvertSelection requires 2 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetDataObjectConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:SetInputFieldType vtkConvertSelectionSetInputFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkConvertSelectionSetInputFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputFieldType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputFieldType for class vtkConvertSelection requires 2 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInputFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetInputFieldType vtkConvertSelectionGetInputFieldTypeFunction
//input a0 
//output y
ArrayVector vtkConvertSelectionGetInputFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInputFieldType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputFieldType for class vtkConvertSelection requires 1 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInputFieldType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:SetOutputType vtkConvertSelectionSetOutputTypeFunction
//input a0 a1 
//output none
ArrayVector vtkConvertSelectionSetOutputTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputType for class vtkConvertSelection requires 2 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetOutputType vtkConvertSelectionGetOutputTypeFunction
//input a0 
//output y
ArrayVector vtkConvertSelectionGetOutputTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputType for class vtkConvertSelection requires 1 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:SetArrayName vtkConvertSelectionSetArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkConvertSelectionSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetArrayName (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayName for class vtkConvertSelection requires 2 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetArrayName vtkConvertSelectionGetArrayNameFunction
//input a0 
//output y
ArrayVector vtkConvertSelectionGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayName for class vtkConvertSelection requires 1 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:SetArrayNames vtkConvertSelectionSetArrayNamesFunction
//input a0 a1 
//output none
ArrayVector vtkConvertSelectionSetArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetArrayNames (vtkStringArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayNames for class vtkConvertSelection requires 2 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkStringArray  *temp0;
  temp0 = GetVTKPointer<vtkStringArray>(arg[1]);
  vtk_pointer->SetArrayNames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetArrayNames vtkConvertSelectionGetArrayNamesFunction
//input a0 
//output y
ArrayVector vtkConvertSelectionGetArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *GetArrayNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayNames for class vtkConvertSelection requires 1 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetArrayNames();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:AddArrayName vtkConvertSelectionAddArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkConvertSelectionAddArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddArrayName (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function AddArrayName for class vtkConvertSelection requires 2 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:ClearArrayNames vtkConvertSelectionClearArrayNamesFunction
//input a0 
//output none
ArrayVector vtkConvertSelectionClearArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearArrayNames (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearArrayNames for class vtkConvertSelection requires 1 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtk_pointer->ClearArrayNames();
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:SetMatchAnyValues vtkConvertSelectionSetMatchAnyValuesFunction
//input a0 a1 
//output none
ArrayVector vtkConvertSelectionSetMatchAnyValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMatchAnyValues (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMatchAnyValues for class vtkConvertSelection requires 2 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetMatchAnyValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetMatchAnyValues vtkConvertSelectionGetMatchAnyValuesFunction
//input a0 
//output y
ArrayVector vtkConvertSelectionGetMatchAnyValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetMatchAnyValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMatchAnyValues for class vtkConvertSelection requires 1 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetMatchAnyValues();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:MatchAnyValuesOn vtkConvertSelectionMatchAnyValuesOnFunction
//input a0 
//output none
ArrayVector vtkConvertSelectionMatchAnyValuesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MatchAnyValuesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MatchAnyValuesOn for class vtkConvertSelection requires 1 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtk_pointer->MatchAnyValuesOn();
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:MatchAnyValuesOff vtkConvertSelectionMatchAnyValuesOffFunction
//input a0 
//output none
ArrayVector vtkConvertSelectionMatchAnyValuesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MatchAnyValuesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MatchAnyValuesOff for class vtkConvertSelection requires 1 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtk_pointer->MatchAnyValuesOff();
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:ToIndexSelection vtkConvertSelectionToIndexSelectionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkConvertSelectionToIndexSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkSelection *ToIndexSelection (vtkSelection *input, vtkDataObject *data); */
  if (arg.size() < 3) 
    throw Exception("Function ToIndexSelection for class vtkConvertSelection requires 3 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkSelection  *temp20;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  temp20 = (vtk_pointer)->ToIndexSelection(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:ToGlobalIdSelection vtkConvertSelectionToGlobalIdSelectionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkConvertSelectionToGlobalIdSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkSelection *ToGlobalIdSelection (vtkSelection *input, vtkDataObject *data); */
  if (arg.size() < 3) 
    throw Exception("Function ToGlobalIdSelection for class vtkConvertSelection requires 3 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkSelection  *temp20;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  temp20 = (vtk_pointer)->ToGlobalIdSelection(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:ToPedigreeIdSelection vtkConvertSelectionToPedigreeIdSelectionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkConvertSelectionToPedigreeIdSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkSelection *ToPedigreeIdSelection (vtkSelection *input, vtkDataObject *data); */
  if (arg.size() < 3) 
    throw Exception("Function ToPedigreeIdSelection for class vtkConvertSelection requires 3 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkSelection  *temp20;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  temp20 = (vtk_pointer)->ToPedigreeIdSelection(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:ToValueSelection__1 vtkConvertSelectionToValueSelection__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkConvertSelectionToValueSelection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkSelection *ToValueSelection (vtkSelection *input, vtkDataObject *data, const char *arrayName); */
  if (arg.size() < 4) 
    throw Exception("Function ToValueSelection__1 for class vtkConvertSelection requires 4 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  char    *temp2;
  vtkSelection  *temp20;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp20 = (vtk_pointer)->ToValueSelection(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:ToValueSelection__2 vtkConvertSelectionToValueSelection__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkConvertSelectionToValueSelection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkSelection *ToValueSelection (vtkSelection *input, vtkDataObject *data, vtkStringArray *arrayNames); */
  if (arg.size() < 4) 
    throw Exception("Function ToValueSelection__2 for class vtkConvertSelection requires 4 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkStringArray  *temp2;
  vtkSelection  *temp20;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  temp2 = GetVTKPointer<vtkStringArray>(arg[3]);
  temp20 = (vtk_pointer)->ToValueSelection(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetSelectedItems vtkConvertSelectionGetSelectedItemsFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkConvertSelectionGetSelectedItemsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetSelectedItems (vtkSelection *input, vtkDataObject *data, int fieldType, vtkIdTypeArray *indices); */
  if (arg.size() < 5) 
    throw Exception("Function GetSelectedItems for class vtkConvertSelection requires 5 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  int      temp2;
  vtkIdTypeArray  *temp3;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkIdTypeArray>(arg[4]);
  vtk_pointer->GetSelectedItems(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetSelectedVertices vtkConvertSelectionGetSelectedVerticesFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkConvertSelectionGetSelectedVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetSelectedVertices (vtkSelection *input, vtkGraph *data, vtkIdTypeArray *indices); */
  if (arg.size() < 4) 
    throw Exception("Function GetSelectedVertices for class vtkConvertSelection requires 4 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkGraph  *temp1;
  vtkIdTypeArray  *temp2;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkGraph>(arg[2]);
  temp2 = GetVTKPointer<vtkIdTypeArray>(arg[3]);
  vtk_pointer->GetSelectedVertices(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetSelectedEdges vtkConvertSelectionGetSelectedEdgesFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkConvertSelectionGetSelectedEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetSelectedEdges (vtkSelection *input, vtkGraph *data, vtkIdTypeArray *indices); */
  if (arg.size() < 4) 
    throw Exception("Function GetSelectedEdges for class vtkConvertSelection requires 4 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkGraph  *temp1;
  vtkIdTypeArray  *temp2;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkGraph>(arg[2]);
  temp2 = GetVTKPointer<vtkIdTypeArray>(arg[3]);
  vtk_pointer->GetSelectedEdges(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetSelectedPoints vtkConvertSelectionGetSelectedPointsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkConvertSelectionGetSelectedPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetSelectedPoints (vtkSelection *input, vtkDataSet *data, vtkIdTypeArray *indices); */
  if (arg.size() < 4) 
    throw Exception("Function GetSelectedPoints for class vtkConvertSelection requires 4 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkDataSet  *temp1;
  vtkIdTypeArray  *temp2;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataSet>(arg[2]);
  temp2 = GetVTKPointer<vtkIdTypeArray>(arg[3]);
  vtk_pointer->GetSelectedPoints(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetSelectedCells vtkConvertSelectionGetSelectedCellsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkConvertSelectionGetSelectedCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetSelectedCells (vtkSelection *input, vtkDataSet *data, vtkIdTypeArray *indices); */
  if (arg.size() < 4) 
    throw Exception("Function GetSelectedCells for class vtkConvertSelection requires 4 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkDataSet  *temp1;
  vtkIdTypeArray  *temp2;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataSet>(arg[2]);
  temp2 = GetVTKPointer<vtkIdTypeArray>(arg[3]);
  vtk_pointer->GetSelectedCells(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:GetSelectedRows vtkConvertSelectionGetSelectedRowsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkConvertSelectionGetSelectedRowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetSelectedRows (vtkSelection *input, vtkTable *data, vtkIdTypeArray *indices); */
  if (arg.size() < 4) 
    throw Exception("Function GetSelectedRows for class vtkConvertSelection requires 4 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkTable  *temp1;
  vtkIdTypeArray  *temp2;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkTable>(arg[2]);
  temp2 = GetVTKPointer<vtkIdTypeArray>(arg[3]);
  vtk_pointer->GetSelectedRows(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:ToSelectionType vtkConvertSelectionToSelectionTypeFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkConvertSelectionToSelectionTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkSelection *ToSelectionType (vtkSelection *input, vtkDataObject *data, int type, vtkStringArray *arrayNames, int inputFieldType); */
  if (arg.size() < 6) 
    throw Exception("Function ToSelectionType for class vtkConvertSelection requires 6 argument(s)");
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  int      temp2;
  vtkStringArray  *temp3;
  int      temp4;
  vtkSelection  *temp20;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkStringArray>(arg[4]);
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->ToSelectionType(temp0,temp1,temp2,temp3,temp4);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelection:ToValueSelection vtkConvertSelectionToValueSelectionFunction
//input varargin
//output varargout
ArrayVector vtkConvertSelectionToValueSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkSelection") && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkConvertSelectionToValueSelection__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkSelection") && VTKIsClass(arg[2],"vtkDataObject") && VTKIsClass(arg[3],"vtkStringArray"))
    return vtkConvertSelectionToValueSelection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkConvertSelectionToValueSelection");
}

//@@Signature
//sfunction @vtkConvertSelection:display vtkConvertSelectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkConvertSelectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkConvertSelection* vtk_pointer = GetVTKPointer<vtkConvertSelection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkConvertSelection:delete vtkConvertSelectionDeleteFunction
//input varargin
//output none
ArrayVector vtkConvertSelectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkConvertSelection
//@@Section VTKGraphics
//@@Usage
// vtkConvertSelection converts an input selection from one type to another
// in the context of a data object being selected. The first input is the
// selection, while the second input is the data object that the selection
// relates to.
//
//
//To create an instance of class vtkConvertSelection, simply
//invoke its constructor as follows
//@[
//  obj = vtkConvertSelection
//@]
//@@Methods
//The class vtkConvertSelection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkConvertSelection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkConvertSelection = obj.NewInstance ()|
// \item @|vtkConvertSelection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDataObjectConnection (vtkAlgorithmOutput in)| -  A convenience method for setting the second input (i.e. the data object).
//// \item @|obj.SetInputFieldType (int )| -  The input field type.
// If this is set to a number other than -1, ignores the input selection
// field type and instead assumes that all selection nodes have the
// field type specified.
// This should be one of the constants defined in vtkSelectionNode.h.
// Default is -1.
//// \item @|int = obj.GetInputFieldType ()| -  The input field type.
// If this is set to a number other than -1, ignores the input selection
// field type and instead assumes that all selection nodes have the
// field type specified.
// This should be one of the constants defined in vtkSelectionNode.h.
// Default is -1.
//// \item @|obj.SetOutputType (int )| -  The output selection content type.
// This should be one of the constants defined in vtkSelectionNode.h.
//// \item @|int = obj.GetOutputType ()| -  The output selection content type.
// This should be one of the constants defined in vtkSelectionNode.h.
//// \item @|obj.SetArrayName (string )| -  The output array name for value or threshold selections.
//// \item @|string = obj.GetArrayName ()| -  The output array name for value or threshold selections.
//// \item @|obj.SetArrayNames (vtkStringArray )| -  The output array names for value selection.
//// \item @|vtkStringArray = obj.GetArrayNames ()| -  The output array names for value selection.
//// \item @|obj.AddArrayName (string )| -  Convenience methods used by UI
//// \item @|obj.ClearArrayNames ()| -  Convenience methods used by UI
//// \item @|obj.SetMatchAnyValues (bool )| -  When on, creates a separate selection node for each array.
// Defaults to OFF.
//// \item @|bool = obj.GetMatchAnyValues ()| -  When on, creates a separate selection node for each array.
// Defaults to OFF.
//// \item @|obj.MatchAnyValuesOn ()| -  When on, creates a separate selection node for each array.
// Defaults to OFF.
//// \item @|obj.MatchAnyValuesOff ()| -  When on, creates a separate selection node for each array.
// Defaults to OFF.
////\end{itemize}
//!
