#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCubeSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCubeSource.h"

//@@Signature
//sfunction @vtkCubeSource:vtkCubeSource vtkCubeSourceConstructorFunction
//input a
//output p
//@@Parents vtkCubeSource vtkPolyDataAlgorithm 
ArrayVector vtkCubeSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCubeSource::New(),"vtkCubeSource",eval);
  } else if (arg[0].className() == "vtkCubeSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCubeSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCubeSource");
    vtkCubeSource*q = reinterpret_cast<vtkCubeSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCubeSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCubeSource:GetClassName vtkCubeSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:IsA vtkCubeSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCubeSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCubeSource requires 2 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:NewInstance vtkCubeSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCubeSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCubeSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  vtkCubeSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCubeSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:SafeDownCast vtkCubeSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCubeSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCubeSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCubeSource requires 2 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCubeSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCubeSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:SetXLength vtkCubeSourceSetXLengthFunction
//input a0 a1 
//output none
ArrayVector vtkCubeSourceSetXLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXLength for class vtkCubeSource requires 2 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:GetXLengthMinValue vtkCubeSourceGetXLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetXLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXLengthMinValue for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:GetXLengthMaxValue vtkCubeSourceGetXLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetXLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXLengthMaxValue for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:GetXLength vtkCubeSourceGetXLengthFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetXLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXLength for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:SetYLength vtkCubeSourceSetYLengthFunction
//input a0 a1 
//output none
ArrayVector vtkCubeSourceSetYLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYLength for class vtkCubeSource requires 2 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:GetYLengthMinValue vtkCubeSourceGetYLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetYLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYLengthMinValue for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:GetYLengthMaxValue vtkCubeSourceGetYLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetYLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYLengthMaxValue for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:GetYLength vtkCubeSourceGetYLengthFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetYLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYLength for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:SetZLength vtkCubeSourceSetZLengthFunction
//input a0 a1 
//output none
ArrayVector vtkCubeSourceSetZLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZLength for class vtkCubeSource requires 2 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:GetZLengthMinValue vtkCubeSourceGetZLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetZLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZLengthMinValue for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:GetZLengthMaxValue vtkCubeSourceGetZLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetZLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZLengthMaxValue for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:GetZLength vtkCubeSourceGetZLengthFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetZLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZLength for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:SetCenter__1 vtkCubeSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCubeSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkCubeSource requires 4 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:SetCenter__2 vtkCubeSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkCubeSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkCubeSource requires 2 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:GetCenter vtkCubeSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkCubeSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkCubeSource requires 1 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:SetBounds__1 vtkCubeSourceSetBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkCubeSourceSetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds__1 for class vtkCubeSource requires 7 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:SetBounds__2 vtkCubeSourceSetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkCubeSourceSetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds__2 for class vtkCubeSource requires 2 argument(s)");
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeSource:SetCenter vtkCubeSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkCubeSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCubeSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCubeSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCubeSourceSetCenter");
}

//@@Signature
//sfunction @vtkCubeSource:SetBounds vtkCubeSourceSetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkCubeSourceSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkCubeSourceSetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCubeSourceSetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCubeSourceSetBounds");
}

//@@Signature
//sfunction @vtkCubeSource:display vtkCubeSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCubeSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCubeSource* vtk_pointer = GetVTKPointer<vtkCubeSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCubeSource:delete vtkCubeSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkCubeSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCubeSource
//@@Section VTKGraphics
//@@Usage
// vtkCubeSource creates a cube centered at origin. The cube is represented
// with four-sided polygons. It is possible to specify the length, width, 
// and height of the cube independently.
//
//To create an instance of class vtkCubeSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkCubeSource
//@]
//@@Methods
//The class vtkCubeSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCubeSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCubeSource = obj.NewInstance ()|
// \item @|vtkCubeSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetXLength (double )| -  Set the length of the cube in the x-direction.
//// \item @|double = obj.GetXLengthMinValue ()| -  Set the length of the cube in the x-direction.
//// \item @|double = obj.GetXLengthMaxValue ()| -  Set the length of the cube in the x-direction.
//// \item @|double = obj.GetXLength ()| -  Set the length of the cube in the x-direction.
//// \item @|obj.SetYLength (double )| -  Set the length of the cube in the y-direction.
//// \item @|double = obj.GetYLengthMinValue ()| -  Set the length of the cube in the y-direction.
//// \item @|double = obj.GetYLengthMaxValue ()| -  Set the length of the cube in the y-direction.
//// \item @|double = obj.GetYLength ()| -  Set the length of the cube in the y-direction.
//// \item @|obj.SetZLength (double )| -  Set the length of the cube in the z-direction.
//// \item @|double = obj.GetZLengthMinValue ()| -  Set the length of the cube in the z-direction.
//// \item @|double = obj.GetZLengthMaxValue ()| -  Set the length of the cube in the z-direction.
//// \item @|double = obj.GetZLength ()| -  Set the length of the cube in the z-direction.
//// \item @|obj.SetCenter (double , double , double )| -  Set the center of the cube.
//// \item @|obj.SetCenter (double  a[3])| -  Set the center of the cube.
//// \item @|double = obj. GetCenter ()| -  Set the center of the cube.
//// \item @|obj.SetBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax)| -  Convenience method allows creation of cube by specifying bounding box.
//// \item @|obj.SetBounds (double bounds[6])| -  Convenience method allows creation of cube by specifying bounding box.
////\end{itemize}
//!
