#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCursor2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCursor2D.h"

//@@Signature
//sfunction @vtkCursor2D:vtkCursor2D vtkCursor2DConstructorFunction
//input a
//output p
//@@Parents vtkCursor2D vtkPolyDataAlgorithm 
ArrayVector vtkCursor2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCursor2D::New(),"vtkCursor2D",eval);
  } else if (arg[0].className() == "vtkCursor2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCursor2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCursor2D");
    vtkCursor2D*q = reinterpret_cast<vtkCursor2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCursor2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCursor2D:GetClassName vtkCursor2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:IsA vtkCursor2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCursor2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCursor2D requires 2 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:NewInstance vtkCursor2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCursor2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCursor2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtkCursor2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCursor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SafeDownCast vtkCursor2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCursor2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCursor2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCursor2D requires 2 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCursor2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCursor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetModelBounds__1 vtkCursor2DSetModelBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkCursor2DSetModelBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 7) 
    throw Exception("Function SetModelBounds__1 for class vtkCursor2D requires 7 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetModelBounds__2 vtkCursor2DSetModelBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkCursor2DSetModelBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelBounds__2 for class vtkCursor2D requires 2 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetModelBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:GetModelBounds vtkCursor2DGetModelBoundsFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetModelBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelBounds for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetModelBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetFocalPoint__1 vtkCursor2DSetFocalPoint__1Function
//input a0 a1 
//output none
ArrayVector vtkCursor2DSetFocalPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetFocalPoint__1 for class vtkCursor2D requires 2 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetFocalPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetFocalPoint__2 vtkCursor2DSetFocalPoint__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCursor2DSetFocalPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (double x, double y, double z);double xyz xyz x xyz y xyz z this SetFocalPoint xyz  */
  if (arg.size() < 4) 
    throw Exception("Function SetFocalPoint__2 for class vtkCursor2D requires 4 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetFocalPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:GetFocalPoint vtkCursor2DGetFocalPointFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetFocalPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFocalPoint for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetFocalPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetOutline vtkCursor2DSetOutlineFunction
//input a0 a1 
//output none
ArrayVector vtkCursor2DSetOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutline (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutline for class vtkCursor2D requires 2 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:GetOutline vtkCursor2DGetOutlineFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutline for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutline();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:OutlineOn vtkCursor2DOutlineOnFunction
//input a0 
//output none
ArrayVector vtkCursor2DOutlineOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutlineOn for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->OutlineOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:OutlineOff vtkCursor2DOutlineOffFunction
//input a0 
//output none
ArrayVector vtkCursor2DOutlineOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutlineOff for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->OutlineOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetAxes vtkCursor2DSetAxesFunction
//input a0 a1 
//output none
ArrayVector vtkCursor2DSetAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxes for class vtkCursor2D requires 2 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAxes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:GetAxes vtkCursor2DGetAxesFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxes for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:AxesOn vtkCursor2DAxesOnFunction
//input a0 
//output none
ArrayVector vtkCursor2DAxesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AxesOn for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->AxesOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:AxesOff vtkCursor2DAxesOffFunction
//input a0 
//output none
ArrayVector vtkCursor2DAxesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AxesOff for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->AxesOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetRadius vtkCursor2DSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkCursor2DSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkCursor2D requires 2 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:GetRadiusMinValue vtkCursor2DGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:GetRadiusMaxValue vtkCursor2DGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:GetRadius vtkCursor2DGetRadiusFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetPoint vtkCursor2DSetPointFunction
//input a0 a1 
//output none
ArrayVector vtkCursor2DSetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint for class vtkCursor2D requires 2 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:GetPoint vtkCursor2DGetPointFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPoint();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:PointOn vtkCursor2DPointOnFunction
//input a0 
//output none
ArrayVector vtkCursor2DPointOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PointOn for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->PointOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:PointOff vtkCursor2DPointOffFunction
//input a0 
//output none
ArrayVector vtkCursor2DPointOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PointOff for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->PointOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetTranslationMode vtkCursor2DSetTranslationModeFunction
//input a0 a1 
//output none
ArrayVector vtkCursor2DSetTranslationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslationMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTranslationMode for class vtkCursor2D requires 2 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTranslationMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:GetTranslationMode vtkCursor2DGetTranslationModeFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetTranslationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTranslationMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTranslationMode for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTranslationMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:TranslationModeOn vtkCursor2DTranslationModeOnFunction
//input a0 
//output none
ArrayVector vtkCursor2DTranslationModeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationModeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationModeOn for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->TranslationModeOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:TranslationModeOff vtkCursor2DTranslationModeOffFunction
//input a0 
//output none
ArrayVector vtkCursor2DTranslationModeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationModeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationModeOff for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->TranslationModeOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetWrap vtkCursor2DSetWrapFunction
//input a0 a1 
//output none
ArrayVector vtkCursor2DSetWrapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWrap (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWrap for class vtkCursor2D requires 2 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWrap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:GetWrap vtkCursor2DGetWrapFunction
//input a0 
//output y
ArrayVector vtkCursor2DGetWrapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWrap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWrap for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWrap();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:WrapOn vtkCursor2DWrapOnFunction
//input a0 
//output none
ArrayVector vtkCursor2DWrapOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WrapOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WrapOn for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->WrapOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:WrapOff vtkCursor2DWrapOffFunction
//input a0 
//output none
ArrayVector vtkCursor2DWrapOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WrapOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WrapOff for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->WrapOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:AllOn vtkCursor2DAllOnFunction
//input a0 
//output none
ArrayVector vtkCursor2DAllOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllOn for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->AllOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:AllOff vtkCursor2DAllOffFunction
//input a0 
//output none
ArrayVector vtkCursor2DAllOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllOff for class vtkCursor2D requires 1 argument(s)");
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  Array retval;
  vtk_pointer->AllOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor2D:SetModelBounds vtkCursor2DSetModelBoundsFunction
//input varargin
//output varargout
ArrayVector vtkCursor2DSetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkCursor2DSetModelBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCursor2DSetModelBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCursor2DSetModelBounds");
}

//@@Signature
//sfunction @vtkCursor2D:SetFocalPoint vtkCursor2DSetFocalPointFunction
//input varargin
//output varargout
ArrayVector vtkCursor2DSetFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCursor2DSetFocalPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCursor2DSetFocalPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCursor2DSetFocalPoint");
}

//@@Signature
//sfunction @vtkCursor2D:display vtkCursor2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCursor2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCursor2D* vtk_pointer = GetVTKPointer<vtkCursor2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCursor2D:delete vtkCursor2DDeleteFunction
//input varargin
//output none
ArrayVector vtkCursor2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCursor2D
//@@Section VTKGraphics
//@@Usage
// vtkCursor2D is a class that generates a 2D cursor representation.
// The cursor consists of two intersection axes lines that meet at the
// cursor focus. Several optional features are available as well. An 
// optional 2D bounding box may be enabled. An inner radius, centered at
// the focal point, can be set that erases the intersecting lines (e.g.,
// it leaves a clear area under the focal point so you can see
// what you are selecting). And finally, an optional point can be
// enabled located at the focal point. All of these features can be turned
// on and off independently.
//
//
//To create an instance of class vtkCursor2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkCursor2D
//@]
//@@Methods
//The class vtkCursor2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCursor2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCursor2D = obj.NewInstance ()|
// \item @|vtkCursor2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Set / get the bounding box of the 2D cursor. This defines the outline
// of the cursor, and where the focal point should lie.
//// \item @|obj.SetModelBounds (double bounds[6])| -  Set / get the bounding box of the 2D cursor. This defines the outline
// of the cursor, and where the focal point should lie.
//// \item @|double = obj. GetModelBounds ()| -  Set / get the bounding box of the 2D cursor. This defines the outline
// of the cursor, and where the focal point should lie.
//// \item @|obj.SetFocalPoint (double x[3])| -  Set/Get the position of cursor focus. If translation mode is on,
// then the entire cursor (including bounding box, cursor, and shadows)
// is translated. Otherwise, the focal point will either be clamped to the
// bounding box, or wrapped, if Wrap is on. (Note: this behavior requires
// that the bounding box is set prior to the focal point.) Note that the 
// method takes a 3D point but ignores the z-coordinate value.
//// \item @|obj.SetFocalPoint (double x, double y, double z)| -  Set/Get the position of cursor focus. If translation mode is on,
// then the entire cursor (including bounding box, cursor, and shadows)
// is translated. Otherwise, the focal point will either be clamped to the
// bounding box, or wrapped, if Wrap is on. (Note: this behavior requires
// that the bounding box is set prior to the focal point.) Note that the 
// method takes a 3D point but ignores the z-coordinate value.
//// \item @|double = obj. GetFocalPoint ()| -  Set/Get the position of cursor focus. If translation mode is on,
// then the entire cursor (including bounding box, cursor, and shadows)
// is translated. Otherwise, the focal point will either be clamped to the
// bounding box, or wrapped, if Wrap is on. (Note: this behavior requires
// that the bounding box is set prior to the focal point.) Note that the 
// method takes a 3D point but ignores the z-coordinate value.
//// \item @|obj.SetOutline (int )| -  Turn on/off the wireframe bounding box.
//// \item @|int = obj.GetOutline ()| -  Turn on/off the wireframe bounding box.
//// \item @|obj.OutlineOn ()| -  Turn on/off the wireframe bounding box.
//// \item @|obj.OutlineOff ()| -  Turn on/off the wireframe bounding box.
//// \item @|obj.SetAxes (int )| -  Turn on/off the wireframe axes.
//// \item @|int = obj.GetAxes ()| -  Turn on/off the wireframe axes.
//// \item @|obj.AxesOn ()| -  Turn on/off the wireframe axes.
//// \item @|obj.AxesOff ()| -  Turn on/off the wireframe axes.
//// \item @|obj.SetRadius (double )| -  Specify a radius for a circle. This erases the cursor
// lines around the focal point.
//// \item @|double = obj.GetRadiusMinValue ()| -  Specify a radius for a circle. This erases the cursor
// lines around the focal point.
//// \item @|double = obj.GetRadiusMaxValue ()| -  Specify a radius for a circle. This erases the cursor
// lines around the focal point.
//// \item @|double = obj.GetRadius ()| -  Specify a radius for a circle. This erases the cursor
// lines around the focal point.
//// \item @|obj.SetPoint (int )| -  Turn on/off the point located at the cursor focus.
//// \item @|int = obj.GetPoint ()| -  Turn on/off the point located at the cursor focus.
//// \item @|obj.PointOn ()| -  Turn on/off the point located at the cursor focus.
//// \item @|obj.PointOff ()| -  Turn on/off the point located at the cursor focus.
//// \item @|obj.SetTranslationMode (int )| -  Enable/disable the translation mode. If on, changes in cursor position
// cause the entire widget to translate along with the cursor.
// By default, translation mode is off.
//// \item @|int = obj.GetTranslationMode ()| -  Enable/disable the translation mode. If on, changes in cursor position
// cause the entire widget to translate along with the cursor.
// By default, translation mode is off.
//// \item @|obj.TranslationModeOn ()| -  Enable/disable the translation mode. If on, changes in cursor position
// cause the entire widget to translate along with the cursor.
// By default, translation mode is off.
//// \item @|obj.TranslationModeOff ()| -  Enable/disable the translation mode. If on, changes in cursor position
// cause the entire widget to translate along with the cursor.
// By default, translation mode is off.
//// \item @|obj.SetWrap (int )| -  Turn on/off cursor wrapping. If the cursor focus moves outside the
// specified bounds, the cursor will either be restrained against the
// nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).
//// \item @|int = obj.GetWrap ()| -  Turn on/off cursor wrapping. If the cursor focus moves outside the
// specified bounds, the cursor will either be restrained against the
// nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).
//// \item @|obj.WrapOn ()| -  Turn on/off cursor wrapping. If the cursor focus moves outside the
// specified bounds, the cursor will either be restrained against the
// nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).
//// \item @|obj.WrapOff ()| -  Turn on/off cursor wrapping. If the cursor focus moves outside the
// specified bounds, the cursor will either be restrained against the
// nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).
//// \item @|obj.AllOn ()| -  Turn every part of the cursor on or off.
//// \item @|obj.AllOff ()| -  Turn every part of the cursor on or off.
////\end{itemize}
//!
