#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCursor3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCursor3D.h"

//@@Signature
//sfunction @vtkCursor3D:vtkCursor3D vtkCursor3DConstructorFunction
//input a
//output p
//@@Parents vtkCursor3D vtkPolyDataAlgorithm 
ArrayVector vtkCursor3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCursor3D::New(),"vtkCursor3D",eval);
  } else if (arg[0].className() == "vtkCursor3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCursor3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCursor3D");
    vtkCursor3D*q = reinterpret_cast<vtkCursor3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCursor3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCursor3D:GetClassName vtkCursor3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:IsA vtkCursor3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCursor3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:NewInstance vtkCursor3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCursor3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCursor3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtkCursor3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCursor3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SafeDownCast vtkCursor3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCursor3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCursor3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCursor3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCursor3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetModelBounds__1 vtkCursor3DSetModelBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkCursor3DSetModelBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 7) 
    throw Exception("Function SetModelBounds__1 for class vtkCursor3D requires 7 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetModelBounds__2 vtkCursor3DSetModelBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkCursor3DSetModelBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelBounds__2 for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetModelBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:GetModelBounds vtkCursor3DGetModelBoundsFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetModelBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelBounds for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetModelBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetFocalPoint__1 vtkCursor3DSetFocalPoint__1Function
//input a0 a1 
//output none
ArrayVector vtkCursor3DSetFocalPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetFocalPoint__1 for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetFocalPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetFocalPoint__2 vtkCursor3DSetFocalPoint__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCursor3DSetFocalPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (double x, double y, double z);double xyz xyz x xyz y xyz z this SetFocalPoint xyz  */
  if (arg.size() < 4) 
    throw Exception("Function SetFocalPoint__2 for class vtkCursor3D requires 4 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetFocalPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:GetFocalPoint vtkCursor3DGetFocalPointFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetFocalPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFocalPoint for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetFocalPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetOutline vtkCursor3DSetOutlineFunction
//input a0 a1 
//output none
ArrayVector vtkCursor3DSetOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutline (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutline for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:GetOutline vtkCursor3DGetOutlineFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutline for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutline();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:OutlineOn vtkCursor3DOutlineOnFunction
//input a0 
//output none
ArrayVector vtkCursor3DOutlineOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutlineOn for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->OutlineOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:OutlineOff vtkCursor3DOutlineOffFunction
//input a0 
//output none
ArrayVector vtkCursor3DOutlineOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutlineOff for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->OutlineOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetAxes vtkCursor3DSetAxesFunction
//input a0 a1 
//output none
ArrayVector vtkCursor3DSetAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxes for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAxes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:GetAxes vtkCursor3DGetAxesFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxes for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:AxesOn vtkCursor3DAxesOnFunction
//input a0 
//output none
ArrayVector vtkCursor3DAxesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AxesOn for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->AxesOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:AxesOff vtkCursor3DAxesOffFunction
//input a0 
//output none
ArrayVector vtkCursor3DAxesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AxesOff for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->AxesOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetXShadows vtkCursor3DSetXShadowsFunction
//input a0 a1 
//output none
ArrayVector vtkCursor3DSetXShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXShadows (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXShadows for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXShadows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:GetXShadows vtkCursor3DGetXShadowsFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetXShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXShadows (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXShadows for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXShadows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:XShadowsOn vtkCursor3DXShadowsOnFunction
//input a0 
//output none
ArrayVector vtkCursor3DXShadowsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XShadowsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function XShadowsOn for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->XShadowsOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:XShadowsOff vtkCursor3DXShadowsOffFunction
//input a0 
//output none
ArrayVector vtkCursor3DXShadowsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XShadowsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function XShadowsOff for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->XShadowsOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetYShadows vtkCursor3DSetYShadowsFunction
//input a0 a1 
//output none
ArrayVector vtkCursor3DSetYShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYShadows (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYShadows for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYShadows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:GetYShadows vtkCursor3DGetYShadowsFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetYShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYShadows (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYShadows for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYShadows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:YShadowsOn vtkCursor3DYShadowsOnFunction
//input a0 
//output none
ArrayVector vtkCursor3DYShadowsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YShadowsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function YShadowsOn for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->YShadowsOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:YShadowsOff vtkCursor3DYShadowsOffFunction
//input a0 
//output none
ArrayVector vtkCursor3DYShadowsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YShadowsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function YShadowsOff for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->YShadowsOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetZShadows vtkCursor3DSetZShadowsFunction
//input a0 a1 
//output none
ArrayVector vtkCursor3DSetZShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZShadows (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZShadows for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZShadows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:GetZShadows vtkCursor3DGetZShadowsFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetZShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZShadows (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZShadows for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZShadows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:ZShadowsOn vtkCursor3DZShadowsOnFunction
//input a0 
//output none
ArrayVector vtkCursor3DZShadowsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZShadowsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ZShadowsOn for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->ZShadowsOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:ZShadowsOff vtkCursor3DZShadowsOffFunction
//input a0 
//output none
ArrayVector vtkCursor3DZShadowsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZShadowsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ZShadowsOff for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->ZShadowsOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetTranslationMode vtkCursor3DSetTranslationModeFunction
//input a0 a1 
//output none
ArrayVector vtkCursor3DSetTranslationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslationMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTranslationMode for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTranslationMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:GetTranslationMode vtkCursor3DGetTranslationModeFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetTranslationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTranslationMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTranslationMode for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTranslationMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:TranslationModeOn vtkCursor3DTranslationModeOnFunction
//input a0 
//output none
ArrayVector vtkCursor3DTranslationModeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationModeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationModeOn for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->TranslationModeOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:TranslationModeOff vtkCursor3DTranslationModeOffFunction
//input a0 
//output none
ArrayVector vtkCursor3DTranslationModeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationModeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationModeOff for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->TranslationModeOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetWrap vtkCursor3DSetWrapFunction
//input a0 a1 
//output none
ArrayVector vtkCursor3DSetWrapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWrap (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWrap for class vtkCursor3D requires 2 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWrap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:GetWrap vtkCursor3DGetWrapFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetWrapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWrap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWrap for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWrap();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:WrapOn vtkCursor3DWrapOnFunction
//input a0 
//output none
ArrayVector vtkCursor3DWrapOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WrapOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WrapOn for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->WrapOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:WrapOff vtkCursor3DWrapOffFunction
//input a0 
//output none
ArrayVector vtkCursor3DWrapOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WrapOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WrapOff for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->WrapOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:GetFocus vtkCursor3DGetFocusFunction
//input a0 
//output y
ArrayVector vtkCursor3DGetFocusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetFocus ();return this Focus  */
  if (arg.size() < 1) 
    throw Exception("Function GetFocus for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetFocus();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:AllOn vtkCursor3DAllOnFunction
//input a0 
//output none
ArrayVector vtkCursor3DAllOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllOn for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->AllOn();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:AllOff vtkCursor3DAllOffFunction
//input a0 
//output none
ArrayVector vtkCursor3DAllOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllOff for class vtkCursor3D requires 1 argument(s)");
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  Array retval;
  vtk_pointer->AllOff();
  return retval;
}

//@@Signature
//sfunction @vtkCursor3D:SetModelBounds vtkCursor3DSetModelBoundsFunction
//input varargin
//output varargout
ArrayVector vtkCursor3DSetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkCursor3DSetModelBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCursor3DSetModelBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCursor3DSetModelBounds");
}

//@@Signature
//sfunction @vtkCursor3D:SetFocalPoint vtkCursor3DSetFocalPointFunction
//input varargin
//output varargout
ArrayVector vtkCursor3DSetFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCursor3DSetFocalPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCursor3DSetFocalPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCursor3DSetFocalPoint");
}

//@@Signature
//sfunction @vtkCursor3D:display vtkCursor3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCursor3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCursor3D* vtk_pointer = GetVTKPointer<vtkCursor3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCursor3D:delete vtkCursor3DDeleteFunction
//input varargin
//output none
ArrayVector vtkCursor3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCursor3D
//@@Section VTKGraphics
//@@Usage
// vtkCursor3D is an object that generates a 3D representation of a cursor.
// The cursor consists of a wireframe bounding box, three intersecting 
// axes lines that meet at the cursor focus, and "shadows" or projections
// of the axes against the sides of the bounding box. Each of these
// components can be turned on/off.
//
// This filter generates two output datasets. The first (Output) is just the 
// geometric representation of the cursor. The second (Focus) is a single
// point at the focal point.
//
//To create an instance of class vtkCursor3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkCursor3D
//@]
//@@Methods
//The class vtkCursor3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCursor3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCursor3D = obj.NewInstance ()|
// \item @|vtkCursor3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Set / get the boundary of the 3D cursor.
//// \item @|obj.SetModelBounds (double bounds[6])| -  Set / get the boundary of the 3D cursor.
//// \item @|double = obj. GetModelBounds ()| -  Set / get the boundary of the 3D cursor.
//// \item @|obj.SetFocalPoint (double x[3])| -  Set/Get the position of cursor focus. If translation mode is on,
// then the entire cursor (including bounding box, cursor, and shadows)
// is translated. Otherwise, the focal point will either be clamped to the
// bounding box, or wrapped, if Wrap is on. (Note: this behavior requires
// that the bounding box is set prior to the focal point.)
//// \item @|obj.SetFocalPoint (double x, double y, double z)| -  Set/Get the position of cursor focus. If translation mode is on,
// then the entire cursor (including bounding box, cursor, and shadows)
// is translated. Otherwise, the focal point will either be clamped to the
// bounding box, or wrapped, if Wrap is on. (Note: this behavior requires
// that the bounding box is set prior to the focal point.)
//// \item @|double = obj. GetFocalPoint ()| -  Set/Get the position of cursor focus. If translation mode is on,
// then the entire cursor (including bounding box, cursor, and shadows)
// is translated. Otherwise, the focal point will either be clamped to the
// bounding box, or wrapped, if Wrap is on. (Note: this behavior requires
// that the bounding box is set prior to the focal point.)
//// \item @|obj.SetOutline (int )| -  Turn on/off the wireframe bounding box.
//// \item @|int = obj.GetOutline ()| -  Turn on/off the wireframe bounding box.
//// \item @|obj.OutlineOn ()| -  Turn on/off the wireframe bounding box.
//// \item @|obj.OutlineOff ()| -  Turn on/off the wireframe bounding box.
//// \item @|obj.SetAxes (int )| -  Turn on/off the wireframe axes.
//// \item @|int = obj.GetAxes ()| -  Turn on/off the wireframe axes.
//// \item @|obj.AxesOn ()| -  Turn on/off the wireframe axes.
//// \item @|obj.AxesOff ()| -  Turn on/off the wireframe axes.
//// \item @|obj.SetXShadows (int )| -  Turn on/off the wireframe x-shadows.
//// \item @|int = obj.GetXShadows ()| -  Turn on/off the wireframe x-shadows.
//// \item @|obj.XShadowsOn ()| -  Turn on/off the wireframe x-shadows.
//// \item @|obj.XShadowsOff ()| -  Turn on/off the wireframe x-shadows.
//// \item @|obj.SetYShadows (int )| -  Turn on/off the wireframe y-shadows.
//// \item @|int = obj.GetYShadows ()| -  Turn on/off the wireframe y-shadows.
//// \item @|obj.YShadowsOn ()| -  Turn on/off the wireframe y-shadows.
//// \item @|obj.YShadowsOff ()| -  Turn on/off the wireframe y-shadows.
//// \item @|obj.SetZShadows (int )| -  Turn on/off the wireframe z-shadows.
//// \item @|int = obj.GetZShadows ()| -  Turn on/off the wireframe z-shadows.
//// \item @|obj.ZShadowsOn ()| -  Turn on/off the wireframe z-shadows.
//// \item @|obj.ZShadowsOff ()| -  Turn on/off the wireframe z-shadows.
//// \item @|obj.SetTranslationMode (int )| -  Enable/disable the translation mode. If on, changes in cursor position
// cause the entire widget to translate along with the cursor.
// By default, translation mode is off.
//// \item @|int = obj.GetTranslationMode ()| -  Enable/disable the translation mode. If on, changes in cursor position
// cause the entire widget to translate along with the cursor.
// By default, translation mode is off.
//// \item @|obj.TranslationModeOn ()| -  Enable/disable the translation mode. If on, changes in cursor position
// cause the entire widget to translate along with the cursor.
// By default, translation mode is off.
//// \item @|obj.TranslationModeOff ()| -  Enable/disable the translation mode. If on, changes in cursor position
// cause the entire widget to translate along with the cursor.
// By default, translation mode is off.
//// \item @|obj.SetWrap (int )| -  Turn on/off cursor wrapping. If the cursor focus moves outside the
// specified bounds, the cursor will either be restrained against the
// nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).
//// \item @|int = obj.GetWrap ()| -  Turn on/off cursor wrapping. If the cursor focus moves outside the
// specified bounds, the cursor will either be restrained against the
// nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).
//// \item @|obj.WrapOn ()| -  Turn on/off cursor wrapping. If the cursor focus moves outside the
// specified bounds, the cursor will either be restrained against the
// nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).
//// \item @|obj.WrapOff ()| -  Turn on/off cursor wrapping. If the cursor focus moves outside the
// specified bounds, the cursor will either be restrained against the
// nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).
//// \item @|vtkPolyData = obj.GetFocus ()| -  Get the focus for this filter.
//// \item @|obj.AllOn ()| -  Turn every part of the 3D cursor on or off.
//// \item @|obj.AllOff ()| -  Turn every part of the 3D cursor on or off.
////\end{itemize}
//!
