#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCurvatures object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCurvatures.h"

//@@Signature
//sfunction @vtkCurvatures:vtkCurvatures vtkCurvaturesConstructorFunction
//input a
//output p
//@@Parents vtkCurvatures vtkPolyDataAlgorithm 
ArrayVector vtkCurvaturesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCurvatures::New(),"vtkCurvatures",eval);
  } else if (arg[0].className() == "vtkCurvatures") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCurvatures"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCurvatures");
    vtkCurvatures*q = reinterpret_cast<vtkCurvatures*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCurvatures");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCurvatures:GetClassName vtkCurvaturesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCurvaturesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCurvatures requires 1 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:IsA vtkCurvaturesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCurvaturesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCurvatures requires 2 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:NewInstance vtkCurvaturesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCurvaturesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCurvatures *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCurvatures requires 1 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  vtkCurvatures  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCurvatures",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:SafeDownCast vtkCurvaturesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCurvaturesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCurvatures *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCurvatures requires 2 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCurvatures  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCurvatures",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:SetCurvatureType vtkCurvaturesSetCurvatureTypeFunction
//input a0 a1 
//output none
ArrayVector vtkCurvaturesSetCurvatureTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurvatureType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurvatureType for class vtkCurvatures requires 2 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCurvatureType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:GetCurvatureType vtkCurvaturesGetCurvatureTypeFunction
//input a0 
//output y
ArrayVector vtkCurvaturesGetCurvatureTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCurvatureType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurvatureType for class vtkCurvatures requires 1 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCurvatureType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:SetCurvatureTypeToGaussian vtkCurvaturesSetCurvatureTypeToGaussianFunction
//input a0 
//output none
ArrayVector vtkCurvaturesSetCurvatureTypeToGaussianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurvatureTypeToGaussian ();this SetCurvatureType VTK_CURVATURE_GAUSS  */
  if (arg.size() < 1) 
    throw Exception("Function SetCurvatureTypeToGaussian for class vtkCurvatures requires 1 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  vtk_pointer->SetCurvatureTypeToGaussian();
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:SetCurvatureTypeToMean vtkCurvaturesSetCurvatureTypeToMeanFunction
//input a0 
//output none
ArrayVector vtkCurvaturesSetCurvatureTypeToMeanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurvatureTypeToMean ();this SetCurvatureType VTK_CURVATURE_MEAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetCurvatureTypeToMean for class vtkCurvatures requires 1 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  vtk_pointer->SetCurvatureTypeToMean();
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:SetCurvatureTypeToMaximum vtkCurvaturesSetCurvatureTypeToMaximumFunction
//input a0 
//output none
ArrayVector vtkCurvaturesSetCurvatureTypeToMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurvatureTypeToMaximum ();this SetCurvatureType VTK_CURVATURE_MAXIMUM  */
  if (arg.size() < 1) 
    throw Exception("Function SetCurvatureTypeToMaximum for class vtkCurvatures requires 1 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  vtk_pointer->SetCurvatureTypeToMaximum();
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:SetCurvatureTypeToMinimum vtkCurvaturesSetCurvatureTypeToMinimumFunction
//input a0 
//output none
ArrayVector vtkCurvaturesSetCurvatureTypeToMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurvatureTypeToMinimum ();this SetCurvatureType VTK_CURVATURE_MINIMUM  */
  if (arg.size() < 1) 
    throw Exception("Function SetCurvatureTypeToMinimum for class vtkCurvatures requires 1 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  vtk_pointer->SetCurvatureTypeToMinimum();
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:SetInvertMeanCurvature vtkCurvaturesSetInvertMeanCurvatureFunction
//input a0 a1 
//output none
ArrayVector vtkCurvaturesSetInvertMeanCurvatureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInvertMeanCurvature (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInvertMeanCurvature for class vtkCurvatures requires 2 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInvertMeanCurvature(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:GetInvertMeanCurvature vtkCurvaturesGetInvertMeanCurvatureFunction
//input a0 
//output y
ArrayVector vtkCurvaturesGetInvertMeanCurvatureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInvertMeanCurvature (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInvertMeanCurvature for class vtkCurvatures requires 1 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInvertMeanCurvature();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:InvertMeanCurvatureOn vtkCurvaturesInvertMeanCurvatureOnFunction
//input a0 
//output none
ArrayVector vtkCurvaturesInvertMeanCurvatureOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InvertMeanCurvatureOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InvertMeanCurvatureOn for class vtkCurvatures requires 1 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  vtk_pointer->InvertMeanCurvatureOn();
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:InvertMeanCurvatureOff vtkCurvaturesInvertMeanCurvatureOffFunction
//input a0 
//output none
ArrayVector vtkCurvaturesInvertMeanCurvatureOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InvertMeanCurvatureOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InvertMeanCurvatureOff for class vtkCurvatures requires 1 argument(s)");
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  Array retval;
  vtk_pointer->InvertMeanCurvatureOff();
  return retval;
}

//@@Signature
//sfunction @vtkCurvatures:display vtkCurvaturesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCurvaturesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCurvatures* vtk_pointer = GetVTKPointer<vtkCurvatures>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCurvatures:delete vtkCurvaturesDeleteFunction
//input varargin
//output none
ArrayVector vtkCurvaturesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCurvatures
//@@Section VTKGraphics
//@@Usage
// vtkCurvatures takes a polydata input and computes the curvature of the
// mesh at each point. Four possible methods of computation are available :
//
// Gauss Curvature
// discrete Gauss curvature (K) computation,
// \f$K(vertex v) = 2*PI-\sum_{facet neighbs f of v} (angle_f at v)\f$
// The contribution of every facet is for the moment weighted by \f$Area(facet)/3\f$
// The units of Gaussian Curvature are \f$[1/m^2]\f$
//
// Mean Curvature
// \f$H(vertex v) = average over edges neighbs e of H(e)\f$
// \f$H(edge e) = length(e)*dihedral_angle(e)\f$
// NB: dihedral_angle is the ORIENTED angle between -PI and PI,
// this means that the surface is assumed to be orientable
// the computation creates the orientation
// The units of Mean Curvature are [1/m]
//
// Maximum (\f$k_max\f$) and Minimum (\f$k_min\f$) Principal Curvatures
// \f$k_max = H + sqrt(H^2 - K)\f$
// \f$k_min = H - sqrt(H^2 - K)\f$
// Excepting spherical and planar surfaces which have equal principal curvatures,
// the curvature at a point on a surface varies with the direction one "sets off"
// from the point. For all directions, the curvature will pass through two extrema:
// a minimum (\f$k_min\f$) and a maximum (\f$k_max\f$) which occur at mutually orthogonal
// directions to each other.
//
// NB. The sign of the Gauss curvature is a geometric ivariant, it should be +ve
// when the surface looks like a sphere, -ve when it looks like a saddle,
// however, the sign of the Mean curvature is not, it depends on the
// convention for normals - This code assumes that normals point outwards (ie
// from the surface of a sphere outwards). If a given mesh produces curvatures
// of opposite senses then the flag InvertMeanCurvature can be set and the
// Curvature reported by the Mean calculation will be inverted.
//
// .SECTION Thanks
// Philip Batchelor philipp.batchelor@kcl.ac.uk for creating and contributing
// the class and Andrew Maclean a.maclean@acfr.usyd.edu.au for cleanups and 
// fixes. Thanks also to Goodwin Lawlor for contributing patch to calculate
// principal curvatures
//
//To create an instance of class vtkCurvatures, simply
//invoke its constructor as follows
//@[
//  obj = vtkCurvatures
//@]
//@@Methods
//The class vtkCurvatures has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCurvatures class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCurvatures = obj.NewInstance ()|
// \item @|vtkCurvatures = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCurvatureType (int )| -  Set/Get Curvature type
// VTK_CURVATURE_GAUSS: Gaussian curvature, stored as
// DataArray "Gauss_Curvature"
// VTK_CURVATURE_MEAN : Mean curvature, stored as
// DataArray "Mean_Curvature"
//// \item @|int = obj.GetCurvatureType ()| -  Set/Get Curvature type
// VTK_CURVATURE_GAUSS: Gaussian curvature, stored as
// DataArray "Gauss_Curvature"
// VTK_CURVATURE_MEAN : Mean curvature, stored as
// DataArray "Mean_Curvature"
//// \item @|obj.SetCurvatureTypeToGaussian ()| -  Set/Get Curvature type
// VTK_CURVATURE_GAUSS: Gaussian curvature, stored as
// DataArray "Gauss_Curvature"
// VTK_CURVATURE_MEAN : Mean curvature, stored as
// DataArray "Mean_Curvature"
//// \item @|obj.SetCurvatureTypeToMean ()| -  Set/Get Curvature type
// VTK_CURVATURE_GAUSS: Gaussian curvature, stored as
// DataArray "Gauss_Curvature"
// VTK_CURVATURE_MEAN : Mean curvature, stored as
// DataArray "Mean_Curvature"
//// \item @|obj.SetCurvatureTypeToMaximum ()| -  Set/Get Curvature type
// VTK_CURVATURE_GAUSS: Gaussian curvature, stored as
// DataArray "Gauss_Curvature"
// VTK_CURVATURE_MEAN : Mean curvature, stored as
// DataArray "Mean_Curvature"
//// \item @|obj.SetCurvatureTypeToMinimum ()| -  Set/Get the flag which inverts the mean curvature calculation for
// meshes with inward pointing normals (default false)
//// \item @|obj.SetInvertMeanCurvature (int )| -  Set/Get the flag which inverts the mean curvature calculation for
// meshes with inward pointing normals (default false)
//// \item @|int = obj.GetInvertMeanCurvature ()| -  Set/Get the flag which inverts the mean curvature calculation for
// meshes with inward pointing normals (default false)
//// \item @|obj.InvertMeanCurvatureOn ()| -  Set/Get the flag which inverts the mean curvature calculation for
// meshes with inward pointing normals (default false)
//// \item @|obj.InvertMeanCurvatureOff ()| -  Set/Get the flag which inverts the mean curvature calculation for
// meshes with inward pointing normals (default false)
////\end{itemize}
//!
