#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCutter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCutter.h"

//@@Signature
//sfunction @vtkCutter:vtkCutter vtkCutterConstructorFunction
//input a
//output p
//@@Parents vtkCutter vtkPolyDataAlgorithm 
ArrayVector vtkCutterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCutter::New(),"vtkCutter",eval);
  } else if (arg[0].className() == "vtkCutter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCutter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCutter");
    vtkCutter*q = reinterpret_cast<vtkCutter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCutter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCutter:GetClassName vtkCutterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCutterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutter:IsA vtkCutterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCutterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCutter requires 2 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutter:NewInstance vtkCutterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCutterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCutter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtkCutter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCutter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:SafeDownCast vtkCutterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCutterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCutter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCutter requires 2 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCutter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCutter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:SetValue vtkCutterSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCutterSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value);this ContourValues SetValue i value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkCutter requires 3 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetValue vtkCutterGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkCutterGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i);return this ContourValues GetValue i  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkCutter requires 2 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetValues__2 vtkCutterGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkCutterGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues);this ContourValues GetValues contourValues  */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkCutter requires 2 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:SetNumberOfContours vtkCutterSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkCutterSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number);this ContourValues SetNumberOfContours number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkCutter requires 2 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetNumberOfContours vtkCutterGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkCutterGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours ();return this ContourValues GetNumberOfContours  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GenerateValues__1 vtkCutterGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkCutterGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]);this ContourValues GenerateValues numContours range  */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkCutter requires 3 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GenerateValues__2 vtkCutterGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCutterGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd);this ContourValues GenerateValues numContours rangeStart rangeEnd  */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkCutter requires 4 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetMTime vtkCutterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkCutterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutter:SetCutFunction vtkCutterSetCutFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkCutterSetCutFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCutFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutFunction for class vtkCutter requires 2 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetCutFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetCutFunction vtkCutterGetCutFunctionFunction
//input a0 
//output y
ArrayVector vtkCutterGetCutFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetCutFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutFunction for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetCutFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:SetGenerateCutScalars vtkCutterSetGenerateCutScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkCutterSetGenerateCutScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateCutScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateCutScalars for class vtkCutter requires 2 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateCutScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetGenerateCutScalars vtkCutterGetGenerateCutScalarsFunction
//input a0 
//output y
ArrayVector vtkCutterGetGenerateCutScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateCutScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateCutScalars for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateCutScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GenerateCutScalarsOn vtkCutterGenerateCutScalarsOnFunction
//input a0 
//output none
ArrayVector vtkCutterGenerateCutScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCutScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCutScalarsOn for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCutScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GenerateCutScalarsOff vtkCutterGenerateCutScalarsOffFunction
//input a0 
//output none
ArrayVector vtkCutterGenerateCutScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCutScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCutScalarsOff for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCutScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkCutter:SetLocator vtkCutterSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkCutterSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkCutter requires 2 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetLocator vtkCutterGetLocatorFunction
//input a0 
//output y
ArrayVector vtkCutterGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:SetSortBy vtkCutterSetSortByFunction
//input a0 a1 
//output none
ArrayVector vtkCutterSetSortByFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortBy (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSortBy for class vtkCutter requires 2 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSortBy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetSortByMinValue vtkCutterGetSortByMinValueFunction
//input a0 
//output y
ArrayVector vtkCutterGetSortByMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortByMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortByMinValue for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortByMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetSortByMaxValue vtkCutterGetSortByMaxValueFunction
//input a0 
//output y
ArrayVector vtkCutterGetSortByMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortByMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortByMaxValue for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortByMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetSortBy vtkCutterGetSortByFunction
//input a0 
//output y
ArrayVector vtkCutterGetSortByFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortBy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortBy for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortBy();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutter:SetSortByToSortByValue vtkCutterSetSortByToSortByValueFunction
//input a0 
//output none
ArrayVector vtkCutterSetSortByToSortByValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortByToSortByValue ();this SetSortBy VTK_SORT_BY_VALUE  */
  if (arg.size() < 1) 
    throw Exception("Function SetSortByToSortByValue for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtk_pointer->SetSortByToSortByValue();
  return retval;
}

//@@Signature
//sfunction @vtkCutter:SetSortByToSortByCell vtkCutterSetSortByToSortByCellFunction
//input a0 
//output none
ArrayVector vtkCutterSetSortByToSortByCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortByToSortByCell ();this SetSortBy VTK_SORT_BY_CELL  */
  if (arg.size() < 1) 
    throw Exception("Function SetSortByToSortByCell for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtk_pointer->SetSortByToSortByCell();
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetSortByAsString vtkCutterGetSortByAsStringFunction
//input a0 
//output y
ArrayVector vtkCutterGetSortByAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetSortByAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortByAsString for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetSortByAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutter:CreateDefaultLocator vtkCutterCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkCutterCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkCutter requires 1 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetCellTypeDimensions vtkCutterGetCellTypeDimensionsFunction
//input a0 a1 
//output none
ArrayVector vtkCutterGetCellTypeDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetCellTypeDimensions (unsigned char *cellTypeDimensions); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellTypeDimensions for class vtkCutter requires 2 argument(s)");
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  Array retval;
  unsigned char    *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  vtk_pointer->GetCellTypeDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutter:GetValues vtkCutterGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkCutterGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCutterGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCutterGetValues");
}

//@@Signature
//sfunction @vtkCutter:GenerateValues vtkCutterGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkCutterGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkCutterGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCutterGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCutterGenerateValues");
}

//@@Signature
//sfunction @vtkCutter:display vtkCutterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCutterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCutter* vtk_pointer = GetVTKPointer<vtkCutter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCutter:delete vtkCutterDeleteFunction
//input varargin
//output none
ArrayVector vtkCutterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCutter
//@@Section VTKGraphics
//@@Usage
// vtkCutter is a filter to cut through data using any subclass of 
// vtkImplicitFunction. That is, a polygonal surface is created
// corresponding to the implicit function F(x,y,z) = value(s), where
// you can specify one or more values used to cut with.
//
// In VTK, cutting means reducing a cell of dimension N to a cut surface
// of dimension N-1. For example, a tetrahedron when cut by a plane (i.e.,
// vtkPlane implicit function) will generate triangles. (In comparison,
// clipping takes a N dimensional cell and creates N dimension primitives.)
//
// vtkCutter is generally used to "slice-through" a dataset, generating
// a surface that can be visualized. It is also possible to use vtkCutter
// to do a form of volume rendering. vtkCutter does this by generating
// multiple cut surfaces (usually planes) which are ordered (and rendered)
// from back-to-front. The surfaces are set translucent to give a 
// volumetric rendering effect.
//
// Note that data can be cut using either 1) the scalar values associated
// with the dataset or 2) an implicit function associated with this class.
// By default, if an implicit function is set it is used to clip the data
// set, otherwise the dataset scalars are used to perform the clipping.
//
//To create an instance of class vtkCutter, simply
//invoke its constructor as follows
//@[
//  obj = vtkCutter
//@]
//@@Methods
//The class vtkCutter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCutter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCutter = obj.NewInstance ()|
// \item @|vtkCutter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (int i, double value)| -  Get the ith contour value.
//// \item @|double = obj.GetValue (int i)| -  Get a pointer to an array of contour values. There will be
// GetNumberOfContours() values in the list.
//// \item @|obj.GetValues (double contourValues)| -  Set the number of contours to place into the list. You only really
// need to use this method to reduce list size. The method SetValue()
// will automatically increase list size as needed.
//// \item @|obj.SetNumberOfContours (int number)| -  Get the number of contours in the list of contour values.
//// \item @|int = obj.GetNumberOfContours ()| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Override GetMTime because we delegate to vtkContourValues and refer to
// vtkImplicitFunction.
//// \item @|long = obj.GetMTime ()| -  Override GetMTime because we delegate to vtkContourValues and refer to
// vtkImplicitFunction.
//// \item @|obj.SetCutFunction (vtkImplicitFunction )|
// \item @|vtkImplicitFunction = obj.GetCutFunction ()|
// \item @|obj.SetGenerateCutScalars (int )| -  If this flag is enabled, then the output scalar values will be
// interpolated from the implicit function values, and not the input scalar
// data.
//// \item @|int = obj.GetGenerateCutScalars ()| -  If this flag is enabled, then the output scalar values will be
// interpolated from the implicit function values, and not the input scalar
// data.
//// \item @|obj.GenerateCutScalarsOn ()| -  If this flag is enabled, then the output scalar values will be
// interpolated from the implicit function values, and not the input scalar
// data.
//// \item @|obj.GenerateCutScalarsOff ()| -  If this flag is enabled, then the output scalar values will be
// interpolated from the implicit function values, and not the input scalar
// data.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Specify a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Specify a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|obj.SetSortBy (int )| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|int = obj.GetSortByMinValue ()| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|int = obj.GetSortByMaxValue ()| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|int = obj.GetSortBy ()| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|obj.SetSortByToSortByValue ()| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|obj.SetSortByToSortByCell ()| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|string = obj.GetSortByAsString ()| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified. The 
// locator is used to merge coincident points.
////\end{itemize}
//!
