#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCylinderSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCylinderSource.h"

//@@Signature
//sfunction @vtkCylinderSource:vtkCylinderSource vtkCylinderSourceConstructorFunction
//input a
//output p
//@@Parents vtkCylinderSource vtkPolyDataAlgorithm 
ArrayVector vtkCylinderSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCylinderSource::New(),"vtkCylinderSource",eval);
  } else if (arg[0].className() == "vtkCylinderSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCylinderSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCylinderSource");
    vtkCylinderSource*q = reinterpret_cast<vtkCylinderSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCylinderSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCylinderSource:GetClassName vtkCylinderSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:IsA vtkCylinderSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCylinderSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCylinderSource requires 2 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:NewInstance vtkCylinderSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCylinderSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  vtkCylinderSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCylinderSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:SafeDownCast vtkCylinderSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCylinderSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCylinderSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCylinderSource requires 2 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCylinderSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCylinderSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:SetHeight vtkCylinderSourceSetHeightFunction
//input a0 a1 
//output none
ArrayVector vtkCylinderSourceSetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeight for class vtkCylinderSource requires 2 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetHeightMinValue vtkCylinderSourceGetHeightMinValueFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetHeightMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightMinValue for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetHeightMaxValue vtkCylinderSourceGetHeightMaxValueFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetHeightMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightMaxValue for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetHeight vtkCylinderSourceGetHeightFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeight for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:SetRadius vtkCylinderSourceSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkCylinderSourceSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkCylinderSource requires 2 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetRadiusMinValue vtkCylinderSourceGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetRadiusMaxValue vtkCylinderSourceGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetRadius vtkCylinderSourceGetRadiusFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:SetCenter__1 vtkCylinderSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCylinderSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkCylinderSource requires 4 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:SetCenter__2 vtkCylinderSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkCylinderSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkCylinderSource requires 2 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetCenter vtkCylinderSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:SetResolution vtkCylinderSourceSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkCylinderSourceSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkCylinderSource requires 2 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetResolutionMinValue vtkCylinderSourceGetResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMinValue for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetResolutionMaxValue vtkCylinderSourceGetResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMaxValue for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetResolution vtkCylinderSourceGetResolutionFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:SetCapping vtkCylinderSourceSetCappingFunction
//input a0 a1 
//output none
ArrayVector vtkCylinderSourceSetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapping for class vtkCylinderSource requires 2 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:GetCapping vtkCylinderSourceGetCappingFunction
//input a0 
//output y
ArrayVector vtkCylinderSourceGetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapping for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCapping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:CappingOn vtkCylinderSourceCappingOnFunction
//input a0 
//output none
ArrayVector vtkCylinderSourceCappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOn for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  vtk_pointer->CappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:CappingOff vtkCylinderSourceCappingOffFunction
//input a0 
//output none
ArrayVector vtkCylinderSourceCappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOff for class vtkCylinderSource requires 1 argument(s)");
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  Array retval;
  vtk_pointer->CappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkCylinderSource:SetCenter vtkCylinderSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkCylinderSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCylinderSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCylinderSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCylinderSourceSetCenter");
}

//@@Signature
//sfunction @vtkCylinderSource:display vtkCylinderSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCylinderSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCylinderSource* vtk_pointer = GetVTKPointer<vtkCylinderSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCylinderSource:delete vtkCylinderSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkCylinderSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCylinderSource
//@@Section VTKGraphics
//@@Usage
// vtkCylinderSource creates a polygonal cylinder centered at Center;
// The axis of the cylinder is aligned along the global y-axis.
// The height and radius of the cylinder can be specified, as well as the
// number of sides. It is also possible to control whether the cylinder is
// open-ended or capped.
//
//To create an instance of class vtkCylinderSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkCylinderSource
//@]
//@@Methods
//The class vtkCylinderSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCylinderSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCylinderSource = obj.NewInstance ()|
// \item @|vtkCylinderSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetHeight (double )| -  Set the height of the cylinder. Initial value is 1.
//// \item @|double = obj.GetHeightMinValue ()| -  Set the height of the cylinder. Initial value is 1.
//// \item @|double = obj.GetHeightMaxValue ()| -  Set the height of the cylinder. Initial value is 1.
//// \item @|double = obj.GetHeight ()| -  Set the height of the cylinder. Initial value is 1.
//// \item @|obj.SetRadius (double )| -  Set the radius of the cylinder. Initial value is 0.5
//// \item @|double = obj.GetRadiusMinValue ()| -  Set the radius of the cylinder. Initial value is 0.5
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set the radius of the cylinder. Initial value is 0.5
//// \item @|double = obj.GetRadius ()| -  Set the radius of the cylinder. Initial value is 0.5
//// \item @|obj.SetCenter (double , double , double )| -  Set/Get cylinder center. Initial value is (0.0,0.0,0.0)
//// \item @|obj.SetCenter (double  a[3])| -  Set/Get cylinder center. Initial value is (0.0,0.0,0.0)
//// \item @|double = obj. GetCenter ()| -  Set/Get cylinder center. Initial value is (0.0,0.0,0.0)
//// \item @|obj.SetResolution (int )| -  Set the number of facets used to define cylinder. Initial value is 6.
//// \item @|int = obj.GetResolutionMinValue ()| -  Set the number of facets used to define cylinder. Initial value is 6.
//// \item @|int = obj.GetResolutionMaxValue ()| -  Set the number of facets used to define cylinder. Initial value is 6.
//// \item @|int = obj.GetResolution ()| -  Set the number of facets used to define cylinder. Initial value is 6.
//// \item @|obj.SetCapping (int )| -  Turn on/off whether to cap cylinder with polygons. Initial value is true.
//// \item @|int = obj.GetCapping ()| -  Turn on/off whether to cap cylinder with polygons. Initial value is true.
//// \item @|obj.CappingOn ()| -  Turn on/off whether to cap cylinder with polygons. Initial value is true.
//// \item @|obj.CappingOff ()| -  Turn on/off whether to cap cylinder with polygons. Initial value is true.
////\end{itemize}
//!
