#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDashedStreamLine object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDashedStreamLine.h"

//@@Signature
//sfunction @vtkDashedStreamLine:vtkDashedStreamLine vtkDashedStreamLineConstructorFunction
//input a
//output p
//@@Parents vtkDashedStreamLine vtkStreamLine 
ArrayVector vtkDashedStreamLineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDashedStreamLine::New(),"vtkDashedStreamLine",eval);
  } else if (arg[0].className() == "vtkDashedStreamLine") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDashedStreamLine"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDashedStreamLine");
    vtkDashedStreamLine*q = reinterpret_cast<vtkDashedStreamLine*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDashedStreamLine");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDashedStreamLine:GetClassName vtkDashedStreamLineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDashedStreamLineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDashedStreamLine requires 1 argument(s)");
  vtkDashedStreamLine* vtk_pointer = GetVTKPointer<vtkDashedStreamLine>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDashedStreamLine:IsA vtkDashedStreamLineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDashedStreamLineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDashedStreamLine requires 2 argument(s)");
  vtkDashedStreamLine* vtk_pointer = GetVTKPointer<vtkDashedStreamLine>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDashedStreamLine:NewInstance vtkDashedStreamLineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDashedStreamLineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDashedStreamLine *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDashedStreamLine requires 1 argument(s)");
  vtkDashedStreamLine* vtk_pointer = GetVTKPointer<vtkDashedStreamLine>(arg[0]);
  Array retval;
  vtkDashedStreamLine  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDashedStreamLine",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDashedStreamLine:SafeDownCast vtkDashedStreamLineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDashedStreamLineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDashedStreamLine *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDashedStreamLine requires 2 argument(s)");
  vtkDashedStreamLine* vtk_pointer = GetVTKPointer<vtkDashedStreamLine>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDashedStreamLine  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDashedStreamLine",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDashedStreamLine:SetDashFactor vtkDashedStreamLineSetDashFactorFunction
//input a0 a1 
//output none
ArrayVector vtkDashedStreamLineSetDashFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDashFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDashFactor for class vtkDashedStreamLine requires 2 argument(s)");
  vtkDashedStreamLine* vtk_pointer = GetVTKPointer<vtkDashedStreamLine>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDashFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDashedStreamLine:GetDashFactorMinValue vtkDashedStreamLineGetDashFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkDashedStreamLineGetDashFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDashFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDashFactorMinValue for class vtkDashedStreamLine requires 1 argument(s)");
  vtkDashedStreamLine* vtk_pointer = GetVTKPointer<vtkDashedStreamLine>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDashFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDashedStreamLine:GetDashFactorMaxValue vtkDashedStreamLineGetDashFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkDashedStreamLineGetDashFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDashFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDashFactorMaxValue for class vtkDashedStreamLine requires 1 argument(s)");
  vtkDashedStreamLine* vtk_pointer = GetVTKPointer<vtkDashedStreamLine>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDashFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDashedStreamLine:GetDashFactor vtkDashedStreamLineGetDashFactorFunction
//input a0 
//output y
ArrayVector vtkDashedStreamLineGetDashFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDashFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDashFactor for class vtkDashedStreamLine requires 1 argument(s)");
  vtkDashedStreamLine* vtk_pointer = GetVTKPointer<vtkDashedStreamLine>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDashFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDashedStreamLine:display vtkDashedStreamLineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDashedStreamLineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDashedStreamLine* vtk_pointer = GetVTKPointer<vtkDashedStreamLine>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDashedStreamLine:delete vtkDashedStreamLineDeleteFunction
//input varargin
//output none
ArrayVector vtkDashedStreamLineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDashedStreamLine
//@@Section VTKGraphics
//@@Usage
// vtkDashedStreamLine is a filter that generates a "dashed" streamline for 
// an arbitrary dataset. The streamline consists of a series of dashes, each 
// of which represents (approximately) a constant time increment. Thus, in the
// resulting visual representation, relatively long dashes represent areas of 
// high velocity, and small dashes represent areas of low velocity.
//
// vtkDashedStreamLine introduces the instance variable DashFactor. 
// DashFactor interacts with its superclass' instance variable StepLength to
// create the dashes. DashFactor is the percentage of the StepLength line 
// segment that is visible. Thus, if the DashFactor=0.75, the dashes will be 
// "three-quarters on" and "one-quarter off".
//
//To create an instance of class vtkDashedStreamLine, simply
//invoke its constructor as follows
//@[
//  obj = vtkDashedStreamLine
//@]
//@@Methods
//The class vtkDashedStreamLine has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDashedStreamLine class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDashedStreamLine = obj.NewInstance ()|
// \item @|vtkDashedStreamLine = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDashFactor (double )| -  For each dash, specify the fraction of the dash that is "on". A factor
// of 1.0 will result in a continuous line, a factor of 0.5 will result in 
// dashed that are half on and half off.
//// \item @|double = obj.GetDashFactorMinValue ()| -  For each dash, specify the fraction of the dash that is "on". A factor
// of 1.0 will result in a continuous line, a factor of 0.5 will result in 
// dashed that are half on and half off.
//// \item @|double = obj.GetDashFactorMaxValue ()| -  For each dash, specify the fraction of the dash that is "on". A factor
// of 1.0 will result in a continuous line, a factor of 0.5 will result in 
// dashed that are half on and half off.
//// \item @|double = obj.GetDashFactor ()| -  For each dash, specify the fraction of the dash that is "on". A factor
// of 1.0 will result in a continuous line, a factor of 0.5 will result in 
// dashed that are half on and half off.
////\end{itemize}
//!
