#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataObjectGenerator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataObjectGenerator.h"

//@@Signature
//sfunction @vtkDataObjectGenerator:vtkDataObjectGenerator vtkDataObjectGeneratorConstructorFunction
//input a
//output p
//@@Parents vtkDataObjectGenerator vtkDataObjectAlgorithm 
ArrayVector vtkDataObjectGeneratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataObjectGenerator::New(),"vtkDataObjectGenerator",eval);
  } else if (arg[0].className() == "vtkDataObjectGenerator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataObjectGenerator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataObjectGenerator");
    vtkDataObjectGenerator*q = reinterpret_cast<vtkDataObjectGenerator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataObjectGenerator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataObjectGenerator:GetClassName vtkDataObjectGeneratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectGeneratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataObjectGenerator requires 1 argument(s)");
  vtkDataObjectGenerator* vtk_pointer = GetVTKPointer<vtkDataObjectGenerator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectGenerator:IsA vtkDataObjectGeneratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectGeneratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataObjectGenerator requires 2 argument(s)");
  vtkDataObjectGenerator* vtk_pointer = GetVTKPointer<vtkDataObjectGenerator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectGenerator:NewInstance vtkDataObjectGeneratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataObjectGeneratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectGenerator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataObjectGenerator requires 1 argument(s)");
  vtkDataObjectGenerator* vtk_pointer = GetVTKPointer<vtkDataObjectGenerator>(arg[0]);
  Array retval;
  vtkDataObjectGenerator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectGenerator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectGenerator:SafeDownCast vtkDataObjectGeneratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectGeneratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectGenerator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataObjectGenerator requires 2 argument(s)");
  vtkDataObjectGenerator* vtk_pointer = GetVTKPointer<vtkDataObjectGenerator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataObjectGenerator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectGenerator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectGenerator:SetProgram vtkDataObjectGeneratorSetProgramFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectGeneratorSetProgramFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProgram (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetProgram for class vtkDataObjectGenerator requires 2 argument(s)");
  vtkDataObjectGenerator* vtk_pointer = GetVTKPointer<vtkDataObjectGenerator>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetProgram(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectGenerator:GetProgram vtkDataObjectGeneratorGetProgramFunction
//input a0 
//output y
ArrayVector vtkDataObjectGeneratorGetProgramFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetProgram (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgram for class vtkDataObjectGenerator requires 1 argument(s)");
  vtkDataObjectGenerator* vtk_pointer = GetVTKPointer<vtkDataObjectGenerator>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetProgram();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectGenerator:display vtkDataObjectGeneratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectGeneratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataObjectGenerator* vtk_pointer = GetVTKPointer<vtkDataObjectGenerator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataObjectGenerator:delete vtkDataObjectGeneratorDeleteFunction
//input varargin
//output none
ArrayVector vtkDataObjectGeneratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataObjectGenerator
//@@Section VTKGraphics
//@@Usage
// vtkDataObjectGenerator parses a string and produces dataobjects from the
// dataobject template names it sees in the string. For example, if the string
// contains "ID1" the generator will create a vtkImageData. "UF1", "RG1", 
// "SG1", "PD1", and "UG1" will produce vtkUniformGrid, vtkRectilinearGrid,
// vtkStructuredGrid, vtkPolyData and vtkUnstructuredGrid respectively.
// "PD2" will produce an alternate vtkPolyData. You 
// can compose composite datasets from the atomic ones listed above
// by placing them within one of the two composite dataset identifiers
// - "MB{}" or "HB[]". "MB{ ID1 PD1 MB{} }" for example will create a 
// vtkMultiBlockDataSet consisting of three blocks: image data, poly data, 
// multi-block (empty). Hierarchical Box data sets additionally require
// the notion of groups, declared within "()" braces, to specify AMR depth.
// "HB[ (UF1)(UF1)(UF1) ]" will create a vtkHierarchicalBoxDataSet representing
// an octree that is three levels deep, in which the firstmost cell in each level
// is refined.
//
//To create an instance of class vtkDataObjectGenerator, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataObjectGenerator
//@]
//@@Methods
//The class vtkDataObjectGenerator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataObjectGenerator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataObjectGenerator = obj.NewInstance ()|
// \item @|vtkDataObjectGenerator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetProgram (string )| -  The string that will be parsed to specify a dataobject structure.
//// \item @|string = obj.GetProgram ()| -  The string that will be parsed to specify a dataobject structure.
////\end{itemize}
//!
