#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataObjectToDataSetFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataObjectToDataSetFilter.h"

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:vtkDataObjectToDataSetFilter vtkDataObjectToDataSetFilterConstructorFunction
//input a
//output p
//@@Parents vtkDataObjectToDataSetFilter vtkDataSetAlgorithm 
ArrayVector vtkDataObjectToDataSetFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataObjectToDataSetFilter::New(),"vtkDataObjectToDataSetFilter",eval);
  } else if (arg[0].className() == "vtkDataObjectToDataSetFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataObjectToDataSetFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataObjectToDataSetFilter");
    vtkDataObjectToDataSetFilter*q = reinterpret_cast<vtkDataObjectToDataSetFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataObjectToDataSetFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetClassName vtkDataObjectToDataSetFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:IsA vtkDataObjectToDataSetFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectToDataSetFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:NewInstance vtkDataObjectToDataSetFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectToDataSetFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtkDataObjectToDataSetFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectToDataSetFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SafeDownCast vtkDataObjectToDataSetFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectToDataSetFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectToDataSetFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataObjectToDataSetFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectToDataSetFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetInput vtkDataObjectToDataSetFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDataSetType vtkDataObjectToDataSetFilterSetDataSetTypeFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDataSetTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSetType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSetType for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataSetType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetDataSetType vtkDataObjectToDataSetFilterGetDataSetTypeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetDataSetTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataSetType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSetType for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataSetType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDataSetTypeToPolyData vtkDataObjectToDataSetFilterSetDataSetTypeToPolyDataFunction
//input a0 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDataSetTypeToPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSetTypeToPolyData ();this SetDataSetType VTK_POLY_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataSetTypeToPolyData for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetDataSetTypeToPolyData();
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDataSetTypeToStructuredPoints vtkDataObjectToDataSetFilterSetDataSetTypeToStructuredPointsFunction
//input a0 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDataSetTypeToStructuredPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSetTypeToStructuredPoints ();this SetDataSetType VTK_STRUCTURED_POINTS  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataSetTypeToStructuredPoints for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetDataSetTypeToStructuredPoints();
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDataSetTypeToStructuredGrid vtkDataObjectToDataSetFilterSetDataSetTypeToStructuredGridFunction
//input a0 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDataSetTypeToStructuredGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSetTypeToStructuredGrid ();this SetDataSetType VTK_STRUCTURED_GRID  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataSetTypeToStructuredGrid for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetDataSetTypeToStructuredGrid();
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDataSetTypeToRectilinearGrid vtkDataObjectToDataSetFilterSetDataSetTypeToRectilinearGridFunction
//input a0 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDataSetTypeToRectilinearGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSetTypeToRectilinearGrid ();this SetDataSetType VTK_RECTILINEAR_GRID  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataSetTypeToRectilinearGrid for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetDataSetTypeToRectilinearGrid();
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDataSetTypeToUnstructuredGrid vtkDataObjectToDataSetFilterSetDataSetTypeToUnstructuredGridFunction
//input a0 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDataSetTypeToUnstructuredGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSetTypeToUnstructuredGrid ();this SetDataSetType VTK_UNSTRUCTURED_GRID  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataSetTypeToUnstructuredGrid for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetDataSetTypeToUnstructuredGrid();
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetOutput__1 vtkDataObjectToDataSetFilterGetOutput__1Function
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetOutput__2 vtkDataObjectToDataSetFilterGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetPolyDataOutput vtkDataObjectToDataSetFilterGetPolyDataOutputFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetPolyDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPolyDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataOutput for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetStructuredPointsOutput vtkDataObjectToDataSetFilterGetStructuredPointsOutputFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetStructuredPointsOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetStructuredPointsOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredPointsOutput for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetStructuredPointsOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetStructuredGridOutput vtkDataObjectToDataSetFilterGetStructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetStructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetStructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredGridOutput for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetStructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetUnstructuredGridOutput vtkDataObjectToDataSetFilterGetUnstructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetUnstructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGridOutput for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetRectilinearGridOutput vtkDataObjectToDataSetFilterGetRectilinearGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetRectilinearGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetRectilinearGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRectilinearGridOutput for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->GetRectilinearGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetPointComponent__1 vtkDataObjectToDataSetFilterSetPointComponent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetPointComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointComponent (int comp, char *arrayName, int arrayComp, int min, int max, int normalize); */
  if (arg.size() < 7) 
    throw Exception("Function SetPointComponent__1 for class vtkDataObjectToDataSetFilter requires 7 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetPointComponent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetPointComponent__2 vtkDataObjectToDataSetFilterSetPointComponent__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetPointComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointComponent (int comp, char *arrayName, int arrayComp);this SetPointComponent comp arrayName arrayComp this DefaultNormalize  */
  if (arg.size() < 4) 
    throw Exception("Function SetPointComponent__2 for class vtkDataObjectToDataSetFilter requires 4 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetPointComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetPointComponentArrayName vtkDataObjectToDataSetFilterGetPointComponentArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetPointComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPointComponentArrayName (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointComponentArrayName for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointComponentArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetPointComponentArrayComponent vtkDataObjectToDataSetFilterGetPointComponentArrayComponentFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetPointComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointComponentArrayComponent (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointComponentArrayComponent for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointComponentArrayComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetPointComponentMinRange vtkDataObjectToDataSetFilterGetPointComponentMinRangeFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetPointComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointComponentMinRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointComponentMinRange for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointComponentMinRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetPointComponentMaxRange vtkDataObjectToDataSetFilterGetPointComponentMaxRangeFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetPointComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointComponentMaxRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointComponentMaxRange for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointComponentMaxRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetPointComponentNormailzeFlag vtkDataObjectToDataSetFilterGetPointComponentNormailzeFlagFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetPointComponentNormailzeFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointComponentNormailzeFlag (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointComponentNormailzeFlag for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointComponentNormailzeFlag(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetVertsComponent__1 vtkDataObjectToDataSetFilterSetVertsComponent__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetVertsComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertsComponent (char *arrayName, int arrayComp, int min, int max); */
  if (arg.size() < 5) 
    throw Exception("Function SetVertsComponent__1 for class vtkDataObjectToDataSetFilter requires 5 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetVertsComponent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetVertsComponent__2 vtkDataObjectToDataSetFilterSetVertsComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetVertsComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertsComponent (char *arrayName, int arrayComp);this SetVertsComponent arrayName arrayComp  */
  if (arg.size() < 3) 
    throw Exception("Function SetVertsComponent__2 for class vtkDataObjectToDataSetFilter requires 3 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetVertsComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetVertsComponentArrayName vtkDataObjectToDataSetFilterGetVertsComponentArrayNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetVertsComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVertsComponentArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertsComponentArrayName for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVertsComponentArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetVertsComponentArrayComponent vtkDataObjectToDataSetFilterGetVertsComponentArrayComponentFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetVertsComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVertsComponentArrayComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertsComponentArrayComponent for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVertsComponentArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetVertsComponentMinRange vtkDataObjectToDataSetFilterGetVertsComponentMinRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetVertsComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVertsComponentMinRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertsComponentMinRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVertsComponentMinRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetVertsComponentMaxRange vtkDataObjectToDataSetFilterGetVertsComponentMaxRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetVertsComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVertsComponentMaxRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertsComponentMaxRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVertsComponentMaxRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetLinesComponent__1 vtkDataObjectToDataSetFilterSetLinesComponent__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetLinesComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLinesComponent (char *arrayName, int arrayComp, int min, int max); */
  if (arg.size() < 5) 
    throw Exception("Function SetLinesComponent__1 for class vtkDataObjectToDataSetFilter requires 5 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetLinesComponent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetLinesComponent__2 vtkDataObjectToDataSetFilterSetLinesComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetLinesComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLinesComponent (char *arrayName, int arrayComp);this SetLinesComponent arrayName arrayComp  */
  if (arg.size() < 3) 
    throw Exception("Function SetLinesComponent__2 for class vtkDataObjectToDataSetFilter requires 3 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetLinesComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetLinesComponentArrayName vtkDataObjectToDataSetFilterGetLinesComponentArrayNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetLinesComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetLinesComponentArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLinesComponentArrayName for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLinesComponentArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetLinesComponentArrayComponent vtkDataObjectToDataSetFilterGetLinesComponentArrayComponentFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetLinesComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLinesComponentArrayComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLinesComponentArrayComponent for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLinesComponentArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetLinesComponentMinRange vtkDataObjectToDataSetFilterGetLinesComponentMinRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetLinesComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLinesComponentMinRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLinesComponentMinRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLinesComponentMinRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetLinesComponentMaxRange vtkDataObjectToDataSetFilterGetLinesComponentMaxRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetLinesComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLinesComponentMaxRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLinesComponentMaxRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLinesComponentMaxRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetPolysComponent__1 vtkDataObjectToDataSetFilterSetPolysComponent__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetPolysComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPolysComponent (char *arrayName, int arrayComp, int min, int max); */
  if (arg.size() < 5) 
    throw Exception("Function SetPolysComponent__1 for class vtkDataObjectToDataSetFilter requires 5 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetPolysComponent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetPolysComponent__2 vtkDataObjectToDataSetFilterSetPolysComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetPolysComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPolysComponent (char *arrayName, int arrayComp);this SetPolysComponent arrayName arrayComp  */
  if (arg.size() < 3) 
    throw Exception("Function SetPolysComponent__2 for class vtkDataObjectToDataSetFilter requires 3 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPolysComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetPolysComponentArrayName vtkDataObjectToDataSetFilterGetPolysComponentArrayNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetPolysComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPolysComponentArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolysComponentArrayName for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetPolysComponentArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetPolysComponentArrayComponent vtkDataObjectToDataSetFilterGetPolysComponentArrayComponentFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetPolysComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPolysComponentArrayComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolysComponentArrayComponent for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPolysComponentArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetPolysComponentMinRange vtkDataObjectToDataSetFilterGetPolysComponentMinRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetPolysComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPolysComponentMinRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolysComponentMinRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPolysComponentMinRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetPolysComponentMaxRange vtkDataObjectToDataSetFilterGetPolysComponentMaxRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetPolysComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPolysComponentMaxRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolysComponentMaxRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPolysComponentMaxRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetStripsComponent__1 vtkDataObjectToDataSetFilterSetStripsComponent__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetStripsComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStripsComponent (char *arrayName, int arrayComp, int min, int max); */
  if (arg.size() < 5) 
    throw Exception("Function SetStripsComponent__1 for class vtkDataObjectToDataSetFilter requires 5 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetStripsComponent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetStripsComponent__2 vtkDataObjectToDataSetFilterSetStripsComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetStripsComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStripsComponent (char *arrayName, int arrayComp);this SetStripsComponent arrayName arrayComp  */
  if (arg.size() < 3) 
    throw Exception("Function SetStripsComponent__2 for class vtkDataObjectToDataSetFilter requires 3 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetStripsComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetStripsComponentArrayName vtkDataObjectToDataSetFilterGetStripsComponentArrayNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetStripsComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetStripsComponentArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStripsComponentArrayName for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetStripsComponentArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetStripsComponentArrayComponent vtkDataObjectToDataSetFilterGetStripsComponentArrayComponentFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetStripsComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStripsComponentArrayComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStripsComponentArrayComponent for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStripsComponentArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetStripsComponentMinRange vtkDataObjectToDataSetFilterGetStripsComponentMinRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetStripsComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStripsComponentMinRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStripsComponentMinRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStripsComponentMinRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetStripsComponentMaxRange vtkDataObjectToDataSetFilterGetStripsComponentMaxRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetStripsComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStripsComponentMaxRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStripsComponentMaxRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStripsComponentMaxRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetCellTypeComponent__1 vtkDataObjectToDataSetFilterSetCellTypeComponent__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetCellTypeComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeComponent (char *arrayName, int arrayComp, int min, int max); */
  if (arg.size() < 5) 
    throw Exception("Function SetCellTypeComponent__1 for class vtkDataObjectToDataSetFilter requires 5 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetCellTypeComponent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetCellTypeComponent__2 vtkDataObjectToDataSetFilterSetCellTypeComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetCellTypeComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellTypeComponent (char *arrayName, int arrayComp);this SetCellTypeComponent arrayName arrayComp  */
  if (arg.size() < 3) 
    throw Exception("Function SetCellTypeComponent__2 for class vtkDataObjectToDataSetFilter requires 3 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCellTypeComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetCellTypeComponentArrayName vtkDataObjectToDataSetFilterGetCellTypeComponentArrayNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetCellTypeComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCellTypeComponentArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellTypeComponentArrayName for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetCellTypeComponentArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetCellTypeComponentArrayComponent vtkDataObjectToDataSetFilterGetCellTypeComponentArrayComponentFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetCellTypeComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellTypeComponentArrayComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellTypeComponentArrayComponent for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellTypeComponentArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetCellTypeComponentMinRange vtkDataObjectToDataSetFilterGetCellTypeComponentMinRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetCellTypeComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellTypeComponentMinRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellTypeComponentMinRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellTypeComponentMinRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetCellTypeComponentMaxRange vtkDataObjectToDataSetFilterGetCellTypeComponentMaxRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetCellTypeComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellTypeComponentMaxRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellTypeComponentMaxRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellTypeComponentMaxRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetCellConnectivityComponent__1 vtkDataObjectToDataSetFilterSetCellConnectivityComponent__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetCellConnectivityComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellConnectivityComponent (char *arrayName, int arrayComp, int min, int max); */
  if (arg.size() < 5) 
    throw Exception("Function SetCellConnectivityComponent__1 for class vtkDataObjectToDataSetFilter requires 5 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetCellConnectivityComponent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetCellConnectivityComponent__2 vtkDataObjectToDataSetFilterSetCellConnectivityComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetCellConnectivityComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellConnectivityComponent (char *arrayName, int arrayComp);this SetCellConnectivityComponent arrayName arrayComp  */
  if (arg.size() < 3) 
    throw Exception("Function SetCellConnectivityComponent__2 for class vtkDataObjectToDataSetFilter requires 3 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCellConnectivityComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetCellConnectivityComponentArrayName vtkDataObjectToDataSetFilterGetCellConnectivityComponentArrayNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetCellConnectivityComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCellConnectivityComponentArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellConnectivityComponentArrayName for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetCellConnectivityComponentArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetCellConnectivityComponentArrayComponent vtkDataObjectToDataSetFilterGetCellConnectivityComponentArrayComponentFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetCellConnectivityComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellConnectivityComponentArrayComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellConnectivityComponentArrayComponent for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellConnectivityComponentArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetCellConnectivityComponentMinRange vtkDataObjectToDataSetFilterGetCellConnectivityComponentMinRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetCellConnectivityComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellConnectivityComponentMinRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellConnectivityComponentMinRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellConnectivityComponentMinRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetCellConnectivityComponentMaxRange vtkDataObjectToDataSetFilterGetCellConnectivityComponentMaxRangeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetCellConnectivityComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellConnectivityComponentMaxRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellConnectivityComponentMaxRange for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellConnectivityComponentMaxRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDefaultNormalize vtkDataObjectToDataSetFilterSetDefaultNormalizeFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDefaultNormalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultNormalize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultNormalize for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDefaultNormalize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetDefaultNormalize vtkDataObjectToDataSetFilterGetDefaultNormalizeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetDefaultNormalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDefaultNormalize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultNormalize for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDefaultNormalize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:DefaultNormalizeOn vtkDataObjectToDataSetFilterDefaultNormalizeOnFunction
//input a0 
//output none
ArrayVector vtkDataObjectToDataSetFilterDefaultNormalizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DefaultNormalizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DefaultNormalizeOn for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtk_pointer->DefaultNormalizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:DefaultNormalizeOff vtkDataObjectToDataSetFilterDefaultNormalizeOffFunction
//input a0 
//output none
ArrayVector vtkDataObjectToDataSetFilterDefaultNormalizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DefaultNormalizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DefaultNormalizeOff for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  vtk_pointer->DefaultNormalizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDimensions__1 vtkDataObjectToDataSetFilterSetDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensions (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDimensions__1 for class vtkDataObjectToDataSetFilter requires 4 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDimensions__2 vtkDataObjectToDataSetFilterSetDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensions (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensions__2 for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetDimensions vtkDataObjectToDataSetFilterGetDimensionsFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensions for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetOrigin__1 vtkDataObjectToDataSetFilterSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkDataObjectToDataSetFilter requires 4 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetOrigin__2 vtkDataObjectToDataSetFilterSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetOrigin vtkDataObjectToDataSetFilterGetOriginFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetSpacing__1 vtkDataObjectToDataSetFilterSetSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSpacing__1 for class vtkDataObjectToDataSetFilter requires 4 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetSpacing__2 vtkDataObjectToDataSetFilterSetSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpacing__2 for class vtkDataObjectToDataSetFilter requires 2 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetSpacing vtkDataObjectToDataSetFilterGetSpacingFunction
//input a0 
//output y
ArrayVector vtkDataObjectToDataSetFilterGetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpacing for class vtkDataObjectToDataSetFilter requires 1 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDimensionsComponent__1 vtkDataObjectToDataSetFilterSetDimensionsComponent__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDimensionsComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionsComponent (char *arrayName, int arrayComp, int min, int max); */
  if (arg.size() < 5) 
    throw Exception("Function SetDimensionsComponent__1 for class vtkDataObjectToDataSetFilter requires 5 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetDimensionsComponent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDimensionsComponent__2 vtkDataObjectToDataSetFilterSetDimensionsComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetDimensionsComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionsComponent (char *arrayName, int arrayComp);this SetDimensionsComponent arrayName arrayComp  */
  if (arg.size() < 3) 
    throw Exception("Function SetDimensionsComponent__2 for class vtkDataObjectToDataSetFilter requires 3 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetDimensionsComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetSpacingComponent__1 vtkDataObjectToDataSetFilterSetSpacingComponent__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetSpacingComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacingComponent (char *arrayName, int arrayComp, int min, int max); */
  if (arg.size() < 5) 
    throw Exception("Function SetSpacingComponent__1 for class vtkDataObjectToDataSetFilter requires 5 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetSpacingComponent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetSpacingComponent__2 vtkDataObjectToDataSetFilterSetSpacingComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetSpacingComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacingComponent (char *arrayName, int arrayComp);this SetSpacingComponent arrayName arrayComp  */
  if (arg.size() < 3) 
    throw Exception("Function SetSpacingComponent__2 for class vtkDataObjectToDataSetFilter requires 3 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSpacingComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetOriginComponent__1 vtkDataObjectToDataSetFilterSetOriginComponent__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetOriginComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginComponent (char *arrayName, int arrayComp, int min, int max); */
  if (arg.size() < 5) 
    throw Exception("Function SetOriginComponent__1 for class vtkDataObjectToDataSetFilter requires 5 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetOriginComponent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetOriginComponent__2 vtkDataObjectToDataSetFilterSetOriginComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataObjectToDataSetFilterSetOriginComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginComponent (char *arrayName, int arrayComp);this SetOriginComponent arrayName arrayComp  */
  if (arg.size() < 3) 
    throw Exception("Function SetOriginComponent__2 for class vtkDataObjectToDataSetFilter requires 3 argument(s)");
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetOriginComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:GetOutput vtkDataObjectToDataSetFilterGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataObjectToDataSetFilterGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataObjectToDataSetFilterGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterGetOutput");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetPointComponent vtkDataObjectToDataSetFilterSetPointComponentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetPointComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkDataObjectToDataSetFilterSetPointComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]))
    return vtkDataObjectToDataSetFilterSetPointComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetPointComponent");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetVertsComponent vtkDataObjectToDataSetFilterSetVertsComponentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetVertsComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataObjectToDataSetFilterSetVertsComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataObjectToDataSetFilterSetVertsComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetVertsComponent");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetLinesComponent vtkDataObjectToDataSetFilterSetLinesComponentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetLinesComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataObjectToDataSetFilterSetLinesComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataObjectToDataSetFilterSetLinesComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetLinesComponent");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetPolysComponent vtkDataObjectToDataSetFilterSetPolysComponentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetPolysComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataObjectToDataSetFilterSetPolysComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataObjectToDataSetFilterSetPolysComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetPolysComponent");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetStripsComponent vtkDataObjectToDataSetFilterSetStripsComponentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetStripsComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataObjectToDataSetFilterSetStripsComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataObjectToDataSetFilterSetStripsComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetStripsComponent");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetCellTypeComponent vtkDataObjectToDataSetFilterSetCellTypeComponentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetCellTypeComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataObjectToDataSetFilterSetCellTypeComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataObjectToDataSetFilterSetCellTypeComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetCellTypeComponent");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetCellConnectivityComponent vtkDataObjectToDataSetFilterSetCellConnectivityComponentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetCellConnectivityComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataObjectToDataSetFilterSetCellConnectivityComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataObjectToDataSetFilterSetCellConnectivityComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetCellConnectivityComponent");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDimensions vtkDataObjectToDataSetFilterSetDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkDataObjectToDataSetFilterSetDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataObjectToDataSetFilterSetDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetDimensions");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetOrigin vtkDataObjectToDataSetFilterSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkDataObjectToDataSetFilterSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataObjectToDataSetFilterSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetOrigin");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetSpacing vtkDataObjectToDataSetFilterSetSpacingFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkDataObjectToDataSetFilterSetSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataObjectToDataSetFilterSetSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetSpacing");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetDimensionsComponent vtkDataObjectToDataSetFilterSetDimensionsComponentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetDimensionsComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataObjectToDataSetFilterSetDimensionsComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataObjectToDataSetFilterSetDimensionsComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetDimensionsComponent");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetSpacingComponent vtkDataObjectToDataSetFilterSetSpacingComponentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetSpacingComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataObjectToDataSetFilterSetSpacingComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataObjectToDataSetFilterSetSpacingComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetSpacingComponent");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:SetOriginComponent vtkDataObjectToDataSetFilterSetOriginComponentFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterSetOriginComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkDataObjectToDataSetFilterSetOriginComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataObjectToDataSetFilterSetOriginComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterSetOriginComponent");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:ConstructPoints vtkDataObjectToDataSetFilterConstructPointsFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterConstructPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterConstructPoints");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:ConstructCells vtkDataObjectToDataSetFilterConstructCellsFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterConstructCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectToDataSetFilterConstructCells");
}

//@@Signature
//sfunction @vtkDataObjectToDataSetFilter:display vtkDataObjectToDataSetFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToDataSetFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataObjectToDataSetFilter* vtk_pointer = GetVTKPointer<vtkDataObjectToDataSetFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataObjectToDataSetFilter:delete vtkDataObjectToDataSetFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataObjectToDataSetFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataObjectToDataSetFilter
//@@Section VTKGraphics
//@@Usage
// vtkDataObjectToDataSetFilter is an class that maps a data object (i.e., a field)
// into a concrete dataset, i.e., gives structure to the field by defining a
// geometry and topology.
//
// To use this filter you associate components in the input field data with
// portions of the output dataset. (A component is an array of values from
// the field.) For example, you would specify x-y-z points by assigning 
// components from the field for the x, then y, then z values of the points.
// You may also have to specify component ranges (for each z-y-z) to make 
// sure that the number of x, y, and z values is the same. Also, you may 
// want to normalize the components which helps distribute the data 
// uniformly. Once you've setup the filter to combine all the pieces of 
// data into a specified dataset (the geometry, topology, point and cell 
// data attributes), the various output methods (e.g., GetPolyData()) are
// used to retrieve the final product.
//
// This filter is often used in conjunction with
// vtkFieldDataToAttributeDataFilter.  vtkFieldDataToAttributeDataFilter
// takes field data and transforms it into attribute data (e.g., point and
// cell data attributes such as scalars and vectors).  To do this, use this
// filter which constructs a concrete dataset and passes the input data
// object field data to its output. and then use
// vtkFieldDataToAttributeDataFilter to generate the attribute data associated
// with the dataset.
//
//To create an instance of class vtkDataObjectToDataSetFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataObjectToDataSetFilter
//@]
//@@Methods
//The class vtkDataObjectToDataSetFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataObjectToDataSetFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataObjectToDataSetFilter = obj.NewInstance ()|
// \item @|vtkDataObjectToDataSetFilter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataObject = obj.GetInput ()| -  Get the input to the filter.
//// \item @|obj.SetDataSetType (int )| -  Control what type of data is generated for output.
//// \item @|int = obj.GetDataSetType ()| -  Control what type of data is generated for output.
//// \item @|obj.SetDataSetTypeToPolyData ()| -  Control what type of data is generated for output.
//// \item @|obj.SetDataSetTypeToStructuredPoints ()| -  Control what type of data is generated for output.
//// \item @|obj.SetDataSetTypeToStructuredGrid ()| -  Control what type of data is generated for output.
//// \item @|obj.SetDataSetTypeToRectilinearGrid ()| -  Control what type of data is generated for output.
//// \item @|obj.SetDataSetTypeToUnstructuredGrid ()| -  Control what type of data is generated for output.
//// \item @|vtkDataSet = obj.GetOutput ()| -  Get the output in different forms. The particular method invoked
// should be consistent with the SetDataSetType() method. (Note:
// GetOutput() will always return a type consistent with 
// SetDataSetType(). Also, GetOutput() will return NULL if the filter
// aborted due to inconsistent data.)
//// \item @|vtkDataSet = obj.GetOutput (int idx)| -  Get the output in different forms. The particular method invoked
// should be consistent with the SetDataSetType() method. (Note:
// GetOutput() will always return a type consistent with 
// SetDataSetType(). Also, GetOutput() will return NULL if the filter
// aborted due to inconsistent data.)
//// \item @|vtkPolyData = obj.GetPolyDataOutput ()| -  Get the output in different forms. The particular method invoked
// should be consistent with the SetDataSetType() method. (Note:
// GetOutput() will always return a type consistent with 
// SetDataSetType(). Also, GetOutput() will return NULL if the filter
// aborted due to inconsistent data.)
//// \item @|vtkStructuredPoints = obj.GetStructuredPointsOutput ()| -  Get the output in different forms. The particular method invoked
// should be consistent with the SetDataSetType() method. (Note:
// GetOutput() will always return a type consistent with 
// SetDataSetType(). Also, GetOutput() will return NULL if the filter
// aborted due to inconsistent data.)
//// \item @|vtkStructuredGrid = obj.GetStructuredGridOutput ()| -  Get the output in different forms. The particular method invoked
// should be consistent with the SetDataSetType() method. (Note:
// GetOutput() will always return a type consistent with 
// SetDataSetType(). Also, GetOutput() will return NULL if the filter
// aborted due to inconsistent data.)
//// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridOutput ()| -  Get the output in different forms. The particular method invoked
// should be consistent with the SetDataSetType() method. (Note:
// GetOutput() will always return a type consistent with 
// SetDataSetType(). Also, GetOutput() will return NULL if the filter
// aborted due to inconsistent data.)
//// \item @|vtkRectilinearGrid = obj.GetRectilinearGridOutput ()| -  Get the output in different forms. The particular method invoked
// should be consistent with the SetDataSetType() method. (Note:
// GetOutput() will always return a type consistent with 
// SetDataSetType(). Also, GetOutput() will return NULL if the filter
// aborted due to inconsistent data.)
//// \item @|obj.SetPointComponent (int comp, string arrayName, int arrayComp, int min, int max, int normalize)| -  Define the component of the field to be used for the x, y, and z values
// of the points. Note that the parameter comp must lie between (0,2) and
// refers to the x-y-z (i.e., 0,1,2) components of the points. To define
// the field component to use you can specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract. (This method should be used for
// vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and
// vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also
// provided which does not require setting the (min,max) component range or
// the normalize flag (normalize is set to DefaulatNormalize value).
//// \item @|obj.SetPointComponent (int comp, string arrayName, int arrayComp)| -  Define the component of the field to be used for the x, y, and z values
// of the points. Note that the parameter comp must lie between (0,2) and
// refers to the x-y-z (i.e., 0,1,2) components of the points. To define
// the field component to use you can specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract. (This method should be used for
// vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and
// vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also
// provided which does not require setting the (min,max) component range or
// the normalize flag (normalize is set to DefaulatNormalize value).
//// \item @|string = obj.GetPointComponentArrayName (int comp)| -  Define the component of the field to be used for the x, y, and z values
// of the points. Note that the parameter comp must lie between (0,2) and
// refers to the x-y-z (i.e., 0,1,2) components of the points. To define
// the field component to use you can specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract. (This method should be used for
// vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and
// vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also
// provided which does not require setting the (min,max) component range or
// the normalize flag (normalize is set to DefaulatNormalize value).
//// \item @|int = obj.GetPointComponentArrayComponent (int comp)| -  Define the component of the field to be used for the x, y, and z values
// of the points. Note that the parameter comp must lie between (0,2) and
// refers to the x-y-z (i.e., 0,1,2) components of the points. To define
// the field component to use you can specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract. (This method should be used for
// vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and
// vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also
// provided which does not require setting the (min,max) component range or
// the normalize flag (normalize is set to DefaulatNormalize value).
//// \item @|int = obj.GetPointComponentMinRange (int comp)| -  Define the component of the field to be used for the x, y, and z values
// of the points. Note that the parameter comp must lie between (0,2) and
// refers to the x-y-z (i.e., 0,1,2) components of the points. To define
// the field component to use you can specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract. (This method should be used for
// vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and
// vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also
// provided which does not require setting the (min,max) component range or
// the normalize flag (normalize is set to DefaulatNormalize value).
//// \item @|int = obj.GetPointComponentMaxRange (int comp)| -  Define the component of the field to be used for the x, y, and z values
// of the points. Note that the parameter comp must lie between (0,2) and
// refers to the x-y-z (i.e., 0,1,2) components of the points. To define
// the field component to use you can specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract. (This method should be used for
// vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and
// vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also
// provided which does not require setting the (min,max) component range or
// the normalize flag (normalize is set to DefaulatNormalize value).
//// \item @|int = obj.GetPointComponentNormailzeFlag (int comp)| -  Define the component of the field to be used for the x, y, and z values
// of the points. Note that the parameter comp must lie between (0,2) and
// refers to the x-y-z (i.e., 0,1,2) components of the points. To define
// the field component to use you can specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract. (This method should be used for
// vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and
// vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also
// provided which does not require setting the (min,max) component range or
// the normalize flag (normalize is set to DefaulatNormalize value).
//// \item @|obj.SetVertsComponent (string arrayName, int arrayComp, int min, int max)| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|obj.SetVertsComponent (string arrayName, int arrayComp)| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|string = obj.GetVertsComponentArrayName ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetVertsComponentArrayComponent ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetVertsComponentMinRange ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetVertsComponentMaxRange ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|obj.SetLinesComponent (string arrayName, int arrayComp, int min, int max)| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|obj.SetLinesComponent (string arrayName, int arrayComp)| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|string = obj.GetLinesComponentArrayName ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetLinesComponentArrayComponent ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetLinesComponentMinRange ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetLinesComponentMaxRange ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|obj.SetPolysComponent (string arrayName, int arrayComp, int min, int max)| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|obj.SetPolysComponent (string arrayName, int arrayComp)| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|string = obj.GetPolysComponentArrayName ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetPolysComponentArrayComponent ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetPolysComponentMinRange ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetPolysComponentMaxRange ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|obj.SetStripsComponent (string arrayName, int arrayComp, int min, int max)| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|obj.SetStripsComponent (string arrayName, int arrayComp)| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|string = obj.GetStripsComponentArrayName ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetStripsComponentArrayComponent ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetStripsComponentMinRange ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|int = obj.GetStripsComponentMaxRange ()| -  Define cell connectivity when creating vtkPolyData. You can define
// vertices, lines, polygons, and/or triangle strips via these methods.
// These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of values that (for each cell) includes the number of 
// points per cell, and then the cell connectivity. (This is the vtk file 
// format described in in the textbook or User's Guide.)
//// \item @|obj.SetCellTypeComponent (string arrayName, int arrayComp, int min, int max)| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|obj.SetCellTypeComponent (string arrayName, int arrayComp)| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|string = obj.GetCellTypeComponentArrayName ()| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|int = obj.GetCellTypeComponentArrayComponent ()| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|int = obj.GetCellTypeComponentMinRange ()| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|int = obj.GetCellTypeComponentMaxRange ()| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|obj.SetCellConnectivityComponent (string arrayName, int arrayComp, int min, int max)| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|obj.SetCellConnectivityComponent (string arrayName, int arrayComp)| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|string = obj.GetCellConnectivityComponentArrayName ()| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|int = obj.GetCellConnectivityComponentArrayComponent ()| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|int = obj.GetCellConnectivityComponentMinRange ()| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|int = obj.GetCellConnectivityComponentMaxRange ()| -  Define cell types and cell connectivity when creating unstructured grid
// data.  These methods are similar to those for defining points, except
// that no normalization of the data is possible. Basically, you need to
// define an array of cell types (an integer value per cell), and another
// array consisting (for each cell) of a number of points per cell, and
// then the cell connectivity. (This is the vtk file format described in 
// in the textbook or User's Guide.)
//// \item @|obj.SetDefaultNormalize (int )| -  Set the default Normalize() flag for those methods setting a default
// Normalize value (e.g., SetPointComponent).
//// \item @|int = obj.GetDefaultNormalize ()| -  Set the default Normalize() flag for those methods setting a default
// Normalize value (e.g., SetPointComponent).
//// \item @|obj.DefaultNormalizeOn ()| -  Set the default Normalize() flag for those methods setting a default
// Normalize value (e.g., SetPointComponent).
//// \item @|obj.DefaultNormalizeOff ()| -  Set the default Normalize() flag for those methods setting a default
// Normalize value (e.g., SetPointComponent).
//// \item @|obj.SetDimensions (int , int , int )|
// \item @|obj.SetDimensions (int  a[3])|
// \item @|int = obj. GetDimensions ()|
// \item @|obj.SetOrigin (double , double , double )|
// \item @|obj.SetOrigin (double  a[3])|
// \item @|double = obj. GetOrigin ()|
// \item @|obj.SetSpacing (double , double , double )|
// \item @|obj.SetSpacing (double  a[3])|
// \item @|double = obj. GetSpacing ()|
// \item @|obj.SetDimensionsComponent (string arrayName, int arrayComp, int min, int max)|
// \item @|obj.SetDimensionsComponent (string arrayName, int arrayComp)|
// \item @|obj.SetSpacingComponent (string arrayName, int arrayComp, int min, int max)|
// \item @|obj.SetSpacingComponent (string arrayName, int arrayComp)|
// \item @|obj.SetOriginComponent (string arrayName, int arrayComp, int min, int max)|
// \item @|obj.SetOriginComponent (string arrayName, int arrayComp)|
//\end{itemize}
//!
