#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetGradient object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetGradient.h"

//@@Signature
//sfunction @vtkDataSetGradient:vtkDataSetGradient vtkDataSetGradientConstructorFunction
//input a
//output p
//@@Parents vtkDataSetGradient vtkDataSetAlgorithm 
ArrayVector vtkDataSetGradientConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetGradient::New(),"vtkDataSetGradient",eval);
  } else if (arg[0].className() == "vtkDataSetGradient") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetGradient"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetGradient");
    vtkDataSetGradient*q = reinterpret_cast<vtkDataSetGradient*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetGradient");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetGradient:GetClassName vtkDataSetGradientGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetGradientGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetGradient requires 1 argument(s)");
  vtkDataSetGradient* vtk_pointer = GetVTKPointer<vtkDataSetGradient>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradient:IsA vtkDataSetGradientIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetGradientIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetGradient requires 2 argument(s)");
  vtkDataSetGradient* vtk_pointer = GetVTKPointer<vtkDataSetGradient>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradient:NewInstance vtkDataSetGradientNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetGradientNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetGradient *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetGradient requires 1 argument(s)");
  vtkDataSetGradient* vtk_pointer = GetVTKPointer<vtkDataSetGradient>(arg[0]);
  Array retval;
  vtkDataSetGradient  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetGradient",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradient:SafeDownCast vtkDataSetGradientSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetGradientSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetGradient *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetGradient requires 2 argument(s)");
  vtkDataSetGradient* vtk_pointer = GetVTKPointer<vtkDataSetGradient>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetGradient  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetGradient",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradient:SetResultArrayName vtkDataSetGradientSetResultArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetGradientSetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResultArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetResultArrayName for class vtkDataSetGradient requires 2 argument(s)");
  vtkDataSetGradient* vtk_pointer = GetVTKPointer<vtkDataSetGradient>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetResultArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradient:GetResultArrayName vtkDataSetGradientGetResultArrayNameFunction
//input a0 
//output y
ArrayVector vtkDataSetGradientGetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetResultArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResultArrayName for class vtkDataSetGradient requires 1 argument(s)");
  vtkDataSetGradient* vtk_pointer = GetVTKPointer<vtkDataSetGradient>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetResultArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradient:display vtkDataSetGradientDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetGradientDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetGradient* vtk_pointer = GetVTKPointer<vtkDataSetGradient>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetGradient:delete vtkDataSetGradientDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetGradientDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetGradient
//@@Section VTKGraphics
//@@Usage
// vtkDataSetGradient Computes per cell gradient of point scalar field
// or per point gradient of cell scalar field.
//
// .SECTION Thanks
// This file is part of the generalized Youngs material interface reconstruction algorithm contributed by
// CEA/DIF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France <br>
// BP12, F-91297 Arpajon, France. <br>
// Implementation by Thierry Carrard (CEA)
//
//To create an instance of class vtkDataSetGradient, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetGradient
//@]
//@@Methods
//The class vtkDataSetGradient has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetGradient class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetGradient = obj.NewInstance ()|
// \item @|vtkDataSetGradient = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetResultArrayName (string )| -  Set/Get the name of computed vector array.
//// \item @|string = obj.GetResultArrayName ()| -  Set/Get the name of computed vector array.
////\end{itemize}
//!
