#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetGradientPrecompute object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetGradientPrecompute.h"

//@@Signature
//sfunction @vtkDataSetGradientPrecompute:vtkDataSetGradientPrecompute vtkDataSetGradientPrecomputeConstructorFunction
//input a
//output p
//@@Parents vtkDataSetGradientPrecompute vtkDataSetAlgorithm 
ArrayVector vtkDataSetGradientPrecomputeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetGradientPrecompute::New(),"vtkDataSetGradientPrecompute",eval);
  } else if (arg[0].className() == "vtkDataSetGradientPrecompute") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetGradientPrecompute"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetGradientPrecompute");
    vtkDataSetGradientPrecompute*q = reinterpret_cast<vtkDataSetGradientPrecompute*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetGradientPrecompute");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetGradientPrecompute:GetClassName vtkDataSetGradientPrecomputeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetGradientPrecomputeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetGradientPrecompute requires 1 argument(s)");
  vtkDataSetGradientPrecompute* vtk_pointer = GetVTKPointer<vtkDataSetGradientPrecompute>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradientPrecompute:IsA vtkDataSetGradientPrecomputeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetGradientPrecomputeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetGradientPrecompute requires 2 argument(s)");
  vtkDataSetGradientPrecompute* vtk_pointer = GetVTKPointer<vtkDataSetGradientPrecompute>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradientPrecompute:NewInstance vtkDataSetGradientPrecomputeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetGradientPrecomputeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetGradientPrecompute *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetGradientPrecompute requires 1 argument(s)");
  vtkDataSetGradientPrecompute* vtk_pointer = GetVTKPointer<vtkDataSetGradientPrecompute>(arg[0]);
  Array retval;
  vtkDataSetGradientPrecompute  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetGradientPrecompute",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradientPrecompute:SafeDownCast vtkDataSetGradientPrecomputeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetGradientPrecomputeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetGradientPrecompute *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetGradientPrecompute requires 2 argument(s)");
  vtkDataSetGradientPrecompute* vtk_pointer = GetVTKPointer<vtkDataSetGradientPrecompute>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetGradientPrecompute  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetGradientPrecompute",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradientPrecompute:GradientPrecompute vtkDataSetGradientPrecomputeGradientPrecomputeFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetGradientPrecomputeGradientPrecomputeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GradientPrecompute (vtkDataSet *ds); */
  if (arg.size() < 2) 
    throw Exception("Function GradientPrecompute for class vtkDataSetGradientPrecompute requires 2 argument(s)");
  vtkDataSetGradientPrecompute* vtk_pointer = GetVTKPointer<vtkDataSetGradientPrecompute>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp20 = (vtk_pointer)->GradientPrecompute(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetGradientPrecompute:display vtkDataSetGradientPrecomputeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetGradientPrecomputeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetGradientPrecompute* vtk_pointer = GetVTKPointer<vtkDataSetGradientPrecompute>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetGradientPrecompute:delete vtkDataSetGradientPrecomputeDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetGradientPrecomputeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetGradientPrecompute
//@@Section VTKGraphics
//@@Usage
// Computes a geometry based vector field that the DataSetGradient filter uses to accelerate
// gradient computation. This vector field is added to FieldData since it has a different
// value for each vertex of each cell (a vertex shared by two cell has two differents values).
//
// .SECTION Thanks
// This file is part of the generalized Youngs material interface reconstruction algorithm contributed by
// CEA/DIF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France <br>
// BP12, F-91297 Arpajon, France. <br>
// Implementation by Thierry Carrard (CEA)
//
//To create an instance of class vtkDataSetGradientPrecompute, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetGradientPrecompute
//@]
//@@Methods
//The class vtkDataSetGradientPrecompute has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetGradientPrecompute class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetGradientPrecompute = obj.NewInstance ()|
// \item @|vtkDataSetGradientPrecompute = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
