#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetSurfaceFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetSurfaceFilter.h"

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:vtkDataSetSurfaceFilter vtkDataSetSurfaceFilterConstructorFunction
//input a
//output p
//@@Parents vtkDataSetSurfaceFilter vtkPolyDataAlgorithm 
ArrayVector vtkDataSetSurfaceFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetSurfaceFilter::New(),"vtkDataSetSurfaceFilter",eval);
  } else if (arg[0].className() == "vtkDataSetSurfaceFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetSurfaceFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetSurfaceFilter");
    vtkDataSetSurfaceFilter*q = reinterpret_cast<vtkDataSetSurfaceFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetSurfaceFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetSurfaceFilter:GetClassName vtkDataSetSurfaceFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetSurfaceFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:IsA vtkDataSetSurfaceFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetSurfaceFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetSurfaceFilter requires 2 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:NewInstance vtkDataSetSurfaceFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetSurfaceFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetSurfaceFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtkDataSetSurfaceFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetSurfaceFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:SafeDownCast vtkDataSetSurfaceFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetSurfaceFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetSurfaceFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetSurfaceFilter requires 2 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetSurfaceFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetSurfaceFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:SetUseStrips vtkDataSetSurfaceFilterSetUseStripsFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetSurfaceFilterSetUseStripsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseStrips (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseStrips for class vtkDataSetSurfaceFilter requires 2 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseStrips(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:GetUseStrips vtkDataSetSurfaceFilterGetUseStripsFunction
//input a0 
//output y
ArrayVector vtkDataSetSurfaceFilterGetUseStripsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseStrips (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseStrips for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseStrips();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:UseStripsOn vtkDataSetSurfaceFilterUseStripsOnFunction
//input a0 
//output none
ArrayVector vtkDataSetSurfaceFilterUseStripsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseStripsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseStripsOn for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseStripsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:UseStripsOff vtkDataSetSurfaceFilterUseStripsOffFunction
//input a0 
//output none
ArrayVector vtkDataSetSurfaceFilterUseStripsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseStripsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseStripsOff for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseStripsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:SetPieceInvariant vtkDataSetSurfaceFilterSetPieceInvariantFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetSurfaceFilterSetPieceInvariantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPieceInvariant (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPieceInvariant for class vtkDataSetSurfaceFilter requires 2 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPieceInvariant(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:GetPieceInvariant vtkDataSetSurfaceFilterGetPieceInvariantFunction
//input a0 
//output y
ArrayVector vtkDataSetSurfaceFilterGetPieceInvariantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPieceInvariant (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPieceInvariant for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPieceInvariant();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:SetPassThroughCellIds vtkDataSetSurfaceFilterSetPassThroughCellIdsFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetSurfaceFilterSetPassThroughCellIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassThroughCellIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassThroughCellIds for class vtkDataSetSurfaceFilter requires 2 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassThroughCellIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:GetPassThroughCellIds vtkDataSetSurfaceFilterGetPassThroughCellIdsFunction
//input a0 
//output y
ArrayVector vtkDataSetSurfaceFilterGetPassThroughCellIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassThroughCellIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassThroughCellIds for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassThroughCellIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:PassThroughCellIdsOn vtkDataSetSurfaceFilterPassThroughCellIdsOnFunction
//input a0 
//output none
ArrayVector vtkDataSetSurfaceFilterPassThroughCellIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughCellIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughCellIdsOn for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughCellIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:PassThroughCellIdsOff vtkDataSetSurfaceFilterPassThroughCellIdsOffFunction
//input a0 
//output none
ArrayVector vtkDataSetSurfaceFilterPassThroughCellIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughCellIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughCellIdsOff for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughCellIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:SetPassThroughPointIds vtkDataSetSurfaceFilterSetPassThroughPointIdsFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetSurfaceFilterSetPassThroughPointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassThroughPointIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassThroughPointIds for class vtkDataSetSurfaceFilter requires 2 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassThroughPointIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:GetPassThroughPointIds vtkDataSetSurfaceFilterGetPassThroughPointIdsFunction
//input a0 
//output y
ArrayVector vtkDataSetSurfaceFilterGetPassThroughPointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassThroughPointIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassThroughPointIds for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassThroughPointIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:PassThroughPointIdsOn vtkDataSetSurfaceFilterPassThroughPointIdsOnFunction
//input a0 
//output none
ArrayVector vtkDataSetSurfaceFilterPassThroughPointIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughPointIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughPointIdsOn for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughPointIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:PassThroughPointIdsOff vtkDataSetSurfaceFilterPassThroughPointIdsOffFunction
//input a0 
//output none
ArrayVector vtkDataSetSurfaceFilterPassThroughPointIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughPointIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughPointIdsOff for class vtkDataSetSurfaceFilter requires 1 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughPointIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:StructuredExecute__2 vtkDataSetSurfaceFilterStructuredExecute__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkDataSetSurfaceFilterStructuredExecute__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int StructuredExecute (vtkDataSet *input, vtkPolyData *output, int *ext32, int *wholeExt32);vtkIdType ext vtkIdType wholeExt for int cc cc cc ext cc ext32 cc wholeExt cc wholeExt32 cc return this StructuredExecute input output ext wholeExt  */
  if (arg.size() < 5) 
    throw Exception("Function StructuredExecute__2 for class vtkDataSetSurfaceFilter requires 5 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  vtkPolyData  *temp1;
  int     *temp2;
  int     *temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->StructuredExecute(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:UnstructuredGridExecute vtkDataSetSurfaceFilterUnstructuredGridExecuteFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataSetSurfaceFilterUnstructuredGridExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UnstructuredGridExecute (vtkDataSet *input, vtkPolyData *output); */
  if (arg.size() < 3) 
    throw Exception("Function UnstructuredGridExecute for class vtkDataSetSurfaceFilter requires 3 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  vtkPolyData  *temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  temp20 = (vtk_pointer)->UnstructuredGridExecute(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:DataSetExecute vtkDataSetSurfaceFilterDataSetExecuteFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataSetSurfaceFilterDataSetExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int DataSetExecute (vtkDataSet *input, vtkPolyData *output); */
  if (arg.size() < 3) 
    throw Exception("Function DataSetExecute for class vtkDataSetSurfaceFilter requires 3 argument(s)");
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  vtkPolyData  *temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  temp20 = (vtk_pointer)->DataSetExecute(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:StructuredExecute vtkDataSetSurfaceFilterStructuredExecuteFunction
//input varargin
//output varargout
ArrayVector vtkDataSetSurfaceFilterStructuredExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsClass(arg[2],"vtkPolyData") && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkDataSetSurfaceFilterStructuredExecute__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetSurfaceFilterStructuredExecute");
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:RecordOrigCellId vtkDataSetSurfaceFilterRecordOrigCellIdFunction
//input varargin
//output varargout
ArrayVector vtkDataSetSurfaceFilterRecordOrigCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetSurfaceFilterRecordOrigCellId");
}

//@@Signature
//sfunction @vtkDataSetSurfaceFilter:display vtkDataSetSurfaceFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetSurfaceFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetSurfaceFilter* vtk_pointer = GetVTKPointer<vtkDataSetSurfaceFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetSurfaceFilter:delete vtkDataSetSurfaceFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetSurfaceFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetSurfaceFilter
//@@Section VTKGraphics
//@@Usage
// vtkDataSetSurfaceFilter is a faster version of vtkGeometry filter, but it 
// does not have an option to select bounds.  It may use more memory than
// vtkGeometryFilter.  It only has one option: whether to use triangle strips 
// when the input type is structured.
//
//To create an instance of class vtkDataSetSurfaceFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetSurfaceFilter
//@]
//@@Methods
//The class vtkDataSetSurfaceFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetSurfaceFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetSurfaceFilter = obj.NewInstance ()|
// \item @|vtkDataSetSurfaceFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetUseStrips (int )| -  When input is structured data, this flag will generate faces with
// triangle strips.  This should render faster and use less memory, but no
// cell data is copied.  By default, UseStrips is Off.
//// \item @|int = obj.GetUseStrips ()| -  When input is structured data, this flag will generate faces with
// triangle strips.  This should render faster and use less memory, but no
// cell data is copied.  By default, UseStrips is Off.
//// \item @|obj.UseStripsOn ()| -  When input is structured data, this flag will generate faces with
// triangle strips.  This should render faster and use less memory, but no
// cell data is copied.  By default, UseStrips is Off.
//// \item @|obj.UseStripsOff ()| -  When input is structured data, this flag will generate faces with
// triangle strips.  This should render faster and use less memory, but no
// cell data is copied.  By default, UseStrips is Off.
//// \item @|obj.SetPieceInvariant (int )| -  If PieceInvariant is true, vtkDataSetSurfaceFilter requests
// 1 ghost level from input in order to remove internal surface
// that are between processes. False by default.
//// \item @|int = obj.GetPieceInvariant ()| -  If PieceInvariant is true, vtkDataSetSurfaceFilter requests
// 1 ghost level from input in order to remove internal surface
// that are between processes. False by default.
//// \item @|obj.SetPassThroughCellIds (int )| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve 
// memory. Note that PassThroughCellIds will be ignored if UseStrips is on,
// since in that case each tringle strip can represent more than on of the
// input cells.
//// \item @|int = obj.GetPassThroughCellIds ()| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve 
// memory. Note that PassThroughCellIds will be ignored if UseStrips is on,
// since in that case each tringle strip can represent more than on of the
// input cells.
//// \item @|obj.PassThroughCellIdsOn ()| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve 
// memory. Note that PassThroughCellIds will be ignored if UseStrips is on,
// since in that case each tringle strip can represent more than on of the
// input cells.
//// \item @|obj.PassThroughCellIdsOff ()| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve 
// memory. Note that PassThroughCellIds will be ignored if UseStrips is on,
// since in that case each tringle strip can represent more than on of the
// input cells.
//// \item @|obj.SetPassThroughPointIds (int )| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve 
// memory. Note that PassThroughCellIds will be ignored if UseStrips is on,
// since in that case each tringle strip can represent more than on of the
// input cells.
//// \item @|int = obj.GetPassThroughPointIds ()| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve 
// memory. Note that PassThroughCellIds will be ignored if UseStrips is on,
// since in that case each tringle strip can represent more than on of the
// input cells.
//// \item @|obj.PassThroughPointIdsOn ()| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve 
// memory. Note that PassThroughCellIds will be ignored if UseStrips is on,
// since in that case each tringle strip can represent more than on of the
// input cells.
//// \item @|obj.PassThroughPointIdsOff ()| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve 
// memory. Note that PassThroughCellIds will be ignored if UseStrips is on,
// since in that case each tringle strip can represent more than on of the
// input cells.
//// \item @|int = obj.StructuredExecute (vtkDataSet input, vtkPolyData output, int ext32, int wholeExt32)| -  Direct access methods that can be used to use the this class as an
// algorithm without using it as a filter.
//// \item @|int = obj.UnstructuredGridExecute (vtkDataSet input, vtkPolyData output)| -  Direct access methods that can be used to use the this class as an
// algorithm without using it as a filter.
//// \item @|int = obj.DataSetExecute (vtkDataSet input, vtkPolyData output)| -  Direct access methods that can be used to use the this class as an
// algorithm without using it as a filter.
////\end{itemize}
//!
