#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetToDataObjectFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetToDataObjectFilter.h"

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:vtkDataSetToDataObjectFilter vtkDataSetToDataObjectFilterConstructorFunction
//input a
//output p
//@@Parents vtkDataSetToDataObjectFilter vtkDataObjectAlgorithm 
ArrayVector vtkDataSetToDataObjectFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetToDataObjectFilter::New(),"vtkDataSetToDataObjectFilter",eval);
  } else if (arg[0].className() == "vtkDataSetToDataObjectFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetToDataObjectFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetToDataObjectFilter");
    vtkDataSetToDataObjectFilter*q = reinterpret_cast<vtkDataSetToDataObjectFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetToDataObjectFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:GetClassName vtkDataSetToDataObjectFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataObjectFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:IsA vtkDataSetToDataObjectFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToDataObjectFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetToDataObjectFilter requires 2 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:NewInstance vtkDataSetToDataObjectFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataObjectFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToDataObjectFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtkDataSetToDataObjectFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToDataObjectFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:SafeDownCast vtkDataSetToDataObjectFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetToDataObjectFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetToDataObjectFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetToDataObjectFilter requires 2 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetToDataObjectFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetToDataObjectFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:SetGeometry vtkDataSetToDataObjectFilterSetGeometryFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToDataObjectFilterSetGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeometry (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeometry for class vtkDataSetToDataObjectFilter requires 2 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeometry(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:GetGeometry vtkDataSetToDataObjectFilterGetGeometryFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataObjectFilterGetGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeometry for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:GeometryOn vtkDataSetToDataObjectFilterGeometryOnFunction
//input a0 
//output none
ArrayVector vtkDataSetToDataObjectFilterGeometryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeometryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeometryOn for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->GeometryOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:GeometryOff vtkDataSetToDataObjectFilterGeometryOffFunction
//input a0 
//output none
ArrayVector vtkDataSetToDataObjectFilterGeometryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeometryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeometryOff for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->GeometryOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:SetTopology vtkDataSetToDataObjectFilterSetTopologyFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToDataObjectFilterSetTopologyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTopology (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTopology for class vtkDataSetToDataObjectFilter requires 2 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTopology(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:GetTopology vtkDataSetToDataObjectFilterGetTopologyFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataObjectFilterGetTopologyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTopology (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTopology for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTopology();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:TopologyOn vtkDataSetToDataObjectFilterTopologyOnFunction
//input a0 
//output none
ArrayVector vtkDataSetToDataObjectFilterTopologyOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TopologyOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TopologyOn for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->TopologyOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:TopologyOff vtkDataSetToDataObjectFilterTopologyOffFunction
//input a0 
//output none
ArrayVector vtkDataSetToDataObjectFilterTopologyOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TopologyOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TopologyOff for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->TopologyOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:SetFieldData vtkDataSetToDataObjectFilterSetFieldDataFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToDataObjectFilterSetFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldData for class vtkDataSetToDataObjectFilter requires 2 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:GetFieldData vtkDataSetToDataObjectFilterGetFieldDataFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataObjectFilterGetFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldData for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:FieldDataOn vtkDataSetToDataObjectFilterFieldDataOnFunction
//input a0 
//output none
ArrayVector vtkDataSetToDataObjectFilterFieldDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FieldDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FieldDataOn for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->FieldDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:FieldDataOff vtkDataSetToDataObjectFilterFieldDataOffFunction
//input a0 
//output none
ArrayVector vtkDataSetToDataObjectFilterFieldDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FieldDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FieldDataOff for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->FieldDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:SetPointData vtkDataSetToDataObjectFilterSetPointDataFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToDataObjectFilterSetPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointData for class vtkDataSetToDataObjectFilter requires 2 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:GetPointData vtkDataSetToDataObjectFilterGetPointDataFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataObjectFilterGetPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointData for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPointData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:PointDataOn vtkDataSetToDataObjectFilterPointDataOnFunction
//input a0 
//output none
ArrayVector vtkDataSetToDataObjectFilterPointDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PointDataOn for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->PointDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:PointDataOff vtkDataSetToDataObjectFilterPointDataOffFunction
//input a0 
//output none
ArrayVector vtkDataSetToDataObjectFilterPointDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PointDataOff for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->PointDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:SetCellData vtkDataSetToDataObjectFilterSetCellDataFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetToDataObjectFilterSetCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellData for class vtkDataSetToDataObjectFilter requires 2 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:GetCellData vtkDataSetToDataObjectFilterGetCellDataFunction
//input a0 
//output y
ArrayVector vtkDataSetToDataObjectFilterGetCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellData for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:CellDataOn vtkDataSetToDataObjectFilterCellDataOnFunction
//input a0 
//output none
ArrayVector vtkDataSetToDataObjectFilterCellDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CellDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CellDataOn for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->CellDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:CellDataOff vtkDataSetToDataObjectFilterCellDataOffFunction
//input a0 
//output none
ArrayVector vtkDataSetToDataObjectFilterCellDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CellDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CellDataOff for class vtkDataSetToDataObjectFilter requires 1 argument(s)");
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->CellDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetToDataObjectFilter:display vtkDataSetToDataObjectFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetToDataObjectFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetToDataObjectFilter* vtk_pointer = GetVTKPointer<vtkDataSetToDataObjectFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetToDataObjectFilter:delete vtkDataSetToDataObjectFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetToDataObjectFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetToDataObjectFilter
//@@Section VTKGraphics
//@@Usage
// vtkDataSetToDataObjectFilter is an class that transforms a dataset into
// data object (i.e., a field). The field will have labeled data arrays
// corresponding to the topology, geometry, field data, and point and cell
// attribute data.
//
// You can control what portions of the dataset are converted into the
// output data object's field data. The instance variables Geometry,
// Topology, FieldData, PointData, and CellData are flags that control
// whether the dataset's geometry (e.g., points, spacing, origin);
// topology (e.g., cell connectivity, dimensions); the field data
// associated with the dataset's superclass data object; the dataset's
// point data attributes; and the dataset's cell data attributes. (Note:
// the data attributes include scalars, vectors, tensors, normals, texture
// coordinates, and field data.)
//
// The names used to create the field data are as follows. For vtkPolyData, 
// "Points", "Verts", "Lines", "Polys", and "Strips". For vtkUnstructuredGrid,
// "Cells" and "CellTypes". For vtkStructuredPoints, "Dimensions", "Spacing", 
// and "Origin". For vtkStructuredGrid, "Points" and "Dimensions". For
// vtkRectilinearGrid, "XCoordinates", "YCoordinates", and "ZCoordinates".
// for point attribute data, "PointScalars", "PointVectors", etc. For cell
// attribute data, "CellScalars", "CellVectors", etc. Field data arrays retain
// their original name.
//
//To create an instance of class vtkDataSetToDataObjectFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetToDataObjectFilter
//@]
//@@Methods
//The class vtkDataSetToDataObjectFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetToDataObjectFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetToDataObjectFilter = obj.NewInstance ()|
// \item @|vtkDataSetToDataObjectFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGeometry (int )| -  Turn on/off the conversion of dataset geometry to a data object.
//// \item @|int = obj.GetGeometry ()| -  Turn on/off the conversion of dataset geometry to a data object.
//// \item @|obj.GeometryOn ()| -  Turn on/off the conversion of dataset geometry to a data object.
//// \item @|obj.GeometryOff ()| -  Turn on/off the conversion of dataset geometry to a data object.
//// \item @|obj.SetTopology (int )| -  Turn on/off the conversion of dataset topology to a data object.
//// \item @|int = obj.GetTopology ()| -  Turn on/off the conversion of dataset topology to a data object.
//// \item @|obj.TopologyOn ()| -  Turn on/off the conversion of dataset topology to a data object.
//// \item @|obj.TopologyOff ()| -  Turn on/off the conversion of dataset topology to a data object.
//// \item @|obj.SetFieldData (int )| -  Turn on/off the conversion of dataset field data to a data object.
//// \item @|int = obj.GetFieldData ()| -  Turn on/off the conversion of dataset field data to a data object.
//// \item @|obj.FieldDataOn ()| -  Turn on/off the conversion of dataset field data to a data object.
//// \item @|obj.FieldDataOff ()| -  Turn on/off the conversion of dataset field data to a data object.
//// \item @|obj.SetPointData (int )| -  Turn on/off the conversion of dataset point data to a data object.
//// \item @|int = obj.GetPointData ()| -  Turn on/off the conversion of dataset point data to a data object.
//// \item @|obj.PointDataOn ()| -  Turn on/off the conversion of dataset point data to a data object.
//// \item @|obj.PointDataOff ()| -  Turn on/off the conversion of dataset point data to a data object.
//// \item @|obj.SetCellData (int )| -  Turn on/off the conversion of dataset cell data to a data object.
//// \item @|int = obj.GetCellData ()| -  Turn on/off the conversion of dataset cell data to a data object.
//// \item @|obj.CellDataOn ()| -  Turn on/off the conversion of dataset cell data to a data object.
//// \item @|obj.CellDataOff ()| -  Turn on/off the conversion of dataset cell data to a data object.
////\end{itemize}
//!
