#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetTriangleFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetTriangleFilter.h"

//@@Signature
//sfunction @vtkDataSetTriangleFilter:vtkDataSetTriangleFilter vtkDataSetTriangleFilterConstructorFunction
//input a
//output p
//@@Parents vtkDataSetTriangleFilter vtkUnstructuredGridAlgorithm 
ArrayVector vtkDataSetTriangleFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetTriangleFilter::New(),"vtkDataSetTriangleFilter",eval);
  } else if (arg[0].className() == "vtkDataSetTriangleFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetTriangleFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetTriangleFilter");
    vtkDataSetTriangleFilter*q = reinterpret_cast<vtkDataSetTriangleFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetTriangleFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetTriangleFilter:GetClassName vtkDataSetTriangleFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetTriangleFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetTriangleFilter requires 1 argument(s)");
  vtkDataSetTriangleFilter* vtk_pointer = GetVTKPointer<vtkDataSetTriangleFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetTriangleFilter:IsA vtkDataSetTriangleFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetTriangleFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetTriangleFilter requires 2 argument(s)");
  vtkDataSetTriangleFilter* vtk_pointer = GetVTKPointer<vtkDataSetTriangleFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetTriangleFilter:NewInstance vtkDataSetTriangleFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetTriangleFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetTriangleFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetTriangleFilter requires 1 argument(s)");
  vtkDataSetTriangleFilter* vtk_pointer = GetVTKPointer<vtkDataSetTriangleFilter>(arg[0]);
  Array retval;
  vtkDataSetTriangleFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetTriangleFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetTriangleFilter:SafeDownCast vtkDataSetTriangleFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetTriangleFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetTriangleFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetTriangleFilter requires 2 argument(s)");
  vtkDataSetTriangleFilter* vtk_pointer = GetVTKPointer<vtkDataSetTriangleFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetTriangleFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetTriangleFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetTriangleFilter:SetTetrahedraOnly vtkDataSetTriangleFilterSetTetrahedraOnlyFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetTriangleFilterSetTetrahedraOnlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetrahedraOnly (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTetrahedraOnly for class vtkDataSetTriangleFilter requires 2 argument(s)");
  vtkDataSetTriangleFilter* vtk_pointer = GetVTKPointer<vtkDataSetTriangleFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTetrahedraOnly(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetTriangleFilter:GetTetrahedraOnly vtkDataSetTriangleFilterGetTetrahedraOnlyFunction
//input a0 
//output y
ArrayVector vtkDataSetTriangleFilterGetTetrahedraOnlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTetrahedraOnly (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTetrahedraOnly for class vtkDataSetTriangleFilter requires 1 argument(s)");
  vtkDataSetTriangleFilter* vtk_pointer = GetVTKPointer<vtkDataSetTriangleFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTetrahedraOnly();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetTriangleFilter:TetrahedraOnlyOn vtkDataSetTriangleFilterTetrahedraOnlyOnFunction
//input a0 
//output none
ArrayVector vtkDataSetTriangleFilterTetrahedraOnlyOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TetrahedraOnlyOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TetrahedraOnlyOn for class vtkDataSetTriangleFilter requires 1 argument(s)");
  vtkDataSetTriangleFilter* vtk_pointer = GetVTKPointer<vtkDataSetTriangleFilter>(arg[0]);
  Array retval;
  vtk_pointer->TetrahedraOnlyOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetTriangleFilter:TetrahedraOnlyOff vtkDataSetTriangleFilterTetrahedraOnlyOffFunction
//input a0 
//output none
ArrayVector vtkDataSetTriangleFilterTetrahedraOnlyOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TetrahedraOnlyOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TetrahedraOnlyOff for class vtkDataSetTriangleFilter requires 1 argument(s)");
  vtkDataSetTriangleFilter* vtk_pointer = GetVTKPointer<vtkDataSetTriangleFilter>(arg[0]);
  Array retval;
  vtk_pointer->TetrahedraOnlyOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataSetTriangleFilter:display vtkDataSetTriangleFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetTriangleFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetTriangleFilter* vtk_pointer = GetVTKPointer<vtkDataSetTriangleFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetTriangleFilter:delete vtkDataSetTriangleFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetTriangleFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetTriangleFilter
//@@Section VTKGraphics
//@@Usage
// vtkDataSetTriangleFilter generates n-dimensional simplices from any input
// dataset. That is, 3D cells are converted to tetrahedral meshes, 2D cells
// to triangles, and so on. The triangulation is guaranteed to be compatible.
//
// This filter uses simple 1D and 2D triangulation techniques for cells
// that are of topological dimension 2 or less. For 3D cells--due to the
// issue of face compatibility across quadrilateral faces (which way to
// orient the diagonal?)--a fancier ordered Delaunay triangulation is used.
// This approach produces templates on the fly for triangulating the
// cells. The templates are then used to do the actual triangulation.
//
//
//To create an instance of class vtkDataSetTriangleFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetTriangleFilter
//@]
//@@Methods
//The class vtkDataSetTriangleFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetTriangleFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetTriangleFilter = obj.NewInstance ()|
// \item @|vtkDataSetTriangleFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTetrahedraOnly (int )| -  When On this filter will cull all 1D and 2D cells from the output.
// The default is Off.
//// \item @|int = obj.GetTetrahedraOnly ()| -  When On this filter will cull all 1D and 2D cells from the output.
// The default is Off.
//// \item @|obj.TetrahedraOnlyOn ()| -  When On this filter will cull all 1D and 2D cells from the output.
// The default is Off.
//// \item @|obj.TetrahedraOnlyOff ()| -  When On this filter will cull all 1D and 2D cells from the output.
// The default is Off.
////\end{itemize}
//!
