#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDecimatePolylineFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDecimatePolylineFilter.h"

//@@Signature
//sfunction @vtkDecimatePolylineFilter:vtkDecimatePolylineFilter vtkDecimatePolylineFilterConstructorFunction
//input a
//output p
//@@Parents vtkDecimatePolylineFilter vtkPolyDataAlgorithm 
ArrayVector vtkDecimatePolylineFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDecimatePolylineFilter::New(),"vtkDecimatePolylineFilter",eval);
  } else if (arg[0].className() == "vtkDecimatePolylineFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDecimatePolylineFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDecimatePolylineFilter");
    vtkDecimatePolylineFilter*q = reinterpret_cast<vtkDecimatePolylineFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDecimatePolylineFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDecimatePolylineFilter:GetClassName vtkDecimatePolylineFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDecimatePolylineFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDecimatePolylineFilter requires 1 argument(s)");
  vtkDecimatePolylineFilter* vtk_pointer = GetVTKPointer<vtkDecimatePolylineFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDecimatePolylineFilter:IsA vtkDecimatePolylineFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDecimatePolylineFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDecimatePolylineFilter requires 2 argument(s)");
  vtkDecimatePolylineFilter* vtk_pointer = GetVTKPointer<vtkDecimatePolylineFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDecimatePolylineFilter:NewInstance vtkDecimatePolylineFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDecimatePolylineFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDecimatePolylineFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDecimatePolylineFilter requires 1 argument(s)");
  vtkDecimatePolylineFilter* vtk_pointer = GetVTKPointer<vtkDecimatePolylineFilter>(arg[0]);
  Array retval;
  vtkDecimatePolylineFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDecimatePolylineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDecimatePolylineFilter:SafeDownCast vtkDecimatePolylineFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDecimatePolylineFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDecimatePolylineFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDecimatePolylineFilter requires 2 argument(s)");
  vtkDecimatePolylineFilter* vtk_pointer = GetVTKPointer<vtkDecimatePolylineFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDecimatePolylineFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDecimatePolylineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDecimatePolylineFilter:SetTargetReduction vtkDecimatePolylineFilterSetTargetReductionFunction
//input a0 a1 
//output none
ArrayVector vtkDecimatePolylineFilterSetTargetReductionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetReduction (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTargetReduction for class vtkDecimatePolylineFilter requires 2 argument(s)");
  vtkDecimatePolylineFilter* vtk_pointer = GetVTKPointer<vtkDecimatePolylineFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTargetReduction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDecimatePolylineFilter:GetTargetReductionMinValue vtkDecimatePolylineFilterGetTargetReductionMinValueFunction
//input a0 
//output y
ArrayVector vtkDecimatePolylineFilterGetTargetReductionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTargetReductionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetReductionMinValue for class vtkDecimatePolylineFilter requires 1 argument(s)");
  vtkDecimatePolylineFilter* vtk_pointer = GetVTKPointer<vtkDecimatePolylineFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTargetReductionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDecimatePolylineFilter:GetTargetReductionMaxValue vtkDecimatePolylineFilterGetTargetReductionMaxValueFunction
//input a0 
//output y
ArrayVector vtkDecimatePolylineFilterGetTargetReductionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTargetReductionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetReductionMaxValue for class vtkDecimatePolylineFilter requires 1 argument(s)");
  vtkDecimatePolylineFilter* vtk_pointer = GetVTKPointer<vtkDecimatePolylineFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTargetReductionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDecimatePolylineFilter:GetTargetReduction vtkDecimatePolylineFilterGetTargetReductionFunction
//input a0 
//output y
ArrayVector vtkDecimatePolylineFilterGetTargetReductionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTargetReduction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetReduction for class vtkDecimatePolylineFilter requires 1 argument(s)");
  vtkDecimatePolylineFilter* vtk_pointer = GetVTKPointer<vtkDecimatePolylineFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTargetReduction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDecimatePolylineFilter:display vtkDecimatePolylineFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDecimatePolylineFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDecimatePolylineFilter* vtk_pointer = GetVTKPointer<vtkDecimatePolylineFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDecimatePolylineFilter:delete vtkDecimatePolylineFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDecimatePolylineFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDecimatePolylineFilter
//@@Section VTKGraphics
//@@Usage
// vtkDecimatePolylineFilter is a filter to reduce the number of lines in a
// polyline. The algorithm functions by evaluating an error metric for each
// vertex (i.e., the distance of the vertex to a line defined from the two
// vertices on either side of the vertex). Then, these vertices are placed
// into a priority queue, and those with larger errors are deleted first.
// The decimation continues until the target reduction is reached.
//
//
//To create an instance of class vtkDecimatePolylineFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDecimatePolylineFilter
//@]
//@@Methods
//The class vtkDecimatePolylineFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDecimatePolylineFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for type information and printing.
//// \item @|int = obj.IsA (string name)| -  Standard methods for type information and printing.
//// \item @|vtkDecimatePolylineFilter = obj.NewInstance ()| -  Standard methods for type information and printing.
//// \item @|vtkDecimatePolylineFilter = obj.SafeDownCast (vtkObject o)| -  Standard methods for type information and printing.
//// \item @|obj.SetTargetReduction (double )| -  Specify the desired reduction in the total number of polygons (e.g., if
// TargetReduction is set to 0.9, this filter will try to reduce the data set
// to 10% of its original size). 
//// \item @|double = obj.GetTargetReductionMinValue ()| -  Specify the desired reduction in the total number of polygons (e.g., if
// TargetReduction is set to 0.9, this filter will try to reduce the data set
// to 10% of its original size). 
//// \item @|double = obj.GetTargetReductionMaxValue ()| -  Specify the desired reduction in the total number of polygons (e.g., if
// TargetReduction is set to 0.9, this filter will try to reduce the data set
// to 10% of its original size). 
//// \item @|double = obj.GetTargetReduction ()| -  Specify the desired reduction in the total number of polygons (e.g., if
// TargetReduction is set to 0.9, this filter will try to reduce the data set
// to 10% of its original size). 
////\end{itemize}
//!
