#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDelaunay2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDelaunay2D.h"

//@@Signature
//sfunction @vtkDelaunay2D:vtkDelaunay2D vtkDelaunay2DConstructorFunction
//input a
//output p
//@@Parents vtkDelaunay2D vtkPolyDataAlgorithm 
ArrayVector vtkDelaunay2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDelaunay2D::New(),"vtkDelaunay2D",eval);
  } else if (arg[0].className() == "vtkDelaunay2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDelaunay2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDelaunay2D");
    vtkDelaunay2D*q = reinterpret_cast<vtkDelaunay2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDelaunay2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDelaunay2D:GetClassName vtkDelaunay2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:IsA vtkDelaunay2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDelaunay2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDelaunay2D requires 2 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:NewInstance vtkDelaunay2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDelaunay2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  vtkDelaunay2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDelaunay2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:SafeDownCast vtkDelaunay2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDelaunay2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDelaunay2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDelaunay2D requires 2 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDelaunay2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDelaunay2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:SetSource vtkDelaunay2DSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay2DSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkPolyData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkDelaunay2D requires 2 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:SetSourceConnection vtkDelaunay2DSetSourceConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay2DSetSourceConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceConnection (vtkAlgorithmOutput *algOutput); */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceConnection for class vtkDelaunay2D requires 2 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSourceConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetSource vtkDelaunay2DGetSourceFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:SetAlpha vtkDelaunay2DSetAlphaFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay2DSetAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlpha (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAlpha for class vtkDelaunay2D requires 2 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAlpha(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetAlphaMinValue vtkDelaunay2DGetAlphaMinValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetAlphaMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAlphaMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlphaMinValue for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAlphaMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetAlphaMaxValue vtkDelaunay2DGetAlphaMaxValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetAlphaMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAlphaMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlphaMaxValue for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAlphaMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetAlpha vtkDelaunay2DGetAlphaFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAlpha (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlpha for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAlpha();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:SetTolerance vtkDelaunay2DSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay2DSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkDelaunay2D requires 2 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetToleranceMinValue vtkDelaunay2DGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetToleranceMaxValue vtkDelaunay2DGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetTolerance vtkDelaunay2DGetToleranceFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:SetOffset vtkDelaunay2DSetOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay2DSetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffset for class vtkDelaunay2D requires 2 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetOffsetMinValue vtkDelaunay2DGetOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMinValue for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetOffsetMaxValue vtkDelaunay2DGetOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMaxValue for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetOffset vtkDelaunay2DGetOffsetFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffset for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:SetBoundingTriangulation vtkDelaunay2DSetBoundingTriangulationFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay2DSetBoundingTriangulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundingTriangulation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundingTriangulation for class vtkDelaunay2D requires 2 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBoundingTriangulation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetBoundingTriangulation vtkDelaunay2DGetBoundingTriangulationFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetBoundingTriangulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundingTriangulation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundingTriangulation for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoundingTriangulation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:BoundingTriangulationOn vtkDelaunay2DBoundingTriangulationOnFunction
//input a0 
//output none
ArrayVector vtkDelaunay2DBoundingTriangulationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundingTriangulationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundingTriangulationOn for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  vtk_pointer->BoundingTriangulationOn();
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:BoundingTriangulationOff vtkDelaunay2DBoundingTriangulationOffFunction
//input a0 
//output none
ArrayVector vtkDelaunay2DBoundingTriangulationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundingTriangulationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundingTriangulationOff for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  vtk_pointer->BoundingTriangulationOff();
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:SetTransform vtkDelaunay2DSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay2DSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkAbstractTransform *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkDelaunay2D requires 2 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetTransform vtkDelaunay2DGetTransformFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:SetProjectionPlaneMode vtkDelaunay2DSetProjectionPlaneModeFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay2DSetProjectionPlaneModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionPlaneMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionPlaneMode for class vtkDelaunay2D requires 2 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjectionPlaneMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetProjectionPlaneModeMinValue vtkDelaunay2DGetProjectionPlaneModeMinValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetProjectionPlaneModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionPlaneModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionPlaneModeMinValue for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionPlaneModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetProjectionPlaneModeMaxValue vtkDelaunay2DGetProjectionPlaneModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetProjectionPlaneModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionPlaneModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionPlaneModeMaxValue for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionPlaneModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:GetProjectionPlaneMode vtkDelaunay2DGetProjectionPlaneModeFunction
//input a0 
//output y
ArrayVector vtkDelaunay2DGetProjectionPlaneModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionPlaneMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionPlaneMode for class vtkDelaunay2D requires 1 argument(s)");
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionPlaneMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay2D:display vtkDelaunay2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDelaunay2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDelaunay2D* vtk_pointer = GetVTKPointer<vtkDelaunay2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDelaunay2D:delete vtkDelaunay2DDeleteFunction
//input varargin
//output none
ArrayVector vtkDelaunay2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDelaunay2D
//@@Section VTKGraphics
//@@Usage
// vtkDelaunay2D is a filter that constructs a 2D Delaunay triangulation from
// a list of input points. These points may be represented by any dataset of
// type vtkPointSet and subclasses. The output of the filter is a polygonal
// dataset. Usually the output is a triangle mesh, but if a non-zero alpha
// distance value is specified (called the "alpha" value), then only
// triangles, edges, and vertices lying within the alpha radius are
// output. In other words, non-zero alpha values may result in arbitrary
// combinations of triangles, lines, and vertices. (The notion of alpha value
// is derived from Edelsbrunner's work on "alpha shapes".) Also, it is
// possible to generate "constrained triangulations" using this filter.
// A constrained triangulation is one where edges and loops (i.e., polygons)
// can be defined and the triangulation will preserve them (read on for 
// more information).
//
// The 2D Delaunay triangulation is defined as the triangulation that 
// satisfies the Delaunay criterion for n-dimensional simplexes (in this case
// n=2 and the simplexes are triangles). This criterion states that a 
// circumsphere of each simplex in a triangulation contains only the n+1 
// defining points of the simplex. (See "The Visualization Toolkit" text 
// for more information.) In two dimensions, this translates into an optimal 
// triangulation. That is, the maximum interior angle of any triangle is less 
// than or equal to that of any possible triangulation.
// 
// Delaunay triangulations are used to build topological structures
// from unorganized (or unstructured) points. The input to this filter
// is a list of points specified in 3D, even though the triangulation
// is 2D. Thus the triangulation is constructed in the x-y plane, and
// the z coordinate is ignored (although carried through to the
// output). If you desire to triangulate in a different plane, you
// can use the vtkTransformFilter to transform the points into and
// out of the x-y plane or you can specify a transform to the Delaunay2D
// directly.  In the latter case, the input points are transformed, the
// transformed points are triangulated, and the output will use the
// triangulated topology for the original (non-transformed) points.  This
// avoids transforming the data back as would be required when using the
// vtkTransformFilter method.  Specifying a transform directly also allows
// any transform to be used: rigid, non-rigid, non-invertible, etc.
//
// If an input transform is used, then alpha values are applied (for the
// most part) in the original data space.  The exception is when
// BoundingTriangulation is on.  In this case, alpha values are applied in
// the original data space unless a cell uses a bounding vertex.  
// 
// The Delaunay triangulation can be numerically sensitive in some cases. To
// prevent problems, try to avoid injecting points that will result in
// triangles with bad aspect ratios (1000:1 or greater). In practice this
// means inserting points that are "widely dispersed", and enables smooth
// transition of triangle sizes throughout the mesh. (You may even want to
// add extra points to create a better point distribution.) If numerical
// problems are present, you will see a warning message to this effect at
// the end of the triangulation process.
//
// To create constrained meshes, you must define an additional
// input. This input is an instance of vtkPolyData which contains
// lines, polylines, and/or polygons that define constrained edges and
// loops. Only the topology of (lines and polygons) from this second
// input are used.  The topology is assumed to reference points in the
// input point set (the one to be triangulated). In other words, the
// lines and polygons use point ids from the first input point
// set. Lines and polylines found in the input will be mesh edges in
// the output. Polygons define a loop with inside and outside
// regions. The inside of the polygon is determined by using the
// right-hand-rule, i.e., looking down the z-axis a polygon should be
// ordered counter-clockwise. Holes in a polygon should be ordered
// clockwise. If you choose to create a constrained triangulation, the
// final mesh may not satisfy the Delaunay criterion. (Noted: the
// lines/polygon edges must not intersect when projected onto the 2D
// plane.  It may not be possible to recover all edges due to not
// enough points in the triangulation, or poorly defined edges
// (coincident or excessively long).  The form of the lines or
// polygons is a list of point ids that correspond to the input point
// ids used to generate the triangulation.)
//
// If an input transform is used, constraints are defined in the
// "transformed" space.  So when the right hand rule is used for a
// polygon constraint, that operation is applied using the transformed
// points.  Since the input transform can be any transformation (rigid
// or non-rigid), care must be taken in constructing constraints when
// an input transform is used.
//
//To create an instance of class vtkDelaunay2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkDelaunay2D
//@]
//@@Methods
//The class vtkDelaunay2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDelaunay2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDelaunay2D = obj.NewInstance ()|
// \item @|vtkDelaunay2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSource (vtkPolyData )| -  Specify the source object used to specify constrained edges and loops.
// (This is optional.) If set, and lines/polygons are defined, a constrained
// triangulation is created. The lines/polygons are assumed to reference
// points in the input point set (i.e. point ids are identical in the
// input and source).
// Old style. See SetSourceConnection.
//// \item @|obj.SetSourceConnection (vtkAlgorithmOutput algOutput)| -  Specify the source object used to specify constrained edges and loops.
// (This is optional.) If set, and lines/polygons are defined, a constrained
// triangulation is created. The lines/polygons are assumed to reference
// points in the input point set (i.e. point ids are identical in the
// input and source).
// New style. This method is equivalent to SetInputConnection(1, algOutput).
//// \item @|vtkPolyData = obj.GetSource ()| -  Get a pointer to the source object.
//// \item @|obj.SetAlpha (double )| -  Specify alpha (or distance) value to control output of this filter.
// For a non-zero alpha value, only edges or triangles contained within
// a sphere centered at mesh vertices will be output. Otherwise, only
// triangles will be output.
//// \item @|double = obj.GetAlphaMinValue ()| -  Specify alpha (or distance) value to control output of this filter.
// For a non-zero alpha value, only edges or triangles contained within
// a sphere centered at mesh vertices will be output. Otherwise, only
// triangles will be output.
//// \item @|double = obj.GetAlphaMaxValue ()| -  Specify alpha (or distance) value to control output of this filter.
// For a non-zero alpha value, only edges or triangles contained within
// a sphere centered at mesh vertices will be output. Otherwise, only
// triangles will be output.
//// \item @|double = obj.GetAlpha ()| -  Specify alpha (or distance) value to control output of this filter.
// For a non-zero alpha value, only edges or triangles contained within
// a sphere centered at mesh vertices will be output. Otherwise, only
// triangles will be output.
//// \item @|obj.SetTolerance (double )| -  Specify a tolerance to control discarding of closely spaced points.
// This tolerance is specified as a fraction of the diagonal length of
// the bounding box of the points.
//// \item @|double = obj.GetToleranceMinValue ()| -  Specify a tolerance to control discarding of closely spaced points.
// This tolerance is specified as a fraction of the diagonal length of
// the bounding box of the points.
//// \item @|double = obj.GetToleranceMaxValue ()| -  Specify a tolerance to control discarding of closely spaced points.
// This tolerance is specified as a fraction of the diagonal length of
// the bounding box of the points.
//// \item @|double = obj.GetTolerance ()| -  Specify a tolerance to control discarding of closely spaced points.
// This tolerance is specified as a fraction of the diagonal length of
// the bounding box of the points.
//// \item @|obj.SetOffset (double )| -  Specify a multiplier to control the size of the initial, bounding
// Delaunay triangulation.
//// \item @|double = obj.GetOffsetMinValue ()| -  Specify a multiplier to control the size of the initial, bounding
// Delaunay triangulation.
//// \item @|double = obj.GetOffsetMaxValue ()| -  Specify a multiplier to control the size of the initial, bounding
// Delaunay triangulation.
//// \item @|double = obj.GetOffset ()| -  Specify a multiplier to control the size of the initial, bounding
// Delaunay triangulation.
//// \item @|obj.SetBoundingTriangulation (int )| -  Boolean controls whether bounding triangulation points (and associated
// triangles) are included in the output. (These are introduced as an
// initial triangulation to begin the triangulation process. This feature
// is nice for debugging output.)
//// \item @|int = obj.GetBoundingTriangulation ()| -  Boolean controls whether bounding triangulation points (and associated
// triangles) are included in the output. (These are introduced as an
// initial triangulation to begin the triangulation process. This feature
// is nice for debugging output.)
//// \item @|obj.BoundingTriangulationOn ()| -  Boolean controls whether bounding triangulation points (and associated
// triangles) are included in the output. (These are introduced as an
// initial triangulation to begin the triangulation process. This feature
// is nice for debugging output.)
//// \item @|obj.BoundingTriangulationOff ()| -  Boolean controls whether bounding triangulation points (and associated
// triangles) are included in the output. (These are introduced as an
// initial triangulation to begin the triangulation process. This feature
// is nice for debugging output.)
//// \item @|obj.SetTransform (vtkAbstractTransform )| -  Set / get the transform which is applied to points to generate a
// 2D problem.  This maps a 3D dataset into a 2D dataset where
// triangulation can be done on the XY plane.  The points are
// transformed and triangulated.  The topology of triangulated
// points is used as the output topology.  The output points are the
// original (untransformed) points.  The transform can be any
// subclass of vtkAbstractTransform (thus it does not need to be a
// linear or invertible transform).
//// \item @|vtkAbstractTransform = obj.GetTransform ()| -  Set / get the transform which is applied to points to generate a
// 2D problem.  This maps a 3D dataset into a 2D dataset where
// triangulation can be done on the XY plane.  The points are
// transformed and triangulated.  The topology of triangulated
// points is used as the output topology.  The output points are the
// original (untransformed) points.  The transform can be any
// subclass of vtkAbstractTransform (thus it does not need to be a
// linear or invertible transform).
//// \item @|obj.SetProjectionPlaneMode (int )| -  Define
//// \item @|int = obj.GetProjectionPlaneModeMinValue ()| -  Define
//// \item @|int = obj.GetProjectionPlaneModeMaxValue ()| -  Define
//// \item @|int = obj.GetProjectionPlaneMode ()| -  Define
////\end{itemize}
//!
