#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDelaunay3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDelaunay3D.h"

//@@Signature
//sfunction @vtkDelaunay3D:vtkDelaunay3D vtkDelaunay3DConstructorFunction
//input a
//output p
//@@Parents vtkDelaunay3D vtkUnstructuredGridAlgorithm 
ArrayVector vtkDelaunay3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDelaunay3D::New(),"vtkDelaunay3D",eval);
  } else if (arg[0].className() == "vtkDelaunay3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDelaunay3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDelaunay3D");
    vtkDelaunay3D*q = reinterpret_cast<vtkDelaunay3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDelaunay3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDelaunay3D:GetClassName vtkDelaunay3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:IsA vtkDelaunay3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDelaunay3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDelaunay3D requires 2 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:NewInstance vtkDelaunay3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDelaunay3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  vtkDelaunay3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDelaunay3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:SafeDownCast vtkDelaunay3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDelaunay3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDelaunay3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDelaunay3D requires 2 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDelaunay3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDelaunay3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:SetAlpha vtkDelaunay3DSetAlphaFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay3DSetAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlpha (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAlpha for class vtkDelaunay3D requires 2 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAlpha(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetAlphaMinValue vtkDelaunay3DGetAlphaMinValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetAlphaMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAlphaMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlphaMinValue for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAlphaMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetAlphaMaxValue vtkDelaunay3DGetAlphaMaxValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetAlphaMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAlphaMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlphaMaxValue for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAlphaMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetAlpha vtkDelaunay3DGetAlphaFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAlpha (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlpha for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAlpha();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:SetTolerance vtkDelaunay3DSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay3DSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkDelaunay3D requires 2 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetToleranceMinValue vtkDelaunay3DGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetToleranceMaxValue vtkDelaunay3DGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetTolerance vtkDelaunay3DGetToleranceFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:SetOffset vtkDelaunay3DSetOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay3DSetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffset for class vtkDelaunay3D requires 2 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetOffsetMinValue vtkDelaunay3DGetOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMinValue for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetOffsetMaxValue vtkDelaunay3DGetOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMaxValue for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetOffset vtkDelaunay3DGetOffsetFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffset for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:SetBoundingTriangulation vtkDelaunay3DSetBoundingTriangulationFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay3DSetBoundingTriangulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundingTriangulation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundingTriangulation for class vtkDelaunay3D requires 2 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBoundingTriangulation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetBoundingTriangulation vtkDelaunay3DGetBoundingTriangulationFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetBoundingTriangulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundingTriangulation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundingTriangulation for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoundingTriangulation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:BoundingTriangulationOn vtkDelaunay3DBoundingTriangulationOnFunction
//input a0 
//output none
ArrayVector vtkDelaunay3DBoundingTriangulationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundingTriangulationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundingTriangulationOn for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  vtk_pointer->BoundingTriangulationOn();
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:BoundingTriangulationOff vtkDelaunay3DBoundingTriangulationOffFunction
//input a0 
//output none
ArrayVector vtkDelaunay3DBoundingTriangulationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundingTriangulationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundingTriangulationOff for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  vtk_pointer->BoundingTriangulationOff();
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:SetLocator vtkDelaunay3DSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkDelaunay3DSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkDelaunay3D requires 2 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetLocator vtkDelaunay3DGetLocatorFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:CreateDefaultLocator vtkDelaunay3DCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkDelaunay3DCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:InsertPoint vtkDelaunay3DInsertPointFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkDelaunay3DInsertPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertPoint (vtkUnstructuredGrid *Mesh, vtkPoints *points, vtkIdType id, double x[3], vtkIdList *holeTetras); */
  if (arg.size() < 6) 
    throw Exception("Function InsertPoint for class vtkDelaunay3D requires 6 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  vtkPoints  *temp1;
  vtkIdType   temp2;
  double temp3[3];
  vtkIdList  *temp4;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  temp1 = GetVTKPointer<vtkPoints>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp4 = GetVTKPointer<vtkIdList>(arg[7]);
  vtk_pointer->InsertPoint(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:EndPointInsertion vtkDelaunay3DEndPointInsertionFunction
//input a0 
//output none
ArrayVector vtkDelaunay3DEndPointInsertionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EndPointInsertion (); */
  if (arg.size() < 1) 
    throw Exception("Function EndPointInsertion for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  vtk_pointer->EndPointInsertion();
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:GetMTime vtkDelaunay3DGetMTimeFunction
//input a0 
//output y
ArrayVector vtkDelaunay3DGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkDelaunay3D requires 1 argument(s)");
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelaunay3D:display vtkDelaunay3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDelaunay3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDelaunay3D* vtk_pointer = GetVTKPointer<vtkDelaunay3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDelaunay3D:delete vtkDelaunay3DDeleteFunction
//input varargin
//output none
ArrayVector vtkDelaunay3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDelaunay3D
//@@Section VTKGraphics
//@@Usage
// vtkDelaunay3D is a filter that constructs a 3D Delaunay
// triangulation from a list of input points. These points may be
// represented by any dataset of type vtkPointSet and subclasses. The
// output of the filter is an unstructured grid dataset. Usually the
// output is a tetrahedral mesh, but if a non-zero alpha distance
// value is specified (called the "alpha" value), then only tetrahedra,
// triangles, edges, and vertices lying within the alpha radius are 
// output. In other words, non-zero alpha values may result in arbitrary
// combinations of tetrahedra, triangles, lines, and vertices. (The notion 
// of alpha value is derived from Edelsbrunner's work on "alpha shapes".)
// 
// The 3D Delaunay triangulation is defined as the triangulation that
// satisfies the Delaunay criterion for n-dimensional simplexes (in
// this case n=3 and the simplexes are tetrahedra). This criterion
// states that a circumsphere of each simplex in a triangulation
// contains only the n+1 defining points of the simplex. (See text for
// more information.) While in two dimensions this translates into an
// "optimal" triangulation, this is not true in 3D, since a measurement 
// for optimality in 3D is not agreed on.
//
// Delaunay triangulations are used to build topological structures
// from unorganized (or unstructured) points. The input to this filter
// is a list of points specified in 3D. (If you wish to create 2D 
// triangulations see vtkDelaunay2D.) The output is an unstructured grid.
// 
// The Delaunay triangulation can be numerically sensitive. To prevent
// problems, try to avoid injecting points that will result in
// triangles with bad aspect ratios (1000:1 or greater). In practice
// this means inserting points that are "widely dispersed", and
// enables smooth transition of triangle sizes throughout the
// mesh. (You may even want to add extra points to create a better
// point distribution.) If numerical problems are present, you will
// see a warning message to this effect at the end of the
// triangulation process.
//
//To create an instance of class vtkDelaunay3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkDelaunay3D
//@]
//@@Methods
//The class vtkDelaunay3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDelaunay3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDelaunay3D = obj.NewInstance ()|
// \item @|vtkDelaunay3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetAlpha (double )| -  Specify alpha (or distance) value to control output of this filter.
// For a non-zero alpha value, only edges, faces, or tetra contained 
// within the circumsphere (of radius alpha) will be output. Otherwise,
// only tetrahedra will be output.
//// \item @|double = obj.GetAlphaMinValue ()| -  Specify alpha (or distance) value to control output of this filter.
// For a non-zero alpha value, only edges, faces, or tetra contained 
// within the circumsphere (of radius alpha) will be output. Otherwise,
// only tetrahedra will be output.
//// \item @|double = obj.GetAlphaMaxValue ()| -  Specify alpha (or distance) value to control output of this filter.
// For a non-zero alpha value, only edges, faces, or tetra contained 
// within the circumsphere (of radius alpha) will be output. Otherwise,
// only tetrahedra will be output.
//// \item @|double = obj.GetAlpha ()| -  Specify alpha (or distance) value to control output of this filter.
// For a non-zero alpha value, only edges, faces, or tetra contained 
// within the circumsphere (of radius alpha) will be output. Otherwise,
// only tetrahedra will be output.
//// \item @|obj.SetTolerance (double )| -  Specify a tolerance to control discarding of closely spaced points.
// This tolerance is specified as a fraction of the diagonal length of
// the bounding box of the points.
//// \item @|double = obj.GetToleranceMinValue ()| -  Specify a tolerance to control discarding of closely spaced points.
// This tolerance is specified as a fraction of the diagonal length of
// the bounding box of the points.
//// \item @|double = obj.GetToleranceMaxValue ()| -  Specify a tolerance to control discarding of closely spaced points.
// This tolerance is specified as a fraction of the diagonal length of
// the bounding box of the points.
//// \item @|double = obj.GetTolerance ()| -  Specify a tolerance to control discarding of closely spaced points.
// This tolerance is specified as a fraction of the diagonal length of
// the bounding box of the points.
//// \item @|obj.SetOffset (double )| -  Specify a multiplier to control the size of the initial, bounding
// Delaunay triangulation.
//// \item @|double = obj.GetOffsetMinValue ()| -  Specify a multiplier to control the size of the initial, bounding
// Delaunay triangulation.
//// \item @|double = obj.GetOffsetMaxValue ()| -  Specify a multiplier to control the size of the initial, bounding
// Delaunay triangulation.
//// \item @|double = obj.GetOffset ()| -  Specify a multiplier to control the size of the initial, bounding
// Delaunay triangulation.
//// \item @|obj.SetBoundingTriangulation (int )| -  Boolean controls whether bounding triangulation points (and associated
// triangles) are included in the output. (These are introduced as an
// initial triangulation to begin the triangulation process. This feature
// is nice for debugging output.)
//// \item @|int = obj.GetBoundingTriangulation ()| -  Boolean controls whether bounding triangulation points (and associated
// triangles) are included in the output. (These are introduced as an
// initial triangulation to begin the triangulation process. This feature
// is nice for debugging output.)
//// \item @|obj.BoundingTriangulationOn ()| -  Boolean controls whether bounding triangulation points (and associated
// triangles) are included in the output. (These are introduced as an
// initial triangulation to begin the triangulation process. This feature
// is nice for debugging output.)
//// \item @|obj.BoundingTriangulationOff ()| -  Boolean controls whether bounding triangulation points (and associated
// triangles) are included in the output. (These are introduced as an
// initial triangulation to begin the triangulation process. This feature
// is nice for debugging output.)
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkPointLocator is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkPointLocator is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified. The 
// locator is used to eliminate "coincident" points.
//// \item @|obj.InsertPoint (vtkUnstructuredGrid Mesh, vtkPoints points, vtkIdType id, double x[3], vtkIdList holeTetras)| -  This is a helper method used with InitPointInsertion() to create
// tetrahedronalizations of points. Its purpose is to inject point at
// coordinates specified into tetrahedronalization. The point id is an index
// into the list of points in the mesh structure.  (See
// vtkDelaunay3D::InitPointInsertion() for more information.)  When you have
// completed inserting points, traverse the mesh structure to extract desired
// tetrahedra (or tetra faces and edges).The holeTetras id list lists all the
// tetrahedra that are deleted (invalid) in the mesh structure.
//// \item @|obj.EndPointInsertion ()| -  Invoke this method after all points have been inserted. The purpose of
// the method is to clean up internal data structures. Note that the 
// (vtkUnstructuredGrid *)Mesh returned from InitPointInsertion() is NOT
// deleted, you still are responsible for cleaning that up.
//// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the locator.
////\end{itemize}
//!
