#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDensifyPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDensifyPolyData.h"

//@@Signature
//sfunction @vtkDensifyPolyData:vtkDensifyPolyData vtkDensifyPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkDensifyPolyData vtkPolyDataAlgorithm 
ArrayVector vtkDensifyPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDensifyPolyData::New(),"vtkDensifyPolyData",eval);
  } else if (arg[0].className() == "vtkDensifyPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDensifyPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDensifyPolyData");
    vtkDensifyPolyData*q = reinterpret_cast<vtkDensifyPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDensifyPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDensifyPolyData:GetClassName vtkDensifyPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDensifyPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDensifyPolyData requires 1 argument(s)");
  vtkDensifyPolyData* vtk_pointer = GetVTKPointer<vtkDensifyPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDensifyPolyData:IsA vtkDensifyPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDensifyPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDensifyPolyData requires 2 argument(s)");
  vtkDensifyPolyData* vtk_pointer = GetVTKPointer<vtkDensifyPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDensifyPolyData:NewInstance vtkDensifyPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDensifyPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDensifyPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDensifyPolyData requires 1 argument(s)");
  vtkDensifyPolyData* vtk_pointer = GetVTKPointer<vtkDensifyPolyData>(arg[0]);
  Array retval;
  vtkDensifyPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDensifyPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDensifyPolyData:SafeDownCast vtkDensifyPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDensifyPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDensifyPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDensifyPolyData requires 2 argument(s)");
  vtkDensifyPolyData* vtk_pointer = GetVTKPointer<vtkDensifyPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDensifyPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDensifyPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDensifyPolyData:SetNumberOfSubdivisions vtkDensifyPolyDataSetNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkDensifyPolyDataSetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSubdivisions (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSubdivisions for class vtkDensifyPolyData requires 2 argument(s)");
  vtkDensifyPolyData* vtk_pointer = GetVTKPointer<vtkDensifyPolyData>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDensifyPolyData:GetNumberOfSubdivisions vtkDensifyPolyDataGetNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkDensifyPolyDataGetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubdivisions for class vtkDensifyPolyData requires 1 argument(s)");
  vtkDensifyPolyData* vtk_pointer = GetVTKPointer<vtkDensifyPolyData>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDensifyPolyData:display vtkDensifyPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDensifyPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDensifyPolyData* vtk_pointer = GetVTKPointer<vtkDensifyPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDensifyPolyData:delete vtkDensifyPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkDensifyPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDensifyPolyData
//@@Section VTKGraphics
//@@Usage
// The filter takes any polygonal data as input and will tessellate cells that 
// are planar polygons present by fanning out triangles from its centroid. 
// Other cells are simply passed through to the output.  PointData, if present,
// is interpolated via linear interpolation. CellData for any tessellated cell
// is simply copied over from its parent cell. Planar polygons are assumed to 
// be convex. Funny things will happen if they are not.
// 
// The number of subdivisions can be controlled by the parameter
// NumberOfSubdivisions.
//
//To create an instance of class vtkDensifyPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkDensifyPolyData
//@]
//@@Methods
//The class vtkDensifyPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDensifyPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDensifyPolyData = obj.NewInstance ()|
// \item @|vtkDensifyPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfSubdivisions (int )| -  Number of recursive subdivisions. Initial value is 1.
//// \item @|int = obj.GetNumberOfSubdivisions ()| -  Number of recursive subdivisions. Initial value is 1.
////\end{itemize}
//!
