#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDicer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDicer.h"

//@@Signature
//sfunction @vtkDicer:vtkDicer vtkDicerConstructorFunction
//input a
//output p
//@@Parents vtkDicer vtkDataSetAlgorithm 
ArrayVector vtkDicerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDicer::New(),"vtkDicer",eval);
  } else if (arg[0].className() == "vtkDicer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDicer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDicer");
    vtkDicer*q = reinterpret_cast<vtkDicer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDicer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDicer:GetClassName vtkDicerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDicerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:IsA vtkDicerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDicerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDicer requires 2 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:NewInstance vtkDicerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDicerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDicer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  vtkDicer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDicer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDicer:SafeDownCast vtkDicerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDicerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDicer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDicer requires 2 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDicer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDicer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDicer:SetFieldData vtkDicerSetFieldDataFunction
//input a0 a1 
//output none
ArrayVector vtkDicerSetFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldData for class vtkDicer requires 2 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetFieldData vtkDicerGetFieldDataFunction
//input a0 
//output y
ArrayVector vtkDicerGetFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldData for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:FieldDataOn vtkDicerFieldDataOnFunction
//input a0 
//output none
ArrayVector vtkDicerFieldDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FieldDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FieldDataOn for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  vtk_pointer->FieldDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkDicer:FieldDataOff vtkDicerFieldDataOffFunction
//input a0 
//output none
ArrayVector vtkDicerFieldDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FieldDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FieldDataOff for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  vtk_pointer->FieldDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkDicer:SetDiceMode vtkDicerSetDiceModeFunction
//input a0 a1 
//output none
ArrayVector vtkDicerSetDiceModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiceMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiceMode for class vtkDicer requires 2 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDiceMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetDiceModeMinValue vtkDicerGetDiceModeMinValueFunction
//input a0 
//output y
ArrayVector vtkDicerGetDiceModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDiceModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiceModeMinValue for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDiceModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetDiceModeMaxValue vtkDicerGetDiceModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkDicerGetDiceModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDiceModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiceModeMaxValue for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDiceModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetDiceMode vtkDicerGetDiceModeFunction
//input a0 
//output y
ArrayVector vtkDicerGetDiceModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDiceMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiceMode for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDiceMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:SetDiceModeToNumberOfPointsPerPiece vtkDicerSetDiceModeToNumberOfPointsPerPieceFunction
//input a0 
//output none
ArrayVector vtkDicerSetDiceModeToNumberOfPointsPerPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiceModeToNumberOfPointsPerPiece ();this SetDiceMode VTK_DICE_MODE_NUMBER_OF_POINTS  */
  if (arg.size() < 1) 
    throw Exception("Function SetDiceModeToNumberOfPointsPerPiece for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  vtk_pointer->SetDiceModeToNumberOfPointsPerPiece();
  return retval;
}

//@@Signature
//sfunction @vtkDicer:SetDiceModeToSpecifiedNumberOfPieces vtkDicerSetDiceModeToSpecifiedNumberOfPiecesFunction
//input a0 
//output none
ArrayVector vtkDicerSetDiceModeToSpecifiedNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiceModeToSpecifiedNumberOfPieces ();this SetDiceMode VTK_DICE_MODE_SPECIFIED_NUMBER  */
  if (arg.size() < 1) 
    throw Exception("Function SetDiceModeToSpecifiedNumberOfPieces for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  vtk_pointer->SetDiceModeToSpecifiedNumberOfPieces();
  return retval;
}

//@@Signature
//sfunction @vtkDicer:SetDiceModeToMemoryLimitPerPiece vtkDicerSetDiceModeToMemoryLimitPerPieceFunction
//input a0 
//output none
ArrayVector vtkDicerSetDiceModeToMemoryLimitPerPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiceModeToMemoryLimitPerPiece ();this SetDiceMode VTK_DICE_MODE_MEMORY_LIMIT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDiceModeToMemoryLimitPerPiece for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  vtk_pointer->SetDiceModeToMemoryLimitPerPiece();
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetNumberOfActualPieces vtkDicerGetNumberOfActualPiecesFunction
//input a0 
//output y
ArrayVector vtkDicerGetNumberOfActualPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfActualPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfActualPieces for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfActualPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:SetNumberOfPointsPerPiece vtkDicerSetNumberOfPointsPerPieceFunction
//input a0 a1 
//output none
ArrayVector vtkDicerSetNumberOfPointsPerPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPointsPerPiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPointsPerPiece for class vtkDicer requires 2 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPointsPerPiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetNumberOfPointsPerPieceMinValue vtkDicerGetNumberOfPointsPerPieceMinValueFunction
//input a0 
//output y
ArrayVector vtkDicerGetNumberOfPointsPerPieceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointsPerPieceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointsPerPieceMinValue for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointsPerPieceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetNumberOfPointsPerPieceMaxValue vtkDicerGetNumberOfPointsPerPieceMaxValueFunction
//input a0 
//output y
ArrayVector vtkDicerGetNumberOfPointsPerPieceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointsPerPieceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointsPerPieceMaxValue for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointsPerPieceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetNumberOfPointsPerPiece vtkDicerGetNumberOfPointsPerPieceFunction
//input a0 
//output y
ArrayVector vtkDicerGetNumberOfPointsPerPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointsPerPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointsPerPiece for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointsPerPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:SetNumberOfPieces vtkDicerSetNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkDicerSetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPieces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPieces for class vtkDicer requires 2 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetNumberOfPiecesMinValue vtkDicerGetNumberOfPiecesMinValueFunction
//input a0 
//output y
ArrayVector vtkDicerGetNumberOfPiecesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPiecesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPiecesMinValue for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPiecesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetNumberOfPiecesMaxValue vtkDicerGetNumberOfPiecesMaxValueFunction
//input a0 
//output y
ArrayVector vtkDicerGetNumberOfPiecesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPiecesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPiecesMaxValue for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPiecesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetNumberOfPieces vtkDicerGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkDicerGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:SetMemoryLimit vtkDicerSetMemoryLimitFunction
//input a0 a1 
//output none
ArrayVector vtkDicerSetMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMemoryLimit (unsigned long ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMemoryLimit for class vtkDicer requires 2 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->SetMemoryLimit(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetMemoryLimitMinValue vtkDicerGetMemoryLimitMinValueFunction
//input a0 
//output y
ArrayVector vtkDicerGetMemoryLimitMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned GetMemoryLimitMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMemoryLimitMinValue for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMemoryLimitMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetMemoryLimitMaxValue vtkDicerGetMemoryLimitMaxValueFunction
//input a0 
//output y
ArrayVector vtkDicerGetMemoryLimitMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned GetMemoryLimitMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMemoryLimitMaxValue for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMemoryLimitMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:GetMemoryLimit vtkDicerGetMemoryLimitFunction
//input a0 
//output y
ArrayVector vtkDicerGetMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetMemoryLimit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMemoryLimit for class vtkDicer requires 1 argument(s)");
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMemoryLimit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDicer:display vtkDicerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDicerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDicer* vtk_pointer = GetVTKPointer<vtkDicer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDicer:delete vtkDicerDeleteFunction
//input varargin
//output none
ArrayVector vtkDicerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDicer
//@@Section VTKGraphics
//@@Usage
// Subclasses of vtkDicer divides the input dataset into separate
// pieces.  These pieces can then be operated on by other filters
// (e.g., vtkThreshold). One application is to break very large
// polygonal models into pieces and performing viewing and occlusion
// culling on the pieces. Multiple pieces can also be streamed through
// the visualization pipeline.
//
// To use this filter, you must specify the execution mode of the
// filter; i.e., set the way that the piece size is controlled (do
// this by setting the DiceMode ivar). The filter does not change the
// geometry or topology of the input dataset, rather it generates
// integer numbers that indicate which piece a particular point
// belongs to (i.e., it modifies the point and cell attribute
// data). The integer number can be placed into the output scalar
// data, or the output field data.
//
//To create an instance of class vtkDicer, simply
//invoke its constructor as follows
//@[
//  obj = vtkDicer
//@]
//@@Methods
//The class vtkDicer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDicer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDicer = obj.NewInstance ()|
// \item @|vtkDicer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFieldData (int )| -  Set/Get the flag which controls whether to generate point scalar
// data or point field data. If this flag is off, scalar data is
// generated.  Otherwise, field data is generated. Note that the
// generated the data are integer numbers indicating which piece a
// particular point belongs to.
//// \item @|int = obj.GetFieldData ()| -  Set/Get the flag which controls whether to generate point scalar
// data or point field data. If this flag is off, scalar data is
// generated.  Otherwise, field data is generated. Note that the
// generated the data are integer numbers indicating which piece a
// particular point belongs to.
//// \item @|obj.FieldDataOn ()| -  Set/Get the flag which controls whether to generate point scalar
// data or point field data. If this flag is off, scalar data is
// generated.  Otherwise, field data is generated. Note that the
// generated the data are integer numbers indicating which piece a
// particular point belongs to.
//// \item @|obj.FieldDataOff ()| -  Set/Get the flag which controls whether to generate point scalar
// data or point field data. If this flag is off, scalar data is
// generated.  Otherwise, field data is generated. Note that the
// generated the data are integer numbers indicating which piece a
// particular point belongs to.
//// \item @|obj.SetDiceMode (int )| -  Specify the method to determine how many pieces the data should be
// broken into. By default, the number of points per piece is used.
//// \item @|int = obj.GetDiceModeMinValue ()| -  Specify the method to determine how many pieces the data should be
// broken into. By default, the number of points per piece is used.
//// \item @|int = obj.GetDiceModeMaxValue ()| -  Specify the method to determine how many pieces the data should be
// broken into. By default, the number of points per piece is used.
//// \item @|int = obj.GetDiceMode ()| -  Specify the method to determine how many pieces the data should be
// broken into. By default, the number of points per piece is used.
//// \item @|obj.SetDiceModeToNumberOfPointsPerPiece ()| -  Specify the method to determine how many pieces the data should be
// broken into. By default, the number of points per piece is used.
//// \item @|obj.SetDiceModeToSpecifiedNumberOfPieces ()| -  Specify the method to determine how many pieces the data should be
// broken into. By default, the number of points per piece is used.
//// \item @|obj.SetDiceModeToMemoryLimitPerPiece ()| -  Specify the method to determine how many pieces the data should be
// broken into. By default, the number of points per piece is used.
//// \item @|int = obj.GetNumberOfActualPieces ()| -  Use the following method after the filter has updated to
// determine the actual number of pieces the data was separated
// into.
//// \item @|obj.SetNumberOfPointsPerPiece (int )| -  Control piece size based on the maximum number of points per piece.
// (This ivar has effect only when the DiceMode is set to 
// SetDiceModeToNumberOfPoints().)
//// \item @|int = obj.GetNumberOfPointsPerPieceMinValue ()| -  Control piece size based on the maximum number of points per piece.
// (This ivar has effect only when the DiceMode is set to 
// SetDiceModeToNumberOfPoints().)
//// \item @|int = obj.GetNumberOfPointsPerPieceMaxValue ()| -  Control piece size based on the maximum number of points per piece.
// (This ivar has effect only when the DiceMode is set to 
// SetDiceModeToNumberOfPoints().)
//// \item @|int = obj.GetNumberOfPointsPerPiece ()| -  Control piece size based on the maximum number of points per piece.
// (This ivar has effect only when the DiceMode is set to 
// SetDiceModeToNumberOfPoints().)
//// \item @|obj.SetNumberOfPieces (int )| -  Set/Get the number of pieces the object is to be separated into.
// (This ivar has effect only when the DiceMode is set to
// SetDiceModeToSpecifiedNumber()). Note that the ivar
// NumberOfPieces is a target - depending on the particulars of the
// data, more or less number of pieces than the target value may be
// created.
//// \item @|int = obj.GetNumberOfPiecesMinValue ()| -  Set/Get the number of pieces the object is to be separated into.
// (This ivar has effect only when the DiceMode is set to
// SetDiceModeToSpecifiedNumber()). Note that the ivar
// NumberOfPieces is a target - depending on the particulars of the
// data, more or less number of pieces than the target value may be
// created.
//// \item @|int = obj.GetNumberOfPiecesMaxValue ()| -  Set/Get the number of pieces the object is to be separated into.
// (This ivar has effect only when the DiceMode is set to
// SetDiceModeToSpecifiedNumber()). Note that the ivar
// NumberOfPieces is a target - depending on the particulars of the
// data, more or less number of pieces than the target value may be
// created.
//// \item @|int = obj.GetNumberOfPieces ()| -  Set/Get the number of pieces the object is to be separated into.
// (This ivar has effect only when the DiceMode is set to
// SetDiceModeToSpecifiedNumber()). Note that the ivar
// NumberOfPieces is a target - depending on the particulars of the
// data, more or less number of pieces than the target value may be
// created.
//// \item @|obj.SetMemoryLimit (long )| -  Control piece size based on a memory limit.  (This ivar has
// effect only when the DiceMode is set to
// SetDiceModeToMemoryLimit()). The memory limit should be set in
// kilobytes.
//// \item @|GetMemoryLimitMinValue = obj.()| -  Control piece size based on a memory limit.  (This ivar has
// effect only when the DiceMode is set to
// SetDiceModeToMemoryLimit()). The memory limit should be set in
// kilobytes.
//// \item @|GetMemoryLimitMaxValue = obj.()| -  Control piece size based on a memory limit.  (This ivar has
// effect only when the DiceMode is set to
// SetDiceModeToMemoryLimit()). The memory limit should be set in
// kilobytes.
//// \item @|long = obj.GetMemoryLimit ()| -  Control piece size based on a memory limit.  (This ivar has
// effect only when the DiceMode is set to
// SetDiceModeToMemoryLimit()). The memory limit should be set in
// kilobytes.
////\end{itemize}
//!
