#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDijkstraGraphGeodesicPath object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDijkstraGraphGeodesicPath.h"

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:vtkDijkstraGraphGeodesicPath vtkDijkstraGraphGeodesicPathConstructorFunction
//input a
//output p
//@@Parents vtkDijkstraGraphGeodesicPath vtkGraphGeodesicPath 
ArrayVector vtkDijkstraGraphGeodesicPathConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDijkstraGraphGeodesicPath::New(),"vtkDijkstraGraphGeodesicPath",eval);
  } else if (arg[0].className() == "vtkDijkstraGraphGeodesicPath") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDijkstraGraphGeodesicPath"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDijkstraGraphGeodesicPath");
    vtkDijkstraGraphGeodesicPath*q = reinterpret_cast<vtkDijkstraGraphGeodesicPath*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDijkstraGraphGeodesicPath");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:GetClassName vtkDijkstraGraphGeodesicPathGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDijkstraGraphGeodesicPathGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:IsA vtkDijkstraGraphGeodesicPathIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDijkstraGraphGeodesicPathIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDijkstraGraphGeodesicPath requires 2 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:NewInstance vtkDijkstraGraphGeodesicPathNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDijkstraGraphGeodesicPathNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDijkstraGraphGeodesicPath *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkDijkstraGraphGeodesicPath  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDijkstraGraphGeodesicPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:SafeDownCast vtkDijkstraGraphGeodesicPathSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDijkstraGraphGeodesicPathSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDijkstraGraphGeodesicPath *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDijkstraGraphGeodesicPath requires 2 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDijkstraGraphGeodesicPath  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDijkstraGraphGeodesicPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:GetIdList vtkDijkstraGraphGeodesicPathGetIdListFunction
//input a0 
//output y
ArrayVector vtkDijkstraGraphGeodesicPathGetIdListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdList *GetIdList (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIdList for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkIdList  *temp20;
  temp20 = (vtk_pointer)->GetIdList();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:SetStopWhenEndReached vtkDijkstraGraphGeodesicPathSetStopWhenEndReachedFunction
//input a0 a1 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathSetStopWhenEndReachedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStopWhenEndReached (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStopWhenEndReached for class vtkDijkstraGraphGeodesicPath requires 2 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStopWhenEndReached(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:GetStopWhenEndReached vtkDijkstraGraphGeodesicPathGetStopWhenEndReachedFunction
//input a0 
//output y
ArrayVector vtkDijkstraGraphGeodesicPathGetStopWhenEndReachedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStopWhenEndReached (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStopWhenEndReached for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStopWhenEndReached();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:StopWhenEndReachedOn vtkDijkstraGraphGeodesicPathStopWhenEndReachedOnFunction
//input a0 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathStopWhenEndReachedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StopWhenEndReachedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StopWhenEndReachedOn for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtk_pointer->StopWhenEndReachedOn();
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:StopWhenEndReachedOff vtkDijkstraGraphGeodesicPathStopWhenEndReachedOffFunction
//input a0 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathStopWhenEndReachedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StopWhenEndReachedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StopWhenEndReachedOff for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtk_pointer->StopWhenEndReachedOff();
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:SetUseScalarWeights vtkDijkstraGraphGeodesicPathSetUseScalarWeightsFunction
//input a0 a1 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathSetUseScalarWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseScalarWeights (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseScalarWeights for class vtkDijkstraGraphGeodesicPath requires 2 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseScalarWeights(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:GetUseScalarWeights vtkDijkstraGraphGeodesicPathGetUseScalarWeightsFunction
//input a0 
//output y
ArrayVector vtkDijkstraGraphGeodesicPathGetUseScalarWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseScalarWeights (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseScalarWeights for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseScalarWeights();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:UseScalarWeightsOn vtkDijkstraGraphGeodesicPathUseScalarWeightsOnFunction
//input a0 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathUseScalarWeightsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseScalarWeightsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseScalarWeightsOn for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtk_pointer->UseScalarWeightsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:UseScalarWeightsOff vtkDijkstraGraphGeodesicPathUseScalarWeightsOffFunction
//input a0 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathUseScalarWeightsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseScalarWeightsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseScalarWeightsOff for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtk_pointer->UseScalarWeightsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:SetRepelPathFromVertices vtkDijkstraGraphGeodesicPathSetRepelPathFromVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathSetRepelPathFromVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepelPathFromVertices (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepelPathFromVertices for class vtkDijkstraGraphGeodesicPath requires 2 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepelPathFromVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:GetRepelPathFromVertices vtkDijkstraGraphGeodesicPathGetRepelPathFromVerticesFunction
//input a0 
//output y
ArrayVector vtkDijkstraGraphGeodesicPathGetRepelPathFromVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepelPathFromVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepelPathFromVertices for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepelPathFromVertices();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:RepelPathFromVerticesOn vtkDijkstraGraphGeodesicPathRepelPathFromVerticesOnFunction
//input a0 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathRepelPathFromVerticesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RepelPathFromVerticesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RepelPathFromVerticesOn for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtk_pointer->RepelPathFromVerticesOn();
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:RepelPathFromVerticesOff vtkDijkstraGraphGeodesicPathRepelPathFromVerticesOffFunction
//input a0 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathRepelPathFromVerticesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RepelPathFromVerticesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RepelPathFromVerticesOff for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtk_pointer->RepelPathFromVerticesOff();
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:SetRepelVertices vtkDijkstraGraphGeodesicPathSetRepelVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathSetRepelVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRepelVertices (vtkPoints *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepelVertices for class vtkDijkstraGraphGeodesicPath requires 2 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetRepelVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:GetRepelVertices vtkDijkstraGraphGeodesicPathGetRepelVerticesFunction
//input a0 
//output y
ArrayVector vtkDijkstraGraphGeodesicPathGetRepelVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetRepelVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepelVertices for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetRepelVertices();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:GetGeodesicLength vtkDijkstraGraphGeodesicPathGetGeodesicLengthFunction
//input a0 
//output y
ArrayVector vtkDijkstraGraphGeodesicPathGetGeodesicLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetGeodesicLength ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetGeodesicLength for class vtkDijkstraGraphGeodesicPath requires 1 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGeodesicLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:GetCumulativeWeights vtkDijkstraGraphGeodesicPathGetCumulativeWeightsFunction
//input a0 a1 
//output none
ArrayVector vtkDijkstraGraphGeodesicPathGetCumulativeWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCumulativeWeights (vtkDoubleArray *weights); */
  if (arg.size() < 2) 
    throw Exception("Function GetCumulativeWeights for class vtkDijkstraGraphGeodesicPath requires 2 argument(s)");
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkDoubleArray  *temp0;
  temp0 = GetVTKPointer<vtkDoubleArray>(arg[1]);
  vtk_pointer->GetCumulativeWeights(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraGraphGeodesicPath:display vtkDijkstraGraphGeodesicPathDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDijkstraGraphGeodesicPathDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDijkstraGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkDijkstraGraphGeodesicPath>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDijkstraGraphGeodesicPath:delete vtkDijkstraGraphGeodesicPathDeleteFunction
//input varargin
//output none
ArrayVector vtkDijkstraGraphGeodesicPathDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDijkstraGraphGeodesicPath
//@@Section VTKGraphics
//@@Usage
// Takes as input a polygonal mesh and performs a single source shortest 
// path calculation. Dijkstra's algorithm is used. The implementation is 
// similar to the one described in Introduction to Algorithms (Second Edition)
// by Thomas H. Cormen, Charles E. Leiserson, Ronald L. Rivest, and 
// Cliff Stein, published by MIT Press and McGraw-Hill. Some minor 
// enhancement are added though. All vertices are not pushed on the heap
// at start, instead a front set is maintained. The heap is implemented as 
// a binary heap. The output of the filter is a set of lines describing 
// the shortest path from StartVertex to EndVertex.
//
//
//To create an instance of class vtkDijkstraGraphGeodesicPath, simply
//invoke its constructor as follows
//@[
//  obj = vtkDijkstraGraphGeodesicPath
//@]
//@@Methods
//The class vtkDijkstraGraphGeodesicPath has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDijkstraGraphGeodesicPath class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methids for printing and determining type information.
//// \item @|int = obj.IsA (string name)| -  Standard methids for printing and determining type information.
//// \item @|vtkDijkstraGraphGeodesicPath = obj.NewInstance ()| -  Standard methids for printing and determining type information.
//// \item @|vtkDijkstraGraphGeodesicPath = obj.SafeDownCast (vtkObject o)| -  Standard methids for printing and determining type information.
//// \item @|vtkIdList = obj.GetIdList ()| -  The vertex ids (of the input polydata) on the shortest path
//// \item @|obj.SetStopWhenEndReached (int )| -  Stop when the end vertex is reached 
// or calculate shortest path to all vertices
//// \item @|int = obj.GetStopWhenEndReached ()| -  Stop when the end vertex is reached 
// or calculate shortest path to all vertices
//// \item @|obj.StopWhenEndReachedOn ()| -  Stop when the end vertex is reached 
// or calculate shortest path to all vertices
//// \item @|obj.StopWhenEndReachedOff ()| -  Stop when the end vertex is reached 
// or calculate shortest path to all vertices
//// \item @|obj.SetUseScalarWeights (int )| -  Use scalar values in the edge weight (experimental)
//// \item @|int = obj.GetUseScalarWeights ()| -  Use scalar values in the edge weight (experimental)
//// \item @|obj.UseScalarWeightsOn ()| -  Use scalar values in the edge weight (experimental)
//// \item @|obj.UseScalarWeightsOff ()| -  Use scalar values in the edge weight (experimental)
//// \item @|obj.SetRepelPathFromVertices (int )| -  Use the input point to repel the path by assigning high costs.
//// \item @|int = obj.GetRepelPathFromVertices ()| -  Use the input point to repel the path by assigning high costs.
//// \item @|obj.RepelPathFromVerticesOn ()| -  Use the input point to repel the path by assigning high costs.
//// \item @|obj.RepelPathFromVerticesOff ()| -  Use the input point to repel the path by assigning high costs.
//// \item @|obj.SetRepelVertices (vtkPoints )| -  Specify vtkPoints to use to repel the path from.
//// \item @|vtkPoints = obj.GetRepelVertices ()| -  Specify vtkPoints to use to repel the path from.
//// \item @|double = obj.GetGeodesicLength ()|
// \item @|obj.GetCumulativeWeights (vtkDoubleArray weights)|
//\end{itemize}
//!
