#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDiscreteMarchingCubes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDiscreteMarchingCubes.h"

//@@Signature
//sfunction @vtkDiscreteMarchingCubes:vtkDiscreteMarchingCubes vtkDiscreteMarchingCubesConstructorFunction
//input a
//output p
//@@Parents vtkDiscreteMarchingCubes vtkMarchingCubes 
ArrayVector vtkDiscreteMarchingCubesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDiscreteMarchingCubes::New(),"vtkDiscreteMarchingCubes",eval);
  } else if (arg[0].className() == "vtkDiscreteMarchingCubes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDiscreteMarchingCubes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDiscreteMarchingCubes");
    vtkDiscreteMarchingCubes*q = reinterpret_cast<vtkDiscreteMarchingCubes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDiscreteMarchingCubes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDiscreteMarchingCubes:GetClassName vtkDiscreteMarchingCubesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDiscreteMarchingCubesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDiscreteMarchingCubes requires 1 argument(s)");
  vtkDiscreteMarchingCubes* vtk_pointer = GetVTKPointer<vtkDiscreteMarchingCubes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiscreteMarchingCubes:IsA vtkDiscreteMarchingCubesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDiscreteMarchingCubesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDiscreteMarchingCubes requires 2 argument(s)");
  vtkDiscreteMarchingCubes* vtk_pointer = GetVTKPointer<vtkDiscreteMarchingCubes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiscreteMarchingCubes:NewInstance vtkDiscreteMarchingCubesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDiscreteMarchingCubesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDiscreteMarchingCubes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDiscreteMarchingCubes requires 1 argument(s)");
  vtkDiscreteMarchingCubes* vtk_pointer = GetVTKPointer<vtkDiscreteMarchingCubes>(arg[0]);
  Array retval;
  vtkDiscreteMarchingCubes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDiscreteMarchingCubes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDiscreteMarchingCubes:SafeDownCast vtkDiscreteMarchingCubesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDiscreteMarchingCubesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDiscreteMarchingCubes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDiscreteMarchingCubes requires 2 argument(s)");
  vtkDiscreteMarchingCubes* vtk_pointer = GetVTKPointer<vtkDiscreteMarchingCubes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDiscreteMarchingCubes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDiscreteMarchingCubes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDiscreteMarchingCubes:display vtkDiscreteMarchingCubesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDiscreteMarchingCubesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDiscreteMarchingCubes* vtk_pointer = GetVTKPointer<vtkDiscreteMarchingCubes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDiscreteMarchingCubes:delete vtkDiscreteMarchingCubesDeleteFunction
//input varargin
//output none
ArrayVector vtkDiscreteMarchingCubesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDiscreteMarchingCubes
//@@Section VTKGraphics
//@@Usage
// takes as input a volume (e.g., 3D structured point set) of
// segmentation labels and generates on output one or more
// models representing the boundaries between the specified label and
// the adjacent structures.  One or more label values must be specified to
// generate the models.  The boundary positions are always defined to
// be half-way between adjacent voxels. This filter works best with
// integral scalar values.
// If ComputeScalars is on (the default), each output cell will have
// cell data that corresponds to the scalar value (segmentation label)
// of the corresponding cube. Note that this differs from vtkMarchingCubes,
// which stores the scalar value as point data. The rationale for this
// difference is that cell vertices may be shared between multiple
// cells. This also means that the resultant polydata may be
// non-manifold (cell faces may be coincident). To further process the
// polydata, users should either: 1) extract cells that have a common
// scalar value using vtkThreshold, or 2) process the data with
// filters that can handle non-manifold polydata
// (e.g. vtkWindowedSincPolyDataFilter).
// Also note, Normals and Gradients are not computed.
//
//To create an instance of class vtkDiscreteMarchingCubes, simply
//invoke its constructor as follows
//@[
//  obj = vtkDiscreteMarchingCubes
//@]
//@@Methods
//The class vtkDiscreteMarchingCubes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDiscreteMarchingCubes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDiscreteMarchingCubes = obj.NewInstance ()|
// \item @|vtkDiscreteMarchingCubes = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
