#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDiskSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDiskSource.h"

//@@Signature
//sfunction @vtkDiskSource:vtkDiskSource vtkDiskSourceConstructorFunction
//input a
//output p
//@@Parents vtkDiskSource vtkPolyDataAlgorithm 
ArrayVector vtkDiskSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDiskSource::New(),"vtkDiskSource",eval);
  } else if (arg[0].className() == "vtkDiskSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDiskSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDiskSource");
    vtkDiskSource*q = reinterpret_cast<vtkDiskSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDiskSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDiskSource:GetClassName vtkDiskSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:IsA vtkDiskSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDiskSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDiskSource requires 2 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:NewInstance vtkDiskSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDiskSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDiskSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  vtkDiskSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDiskSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:SafeDownCast vtkDiskSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDiskSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDiskSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDiskSource requires 2 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDiskSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDiskSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:SetInnerRadius vtkDiskSourceSetInnerRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkDiskSourceSetInnerRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInnerRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInnerRadius for class vtkDiskSource requires 2 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInnerRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetInnerRadiusMinValue vtkDiskSourceGetInnerRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetInnerRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInnerRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInnerRadiusMinValue for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInnerRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetInnerRadiusMaxValue vtkDiskSourceGetInnerRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetInnerRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInnerRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInnerRadiusMaxValue for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInnerRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetInnerRadius vtkDiskSourceGetInnerRadiusFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetInnerRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInnerRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInnerRadius for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInnerRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:SetOuterRadius vtkDiskSourceSetOuterRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkDiskSourceSetOuterRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOuterRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOuterRadius for class vtkDiskSource requires 2 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOuterRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetOuterRadiusMinValue vtkDiskSourceGetOuterRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetOuterRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOuterRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOuterRadiusMinValue for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOuterRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetOuterRadiusMaxValue vtkDiskSourceGetOuterRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetOuterRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOuterRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOuterRadiusMaxValue for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOuterRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetOuterRadius vtkDiskSourceGetOuterRadiusFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetOuterRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOuterRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOuterRadius for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOuterRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:SetRadialResolution vtkDiskSourceSetRadialResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkDiskSourceSetRadialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadialResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadialResolution for class vtkDiskSource requires 2 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRadialResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetRadialResolutionMinValue vtkDiskSourceGetRadialResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetRadialResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRadialResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialResolutionMinValue for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRadialResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetRadialResolutionMaxValue vtkDiskSourceGetRadialResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetRadialResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRadialResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialResolutionMaxValue for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRadialResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetRadialResolution vtkDiskSourceGetRadialResolutionFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetRadialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRadialResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialResolution for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRadialResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:SetCircumferentialResolution vtkDiskSourceSetCircumferentialResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkDiskSourceSetCircumferentialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCircumferentialResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCircumferentialResolution for class vtkDiskSource requires 2 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCircumferentialResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetCircumferentialResolutionMinValue vtkDiskSourceGetCircumferentialResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetCircumferentialResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircumferentialResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircumferentialResolutionMinValue for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircumferentialResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetCircumferentialResolutionMaxValue vtkDiskSourceGetCircumferentialResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetCircumferentialResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircumferentialResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircumferentialResolutionMaxValue for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircumferentialResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:GetCircumferentialResolution vtkDiskSourceGetCircumferentialResolutionFunction
//input a0 
//output y
ArrayVector vtkDiskSourceGetCircumferentialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircumferentialResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircumferentialResolution for class vtkDiskSource requires 1 argument(s)");
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircumferentialResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiskSource:display vtkDiskSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDiskSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDiskSource* vtk_pointer = GetVTKPointer<vtkDiskSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDiskSource:delete vtkDiskSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkDiskSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDiskSource
//@@Section VTKGraphics
//@@Usage
// vtkDiskSource creates a polygonal disk with a hole in the center. The 
// disk has zero height. The user can specify the inner and outer radius
// of the disk, and the radial and circumferential resolution of the 
// polygonal representation. 
//
//To create an instance of class vtkDiskSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkDiskSource
//@]
//@@Methods
//The class vtkDiskSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDiskSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDiskSource = obj.NewInstance ()|
// \item @|vtkDiskSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInnerRadius (double )| -  Specify inner radius of hole in disc.
//// \item @|double = obj.GetInnerRadiusMinValue ()| -  Specify inner radius of hole in disc.
//// \item @|double = obj.GetInnerRadiusMaxValue ()| -  Specify inner radius of hole in disc.
//// \item @|double = obj.GetInnerRadius ()| -  Specify inner radius of hole in disc.
//// \item @|obj.SetOuterRadius (double )| -  Specify outer radius of disc.
//// \item @|double = obj.GetOuterRadiusMinValue ()| -  Specify outer radius of disc.
//// \item @|double = obj.GetOuterRadiusMaxValue ()| -  Specify outer radius of disc.
//// \item @|double = obj.GetOuterRadius ()| -  Specify outer radius of disc.
//// \item @|obj.SetRadialResolution (int )| -  Set the number of points in radius direction.
//// \item @|int = obj.GetRadialResolutionMinValue ()| -  Set the number of points in radius direction.
//// \item @|int = obj.GetRadialResolutionMaxValue ()| -  Set the number of points in radius direction.
//// \item @|int = obj.GetRadialResolution ()| -  Set the number of points in radius direction.
//// \item @|obj.SetCircumferentialResolution (int )| -  Set the number of points in circumferential direction.
//// \item @|int = obj.GetCircumferentialResolutionMinValue ()| -  Set the number of points in circumferential direction.
//// \item @|int = obj.GetCircumferentialResolutionMaxValue ()| -  Set the number of points in circumferential direction.
//// \item @|int = obj.GetCircumferentialResolution ()| -  Set the number of points in circumferential direction.
////\end{itemize}
//!
