#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEdgePoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEdgePoints.h"

//@@Signature
//sfunction @vtkEdgePoints:vtkEdgePoints vtkEdgePointsConstructorFunction
//input a
//output p
//@@Parents vtkEdgePoints vtkPolyDataAlgorithm 
ArrayVector vtkEdgePointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEdgePoints::New(),"vtkEdgePoints",eval);
  } else if (arg[0].className() == "vtkEdgePoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEdgePoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEdgePoints");
    vtkEdgePoints*q = reinterpret_cast<vtkEdgePoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEdgePoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEdgePoints:GetClassName vtkEdgePointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEdgePointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEdgePoints requires 1 argument(s)");
  vtkEdgePoints* vtk_pointer = GetVTKPointer<vtkEdgePoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgePoints:IsA vtkEdgePointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEdgePointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEdgePoints requires 2 argument(s)");
  vtkEdgePoints* vtk_pointer = GetVTKPointer<vtkEdgePoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgePoints:NewInstance vtkEdgePointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEdgePointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgePoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEdgePoints requires 1 argument(s)");
  vtkEdgePoints* vtk_pointer = GetVTKPointer<vtkEdgePoints>(arg[0]);
  Array retval;
  vtkEdgePoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgePoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgePoints:SafeDownCast vtkEdgePointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEdgePointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgePoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEdgePoints requires 2 argument(s)");
  vtkEdgePoints* vtk_pointer = GetVTKPointer<vtkEdgePoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEdgePoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgePoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgePoints:SetValue vtkEdgePointsSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkEdgePointsSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkEdgePoints requires 2 argument(s)");
  vtkEdgePoints* vtk_pointer = GetVTKPointer<vtkEdgePoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEdgePoints:GetValue vtkEdgePointsGetValueFunction
//input a0 
//output y
ArrayVector vtkEdgePointsGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkEdgePoints requires 1 argument(s)");
  vtkEdgePoints* vtk_pointer = GetVTKPointer<vtkEdgePoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgePoints:display vtkEdgePointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEdgePointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEdgePoints* vtk_pointer = GetVTKPointer<vtkEdgePoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEdgePoints:delete vtkEdgePointsDeleteFunction
//input varargin
//output none
ArrayVector vtkEdgePointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEdgePoints
//@@Section VTKGraphics
//@@Usage
// vtkEdgePoints is a filter that takes as input any dataset and 
// generates for output a set of points that lie on an isosurface. The 
// points are created by interpolation along cells edges whose end-points are 
// below and above the contour value.
//
//To create an instance of class vtkEdgePoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkEdgePoints
//@]
//@@Methods
//The class vtkEdgePoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEdgePoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEdgePoints = obj.NewInstance ()|
// \item @|vtkEdgePoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (double )| -  Set/get the contour value.
//// \item @|double = obj.GetValue ()| -  Set/get the contour value.
////\end{itemize}
//!
