#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEdgeSubdivisionCriterion object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEdgeSubdivisionCriterion.h"

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:vtkEdgeSubdivisionCriterion vtkEdgeSubdivisionCriterionConstructorFunction
//input a
//output p
//@@Parents vtkEdgeSubdivisionCriterion vtkObject 
ArrayVector vtkEdgeSubdivisionCriterionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEdgeSubdivisionCriterion::New(),"vtkEdgeSubdivisionCriterion",eval);
  } else if (arg[0].className() == "vtkEdgeSubdivisionCriterion") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEdgeSubdivisionCriterion"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEdgeSubdivisionCriterion");
    vtkEdgeSubdivisionCriterion*q = reinterpret_cast<vtkEdgeSubdivisionCriterion*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEdgeSubdivisionCriterion");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:GetClassName vtkEdgeSubdivisionCriterionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEdgeSubdivisionCriterionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEdgeSubdivisionCriterion requires 1 argument(s)");
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:IsA vtkEdgeSubdivisionCriterionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeSubdivisionCriterionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEdgeSubdivisionCriterion requires 2 argument(s)");
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:NewInstance vtkEdgeSubdivisionCriterionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEdgeSubdivisionCriterionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeSubdivisionCriterion *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEdgeSubdivisionCriterion requires 1 argument(s)");
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  Array retval;
  vtkEdgeSubdivisionCriterion  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeSubdivisionCriterion",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:SafeDownCast vtkEdgeSubdivisionCriterionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeSubdivisionCriterionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeSubdivisionCriterion *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEdgeSubdivisionCriterion requires 2 argument(s)");
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEdgeSubdivisionCriterion  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeSubdivisionCriterion",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:EvaluateEdge vtkEdgeSubdivisionCriterionEvaluateEdgeFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkEdgeSubdivisionCriterionEvaluateEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool EvaluateEdge (const double *p0, double *p1, const double *p2, int field_start) = 0; */
  if (arg.size() < 5) 
    throw Exception("Function EvaluateEdge for class vtkEdgeSubdivisionCriterion requires 5 argument(s)");
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  int      temp3;
  bool   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->EvaluateEdge(temp0,temp1,temp2,temp3);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:PassField vtkEdgeSubdivisionCriterionPassFieldFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkEdgeSubdivisionCriterionPassFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int PassField (int sourceId, int sourceSize, vtkStreamingTessellator *t); */
  if (arg.size() < 4) 
    throw Exception("Function PassField for class vtkEdgeSubdivisionCriterion requires 4 argument(s)");
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkStreamingTessellator  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkStreamingTessellator>(arg[3]);
  temp20 = (vtk_pointer)->PassField(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:ResetFieldList vtkEdgeSubdivisionCriterionResetFieldListFunction
//input a0 
//output none
ArrayVector vtkEdgeSubdivisionCriterionResetFieldListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ResetFieldList (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetFieldList for class vtkEdgeSubdivisionCriterion requires 1 argument(s)");
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  Array retval;
  vtk_pointer->ResetFieldList();
  return retval;
}

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:DontPassField vtkEdgeSubdivisionCriterionDontPassFieldFunction
//input a0 a1 a2 
//output y
ArrayVector vtkEdgeSubdivisionCriterionDontPassFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool DontPassField (int sourceId, vtkStreamingTessellator *t); */
  if (arg.size() < 3) 
    throw Exception("Function DontPassField for class vtkEdgeSubdivisionCriterion requires 3 argument(s)");
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  Array retval;
  int      temp0;
  vtkStreamingTessellator  *temp1;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkStreamingTessellator>(arg[2]);
  temp20 = (vtk_pointer)->DontPassField(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:GetOutputField vtkEdgeSubdivisionCriterionGetOutputFieldFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeSubdivisionCriterionGetOutputFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputField (int fieldId) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputField for class vtkEdgeSubdivisionCriterion requires 2 argument(s)");
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutputField(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:GetNumberOfFields vtkEdgeSubdivisionCriterionGetNumberOfFieldsFunction
//input a0 
//output y
ArrayVector vtkEdgeSubdivisionCriterionGetNumberOfFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFields () const; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFields for class vtkEdgeSubdivisionCriterion requires 1 argument(s)");
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFields();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeSubdivisionCriterion:display vtkEdgeSubdivisionCriterionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEdgeSubdivisionCriterionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEdgeSubdivisionCriterion* vtk_pointer = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEdgeSubdivisionCriterion:delete vtkEdgeSubdivisionCriterionDeleteFunction
//input varargin
//output none
ArrayVector vtkEdgeSubdivisionCriterionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEdgeSubdivisionCriterion
//@@Section VTKGraphics
//@@Usage
// Descendants of this abstract class are used to decide whether a
// piecewise linear approximation (triangles, lines, ... ) to some
// nonlinear geometry should be subdivided. This decision may be
// based on an absolute error metric (chord error) or on some
// view-dependent metric (chord error compared to device resolution)
// or on some abstract metric (color error). Or anything else, really.
// Just so long as you implement the EvaluateEdge member, all will
// be well.
//
//
//To create an instance of class vtkEdgeSubdivisionCriterion, simply
//invoke its constructor as follows
//@[
//  obj = vtkEdgeSubdivisionCriterion
//@]
//@@Methods
//The class vtkEdgeSubdivisionCriterion has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEdgeSubdivisionCriterion class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEdgeSubdivisionCriterion = obj.NewInstance ()|
// \item @|vtkEdgeSubdivisionCriterion = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.EvaluateEdge (double p0, double p1, double p2, int field_start)| -  You must implement this member function in a subclass.
// It will be called by \p vtkStreamingTessellator for each
// edge in each primitive that vtkStreamingTessellator generates.
//// \item @|int = obj.PassField (int sourceId, int sourceSize, vtkStreamingTessellator t)| -  This is a helper routine called by \p PassFields() which
// you may also call directly; it adds \a sourceSize to the size of
// the output vertex field values. The offset of the \a sourceId
// field in the output vertex array is returned.
// -1 is returned if \a sourceSize would force the output to have more
// than \a vtkStreamingTessellator::MaxFieldSize field values per vertex.
//// \item @|obj.ResetFieldList ()| -  Don't pass any field values in the vertex pointer.
// This is used to reset the list of fields to pass after a
// successful run of vtkStreamingTessellator.
//// \item @|bool = obj.DontPassField (int sourceId, vtkStreamingTessellator t)| -  This does the opposite of \p PassField(); it removes a field from
// the output (assuming the field was set to be passed).
// Returns true if any action was taken, false otherwise.
//// \item @|int = obj.GetOutputField (int fieldId) const| -  Return the output ID of an input field.
// Returns -1 if \a fieldId is not set to be passed to the output.
//// \item @|int = obj.GetNumberOfFields () const| -  Return the number of fields being evaluated at each output vertex.
// This is the length of the arrays returned by \p GetFieldIds() and
// \p GetFieldOffsets().
////\end{itemize}
//!
