#include "VTKWrap.hpp"

// FreeMat wrapper for vtkElevationFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkElevationFilter.h"

//@@Signature
//sfunction @vtkElevationFilter:vtkElevationFilter vtkElevationFilterConstructorFunction
//input a
//output p
//@@Parents vtkElevationFilter vtkDataSetAlgorithm 
ArrayVector vtkElevationFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkElevationFilter::New(),"vtkElevationFilter",eval);
  } else if (arg[0].className() == "vtkElevationFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkElevationFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkElevationFilter");
    vtkElevationFilter*q = reinterpret_cast<vtkElevationFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkElevationFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkElevationFilter:GetClassName vtkElevationFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkElevationFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkElevationFilter requires 1 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:IsA vtkElevationFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkElevationFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkElevationFilter requires 2 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:NewInstance vtkElevationFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkElevationFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkElevationFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkElevationFilter requires 1 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  vtkElevationFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkElevationFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:SafeDownCast vtkElevationFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkElevationFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkElevationFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkElevationFilter requires 2 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkElevationFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkElevationFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:SetLowPoint__1 vtkElevationFilterSetLowPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkElevationFilterSetLowPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLowPoint (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetLowPoint__1 for class vtkElevationFilter requires 4 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetLowPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:SetLowPoint__2 vtkElevationFilterSetLowPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkElevationFilterSetLowPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLowPoint (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLowPoint__2 for class vtkElevationFilter requires 2 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetLowPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:GetLowPoint vtkElevationFilterGetLowPointFunction
//input a0 
//output y
ArrayVector vtkElevationFilterGetLowPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLowPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLowPoint for class vtkElevationFilter requires 1 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLowPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:SetHighPoint__1 vtkElevationFilterSetHighPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkElevationFilterSetHighPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHighPoint (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetHighPoint__1 for class vtkElevationFilter requires 4 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetHighPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:SetHighPoint__2 vtkElevationFilterSetHighPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkElevationFilterSetHighPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHighPoint (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetHighPoint__2 for class vtkElevationFilter requires 2 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetHighPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:GetHighPoint vtkElevationFilterGetHighPointFunction
//input a0 
//output y
ArrayVector vtkElevationFilterGetHighPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetHighPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHighPoint for class vtkElevationFilter requires 1 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetHighPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:SetScalarRange__1 vtkElevationFilterSetScalarRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkElevationFilterSetScalarRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarRange__1 for class vtkElevationFilter requires 3 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetScalarRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:SetScalarRange__2 vtkElevationFilterSetScalarRange__2Function
//input a0 a1 
//output none
ArrayVector vtkElevationFilterSetScalarRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarRange__2 for class vtkElevationFilter requires 2 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:GetScalarRange vtkElevationFilterGetScalarRangeFunction
//input a0 
//output y
ArrayVector vtkElevationFilterGetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetScalarRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarRange for class vtkElevationFilter requires 1 argument(s)");
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScalarRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkElevationFilter:SetLowPoint vtkElevationFilterSetLowPointFunction
//input varargin
//output varargout
ArrayVector vtkElevationFilterSetLowPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkElevationFilterSetLowPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkElevationFilterSetLowPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkElevationFilterSetLowPoint");
}

//@@Signature
//sfunction @vtkElevationFilter:SetHighPoint vtkElevationFilterSetHighPointFunction
//input varargin
//output varargout
ArrayVector vtkElevationFilterSetHighPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkElevationFilterSetHighPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkElevationFilterSetHighPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkElevationFilterSetHighPoint");
}

//@@Signature
//sfunction @vtkElevationFilter:SetScalarRange vtkElevationFilterSetScalarRangeFunction
//input varargin
//output varargout
ArrayVector vtkElevationFilterSetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkElevationFilterSetScalarRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkElevationFilterSetScalarRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkElevationFilterSetScalarRange");
}

//@@Signature
//sfunction @vtkElevationFilter:display vtkElevationFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkElevationFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkElevationFilter* vtk_pointer = GetVTKPointer<vtkElevationFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkElevationFilter:delete vtkElevationFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkElevationFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkElevationFilter
//@@Section VTKGraphics
//@@Usage
// vtkElevationFilter is a filter to generate scalar values from a
// dataset.  The scalar values lie within a user specified range, and
// are generated by computing a projection of each dataset point onto
// a line. The line can be oriented arbitrarily. A typical example is
// to generate scalars based on elevation or height above a plane.
//
//To create an instance of class vtkElevationFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkElevationFilter
//@]
//@@Methods
//The class vtkElevationFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkElevationFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkElevationFilter = obj.NewInstance ()|
// \item @|vtkElevationFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLowPoint (double , double , double )| -  Define one end of the line (small scalar values).  Default is
// (0,0,0).
//// \item @|obj.SetLowPoint (double  a[3])| -  Define one end of the line (small scalar values).  Default is
// (0,0,0).
//// \item @|double = obj. GetLowPoint ()| -  Define one end of the line (small scalar values).  Default is
// (0,0,0).
//// \item @|obj.SetHighPoint (double , double , double )| -  Define other end of the line (large scalar values).  Default is
// (0,0,1).
//// \item @|obj.SetHighPoint (double  a[3])| -  Define other end of the line (large scalar values).  Default is
// (0,0,1).
//// \item @|double = obj. GetHighPoint ()| -  Define other end of the line (large scalar values).  Default is
// (0,0,1).
//// \item @|obj.SetScalarRange (double , double )| -  Specify range to map scalars into.  Default is [0, 1].
//// \item @|obj.SetScalarRange (double  a[2])| -  Specify range to map scalars into.  Default is [0, 1].
//// \item @|double = obj. GetScalarRange ()| -  Specify range to map scalars into.  Default is [0, 1].
////\end{itemize}
//!
