#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEllipticalButtonSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEllipticalButtonSource.h"

//@@Signature
//sfunction @vtkEllipticalButtonSource:vtkEllipticalButtonSource vtkEllipticalButtonSourceConstructorFunction
//input a
//output p
//@@Parents vtkEllipticalButtonSource vtkButtonSource 
ArrayVector vtkEllipticalButtonSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEllipticalButtonSource::New(),"vtkEllipticalButtonSource",eval);
  } else if (arg[0].className() == "vtkEllipticalButtonSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEllipticalButtonSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEllipticalButtonSource");
    vtkEllipticalButtonSource*q = reinterpret_cast<vtkEllipticalButtonSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEllipticalButtonSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEllipticalButtonSource:GetClassName vtkEllipticalButtonSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:IsA vtkEllipticalButtonSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEllipticalButtonSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEllipticalButtonSource requires 2 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:NewInstance vtkEllipticalButtonSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEllipticalButtonSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  vtkEllipticalButtonSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEllipticalButtonSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:SafeDownCast vtkEllipticalButtonSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEllipticalButtonSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEllipticalButtonSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEllipticalButtonSource requires 2 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEllipticalButtonSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEllipticalButtonSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:SetWidth vtkEllipticalButtonSourceSetWidthFunction
//input a0 a1 
//output none
ArrayVector vtkEllipticalButtonSourceSetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWidth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWidth for class vtkEllipticalButtonSource requires 2 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetWidthMinValue vtkEllipticalButtonSourceGetWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidthMinValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetWidthMaxValue vtkEllipticalButtonSourceGetWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidthMaxValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetWidth vtkEllipticalButtonSourceGetWidthFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidth for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:SetHeight vtkEllipticalButtonSourceSetHeightFunction
//input a0 a1 
//output none
ArrayVector vtkEllipticalButtonSourceSetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeight for class vtkEllipticalButtonSource requires 2 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetHeightMinValue vtkEllipticalButtonSourceGetHeightMinValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetHeightMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightMinValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetHeightMaxValue vtkEllipticalButtonSourceGetHeightMaxValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetHeightMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightMaxValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetHeight vtkEllipticalButtonSourceGetHeightFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeight for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:SetDepth vtkEllipticalButtonSourceSetDepthFunction
//input a0 a1 
//output none
ArrayVector vtkEllipticalButtonSourceSetDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepth for class vtkEllipticalButtonSource requires 2 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDepth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetDepthMinValue vtkEllipticalButtonSourceGetDepthMinValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetDepthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDepthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthMinValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDepthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetDepthMaxValue vtkEllipticalButtonSourceGetDepthMaxValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetDepthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDepthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthMaxValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDepthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetDepth vtkEllipticalButtonSourceGetDepthFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDepth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepth for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDepth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:SetCircumferentialResolution vtkEllipticalButtonSourceSetCircumferentialResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkEllipticalButtonSourceSetCircumferentialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCircumferentialResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCircumferentialResolution for class vtkEllipticalButtonSource requires 2 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCircumferentialResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetCircumferentialResolutionMinValue vtkEllipticalButtonSourceGetCircumferentialResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetCircumferentialResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircumferentialResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircumferentialResolutionMinValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircumferentialResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetCircumferentialResolutionMaxValue vtkEllipticalButtonSourceGetCircumferentialResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetCircumferentialResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircumferentialResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircumferentialResolutionMaxValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircumferentialResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetCircumferentialResolution vtkEllipticalButtonSourceGetCircumferentialResolutionFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetCircumferentialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircumferentialResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircumferentialResolution for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircumferentialResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:SetTextureResolution vtkEllipticalButtonSourceSetTextureResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkEllipticalButtonSourceSetTextureResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureResolution for class vtkEllipticalButtonSource requires 2 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTextureResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetTextureResolutionMinValue vtkEllipticalButtonSourceGetTextureResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetTextureResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureResolutionMinValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetTextureResolutionMaxValue vtkEllipticalButtonSourceGetTextureResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetTextureResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureResolutionMaxValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetTextureResolution vtkEllipticalButtonSourceGetTextureResolutionFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetTextureResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureResolution for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:SetShoulderResolution vtkEllipticalButtonSourceSetShoulderResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkEllipticalButtonSourceSetShoulderResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShoulderResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShoulderResolution for class vtkEllipticalButtonSource requires 2 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShoulderResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetShoulderResolutionMinValue vtkEllipticalButtonSourceGetShoulderResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetShoulderResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShoulderResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShoulderResolutionMinValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShoulderResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetShoulderResolutionMaxValue vtkEllipticalButtonSourceGetShoulderResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetShoulderResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShoulderResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShoulderResolutionMaxValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShoulderResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetShoulderResolution vtkEllipticalButtonSourceGetShoulderResolutionFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetShoulderResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShoulderResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShoulderResolution for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShoulderResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:SetRadialRatio vtkEllipticalButtonSourceSetRadialRatioFunction
//input a0 a1 
//output none
ArrayVector vtkEllipticalButtonSourceSetRadialRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadialRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadialRatio for class vtkEllipticalButtonSource requires 2 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadialRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetRadialRatioMinValue vtkEllipticalButtonSourceGetRadialRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetRadialRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadialRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialRatioMinValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadialRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetRadialRatioMaxValue vtkEllipticalButtonSourceGetRadialRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetRadialRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadialRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialRatioMaxValue for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadialRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:GetRadialRatio vtkEllipticalButtonSourceGetRadialRatioFunction
//input a0 
//output y
ArrayVector vtkEllipticalButtonSourceGetRadialRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadialRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialRatio for class vtkEllipticalButtonSource requires 1 argument(s)");
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadialRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEllipticalButtonSource:display vtkEllipticalButtonSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEllipticalButtonSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEllipticalButtonSource* vtk_pointer = GetVTKPointer<vtkEllipticalButtonSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEllipticalButtonSource:delete vtkEllipticalButtonSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkEllipticalButtonSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEllipticalButtonSource
//@@Section VTKGraphics
//@@Usage
// vtkEllipticalButtonSource creates a ellipsoidal shaped button with
// texture coordinates suitable for application of a texture map. This
// provides a way to make nice looking 3D buttons. The buttons are
// represented as vtkPolyData that includes texture coordinates and
// normals. The button lies in the x-y plane.
//
// To use this class you must define the major and minor axes lengths of an
// ellipsoid (expressed as width (x), height (y) and depth (z)). The button
// has a rectangular mesh region in the center with texture coordinates that
// range smoothly from (0,1). (This flat region is called the texture
// region.) The outer, curved portion of the button (called the shoulder) has
// texture coordinates set to a user specified value (by default (0,0).
// (This results in coloring the button curve the same color as the (s,t)
// location of the texture map.) The resolution in the radial direction, the
// texture region, and the shoulder region must also be set. The button can
// be moved by specifying an origin.
//
//
//To create an instance of class vtkEllipticalButtonSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkEllipticalButtonSource
//@]
//@@Methods
//The class vtkEllipticalButtonSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEllipticalButtonSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEllipticalButtonSource = obj.NewInstance ()|
// \item @|vtkEllipticalButtonSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWidth (double )| -  Set/Get the width of the button (the x-ellipsoid axis length * 2).
//// \item @|double = obj.GetWidthMinValue ()| -  Set/Get the width of the button (the x-ellipsoid axis length * 2).
//// \item @|double = obj.GetWidthMaxValue ()| -  Set/Get the width of the button (the x-ellipsoid axis length * 2).
//// \item @|double = obj.GetWidth ()| -  Set/Get the width of the button (the x-ellipsoid axis length * 2).
//// \item @|obj.SetHeight (double )| -  Set/Get the height of the button (the y-ellipsoid axis length * 2).
//// \item @|double = obj.GetHeightMinValue ()| -  Set/Get the height of the button (the y-ellipsoid axis length * 2).
//// \item @|double = obj.GetHeightMaxValue ()| -  Set/Get the height of the button (the y-ellipsoid axis length * 2).
//// \item @|double = obj.GetHeight ()| -  Set/Get the height of the button (the y-ellipsoid axis length * 2).
//// \item @|obj.SetDepth (double )| -  Set/Get the depth of the button (the z-eliipsoid axis length).
//// \item @|double = obj.GetDepthMinValue ()| -  Set/Get the depth of the button (the z-eliipsoid axis length).
//// \item @|double = obj.GetDepthMaxValue ()| -  Set/Get the depth of the button (the z-eliipsoid axis length).
//// \item @|double = obj.GetDepth ()| -  Set/Get the depth of the button (the z-eliipsoid axis length).
//// \item @|obj.SetCircumferentialResolution (int )| -  Specify the resolution of the button in the circumferential direction.
//// \item @|int = obj.GetCircumferentialResolutionMinValue ()| -  Specify the resolution of the button in the circumferential direction.
//// \item @|int = obj.GetCircumferentialResolutionMaxValue ()| -  Specify the resolution of the button in the circumferential direction.
//// \item @|int = obj.GetCircumferentialResolution ()| -  Specify the resolution of the button in the circumferential direction.
//// \item @|obj.SetTextureResolution (int )| -  Specify the resolution of the texture in the radial direction in the
// texture region.
//// \item @|int = obj.GetTextureResolutionMinValue ()| -  Specify the resolution of the texture in the radial direction in the
// texture region.
//// \item @|int = obj.GetTextureResolutionMaxValue ()| -  Specify the resolution of the texture in the radial direction in the
// texture region.
//// \item @|int = obj.GetTextureResolution ()| -  Specify the resolution of the texture in the radial direction in the
// texture region.
//// \item @|obj.SetShoulderResolution (int )| -  Specify the resolution of the texture in the radial direction in the
// shoulder region.
//// \item @|int = obj.GetShoulderResolutionMinValue ()| -  Specify the resolution of the texture in the radial direction in the
// shoulder region.
//// \item @|int = obj.GetShoulderResolutionMaxValue ()| -  Specify the resolution of the texture in the radial direction in the
// shoulder region.
//// \item @|int = obj.GetShoulderResolution ()| -  Specify the resolution of the texture in the radial direction in the
// shoulder region.
//// \item @|obj.SetRadialRatio (double )| -  Set/Get the radial ratio. This is the measure of the radius of the
// outer ellipsoid to the inner ellipsoid of the button. The outer
// ellipsoid is the boundary of the button defined by the height and
// width. The inner ellipsoid circumscribes the texture region. Larger
// RadialRatio's cause the button to be more rounded (and the texture
// region to be smaller); smaller ratios produce sharply curved shoulders
// with a larger texture region.
//// \item @|double = obj.GetRadialRatioMinValue ()| -  Set/Get the radial ratio. This is the measure of the radius of the
// outer ellipsoid to the inner ellipsoid of the button. The outer
// ellipsoid is the boundary of the button defined by the height and
// width. The inner ellipsoid circumscribes the texture region. Larger
// RadialRatio's cause the button to be more rounded (and the texture
// region to be smaller); smaller ratios produce sharply curved shoulders
// with a larger texture region.
//// \item @|double = obj.GetRadialRatioMaxValue ()| -  Set/Get the radial ratio. This is the measure of the radius of the
// outer ellipsoid to the inner ellipsoid of the button. The outer
// ellipsoid is the boundary of the button defined by the height and
// width. The inner ellipsoid circumscribes the texture region. Larger
// RadialRatio's cause the button to be more rounded (and the texture
// region to be smaller); smaller ratios produce sharply curved shoulders
// with a larger texture region.
//// \item @|double = obj.GetRadialRatio ()| -  Set/Get the radial ratio. This is the measure of the radius of the
// outer ellipsoid to the inner ellipsoid of the button. The outer
// ellipsoid is the boundary of the button defined by the height and
// width. The inner ellipsoid circumscribes the texture region. Larger
// RadialRatio's cause the button to be more rounded (and the texture
// region to be smaller); smaller ratios produce sharply curved shoulders
// with a larger texture region.
////\end{itemize}
//!
