#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractArraysOverTime object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractArraysOverTime.h"

//@@Signature
//sfunction @vtkExtractArraysOverTime:vtkExtractArraysOverTime vtkExtractArraysOverTimeConstructorFunction
//input a
//output p
//@@Parents vtkExtractArraysOverTime vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkExtractArraysOverTimeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractArraysOverTime::New(),"vtkExtractArraysOverTime",eval);
  } else if (arg[0].className() == "vtkExtractArraysOverTime") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractArraysOverTime"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractArraysOverTime");
    vtkExtractArraysOverTime*q = reinterpret_cast<vtkExtractArraysOverTime*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractArraysOverTime");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractArraysOverTime:GetClassName vtkExtractArraysOverTimeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractArraysOverTimeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractArraysOverTime requires 1 argument(s)");
  vtkExtractArraysOverTime* vtk_pointer = GetVTKPointer<vtkExtractArraysOverTime>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractArraysOverTime:IsA vtkExtractArraysOverTimeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractArraysOverTimeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractArraysOverTime requires 2 argument(s)");
  vtkExtractArraysOverTime* vtk_pointer = GetVTKPointer<vtkExtractArraysOverTime>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractArraysOverTime:NewInstance vtkExtractArraysOverTimeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractArraysOverTimeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractArraysOverTime *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractArraysOverTime requires 1 argument(s)");
  vtkExtractArraysOverTime* vtk_pointer = GetVTKPointer<vtkExtractArraysOverTime>(arg[0]);
  Array retval;
  vtkExtractArraysOverTime  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractArraysOverTime",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractArraysOverTime:SafeDownCast vtkExtractArraysOverTimeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractArraysOverTimeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractArraysOverTime *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractArraysOverTime requires 2 argument(s)");
  vtkExtractArraysOverTime* vtk_pointer = GetVTKPointer<vtkExtractArraysOverTime>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractArraysOverTime  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractArraysOverTime",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractArraysOverTime:GetNumberOfTimeSteps vtkExtractArraysOverTimeGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkExtractArraysOverTimeGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkExtractArraysOverTime requires 1 argument(s)");
  vtkExtractArraysOverTime* vtk_pointer = GetVTKPointer<vtkExtractArraysOverTime>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractArraysOverTime:SetSelectionConnection vtkExtractArraysOverTimeSetSelectionConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkExtractArraysOverTimeSetSelectionConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput  */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionConnection for class vtkExtractArraysOverTime requires 2 argument(s)");
  vtkExtractArraysOverTime* vtk_pointer = GetVTKPointer<vtkExtractArraysOverTime>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSelectionConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractArraysOverTime:display vtkExtractArraysOverTimeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractArraysOverTimeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractArraysOverTime* vtk_pointer = GetVTKPointer<vtkExtractArraysOverTime>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractArraysOverTime:delete vtkExtractArraysOverTimeDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractArraysOverTimeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractArraysOverTime
//@@Section VTKGraphics
//@@Usage
// vtkExtractArraysOverTime extracts a selection over time.
// The output is a multiblock dataset. If selection content type is  
// vtkSelection::Locations, then each output block corresponds to each probed
// location. Otherwise, each output block corresponds to an extracted cell/point
// depending on whether the selection field type is CELL or POINT.
// Each block is a vtkTable with a column named Time (or TimeData if Time exists
// in the input).
// When extracting point data, the input point coordinates are copied
// to a column named Point Coordinates or Points (if Point Coordinates
// exists in the input).
// This algorithm does not produce a TIME_STEPS or TIME_RANGE information
// because it works across time. 
// .Section Caveat
// This algorithm works only with source that produce TIME_STEPS().
// Continuous time range is not yet supported.
//
//To create an instance of class vtkExtractArraysOverTime, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractArraysOverTime
//@]
//@@Methods
//The class vtkExtractArraysOverTime has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractArraysOverTime class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractArraysOverTime = obj.NewInstance ()|
// \item @|vtkExtractArraysOverTime = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfTimeSteps ()| -  Get the number of time steps
//// \item @|obj.SetSelectionConnection (vtkAlgorithmOutput algOutput)|
//\end{itemize}
//!
