#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractBlock object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractBlock.h"

//@@Signature
//sfunction @vtkExtractBlock:vtkExtractBlock vtkExtractBlockConstructorFunction
//input a
//output p
//@@Parents vtkExtractBlock vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkExtractBlockConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractBlock::New(),"vtkExtractBlock",eval);
  } else if (arg[0].className() == "vtkExtractBlock") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractBlock"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractBlock");
    vtkExtractBlock*q = reinterpret_cast<vtkExtractBlock*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractBlock");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractBlock:GetClassName vtkExtractBlockGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractBlockGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractBlock requires 1 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:IsA vtkExtractBlockIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractBlockIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractBlock requires 2 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:NewInstance vtkExtractBlockNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractBlockNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractBlock *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractBlock requires 1 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  vtkExtractBlock  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractBlock",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:SafeDownCast vtkExtractBlockSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractBlockSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractBlock *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractBlock requires 2 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractBlock  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractBlock",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:AddIndex vtkExtractBlockAddIndexFunction
//input a0 a1 
//output none
ArrayVector vtkExtractBlockAddIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddIndex (unsigned int index); */
  if (arg.size() < 2) 
    throw Exception("Function AddIndex for class vtkExtractBlock requires 2 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->AddIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:RemoveIndex vtkExtractBlockRemoveIndexFunction
//input a0 a1 
//output none
ArrayVector vtkExtractBlockRemoveIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveIndex (unsigned int index); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveIndex for class vtkExtractBlock requires 2 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->RemoveIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:RemoveAllIndices vtkExtractBlockRemoveAllIndicesFunction
//input a0 
//output none
ArrayVector vtkExtractBlockRemoveAllIndicesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllIndices (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllIndices for class vtkExtractBlock requires 1 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllIndices();
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:SetPruneOutput vtkExtractBlockSetPruneOutputFunction
//input a0 a1 
//output none
ArrayVector vtkExtractBlockSetPruneOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPruneOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPruneOutput for class vtkExtractBlock requires 2 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPruneOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:GetPruneOutput vtkExtractBlockGetPruneOutputFunction
//input a0 
//output y
ArrayVector vtkExtractBlockGetPruneOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPruneOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPruneOutput for class vtkExtractBlock requires 1 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPruneOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:PruneOutputOn vtkExtractBlockPruneOutputOnFunction
//input a0 
//output none
ArrayVector vtkExtractBlockPruneOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PruneOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PruneOutputOn for class vtkExtractBlock requires 1 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  vtk_pointer->PruneOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:PruneOutputOff vtkExtractBlockPruneOutputOffFunction
//input a0 
//output none
ArrayVector vtkExtractBlockPruneOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PruneOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PruneOutputOff for class vtkExtractBlock requires 1 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  vtk_pointer->PruneOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:SetMaintainStructure vtkExtractBlockSetMaintainStructureFunction
//input a0 a1 
//output none
ArrayVector vtkExtractBlockSetMaintainStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaintainStructure (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaintainStructure for class vtkExtractBlock requires 2 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaintainStructure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:GetMaintainStructure vtkExtractBlockGetMaintainStructureFunction
//input a0 
//output y
ArrayVector vtkExtractBlockGetMaintainStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaintainStructure (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaintainStructure for class vtkExtractBlock requires 1 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaintainStructure();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:MaintainStructureOn vtkExtractBlockMaintainStructureOnFunction
//input a0 
//output none
ArrayVector vtkExtractBlockMaintainStructureOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MaintainStructureOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MaintainStructureOn for class vtkExtractBlock requires 1 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  vtk_pointer->MaintainStructureOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:MaintainStructureOff vtkExtractBlockMaintainStructureOffFunction
//input a0 
//output none
ArrayVector vtkExtractBlockMaintainStructureOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MaintainStructureOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MaintainStructureOff for class vtkExtractBlock requires 1 argument(s)");
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  Array retval;
  vtk_pointer->MaintainStructureOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractBlock:display vtkExtractBlockDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractBlockDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractBlock* vtk_pointer = GetVTKPointer<vtkExtractBlock>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractBlock:delete vtkExtractBlockDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractBlockDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractBlock
//@@Section VTKGraphics
//@@Usage
// vtkExtractBlock is a filter that extracts blocks from a multiblock dataset.
// Each node in the multi-block tree is identified by an \c index. The index can
// be obtained by performing a preorder traversal of the tree (including empty 
// nodes). eg. A(B (D, E), C(F, G)). 
// Inorder traversal yields: A, B, D, E, C, F, G
// Index of A is 0, while index of C is 4.
//
//To create an instance of class vtkExtractBlock, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractBlock
//@]
//@@Methods
//The class vtkExtractBlock has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractBlock class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractBlock = obj.NewInstance ()|
// \item @|vtkExtractBlock = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddIndex (int index)| -  Select the block indices to extract. 
// Each node in the multi-block tree is identified by an \c index. The index can
// be obtained by performing a preorder traversal of the tree (including empty 
// nodes). eg. A(B (D, E), C(F, G)). 
// Inorder traversal yields: A, B, D, E, C, F, G
// Index of A is 0, while index of C is 4.
//// \item @|obj.RemoveIndex (int index)| -  Select the block indices to extract. 
// Each node in the multi-block tree is identified by an \c index. The index can
// be obtained by performing a preorder traversal of the tree (including empty 
// nodes). eg. A(B (D, E), C(F, G)). 
// Inorder traversal yields: A, B, D, E, C, F, G
// Index of A is 0, while index of C is 4.
//// \item @|obj.RemoveAllIndices ()| -  Select the block indices to extract. 
// Each node in the multi-block tree is identified by an \c index. The index can
// be obtained by performing a preorder traversal of the tree (including empty 
// nodes). eg. A(B (D, E), C(F, G)). 
// Inorder traversal yields: A, B, D, E, C, F, G
// Index of A is 0, while index of C is 4.
//// \item @|obj.SetPruneOutput (int )| -  When set, the output mutliblock dataset will be pruned to remove empty
// nodes. On by default.
//// \item @|int = obj.GetPruneOutput ()| -  When set, the output mutliblock dataset will be pruned to remove empty
// nodes. On by default.
//// \item @|obj.PruneOutputOn ()| -  When set, the output mutliblock dataset will be pruned to remove empty
// nodes. On by default.
//// \item @|obj.PruneOutputOff ()| -  When set, the output mutliblock dataset will be pruned to remove empty
// nodes. On by default.
//// \item @|obj.SetMaintainStructure (int )| -  This is used only when PruneOutput is ON. By default, when pruning the
// output i.e. remove empty blocks, if node has only 1 non-null child block,
// then that node is removed. To preserve these parent nodes, set this flag to
// true. Off by default.
//// \item @|int = obj.GetMaintainStructure ()| -  This is used only when PruneOutput is ON. By default, when pruning the
// output i.e. remove empty blocks, if node has only 1 non-null child block,
// then that node is removed. To preserve these parent nodes, set this flag to
// true. Off by default.
//// \item @|obj.MaintainStructureOn ()| -  This is used only when PruneOutput is ON. By default, when pruning the
// output i.e. remove empty blocks, if node has only 1 non-null child block,
// then that node is removed. To preserve these parent nodes, set this flag to
// true. Off by default.
//// \item @|obj.MaintainStructureOff ()| -  This is used only when PruneOutput is ON. By default, when pruning the
// output i.e. remove empty blocks, if node has only 1 non-null child block,
// then that node is removed. To preserve these parent nodes, set this flag to
// true. Off by default.
////\end{itemize}
//!
