#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractCells object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractCells.h"

//@@Signature
//sfunction @vtkExtractCells:vtkExtractCells vtkExtractCellsConstructorFunction
//input a
//output p
//@@Parents vtkExtractCells vtkUnstructuredGridAlgorithm 
ArrayVector vtkExtractCellsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractCells::New(),"vtkExtractCells",eval);
  } else if (arg[0].className() == "vtkExtractCells") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractCells"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractCells");
    vtkExtractCells*q = reinterpret_cast<vtkExtractCells*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractCells");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractCells:GetClassName vtkExtractCellsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractCellsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractCells requires 1 argument(s)");
  vtkExtractCells* vtk_pointer = GetVTKPointer<vtkExtractCells>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractCells:IsA vtkExtractCellsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractCellsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractCells requires 2 argument(s)");
  vtkExtractCells* vtk_pointer = GetVTKPointer<vtkExtractCells>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractCells:NewInstance vtkExtractCellsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractCellsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractCells *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractCells requires 1 argument(s)");
  vtkExtractCells* vtk_pointer = GetVTKPointer<vtkExtractCells>(arg[0]);
  Array retval;
  vtkExtractCells  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractCells",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCells:SafeDownCast vtkExtractCellsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractCellsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractCells *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractCells requires 2 argument(s)");
  vtkExtractCells* vtk_pointer = GetVTKPointer<vtkExtractCells>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractCells  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractCells",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCells:SetCellList vtkExtractCellsSetCellListFunction
//input a0 a1 
//output none
ArrayVector vtkExtractCellsSetCellListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellList (vtkIdList *l); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellList for class vtkExtractCells requires 2 argument(s)");
  vtkExtractCells* vtk_pointer = GetVTKPointer<vtkExtractCells>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  vtk_pointer->SetCellList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCells:AddCellList vtkExtractCellsAddCellListFunction
//input a0 a1 
//output none
ArrayVector vtkExtractCellsAddCellListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCellList (vtkIdList *l); */
  if (arg.size() < 2) 
    throw Exception("Function AddCellList for class vtkExtractCells requires 2 argument(s)");
  vtkExtractCells* vtk_pointer = GetVTKPointer<vtkExtractCells>(arg[0]);
  Array retval;
  vtkIdList  *temp0;
  temp0 = GetVTKPointer<vtkIdList>(arg[1]);
  vtk_pointer->AddCellList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCells:AddCellRange vtkExtractCellsAddCellRangeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExtractCellsAddCellRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCellRange (vtkIdType from, vtkIdType to); */
  if (arg.size() < 3) 
    throw Exception("Function AddCellRange for class vtkExtractCells requires 3 argument(s)");
  vtkExtractCells* vtk_pointer = GetVTKPointer<vtkExtractCells>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddCellRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCells:display vtkExtractCellsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractCellsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractCells* vtk_pointer = GetVTKPointer<vtkExtractCells>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractCells:delete vtkExtractCellsDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractCellsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractCells
//@@Section VTKGraphics
//@@Usage
//    Given a vtkDataSet and a list of cell Ids, create a vtkUnstructuredGrid
//    composed of these cells.  If the cell list is empty when vtkExtractCells 
//    executes, it will set up the ugrid, point and cell arrays, with no points, 
//    cells or data.
//
//To create an instance of class vtkExtractCells, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractCells
//@]
//@@Methods
//The class vtkExtractCells has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractCells class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractCells = obj.NewInstance ()|
// \item @|vtkExtractCells = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCellList (vtkIdList l)|
// \item @|obj.AddCellList (vtkIdList l)|
// \item @|obj.AddCellRange (vtkIdType from, vtkIdType to)|
//\end{itemize}
//!
