#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractDataOverTime object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractDataOverTime.h"

//@@Signature
//sfunction @vtkExtractDataOverTime:vtkExtractDataOverTime vtkExtractDataOverTimeConstructorFunction
//input a
//output p
//@@Parents vtkExtractDataOverTime vtkPointSetAlgorithm 
ArrayVector vtkExtractDataOverTimeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractDataOverTime::New(),"vtkExtractDataOverTime",eval);
  } else if (arg[0].className() == "vtkExtractDataOverTime") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractDataOverTime"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractDataOverTime");
    vtkExtractDataOverTime*q = reinterpret_cast<vtkExtractDataOverTime*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractDataOverTime");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractDataOverTime:GetClassName vtkExtractDataOverTimeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractDataOverTimeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractDataOverTime requires 1 argument(s)");
  vtkExtractDataOverTime* vtk_pointer = GetVTKPointer<vtkExtractDataOverTime>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataOverTime:IsA vtkExtractDataOverTimeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractDataOverTimeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractDataOverTime requires 2 argument(s)");
  vtkExtractDataOverTime* vtk_pointer = GetVTKPointer<vtkExtractDataOverTime>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataOverTime:NewInstance vtkExtractDataOverTimeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractDataOverTimeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractDataOverTime *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractDataOverTime requires 1 argument(s)");
  vtkExtractDataOverTime* vtk_pointer = GetVTKPointer<vtkExtractDataOverTime>(arg[0]);
  Array retval;
  vtkExtractDataOverTime  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractDataOverTime",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataOverTime:SafeDownCast vtkExtractDataOverTimeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractDataOverTimeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractDataOverTime *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractDataOverTime requires 2 argument(s)");
  vtkExtractDataOverTime* vtk_pointer = GetVTKPointer<vtkExtractDataOverTime>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractDataOverTime  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractDataOverTime",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataOverTime:SetPointIndex vtkExtractDataOverTimeSetPointIndexFunction
//input a0 a1 
//output none
ArrayVector vtkExtractDataOverTimeSetPointIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointIndex (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointIndex for class vtkExtractDataOverTime requires 2 argument(s)");
  vtkExtractDataOverTime* vtk_pointer = GetVTKPointer<vtkExtractDataOverTime>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataOverTime:GetPointIndex vtkExtractDataOverTimeGetPointIndexFunction
//input a0 
//output y
ArrayVector vtkExtractDataOverTimeGetPointIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointIndex for class vtkExtractDataOverTime requires 1 argument(s)");
  vtkExtractDataOverTime* vtk_pointer = GetVTKPointer<vtkExtractDataOverTime>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPointIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataOverTime:GetNumberOfTimeSteps vtkExtractDataOverTimeGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkExtractDataOverTimeGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkExtractDataOverTime requires 1 argument(s)");
  vtkExtractDataOverTime* vtk_pointer = GetVTKPointer<vtkExtractDataOverTime>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataOverTime:display vtkExtractDataOverTimeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractDataOverTimeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractDataOverTime* vtk_pointer = GetVTKPointer<vtkExtractDataOverTime>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractDataOverTime:delete vtkExtractDataOverTimeDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractDataOverTimeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractDataOverTime
//@@Section VTKGraphics
//@@Usage
// This filter extracts the point data from a time sequence and specified index
// and creates an output of the same type as the input but with Points 
// containing "number of time steps" points; the point and PointData 
// corresponding to the PointIndex are extracted at each time step and added to
// the output.  A PointData array is added called "Time" (or "TimeData" if
// there is already an array called "Time"), which is the time at each index.
//
//To create an instance of class vtkExtractDataOverTime, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractDataOverTime
//@]
//@@Methods
//The class vtkExtractDataOverTime has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractDataOverTime class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractDataOverTime = obj.NewInstance ()|
// \item @|vtkExtractDataOverTime = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPointIndex (int )| -  Index of point to extract at each time step
//// \item @|int = obj.GetPointIndex ()| -  Index of point to extract at each time step
//// \item @|int = obj.GetNumberOfTimeSteps ()| -  Get the number of time steps
////\end{itemize}
//!
