#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractDataSets object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractDataSets.h"

//@@Signature
//sfunction @vtkExtractDataSets:vtkExtractDataSets vtkExtractDataSetsConstructorFunction
//input a
//output p
//@@Parents vtkExtractDataSets vtkHierarchicalBoxDataSetAlgorithm 
ArrayVector vtkExtractDataSetsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractDataSets::New(),"vtkExtractDataSets",eval);
  } else if (arg[0].className() == "vtkExtractDataSets") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractDataSets"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractDataSets");
    vtkExtractDataSets*q = reinterpret_cast<vtkExtractDataSets*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractDataSets");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractDataSets:GetClassName vtkExtractDataSetsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractDataSetsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractDataSets requires 1 argument(s)");
  vtkExtractDataSets* vtk_pointer = GetVTKPointer<vtkExtractDataSets>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataSets:IsA vtkExtractDataSetsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractDataSetsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractDataSets requires 2 argument(s)");
  vtkExtractDataSets* vtk_pointer = GetVTKPointer<vtkExtractDataSets>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataSets:NewInstance vtkExtractDataSetsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractDataSetsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractDataSets *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractDataSets requires 1 argument(s)");
  vtkExtractDataSets* vtk_pointer = GetVTKPointer<vtkExtractDataSets>(arg[0]);
  Array retval;
  vtkExtractDataSets  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractDataSets",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataSets:SafeDownCast vtkExtractDataSetsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractDataSetsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractDataSets *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractDataSets requires 2 argument(s)");
  vtkExtractDataSets* vtk_pointer = GetVTKPointer<vtkExtractDataSets>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractDataSets  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractDataSets",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataSets:AddDataSet vtkExtractDataSetsAddDataSetFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExtractDataSetsAddDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddDataSet (unsigned int level, unsigned int idx); */
  if (arg.size() < 3) 
    throw Exception("Function AddDataSet for class vtkExtractDataSets requires 3 argument(s)");
  vtkExtractDataSets* vtk_pointer = GetVTKPointer<vtkExtractDataSets>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  vtk_pointer->AddDataSet(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataSets:ClearDataSetList vtkExtractDataSetsClearDataSetListFunction
//input a0 
//output none
ArrayVector vtkExtractDataSetsClearDataSetListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearDataSetList (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearDataSetList for class vtkExtractDataSets requires 1 argument(s)");
  vtkExtractDataSets* vtk_pointer = GetVTKPointer<vtkExtractDataSets>(arg[0]);
  Array retval;
  vtk_pointer->ClearDataSetList();
  return retval;
}

//@@Signature
//sfunction @vtkExtractDataSets:display vtkExtractDataSetsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractDataSetsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractDataSets* vtk_pointer = GetVTKPointer<vtkExtractDataSets>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractDataSets:delete vtkExtractDataSetsDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractDataSetsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractDataSets
//@@Section VTKGraphics
//@@Usage
// vtkExtractDataSets accepts a vtkHierarchicalBoxDataSet as input and extracts
// different datasets from different levels. The output is
// vtkHierarchicalBoxDataSet with same structure as the input with only the
// selected datasets passed through. 
//
//To create an instance of class vtkExtractDataSets, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractDataSets
//@]
//@@Methods
//The class vtkExtractDataSets has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractDataSets class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractDataSets = obj.NewInstance ()|
// \item @|vtkExtractDataSets = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddDataSet (int level, int idx)| -  Add a dataset to be extracted.
//// \item @|obj.ClearDataSetList ()| -  Remove all entries from the list of datasets to be extracted.
////\end{itemize}
//!
