#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractEdges object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractEdges.h"

//@@Signature
//sfunction @vtkExtractEdges:vtkExtractEdges vtkExtractEdgesConstructorFunction
//input a
//output p
//@@Parents vtkExtractEdges vtkPolyDataAlgorithm 
ArrayVector vtkExtractEdgesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractEdges::New(),"vtkExtractEdges",eval);
  } else if (arg[0].className() == "vtkExtractEdges") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractEdges"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractEdges");
    vtkExtractEdges*q = reinterpret_cast<vtkExtractEdges*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractEdges");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractEdges:GetClassName vtkExtractEdgesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractEdgesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractEdges requires 1 argument(s)");
  vtkExtractEdges* vtk_pointer = GetVTKPointer<vtkExtractEdges>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractEdges:IsA vtkExtractEdgesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractEdgesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractEdges requires 2 argument(s)");
  vtkExtractEdges* vtk_pointer = GetVTKPointer<vtkExtractEdges>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractEdges:NewInstance vtkExtractEdgesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractEdgesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractEdges *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractEdges requires 1 argument(s)");
  vtkExtractEdges* vtk_pointer = GetVTKPointer<vtkExtractEdges>(arg[0]);
  Array retval;
  vtkExtractEdges  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractEdges",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractEdges:SafeDownCast vtkExtractEdgesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractEdgesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractEdges *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractEdges requires 2 argument(s)");
  vtkExtractEdges* vtk_pointer = GetVTKPointer<vtkExtractEdges>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractEdges  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractEdges",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractEdges:SetLocator vtkExtractEdgesSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkExtractEdgesSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkExtractEdges requires 2 argument(s)");
  vtkExtractEdges* vtk_pointer = GetVTKPointer<vtkExtractEdges>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractEdges:GetLocator vtkExtractEdgesGetLocatorFunction
//input a0 
//output y
ArrayVector vtkExtractEdgesGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkExtractEdges requires 1 argument(s)");
  vtkExtractEdges* vtk_pointer = GetVTKPointer<vtkExtractEdges>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractEdges:CreateDefaultLocator vtkExtractEdgesCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkExtractEdgesCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkExtractEdges requires 1 argument(s)");
  vtkExtractEdges* vtk_pointer = GetVTKPointer<vtkExtractEdges>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkExtractEdges:GetMTime vtkExtractEdgesGetMTimeFunction
//input a0 
//output y
ArrayVector vtkExtractEdgesGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkExtractEdges requires 1 argument(s)");
  vtkExtractEdges* vtk_pointer = GetVTKPointer<vtkExtractEdges>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractEdges:display vtkExtractEdgesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractEdgesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractEdges* vtk_pointer = GetVTKPointer<vtkExtractEdges>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractEdges:delete vtkExtractEdgesDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractEdgesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractEdges
//@@Section VTKGraphics
//@@Usage
// vtkExtractEdges is a filter to extract edges from a dataset. Edges
// are extracted as lines or polylines.
//
//To create an instance of class vtkExtractEdges, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractEdges
//@]
//@@Methods
//The class vtkExtractEdges has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractEdges class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractEdges = obj.NewInstance ()|
// \item @|vtkExtractEdges = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified.
//// \item @|long = obj.GetMTime ()| -  Return MTime also considering the locator.
////\end{itemize}
//!
