#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractGeometry object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractGeometry.h"

//@@Signature
//sfunction @vtkExtractGeometry:vtkExtractGeometry vtkExtractGeometryConstructorFunction
//input a
//output p
//@@Parents vtkExtractGeometry vtkUnstructuredGridAlgorithm 
ArrayVector vtkExtractGeometryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractGeometry::New(),"vtkExtractGeometry",eval);
  } else if (arg[0].className() == "vtkExtractGeometry") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractGeometry"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractGeometry");
    vtkExtractGeometry*q = reinterpret_cast<vtkExtractGeometry*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractGeometry");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractGeometry:GetClassName vtkExtractGeometryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractGeometryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:IsA vtkExtractGeometryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractGeometryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractGeometry requires 2 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:NewInstance vtkExtractGeometryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractGeometryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractGeometry *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  vtkExtractGeometry  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractGeometry",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:SafeDownCast vtkExtractGeometrySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractGeometrySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractGeometry *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractGeometry requires 2 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractGeometry  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractGeometry",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:GetMTime vtkExtractGeometryGetMTimeFunction
//input a0 
//output y
ArrayVector vtkExtractGeometryGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:SetImplicitFunction vtkExtractGeometrySetImplicitFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkExtractGeometrySetImplicitFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImplicitFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetImplicitFunction for class vtkExtractGeometry requires 2 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetImplicitFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:GetImplicitFunction vtkExtractGeometryGetImplicitFunctionFunction
//input a0 
//output y
ArrayVector vtkExtractGeometryGetImplicitFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetImplicitFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImplicitFunction for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetImplicitFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:SetExtractInside vtkExtractGeometrySetExtractInsideFunction
//input a0 a1 
//output none
ArrayVector vtkExtractGeometrySetExtractInsideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractInside (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractInside for class vtkExtractGeometry requires 2 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractInside(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:GetExtractInside vtkExtractGeometryGetExtractInsideFunction
//input a0 
//output y
ArrayVector vtkExtractGeometryGetExtractInsideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractInside (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractInside for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractInside();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:ExtractInsideOn vtkExtractGeometryExtractInsideOnFunction
//input a0 
//output none
ArrayVector vtkExtractGeometryExtractInsideOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractInsideOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractInsideOn for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  vtk_pointer->ExtractInsideOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:ExtractInsideOff vtkExtractGeometryExtractInsideOffFunction
//input a0 
//output none
ArrayVector vtkExtractGeometryExtractInsideOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractInsideOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractInsideOff for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  vtk_pointer->ExtractInsideOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:SetExtractBoundaryCells vtkExtractGeometrySetExtractBoundaryCellsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractGeometrySetExtractBoundaryCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractBoundaryCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractBoundaryCells for class vtkExtractGeometry requires 2 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractBoundaryCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:GetExtractBoundaryCells vtkExtractGeometryGetExtractBoundaryCellsFunction
//input a0 
//output y
ArrayVector vtkExtractGeometryGetExtractBoundaryCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractBoundaryCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractBoundaryCells for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractBoundaryCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:ExtractBoundaryCellsOn vtkExtractGeometryExtractBoundaryCellsOnFunction
//input a0 
//output none
ArrayVector vtkExtractGeometryExtractBoundaryCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractBoundaryCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractBoundaryCellsOn for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  vtk_pointer->ExtractBoundaryCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:ExtractBoundaryCellsOff vtkExtractGeometryExtractBoundaryCellsOffFunction
//input a0 
//output none
ArrayVector vtkExtractGeometryExtractBoundaryCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractBoundaryCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractBoundaryCellsOff for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  vtk_pointer->ExtractBoundaryCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:SetExtractOnlyBoundaryCells vtkExtractGeometrySetExtractOnlyBoundaryCellsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractGeometrySetExtractOnlyBoundaryCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractOnlyBoundaryCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractOnlyBoundaryCells for class vtkExtractGeometry requires 2 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractOnlyBoundaryCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:GetExtractOnlyBoundaryCells vtkExtractGeometryGetExtractOnlyBoundaryCellsFunction
//input a0 
//output y
ArrayVector vtkExtractGeometryGetExtractOnlyBoundaryCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractOnlyBoundaryCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractOnlyBoundaryCells for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractOnlyBoundaryCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:ExtractOnlyBoundaryCellsOn vtkExtractGeometryExtractOnlyBoundaryCellsOnFunction
//input a0 
//output none
ArrayVector vtkExtractGeometryExtractOnlyBoundaryCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractOnlyBoundaryCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractOnlyBoundaryCellsOn for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  vtk_pointer->ExtractOnlyBoundaryCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:ExtractOnlyBoundaryCellsOff vtkExtractGeometryExtractOnlyBoundaryCellsOffFunction
//input a0 
//output none
ArrayVector vtkExtractGeometryExtractOnlyBoundaryCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractOnlyBoundaryCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractOnlyBoundaryCellsOff for class vtkExtractGeometry requires 1 argument(s)");
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  Array retval;
  vtk_pointer->ExtractOnlyBoundaryCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractGeometry:display vtkExtractGeometryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractGeometryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractGeometry* vtk_pointer = GetVTKPointer<vtkExtractGeometry>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractGeometry:delete vtkExtractGeometryDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractGeometryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractGeometry
//@@Section VTKGraphics
//@@Usage
// vtkExtractGeometry extracts from its input dataset all cells that are either
// completely inside or outside of a specified implicit function. Any type of
// dataset can be input to this filter. On output the filter generates an
// unstructured grid.
//
// To use this filter you must specify an implicit function. You must also
// specify whethter to extract cells lying inside or outside of the implicit 
// function. (The inside of an implicit function is the negative values 
// region.) An option exists to extract cells that are neither inside or
// outside (i.e., boundary).
//
// A more efficient version of this filter is available for vtkPolyData input.
// See vtkExtractPolyDataGeometry.
//
//To create an instance of class vtkExtractGeometry, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractGeometry
//@]
//@@Methods
//The class vtkExtractGeometry has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractGeometry class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractGeometry = obj.NewInstance ()|
// \item @|vtkExtractGeometry = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Return the MTime taking into account changes to the implicit function
//// \item @|obj.SetImplicitFunction (vtkImplicitFunction )| -  Specify the implicit function for inside/outside checks.
//// \item @|vtkImplicitFunction = obj.GetImplicitFunction ()| -  Specify the implicit function for inside/outside checks.
//// \item @|obj.SetExtractInside (int )| -  Boolean controls whether to extract cells that are inside of implicit 
// function (ExtractInside == 1) or outside of implicit function 
// (ExtractInside == 0).
//// \item @|int = obj.GetExtractInside ()| -  Boolean controls whether to extract cells that are inside of implicit 
// function (ExtractInside == 1) or outside of implicit function 
// (ExtractInside == 0).
//// \item @|obj.ExtractInsideOn ()| -  Boolean controls whether to extract cells that are inside of implicit 
// function (ExtractInside == 1) or outside of implicit function 
// (ExtractInside == 0).
//// \item @|obj.ExtractInsideOff ()| -  Boolean controls whether to extract cells that are inside of implicit 
// function (ExtractInside == 1) or outside of implicit function 
// (ExtractInside == 0).
//// \item @|obj.SetExtractBoundaryCells (int )| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
//// \item @|int = obj.GetExtractBoundaryCells ()| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
//// \item @|obj.ExtractBoundaryCellsOn ()| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
//// \item @|obj.ExtractBoundaryCellsOff ()| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
//// \item @|obj.SetExtractOnlyBoundaryCells (int )| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
//// \item @|int = obj.GetExtractOnlyBoundaryCells ()| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
//// \item @|obj.ExtractOnlyBoundaryCellsOn ()| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
//// \item @|obj.ExtractOnlyBoundaryCellsOff ()| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
////\end{itemize}
//!
