#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractLevel object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractLevel.h"

//@@Signature
//sfunction @vtkExtractLevel:vtkExtractLevel vtkExtractLevelConstructorFunction
//input a
//output p
//@@Parents vtkExtractLevel vtkHierarchicalBoxDataSetAlgorithm 
ArrayVector vtkExtractLevelConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractLevel::New(),"vtkExtractLevel",eval);
  } else if (arg[0].className() == "vtkExtractLevel") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractLevel"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractLevel");
    vtkExtractLevel*q = reinterpret_cast<vtkExtractLevel*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractLevel");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractLevel:GetClassName vtkExtractLevelGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractLevelGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractLevel requires 1 argument(s)");
  vtkExtractLevel* vtk_pointer = GetVTKPointer<vtkExtractLevel>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractLevel:IsA vtkExtractLevelIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractLevelIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractLevel requires 2 argument(s)");
  vtkExtractLevel* vtk_pointer = GetVTKPointer<vtkExtractLevel>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractLevel:NewInstance vtkExtractLevelNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractLevelNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractLevel *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractLevel requires 1 argument(s)");
  vtkExtractLevel* vtk_pointer = GetVTKPointer<vtkExtractLevel>(arg[0]);
  Array retval;
  vtkExtractLevel  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractLevel",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractLevel:SafeDownCast vtkExtractLevelSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractLevelSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractLevel *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractLevel requires 2 argument(s)");
  vtkExtractLevel* vtk_pointer = GetVTKPointer<vtkExtractLevel>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractLevel  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractLevel",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractLevel:AddLevel vtkExtractLevelAddLevelFunction
//input a0 a1 
//output none
ArrayVector vtkExtractLevelAddLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLevel (unsigned int level); */
  if (arg.size() < 2) 
    throw Exception("Function AddLevel for class vtkExtractLevel requires 2 argument(s)");
  vtkExtractLevel* vtk_pointer = GetVTKPointer<vtkExtractLevel>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->AddLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractLevel:RemoveLevel vtkExtractLevelRemoveLevelFunction
//input a0 a1 
//output none
ArrayVector vtkExtractLevelRemoveLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveLevel (unsigned int level); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveLevel for class vtkExtractLevel requires 2 argument(s)");
  vtkExtractLevel* vtk_pointer = GetVTKPointer<vtkExtractLevel>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->RemoveLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractLevel:RemoveAllLevels vtkExtractLevelRemoveAllLevelsFunction
//input a0 
//output none
ArrayVector vtkExtractLevelRemoveAllLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllLevels (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllLevels for class vtkExtractLevel requires 1 argument(s)");
  vtkExtractLevel* vtk_pointer = GetVTKPointer<vtkExtractLevel>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllLevels();
  return retval;
}

//@@Signature
//sfunction @vtkExtractLevel:display vtkExtractLevelDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractLevelDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractLevel* vtk_pointer = GetVTKPointer<vtkExtractLevel>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractLevel:delete vtkExtractLevelDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractLevelDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractLevel
//@@Section VTKGraphics
//@@Usage
// vtkExtractLevel filter extracts the levels between (and including) the user
// specified min and max levels.
//
//To create an instance of class vtkExtractLevel, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractLevel
//@]
//@@Methods
//The class vtkExtractLevel has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractLevel class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractLevel = obj.NewInstance ()|
// \item @|vtkExtractLevel = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddLevel (int level)| -  Select the levels that should be extracted. All other levels will have no
// datasets in them.
//// \item @|obj.RemoveLevel (int level)| -  Select the levels that should be extracted. All other levels will have no
// datasets in them.
//// \item @|obj.RemoveAllLevels ()| -  Select the levels that should be extracted. All other levels will have no
// datasets in them.
////\end{itemize}
//!
