#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractPolyDataGeometry object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractPolyDataGeometry.h"

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:vtkExtractPolyDataGeometry vtkExtractPolyDataGeometryConstructorFunction
//input a
//output p
//@@Parents vtkExtractPolyDataGeometry vtkPolyDataAlgorithm 
ArrayVector vtkExtractPolyDataGeometryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractPolyDataGeometry::New(),"vtkExtractPolyDataGeometry",eval);
  } else if (arg[0].className() == "vtkExtractPolyDataGeometry") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractPolyDataGeometry"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractPolyDataGeometry");
    vtkExtractPolyDataGeometry*q = reinterpret_cast<vtkExtractPolyDataGeometry*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractPolyDataGeometry");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractPolyDataGeometry:GetClassName vtkExtractPolyDataGeometryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractPolyDataGeometryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractPolyDataGeometry requires 1 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:IsA vtkExtractPolyDataGeometryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractPolyDataGeometryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractPolyDataGeometry requires 2 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:NewInstance vtkExtractPolyDataGeometryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractPolyDataGeometryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractPolyDataGeometry *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractPolyDataGeometry requires 1 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  vtkExtractPolyDataGeometry  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractPolyDataGeometry",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:SafeDownCast vtkExtractPolyDataGeometrySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractPolyDataGeometrySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractPolyDataGeometry *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractPolyDataGeometry requires 2 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractPolyDataGeometry  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractPolyDataGeometry",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:GetMTime vtkExtractPolyDataGeometryGetMTimeFunction
//input a0 
//output y
ArrayVector vtkExtractPolyDataGeometryGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkExtractPolyDataGeometry requires 1 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:SetImplicitFunction vtkExtractPolyDataGeometrySetImplicitFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkExtractPolyDataGeometrySetImplicitFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImplicitFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetImplicitFunction for class vtkExtractPolyDataGeometry requires 2 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetImplicitFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:GetImplicitFunction vtkExtractPolyDataGeometryGetImplicitFunctionFunction
//input a0 
//output y
ArrayVector vtkExtractPolyDataGeometryGetImplicitFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetImplicitFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImplicitFunction for class vtkExtractPolyDataGeometry requires 1 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetImplicitFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:SetExtractInside vtkExtractPolyDataGeometrySetExtractInsideFunction
//input a0 a1 
//output none
ArrayVector vtkExtractPolyDataGeometrySetExtractInsideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractInside (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractInside for class vtkExtractPolyDataGeometry requires 2 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractInside(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:GetExtractInside vtkExtractPolyDataGeometryGetExtractInsideFunction
//input a0 
//output y
ArrayVector vtkExtractPolyDataGeometryGetExtractInsideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractInside (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractInside for class vtkExtractPolyDataGeometry requires 1 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractInside();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:ExtractInsideOn vtkExtractPolyDataGeometryExtractInsideOnFunction
//input a0 
//output none
ArrayVector vtkExtractPolyDataGeometryExtractInsideOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractInsideOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractInsideOn for class vtkExtractPolyDataGeometry requires 1 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  vtk_pointer->ExtractInsideOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:ExtractInsideOff vtkExtractPolyDataGeometryExtractInsideOffFunction
//input a0 
//output none
ArrayVector vtkExtractPolyDataGeometryExtractInsideOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractInsideOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractInsideOff for class vtkExtractPolyDataGeometry requires 1 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  vtk_pointer->ExtractInsideOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:SetExtractBoundaryCells vtkExtractPolyDataGeometrySetExtractBoundaryCellsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractPolyDataGeometrySetExtractBoundaryCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractBoundaryCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractBoundaryCells for class vtkExtractPolyDataGeometry requires 2 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractBoundaryCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:GetExtractBoundaryCells vtkExtractPolyDataGeometryGetExtractBoundaryCellsFunction
//input a0 
//output y
ArrayVector vtkExtractPolyDataGeometryGetExtractBoundaryCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractBoundaryCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractBoundaryCells for class vtkExtractPolyDataGeometry requires 1 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractBoundaryCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:ExtractBoundaryCellsOn vtkExtractPolyDataGeometryExtractBoundaryCellsOnFunction
//input a0 
//output none
ArrayVector vtkExtractPolyDataGeometryExtractBoundaryCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractBoundaryCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractBoundaryCellsOn for class vtkExtractPolyDataGeometry requires 1 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  vtk_pointer->ExtractBoundaryCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:ExtractBoundaryCellsOff vtkExtractPolyDataGeometryExtractBoundaryCellsOffFunction
//input a0 
//output none
ArrayVector vtkExtractPolyDataGeometryExtractBoundaryCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractBoundaryCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractBoundaryCellsOff for class vtkExtractPolyDataGeometry requires 1 argument(s)");
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  Array retval;
  vtk_pointer->ExtractBoundaryCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataGeometry:display vtkExtractPolyDataGeometryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractPolyDataGeometryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractPolyDataGeometry* vtk_pointer = GetVTKPointer<vtkExtractPolyDataGeometry>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractPolyDataGeometry:delete vtkExtractPolyDataGeometryDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractPolyDataGeometryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractPolyDataGeometry
//@@Section VTKGraphics
//@@Usage
// vtkExtractPolyDataGeometry extracts from its input vtkPolyData all cells
// that are either completely inside or outside of a specified implicit
// function. This filter is specialized to vtkPolyData. On output the 
// filter generates vtkPolyData.
//
// To use this filter you must specify an implicit function. You must also
// specify whether to extract cells lying inside or outside of the implicit 
// function. (The inside of an implicit function is the negative values 
// region.) An option exists to extract cells that are neither inside nor
// outside (i.e., boundary).
//
// A more general version of this filter is available for arbitrary
// vtkDataSet input (see vtkExtractGeometry).
//
//To create an instance of class vtkExtractPolyDataGeometry, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractPolyDataGeometry
//@]
//@@Methods
//The class vtkExtractPolyDataGeometry has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractPolyDataGeometry class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractPolyDataGeometry = obj.NewInstance ()|
// \item @|vtkExtractPolyDataGeometry = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Return the MTime taking into account changes to the implicit function
//// \item @|obj.SetImplicitFunction (vtkImplicitFunction )| -  Specify the implicit function for inside/outside checks.
//// \item @|vtkImplicitFunction = obj.GetImplicitFunction ()| -  Specify the implicit function for inside/outside checks.
//// \item @|obj.SetExtractInside (int )| -  Boolean controls whether to extract cells that are inside of implicit 
// function (ExtractInside == 1) or outside of implicit function 
// (ExtractInside == 0).
//// \item @|int = obj.GetExtractInside ()| -  Boolean controls whether to extract cells that are inside of implicit 
// function (ExtractInside == 1) or outside of implicit function 
// (ExtractInside == 0).
//// \item @|obj.ExtractInsideOn ()| -  Boolean controls whether to extract cells that are inside of implicit 
// function (ExtractInside == 1) or outside of implicit function 
// (ExtractInside == 0).
//// \item @|obj.ExtractInsideOff ()| -  Boolean controls whether to extract cells that are inside of implicit 
// function (ExtractInside == 1) or outside of implicit function 
// (ExtractInside == 0).
//// \item @|obj.SetExtractBoundaryCells (int )| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
//// \item @|int = obj.GetExtractBoundaryCells ()| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
//// \item @|obj.ExtractBoundaryCellsOn ()| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
//// \item @|obj.ExtractBoundaryCellsOff ()| -  Boolean controls whether to extract cells that are partially inside.
// By default, ExtractBoundaryCells is off.
////\end{itemize}
//!
