#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractRectilinearGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractRectilinearGrid.h"

//@@Signature
//sfunction @vtkExtractRectilinearGrid:vtkExtractRectilinearGrid vtkExtractRectilinearGridConstructorFunction
//input a
//output p
//@@Parents vtkExtractRectilinearGrid vtkRectilinearGridAlgorithm 
ArrayVector vtkExtractRectilinearGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractRectilinearGrid::New(),"vtkExtractRectilinearGrid",eval);
  } else if (arg[0].className() == "vtkExtractRectilinearGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractRectilinearGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractRectilinearGrid");
    vtkExtractRectilinearGrid*q = reinterpret_cast<vtkExtractRectilinearGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractRectilinearGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractRectilinearGrid:GetClassName vtkExtractRectilinearGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractRectilinearGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractRectilinearGrid requires 1 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:IsA vtkExtractRectilinearGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractRectilinearGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractRectilinearGrid requires 2 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:NewInstance vtkExtractRectilinearGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractRectilinearGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractRectilinearGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractRectilinearGrid requires 1 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  vtkExtractRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:SafeDownCast vtkExtractRectilinearGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractRectilinearGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractRectilinearGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractRectilinearGrid requires 2 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractRectilinearGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:SetVOI__1 vtkExtractRectilinearGridSetVOI__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkExtractRectilinearGridSetVOI__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVOI (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetVOI__1 for class vtkExtractRectilinearGrid requires 7 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetVOI(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:SetVOI__2 vtkExtractRectilinearGridSetVOI__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractRectilinearGridSetVOI__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVOI (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetVOI__2 for class vtkExtractRectilinearGrid requires 2 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetVOI(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:GetVOI vtkExtractRectilinearGridGetVOIFunction
//input a0 
//output y
ArrayVector vtkExtractRectilinearGridGetVOIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetVOI (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVOI for class vtkExtractRectilinearGrid requires 1 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetVOI();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:SetSampleRate__1 vtkExtractRectilinearGridSetSampleRate__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkExtractRectilinearGridSetSampleRate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleRate (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSampleRate__1 for class vtkExtractRectilinearGrid requires 4 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetSampleRate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:SetSampleRate__2 vtkExtractRectilinearGridSetSampleRate__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractRectilinearGridSetSampleRate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleRate (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleRate__2 for class vtkExtractRectilinearGrid requires 2 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSampleRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:GetSampleRate vtkExtractRectilinearGridGetSampleRateFunction
//input a0 
//output y
ArrayVector vtkExtractRectilinearGridGetSampleRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSampleRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleRate for class vtkExtractRectilinearGrid requires 1 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSampleRate();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:SetIncludeBoundary vtkExtractRectilinearGridSetIncludeBoundaryFunction
//input a0 a1 
//output none
ArrayVector vtkExtractRectilinearGridSetIncludeBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIncludeBoundary (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIncludeBoundary for class vtkExtractRectilinearGrid requires 2 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIncludeBoundary(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:GetIncludeBoundary vtkExtractRectilinearGridGetIncludeBoundaryFunction
//input a0 
//output y
ArrayVector vtkExtractRectilinearGridGetIncludeBoundaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIncludeBoundary (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncludeBoundary for class vtkExtractRectilinearGrid requires 1 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIncludeBoundary();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:IncludeBoundaryOn vtkExtractRectilinearGridIncludeBoundaryOnFunction
//input a0 
//output none
ArrayVector vtkExtractRectilinearGridIncludeBoundaryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncludeBoundaryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IncludeBoundaryOn for class vtkExtractRectilinearGrid requires 1 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  vtk_pointer->IncludeBoundaryOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:IncludeBoundaryOff vtkExtractRectilinearGridIncludeBoundaryOffFunction
//input a0 
//output none
ArrayVector vtkExtractRectilinearGridIncludeBoundaryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncludeBoundaryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IncludeBoundaryOff for class vtkExtractRectilinearGrid requires 1 argument(s)");
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  Array retval;
  vtk_pointer->IncludeBoundaryOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:SetVOI vtkExtractRectilinearGridSetVOIFunction
//input varargin
//output varargout
ArrayVector vtkExtractRectilinearGridSetVOIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkExtractRectilinearGridSetVOI__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractRectilinearGridSetVOI__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractRectilinearGridSetVOI");
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:SetSampleRate vtkExtractRectilinearGridSetSampleRateFunction
//input varargin
//output varargout
ArrayVector vtkExtractRectilinearGridSetSampleRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExtractRectilinearGridSetSampleRate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractRectilinearGridSetSampleRate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractRectilinearGridSetSampleRate");
}

//@@Signature
//sfunction @vtkExtractRectilinearGrid:display vtkExtractRectilinearGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractRectilinearGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractRectilinearGrid* vtk_pointer = GetVTKPointer<vtkExtractRectilinearGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractRectilinearGrid:delete vtkExtractRectilinearGridDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractRectilinearGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractRectilinearGrid
//@@Section VTKGraphics
//@@Usage
// vtkExtractRectilinearGrid rounds out the set of filters that extract
// a subgrid out of a larger structured data set.  RIght now, this filter
// only supports extracting a VOI.  In the future, it might support
// strides like the vtkExtract grid filter.
//
//To create an instance of class vtkExtractRectilinearGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractRectilinearGrid
//@]
//@@Methods
//The class vtkExtractRectilinearGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractRectilinearGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractRectilinearGrid = obj.NewInstance ()|
// \item @|vtkExtractRectilinearGrid = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVOI (int , int , int , int , int , int )| -  Specify i-j-k (min,max) pairs to extract. The resulting structured grid
// dataset can be of any topological dimension (i.e., point, line, plane,
// or 3D grid). 
//// \item @|obj.SetVOI (int  a[6])| -  Specify i-j-k (min,max) pairs to extract. The resulting structured grid
// dataset can be of any topological dimension (i.e., point, line, plane,
// or 3D grid). 
//// \item @|int = obj. GetVOI ()| -  Specify i-j-k (min,max) pairs to extract. The resulting structured grid
// dataset can be of any topological dimension (i.e., point, line, plane,
// or 3D grid). 
//// \item @|obj.SetSampleRate (int , int , int )| -  Set the sampling rate in the i, j, and k directions. If the rate is > 1,
// then the resulting VOI will be subsampled representation of the input.
// For example, if the SampleRate=(2,2,2), every other point will be
// selected, resulting in a volume 1/8th the original size.
//// \item @|obj.SetSampleRate (int  a[3])| -  Set the sampling rate in the i, j, and k directions. If the rate is > 1,
// then the resulting VOI will be subsampled representation of the input.
// For example, if the SampleRate=(2,2,2), every other point will be
// selected, resulting in a volume 1/8th the original size.
//// \item @|int = obj. GetSampleRate ()| -  Set the sampling rate in the i, j, and k directions. If the rate is > 1,
// then the resulting VOI will be subsampled representation of the input.
// For example, if the SampleRate=(2,2,2), every other point will be
// selected, resulting in a volume 1/8th the original size.
//// \item @|obj.SetIncludeBoundary (int )| -  Control whether to enforce that the "boundary" of the grid is output in
// the subsampling process. (This ivar only has effect when the SampleRate
// in any direction is not equal to 1.) When this ivar IncludeBoundary is
// on, the subsampling will always include the boundary of the grid even
// though the sample rate is not an even multiple of the grid
// dimensions. (By default IncludeBoundary is off.)
//// \item @|int = obj.GetIncludeBoundary ()| -  Control whether to enforce that the "boundary" of the grid is output in
// the subsampling process. (This ivar only has effect when the SampleRate
// in any direction is not equal to 1.) When this ivar IncludeBoundary is
// on, the subsampling will always include the boundary of the grid even
// though the sample rate is not an even multiple of the grid
// dimensions. (By default IncludeBoundary is off.)
//// \item @|obj.IncludeBoundaryOn ()| -  Control whether to enforce that the "boundary" of the grid is output in
// the subsampling process. (This ivar only has effect when the SampleRate
// in any direction is not equal to 1.) When this ivar IncludeBoundary is
// on, the subsampling will always include the boundary of the grid even
// though the sample rate is not an even multiple of the grid
// dimensions. (By default IncludeBoundary is off.)
//// \item @|obj.IncludeBoundaryOff ()| -  Control whether to enforce that the "boundary" of the grid is output in
// the subsampling process. (This ivar only has effect when the SampleRate
// in any direction is not equal to 1.) When this ivar IncludeBoundary is
// on, the subsampling will always include the boundary of the grid even
// though the sample rate is not an even multiple of the grid
// dimensions. (By default IncludeBoundary is off.)
////\end{itemize}
//!
