#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractSelectedBlock object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractSelectedBlock.h"

//@@Signature
//sfunction @vtkExtractSelectedBlock:vtkExtractSelectedBlock vtkExtractSelectedBlockConstructorFunction
//input a
//output p
//@@Parents vtkExtractSelectedBlock vtkExtractSelectionBase 
ArrayVector vtkExtractSelectedBlockConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractSelectedBlock::New(),"vtkExtractSelectedBlock",eval);
  } else if (arg[0].className() == "vtkExtractSelectedBlock") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractSelectedBlock"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractSelectedBlock");
    vtkExtractSelectedBlock*q = reinterpret_cast<vtkExtractSelectedBlock*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractSelectedBlock");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractSelectedBlock:GetClassName vtkExtractSelectedBlockGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedBlockGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractSelectedBlock requires 1 argument(s)");
  vtkExtractSelectedBlock* vtk_pointer = GetVTKPointer<vtkExtractSelectedBlock>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedBlock:IsA vtkExtractSelectedBlockIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedBlockIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractSelectedBlock requires 2 argument(s)");
  vtkExtractSelectedBlock* vtk_pointer = GetVTKPointer<vtkExtractSelectedBlock>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedBlock:NewInstance vtkExtractSelectedBlockNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedBlockNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedBlock *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractSelectedBlock requires 1 argument(s)");
  vtkExtractSelectedBlock* vtk_pointer = GetVTKPointer<vtkExtractSelectedBlock>(arg[0]);
  Array retval;
  vtkExtractSelectedBlock  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedBlock",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedBlock:SafeDownCast vtkExtractSelectedBlockSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedBlockSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedBlock *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractSelectedBlock requires 2 argument(s)");
  vtkExtractSelectedBlock* vtk_pointer = GetVTKPointer<vtkExtractSelectedBlock>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractSelectedBlock  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedBlock",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedBlock:display vtkExtractSelectedBlockDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractSelectedBlockDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractSelectedBlock* vtk_pointer = GetVTKPointer<vtkExtractSelectedBlock>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractSelectedBlock:delete vtkExtractSelectedBlockDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractSelectedBlockDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractSelectedBlock
//@@Section VTKGraphics
//@@Usage
//
//To create an instance of class vtkExtractSelectedBlock, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractSelectedBlock
//@]
//@@Methods
//The class vtkExtractSelectedBlock has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractSelectedBlock class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractSelectedBlock = obj.NewInstance ()|
// \item @|vtkExtractSelectedBlock = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
