#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractSelectedFrustum object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractSelectedFrustum.h"

//@@Signature
//sfunction @vtkExtractSelectedFrustum:vtkExtractSelectedFrustum vtkExtractSelectedFrustumConstructorFunction
//input a
//output p
//@@Parents vtkExtractSelectedFrustum vtkExtractSelectionBase 
ArrayVector vtkExtractSelectedFrustumConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractSelectedFrustum::New(),"vtkExtractSelectedFrustum",eval);
  } else if (arg[0].className() == "vtkExtractSelectedFrustum") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractSelectedFrustum"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractSelectedFrustum");
    vtkExtractSelectedFrustum*q = reinterpret_cast<vtkExtractSelectedFrustum*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractSelectedFrustum");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractSelectedFrustum:GetClassName vtkExtractSelectedFrustumGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedFrustumGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:IsA vtkExtractSelectedFrustumIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedFrustumIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractSelectedFrustum requires 2 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:NewInstance vtkExtractSelectedFrustumNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedFrustumNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedFrustum *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  vtkExtractSelectedFrustum  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedFrustum",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:SafeDownCast vtkExtractSelectedFrustumSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedFrustumSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedFrustum *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractSelectedFrustum requires 2 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractSelectedFrustum  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedFrustum",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:GetMTime vtkExtractSelectedFrustumGetMTimeFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedFrustumGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:SetFrustum vtkExtractSelectedFrustumSetFrustumFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedFrustumSetFrustumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFrustum (vtkPlanes *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrustum for class vtkExtractSelectedFrustum requires 2 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  vtkPlanes  *temp0;
  temp0 = GetVTKPointer<vtkPlanes>(arg[1]);
  vtk_pointer->SetFrustum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:GetFrustum vtkExtractSelectedFrustumGetFrustumFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedFrustumGetFrustumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlanes *GetFrustum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrustum for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  vtkPlanes  *temp20;
  temp20 = (vtk_pointer)->GetFrustum();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlanes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:CreateFrustum vtkExtractSelectedFrustumCreateFrustumFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedFrustumCreateFrustumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateFrustum (double vertices[32]); */
  if (arg.size() < 2) 
    throw Exception("Function CreateFrustum for class vtkExtractSelectedFrustum requires 2 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  double temp0[32];
  if ( !(arg[1].isVector() && arg[1].length() == 32) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->CreateFrustum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:GetClipPoints vtkExtractSelectedFrustumGetClipPointsFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedFrustumGetClipPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetClipPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipPoints for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetClipPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:SetFieldType vtkExtractSelectedFrustumSetFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedFrustumSetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldType for class vtkExtractSelectedFrustum requires 2 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:GetFieldType vtkExtractSelectedFrustumGetFieldTypeFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedFrustumGetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldType for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:SetContainingCells vtkExtractSelectedFrustumSetContainingCellsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedFrustumSetContainingCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetContainingCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetContainingCells for class vtkExtractSelectedFrustum requires 2 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetContainingCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:GetContainingCells vtkExtractSelectedFrustumGetContainingCellsFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedFrustumGetContainingCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetContainingCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContainingCells for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetContainingCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:OverallBoundsTest vtkExtractSelectedFrustumOverallBoundsTestFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedFrustumOverallBoundsTestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int OverallBoundsTest (double *bounds); */
  if (arg.size() < 2) 
    throw Exception("Function OverallBoundsTest for class vtkExtractSelectedFrustum requires 2 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->OverallBoundsTest(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:SetShowBounds vtkExtractSelectedFrustumSetShowBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedFrustumSetShowBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowBounds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowBounds for class vtkExtractSelectedFrustum requires 2 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShowBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:GetShowBounds vtkExtractSelectedFrustumGetShowBoundsFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedFrustumGetShowBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowBounds for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowBounds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:ShowBoundsOn vtkExtractSelectedFrustumShowBoundsOnFunction
//input a0 
//output none
ArrayVector vtkExtractSelectedFrustumShowBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowBoundsOn for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  vtk_pointer->ShowBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:ShowBoundsOff vtkExtractSelectedFrustumShowBoundsOffFunction
//input a0 
//output none
ArrayVector vtkExtractSelectedFrustumShowBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowBoundsOff for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  vtk_pointer->ShowBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:SetInsideOut vtkExtractSelectedFrustumSetInsideOutFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedFrustumSetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInsideOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInsideOut for class vtkExtractSelectedFrustum requires 2 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInsideOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:GetInsideOut vtkExtractSelectedFrustumGetInsideOutFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedFrustumGetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInsideOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInsideOut for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInsideOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:InsideOutOn vtkExtractSelectedFrustumInsideOutOnFunction
//input a0 
//output none
ArrayVector vtkExtractSelectedFrustumInsideOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOn for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:InsideOutOff vtkExtractSelectedFrustumInsideOutOffFunction
//input a0 
//output none
ArrayVector vtkExtractSelectedFrustumInsideOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOff for class vtkExtractSelectedFrustum requires 1 argument(s)");
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedFrustum:display vtkExtractSelectedFrustumDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractSelectedFrustumDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractSelectedFrustum* vtk_pointer = GetVTKPointer<vtkExtractSelectedFrustum>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractSelectedFrustum:delete vtkExtractSelectedFrustumDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractSelectedFrustumDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractSelectedFrustum
//@@Section VTKGraphics
//@@Usage
// This class intersects the input DataSet with a frustum and determines which
// cells and points lie within the frustum. The frustum is defined with a 
// vtkPlanes containing six cutting planes. The output is a DataSet that is 
// either a shallow copy of the input dataset with two new "vtkInsidedness" 
// attribute arrays, or a completely new UnstructuredGrid that contains only 
// the cells and points of the input that are inside the frustum. The 
// PreserveTopology flag controls which occurs. When PreserveTopology is off 
// this filter adds a scalar array called vtkOriginalCellIds that says what 
// input cell produced each output cell. This is an example of a Pedigree ID 
// which helps to trace back results.
//
//
//To create an instance of class vtkExtractSelectedFrustum, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractSelectedFrustum
//@]
//@@Methods
//The class vtkExtractSelectedFrustum has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractSelectedFrustum class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractSelectedFrustum = obj.NewInstance ()|
// \item @|vtkExtractSelectedFrustum = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Return the MTime taking into account changes to the Frustum
//// \item @|obj.SetFrustum (vtkPlanes )| -  Set the selection frustum. The planes object must contain six planes.
//// \item @|vtkPlanes = obj.GetFrustum ()| -  Set the selection frustum. The planes object must contain six planes.
//// \item @|obj.CreateFrustum (double vertices[32])| -  Given eight vertices, creates a frustum.
// each pt is x,y,z,1
// in the following order
// near lower left, far lower left
// near upper left, far upper left
// near lower right, far lower right
// near upper right, far upper right
//// \item @|vtkPoints = obj.GetClipPoints ()| -  Return eight points that define the selection frustum. Valid if
// create Frustum was used, invalid if SetFrustum was.
//// \item @|obj.SetFieldType (int )| -  Sets/gets the intersection test type.
//// \item @|int = obj.GetFieldType ()| -  Sets/gets the intersection test type.
//// \item @|obj.SetContainingCells (int )| -  Sets/gets the intersection test type. Only meaningful when fieldType is 
// vtkSelection::POINT
//// \item @|int = obj.GetContainingCells ()| -  Sets/gets the intersection test type. Only meaningful when fieldType is 
// vtkSelection::POINT
//// \item @|int = obj.OverallBoundsTest (double bounds)| -  Does a quick test on the AABBox defined by the bounds.
//// \item @|obj.SetShowBounds (int )| -  When On, this returns an unstructured grid that outlines selection area.
// Off is the default.
//// \item @|int = obj.GetShowBounds ()| -  When On, this returns an unstructured grid that outlines selection area.
// Off is the default.
//// \item @|obj.ShowBoundsOn ()| -  When On, this returns an unstructured grid that outlines selection area.
// Off is the default.
//// \item @|obj.ShowBoundsOff ()| -  When On, this returns an unstructured grid that outlines selection area.
// Off is the default.
//// \item @|obj.SetInsideOut (int )| -  When on, extracts cells outside the frustum instead of inside.
//// \item @|int = obj.GetInsideOut ()| -  When on, extracts cells outside the frustum instead of inside.
//// \item @|obj.InsideOutOn ()| -  When on, extracts cells outside the frustum instead of inside.
//// \item @|obj.InsideOutOff ()| -  When on, extracts cells outside the frustum instead of inside.
////\end{itemize}
//!
