#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractSelectedIds object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractSelectedIds.h"

//@@Signature
//sfunction @vtkExtractSelectedIds:vtkExtractSelectedIds vtkExtractSelectedIdsConstructorFunction
//input a
//output p
//@@Parents vtkExtractSelectedIds vtkExtractSelectionBase 
ArrayVector vtkExtractSelectedIdsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractSelectedIds::New(),"vtkExtractSelectedIds",eval);
  } else if (arg[0].className() == "vtkExtractSelectedIds") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractSelectedIds"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractSelectedIds");
    vtkExtractSelectedIds*q = reinterpret_cast<vtkExtractSelectedIds*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractSelectedIds");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractSelectedIds:GetClassName vtkExtractSelectedIdsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedIdsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractSelectedIds requires 1 argument(s)");
  vtkExtractSelectedIds* vtk_pointer = GetVTKPointer<vtkExtractSelectedIds>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedIds:IsA vtkExtractSelectedIdsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedIdsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractSelectedIds requires 2 argument(s)");
  vtkExtractSelectedIds* vtk_pointer = GetVTKPointer<vtkExtractSelectedIds>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedIds:NewInstance vtkExtractSelectedIdsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedIdsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedIds *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractSelectedIds requires 1 argument(s)");
  vtkExtractSelectedIds* vtk_pointer = GetVTKPointer<vtkExtractSelectedIds>(arg[0]);
  Array retval;
  vtkExtractSelectedIds  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedIds",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedIds:SafeDownCast vtkExtractSelectedIdsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedIdsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedIds *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractSelectedIds requires 2 argument(s)");
  vtkExtractSelectedIds* vtk_pointer = GetVTKPointer<vtkExtractSelectedIds>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractSelectedIds  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedIds",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedIds:display vtkExtractSelectedIdsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractSelectedIdsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractSelectedIds* vtk_pointer = GetVTKPointer<vtkExtractSelectedIds>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractSelectedIds:delete vtkExtractSelectedIdsDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractSelectedIdsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractSelectedIds
//@@Section VTKGraphics
//@@Usage
// vtkExtractSelectedIds extracts a set of cells and points from within a
// vtkDataSet. The set of ids to extract are listed within a vtkSelection.
// This filter adds a scalar array called vtkOriginalCellIds that says what 
// input cell produced each output cell. This is an example of a Pedigree ID 
// which helps to trace back results. Depending on whether the selection has
// GLOBALIDS, VALUES or INDICES, the selection will use the contents of the
// array named in the GLOBALIDS DataSetAttribute, and arbitrary array, or the
// position (tuple id or number) within the cell or point array.
//
//To create an instance of class vtkExtractSelectedIds, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractSelectedIds
//@]
//@@Methods
//The class vtkExtractSelectedIds has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractSelectedIds class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractSelectedIds = obj.NewInstance ()|
// \item @|vtkExtractSelectedIds = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
