#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractSelectedLocations object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractSelectedLocations.h"

//@@Signature
//sfunction @vtkExtractSelectedLocations:vtkExtractSelectedLocations vtkExtractSelectedLocationsConstructorFunction
//input a
//output p
//@@Parents vtkExtractSelectedLocations vtkExtractSelectionBase 
ArrayVector vtkExtractSelectedLocationsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractSelectedLocations::New(),"vtkExtractSelectedLocations",eval);
  } else if (arg[0].className() == "vtkExtractSelectedLocations") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractSelectedLocations"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractSelectedLocations");
    vtkExtractSelectedLocations*q = reinterpret_cast<vtkExtractSelectedLocations*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractSelectedLocations");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractSelectedLocations:GetClassName vtkExtractSelectedLocationsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedLocationsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractSelectedLocations requires 1 argument(s)");
  vtkExtractSelectedLocations* vtk_pointer = GetVTKPointer<vtkExtractSelectedLocations>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedLocations:IsA vtkExtractSelectedLocationsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedLocationsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractSelectedLocations requires 2 argument(s)");
  vtkExtractSelectedLocations* vtk_pointer = GetVTKPointer<vtkExtractSelectedLocations>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedLocations:NewInstance vtkExtractSelectedLocationsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedLocationsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedLocations *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractSelectedLocations requires 1 argument(s)");
  vtkExtractSelectedLocations* vtk_pointer = GetVTKPointer<vtkExtractSelectedLocations>(arg[0]);
  Array retval;
  vtkExtractSelectedLocations  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedLocations",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedLocations:SafeDownCast vtkExtractSelectedLocationsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedLocationsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedLocations *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractSelectedLocations requires 2 argument(s)");
  vtkExtractSelectedLocations* vtk_pointer = GetVTKPointer<vtkExtractSelectedLocations>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractSelectedLocations  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedLocations",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedLocations:display vtkExtractSelectedLocationsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractSelectedLocationsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractSelectedLocations* vtk_pointer = GetVTKPointer<vtkExtractSelectedLocations>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractSelectedLocations:delete vtkExtractSelectedLocationsDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractSelectedLocationsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractSelectedLocations
//@@Section VTKGraphics
//@@Usage
// vtkExtractSelectedLocations extracts all cells whose volume contain at least 
// one point listed in the LOCATIONS content of the vtkSelection. This filter 
// adds a scalar array called vtkOriginalCellIds that says what input cell 
// produced each output cell. This is an example of a Pedigree ID which helps
// to trace back results.
//
//To create an instance of class vtkExtractSelectedLocations, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractSelectedLocations
//@]
//@@Methods
//The class vtkExtractSelectedLocations has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractSelectedLocations class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractSelectedLocations = obj.NewInstance ()|
// \item @|vtkExtractSelectedLocations = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
