#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractSelectedPolyDataIds object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractSelectedPolyDataIds.h"

//@@Signature
//sfunction @vtkExtractSelectedPolyDataIds:vtkExtractSelectedPolyDataIds vtkExtractSelectedPolyDataIdsConstructorFunction
//input a
//output p
//@@Parents vtkExtractSelectedPolyDataIds vtkPolyDataAlgorithm 
ArrayVector vtkExtractSelectedPolyDataIdsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractSelectedPolyDataIds::New(),"vtkExtractSelectedPolyDataIds",eval);
  } else if (arg[0].className() == "vtkExtractSelectedPolyDataIds") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractSelectedPolyDataIds"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractSelectedPolyDataIds");
    vtkExtractSelectedPolyDataIds*q = reinterpret_cast<vtkExtractSelectedPolyDataIds*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractSelectedPolyDataIds");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractSelectedPolyDataIds:GetClassName vtkExtractSelectedPolyDataIdsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedPolyDataIdsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractSelectedPolyDataIds requires 1 argument(s)");
  vtkExtractSelectedPolyDataIds* vtk_pointer = GetVTKPointer<vtkExtractSelectedPolyDataIds>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedPolyDataIds:IsA vtkExtractSelectedPolyDataIdsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedPolyDataIdsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractSelectedPolyDataIds requires 2 argument(s)");
  vtkExtractSelectedPolyDataIds* vtk_pointer = GetVTKPointer<vtkExtractSelectedPolyDataIds>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedPolyDataIds:NewInstance vtkExtractSelectedPolyDataIdsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedPolyDataIdsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedPolyDataIds *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractSelectedPolyDataIds requires 1 argument(s)");
  vtkExtractSelectedPolyDataIds* vtk_pointer = GetVTKPointer<vtkExtractSelectedPolyDataIds>(arg[0]);
  Array retval;
  vtkExtractSelectedPolyDataIds  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedPolyDataIds",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedPolyDataIds:SafeDownCast vtkExtractSelectedPolyDataIdsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedPolyDataIdsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedPolyDataIds *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractSelectedPolyDataIds requires 2 argument(s)");
  vtkExtractSelectedPolyDataIds* vtk_pointer = GetVTKPointer<vtkExtractSelectedPolyDataIds>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractSelectedPolyDataIds  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedPolyDataIds",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedPolyDataIds:display vtkExtractSelectedPolyDataIdsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractSelectedPolyDataIdsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractSelectedPolyDataIds* vtk_pointer = GetVTKPointer<vtkExtractSelectedPolyDataIds>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractSelectedPolyDataIds:delete vtkExtractSelectedPolyDataIdsDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractSelectedPolyDataIdsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractSelectedPolyDataIds
//@@Section VTKGraphics
//@@Usage
// vtkExtractSelectedPolyDataIds extracts all cells in vtkSelection from a
// vtkPolyData.
//
//To create an instance of class vtkExtractSelectedPolyDataIds, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractSelectedPolyDataIds
//@]
//@@Methods
//The class vtkExtractSelectedPolyDataIds has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractSelectedPolyDataIds class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractSelectedPolyDataIds = obj.NewInstance ()|
// \item @|vtkExtractSelectedPolyDataIds = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
