#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractSelectedRows object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractSelectedRows.h"

//@@Signature
//sfunction @vtkExtractSelectedRows:vtkExtractSelectedRows vtkExtractSelectedRowsConstructorFunction
//input a
//output p
//@@Parents vtkExtractSelectedRows vtkTableAlgorithm 
ArrayVector vtkExtractSelectedRowsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractSelectedRows::New(),"vtkExtractSelectedRows",eval);
  } else if (arg[0].className() == "vtkExtractSelectedRows") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractSelectedRows"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractSelectedRows");
    vtkExtractSelectedRows*q = reinterpret_cast<vtkExtractSelectedRows*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractSelectedRows");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractSelectedRows:GetClassName vtkExtractSelectedRowsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedRowsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractSelectedRows requires 1 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:IsA vtkExtractSelectedRowsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedRowsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractSelectedRows requires 2 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:NewInstance vtkExtractSelectedRowsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedRowsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedRows *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractSelectedRows requires 1 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  vtkExtractSelectedRows  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedRows",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:SafeDownCast vtkExtractSelectedRowsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedRowsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedRows *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractSelectedRows requires 2 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractSelectedRows  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedRows",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:SetSelectionConnection vtkExtractSelectedRowsSetSelectionConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedRowsSetSelectionConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionConnection (vtkAlgorithmOutput *in); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionConnection for class vtkExtractSelectedRows requires 2 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSelectionConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:SetAnnotationLayersConnection vtkExtractSelectedRowsSetAnnotationLayersConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedRowsSetAnnotationLayersConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnnotationLayersConnection (vtkAlgorithmOutput *in); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnnotationLayersConnection for class vtkExtractSelectedRows requires 2 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetAnnotationLayersConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:FillInputPortInformation vtkExtractSelectedRowsFillInputPortInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExtractSelectedRowsFillInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FillInputPortInformation (int port, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function FillInputPortInformation for class vtkExtractSelectedRows requires 3 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->FillInputPortInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:SetAddOriginalRowIdsArray vtkExtractSelectedRowsSetAddOriginalRowIdsArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedRowsSetAddOriginalRowIdsArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAddOriginalRowIdsArray (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAddOriginalRowIdsArray for class vtkExtractSelectedRows requires 2 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetAddOriginalRowIdsArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:GetAddOriginalRowIdsArray vtkExtractSelectedRowsGetAddOriginalRowIdsArrayFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedRowsGetAddOriginalRowIdsArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetAddOriginalRowIdsArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAddOriginalRowIdsArray for class vtkExtractSelectedRows requires 1 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetAddOriginalRowIdsArray();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:AddOriginalRowIdsArrayOn vtkExtractSelectedRowsAddOriginalRowIdsArrayOnFunction
//input a0 
//output none
ArrayVector vtkExtractSelectedRowsAddOriginalRowIdsArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddOriginalRowIdsArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AddOriginalRowIdsArrayOn for class vtkExtractSelectedRows requires 1 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  vtk_pointer->AddOriginalRowIdsArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:AddOriginalRowIdsArrayOff vtkExtractSelectedRowsAddOriginalRowIdsArrayOffFunction
//input a0 
//output none
ArrayVector vtkExtractSelectedRowsAddOriginalRowIdsArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddOriginalRowIdsArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AddOriginalRowIdsArrayOff for class vtkExtractSelectedRows requires 1 argument(s)");
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  Array retval;
  vtk_pointer->AddOriginalRowIdsArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedRows:display vtkExtractSelectedRowsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractSelectedRowsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractSelectedRows* vtk_pointer = GetVTKPointer<vtkExtractSelectedRows>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractSelectedRows:delete vtkExtractSelectedRowsDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractSelectedRowsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractSelectedRows
//@@Section VTKGraphics
//@@Usage
// The first input is a vtkTable to extract rows from.
// The second input is a vtkSelection containing the selected indices.
// The third input is a vtkAnnotationLayers containing selected indices.
// The field type of the input selection is ignored when converted to row
// indices.
//
//To create an instance of class vtkExtractSelectedRows, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractSelectedRows
//@]
//@@Methods
//The class vtkExtractSelectedRows has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractSelectedRows class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractSelectedRows = obj.NewInstance ()|
// \item @|vtkExtractSelectedRows = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSelectionConnection (vtkAlgorithmOutput in)| -  A convenience method for setting the second input (i.e. the selection).
//// \item @|obj.SetAnnotationLayersConnection (vtkAlgorithmOutput in)| -  A convenience method for setting the third input (i.e. the annotation layers).
//// \item @|int = obj.FillInputPortInformation (int port, vtkInformation info)| -  Specify the first vtkGraph input and the second vtkSelection input.
//// \item @|obj.SetAddOriginalRowIdsArray (bool )| -  When set, a column named vtkOriginalRowIds will be added to the output.
// False by default.
//// \item @|bool = obj.GetAddOriginalRowIdsArray ()| -  When set, a column named vtkOriginalRowIds will be added to the output.
// False by default.
//// \item @|obj.AddOriginalRowIdsArrayOn ()| -  When set, a column named vtkOriginalRowIds will be added to the output.
// False by default.
//// \item @|obj.AddOriginalRowIdsArrayOff ()| -  When set, a column named vtkOriginalRowIds will be added to the output.
// False by default.
////\end{itemize}
//!
