#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractSelection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractSelection.h"

//@@Signature
//sfunction @vtkExtractSelection:vtkExtractSelection vtkExtractSelectionConstructorFunction
//input a
//output p
//@@Parents vtkExtractSelection vtkExtractSelectionBase 
ArrayVector vtkExtractSelectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractSelection::New(),"vtkExtractSelection",eval);
  } else if (arg[0].className() == "vtkExtractSelection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractSelection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractSelection");
    vtkExtractSelection*q = reinterpret_cast<vtkExtractSelection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractSelection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractSelection:GetClassName vtkExtractSelectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractSelectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractSelection requires 1 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:IsA vtkExtractSelectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractSelection requires 2 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:NewInstance vtkExtractSelectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractSelectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractSelection requires 1 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  vtkExtractSelection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:SafeDownCast vtkExtractSelectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractSelection requires 2 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractSelection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:SetShowBounds vtkExtractSelectionSetShowBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectionSetShowBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowBounds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowBounds for class vtkExtractSelection requires 2 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShowBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:GetShowBounds vtkExtractSelectionGetShowBoundsFunction
//input a0 
//output y
ArrayVector vtkExtractSelectionGetShowBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowBounds for class vtkExtractSelection requires 1 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowBounds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:ShowBoundsOn vtkExtractSelectionShowBoundsOnFunction
//input a0 
//output none
ArrayVector vtkExtractSelectionShowBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowBoundsOn for class vtkExtractSelection requires 1 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  vtk_pointer->ShowBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:ShowBoundsOff vtkExtractSelectionShowBoundsOffFunction
//input a0 
//output none
ArrayVector vtkExtractSelectionShowBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowBoundsOff for class vtkExtractSelection requires 1 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  vtk_pointer->ShowBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:SetUseProbeForLocations vtkExtractSelectionSetUseProbeForLocationsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectionSetUseProbeForLocationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseProbeForLocations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseProbeForLocations for class vtkExtractSelection requires 2 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseProbeForLocations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:GetUseProbeForLocations vtkExtractSelectionGetUseProbeForLocationsFunction
//input a0 
//output y
ArrayVector vtkExtractSelectionGetUseProbeForLocationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseProbeForLocations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseProbeForLocations for class vtkExtractSelection requires 1 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseProbeForLocations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:UseProbeForLocationsOn vtkExtractSelectionUseProbeForLocationsOnFunction
//input a0 
//output none
ArrayVector vtkExtractSelectionUseProbeForLocationsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseProbeForLocationsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseProbeForLocationsOn for class vtkExtractSelection requires 1 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  vtk_pointer->UseProbeForLocationsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:UseProbeForLocationsOff vtkExtractSelectionUseProbeForLocationsOffFunction
//input a0 
//output none
ArrayVector vtkExtractSelectionUseProbeForLocationsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseProbeForLocationsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseProbeForLocationsOff for class vtkExtractSelection requires 1 argument(s)");
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  Array retval;
  vtk_pointer->UseProbeForLocationsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelection:RequestDataInternal vtkExtractSelectionRequestDataInternalFunction
//input varargin
//output varargout
ArrayVector vtkExtractSelectionRequestDataInternalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkExtractSelectionRequestDataInternal");
}

//@@Signature
//sfunction @vtkExtractSelection:display vtkExtractSelectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractSelectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractSelection* vtk_pointer = GetVTKPointer<vtkExtractSelection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractSelection:delete vtkExtractSelectionDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractSelectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractSelection
//@@Section VTKGraphics
//@@Usage
// vtkExtractSelection extracts some subset of cells and points from
// its input dataset. The dataset is given on its first input port. 
// The subset is described by the contents of the vtkSelection on its 
// second input port. Depending on the content of the vtkSelection,
// this will use either a vtkExtractSelectedIds, vtkExtractSelectedFrustum
// vtkExtractSelectedLocations or a vtkExtractSelectedThreshold to perform
// the extraction.
//
//To create an instance of class vtkExtractSelection, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractSelection
//@]
//@@Methods
//The class vtkExtractSelection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractSelection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractSelection = obj.NewInstance ()|
// \item @|vtkExtractSelection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetShowBounds (int )| -  When On, this returns an unstructured grid that outlines selection area.
// Off is the default. Applicable only to Frustum selection extraction.
//// \item @|int = obj.GetShowBounds ()| -  When On, this returns an unstructured grid that outlines selection area.
// Off is the default. Applicable only to Frustum selection extraction.
//// \item @|obj.ShowBoundsOn ()| -  When On, this returns an unstructured grid that outlines selection area.
// Off is the default. Applicable only to Frustum selection extraction.
//// \item @|obj.ShowBoundsOff ()| -  When On, this returns an unstructured grid that outlines selection area.
// Off is the default. Applicable only to Frustum selection extraction.
//// \item @|obj.SetUseProbeForLocations (int )| -  When On, vtkProbeSelectedLocations is used for extracting selections of
// content type vtkSelection::LOCATIONS. Default is off and then
// vtkExtractSelectedLocations is used.
//// \item @|int = obj.GetUseProbeForLocations ()| -  When On, vtkProbeSelectedLocations is used for extracting selections of
// content type vtkSelection::LOCATIONS. Default is off and then
// vtkExtractSelectedLocations is used.
//// \item @|obj.UseProbeForLocationsOn ()| -  When On, vtkProbeSelectedLocations is used for extracting selections of
// content type vtkSelection::LOCATIONS. Default is off and then
// vtkExtractSelectedLocations is used.
//// \item @|obj.UseProbeForLocationsOff ()| -  When On, vtkProbeSelectedLocations is used for extracting selections of
// content type vtkSelection::LOCATIONS. Default is off and then
// vtkExtractSelectedLocations is used.
////\end{itemize}
//!
