#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractSelectionBase object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractSelectionBase.h"

//@@Signature
//sfunction @vtkExtractSelectionBase:vtkExtractSelectionBase vtkExtractSelectionBaseConstructorFunction
//input a
//output p
//@@Parents vtkExtractSelectionBase vtkDataObjectAlgorithm 
ArrayVector vtkExtractSelectionBaseConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractSelectionBase::New(),"vtkExtractSelectionBase",eval);
  } else if (arg[0].className() == "vtkExtractSelectionBase") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractSelectionBase"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractSelectionBase");
    vtkExtractSelectionBase*q = reinterpret_cast<vtkExtractSelectionBase*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractSelectionBase");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractSelectionBase:GetClassName vtkExtractSelectionBaseGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractSelectionBaseGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractSelectionBase requires 1 argument(s)");
  vtkExtractSelectionBase* vtk_pointer = GetVTKPointer<vtkExtractSelectionBase>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectionBase:IsA vtkExtractSelectionBaseIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectionBaseIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractSelectionBase requires 2 argument(s)");
  vtkExtractSelectionBase* vtk_pointer = GetVTKPointer<vtkExtractSelectionBase>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectionBase:NewInstance vtkExtractSelectionBaseNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractSelectionBaseNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectionBase *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractSelectionBase requires 1 argument(s)");
  vtkExtractSelectionBase* vtk_pointer = GetVTKPointer<vtkExtractSelectionBase>(arg[0]);
  Array retval;
  vtkExtractSelectionBase  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectionBase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectionBase:SafeDownCast vtkExtractSelectionBaseSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectionBaseSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectionBase *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractSelectionBase requires 2 argument(s)");
  vtkExtractSelectionBase* vtk_pointer = GetVTKPointer<vtkExtractSelectionBase>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractSelectionBase  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectionBase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectionBase:SetSelectionConnection vtkExtractSelectionBaseSetSelectionConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectionBaseSetSelectionConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput  */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionConnection for class vtkExtractSelectionBase requires 2 argument(s)");
  vtkExtractSelectionBase* vtk_pointer = GetVTKPointer<vtkExtractSelectionBase>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSelectionConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectionBase:SetPreserveTopology vtkExtractSelectionBaseSetPreserveTopologyFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectionBaseSetPreserveTopologyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreserveTopology (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreserveTopology for class vtkExtractSelectionBase requires 2 argument(s)");
  vtkExtractSelectionBase* vtk_pointer = GetVTKPointer<vtkExtractSelectionBase>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPreserveTopology(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectionBase:GetPreserveTopology vtkExtractSelectionBaseGetPreserveTopologyFunction
//input a0 
//output y
ArrayVector vtkExtractSelectionBaseGetPreserveTopologyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreserveTopology (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreserveTopology for class vtkExtractSelectionBase requires 1 argument(s)");
  vtkExtractSelectionBase* vtk_pointer = GetVTKPointer<vtkExtractSelectionBase>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreserveTopology();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectionBase:PreserveTopologyOn vtkExtractSelectionBasePreserveTopologyOnFunction
//input a0 
//output none
ArrayVector vtkExtractSelectionBasePreserveTopologyOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreserveTopologyOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PreserveTopologyOn for class vtkExtractSelectionBase requires 1 argument(s)");
  vtkExtractSelectionBase* vtk_pointer = GetVTKPointer<vtkExtractSelectionBase>(arg[0]);
  Array retval;
  vtk_pointer->PreserveTopologyOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectionBase:PreserveTopologyOff vtkExtractSelectionBasePreserveTopologyOffFunction
//input a0 
//output none
ArrayVector vtkExtractSelectionBasePreserveTopologyOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreserveTopologyOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PreserveTopologyOff for class vtkExtractSelectionBase requires 1 argument(s)");
  vtkExtractSelectionBase* vtk_pointer = GetVTKPointer<vtkExtractSelectionBase>(arg[0]);
  Array retval;
  vtk_pointer->PreserveTopologyOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectionBase:display vtkExtractSelectionBaseDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractSelectionBaseDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractSelectionBase* vtk_pointer = GetVTKPointer<vtkExtractSelectionBase>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractSelectionBase:delete vtkExtractSelectionBaseDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractSelectionBaseDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractSelectionBase
//@@Section VTKGraphics
//@@Usage
// vtkExtractSelectionBase is an abstract base class for all extract selection
// filters. It defines some properties common to all extract selection filters.
//
//To create an instance of class vtkExtractSelectionBase, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractSelectionBase
//@]
//@@Methods
//The class vtkExtractSelectionBase has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractSelectionBase class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractSelectionBase = obj.NewInstance ()|
// \item @|vtkExtractSelectionBase = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSelectionConnection (vtkAlgorithmOutput algOutput)| -  This flag tells the extraction filter not to convert the selected
// output into an unstructured grid, but instead to produce a vtkInsidedness
// array and add it to the input dataset. Default value is false(0).
//// \item @|obj.SetPreserveTopology (int )| -  This flag tells the extraction filter not to convert the selected
// output into an unstructured grid, but instead to produce a vtkInsidedness
// array and add it to the input dataset. Default value is false(0).
//// \item @|int = obj.GetPreserveTopology ()| -  This flag tells the extraction filter not to convert the selected
// output into an unstructured grid, but instead to produce a vtkInsidedness
// array and add it to the input dataset. Default value is false(0).
//// \item @|obj.PreserveTopologyOn ()| -  This flag tells the extraction filter not to convert the selected
// output into an unstructured grid, but instead to produce a vtkInsidedness
// array and add it to the input dataset. Default value is false(0).
//// \item @|obj.PreserveTopologyOff ()| -  This flag tells the extraction filter not to convert the selected
// output into an unstructured grid, but instead to produce a vtkInsidedness
// array and add it to the input dataset. Default value is false(0).
////\end{itemize}
//!
