#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractTemporalFieldData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractTemporalFieldData.h"

//@@Signature
//sfunction @vtkExtractTemporalFieldData:vtkExtractTemporalFieldData vtkExtractTemporalFieldDataConstructorFunction
//input a
//output p
//@@Parents vtkExtractTemporalFieldData vtkTableAlgorithm 
ArrayVector vtkExtractTemporalFieldDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractTemporalFieldData::New(),"vtkExtractTemporalFieldData",eval);
  } else if (arg[0].className() == "vtkExtractTemporalFieldData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractTemporalFieldData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractTemporalFieldData");
    vtkExtractTemporalFieldData*q = reinterpret_cast<vtkExtractTemporalFieldData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractTemporalFieldData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractTemporalFieldData:GetClassName vtkExtractTemporalFieldDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractTemporalFieldDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractTemporalFieldData requires 1 argument(s)");
  vtkExtractTemporalFieldData* vtk_pointer = GetVTKPointer<vtkExtractTemporalFieldData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTemporalFieldData:IsA vtkExtractTemporalFieldDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractTemporalFieldDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractTemporalFieldData requires 2 argument(s)");
  vtkExtractTemporalFieldData* vtk_pointer = GetVTKPointer<vtkExtractTemporalFieldData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTemporalFieldData:NewInstance vtkExtractTemporalFieldDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractTemporalFieldDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractTemporalFieldData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractTemporalFieldData requires 1 argument(s)");
  vtkExtractTemporalFieldData* vtk_pointer = GetVTKPointer<vtkExtractTemporalFieldData>(arg[0]);
  Array retval;
  vtkExtractTemporalFieldData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractTemporalFieldData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTemporalFieldData:SafeDownCast vtkExtractTemporalFieldDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractTemporalFieldDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractTemporalFieldData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractTemporalFieldData requires 2 argument(s)");
  vtkExtractTemporalFieldData* vtk_pointer = GetVTKPointer<vtkExtractTemporalFieldData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractTemporalFieldData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractTemporalFieldData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTemporalFieldData:GetNumberOfTimeSteps vtkExtractTemporalFieldDataGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkExtractTemporalFieldDataGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkExtractTemporalFieldData requires 1 argument(s)");
  vtkExtractTemporalFieldData* vtk_pointer = GetVTKPointer<vtkExtractTemporalFieldData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTemporalFieldData:display vtkExtractTemporalFieldDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractTemporalFieldDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractTemporalFieldData* vtk_pointer = GetVTKPointer<vtkExtractTemporalFieldData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractTemporalFieldData:delete vtkExtractTemporalFieldDataDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractTemporalFieldDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractTemporalFieldData
//@@Section VTKGraphics
//@@Usage
// vtkExtractTemporalFieldData extracts arrays from the input vtkFieldData. 
// These arrays are assumed to contain temporal data, where the nth tuple 
// contains the value for the nth timestep. 
// The output is a 1D rectilinear grid where the 
// XCoordinates correspond to time (the same array is also copied to
// a point array named Time or TimeData (if Time exists in the input).
// This algorithm does not produce a TIME_STEPS or TIME_RANGE information
// because it works across time. 
// .Section Caveat
// vtkExtractTemporalFieldData puts a vtkOnePieceExtentTranslator in the
// output during RequestInformation(). As a result, the same whole 
// extented is produced independent of the piece request.
// This algorithm works only with source that produce TIME_STEPS().
// Continuous time range is not yet supported.
//
//To create an instance of class vtkExtractTemporalFieldData, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractTemporalFieldData
//@]
//@@Methods
//The class vtkExtractTemporalFieldData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractTemporalFieldData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractTemporalFieldData = obj.NewInstance ()|
// \item @|vtkExtractTemporalFieldData = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfTimeSteps ()| -  Get the number of time steps
////\end{itemize}
//!
