#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractTensorComponents object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractTensorComponents.h"

//@@Signature
//sfunction @vtkExtractTensorComponents:vtkExtractTensorComponents vtkExtractTensorComponentsConstructorFunction
//input a
//output p
//@@Parents vtkExtractTensorComponents vtkDataSetAlgorithm 
ArrayVector vtkExtractTensorComponentsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractTensorComponents::New(),"vtkExtractTensorComponents",eval);
  } else if (arg[0].className() == "vtkExtractTensorComponents") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractTensorComponents"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractTensorComponents");
    vtkExtractTensorComponents*q = reinterpret_cast<vtkExtractTensorComponents*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractTensorComponents");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractTensorComponents:GetClassName vtkExtractTensorComponentsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:IsA vtkExtractTensorComponentsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractTensorComponentsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:NewInstance vtkExtractTensorComponentsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractTensorComponents *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtkExtractTensorComponents  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractTensorComponents",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SafeDownCast vtkExtractTensorComponentsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractTensorComponentsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractTensorComponents *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractTensorComponents  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractTensorComponents",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetPassTensorsToOutput vtkExtractTensorComponentsSetPassTensorsToOutputFunction
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetPassTensorsToOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassTensorsToOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassTensorsToOutput for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassTensorsToOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetPassTensorsToOutput vtkExtractTensorComponentsGetPassTensorsToOutputFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetPassTensorsToOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassTensorsToOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassTensorsToOutput for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassTensorsToOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:PassTensorsToOutputOn vtkExtractTensorComponentsPassTensorsToOutputOnFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsPassTensorsToOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassTensorsToOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassTensorsToOutputOn for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->PassTensorsToOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:PassTensorsToOutputOff vtkExtractTensorComponentsPassTensorsToOutputOffFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsPassTensorsToOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassTensorsToOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassTensorsToOutputOff for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->PassTensorsToOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetExtractScalars vtkExtractTensorComponentsSetExtractScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetExtractScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractScalars for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetExtractScalars vtkExtractTensorComponentsGetExtractScalarsFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetExtractScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractScalars for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ExtractScalarsOn vtkExtractTensorComponentsExtractScalarsOnFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsExtractScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractScalarsOn for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ExtractScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ExtractScalarsOff vtkExtractTensorComponentsExtractScalarsOffFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsExtractScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractScalarsOff for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ExtractScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetScalarComponents__1 vtkExtractTensorComponentsSetScalarComponents__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExtractTensorComponentsSetScalarComponents__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarComponents (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarComponents__1 for class vtkExtractTensorComponents requires 3 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetScalarComponents(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetScalarComponents__2 vtkExtractTensorComponentsSetScalarComponents__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetScalarComponents__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarComponents (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarComponents__2 for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetScalarComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetScalarComponents vtkExtractTensorComponentsGetScalarComponentsFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetScalarComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarComponents for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetScalarComponents();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetScalarMode vtkExtractTensorComponentsSetScalarModeFunction
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarMode for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetScalarMode vtkExtractTensorComponentsGetScalarModeFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarMode for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetScalarModeToComponent vtkExtractTensorComponentsSetScalarModeToComponentFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsSetScalarModeToComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToComponent ();this SetScalarMode VTK_EXTRACT_COMPONENT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToComponent for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToComponent();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetScalarModeToEffectiveStress vtkExtractTensorComponentsSetScalarModeToEffectiveStressFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsSetScalarModeToEffectiveStressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToEffectiveStress ();this SetScalarMode VTK_EXTRACT_EFFECTIVE_STRESS  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToEffectiveStress for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToEffectiveStress();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetScalarModeToDeterminant vtkExtractTensorComponentsSetScalarModeToDeterminantFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsSetScalarModeToDeterminantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToDeterminant ();this SetScalarMode VTK_EXTRACT_DETERMINANT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToDeterminant for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToDeterminant();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ScalarIsComponent vtkExtractTensorComponentsScalarIsComponentFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsScalarIsComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarIsComponent ();this SetScalarMode VTK_EXTRACT_COMPONENT  */
  if (arg.size() < 1) 
    throw Exception("Function ScalarIsComponent for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ScalarIsComponent();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ScalarIsEffectiveStress vtkExtractTensorComponentsScalarIsEffectiveStressFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsScalarIsEffectiveStressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarIsEffectiveStress ();this SetScalarMode VTK_EXTRACT_EFFECTIVE_STRESS  */
  if (arg.size() < 1) 
    throw Exception("Function ScalarIsEffectiveStress for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ScalarIsEffectiveStress();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ScalarIsDeterminant vtkExtractTensorComponentsScalarIsDeterminantFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsScalarIsDeterminantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarIsDeterminant ();this SetScalarMode VTK_EXTRACT_DETERMINANT  */
  if (arg.size() < 1) 
    throw Exception("Function ScalarIsDeterminant for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ScalarIsDeterminant();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetExtractVectors vtkExtractTensorComponentsSetExtractVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetExtractVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractVectors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractVectors for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetExtractVectors vtkExtractTensorComponentsGetExtractVectorsFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetExtractVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractVectors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractVectors for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractVectors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ExtractVectorsOn vtkExtractTensorComponentsExtractVectorsOnFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsExtractVectorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractVectorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractVectorsOn for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ExtractVectorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ExtractVectorsOff vtkExtractTensorComponentsExtractVectorsOffFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsExtractVectorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractVectorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractVectorsOff for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ExtractVectorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetVectorComponents__1 vtkExtractTensorComponentsSetVectorComponents__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkExtractTensorComponentsSetVectorComponents__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorComponents (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetVectorComponents__1 for class vtkExtractTensorComponents requires 7 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetVectorComponents(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetVectorComponents__2 vtkExtractTensorComponentsSetVectorComponents__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetVectorComponents__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorComponents (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorComponents__2 for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetVectorComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetVectorComponents vtkExtractTensorComponentsGetVectorComponentsFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetVectorComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetVectorComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorComponents for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetVectorComponents();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetExtractNormals vtkExtractTensorComponentsSetExtractNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetExtractNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractNormals for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetExtractNormals vtkExtractTensorComponentsGetExtractNormalsFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetExtractNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractNormals for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ExtractNormalsOn vtkExtractTensorComponentsExtractNormalsOnFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsExtractNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractNormalsOn for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ExtractNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ExtractNormalsOff vtkExtractTensorComponentsExtractNormalsOffFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsExtractNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractNormalsOff for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ExtractNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetNormalizeNormals vtkExtractTensorComponentsSetNormalizeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetNormalizeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalizeNormals for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalizeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetNormalizeNormals vtkExtractTensorComponentsGetNormalizeNormalsFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetNormalizeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalizeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizeNormals for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalizeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:NormalizeNormalsOn vtkExtractTensorComponentsNormalizeNormalsOnFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsNormalizeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeNormalsOn for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:NormalizeNormalsOff vtkExtractTensorComponentsNormalizeNormalsOffFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsNormalizeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeNormalsOff for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetNormalComponents__1 vtkExtractTensorComponentsSetNormalComponents__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkExtractTensorComponentsSetNormalComponents__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalComponents (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetNormalComponents__1 for class vtkExtractTensorComponents requires 7 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetNormalComponents(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetNormalComponents__2 vtkExtractTensorComponentsSetNormalComponents__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetNormalComponents__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalComponents (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalComponents__2 for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetNormalComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetNormalComponents vtkExtractTensorComponentsGetNormalComponentsFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetNormalComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetNormalComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalComponents for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetNormalComponents();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetExtractTCoords vtkExtractTensorComponentsSetExtractTCoordsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetExtractTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractTCoords (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractTCoords for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractTCoords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetExtractTCoords vtkExtractTensorComponentsGetExtractTCoordsFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetExtractTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractTCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractTCoords for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractTCoords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ExtractTCoordsOn vtkExtractTensorComponentsExtractTCoordsOnFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsExtractTCoordsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractTCoordsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractTCoordsOn for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ExtractTCoordsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:ExtractTCoordsOff vtkExtractTensorComponentsExtractTCoordsOffFunction
//input a0 
//output none
ArrayVector vtkExtractTensorComponentsExtractTCoordsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractTCoordsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractTCoordsOff for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ExtractTCoordsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetNumberOfTCoords vtkExtractTensorComponentsSetNumberOfTCoordsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetNumberOfTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfTCoords (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTCoords for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTCoords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetNumberOfTCoordsMinValue vtkExtractTensorComponentsGetNumberOfTCoordsMinValueFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetNumberOfTCoordsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTCoordsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTCoordsMinValue for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTCoordsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetNumberOfTCoordsMaxValue vtkExtractTensorComponentsGetNumberOfTCoordsMaxValueFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetNumberOfTCoordsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTCoordsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTCoordsMaxValue for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTCoordsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetNumberOfTCoords vtkExtractTensorComponentsGetNumberOfTCoordsFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetNumberOfTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTCoords for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTCoords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetTCoordComponents__1 vtkExtractTensorComponentsSetTCoordComponents__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkExtractTensorComponentsSetTCoordComponents__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTCoordComponents (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetTCoordComponents__1 for class vtkExtractTensorComponents requires 7 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetTCoordComponents(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetTCoordComponents__2 vtkExtractTensorComponentsSetTCoordComponents__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractTensorComponentsSetTCoordComponents__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTCoordComponents (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTCoordComponents__2 for class vtkExtractTensorComponents requires 2 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTCoordComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:GetTCoordComponents vtkExtractTensorComponentsGetTCoordComponentsFunction
//input a0 
//output y
ArrayVector vtkExtractTensorComponentsGetTCoordComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTCoordComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTCoordComponents for class vtkExtractTensorComponents requires 1 argument(s)");
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTCoordComponents();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetScalarComponents vtkExtractTensorComponentsSetScalarComponentsFunction
//input varargin
//output varargout
ArrayVector vtkExtractTensorComponentsSetScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExtractTensorComponentsSetScalarComponents__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractTensorComponentsSetScalarComponents__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractTensorComponentsSetScalarComponents");
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetVectorComponents vtkExtractTensorComponentsSetVectorComponentsFunction
//input varargin
//output varargout
ArrayVector vtkExtractTensorComponentsSetVectorComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkExtractTensorComponentsSetVectorComponents__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractTensorComponentsSetVectorComponents__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractTensorComponentsSetVectorComponents");
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetNormalComponents vtkExtractTensorComponentsSetNormalComponentsFunction
//input varargin
//output varargout
ArrayVector vtkExtractTensorComponentsSetNormalComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkExtractTensorComponentsSetNormalComponents__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractTensorComponentsSetNormalComponents__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractTensorComponentsSetNormalComponents");
}

//@@Signature
//sfunction @vtkExtractTensorComponents:SetTCoordComponents vtkExtractTensorComponentsSetTCoordComponentsFunction
//input varargin
//output varargout
ArrayVector vtkExtractTensorComponentsSetTCoordComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkExtractTensorComponentsSetTCoordComponents__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractTensorComponentsSetTCoordComponents__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractTensorComponentsSetTCoordComponents");
}

//@@Signature
//sfunction @vtkExtractTensorComponents:display vtkExtractTensorComponentsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractTensorComponentsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractTensorComponents* vtk_pointer = GetVTKPointer<vtkExtractTensorComponents>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractTensorComponents:delete vtkExtractTensorComponentsDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractTensorComponentsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractTensorComponents
//@@Section VTKGraphics
//@@Usage
// vtkExtractTensorComponents is a filter that extracts components of
// a tensor to create a scalar, vector, normal, or texture coords. For
// example, if the tensor contains components of stress, then you
// could extract the normal stress in the x-direction as a scalar
// (i.e., tensor component (0,0).
// 
// To use this filter, you must set some boolean flags to control
// which data is extracted from the tensors, and whether you want to
// pass the tensor data through to the output. Also, you must specify
// the tensor component(s) for each type of data you want to
// extract. The tensor component(s) is(are) specified using matrix notation
// into a 3x3 matrix. That is, use the (row,column) address to specify
// a particular tensor component; and if the data you are extracting
// requires more than one component, use a list of addresses. (Note
// that the addresses are 0-offset -> (0,0) specifies upper left
// corner of the tensor.)
//
// There are two optional methods to extract scalar data. You can
// extract the determinant of the tensor, or you can extract the
// effective stress of the tensor. These require that the ivar
// ExtractScalars is on, and the appropriate scalar extraction mode is
// set.
//
//To create an instance of class vtkExtractTensorComponents, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractTensorComponents
//@]
//@@Methods
//The class vtkExtractTensorComponents has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractTensorComponents class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractTensorComponents = obj.NewInstance ()|
// \item @|vtkExtractTensorComponents = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPassTensorsToOutput (int )| -  Boolean controls whether tensor data is passed through to output.
//// \item @|int = obj.GetPassTensorsToOutput ()| -  Boolean controls whether tensor data is passed through to output.
//// \item @|obj.PassTensorsToOutputOn ()| -  Boolean controls whether tensor data is passed through to output.
//// \item @|obj.PassTensorsToOutputOff ()| -  Boolean controls whether tensor data is passed through to output.
//// \item @|obj.SetExtractScalars (int )| -  Boolean controls whether scalar data is extracted from tensor.
//// \item @|int = obj.GetExtractScalars ()| -  Boolean controls whether scalar data is extracted from tensor.
//// \item @|obj.ExtractScalarsOn ()| -  Boolean controls whether scalar data is extracted from tensor.
//// \item @|obj.ExtractScalarsOff ()| -  Boolean controls whether scalar data is extracted from tensor.
//// \item @|obj.SetScalarComponents (int , int )| -  Specify the (row,column) tensor component to extract as a scalar.
//// \item @|obj.SetScalarComponents (int  a[2])| -  Specify the (row,column) tensor component to extract as a scalar.
//// \item @|int = obj. GetScalarComponents ()| -  Specify the (row,column) tensor component to extract as a scalar.
//// \item @|obj.SetScalarMode (int )| -  Specify how to extract the scalar. You can extract it as one of
// the components of the tensor, as effective stress, or as the
// determinant of the tensor. If you extract a component make sure
// that you set the ScalarComponents ivar.
//// \item @|int = obj.GetScalarMode ()| -  Specify how to extract the scalar. You can extract it as one of
// the components of the tensor, as effective stress, or as the
// determinant of the tensor. If you extract a component make sure
// that you set the ScalarComponents ivar.
//// \item @|obj.SetScalarModeToComponent ()| -  Specify how to extract the scalar. You can extract it as one of
// the components of the tensor, as effective stress, or as the
// determinant of the tensor. If you extract a component make sure
// that you set the ScalarComponents ivar.
//// \item @|obj.SetScalarModeToEffectiveStress ()| -  Specify how to extract the scalar. You can extract it as one of
// the components of the tensor, as effective stress, or as the
// determinant of the tensor. If you extract a component make sure
// that you set the ScalarComponents ivar.
//// \item @|obj.SetScalarModeToDeterminant ()| -  Specify how to extract the scalar. You can extract it as one of
// the components of the tensor, as effective stress, or as the
// determinant of the tensor. If you extract a component make sure
// that you set the ScalarComponents ivar.
//// \item @|obj.ScalarIsComponent ()| -  Specify how to extract the scalar. You can extract it as one of
// the components of the tensor, as effective stress, or as the
// determinant of the tensor. If you extract a component make sure
// that you set the ScalarComponents ivar.
//// \item @|obj.ScalarIsEffectiveStress ()| -  Specify how to extract the scalar. You can extract it as one of
// the components of the tensor, as effective stress, or as the
// determinant of the tensor. If you extract a component make sure
// that you set the ScalarComponents ivar.
//// \item @|obj.ScalarIsDeterminant ()| -  Specify how to extract the scalar. You can extract it as one of
// the components of the tensor, as effective stress, or as the
// determinant of the tensor. If you extract a component make sure
// that you set the ScalarComponents ivar.
//// \item @|obj.SetExtractVectors (int )| -  Boolean controls whether vector data is extracted from tensor.
//// \item @|int = obj.GetExtractVectors ()| -  Boolean controls whether vector data is extracted from tensor.
//// \item @|obj.ExtractVectorsOn ()| -  Boolean controls whether vector data is extracted from tensor.
//// \item @|obj.ExtractVectorsOff ()| -  Boolean controls whether vector data is extracted from tensor.
//// \item @|obj.SetVectorComponents (int , int , int , int , int , int )| -  Specify the ((row,column)0,(row,column)1,(row,column)2) tensor
// components to extract as a vector.
//// \item @|obj.SetVectorComponents (int  a[6])| -  Specify the ((row,column)0,(row,column)1,(row,column)2) tensor
// components to extract as a vector.
//// \item @|int = obj. GetVectorComponents ()| -  Specify the ((row,column)0,(row,column)1,(row,column)2) tensor
// components to extract as a vector.
//// \item @|obj.SetExtractNormals (int )| -  Boolean controls whether normal data is extracted from tensor.
//// \item @|int = obj.GetExtractNormals ()| -  Boolean controls whether normal data is extracted from tensor.
//// \item @|obj.ExtractNormalsOn ()| -  Boolean controls whether normal data is extracted from tensor.
//// \item @|obj.ExtractNormalsOff ()| -  Boolean controls whether normal data is extracted from tensor.
//// \item @|obj.SetNormalizeNormals (int )| -  Boolean controls whether normal vector is converted to unit normal
// after extraction.
//// \item @|int = obj.GetNormalizeNormals ()| -  Boolean controls whether normal vector is converted to unit normal
// after extraction.
//// \item @|obj.NormalizeNormalsOn ()| -  Boolean controls whether normal vector is converted to unit normal
// after extraction.
//// \item @|obj.NormalizeNormalsOff ()| -  Boolean controls whether normal vector is converted to unit normal
// after extraction.
//// \item @|obj.SetNormalComponents (int , int , int , int , int , int )| -  Specify the ((row,column)0,(row,column)1,(row,column)2) tensor
// components to extract as a vector.
//// \item @|obj.SetNormalComponents (int  a[6])| -  Specify the ((row,column)0,(row,column)1,(row,column)2) tensor
// components to extract as a vector.
//// \item @|int = obj. GetNormalComponents ()| -  Specify the ((row,column)0,(row,column)1,(row,column)2) tensor
// components to extract as a vector.
//// \item @|obj.SetExtractTCoords (int )| -  Boolean controls whether texture coordinates are extracted from tensor.
//// \item @|int = obj.GetExtractTCoords ()| -  Boolean controls whether texture coordinates are extracted from tensor.
//// \item @|obj.ExtractTCoordsOn ()| -  Boolean controls whether texture coordinates are extracted from tensor.
//// \item @|obj.ExtractTCoordsOff ()| -  Boolean controls whether texture coordinates are extracted from tensor.
//// \item @|obj.SetNumberOfTCoords (int )| -  Set the dimension of the texture coordinates to extract.
//// \item @|int = obj.GetNumberOfTCoordsMinValue ()| -  Set the dimension of the texture coordinates to extract.
//// \item @|int = obj.GetNumberOfTCoordsMaxValue ()| -  Set the dimension of the texture coordinates to extract.
//// \item @|int = obj.GetNumberOfTCoords ()| -  Set the dimension of the texture coordinates to extract.
//// \item @|obj.SetTCoordComponents (int , int , int , int , int , int )| -  Specify the ((row,column)0,(row,column)1,(row,column)2) tensor
// components to extract as a vector. Up to NumberOfTCoords
// components are extracted.
//// \item @|obj.SetTCoordComponents (int  a[6])| -  Specify the ((row,column)0,(row,column)1,(row,column)2) tensor
// components to extract as a vector. Up to NumberOfTCoords
// components are extracted.
//// \item @|int = obj. GetTCoordComponents ()| -  Specify the ((row,column)0,(row,column)1,(row,column)2) tensor
// components to extract as a vector. Up to NumberOfTCoords
// components are extracted.
////\end{itemize}
//!
