#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractUnstructuredGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractUnstructuredGrid.h"

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:vtkExtractUnstructuredGrid vtkExtractUnstructuredGridConstructorFunction
//input a
//output p
//@@Parents vtkExtractUnstructuredGrid vtkUnstructuredGridAlgorithm 
ArrayVector vtkExtractUnstructuredGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractUnstructuredGrid::New(),"vtkExtractUnstructuredGrid",eval);
  } else if (arg[0].className() == "vtkExtractUnstructuredGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractUnstructuredGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractUnstructuredGrid");
    vtkExtractUnstructuredGrid*q = reinterpret_cast<vtkExtractUnstructuredGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractUnstructuredGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetClassName vtkExtractUnstructuredGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:IsA vtkExtractUnstructuredGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractUnstructuredGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:NewInstance vtkExtractUnstructuredGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractUnstructuredGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkExtractUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SafeDownCast vtkExtractUnstructuredGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractUnstructuredGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractUnstructuredGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractUnstructuredGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetPointClipping vtkExtractUnstructuredGridSetPointClippingFunction
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridSetPointClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointClipping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointClipping for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointClipping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetPointClipping vtkExtractUnstructuredGridGetPointClippingFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetPointClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointClipping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointClipping for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPointClipping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:PointClippingOn vtkExtractUnstructuredGridPointClippingOnFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridPointClippingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointClippingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PointClippingOn for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->PointClippingOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:PointClippingOff vtkExtractUnstructuredGridPointClippingOffFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridPointClippingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointClippingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PointClippingOff for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->PointClippingOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetCellClipping vtkExtractUnstructuredGridSetCellClippingFunction
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridSetCellClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellClipping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellClipping for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellClipping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetCellClipping vtkExtractUnstructuredGridGetCellClippingFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetCellClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellClipping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellClipping for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellClipping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:CellClippingOn vtkExtractUnstructuredGridCellClippingOnFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridCellClippingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CellClippingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CellClippingOn for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->CellClippingOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:CellClippingOff vtkExtractUnstructuredGridCellClippingOffFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridCellClippingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CellClippingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CellClippingOff for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->CellClippingOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetExtentClipping vtkExtractUnstructuredGridSetExtentClippingFunction
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridSetExtentClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtentClipping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtentClipping for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtentClipping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetExtentClipping vtkExtractUnstructuredGridGetExtentClippingFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetExtentClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtentClipping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentClipping for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtentClipping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:ExtentClippingOn vtkExtractUnstructuredGridExtentClippingOnFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridExtentClippingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtentClippingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtentClippingOn for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->ExtentClippingOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:ExtentClippingOff vtkExtractUnstructuredGridExtentClippingOffFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridExtentClippingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtentClippingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtentClippingOff for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->ExtentClippingOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetPointMinimum vtkExtractUnstructuredGridSetPointMinimumFunction
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridSetPointMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointMinimum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointMinimum for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointMinimum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetPointMinimumMinValue vtkExtractUnstructuredGridGetPointMinimumMinValueFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetPointMinimumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMinimumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMinimumMinValue for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMinimumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetPointMinimumMaxValue vtkExtractUnstructuredGridGetPointMinimumMaxValueFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetPointMinimumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMinimumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMinimumMaxValue for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMinimumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetPointMinimum vtkExtractUnstructuredGridGetPointMinimumFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetPointMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMinimum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMinimum for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMinimum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetPointMaximum vtkExtractUnstructuredGridSetPointMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridSetPointMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointMaximum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointMaximum for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetPointMaximumMinValue vtkExtractUnstructuredGridGetPointMaximumMinValueFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetPointMaximumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMaximumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMaximumMinValue for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMaximumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetPointMaximumMaxValue vtkExtractUnstructuredGridGetPointMaximumMaxValueFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetPointMaximumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMaximumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMaximumMaxValue for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMaximumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetPointMaximum vtkExtractUnstructuredGridGetPointMaximumFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetPointMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMaximum for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetCellMinimum vtkExtractUnstructuredGridSetCellMinimumFunction
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridSetCellMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellMinimum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellMinimum for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellMinimum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetCellMinimumMinValue vtkExtractUnstructuredGridGetCellMinimumMinValueFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetCellMinimumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMinimumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMinimumMinValue for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMinimumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetCellMinimumMaxValue vtkExtractUnstructuredGridGetCellMinimumMaxValueFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetCellMinimumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMinimumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMinimumMaxValue for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMinimumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetCellMinimum vtkExtractUnstructuredGridGetCellMinimumFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetCellMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMinimum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMinimum for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMinimum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetCellMaximum vtkExtractUnstructuredGridSetCellMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridSetCellMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellMaximum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellMaximum for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetCellMaximumMinValue vtkExtractUnstructuredGridGetCellMaximumMinValueFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetCellMaximumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMaximumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMaximumMinValue for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMaximumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetCellMaximumMaxValue vtkExtractUnstructuredGridGetCellMaximumMaxValueFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetCellMaximumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMaximumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMaximumMaxValue for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMaximumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetCellMaximum vtkExtractUnstructuredGridGetCellMaximumFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetCellMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMaximum for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetExtent__1 vtkExtractUnstructuredGridSetExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkExtractUnstructuredGridSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__1 for class vtkExtractUnstructuredGrid requires 7 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetExtent__2 vtkExtractUnstructuredGridSetExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (double extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__2 for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetExtent vtkExtractUnstructuredGridGetExtentFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetExtent ();return this Extent  */
  if (arg.size() < 1) 
    throw Exception("Function GetExtent for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetMerging vtkExtractUnstructuredGridSetMergingFunction
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridSetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMerging (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMerging for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMerging(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetMerging vtkExtractUnstructuredGridGetMergingFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMerging (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMerging for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMerging();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:MergingOn vtkExtractUnstructuredGridMergingOnFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridMergingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOn for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->MergingOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:MergingOff vtkExtractUnstructuredGridMergingOffFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridMergingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOff for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->MergingOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetLocator vtkExtractUnstructuredGridSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkExtractUnstructuredGrid requires 2 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetLocator vtkExtractUnstructuredGridGetLocatorFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:CreateDefaultLocator vtkExtractUnstructuredGridCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:GetMTime vtkExtractUnstructuredGridGetMTimeFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkExtractUnstructuredGrid requires 1 argument(s)");
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:SetExtent vtkExtractUnstructuredGridSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkExtractUnstructuredGridSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkExtractUnstructuredGridSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractUnstructuredGridSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractUnstructuredGridSetExtent");
}

//@@Signature
//sfunction @vtkExtractUnstructuredGrid:display vtkExtractUnstructuredGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractUnstructuredGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractUnstructuredGrid* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractUnstructuredGrid:delete vtkExtractUnstructuredGridDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractUnstructuredGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractUnstructuredGrid
//@@Section VTKGraphics
//@@Usage
// vtkExtractUnstructuredGrid is a general-purpose filter to
// extract geometry (and associated data) from an unstructured grid
// dataset. The extraction process is controlled by specifying a range
// of point ids, cell ids, or a bounding box (referred to as "Extent").
// Those cells lying within these regions are sent to the output.
// The user has the choice of merging coincident points (Merging is on)
// or using the original point set (Merging is off).
//
//To create an instance of class vtkExtractUnstructuredGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractUnstructuredGrid
//@]
//@@Methods
//The class vtkExtractUnstructuredGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractUnstructuredGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractUnstructuredGrid = obj.NewInstance ()|
// \item @|vtkExtractUnstructuredGrid = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPointClipping (int )| -  Turn on/off selection of geometry by point id.
//// \item @|int = obj.GetPointClipping ()| -  Turn on/off selection of geometry by point id.
//// \item @|obj.PointClippingOn ()| -  Turn on/off selection of geometry by point id.
//// \item @|obj.PointClippingOff ()| -  Turn on/off selection of geometry by point id.
//// \item @|obj.SetCellClipping (int )| -  Turn on/off selection of geometry by cell id.
//// \item @|int = obj.GetCellClipping ()| -  Turn on/off selection of geometry by cell id.
//// \item @|obj.CellClippingOn ()| -  Turn on/off selection of geometry by cell id.
//// \item @|obj.CellClippingOff ()| -  Turn on/off selection of geometry by cell id.
//// \item @|obj.SetExtentClipping (int )| -  Turn on/off selection of geometry via bounding box.
//// \item @|int = obj.GetExtentClipping ()| -  Turn on/off selection of geometry via bounding box.
//// \item @|obj.ExtentClippingOn ()| -  Turn on/off selection of geometry via bounding box.
//// \item @|obj.ExtentClippingOff ()| -  Turn on/off selection of geometry via bounding box.
//// \item @|obj.SetPointMinimum (vtkIdType )| -  Specify the minimum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMinimumMinValue ()| -  Specify the minimum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMinimumMaxValue ()| -  Specify the minimum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMinimum ()| -  Specify the minimum point id for point id selection.
//// \item @|obj.SetPointMaximum (vtkIdType )| -  Specify the maximum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMaximumMinValue ()| -  Specify the maximum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMaximumMaxValue ()| -  Specify the maximum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMaximum ()| -  Specify the maximum point id for point id selection.
//// \item @|obj.SetCellMinimum (vtkIdType )| -  Specify the minimum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMinimumMinValue ()| -  Specify the minimum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMinimumMaxValue ()| -  Specify the minimum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMinimum ()| -  Specify the minimum cell id for point id selection.
//// \item @|obj.SetCellMaximum (vtkIdType )| -  Specify the maximum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMaximumMinValue ()| -  Specify the maximum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMaximumMaxValue ()| -  Specify the maximum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMaximum ()| -  Specify the maximum cell id for point id selection.
//// \item @|obj.SetExtent (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax)| -  Specify a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.
//// \item @|obj.SetExtent (double extent[6])| -  Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.
//// \item @|double = obj.GetExtent ()| -  Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.
//// \item @|obj.SetMerging (int )| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|int = obj.GetMerging ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.MergingOn ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.MergingOff ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified.
//// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the locator.
////\end{itemize}
//!
