#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractVectorComponents object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractVectorComponents.h"

//@@Signature
//sfunction @vtkExtractVectorComponents:vtkExtractVectorComponents vtkExtractVectorComponentsConstructorFunction
//input a
//output p
//@@Parents vtkExtractVectorComponents vtkDataSetAlgorithm 
ArrayVector vtkExtractVectorComponentsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractVectorComponents::New(),"vtkExtractVectorComponents",eval);
  } else if (arg[0].className() == "vtkExtractVectorComponents") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractVectorComponents"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractVectorComponents");
    vtkExtractVectorComponents*q = reinterpret_cast<vtkExtractVectorComponents*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractVectorComponents");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractVectorComponents:GetClassName vtkExtractVectorComponentsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractVectorComponentsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractVectorComponents requires 1 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:IsA vtkExtractVectorComponentsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractVectorComponentsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractVectorComponents requires 2 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:NewInstance vtkExtractVectorComponentsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractVectorComponentsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractVectorComponents *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractVectorComponents requires 1 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  vtkExtractVectorComponents  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractVectorComponents",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:SafeDownCast vtkExtractVectorComponentsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractVectorComponentsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractVectorComponents *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractVectorComponents requires 2 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractVectorComponents  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractVectorComponents",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:SetInput vtkExtractVectorComponentsSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkExtractVectorComponentsSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkExtractVectorComponents requires 2 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:GetVxComponent vtkExtractVectorComponentsGetVxComponentFunction
//input a0 
//output y
ArrayVector vtkExtractVectorComponentsGetVxComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetVxComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVxComponent for class vtkExtractVectorComponents requires 1 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetVxComponent();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:GetVyComponent vtkExtractVectorComponentsGetVyComponentFunction
//input a0 
//output y
ArrayVector vtkExtractVectorComponentsGetVyComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetVyComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVyComponent for class vtkExtractVectorComponents requires 1 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetVyComponent();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:GetVzComponent vtkExtractVectorComponentsGetVzComponentFunction
//input a0 
//output y
ArrayVector vtkExtractVectorComponentsGetVzComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetVzComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVzComponent for class vtkExtractVectorComponents requires 1 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetVzComponent();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:SetExtractToFieldData vtkExtractVectorComponentsSetExtractToFieldDataFunction
//input a0 a1 
//output none
ArrayVector vtkExtractVectorComponentsSetExtractToFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractToFieldData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractToFieldData for class vtkExtractVectorComponents requires 2 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractToFieldData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:GetExtractToFieldData vtkExtractVectorComponentsGetExtractToFieldDataFunction
//input a0 
//output y
ArrayVector vtkExtractVectorComponentsGetExtractToFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractToFieldData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractToFieldData for class vtkExtractVectorComponents requires 1 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractToFieldData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:ExtractToFieldDataOn vtkExtractVectorComponentsExtractToFieldDataOnFunction
//input a0 
//output none
ArrayVector vtkExtractVectorComponentsExtractToFieldDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractToFieldDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractToFieldDataOn for class vtkExtractVectorComponents requires 1 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ExtractToFieldDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:ExtractToFieldDataOff vtkExtractVectorComponentsExtractToFieldDataOffFunction
//input a0 
//output none
ArrayVector vtkExtractVectorComponentsExtractToFieldDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractToFieldDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractToFieldDataOff for class vtkExtractVectorComponents requires 1 argument(s)");
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  Array retval;
  vtk_pointer->ExtractToFieldDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractVectorComponents:display vtkExtractVectorComponentsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractVectorComponentsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractVectorComponents* vtk_pointer = GetVTKPointer<vtkExtractVectorComponents>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractVectorComponents:delete vtkExtractVectorComponentsDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractVectorComponentsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractVectorComponents
//@@Section VTKGraphics
//@@Usage
// vtkExtractVectorComponents is a filter that extracts vector components as
// separate scalars. This is accomplished by creating three different outputs.
// Each output is the same as the input, except that the scalar values will be
// one of the three components of the vector. These can be found in the
// VxComponent, VyComponent, and VzComponent.
// Alternatively, if the ExtractToFieldData flag is set, the filter will
// put all the components in the field data. The first component will be
// the scalar and the others will be non-attribute arrays.
//
//To create an instance of class vtkExtractVectorComponents, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractVectorComponents
//@]
//@@Methods
//The class vtkExtractVectorComponents has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractVectorComponents class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractVectorComponents = obj.NewInstance ()|
// \item @|vtkExtractVectorComponents = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkDataSet input)| -  Specify the input data or filter.
//// \item @|vtkDataSet = obj.GetVxComponent ()| -  Get the output dataset representing velocity x-component. If output is
// NULL then input hasn't been set, which is necessary for abstract
// objects. (Note: this method returns the same information as the
// GetOutput() method with an index of 0.)
//// \item @|vtkDataSet = obj.GetVyComponent ()| -  Get the output dataset representing velocity y-component. If output is
// NULL then input hasn't been set, which is necessary for abstract
// objects. (Note: this method returns the same information as the
// GetOutput() method with an index of 1.)
// Note that if ExtractToFieldData is true, this output will be empty.
//// \item @|vtkDataSet = obj.GetVzComponent ()| -  Get the output dataset representing velocity z-component. If output is
// NULL then input hasn't been set, which is necessary for abstract
// objects. (Note: this method returns the same information as the
// GetOutput() method with an index of 2.)
// Note that if ExtractToFieldData is true, this output will be empty.
//// \item @|obj.SetExtractToFieldData (int )| -  Determines whether the vector components will be put
// in separate outputs or in the first output's field data
//// \item @|int = obj.GetExtractToFieldData ()| -  Determines whether the vector components will be put
// in separate outputs or in the first output's field data
//// \item @|obj.ExtractToFieldDataOn ()| -  Determines whether the vector components will be put
// in separate outputs or in the first output's field data
//// \item @|obj.ExtractToFieldDataOff ()| -  Determines whether the vector components will be put
// in separate outputs or in the first output's field data
////\end{itemize}
//!
