#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFeatureEdges object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFeatureEdges.h"

//@@Signature
//sfunction @vtkFeatureEdges:vtkFeatureEdges vtkFeatureEdgesConstructorFunction
//input a
//output p
//@@Parents vtkFeatureEdges vtkPolyDataAlgorithm 
ArrayVector vtkFeatureEdgesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFeatureEdges::New(),"vtkFeatureEdges",eval);
  } else if (arg[0].className() == "vtkFeatureEdges") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFeatureEdges"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFeatureEdges");
    vtkFeatureEdges*q = reinterpret_cast<vtkFeatureEdges*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFeatureEdges");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFeatureEdges:GetClassName vtkFeatureEdgesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:IsA vtkFeatureEdgesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFeatureEdgesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFeatureEdges requires 2 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:NewInstance vtkFeatureEdgesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFeatureEdges *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtkFeatureEdges  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFeatureEdges",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:SafeDownCast vtkFeatureEdgesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFeatureEdgesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFeatureEdges *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFeatureEdges requires 2 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFeatureEdges  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFeatureEdges",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:SetBoundaryEdges vtkFeatureEdgesSetBoundaryEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkFeatureEdgesSetBoundaryEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundaryEdges (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundaryEdges for class vtkFeatureEdges requires 2 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBoundaryEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:GetBoundaryEdges vtkFeatureEdgesGetBoundaryEdgesFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetBoundaryEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundaryEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundaryEdges for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoundaryEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:BoundaryEdgesOn vtkFeatureEdgesBoundaryEdgesOnFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesBoundaryEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundaryEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundaryEdgesOn for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->BoundaryEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:BoundaryEdgesOff vtkFeatureEdgesBoundaryEdgesOffFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesBoundaryEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundaryEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundaryEdgesOff for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->BoundaryEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:SetFeatureEdges vtkFeatureEdgesSetFeatureEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkFeatureEdgesSetFeatureEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFeatureEdges (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFeatureEdges for class vtkFeatureEdges requires 2 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFeatureEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:GetFeatureEdges vtkFeatureEdgesGetFeatureEdgesFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetFeatureEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFeatureEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureEdges for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFeatureEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:FeatureEdgesOn vtkFeatureEdgesFeatureEdgesOnFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesFeatureEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FeatureEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FeatureEdgesOn for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->FeatureEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:FeatureEdgesOff vtkFeatureEdgesFeatureEdgesOffFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesFeatureEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FeatureEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FeatureEdgesOff for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->FeatureEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:SetFeatureAngle vtkFeatureEdgesSetFeatureAngleFunction
//input a0 a1 
//output none
ArrayVector vtkFeatureEdgesSetFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFeatureAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFeatureAngle for class vtkFeatureEdges requires 2 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFeatureAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:GetFeatureAngleMinValue vtkFeatureEdgesGetFeatureAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetFeatureAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngleMinValue for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:GetFeatureAngleMaxValue vtkFeatureEdgesGetFeatureAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetFeatureAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngleMaxValue for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:GetFeatureAngle vtkFeatureEdgesGetFeatureAngleFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngle for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:SetNonManifoldEdges vtkFeatureEdgesSetNonManifoldEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkFeatureEdgesSetNonManifoldEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNonManifoldEdges (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNonManifoldEdges for class vtkFeatureEdges requires 2 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNonManifoldEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:GetNonManifoldEdges vtkFeatureEdgesGetNonManifoldEdgesFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetNonManifoldEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNonManifoldEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNonManifoldEdges for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNonManifoldEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:NonManifoldEdgesOn vtkFeatureEdgesNonManifoldEdgesOnFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesNonManifoldEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NonManifoldEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NonManifoldEdgesOn for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->NonManifoldEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:NonManifoldEdgesOff vtkFeatureEdgesNonManifoldEdgesOffFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesNonManifoldEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NonManifoldEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NonManifoldEdgesOff for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->NonManifoldEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:SetManifoldEdges vtkFeatureEdgesSetManifoldEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkFeatureEdgesSetManifoldEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetManifoldEdges (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetManifoldEdges for class vtkFeatureEdges requires 2 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetManifoldEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:GetManifoldEdges vtkFeatureEdgesGetManifoldEdgesFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetManifoldEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetManifoldEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetManifoldEdges for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetManifoldEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:ManifoldEdgesOn vtkFeatureEdgesManifoldEdgesOnFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesManifoldEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ManifoldEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ManifoldEdgesOn for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->ManifoldEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:ManifoldEdgesOff vtkFeatureEdgesManifoldEdgesOffFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesManifoldEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ManifoldEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ManifoldEdgesOff for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->ManifoldEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:SetColoring vtkFeatureEdgesSetColoringFunction
//input a0 a1 
//output none
ArrayVector vtkFeatureEdgesSetColoringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColoring (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColoring for class vtkFeatureEdges requires 2 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColoring(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:GetColoring vtkFeatureEdgesGetColoringFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetColoringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColoring (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColoring for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColoring();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:ColoringOn vtkFeatureEdgesColoringOnFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesColoringOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColoringOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColoringOn for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->ColoringOn();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:ColoringOff vtkFeatureEdgesColoringOffFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesColoringOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColoringOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColoringOff for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->ColoringOff();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:SetLocator vtkFeatureEdgesSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkFeatureEdgesSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkFeatureEdges requires 2 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:GetLocator vtkFeatureEdgesGetLocatorFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:CreateDefaultLocator vtkFeatureEdgesCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkFeatureEdgesCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:GetMTime vtkFeatureEdgesGetMTimeFunction
//input a0 
//output y
ArrayVector vtkFeatureEdgesGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkFeatureEdges requires 1 argument(s)");
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFeatureEdges:display vtkFeatureEdgesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFeatureEdgesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFeatureEdges* vtk_pointer = GetVTKPointer<vtkFeatureEdges>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFeatureEdges:delete vtkFeatureEdgesDeleteFunction
//input varargin
//output none
ArrayVector vtkFeatureEdgesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFeatureEdges
//@@Section VTKGraphics
//@@Usage
// vtkFeatureEdges is a filter to extract special types of edges from
// input polygonal data. These edges are either 1) boundary (used by 
// one polygon) or a line cell; 2) non-manifold (used by three or more 
// polygons); 3) feature edges (edges used by two triangles and whose
// dihedral angle > FeatureAngle); or 4) manifold edges (edges used by
// exactly two polygons). These edges may be extracted in any
// combination. Edges may also be "colored" (i.e., scalar values assigned)
// based on edge type. The cell coloring is assigned to the cell data of
// the extracted edges.
//
//To create an instance of class vtkFeatureEdges, simply
//invoke its constructor as follows
//@[
//  obj = vtkFeatureEdges
//@]
//@@Methods
//The class vtkFeatureEdges has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFeatureEdges class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFeatureEdges = obj.NewInstance ()|
// \item @|vtkFeatureEdges = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetBoundaryEdges (int )| -  Turn on/off the extraction of boundary edges.
//// \item @|int = obj.GetBoundaryEdges ()| -  Turn on/off the extraction of boundary edges.
//// \item @|obj.BoundaryEdgesOn ()| -  Turn on/off the extraction of boundary edges.
//// \item @|obj.BoundaryEdgesOff ()| -  Turn on/off the extraction of boundary edges.
//// \item @|obj.SetFeatureEdges (int )| -  Turn on/off the extraction of feature edges.
//// \item @|int = obj.GetFeatureEdges ()| -  Turn on/off the extraction of feature edges.
//// \item @|obj.FeatureEdgesOn ()| -  Turn on/off the extraction of feature edges.
//// \item @|obj.FeatureEdgesOff ()| -  Turn on/off the extraction of feature edges.
//// \item @|obj.SetFeatureAngle (double )| -  Specify the feature angle for extracting feature edges.
//// \item @|double = obj.GetFeatureAngleMinValue ()| -  Specify the feature angle for extracting feature edges.
//// \item @|double = obj.GetFeatureAngleMaxValue ()| -  Specify the feature angle for extracting feature edges.
//// \item @|double = obj.GetFeatureAngle ()| -  Specify the feature angle for extracting feature edges.
//// \item @|obj.SetNonManifoldEdges (int )| -  Turn on/off the extraction of non-manifold edges.
//// \item @|int = obj.GetNonManifoldEdges ()| -  Turn on/off the extraction of non-manifold edges.
//// \item @|obj.NonManifoldEdgesOn ()| -  Turn on/off the extraction of non-manifold edges.
//// \item @|obj.NonManifoldEdgesOff ()| -  Turn on/off the extraction of non-manifold edges.
//// \item @|obj.SetManifoldEdges (int )| -  Turn on/off the extraction of manifold edges.
//// \item @|int = obj.GetManifoldEdges ()| -  Turn on/off the extraction of manifold edges.
//// \item @|obj.ManifoldEdgesOn ()| -  Turn on/off the extraction of manifold edges.
//// \item @|obj.ManifoldEdgesOff ()| -  Turn on/off the extraction of manifold edges.
//// \item @|obj.SetColoring (int )| -  Turn on/off the coloring of edges by type.
//// \item @|int = obj.GetColoring ()| -  Turn on/off the coloring of edges by type.
//// \item @|obj.ColoringOn ()| -  Turn on/off the coloring of edges by type.
//// \item @|obj.ColoringOff ()| -  Turn on/off the coloring of edges by type.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified.
//// \item @|long = obj.GetMTime ()| -  Return MTime also considering the locator.
////\end{itemize}
//!
