#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFieldDataToAttributeDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFieldDataToAttributeDataFilter.h"

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:vtkFieldDataToAttributeDataFilter vtkFieldDataToAttributeDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkFieldDataToAttributeDataFilter vtkDataSetAlgorithm 
ArrayVector vtkFieldDataToAttributeDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFieldDataToAttributeDataFilter::New(),"vtkFieldDataToAttributeDataFilter",eval);
  } else if (arg[0].className() == "vtkFieldDataToAttributeDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFieldDataToAttributeDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFieldDataToAttributeDataFilter");
    vtkFieldDataToAttributeDataFilter*q = reinterpret_cast<vtkFieldDataToAttributeDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFieldDataToAttributeDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetClassName vtkFieldDataToAttributeDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:IsA vtkFieldDataToAttributeDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:NewInstance vtkFieldDataToAttributeDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFieldDataToAttributeDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtkFieldDataToAttributeDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFieldDataToAttributeDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SafeDownCast vtkFieldDataToAttributeDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFieldDataToAttributeDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFieldDataToAttributeDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFieldDataToAttributeDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetInputField vtkFieldDataToAttributeDataFilterSetInputFieldFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetInputFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputField (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputField for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInputField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetInputField vtkFieldDataToAttributeDataFilterGetInputFieldFunction
//input a0 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetInputFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInputField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputField for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInputField();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetInputFieldToDataObjectField vtkFieldDataToAttributeDataFilterSetInputFieldToDataObjectFieldFunction
//input a0 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetInputFieldToDataObjectFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputFieldToDataObjectField ();this SetInputField VTK_DATA_OBJECT_FIELD  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputFieldToDataObjectField for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetInputFieldToDataObjectField();
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetInputFieldToPointDataField vtkFieldDataToAttributeDataFilterSetInputFieldToPointDataFieldFunction
//input a0 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetInputFieldToPointDataFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputFieldToPointDataField ();this SetInputField VTK_POINT_DATA_FIELD  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputFieldToPointDataField for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetInputFieldToPointDataField();
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetInputFieldToCellDataField vtkFieldDataToAttributeDataFilterSetInputFieldToCellDataFieldFunction
//input a0 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetInputFieldToCellDataFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputFieldToCellDataField ();this SetInputField VTK_CELL_DATA_FIELD  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputFieldToCellDataField for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetInputFieldToCellDataField();
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetOutputAttributeData vtkFieldDataToAttributeDataFilterSetOutputAttributeDataFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetOutputAttributeDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputAttributeData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputAttributeData for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputAttributeData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetOutputAttributeData vtkFieldDataToAttributeDataFilterGetOutputAttributeDataFunction
//input a0 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetOutputAttributeDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputAttributeData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputAttributeData for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputAttributeData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetOutputAttributeDataToCellData vtkFieldDataToAttributeDataFilterSetOutputAttributeDataToCellDataFunction
//input a0 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetOutputAttributeDataToCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputAttributeDataToCellData ();this SetOutputAttributeData VTK_CELL_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputAttributeDataToCellData for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputAttributeDataToCellData();
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetOutputAttributeDataToPointData vtkFieldDataToAttributeDataFilterSetOutputAttributeDataToPointDataFunction
//input a0 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetOutputAttributeDataToPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputAttributeDataToPointData ();this SetOutputAttributeData VTK_POINT_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputAttributeDataToPointData for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputAttributeDataToPointData();
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetScalarComponent__1 vtkFieldDataToAttributeDataFilterSetScalarComponent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetScalarComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize); */
  if (arg.size() < 7) 
    throw Exception("Function SetScalarComponent__1 for class vtkFieldDataToAttributeDataFilter requires 7 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetScalarComponent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetScalarComponent__2 vtkFieldDataToAttributeDataFilterSetScalarComponent__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetScalarComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarComponent (int comp, const char *arrayName, int arrayComp);this SetScalarComponent comp arrayName arrayComp this DefaultNormalize  */
  if (arg.size() < 4) 
    throw Exception("Function SetScalarComponent__2 for class vtkFieldDataToAttributeDataFilter requires 4 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetScalarComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetScalarComponentArrayName vtkFieldDataToAttributeDataFilterGetScalarComponentArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetScalarComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetScalarComponentArrayName (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarComponentArrayName for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarComponentArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetScalarComponentArrayComponent vtkFieldDataToAttributeDataFilterGetScalarComponentArrayComponentFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetScalarComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarComponentArrayComponent (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarComponentArrayComponent for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarComponentArrayComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetScalarComponentMinRange vtkFieldDataToAttributeDataFilterGetScalarComponentMinRangeFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetScalarComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarComponentMinRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarComponentMinRange for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarComponentMinRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetScalarComponentMaxRange vtkFieldDataToAttributeDataFilterGetScalarComponentMaxRangeFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetScalarComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarComponentMaxRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarComponentMaxRange for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarComponentMaxRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetScalarComponentNormalizeFlag vtkFieldDataToAttributeDataFilterGetScalarComponentNormalizeFlagFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetScalarComponentNormalizeFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarComponentNormalizeFlag (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarComponentNormalizeFlag for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarComponentNormalizeFlag(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetVectorComponent__1 vtkFieldDataToAttributeDataFilterSetVectorComponent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetVectorComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize); */
  if (arg.size() < 7) 
    throw Exception("Function SetVectorComponent__1 for class vtkFieldDataToAttributeDataFilter requires 7 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetVectorComponent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetVectorComponent__2 vtkFieldDataToAttributeDataFilterSetVectorComponent__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetVectorComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorComponent (int comp, const char *arrayName, int arrayComp);this SetVectorComponent comp arrayName arrayComp this DefaultNormalize  */
  if (arg.size() < 4) 
    throw Exception("Function SetVectorComponent__2 for class vtkFieldDataToAttributeDataFilter requires 4 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetVectorComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetVectorComponentArrayName vtkFieldDataToAttributeDataFilterGetVectorComponentArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetVectorComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVectorComponentArrayName (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorComponentArrayName for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVectorComponentArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetVectorComponentArrayComponent vtkFieldDataToAttributeDataFilterGetVectorComponentArrayComponentFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetVectorComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorComponentArrayComponent (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorComponentArrayComponent for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVectorComponentArrayComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetVectorComponentMinRange vtkFieldDataToAttributeDataFilterGetVectorComponentMinRangeFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetVectorComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorComponentMinRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorComponentMinRange for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVectorComponentMinRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetVectorComponentMaxRange vtkFieldDataToAttributeDataFilterGetVectorComponentMaxRangeFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetVectorComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorComponentMaxRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorComponentMaxRange for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVectorComponentMaxRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetVectorComponentNormalizeFlag vtkFieldDataToAttributeDataFilterGetVectorComponentNormalizeFlagFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetVectorComponentNormalizeFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorComponentNormalizeFlag (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorComponentNormalizeFlag for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVectorComponentNormalizeFlag(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetNormalComponent__1 vtkFieldDataToAttributeDataFilterSetNormalComponent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetNormalComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize); */
  if (arg.size() < 7) 
    throw Exception("Function SetNormalComponent__1 for class vtkFieldDataToAttributeDataFilter requires 7 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetNormalComponent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetNormalComponent__2 vtkFieldDataToAttributeDataFilterSetNormalComponent__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetNormalComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalComponent (int comp, const char *arrayName, int arrayComp);this SetNormalComponent comp arrayName arrayComp this DefaultNormalize  */
  if (arg.size() < 4) 
    throw Exception("Function SetNormalComponent__2 for class vtkFieldDataToAttributeDataFilter requires 4 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetNormalComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetNormalComponentArrayName vtkFieldDataToAttributeDataFilterGetNormalComponentArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetNormalComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetNormalComponentArrayName (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormalComponentArrayName for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNormalComponentArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetNormalComponentArrayComponent vtkFieldDataToAttributeDataFilterGetNormalComponentArrayComponentFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetNormalComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalComponentArrayComponent (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormalComponentArrayComponent for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNormalComponentArrayComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetNormalComponentMinRange vtkFieldDataToAttributeDataFilterGetNormalComponentMinRangeFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetNormalComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalComponentMinRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormalComponentMinRange for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNormalComponentMinRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetNormalComponentMaxRange vtkFieldDataToAttributeDataFilterGetNormalComponentMaxRangeFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetNormalComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalComponentMaxRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormalComponentMaxRange for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNormalComponentMaxRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetNormalComponentNormalizeFlag vtkFieldDataToAttributeDataFilterGetNormalComponentNormalizeFlagFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetNormalComponentNormalizeFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalComponentNormalizeFlag (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormalComponentNormalizeFlag for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNormalComponentNormalizeFlag(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetTensorComponent__1 vtkFieldDataToAttributeDataFilterSetTensorComponent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetTensorComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize); */
  if (arg.size() < 7) 
    throw Exception("Function SetTensorComponent__1 for class vtkFieldDataToAttributeDataFilter requires 7 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetTensorComponent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetTensorComponent__2 vtkFieldDataToAttributeDataFilterSetTensorComponent__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetTensorComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorComponent (int comp, const char *arrayName, int arrayComp);this SetTensorComponent comp arrayName arrayComp this DefaultNormalize  */
  if (arg.size() < 4) 
    throw Exception("Function SetTensorComponent__2 for class vtkFieldDataToAttributeDataFilter requires 4 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetTensorComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetTensorComponentArrayName vtkFieldDataToAttributeDataFilterGetTensorComponentArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetTensorComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTensorComponentArrayName (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetTensorComponentArrayName for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTensorComponentArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetTensorComponentArrayComponent vtkFieldDataToAttributeDataFilterGetTensorComponentArrayComponentFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetTensorComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTensorComponentArrayComponent (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetTensorComponentArrayComponent for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTensorComponentArrayComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetTensorComponentMinRange vtkFieldDataToAttributeDataFilterGetTensorComponentMinRangeFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetTensorComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTensorComponentMinRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetTensorComponentMinRange for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTensorComponentMinRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetTensorComponentMaxRange vtkFieldDataToAttributeDataFilterGetTensorComponentMaxRangeFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetTensorComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTensorComponentMaxRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetTensorComponentMaxRange for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTensorComponentMaxRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetTensorComponentNormalizeFlag vtkFieldDataToAttributeDataFilterGetTensorComponentNormalizeFlagFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetTensorComponentNormalizeFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTensorComponentNormalizeFlag (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetTensorComponentNormalizeFlag for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTensorComponentNormalizeFlag(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetTCoordComponent__1 vtkFieldDataToAttributeDataFilterSetTCoordComponent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetTCoordComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTCoordComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize); */
  if (arg.size() < 7) 
    throw Exception("Function SetTCoordComponent__1 for class vtkFieldDataToAttributeDataFilter requires 7 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetTCoordComponent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetTCoordComponent__2 vtkFieldDataToAttributeDataFilterSetTCoordComponent__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetTCoordComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTCoordComponent (int comp, const char *arrayName, int arrayComp);this SetTCoordComponent comp arrayName arrayComp this DefaultNormalize  */
  if (arg.size() < 4) 
    throw Exception("Function SetTCoordComponent__2 for class vtkFieldDataToAttributeDataFilter requires 4 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetTCoordComponent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetTCoordComponentArrayName vtkFieldDataToAttributeDataFilterGetTCoordComponentArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetTCoordComponentArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTCoordComponentArrayName (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetTCoordComponentArrayName for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTCoordComponentArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetTCoordComponentArrayComponent vtkFieldDataToAttributeDataFilterGetTCoordComponentArrayComponentFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetTCoordComponentArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTCoordComponentArrayComponent (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetTCoordComponentArrayComponent for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTCoordComponentArrayComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetTCoordComponentMinRange vtkFieldDataToAttributeDataFilterGetTCoordComponentMinRangeFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetTCoordComponentMinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTCoordComponentMinRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetTCoordComponentMinRange for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTCoordComponentMinRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetTCoordComponentMaxRange vtkFieldDataToAttributeDataFilterGetTCoordComponentMaxRangeFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetTCoordComponentMaxRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTCoordComponentMaxRange (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetTCoordComponentMaxRange for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTCoordComponentMaxRange(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetTCoordComponentNormalizeFlag vtkFieldDataToAttributeDataFilterGetTCoordComponentNormalizeFlagFunction
//input a0 a1 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetTCoordComponentNormalizeFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTCoordComponentNormalizeFlag (int comp); */
  if (arg.size() < 2) 
    throw Exception("Function GetTCoordComponentNormalizeFlag for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTCoordComponentNormalizeFlag(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetDefaultNormalize vtkFieldDataToAttributeDataFilterSetDefaultNormalizeFunction
//input a0 a1 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterSetDefaultNormalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultNormalize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultNormalize for class vtkFieldDataToAttributeDataFilter requires 2 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDefaultNormalize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetDefaultNormalize vtkFieldDataToAttributeDataFilterGetDefaultNormalizeFunction
//input a0 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetDefaultNormalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDefaultNormalize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultNormalize for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDefaultNormalize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:DefaultNormalizeOn vtkFieldDataToAttributeDataFilterDefaultNormalizeOnFunction
//input a0 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterDefaultNormalizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DefaultNormalizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DefaultNormalizeOn for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->DefaultNormalizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:DefaultNormalizeOff vtkFieldDataToAttributeDataFilterDefaultNormalizeOffFunction
//input a0 
//output none
ArrayVector vtkFieldDataToAttributeDataFilterDefaultNormalizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DefaultNormalizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DefaultNormalizeOff for class vtkFieldDataToAttributeDataFilter requires 1 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->DefaultNormalizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:ConstructArray vtkFieldDataToAttributeDataFilterConstructArrayFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterConstructArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int ConstructArray (vtkDataArray *da, int comp, vtkDataArray *frray, int fieldComp, vtkIdType min, vtkIdType max, int normalize); */
  if (arg.size() < 8) 
    throw Exception("Function ConstructArray for class vtkFieldDataToAttributeDataFilter requires 8 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp1;
  vtkDataArray  *temp2;
  int      temp3;
  vtkIdType   temp4;
  vtkIdType   temp5;
  int      temp6;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->ConstructArray(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:GetFieldArray vtkFieldDataToAttributeDataFilterGetFieldArrayFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkFieldDataToAttributeDataFilterGetFieldArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkDataArray *GetFieldArray (vtkFieldData *fd, char *name, int comp); */
  if (arg.size() < 4) 
    throw Exception("Function GetFieldArray for class vtkFieldDataToAttributeDataFilter requires 4 argument(s)");
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  Array retval;
  vtkFieldData  *temp0;
  char    *temp1;
  int      temp2;
  vtkDataArray  *temp20;
  temp0 = GetVTKPointer<vtkFieldData>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetFieldArray(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetScalarComponent vtkFieldDataToAttributeDataFilterSetScalarComponentFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataToAttributeDataFilterSetScalarComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkFieldDataToAttributeDataFilterSetScalarComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]))
    return vtkFieldDataToAttributeDataFilterSetScalarComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataToAttributeDataFilterSetScalarComponent");
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetVectorComponent vtkFieldDataToAttributeDataFilterSetVectorComponentFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataToAttributeDataFilterSetVectorComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkFieldDataToAttributeDataFilterSetVectorComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]))
    return vtkFieldDataToAttributeDataFilterSetVectorComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataToAttributeDataFilterSetVectorComponent");
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetNormalComponent vtkFieldDataToAttributeDataFilterSetNormalComponentFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataToAttributeDataFilterSetNormalComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkFieldDataToAttributeDataFilterSetNormalComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]))
    return vtkFieldDataToAttributeDataFilterSetNormalComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataToAttributeDataFilterSetNormalComponent");
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetTensorComponent vtkFieldDataToAttributeDataFilterSetTensorComponentFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataToAttributeDataFilterSetTensorComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkFieldDataToAttributeDataFilterSetTensorComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]))
    return vtkFieldDataToAttributeDataFilterSetTensorComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataToAttributeDataFilterSetTensorComponent");
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:SetTCoordComponent vtkFieldDataToAttributeDataFilterSetTCoordComponentFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataToAttributeDataFilterSetTCoordComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkFieldDataToAttributeDataFilterSetTCoordComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]))
    return vtkFieldDataToAttributeDataFilterSetTCoordComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFieldDataToAttributeDataFilterSetTCoordComponent");
}

//@@Signature
//sfunction @vtkFieldDataToAttributeDataFilter:display vtkFieldDataToAttributeDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFieldDataToAttributeDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFieldDataToAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkFieldDataToAttributeDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFieldDataToAttributeDataFilter:delete vtkFieldDataToAttributeDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkFieldDataToAttributeDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFieldDataToAttributeDataFilter
//@@Section VTKGraphics
//@@Usage
// vtkFieldDataToAttributeDataFilter is a class that maps field data into
// dataset attributes. The input to this filter is any type of dataset and
// the output is the same dataset (geometry/topology) with new attribute data
// (attribute data is passed through if not replaced during filter
// execution).
//
// To use this filter you must specify which field data from the input
// dataset to use. There are three possibilities: the cell field data, the
// point field data, or the field data associated with the data object
// superclass. Then you specify which attribute data to create: either cell
// attribute data or point attribute data.  Finally, you must define how to
// construct the various attribute data types (e.g., scalars, vectors,
// normals, etc.) from the arrays and the components of the arrays from the
// field data. This is done by associating components in the input field with
// components making up the attribute data. For example, you would specify a
// scalar with three components (RGB) by assigning components from the field
// for the R, then G, then B values of the scalars.  You may also have to
// specify component ranges (for each R-G-B) to make sure that the number of
// R, G, and B values is the same. Also, you may want to normalize the
// components which helps distribute the data uniformly.
//
// This filter is often used in conjunction with
// vtkDataObjectToDataSetFilter.  vtkDataObjectToDataSetFilter filter
// generates dataset topology and geometry and passes its input field data
// along to its output. Then this filter is used to generate the attribute
// data to go along with the dataset.
//
//To create an instance of class vtkFieldDataToAttributeDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkFieldDataToAttributeDataFilter
//@]
//@@Methods
//The class vtkFieldDataToAttributeDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFieldDataToAttributeDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFieldDataToAttributeDataFilter = obj.NewInstance ()|
// \item @|vtkFieldDataToAttributeDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInputField (int )| -  Specify which field data to use to generate the output attribute
// data. There are three choices: the field data associated with the
// vtkDataObject superclass; the point field attribute data; and the cell
// field attribute data.
//// \item @|int = obj.GetInputField ()| -  Specify which field data to use to generate the output attribute
// data. There are three choices: the field data associated with the
// vtkDataObject superclass; the point field attribute data; and the cell
// field attribute data.
//// \item @|obj.SetInputFieldToDataObjectField ()| -  Specify which field data to use to generate the output attribute
// data. There are three choices: the field data associated with the
// vtkDataObject superclass; the point field attribute data; and the cell
// field attribute data.
//// \item @|obj.SetInputFieldToPointDataField ()| -  Specify which field data to use to generate the output attribute
// data. There are three choices: the field data associated with the
// vtkDataObject superclass; the point field attribute data; and the cell
// field attribute data.
//// \item @|obj.SetInputFieldToCellDataField ()| -  Specify which field data to use to generate the output attribute
// data. There are three choices: the field data associated with the
// vtkDataObject superclass; the point field attribute data; and the cell
// field attribute data.
//// \item @|obj.SetOutputAttributeData (int )| -  Specify which attribute data to output: point or cell data attributes.
//// \item @|int = obj.GetOutputAttributeData ()| -  Specify which attribute data to output: point or cell data attributes.
//// \item @|obj.SetOutputAttributeDataToCellData ()| -  Specify which attribute data to output: point or cell data attributes.
//// \item @|obj.SetOutputAttributeDataToPointData ()| -  Specify which attribute data to output: point or cell data attributes.
//// \item @|obj.SetScalarComponent (int comp, string arrayName, int arrayComp, int min, int max, int normalize)| -  Define the component(s) of the field to be used for the scalar
// components.  Note that the parameter comp must lie between (0,4). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|obj.SetScalarComponent (int comp, string arrayName, int arrayComp)| -  Define the component(s) of the field to be used for the scalar
// components.  Note that the parameter comp must lie between (0,4). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|string = obj.GetScalarComponentArrayName (int comp)| -  Define the component(s) of the field to be used for the scalar
// components.  Note that the parameter comp must lie between (0,4). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetScalarComponentArrayComponent (int comp)| -  Define the component(s) of the field to be used for the scalar
// components.  Note that the parameter comp must lie between (0,4). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetScalarComponentMinRange (int comp)| -  Define the component(s) of the field to be used for the scalar
// components.  Note that the parameter comp must lie between (0,4). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetScalarComponentMaxRange (int comp)| -  Define the component(s) of the field to be used for the scalar
// components.  Note that the parameter comp must lie between (0,4). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetScalarComponentNormalizeFlag (int comp)| -  Define the component(s) of the field to be used for the scalar
// components.  Note that the parameter comp must lie between (0,4). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|obj.SetVectorComponent (int comp, string arrayName, int arrayComp, int min, int max, int normalize)| -  Define the component(s) of the field to be used for the vector
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|obj.SetVectorComponent (int comp, string arrayName, int arrayComp)| -  Define the component(s) of the field to be used for the vector
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|string = obj.GetVectorComponentArrayName (int comp)| -  Define the component(s) of the field to be used for the vector
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetVectorComponentArrayComponent (int comp)| -  Define the component(s) of the field to be used for the vector
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetVectorComponentMinRange (int comp)| -  Define the component(s) of the field to be used for the vector
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetVectorComponentMaxRange (int comp)| -  Define the component(s) of the field to be used for the vector
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetVectorComponentNormalizeFlag (int comp)| -  Define the component(s) of the field to be used for the vector
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|obj.SetNormalComponent (int comp, string arrayName, int arrayComp, int min, int max, int normalize)| -  Define the component(s) of the field to be used for the normal
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|obj.SetNormalComponent (int comp, string arrayName, int arrayComp)| -  Define the component(s) of the field to be used for the normal
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|string = obj.GetNormalComponentArrayName (int comp)| -  Define the component(s) of the field to be used for the normal
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetNormalComponentArrayComponent (int comp)| -  Define the component(s) of the field to be used for the normal
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetNormalComponentMinRange (int comp)| -  Define the component(s) of the field to be used for the normal
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetNormalComponentMaxRange (int comp)| -  Define the component(s) of the field to be used for the normal
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetNormalComponentNormalizeFlag (int comp)| -  Define the component(s) of the field to be used for the normal
// components.  Note that the parameter comp must lie between (0,3). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|obj.SetTensorComponent (int comp, string arrayName, int arrayComp, int min, int max, int normalize)| -  Define the components of the field to be used for the tensor
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|obj.SetTensorComponent (int comp, string arrayName, int arrayComp)| -  Define the components of the field to be used for the tensor
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|string = obj.GetTensorComponentArrayName (int comp)| -  Define the components of the field to be used for the tensor
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetTensorComponentArrayComponent (int comp)| -  Define the components of the field to be used for the tensor
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetTensorComponentMinRange (int comp)| -  Define the components of the field to be used for the tensor
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetTensorComponentMaxRange (int comp)| -  Define the components of the field to be used for the tensor
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetTensorComponentNormalizeFlag (int comp)| -  Define the components of the field to be used for the tensor
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|obj.SetTCoordComponent (int comp, string arrayName, int arrayComp, int min, int max, int normalize)| -  Define the components of the field to be used for the cell texture coord
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|obj.SetTCoordComponent (int comp, string arrayName, int arrayComp)| -  Define the components of the field to be used for the cell texture coord
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|string = obj.GetTCoordComponentArrayName (int comp)| -  Define the components of the field to be used for the cell texture coord
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetTCoordComponentArrayComponent (int comp)| -  Define the components of the field to be used for the cell texture coord
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetTCoordComponentMinRange (int comp)| -  Define the components of the field to be used for the cell texture coord
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetTCoordComponentMaxRange (int comp)| -  Define the components of the field to be used for the cell texture coord
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|int = obj.GetTCoordComponentNormalizeFlag (int comp)| -  Define the components of the field to be used for the cell texture coord
// components.  Note that the parameter comp must lie between (0,9). To
// define the field component to use you specify an array name and the
// component in that array. The (min,max) values are the range of data in
// the component you wish to extract.
//// \item @|obj.SetDefaultNormalize (int )| -  Set the default Normalize() flag for those methods setting a default
// Normalize value (e.g., SetScalarComponents).
//// \item @|int = obj.GetDefaultNormalize ()| -  Set the default Normalize() flag for those methods setting a default
// Normalize value (e.g., SetScalarComponents).
//// \item @|obj.DefaultNormalizeOn ()| -  Set the default Normalize() flag for those methods setting a default
// Normalize value (e.g., SetScalarComponents).
//// \item @|obj.DefaultNormalizeOff ()| -  Set the default Normalize() flag for those methods setting a default
// Normalize value (e.g., SetScalarComponents).
////\end{itemize}
//!
