#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFillHolesFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFillHolesFilter.h"

//@@Signature
//sfunction @vtkFillHolesFilter:vtkFillHolesFilter vtkFillHolesFilterConstructorFunction
//input a
//output p
//@@Parents vtkFillHolesFilter vtkPolyDataAlgorithm 
ArrayVector vtkFillHolesFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFillHolesFilter::New(),"vtkFillHolesFilter",eval);
  } else if (arg[0].className() == "vtkFillHolesFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFillHolesFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFillHolesFilter");
    vtkFillHolesFilter*q = reinterpret_cast<vtkFillHolesFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFillHolesFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFillHolesFilter:GetClassName vtkFillHolesFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFillHolesFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFillHolesFilter requires 1 argument(s)");
  vtkFillHolesFilter* vtk_pointer = GetVTKPointer<vtkFillHolesFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFillHolesFilter:IsA vtkFillHolesFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFillHolesFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFillHolesFilter requires 2 argument(s)");
  vtkFillHolesFilter* vtk_pointer = GetVTKPointer<vtkFillHolesFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFillHolesFilter:NewInstance vtkFillHolesFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFillHolesFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFillHolesFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFillHolesFilter requires 1 argument(s)");
  vtkFillHolesFilter* vtk_pointer = GetVTKPointer<vtkFillHolesFilter>(arg[0]);
  Array retval;
  vtkFillHolesFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFillHolesFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFillHolesFilter:SafeDownCast vtkFillHolesFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFillHolesFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFillHolesFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFillHolesFilter requires 2 argument(s)");
  vtkFillHolesFilter* vtk_pointer = GetVTKPointer<vtkFillHolesFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFillHolesFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFillHolesFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFillHolesFilter:SetHoleSize vtkFillHolesFilterSetHoleSizeFunction
//input a0 a1 
//output none
ArrayVector vtkFillHolesFilterSetHoleSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHoleSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHoleSize for class vtkFillHolesFilter requires 2 argument(s)");
  vtkFillHolesFilter* vtk_pointer = GetVTKPointer<vtkFillHolesFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHoleSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFillHolesFilter:GetHoleSizeMinValue vtkFillHolesFilterGetHoleSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkFillHolesFilterGetHoleSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHoleSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHoleSizeMinValue for class vtkFillHolesFilter requires 1 argument(s)");
  vtkFillHolesFilter* vtk_pointer = GetVTKPointer<vtkFillHolesFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHoleSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFillHolesFilter:GetHoleSizeMaxValue vtkFillHolesFilterGetHoleSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkFillHolesFilterGetHoleSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHoleSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHoleSizeMaxValue for class vtkFillHolesFilter requires 1 argument(s)");
  vtkFillHolesFilter* vtk_pointer = GetVTKPointer<vtkFillHolesFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHoleSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFillHolesFilter:GetHoleSize vtkFillHolesFilterGetHoleSizeFunction
//input a0 
//output y
ArrayVector vtkFillHolesFilterGetHoleSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHoleSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHoleSize for class vtkFillHolesFilter requires 1 argument(s)");
  vtkFillHolesFilter* vtk_pointer = GetVTKPointer<vtkFillHolesFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHoleSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFillHolesFilter:display vtkFillHolesFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFillHolesFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFillHolesFilter* vtk_pointer = GetVTKPointer<vtkFillHolesFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFillHolesFilter:delete vtkFillHolesFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkFillHolesFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFillHolesFilter
//@@Section VTKGraphics
//@@Usage
// vtkFillHolesFilter is a filter that identifies and fills holes in
// input vtkPolyData meshes. Holes are identified by locating
// boundary edges, linking them together into loops, and then 
// triangulating the resulting loops. Note that you can specify 
// an approximate limit to the size of the hole that can be filled.
// 
//
//To create an instance of class vtkFillHolesFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkFillHolesFilter
//@]
//@@Methods
//The class vtkFillHolesFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFillHolesFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instantiation, type information and printing.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instantiation, type information and printing.
//// \item @|vtkFillHolesFilter = obj.NewInstance ()| -  Standard methods for instantiation, type information and printing.
//// \item @|vtkFillHolesFilter = obj.SafeDownCast (vtkObject o)| -  Standard methods for instantiation, type information and printing.
//// \item @|obj.SetHoleSize (double )| -  Specify the maximum hole size to fill. This is represented as a radius
// to the bounding circumsphere containing the hole.  Note that this is an
// approximate area; the actual area cannot be computed without first
// triangulating the hole.
//// \item @|double = obj.GetHoleSizeMinValue ()| -  Specify the maximum hole size to fill. This is represented as a radius
// to the bounding circumsphere containing the hole.  Note that this is an
// approximate area; the actual area cannot be computed without first
// triangulating the hole.
//// \item @|double = obj.GetHoleSizeMaxValue ()| -  Specify the maximum hole size to fill. This is represented as a radius
// to the bounding circumsphere containing the hole.  Note that this is an
// approximate area; the actual area cannot be computed without first
// triangulating the hole.
//// \item @|double = obj.GetHoleSize ()| -  Specify the maximum hole size to fill. This is represented as a radius
// to the bounding circumsphere containing the hole.  Note that this is an
// approximate area; the actual area cannot be computed without first
// triangulating the hole.
////\end{itemize}
//!
