#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFrustumSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFrustumSource.h"

//@@Signature
//sfunction @vtkFrustumSource:vtkFrustumSource vtkFrustumSourceConstructorFunction
//input a
//output p
//@@Parents vtkFrustumSource vtkPolyDataAlgorithm 
ArrayVector vtkFrustumSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFrustumSource::New(),"vtkFrustumSource",eval);
  } else if (arg[0].className() == "vtkFrustumSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFrustumSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFrustumSource");
    vtkFrustumSource*q = reinterpret_cast<vtkFrustumSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFrustumSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFrustumSource:GetClassName vtkFrustumSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFrustumSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFrustumSource requires 1 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:IsA vtkFrustumSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFrustumSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFrustumSource requires 2 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:NewInstance vtkFrustumSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFrustumSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFrustumSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFrustumSource requires 1 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  vtkFrustumSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFrustumSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:SafeDownCast vtkFrustumSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFrustumSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFrustumSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFrustumSource requires 2 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFrustumSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFrustumSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:GetPlanes vtkFrustumSourceGetPlanesFunction
//input a0 
//output y
ArrayVector vtkFrustumSourceGetPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlanes *GetPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlanes for class vtkFrustumSource requires 1 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  vtkPlanes  *temp20;
  temp20 = (vtk_pointer)->GetPlanes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlanes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:SetPlanes vtkFrustumSourceSetPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkFrustumSourceSetPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPlanes (vtkPlanes *planes); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlanes for class vtkFrustumSource requires 2 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  vtkPlanes  *temp0;
  temp0 = GetVTKPointer<vtkPlanes>(arg[1]);
  vtk_pointer->SetPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:GetShowLines vtkFrustumSourceGetShowLinesFunction
//input a0 
//output y
ArrayVector vtkFrustumSourceGetShowLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetShowLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowLines for class vtkFrustumSource requires 1 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetShowLines();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:SetShowLines vtkFrustumSourceSetShowLinesFunction
//input a0 a1 
//output none
ArrayVector vtkFrustumSourceSetShowLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowLines (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowLines for class vtkFrustumSource requires 2 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetShowLines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:ShowLinesOn vtkFrustumSourceShowLinesOnFunction
//input a0 
//output none
ArrayVector vtkFrustumSourceShowLinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowLinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowLinesOn for class vtkFrustumSource requires 1 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  vtk_pointer->ShowLinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:ShowLinesOff vtkFrustumSourceShowLinesOffFunction
//input a0 
//output none
ArrayVector vtkFrustumSourceShowLinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowLinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowLinesOff for class vtkFrustumSource requires 1 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  vtk_pointer->ShowLinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:GetLinesLength vtkFrustumSourceGetLinesLengthFunction
//input a0 
//output y
ArrayVector vtkFrustumSourceGetLinesLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLinesLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLinesLength for class vtkFrustumSource requires 1 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLinesLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:SetLinesLength vtkFrustumSourceSetLinesLengthFunction
//input a0 a1 
//output none
ArrayVector vtkFrustumSourceSetLinesLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLinesLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLinesLength for class vtkFrustumSource requires 2 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLinesLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:GetMTime vtkFrustumSourceGetMTimeFunction
//input a0 
//output y
ArrayVector vtkFrustumSourceGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkFrustumSource requires 1 argument(s)");
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumSource:display vtkFrustumSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFrustumSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFrustumSource* vtk_pointer = GetVTKPointer<vtkFrustumSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFrustumSource:delete vtkFrustumSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkFrustumSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFrustumSource
//@@Section VTKGraphics
//@@Usage
// vtkFrustumSource creates a frustum defines by a set of planes. The frustum
// is represented with four-sided polygons. It is possible to specify extra
// lines to better visualize the field of view.
//
// .SECTION Usage
// Typical use consists of 3 steps:
// 1. get the planes coefficients from a vtkCamera with
// vtkCamera::GetFrustumPlanes()
// 2. initialize the planes with vtkPlanes::SetFrustumPlanes() with the planes
// coefficients
// 3. pass the vtkPlanes to a vtkFrustumSource.
//
//To create an instance of class vtkFrustumSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkFrustumSource
//@]
//@@Methods
//The class vtkFrustumSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFrustumSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFrustumSource = obj.NewInstance ()|
// \item @|vtkFrustumSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPlanes = obj.GetPlanes ()| -  Return the 6 planes defining the frustum. Initial value is NULL.
// The 6 planes are defined in this order: left,right,bottom,top,far,near.
// If Planes==NULL or if Planes->GetNumberOfPlanes()!=6 when RequestData()
// is called, an error message will be emitted and RequestData() will
// return right away.
//// \item @|obj.SetPlanes (vtkPlanes planes)| -  Set the 6 planes defining the frustum.
//// \item @|bool = obj.GetShowLines ()| -  Tells if some extra lines will be generated. Initial value is true.
//// \item @|obj.SetShowLines (bool )| -  Tells if some extra lines will be generated. Initial value is true.
//// \item @|obj.ShowLinesOn ()| -  Tells if some extra lines will be generated. Initial value is true.
//// \item @|obj.ShowLinesOff ()| -  Tells if some extra lines will be generated. Initial value is true.
//// \item @|double = obj.GetLinesLength ()| -  Length of the extra lines. This a stricly positive value.
// Initial value is 1.0.
//// \item @|obj.SetLinesLength (double )| -  Length of the extra lines. This a stricly positive value.
// Initial value is 1.0.
//// \item @|long = obj.GetMTime ()| -  Modified GetMTime because of Planes.
////\end{itemize}
//!
