#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeodesicPath object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeodesicPath.h"

//@@Signature
//sfunction @vtkGeodesicPath:vtkGeodesicPath vtkGeodesicPathConstructorFunction
//input a
//output p
//@@Parents vtkGeodesicPath vtkPolyDataAlgorithm 
ArrayVector vtkGeodesicPathConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeodesicPath::New(),"vtkGeodesicPath",eval);
  } else if (arg[0].className() == "vtkGeodesicPath") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeodesicPath"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeodesicPath");
    vtkGeodesicPath*q = reinterpret_cast<vtkGeodesicPath*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeodesicPath");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeodesicPath:GetClassName vtkGeodesicPathGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeodesicPathGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeodesicPath requires 1 argument(s)");
  vtkGeodesicPath* vtk_pointer = GetVTKPointer<vtkGeodesicPath>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeodesicPath:IsA vtkGeodesicPathIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeodesicPathIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeodesicPath requires 2 argument(s)");
  vtkGeodesicPath* vtk_pointer = GetVTKPointer<vtkGeodesicPath>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeodesicPath:NewInstance vtkGeodesicPathNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeodesicPathNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeodesicPath *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeodesicPath requires 1 argument(s)");
  vtkGeodesicPath* vtk_pointer = GetVTKPointer<vtkGeodesicPath>(arg[0]);
  Array retval;
  vtkGeodesicPath  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeodesicPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeodesicPath:SafeDownCast vtkGeodesicPathSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeodesicPathSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeodesicPath *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeodesicPath requires 2 argument(s)");
  vtkGeodesicPath* vtk_pointer = GetVTKPointer<vtkGeodesicPath>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeodesicPath  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeodesicPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeodesicPath:GetGeodesicLength vtkGeodesicPathGetGeodesicLengthFunction
//input a0 
//output y
ArrayVector vtkGeodesicPathGetGeodesicLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetGeodesicLength () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetGeodesicLength for class vtkGeodesicPath requires 1 argument(s)");
  vtkGeodesicPath* vtk_pointer = GetVTKPointer<vtkGeodesicPath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGeodesicLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeodesicPath:display vtkGeodesicPathDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeodesicPathDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeodesicPath* vtk_pointer = GetVTKPointer<vtkGeodesicPath>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeodesicPath:delete vtkGeodesicPathDeleteFunction
//input varargin
//output none
ArrayVector vtkGeodesicPathDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeodesicPath
//@@Section VTKGraphics
//@@Usage
// Serves as a base class for algorithms that trace a geodesic path on a 
// polygonal dataset.
//
//To create an instance of class vtkGeodesicPath, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeodesicPath
//@]
//@@Methods
//The class vtkGeodesicPath has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeodesicPath class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methids for printing and determining type information.
//// \item @|int = obj.IsA (string name)| -  Standard methids for printing and determining type information.
//// \item @|vtkGeodesicPath = obj.NewInstance ()| -  Standard methids for printing and determining type information.
//// \item @|vtkGeodesicPath = obj.SafeDownCast (vtkObject o)| -  Standard methids for printing and determining type information.
//// \item @|double = obj.GetGeodesicLength ()|
//\end{itemize}
//!
