#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeometryFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeometryFilter.h"

//@@Signature
//sfunction @vtkGeometryFilter:vtkGeometryFilter vtkGeometryFilterConstructorFunction
//input a
//output p
//@@Parents vtkGeometryFilter vtkPolyDataAlgorithm 
ArrayVector vtkGeometryFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeometryFilter::New(),"vtkGeometryFilter",eval);
  } else if (arg[0].className() == "vtkGeometryFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeometryFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeometryFilter");
    vtkGeometryFilter*q = reinterpret_cast<vtkGeometryFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeometryFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeometryFilter:GetClassName vtkGeometryFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:IsA vtkGeometryFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeometryFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:NewInstance vtkGeometryFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeometryFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkGeometryFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SafeDownCast vtkGeometryFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeometryFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeometryFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeometryFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetPointClipping vtkGeometryFilterSetPointClippingFunction
//input a0 a1 
//output none
ArrayVector vtkGeometryFilterSetPointClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointClipping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointClipping for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointClipping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetPointClipping vtkGeometryFilterGetPointClippingFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetPointClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointClipping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointClipping for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPointClipping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:PointClippingOn vtkGeometryFilterPointClippingOnFunction
//input a0 
//output none
ArrayVector vtkGeometryFilterPointClippingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointClippingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PointClippingOn for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->PointClippingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:PointClippingOff vtkGeometryFilterPointClippingOffFunction
//input a0 
//output none
ArrayVector vtkGeometryFilterPointClippingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointClippingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PointClippingOff for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->PointClippingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetCellClipping vtkGeometryFilterSetCellClippingFunction
//input a0 a1 
//output none
ArrayVector vtkGeometryFilterSetCellClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellClipping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellClipping for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellClipping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetCellClipping vtkGeometryFilterGetCellClippingFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetCellClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellClipping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellClipping for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellClipping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:CellClippingOn vtkGeometryFilterCellClippingOnFunction
//input a0 
//output none
ArrayVector vtkGeometryFilterCellClippingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CellClippingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CellClippingOn for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->CellClippingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:CellClippingOff vtkGeometryFilterCellClippingOffFunction
//input a0 
//output none
ArrayVector vtkGeometryFilterCellClippingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CellClippingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CellClippingOff for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->CellClippingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetExtentClipping vtkGeometryFilterSetExtentClippingFunction
//input a0 a1 
//output none
ArrayVector vtkGeometryFilterSetExtentClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtentClipping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtentClipping for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtentClipping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetExtentClipping vtkGeometryFilterGetExtentClippingFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetExtentClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtentClipping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentClipping for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtentClipping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:ExtentClippingOn vtkGeometryFilterExtentClippingOnFunction
//input a0 
//output none
ArrayVector vtkGeometryFilterExtentClippingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtentClippingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtentClippingOn for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->ExtentClippingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:ExtentClippingOff vtkGeometryFilterExtentClippingOffFunction
//input a0 
//output none
ArrayVector vtkGeometryFilterExtentClippingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtentClippingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtentClippingOff for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->ExtentClippingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetPointMinimum vtkGeometryFilterSetPointMinimumFunction
//input a0 a1 
//output none
ArrayVector vtkGeometryFilterSetPointMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointMinimum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointMinimum for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointMinimum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetPointMinimumMinValue vtkGeometryFilterGetPointMinimumMinValueFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetPointMinimumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMinimumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMinimumMinValue for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMinimumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetPointMinimumMaxValue vtkGeometryFilterGetPointMinimumMaxValueFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetPointMinimumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMinimumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMinimumMaxValue for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMinimumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetPointMinimum vtkGeometryFilterGetPointMinimumFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetPointMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMinimum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMinimum for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMinimum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetPointMaximum vtkGeometryFilterSetPointMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkGeometryFilterSetPointMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointMaximum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointMaximum for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetPointMaximumMinValue vtkGeometryFilterGetPointMaximumMinValueFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetPointMaximumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMaximumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMaximumMinValue for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMaximumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetPointMaximumMaxValue vtkGeometryFilterGetPointMaximumMaxValueFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetPointMaximumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMaximumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMaximumMaxValue for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMaximumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetPointMaximum vtkGeometryFilterGetPointMaximumFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetPointMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMaximum for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetCellMinimum vtkGeometryFilterSetCellMinimumFunction
//input a0 a1 
//output none
ArrayVector vtkGeometryFilterSetCellMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellMinimum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellMinimum for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellMinimum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetCellMinimumMinValue vtkGeometryFilterGetCellMinimumMinValueFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetCellMinimumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMinimumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMinimumMinValue for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMinimumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetCellMinimumMaxValue vtkGeometryFilterGetCellMinimumMaxValueFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetCellMinimumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMinimumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMinimumMaxValue for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMinimumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetCellMinimum vtkGeometryFilterGetCellMinimumFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetCellMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMinimum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMinimum for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMinimum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetCellMaximum vtkGeometryFilterSetCellMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkGeometryFilterSetCellMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellMaximum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellMaximum for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetCellMaximumMinValue vtkGeometryFilterGetCellMaximumMinValueFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetCellMaximumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMaximumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMaximumMinValue for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMaximumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetCellMaximumMaxValue vtkGeometryFilterGetCellMaximumMaxValueFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetCellMaximumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMaximumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMaximumMaxValue for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMaximumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetCellMaximum vtkGeometryFilterGetCellMaximumFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetCellMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMaximum for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetExtent__1 vtkGeometryFilterSetExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkGeometryFilterSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__1 for class vtkGeometryFilter requires 7 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetExtent__2 vtkGeometryFilterSetExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkGeometryFilterSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (double extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__2 for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetExtent vtkGeometryFilterGetExtentFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetExtent ();return this Extent  */
  if (arg.size() < 1) 
    throw Exception("Function GetExtent for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetMerging vtkGeometryFilterSetMergingFunction
//input a0 a1 
//output none
ArrayVector vtkGeometryFilterSetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMerging (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMerging for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMerging(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetMerging vtkGeometryFilterGetMergingFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMerging (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMerging for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMerging();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:MergingOn vtkGeometryFilterMergingOnFunction
//input a0 
//output none
ArrayVector vtkGeometryFilterMergingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOn for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->MergingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:MergingOff vtkGeometryFilterMergingOffFunction
//input a0 
//output none
ArrayVector vtkGeometryFilterMergingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOff for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->MergingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetLocator vtkGeometryFilterSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkGeometryFilterSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkGeometryFilter requires 2 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetLocator vtkGeometryFilterGetLocatorFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:CreateDefaultLocator vtkGeometryFilterCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkGeometryFilterCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:GetMTime vtkGeometryFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkGeometryFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkGeometryFilter requires 1 argument(s)");
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeometryFilter:SetExtent vtkGeometryFilterSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkGeometryFilterSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkGeometryFilterSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGeometryFilterSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGeometryFilterSetExtent");
}

//@@Signature
//sfunction @vtkGeometryFilter:display vtkGeometryFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeometryFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeometryFilter* vtk_pointer = GetVTKPointer<vtkGeometryFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeometryFilter:delete vtkGeometryFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkGeometryFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeometryFilter
//@@Section VTKGraphics
//@@Usage
// vtkGeometryFilter is a general-purpose filter to extract geometry (and 
// associated data) from any type of dataset. Geometry is obtained as 
// follows: all 0D, 1D, and 2D cells are extracted. All 2D faces that are 
// used by only one 3D cell (i.e., boundary faces) are extracted. It also is 
// possible to specify conditions on point ids, cell ids, and on 
// bounding box (referred to as "Extent") to control the extraction process.
//
// This filter also may be used to convert any type of data to polygonal
// type. The conversion process may be less than satisfactory for some 3D
// datasets. For example, this filter will extract the outer surface of a 
// volume or structured grid dataset. (For structured data you may want to
// use vtkImageDataGeometryFilter, vtkStructuredGridGeometryFilter,
// vtkExtractUnstructuredGrid, vtkRectilinearGridGeometryFilter, or 
// vtkExtractVOI.)
//
//To create an instance of class vtkGeometryFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeometryFilter
//@]
//@@Methods
//The class vtkGeometryFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeometryFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeometryFilter = obj.NewInstance ()|
// \item @|vtkGeometryFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPointClipping (int )| -  Turn on/off selection of geometry by point id.
//// \item @|int = obj.GetPointClipping ()| -  Turn on/off selection of geometry by point id.
//// \item @|obj.PointClippingOn ()| -  Turn on/off selection of geometry by point id.
//// \item @|obj.PointClippingOff ()| -  Turn on/off selection of geometry by point id.
//// \item @|obj.SetCellClipping (int )| -  Turn on/off selection of geometry by cell id.
//// \item @|int = obj.GetCellClipping ()| -  Turn on/off selection of geometry by cell id.
//// \item @|obj.CellClippingOn ()| -  Turn on/off selection of geometry by cell id.
//// \item @|obj.CellClippingOff ()| -  Turn on/off selection of geometry by cell id.
//// \item @|obj.SetExtentClipping (int )| -  Turn on/off selection of geometry via bounding box.
//// \item @|int = obj.GetExtentClipping ()| -  Turn on/off selection of geometry via bounding box.
//// \item @|obj.ExtentClippingOn ()| -  Turn on/off selection of geometry via bounding box.
//// \item @|obj.ExtentClippingOff ()| -  Turn on/off selection of geometry via bounding box.
//// \item @|obj.SetPointMinimum (vtkIdType )| -  Specify the minimum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMinimumMinValue ()| -  Specify the minimum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMinimumMaxValue ()| -  Specify the minimum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMinimum ()| -  Specify the minimum point id for point id selection.
//// \item @|obj.SetPointMaximum (vtkIdType )| -  Specify the maximum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMaximumMinValue ()| -  Specify the maximum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMaximumMaxValue ()| -  Specify the maximum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMaximum ()| -  Specify the maximum point id for point id selection.
//// \item @|obj.SetCellMinimum (vtkIdType )| -  Specify the minimum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMinimumMinValue ()| -  Specify the minimum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMinimumMaxValue ()| -  Specify the minimum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMinimum ()| -  Specify the minimum cell id for point id selection.
//// \item @|obj.SetCellMaximum (vtkIdType )| -  Specify the maximum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMaximumMinValue ()| -  Specify the maximum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMaximumMaxValue ()| -  Specify the maximum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMaximum ()| -  Specify the maximum cell id for point id selection.
//// \item @|obj.SetExtent (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax)| -  Specify a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.
//// \item @|obj.SetExtent (double extent[6])| -  Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.
//// \item @|double = obj.GetExtent ()| -  Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.
//// \item @|obj.SetMerging (int )| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|int = obj.GetMerging ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.MergingOn ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.MergingOff ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified.
//// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the locator.
////\end{itemize}
//!
