#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGlyph2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGlyph2D.h"

//@@Signature
//sfunction @vtkGlyph2D:vtkGlyph2D vtkGlyph2DConstructorFunction
//input a
//output p
//@@Parents vtkGlyph2D vtkGlyph3D 
ArrayVector vtkGlyph2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGlyph2D::New(),"vtkGlyph2D",eval);
  } else if (arg[0].className() == "vtkGlyph2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGlyph2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGlyph2D");
    vtkGlyph2D*q = reinterpret_cast<vtkGlyph2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGlyph2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGlyph2D:GetClassName vtkGlyph2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGlyph2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGlyph2D requires 1 argument(s)");
  vtkGlyph2D* vtk_pointer = GetVTKPointer<vtkGlyph2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph2D:IsA vtkGlyph2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGlyph2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGlyph2D requires 2 argument(s)");
  vtkGlyph2D* vtk_pointer = GetVTKPointer<vtkGlyph2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph2D:NewInstance vtkGlyph2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGlyph2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGlyph2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGlyph2D requires 1 argument(s)");
  vtkGlyph2D* vtk_pointer = GetVTKPointer<vtkGlyph2D>(arg[0]);
  Array retval;
  vtkGlyph2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGlyph2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph2D:SafeDownCast vtkGlyph2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGlyph2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGlyph2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGlyph2D requires 2 argument(s)");
  vtkGlyph2D* vtk_pointer = GetVTKPointer<vtkGlyph2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGlyph2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGlyph2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph2D:display vtkGlyph2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGlyph2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGlyph2D* vtk_pointer = GetVTKPointer<vtkGlyph2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGlyph2D:delete vtkGlyph2DDeleteFunction
//input varargin
//output none
ArrayVector vtkGlyph2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGlyph2D
//@@Section VTKGraphics
//@@Usage
// This subclass of vtkGlyph3D is a specialization to 2D. Transformations
// (i.e., translation, scaling, and rotation) are constrained to the plane.
// For example, rotations due to a vector are computed from the x-y
// coordinates of the vector only, and are assumed to occur around the
// z-axis. (See vtkGlyph3D for documentation on the interface to this
// class.)
// 
//
//To create an instance of class vtkGlyph2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkGlyph2D
//@]
//@@Methods
//The class vtkGlyph2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGlyph2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGlyph2D = obj.NewInstance ()|
// \item @|vtkGlyph2D = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
