#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGlyph3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGlyph3D.h"

//@@Signature
//sfunction @vtkGlyph3D:vtkGlyph3D vtkGlyph3DConstructorFunction
//input a
//output p
//@@Parents vtkGlyph3D vtkPolyDataAlgorithm 
ArrayVector vtkGlyph3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGlyph3D::New(),"vtkGlyph3D",eval);
  } else if (arg[0].className() == "vtkGlyph3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGlyph3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGlyph3D");
    vtkGlyph3D*q = reinterpret_cast<vtkGlyph3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGlyph3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGlyph3D:GetClassName vtkGlyph3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:IsA vtkGlyph3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGlyph3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:NewInstance vtkGlyph3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGlyph3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGlyph3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtkGlyph3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGlyph3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SafeDownCast vtkGlyph3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGlyph3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGlyph3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGlyph3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGlyph3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetSource__1 vtkGlyph3DSetSource__1Function
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetSource__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkPolyData *pd);this SetSource pd  */
  if (arg.size() < 2) 
    throw Exception("Function SetSource__1 for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetSource__2 vtkGlyph3DSetSource__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGlyph3DSetSource__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (int id, vtkPolyData *pd); */
  if (arg.size() < 3) 
    throw Exception("Function SetSource__2 for class vtkGlyph3D requires 3 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->SetSource(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetSourceConnection__1 vtkGlyph3DSetSourceConnection__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGlyph3DSetSourceConnection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceConnection (int id, vtkAlgorithmOutput *algOutput); */
  if (arg.size() < 3) 
    throw Exception("Function SetSourceConnection__1 for class vtkGlyph3D requires 3 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->SetSourceConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetSourceConnection__2 vtkGlyph3DSetSourceConnection__2Function
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetSourceConnection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceConnection (vtkAlgorithmOutput *algOutput);this SetSourceConnection algOutput  */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceConnection__2 for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSourceConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetSource__1 vtkGlyph3DGetSource__1Function
//input a0 a1 
//output y
ArrayVector vtkGlyph3DGetSource__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetSource (int id); */
  if (arg.size() < 2) 
    throw Exception("Function GetSource__1 for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSource(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetScaling vtkGlyph3DSetScalingFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaling (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaling for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScaling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:ScalingOn vtkGlyph3DScalingOnFunction
//input a0 
//output none
ArrayVector vtkGlyph3DScalingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalingOn for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->ScalingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:ScalingOff vtkGlyph3DScalingOffFunction
//input a0 
//output none
ArrayVector vtkGlyph3DScalingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalingOff for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->ScalingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetScaling vtkGlyph3DGetScalingFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScaling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaling for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScaling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetScaleMode vtkGlyph3DSetScaleModeFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetScaleModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleMode for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScaleMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetScaleMode vtkGlyph3DGetScaleModeFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetScaleModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScaleMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleMode for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScaleMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetScaleModeToScaleByScalar vtkGlyph3DSetScaleModeToScaleByScalarFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetScaleModeToScaleByScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleModeToScaleByScalar ();this SetScaleMode VTK_SCALE_BY_SCALAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScaleModeToScaleByScalar for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetScaleModeToScaleByScalar();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetScaleModeToScaleByVector vtkGlyph3DSetScaleModeToScaleByVectorFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetScaleModeToScaleByVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleModeToScaleByVector ();this SetScaleMode VTK_SCALE_BY_VECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScaleModeToScaleByVector for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetScaleModeToScaleByVector();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetScaleModeToScaleByVectorComponents vtkGlyph3DSetScaleModeToScaleByVectorComponentsFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetScaleModeToScaleByVectorComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleModeToScaleByVectorComponents ();this SetScaleMode VTK_SCALE_BY_VECTORCOMPONENTS  */
  if (arg.size() < 1) 
    throw Exception("Function SetScaleModeToScaleByVectorComponents for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetScaleModeToScaleByVectorComponents();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetScaleModeToDataScalingOff vtkGlyph3DSetScaleModeToDataScalingOffFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetScaleModeToDataScalingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleModeToDataScalingOff ();this SetScaleMode VTK_DATA_SCALING_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetScaleModeToDataScalingOff for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetScaleModeToDataScalingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetScaleModeAsString vtkGlyph3DGetScaleModeAsStringFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetScaleModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetScaleModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleModeAsString for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetScaleModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetColorMode vtkGlyph3DSetColorModeFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorMode for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetColorMode vtkGlyph3DGetColorModeFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorMode for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetColorModeToColorByScale vtkGlyph3DSetColorModeToColorByScaleFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetColorModeToColorByScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToColorByScale ();this SetColorMode VTK_COLOR_BY_SCALE  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToColorByScale for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToColorByScale();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetColorModeToColorByScalar vtkGlyph3DSetColorModeToColorByScalarFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetColorModeToColorByScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToColorByScalar ();this SetColorMode VTK_COLOR_BY_SCALAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToColorByScalar for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToColorByScalar();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetColorModeToColorByVector vtkGlyph3DSetColorModeToColorByVectorFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetColorModeToColorByVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToColorByVector ();this SetColorMode VTK_COLOR_BY_VECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToColorByVector for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToColorByVector();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetColorModeAsString vtkGlyph3DGetColorModeAsStringFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetColorModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetColorModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorModeAsString for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetColorModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetScaleFactor vtkGlyph3DSetScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleFactor for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetScaleFactor vtkGlyph3DGetScaleFactorFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactor for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetRange__1 vtkGlyph3DSetRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGlyph3DSetRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetRange__1 for class vtkGlyph3D requires 3 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetRange__2 vtkGlyph3DSetRange__2Function
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetRange__2 for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetRange vtkGlyph3DGetRangeFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRange for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetOrient vtkGlyph3DSetOrientFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetOrientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrient (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrient for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOrient(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:OrientOn vtkGlyph3DOrientOnFunction
//input a0 
//output none
ArrayVector vtkGlyph3DOrientOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OrientOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OrientOn for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->OrientOn();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:OrientOff vtkGlyph3DOrientOffFunction
//input a0 
//output none
ArrayVector vtkGlyph3DOrientOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OrientOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OrientOff for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->OrientOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetOrient vtkGlyph3DGetOrientFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetOrientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOrient (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrient for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOrient();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetClamping vtkGlyph3DSetClampingFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetClampingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClamping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClamping for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClamping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:ClampingOn vtkGlyph3DClampingOnFunction
//input a0 
//output none
ArrayVector vtkGlyph3DClampingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampingOn for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->ClampingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:ClampingOff vtkGlyph3DClampingOffFunction
//input a0 
//output none
ArrayVector vtkGlyph3DClampingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampingOff for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->ClampingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetClamping vtkGlyph3DGetClampingFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetClampingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClamping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClamping for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClamping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetVectorMode vtkGlyph3DSetVectorModeFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetVectorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorMode for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVectorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetVectorMode vtkGlyph3DGetVectorModeFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetVectorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorMode for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVectorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetVectorModeToUseVector vtkGlyph3DSetVectorModeToUseVectorFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetVectorModeToUseVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorModeToUseVector ();this SetVectorMode VTK_USE_VECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetVectorModeToUseVector for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetVectorModeToUseVector();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetVectorModeToUseNormal vtkGlyph3DSetVectorModeToUseNormalFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetVectorModeToUseNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorModeToUseNormal ();this SetVectorMode VTK_USE_NORMAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetVectorModeToUseNormal for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetVectorModeToUseNormal();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetVectorModeToVectorRotationOff vtkGlyph3DSetVectorModeToVectorRotationOffFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetVectorModeToVectorRotationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorModeToVectorRotationOff ();this SetVectorMode VTK_VECTOR_ROTATION_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetVectorModeToVectorRotationOff for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetVectorModeToVectorRotationOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetVectorModeAsString vtkGlyph3DGetVectorModeAsStringFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetVectorModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVectorModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorModeAsString for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVectorModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetIndexMode vtkGlyph3DSetIndexModeFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetIndexModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndexMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIndexMode for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIndexMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetIndexMode vtkGlyph3DGetIndexModeFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetIndexModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndexMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndexMode for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndexMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetIndexModeToScalar vtkGlyph3DSetIndexModeToScalarFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetIndexModeToScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndexModeToScalar ();this SetIndexMode VTK_INDEXING_BY_SCALAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetIndexModeToScalar for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetIndexModeToScalar();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetIndexModeToVector vtkGlyph3DSetIndexModeToVectorFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetIndexModeToVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndexModeToVector ();this SetIndexMode VTK_INDEXING_BY_VECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetIndexModeToVector for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetIndexModeToVector();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetIndexModeToOff vtkGlyph3DSetIndexModeToOffFunction
//input a0 
//output none
ArrayVector vtkGlyph3DSetIndexModeToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndexModeToOff ();this SetIndexMode VTK_INDEXING_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetIndexModeToOff for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->SetIndexModeToOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetIndexModeAsString vtkGlyph3DGetIndexModeAsStringFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetIndexModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetIndexModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndexModeAsString for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetIndexModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetGeneratePointIds vtkGlyph3DSetGeneratePointIdsFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetGeneratePointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePointIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePointIds for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeneratePointIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetGeneratePointIds vtkGlyph3DGetGeneratePointIdsFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetGeneratePointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeneratePointIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePointIds for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeneratePointIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GeneratePointIdsOn vtkGlyph3DGeneratePointIdsOnFunction
//input a0 
//output none
ArrayVector vtkGlyph3DGeneratePointIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointIdsOn for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GeneratePointIdsOff vtkGlyph3DGeneratePointIdsOffFunction
//input a0 
//output none
ArrayVector vtkGlyph3DGeneratePointIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointIdsOff for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetPointIdsName vtkGlyph3DSetPointIdsNameFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetPointIdsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointIdsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointIdsName for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPointIdsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetPointIdsName vtkGlyph3DGetPointIdsNameFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetPointIdsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPointIdsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointIdsName for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPointIdsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetFillCellData vtkGlyph3DSetFillCellDataFunction
//input a0 a1 
//output none
ArrayVector vtkGlyph3DSetFillCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFillCellData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFillCellData for class vtkGlyph3D requires 2 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFillCellData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:GetFillCellData vtkGlyph3DGetFillCellDataFunction
//input a0 
//output y
ArrayVector vtkGlyph3DGetFillCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFillCellData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFillCellData for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFillCellData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:FillCellDataOn vtkGlyph3DFillCellDataOnFunction
//input a0 
//output none
ArrayVector vtkGlyph3DFillCellDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FillCellDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FillCellDataOn for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->FillCellDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:FillCellDataOff vtkGlyph3DFillCellDataOffFunction
//input a0 
//output none
ArrayVector vtkGlyph3DFillCellDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FillCellDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FillCellDataOff for class vtkGlyph3D requires 1 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtk_pointer->FillCellDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:IsPointVisible vtkGlyph3DIsPointVisibleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGlyph3DIsPointVisibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsPointVisible (vtkDataSet *, vtkIdType );return  */
  if (arg.size() < 3) 
    throw Exception("Function IsPointVisible for class vtkGlyph3D requires 3 argument(s)");
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->IsPointVisible(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyph3D:SetSource vtkGlyph3DSetSourceFunction
//input varargin
//output varargout
ArrayVector vtkGlyph3DSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPolyData"))
    return vtkGlyph3DSetSource__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPolyData"))
    return vtkGlyph3DSetSource__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGlyph3DSetSource");
}

//@@Signature
//sfunction @vtkGlyph3D:SetSourceConnection vtkGlyph3DSetSourceConnectionFunction
//input varargin
//output varargout
ArrayVector vtkGlyph3DSetSourceConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkAlgorithmOutput"))
    return vtkGlyph3DSetSourceConnection__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAlgorithmOutput"))
    return vtkGlyph3DSetSourceConnection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGlyph3DSetSourceConnection");
}

//@@Signature
//sfunction @vtkGlyph3D:GetSource vtkGlyph3DGetSourceFunction
//input varargin
//output varargout
ArrayVector vtkGlyph3DGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkGlyph3DGetSource__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGlyph3DGetSource");
}

//@@Signature
//sfunction @vtkGlyph3D:SetRange vtkGlyph3DSetRangeFunction
//input varargin
//output varargout
ArrayVector vtkGlyph3DSetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkGlyph3DSetRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGlyph3DSetRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGlyph3DSetRange");
}

//@@Signature
//sfunction @vtkGlyph3D:display vtkGlyph3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGlyph3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGlyph3D* vtk_pointer = GetVTKPointer<vtkGlyph3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGlyph3D:delete vtkGlyph3DDeleteFunction
//input varargin
//output none
ArrayVector vtkGlyph3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGlyph3D
//@@Section VTKGraphics
//@@Usage
// vtkGlyph3D is a filter that copies a geometric representation (called
// a glyph) to every point in the input dataset. The glyph is defined with
// polygonal data from a source filter input. The glyph may be oriented
// along the input vectors or normals, and it may be scaled according to
// scalar data or vector magnitude. More than one glyph may be used by
// creating a table of source objects, each defining a different glyph. If a
// table of glyphs is defined, then the table can be indexed into by using
// either scalar value or vector magnitude.
// 
// To use this object you'll have to provide an input dataset and a source
// to define the glyph. Then decide whether you want to scale the glyph and
// how to scale the glyph (using scalar value or vector magnitude). Next
// decide whether you want to orient the glyph, and whether to use the
// vector data or normal data to orient it. Finally, decide whether to use a
// table of glyphs, or just a single glyph. If you use a table of glyphs,
// you'll have to decide whether to index into it with scalar value or with
// vector magnitude.
// 
//
//To create an instance of class vtkGlyph3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkGlyph3D
//@]
//@@Methods
//The class vtkGlyph3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGlyph3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGlyph3D = obj.NewInstance ()|
// \item @|vtkGlyph3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSource (vtkPolyData pd)| -  Set the source to use for he glyph. Old style. See SetSourceConnection.
//// \item @|obj.SetSource (int id, vtkPolyData pd)| -  Specify a source object at a specified table location.
// Old style. See SetSourceConnection.
//// \item @|obj.SetSourceConnection (int id, vtkAlgorithmOutput algOutput)| -  Specify a source object at a specified table location. New style.
// Source connection is stored in port 1. This method is equivalent
// to SetInputConnection(1, id, outputPort).
//// \item @|obj.SetSourceConnection (vtkAlgorithmOutput algOutput)| -  Get a pointer to a source object at a specified table location.
//// \item @|vtkPolyData = obj.GetSource (int id)| -  Get a pointer to a source object at a specified table location.
//// \item @|obj.SetScaling (int )| -  Turn on/off scaling of source geometry.
//// \item @|obj.ScalingOn ()| -  Turn on/off scaling of source geometry.
//// \item @|obj.ScalingOff ()| -  Turn on/off scaling of source geometry.
//// \item @|int = obj.GetScaling ()| -  Turn on/off scaling of source geometry.
//// \item @|obj.SetScaleMode (int )| -  Either scale by scalar or by vector/normal magnitude.
//// \item @|int = obj.GetScaleMode ()| -  Either scale by scalar or by vector/normal magnitude.
//// \item @|obj.SetScaleModeToScaleByScalar ()| -  Either scale by scalar or by vector/normal magnitude.
//// \item @|obj.SetScaleModeToScaleByVector ()| -  Either scale by scalar or by vector/normal magnitude.
//// \item @|obj.SetScaleModeToScaleByVectorComponents ()| -  Either scale by scalar or by vector/normal magnitude.
//// \item @|obj.SetScaleModeToDataScalingOff ()| -  Either scale by scalar or by vector/normal magnitude.
//// \item @|string = obj.GetScaleModeAsString ()| -  Either scale by scalar or by vector/normal magnitude.
//// \item @|obj.SetColorMode (int )| -  Either color by scale, scalar or by vector/normal magnitude.
//// \item @|int = obj.GetColorMode ()| -  Either color by scale, scalar or by vector/normal magnitude.
//// \item @|obj.SetColorModeToColorByScale ()| -  Either color by scale, scalar or by vector/normal magnitude.
//// \item @|obj.SetColorModeToColorByScalar ()| -  Either color by scale, scalar or by vector/normal magnitude.
//// \item @|obj.SetColorModeToColorByVector ()| -  Either color by scale, scalar or by vector/normal magnitude.
//// \item @|string = obj.GetColorModeAsString ()| -  Either color by scale, scalar or by vector/normal magnitude.
//// \item @|obj.SetScaleFactor (double )| -  Specify scale factor to scale object by.
//// \item @|double = obj.GetScaleFactor ()| -  Specify scale factor to scale object by.
//// \item @|obj.SetRange (double , double )| -  Specify range to map scalar values into.
//// \item @|obj.SetRange (double  a[2])| -  Specify range to map scalar values into.
//// \item @|double = obj. GetRange ()| -  Specify range to map scalar values into.
//// \item @|obj.SetOrient (int )| -  Turn on/off orienting of input geometry along vector/normal.
//// \item @|obj.OrientOn ()| -  Turn on/off orienting of input geometry along vector/normal.
//// \item @|obj.OrientOff ()| -  Turn on/off orienting of input geometry along vector/normal.
//// \item @|int = obj.GetOrient ()| -  Turn on/off orienting of input geometry along vector/normal.
//// \item @|obj.SetClamping (int )| -  Turn on/off clamping of "scalar" values to range. (Scalar value may be
//  vector magnitude if ScaleByVector() is enabled.)
//// \item @|obj.ClampingOn ()| -  Turn on/off clamping of "scalar" values to range. (Scalar value may be
//  vector magnitude if ScaleByVector() is enabled.)
//// \item @|obj.ClampingOff ()| -  Turn on/off clamping of "scalar" values to range. (Scalar value may be
//  vector magnitude if ScaleByVector() is enabled.)
//// \item @|int = obj.GetClamping ()| -  Turn on/off clamping of "scalar" values to range. (Scalar value may be
//  vector magnitude if ScaleByVector() is enabled.)
//// \item @|obj.SetVectorMode (int )| -  Specify whether to use vector or normal to perform vector operations.
//// \item @|int = obj.GetVectorMode ()| -  Specify whether to use vector or normal to perform vector operations.
//// \item @|obj.SetVectorModeToUseVector ()| -  Specify whether to use vector or normal to perform vector operations.
//// \item @|obj.SetVectorModeToUseNormal ()| -  Specify whether to use vector or normal to perform vector operations.
//// \item @|obj.SetVectorModeToVectorRotationOff ()| -  Specify whether to use vector or normal to perform vector operations.
//// \item @|string = obj.GetVectorModeAsString ()| -  Specify whether to use vector or normal to perform vector operations.
//// \item @|obj.SetIndexMode (int )| -  Index into table of sources by scalar, by vector/normal magnitude, or
// no indexing. If indexing is turned off, then the first source glyph in
// the table of glyphs is used. Note that indexing mode will only use the
// InputScalarsSelection array and not the InputColorScalarsSelection
// as the scalar source if an array is specified.
//// \item @|int = obj.GetIndexMode ()| -  Index into table of sources by scalar, by vector/normal magnitude, or
// no indexing. If indexing is turned off, then the first source glyph in
// the table of glyphs is used. Note that indexing mode will only use the
// InputScalarsSelection array and not the InputColorScalarsSelection
// as the scalar source if an array is specified.
//// \item @|obj.SetIndexModeToScalar ()| -  Index into table of sources by scalar, by vector/normal magnitude, or
// no indexing. If indexing is turned off, then the first source glyph in
// the table of glyphs is used. Note that indexing mode will only use the
// InputScalarsSelection array and not the InputColorScalarsSelection
// as the scalar source if an array is specified.
//// \item @|obj.SetIndexModeToVector ()| -  Index into table of sources by scalar, by vector/normal magnitude, or
// no indexing. If indexing is turned off, then the first source glyph in
// the table of glyphs is used. Note that indexing mode will only use the
// InputScalarsSelection array and not the InputColorScalarsSelection
// as the scalar source if an array is specified.
//// \item @|obj.SetIndexModeToOff ()| -  Index into table of sources by scalar, by vector/normal magnitude, or
// no indexing. If indexing is turned off, then the first source glyph in
// the table of glyphs is used. Note that indexing mode will only use the
// InputScalarsSelection array and not the InputColorScalarsSelection
// as the scalar source if an array is specified.
//// \item @|string = obj.GetIndexModeAsString ()| -  Index into table of sources by scalar, by vector/normal magnitude, or
// no indexing. If indexing is turned off, then the first source glyph in
// the table of glyphs is used. Note that indexing mode will only use the
// InputScalarsSelection array and not the InputColorScalarsSelection
// as the scalar source if an array is specified.
//// \item @|obj.SetGeneratePointIds (int )| -  Enable/disable the generation of point ids as part of the output. The
// point ids are the id of the input generating point. The point ids are
// stored in the output point field data and named "InputPointIds". Point
// generation is useful for debugging and pick operations.
//// \item @|int = obj.GetGeneratePointIds ()| -  Enable/disable the generation of point ids as part of the output. The
// point ids are the id of the input generating point. The point ids are
// stored in the output point field data and named "InputPointIds". Point
// generation is useful for debugging and pick operations.
//// \item @|obj.GeneratePointIdsOn ()| -  Enable/disable the generation of point ids as part of the output. The
// point ids are the id of the input generating point. The point ids are
// stored in the output point field data and named "InputPointIds". Point
// generation is useful for debugging and pick operations.
//// \item @|obj.GeneratePointIdsOff ()| -  Enable/disable the generation of point ids as part of the output. The
// point ids are the id of the input generating point. The point ids are
// stored in the output point field data and named "InputPointIds". Point
// generation is useful for debugging and pick operations.
//// \item @|obj.SetPointIdsName (string )| -  Set/Get the name of the PointIds array if generated. By default the Ids
// are named "InputPointIds", but this can be changed with this function.
//// \item @|string = obj.GetPointIdsName ()| -  Set/Get the name of the PointIds array if generated. By default the Ids
// are named "InputPointIds", but this can be changed with this function.
//// \item @|obj.SetFillCellData (int )| -  Enable/disable the generation of cell data as part of the output.
// The cell data at each cell will match the point data of the input
// at the glyphed point.
//// \item @|int = obj.GetFillCellData ()| -  Enable/disable the generation of cell data as part of the output.
// The cell data at each cell will match the point data of the input
// at the glyphed point.
//// \item @|obj.FillCellDataOn ()| -  Enable/disable the generation of cell data as part of the output.
// The cell data at each cell will match the point data of the input
// at the glyphed point.
//// \item @|obj.FillCellDataOff ()| -  Enable/disable the generation of cell data as part of the output.
// The cell data at each cell will match the point data of the input
// at the glyphed point.
//// \item @|int = obj.IsPointVisible (vtkDataSet , vtkIdType )| -  This can be overwritten by subclass to return 0 when a point is
// blanked. Default implementation is to always return 1;
////\end{itemize}
//!
