#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGlyphSource2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGlyphSource2D.h"

//@@Signature
//sfunction @vtkGlyphSource2D:vtkGlyphSource2D vtkGlyphSource2DConstructorFunction
//input a
//output p
//@@Parents vtkGlyphSource2D vtkPolyDataAlgorithm 
ArrayVector vtkGlyphSource2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGlyphSource2D::New(),"vtkGlyphSource2D",eval);
  } else if (arg[0].className() == "vtkGlyphSource2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGlyphSource2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGlyphSource2D");
    vtkGlyphSource2D*q = reinterpret_cast<vtkGlyphSource2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGlyphSource2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGlyphSource2D:GetClassName vtkGlyphSource2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:IsA vtkGlyphSource2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGlyphSource2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:NewInstance vtkGlyphSource2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGlyphSource2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtkGlyphSource2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGlyphSource2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SafeDownCast vtkGlyphSource2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGlyphSource2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGlyphSource2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGlyphSource2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGlyphSource2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetCenter__1 vtkGlyphSource2DSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGlyphSource2DSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkGlyphSource2D requires 4 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetCenter__2 vtkGlyphSource2DSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkGlyphSource2DSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetCenter vtkGlyphSource2DGetCenterFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetScale vtkGlyphSource2DSetScaleFunction
//input a0 a1 
//output none
ArrayVector vtkGlyphSource2DSetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScale for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetScaleMinValue vtkGlyphSource2DGetScaleMinValueFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetScaleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleMinValue for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetScaleMaxValue vtkGlyphSource2DGetScaleMaxValueFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetScaleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleMaxValue for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetScale vtkGlyphSource2DGetScaleFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetScale2 vtkGlyphSource2DSetScale2Function
//input a0 a1 
//output none
ArrayVector vtkGlyphSource2DSetScale2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale2 (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScale2 for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScale2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetScale2MinValue vtkGlyphSource2DGetScale2MinValueFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetScale2MinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScale2MinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale2MinValue for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScale2MinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetScale2MaxValue vtkGlyphSource2DGetScale2MaxValueFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetScale2MaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScale2MaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale2MaxValue for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScale2MaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetScale2 vtkGlyphSource2DGetScale2Function
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetScale2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScale2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale2 for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScale2();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetColor__1 vtkGlyphSource2DSetColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGlyphSource2DSetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetColor__1 for class vtkGlyphSource2D requires 4 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetColor__2 vtkGlyphSource2DSetColor__2Function
//input a0 a1 
//output none
ArrayVector vtkGlyphSource2DSetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetColor__2 for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetColor vtkGlyphSource2DGetColorFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColor for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetFilled vtkGlyphSource2DSetFilledFunction
//input a0 a1 
//output none
ArrayVector vtkGlyphSource2DSetFilledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilled for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFilled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetFilled vtkGlyphSource2DGetFilledFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetFilledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFilled (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilled for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFilled();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:FilledOn vtkGlyphSource2DFilledOnFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DFilledOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FilledOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FilledOn for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->FilledOn();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:FilledOff vtkGlyphSource2DFilledOffFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DFilledOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FilledOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FilledOff for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->FilledOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetDash vtkGlyphSource2DSetDashFunction
//input a0 a1 
//output none
ArrayVector vtkGlyphSource2DSetDashFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDash (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDash for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDash(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetDash vtkGlyphSource2DGetDashFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetDashFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDash (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDash for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDash();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:DashOn vtkGlyphSource2DDashOnFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DDashOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DashOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DashOn for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->DashOn();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:DashOff vtkGlyphSource2DDashOffFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DDashOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DashOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DashOff for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->DashOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetCross vtkGlyphSource2DSetCrossFunction
//input a0 a1 
//output none
ArrayVector vtkGlyphSource2DSetCrossFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCross (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCross for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCross(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetCross vtkGlyphSource2DGetCrossFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetCrossFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCross (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCross for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCross();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:CrossOn vtkGlyphSource2DCrossOnFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DCrossOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CrossOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CrossOn for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->CrossOn();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:CrossOff vtkGlyphSource2DCrossOffFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DCrossOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CrossOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CrossOff for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->CrossOff();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetRotationAngle vtkGlyphSource2DSetRotationAngleFunction
//input a0 a1 
//output none
ArrayVector vtkGlyphSource2DSetRotationAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRotationAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRotationAngle for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRotationAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetRotationAngle vtkGlyphSource2DGetRotationAngleFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetRotationAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRotationAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRotationAngle for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRotationAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphType vtkGlyphSource2DSetGlyphTypeFunction
//input a0 a1 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlyphType for class vtkGlyphSource2D requires 2 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlyphType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetGlyphTypeMinValue vtkGlyphSource2DGetGlyphTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetGlyphTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGlyphTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphTypeMinValue for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlyphTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetGlyphTypeMaxValue vtkGlyphSource2DGetGlyphTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetGlyphTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGlyphTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphTypeMaxValue for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlyphTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:GetGlyphType vtkGlyphSource2DGetGlyphTypeFunction
//input a0 
//output y
ArrayVector vtkGlyphSource2DGetGlyphTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGlyphType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphType for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlyphType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToNone vtkGlyphSource2DSetGlyphTypeToNoneFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToNone ();this SetGlyphType VTK_NO_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToNone for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToNone();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToVertex vtkGlyphSource2DSetGlyphTypeToVertexFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToVertex ();this SetGlyphType VTK_VERTEX_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToVertex for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToVertex();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToDash vtkGlyphSource2DSetGlyphTypeToDashFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToDashFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToDash ();this SetGlyphType VTK_DASH_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToDash for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToDash();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToCross vtkGlyphSource2DSetGlyphTypeToCrossFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToCrossFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToCross ();this SetGlyphType VTK_CROSS_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToCross for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToCross();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToThickCross vtkGlyphSource2DSetGlyphTypeToThickCrossFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToThickCrossFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToThickCross ();this SetGlyphType VTK_THICKCROSS_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToThickCross for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToThickCross();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToTriangle vtkGlyphSource2DSetGlyphTypeToTriangleFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToTriangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToTriangle ();this SetGlyphType VTK_TRIANGLE_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToTriangle for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToTriangle();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToSquare vtkGlyphSource2DSetGlyphTypeToSquareFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToSquareFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToSquare ();this SetGlyphType VTK_SQUARE_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToSquare for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToSquare();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToCircle vtkGlyphSource2DSetGlyphTypeToCircleFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToCircleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToCircle ();this SetGlyphType VTK_CIRCLE_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToCircle for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToCircle();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToDiamond vtkGlyphSource2DSetGlyphTypeToDiamondFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToDiamondFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToDiamond ();this SetGlyphType VTK_DIAMOND_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToDiamond for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToDiamond();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToArrow vtkGlyphSource2DSetGlyphTypeToArrowFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToArrowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToArrow ();this SetGlyphType VTK_ARROW_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToArrow for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToArrow();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToThickArrow vtkGlyphSource2DSetGlyphTypeToThickArrowFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToThickArrowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToThickArrow ();this SetGlyphType VTK_THICKARROW_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToThickArrow for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToThickArrow();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToHookedArrow vtkGlyphSource2DSetGlyphTypeToHookedArrowFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToHookedArrowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToHookedArrow ();this SetGlyphType VTK_HOOKEDARROW_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToHookedArrow for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToHookedArrow();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetGlyphTypeToEdgeArrow vtkGlyphSource2DSetGlyphTypeToEdgeArrowFunction
//input a0 
//output none
ArrayVector vtkGlyphSource2DSetGlyphTypeToEdgeArrowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphTypeToEdgeArrow ();this SetGlyphType VTK_EDGEARROW_GLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGlyphTypeToEdgeArrow for class vtkGlyphSource2D requires 1 argument(s)");
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetGlyphTypeToEdgeArrow();
  return retval;
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetCenter vtkGlyphSource2DSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkGlyphSource2DSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkGlyphSource2DSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGlyphSource2DSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGlyphSource2DSetCenter");
}

//@@Signature
//sfunction @vtkGlyphSource2D:SetColor vtkGlyphSource2DSetColorFunction
//input varargin
//output varargout
ArrayVector vtkGlyphSource2DSetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkGlyphSource2DSetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGlyphSource2DSetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGlyphSource2DSetColor");
}

//@@Signature
//sfunction @vtkGlyphSource2D:display vtkGlyphSource2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGlyphSource2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGlyphSource2D* vtk_pointer = GetVTKPointer<vtkGlyphSource2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGlyphSource2D:delete vtkGlyphSource2DDeleteFunction
//input varargin
//output none
ArrayVector vtkGlyphSource2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGlyphSource2D
//@@Section VTKGraphics
//@@Usage
// vtkGlyphSource2D can generate a family of 2D glyphs each of which lies
// in the x-y plane (i.e., the z-coordinate is zero). The class is a helper 
// class to be used with vtkGlyph2D and vtkXYPlotActor.
//
// To use this class, specify the glyph type to use and its
// attributes. Attributes include its position (i.e., center point), scale,
// color, and whether the symbol is filled or not (a polygon or closed line
// sequence). You can also put a short line through the glyph running from -x
// to +x (the glyph looks like it's on a line), or a cross.
//
//To create an instance of class vtkGlyphSource2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkGlyphSource2D
//@]
//@@Methods
//The class vtkGlyphSource2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGlyphSource2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGlyphSource2D = obj.NewInstance ()|
// \item @|vtkGlyphSource2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCenter (double , double , double )| -  Set the center of the glyph. By default the center is (0,0,0).
//// \item @|obj.SetCenter (double  a[3])| -  Set the center of the glyph. By default the center is (0,0,0).
//// \item @|double = obj. GetCenter ()| -  Set the center of the glyph. By default the center is (0,0,0).
//// \item @|obj.SetScale (double )| -  Set the scale of the glyph. Note that the glyphs are designed
// to fit in the (1,1) rectangle.
//// \item @|double = obj.GetScaleMinValue ()| -  Set the scale of the glyph. Note that the glyphs are designed
// to fit in the (1,1) rectangle.
//// \item @|double = obj.GetScaleMaxValue ()| -  Set the scale of the glyph. Note that the glyphs are designed
// to fit in the (1,1) rectangle.
//// \item @|double = obj.GetScale ()| -  Set the scale of the glyph. Note that the glyphs are designed
// to fit in the (1,1) rectangle.
//// \item @|obj.SetScale2 (double )| -  Set the scale of optional portions of the glyph (e.g., the
// dash and cross is DashOn() and CrossOn()).
//// \item @|double = obj.GetScale2MinValue ()| -  Set the scale of optional portions of the glyph (e.g., the
// dash and cross is DashOn() and CrossOn()).
//// \item @|double = obj.GetScale2MaxValue ()| -  Set the scale of optional portions of the glyph (e.g., the
// dash and cross is DashOn() and CrossOn()).
//// \item @|double = obj.GetScale2 ()| -  Set the scale of optional portions of the glyph (e.g., the
// dash and cross is DashOn() and CrossOn()).
//// \item @|obj.SetColor (double , double , double )| -  Set the color of the glyph. The default color is white.
//// \item @|obj.SetColor (double  a[3])| -  Set the color of the glyph. The default color is white.
//// \item @|double = obj. GetColor ()| -  Set the color of the glyph. The default color is white.
//// \item @|obj.SetFilled (int )| -  Specify whether the glyph is filled (a polygon) or not (a
// closed polygon defined by line segments). This only applies
// to 2D closed glyphs.
//// \item @|int = obj.GetFilled ()| -  Specify whether the glyph is filled (a polygon) or not (a
// closed polygon defined by line segments). This only applies
// to 2D closed glyphs.
//// \item @|obj.FilledOn ()| -  Specify whether the glyph is filled (a polygon) or not (a
// closed polygon defined by line segments). This only applies
// to 2D closed glyphs.
//// \item @|obj.FilledOff ()| -  Specify whether the glyph is filled (a polygon) or not (a
// closed polygon defined by line segments). This only applies
// to 2D closed glyphs.
//// \item @|obj.SetDash (int )| -  Specify whether a short line segment is drawn through the
// glyph. (This is in addition to the glyph. If the glyph type
// is set to "Dash" there is no need to enable this flag.)
//// \item @|int = obj.GetDash ()| -  Specify whether a short line segment is drawn through the
// glyph. (This is in addition to the glyph. If the glyph type
// is set to "Dash" there is no need to enable this flag.)
//// \item @|obj.DashOn ()| -  Specify whether a short line segment is drawn through the
// glyph. (This is in addition to the glyph. If the glyph type
// is set to "Dash" there is no need to enable this flag.)
//// \item @|obj.DashOff ()| -  Specify whether a short line segment is drawn through the
// glyph. (This is in addition to the glyph. If the glyph type
// is set to "Dash" there is no need to enable this flag.)
//// \item @|obj.SetCross (int )| -  Specify whether a cross is drawn as part of the glyph. (This 
// is in addition to the glyph. If the glyph type is set to 
// "Cross" there is no need to enable this flag.)
//// \item @|int = obj.GetCross ()| -  Specify whether a cross is drawn as part of the glyph. (This 
// is in addition to the glyph. If the glyph type is set to 
// "Cross" there is no need to enable this flag.)
//// \item @|obj.CrossOn ()| -  Specify whether a cross is drawn as part of the glyph. (This 
// is in addition to the glyph. If the glyph type is set to 
// "Cross" there is no need to enable this flag.)
//// \item @|obj.CrossOff ()| -  Specify whether a cross is drawn as part of the glyph. (This 
// is in addition to the glyph. If the glyph type is set to 
// "Cross" there is no need to enable this flag.)
//// \item @|obj.SetRotationAngle (double )| -  Specify an angle (in degrees) to rotate the glyph around
// the z-axis. Using this ivar, it is possible to generate
// rotated glyphs (e.g., crosses, arrows, etc.)
//// \item @|double = obj.GetRotationAngle ()| -  Specify an angle (in degrees) to rotate the glyph around
// the z-axis. Using this ivar, it is possible to generate
// rotated glyphs (e.g., crosses, arrows, etc.)
//// \item @|obj.SetGlyphType (int )| -  Specify the type of glyph to generate.
//// \item @|int = obj.GetGlyphTypeMinValue ()| -  Specify the type of glyph to generate.
//// \item @|int = obj.GetGlyphTypeMaxValue ()| -  Specify the type of glyph to generate.
//// \item @|int = obj.GetGlyphType ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToNone ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToVertex ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToDash ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToCross ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToThickCross ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToTriangle ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToSquare ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToCircle ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToDiamond ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToArrow ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToThickArrow ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToHookedArrow ()| -  Specify the type of glyph to generate.
//// \item @|obj.SetGlyphTypeToEdgeArrow ()|
//\end{itemize}
//!
