#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGradientFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGradientFilter.h"

//@@Signature
//sfunction @vtkGradientFilter:vtkGradientFilter vtkGradientFilterConstructorFunction
//input a
//output p
//@@Parents vtkGradientFilter vtkDataSetAlgorithm 
ArrayVector vtkGradientFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGradientFilter::New(),"vtkGradientFilter",eval);
  } else if (arg[0].className() == "vtkGradientFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGradientFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGradientFilter");
    vtkGradientFilter*q = reinterpret_cast<vtkGradientFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGradientFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGradientFilter:GetClassName vtkGradientFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGradientFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGradientFilter requires 1 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:IsA vtkGradientFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGradientFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGradientFilter requires 2 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:NewInstance vtkGradientFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGradientFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGradientFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGradientFilter requires 1 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  vtkGradientFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGradientFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:SafeDownCast vtkGradientFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGradientFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGradientFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGradientFilter requires 2 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGradientFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGradientFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:SetInputScalars__1 vtkGradientFilterSetInputScalars__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkGradientFilterSetInputScalars__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputScalars (int fieldAssociation, const char *name); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputScalars__1 for class vtkGradientFilter requires 3 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetInputScalars(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:SetInputScalars__2 vtkGradientFilterSetInputScalars__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkGradientFilterSetInputScalars__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputScalars (int fieldAssociation, int fieldAttributeType); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputScalars__2 for class vtkGradientFilter requires 3 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetInputScalars(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:GetResultArrayName vtkGradientFilterGetResultArrayNameFunction
//input a0 
//output y
ArrayVector vtkGradientFilterGetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetResultArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResultArrayName for class vtkGradientFilter requires 1 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetResultArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:SetResultArrayName vtkGradientFilterSetResultArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGradientFilterSetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResultArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetResultArrayName for class vtkGradientFilter requires 2 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetResultArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:GetFasterApproximation vtkGradientFilterGetFasterApproximationFunction
//input a0 
//output y
ArrayVector vtkGradientFilterGetFasterApproximationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFasterApproximation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFasterApproximation for class vtkGradientFilter requires 1 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFasterApproximation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:SetFasterApproximation vtkGradientFilterSetFasterApproximationFunction
//input a0 a1 
//output none
ArrayVector vtkGradientFilterSetFasterApproximationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFasterApproximation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFasterApproximation for class vtkGradientFilter requires 2 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFasterApproximation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:FasterApproximationOn vtkGradientFilterFasterApproximationOnFunction
//input a0 
//output none
ArrayVector vtkGradientFilterFasterApproximationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FasterApproximationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FasterApproximationOn for class vtkGradientFilter requires 1 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  vtk_pointer->FasterApproximationOn();
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:FasterApproximationOff vtkGradientFilterFasterApproximationOffFunction
//input a0 
//output none
ArrayVector vtkGradientFilterFasterApproximationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FasterApproximationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FasterApproximationOff for class vtkGradientFilter requires 1 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  vtk_pointer->FasterApproximationOff();
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:SetComputeVorticity vtkGradientFilterSetComputeVorticityFunction
//input a0 a1 
//output none
ArrayVector vtkGradientFilterSetComputeVorticityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeVorticity (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeVorticity for class vtkGradientFilter requires 2 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeVorticity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:GetComputeVorticity vtkGradientFilterGetComputeVorticityFunction
//input a0 
//output y
ArrayVector vtkGradientFilterGetComputeVorticityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeVorticity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeVorticity for class vtkGradientFilter requires 1 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeVorticity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:ComputeVorticityOn vtkGradientFilterComputeVorticityOnFunction
//input a0 
//output none
ArrayVector vtkGradientFilterComputeVorticityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeVorticityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeVorticityOn for class vtkGradientFilter requires 1 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeVorticityOn();
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:ComputeVorticityOff vtkGradientFilterComputeVorticityOffFunction
//input a0 
//output none
ArrayVector vtkGradientFilterComputeVorticityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeVorticityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeVorticityOff for class vtkGradientFilter requires 1 argument(s)");
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeVorticityOff();
  return retval;
}

//@@Signature
//sfunction @vtkGradientFilter:SetInputScalars vtkGradientFilterSetInputScalarsFunction
//input varargin
//output varargout
ArrayVector vtkGradientFilterSetInputScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkGradientFilterSetInputScalars__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkGradientFilterSetInputScalars__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGradientFilterSetInputScalars");
}

//@@Signature
//sfunction @vtkGradientFilter:display vtkGradientFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGradientFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGradientFilter* vtk_pointer = GetVTKPointer<vtkGradientFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGradientFilter:delete vtkGradientFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkGradientFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGradientFilter
//@@Section VTKGraphics
//@@Usage
// Estimates the gradient of a field in a data set.  The gradient calculation
// is dependent on the input dataset type.  The created gradient array
// is of the same type as the array it is calculated from (e.g. point data
// or cell data) as well as data type (e.g. float, double).  At the boundary 
// the gradient is not central differencing.  The output array has 
// 3*number of components of the input data array.  The ordering for the 
// output tuple will be {du/dx, du/dy, du/dz, dv/dx, dv/dy, dv/dz, dw/dx,
// dw/dy, dw/dz} for an input array {u, v, w}.
//
//To create an instance of class vtkGradientFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkGradientFilter
//@]
//@@Methods
//The class vtkGradientFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGradientFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGradientFilter = obj.NewInstance ()|
// \item @|vtkGradientFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInputScalars (int fieldAssociation, string name)| -  These are basically a convenience method that calls SetInputArrayToProcess
// to set the array used as the input scalars.  The fieldAssociation comes
// from the vtkDataObject::FieldAssocations enum.  The fieldAttributeType
// comes from the vtkDataSetAttributes::AttributeTypes enum.
//// \item @|obj.SetInputScalars (int fieldAssociation, int fieldAttributeType)| -  These are basically a convenience method that calls SetInputArrayToProcess
// to set the array used as the input scalars.  The fieldAssociation comes
// from the vtkDataObject::FieldAssocations enum.  The fieldAttributeType
// comes from the vtkDataSetAttributes::AttributeTypes enum.
//// \item @|string = obj.GetResultArrayName ()| -  Get/Set the name of the resulting array to create.  If NULL (the
// default) then the output array will be named "Gradients".
//// \item @|obj.SetResultArrayName (string )| -  Get/Set the name of the resulting array to create.  If NULL (the
// default) then the output array will be named "Gradients".
//// \item @|int = obj.GetFasterApproximation ()| -  When this flag is on (default is off), the gradient filter will provide a
// less accurate (but close) algorithm that performs fewer derivative
// calculations (and is therefore faster).  The error contains some smoothing
// of the output data and some possible errors on the boundary.  This
// parameter has no effect when performing the gradient of cell data.
// This only applies if the input grid is a vtkUnstructuredGrid or a
// vtkPolyData.
//// \item @|obj.SetFasterApproximation (int )| -  When this flag is on (default is off), the gradient filter will provide a
// less accurate (but close) algorithm that performs fewer derivative
// calculations (and is therefore faster).  The error contains some smoothing
// of the output data and some possible errors on the boundary.  This
// parameter has no effect when performing the gradient of cell data.
// This only applies if the input grid is a vtkUnstructuredGrid or a
// vtkPolyData.
//// \item @|obj.FasterApproximationOn ()| -  When this flag is on (default is off), the gradient filter will provide a
// less accurate (but close) algorithm that performs fewer derivative
// calculations (and is therefore faster).  The error contains some smoothing
// of the output data and some possible errors on the boundary.  This
// parameter has no effect when performing the gradient of cell data.
// This only applies if the input grid is a vtkUnstructuredGrid or a
// vtkPolyData.
//// \item @|obj.FasterApproximationOff ()| -  When this flag is on (default is off), the gradient filter will provide a
// less accurate (but close) algorithm that performs fewer derivative
// calculations (and is therefore faster).  The error contains some smoothing
// of the output data and some possible errors on the boundary.  This
// parameter has no effect when performing the gradient of cell data.
// This only applies if the input grid is a vtkUnstructuredGrid or a
// vtkPolyData.
//// \item @|obj.SetComputeVorticity (int )| -  Set the resultant array to be vorticity/curl of the input
// array.  The input array must have 3 components.
//// \item @|int = obj.GetComputeVorticity ()| -  Set the resultant array to be vorticity/curl of the input
// array.  The input array must have 3 components.
//// \item @|obj.ComputeVorticityOn ()| -  Set the resultant array to be vorticity/curl of the input
// array.  The input array must have 3 components.
//// \item @|obj.ComputeVorticityOff ()| -  Set the resultant array to be vorticity/curl of the input
// array.  The input array must have 3 components.
////\end{itemize}
//!
