#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphGeodesicPath object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphGeodesicPath.h"

//@@Signature
//sfunction @vtkGraphGeodesicPath:vtkGraphGeodesicPath vtkGraphGeodesicPathConstructorFunction
//input a
//output p
//@@Parents vtkGraphGeodesicPath vtkGeodesicPath 
ArrayVector vtkGraphGeodesicPathConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphGeodesicPath::New(),"vtkGraphGeodesicPath",eval);
  } else if (arg[0].className() == "vtkGraphGeodesicPath") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphGeodesicPath"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphGeodesicPath");
    vtkGraphGeodesicPath*q = reinterpret_cast<vtkGraphGeodesicPath*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphGeodesicPath");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphGeodesicPath:GetClassName vtkGraphGeodesicPathGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphGeodesicPathGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphGeodesicPath requires 1 argument(s)");
  vtkGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkGraphGeodesicPath>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphGeodesicPath:IsA vtkGraphGeodesicPathIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGeodesicPathIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphGeodesicPath requires 2 argument(s)");
  vtkGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkGraphGeodesicPath>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphGeodesicPath:NewInstance vtkGraphGeodesicPathNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphGeodesicPathNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphGeodesicPath *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphGeodesicPath requires 1 argument(s)");
  vtkGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkGraphGeodesicPath  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphGeodesicPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphGeodesicPath:SafeDownCast vtkGraphGeodesicPathSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphGeodesicPathSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphGeodesicPath *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphGeodesicPath requires 2 argument(s)");
  vtkGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphGeodesicPath  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphGeodesicPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphGeodesicPath:GetStartVertex vtkGraphGeodesicPathGetStartVertexFunction
//input a0 
//output y
ArrayVector vtkGraphGeodesicPathGetStartVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetStartVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartVertex for class vtkGraphGeodesicPath requires 1 argument(s)");
  vtkGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetStartVertex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphGeodesicPath:SetStartVertex vtkGraphGeodesicPathSetStartVertexFunction
//input a0 a1 
//output none
ArrayVector vtkGraphGeodesicPathSetStartVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartVertex (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartVertex for class vtkGraphGeodesicPath requires 2 argument(s)");
  vtkGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStartVertex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphGeodesicPath:GetEndVertex vtkGraphGeodesicPathGetEndVertexFunction
//input a0 
//output y
ArrayVector vtkGraphGeodesicPathGetEndVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetEndVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndVertex for class vtkGraphGeodesicPath requires 1 argument(s)");
  vtkGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetEndVertex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphGeodesicPath:SetEndVertex vtkGraphGeodesicPathSetEndVertexFunction
//input a0 a1 
//output none
ArrayVector vtkGraphGeodesicPathSetEndVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEndVertex (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEndVertex for class vtkGraphGeodesicPath requires 2 argument(s)");
  vtkGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkGraphGeodesicPath>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEndVertex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphGeodesicPath:display vtkGraphGeodesicPathDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphGeodesicPathDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphGeodesicPath* vtk_pointer = GetVTKPointer<vtkGraphGeodesicPath>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphGeodesicPath:delete vtkGraphGeodesicPathDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphGeodesicPathDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphGeodesicPath
//@@Section VTKGraphics
//@@Usage
// Serves as a base class for algorithms that trace a geodesic on a 
// polygonal dataset treating it as a graph. ie points connecting the 
// vertices of the graph
//
//To create an instance of class vtkGraphGeodesicPath, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphGeodesicPath
//@]
//@@Methods
//The class vtkGraphGeodesicPath has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphGeodesicPath class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methids for printing and determining type information.
//// \item @|int = obj.IsA (string name)| -  Standard methids for printing and determining type information.
//// \item @|vtkGraphGeodesicPath = obj.NewInstance ()| -  Standard methids for printing and determining type information.
//// \item @|vtkGraphGeodesicPath = obj.SafeDownCast (vtkObject o)| -  Standard methids for printing and determining type information.
//// \item @|vtkIdType = obj.GetStartVertex ()| -  The vertex at the start of the shortest path
//// \item @|obj.SetStartVertex (vtkIdType )| -  The vertex at the start of the shortest path
//// \item @|vtkIdType = obj.GetEndVertex ()| -  The vertex at the end of the shortest path
//// \item @|obj.SetEndVertex (vtkIdType )| -  The vertex at the end of the shortest path
////\end{itemize}
//!
