#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphLayoutFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphLayoutFilter.h"

//@@Signature
//sfunction @vtkGraphLayoutFilter:vtkGraphLayoutFilter vtkGraphLayoutFilterConstructorFunction
//input a
//output p
//@@Parents vtkGraphLayoutFilter vtkPolyDataAlgorithm 
ArrayVector vtkGraphLayoutFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphLayoutFilter::New(),"vtkGraphLayoutFilter",eval);
  } else if (arg[0].className() == "vtkGraphLayoutFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphLayoutFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphLayoutFilter");
    vtkGraphLayoutFilter*q = reinterpret_cast<vtkGraphLayoutFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphLayoutFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphLayoutFilter:GetClassName vtkGraphLayoutFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:IsA vtkGraphLayoutFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphLayoutFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphLayoutFilter requires 2 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:NewInstance vtkGraphLayoutFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphLayoutFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  vtkGraphLayoutFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayoutFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:SafeDownCast vtkGraphLayoutFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphLayoutFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphLayoutFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphLayoutFilter requires 2 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphLayoutFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayoutFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:SetGraphBounds__1 vtkGraphLayoutFilterSetGraphBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkGraphLayoutFilterSetGraphBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraphBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetGraphBounds__1 for class vtkGraphLayoutFilter requires 7 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:SetGraphBounds__2 vtkGraphLayoutFilterSetGraphBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutFilterSetGraphBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraphBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphBounds__2 for class vtkGraphLayoutFilter requires 2 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetGraphBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:GetGraphBounds vtkGraphLayoutFilterGetGraphBoundsFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterGetGraphBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetGraphBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphBounds for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetGraphBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:SetAutomaticBoundsComputation vtkGraphLayoutFilterSetAutomaticBoundsComputationFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutFilterSetAutomaticBoundsComputationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomaticBoundsComputation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomaticBoundsComputation for class vtkGraphLayoutFilter requires 2 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomaticBoundsComputation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:GetAutomaticBoundsComputation vtkGraphLayoutFilterGetAutomaticBoundsComputationFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterGetAutomaticBoundsComputationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticBoundsComputation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticBoundsComputation for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticBoundsComputation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:AutomaticBoundsComputationOn vtkGraphLayoutFilterAutomaticBoundsComputationOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutFilterAutomaticBoundsComputationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticBoundsComputationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticBoundsComputationOn for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticBoundsComputationOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:AutomaticBoundsComputationOff vtkGraphLayoutFilterAutomaticBoundsComputationOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutFilterAutomaticBoundsComputationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticBoundsComputationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticBoundsComputationOff for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticBoundsComputationOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:SetMaxNumberOfIterations vtkGraphLayoutFilterSetMaxNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutFilterSetMaxNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxNumberOfIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxNumberOfIterations for class vtkGraphLayoutFilter requires 2 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:GetMaxNumberOfIterationsMinValue vtkGraphLayoutFilterGetMaxNumberOfIterationsMinValueFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterGetMaxNumberOfIterationsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterationsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterationsMinValue for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterationsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:GetMaxNumberOfIterationsMaxValue vtkGraphLayoutFilterGetMaxNumberOfIterationsMaxValueFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterGetMaxNumberOfIterationsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterationsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterationsMaxValue for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterationsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:GetMaxNumberOfIterations vtkGraphLayoutFilterGetMaxNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterGetMaxNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterations for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:SetCoolDownRate vtkGraphLayoutFilterSetCoolDownRateFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutFilterSetCoolDownRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoolDownRate (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoolDownRate for class vtkGraphLayoutFilter requires 2 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCoolDownRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:GetCoolDownRateMinValue vtkGraphLayoutFilterGetCoolDownRateMinValueFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterGetCoolDownRateMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRateMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRateMinValue for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRateMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:GetCoolDownRateMaxValue vtkGraphLayoutFilterGetCoolDownRateMaxValueFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterGetCoolDownRateMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRateMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRateMaxValue for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRateMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:GetCoolDownRate vtkGraphLayoutFilterGetCoolDownRateFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterGetCoolDownRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRate for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:SetThreeDimensionalLayout vtkGraphLayoutFilterSetThreeDimensionalLayoutFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutFilterSetThreeDimensionalLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThreeDimensionalLayout (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThreeDimensionalLayout for class vtkGraphLayoutFilter requires 2 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThreeDimensionalLayout(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:GetThreeDimensionalLayout vtkGraphLayoutFilterGetThreeDimensionalLayoutFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutFilterGetThreeDimensionalLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThreeDimensionalLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThreeDimensionalLayout for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThreeDimensionalLayout();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:ThreeDimensionalLayoutOn vtkGraphLayoutFilterThreeDimensionalLayoutOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutFilterThreeDimensionalLayoutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreeDimensionalLayoutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ThreeDimensionalLayoutOn for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  vtk_pointer->ThreeDimensionalLayoutOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:ThreeDimensionalLayoutOff vtkGraphLayoutFilterThreeDimensionalLayoutOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutFilterThreeDimensionalLayoutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreeDimensionalLayoutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ThreeDimensionalLayoutOff for class vtkGraphLayoutFilter requires 1 argument(s)");
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  Array retval;
  vtk_pointer->ThreeDimensionalLayoutOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:SetGraphBounds vtkGraphLayoutFilterSetGraphBoundsFunction
//input varargin
//output varargout
ArrayVector vtkGraphLayoutFilterSetGraphBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkGraphLayoutFilterSetGraphBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGraphLayoutFilterSetGraphBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphLayoutFilterSetGraphBounds");
}

//@@Signature
//sfunction @vtkGraphLayoutFilter:display vtkGraphLayoutFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphLayoutFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphLayoutFilter* vtk_pointer = GetVTKPointer<vtkGraphLayoutFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphLayoutFilter:delete vtkGraphLayoutFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphLayoutFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphLayoutFilter
//@@Section VTKGraphics
//@@Usage
// vtkGraphLayoutFilter will reposition a network of nodes, connected by
// lines or polylines, into a more pleasing arrangement. The class 
// implements a simple force-directed placement algorithm 
// (Fruchterman & Reingold "Graph Drawing by Force-directed Placement" 
// Software-Practice and Experience 21(11) 1991).
//
// The input to the filter is a vtkPolyData representing the undirected 
// graphs. A graph is represented by a set of polylines and/or lines. 
// The output is also a vtkPolyData, where the point positions have been 
// modified. To use the filter, specify whether you wish the layout to 
// occur in 2D or 3D; the bounds in which the graph should lie (note that you
// can just use automatic bounds computation); and modify the cool down
// rate (controls the final process of simulated annealing).
//
//To create an instance of class vtkGraphLayoutFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphLayoutFilter
//@]
//@@Methods
//The class vtkGraphLayoutFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphLayoutFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphLayoutFilter = obj.NewInstance ()|
// \item @|vtkGraphLayoutFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGraphBounds (double , double , double , double , double , double )| -  Set / get the region in space in which to place the final graph.
// The GraphBounds only affects the results if AutomaticBoundsComputation
// is off.
//// \item @|obj.SetGraphBounds (double  a[6])| -  Set / get the region in space in which to place the final graph.
// The GraphBounds only affects the results if AutomaticBoundsComputation
// is off.
//// \item @|double = obj. GetGraphBounds ()| -  Set / get the region in space in which to place the final graph.
// The GraphBounds only affects the results if AutomaticBoundsComputation
// is off.
//// \item @|obj.SetAutomaticBoundsComputation (int )| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|int = obj.GetAutomaticBoundsComputation ()| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|obj.AutomaticBoundsComputationOn ()| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|obj.AutomaticBoundsComputationOff ()| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|obj.SetMaxNumberOfIterations (int )| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
//// \item @|int = obj.GetMaxNumberOfIterationsMinValue ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
//// \item @|int = obj.GetMaxNumberOfIterationsMaxValue ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
//// \item @|int = obj.GetMaxNumberOfIterations ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
//// \item @|obj.SetCoolDownRate (double )| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified.
//// \item @|double = obj.GetCoolDownRateMinValue ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified.
//// \item @|double = obj.GetCoolDownRateMaxValue ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified.
//// \item @|double = obj.GetCoolDownRate ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified.
//// \item @|obj.SetThreeDimensionalLayout (int )|
// \item @|int = obj.GetThreeDimensionalLayout ()|
// \item @|obj.ThreeDimensionalLayoutOn ()|
// \item @|obj.ThreeDimensionalLayoutOff ()|
//\end{itemize}
//!
