#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphToPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphToPoints.h"

//@@Signature
//sfunction @vtkGraphToPoints:vtkGraphToPoints vtkGraphToPointsConstructorFunction
//input a
//output p
//@@Parents vtkGraphToPoints vtkPolyDataAlgorithm 
ArrayVector vtkGraphToPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphToPoints::New(),"vtkGraphToPoints",eval);
  } else if (arg[0].className() == "vtkGraphToPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphToPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphToPoints");
    vtkGraphToPoints*q = reinterpret_cast<vtkGraphToPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphToPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphToPoints:GetClassName vtkGraphToPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphToPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphToPoints requires 1 argument(s)");
  vtkGraphToPoints* vtk_pointer = GetVTKPointer<vtkGraphToPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPoints:IsA vtkGraphToPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphToPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphToPoints requires 2 argument(s)");
  vtkGraphToPoints* vtk_pointer = GetVTKPointer<vtkGraphToPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPoints:NewInstance vtkGraphToPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphToPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphToPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphToPoints requires 1 argument(s)");
  vtkGraphToPoints* vtk_pointer = GetVTKPointer<vtkGraphToPoints>(arg[0]);
  Array retval;
  vtkGraphToPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphToPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPoints:SafeDownCast vtkGraphToPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphToPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphToPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphToPoints requires 2 argument(s)");
  vtkGraphToPoints* vtk_pointer = GetVTKPointer<vtkGraphToPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphToPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphToPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPoints:display vtkGraphToPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphToPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphToPoints* vtk_pointer = GetVTKPointer<vtkGraphToPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphToPoints:delete vtkGraphToPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphToPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphToPoints
//@@Section VTKGraphics
//@@Usage
// Converts a vtkGraph to a vtkPolyData containing a set of points.
// This assumes that the points
// of the graph have already been filled (perhaps by vtkGraphLayout).
// The vertex data is passed along to the point data.
//
//To create an instance of class vtkGraphToPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphToPoints
//@]
//@@Methods
//The class vtkGraphToPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphToPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphToPoints = obj.NewInstance ()|
// \item @|vtkGraphToPoints = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
