#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphToPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphToPolyData.h"

//@@Signature
//sfunction @vtkGraphToPolyData:vtkGraphToPolyData vtkGraphToPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkGraphToPolyData vtkPolyDataAlgorithm 
ArrayVector vtkGraphToPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphToPolyData::New(),"vtkGraphToPolyData",eval);
  } else if (arg[0].className() == "vtkGraphToPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphToPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphToPolyData");
    vtkGraphToPolyData*q = reinterpret_cast<vtkGraphToPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphToPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphToPolyData:GetClassName vtkGraphToPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphToPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphToPolyData requires 1 argument(s)");
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPolyData:IsA vtkGraphToPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphToPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphToPolyData requires 2 argument(s)");
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPolyData:NewInstance vtkGraphToPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphToPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphToPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphToPolyData requires 1 argument(s)");
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  Array retval;
  vtkGraphToPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphToPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPolyData:SafeDownCast vtkGraphToPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphToPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphToPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphToPolyData requires 2 argument(s)");
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphToPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphToPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPolyData:SetEdgeGlyphOutput vtkGraphToPolyDataSetEdgeGlyphOutputFunction
//input a0 a1 
//output none
ArrayVector vtkGraphToPolyDataSetEdgeGlyphOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeGlyphOutput (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeGlyphOutput for class vtkGraphToPolyData requires 2 argument(s)");
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeGlyphOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPolyData:GetEdgeGlyphOutput vtkGraphToPolyDataGetEdgeGlyphOutputFunction
//input a0 
//output y
ArrayVector vtkGraphToPolyDataGetEdgeGlyphOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetEdgeGlyphOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeGlyphOutput for class vtkGraphToPolyData requires 1 argument(s)");
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeGlyphOutput();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPolyData:EdgeGlyphOutputOn vtkGraphToPolyDataEdgeGlyphOutputOnFunction
//input a0 
//output none
ArrayVector vtkGraphToPolyDataEdgeGlyphOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeGlyphOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeGlyphOutputOn for class vtkGraphToPolyData requires 1 argument(s)");
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  Array retval;
  vtk_pointer->EdgeGlyphOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPolyData:EdgeGlyphOutputOff vtkGraphToPolyDataEdgeGlyphOutputOffFunction
//input a0 
//output none
ArrayVector vtkGraphToPolyDataEdgeGlyphOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeGlyphOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeGlyphOutputOff for class vtkGraphToPolyData requires 1 argument(s)");
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  Array retval;
  vtk_pointer->EdgeGlyphOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPolyData:SetEdgeGlyphPosition vtkGraphToPolyDataSetEdgeGlyphPositionFunction
//input a0 a1 
//output none
ArrayVector vtkGraphToPolyDataSetEdgeGlyphPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeGlyphPosition (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeGlyphPosition for class vtkGraphToPolyData requires 2 argument(s)");
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEdgeGlyphPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPolyData:GetEdgeGlyphPosition vtkGraphToPolyDataGetEdgeGlyphPositionFunction
//input a0 
//output y
ArrayVector vtkGraphToPolyDataGetEdgeGlyphPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEdgeGlyphPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeGlyphPosition for class vtkGraphToPolyData requires 1 argument(s)");
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEdgeGlyphPosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToPolyData:display vtkGraphToPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphToPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphToPolyData* vtk_pointer = GetVTKPointer<vtkGraphToPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphToPolyData:delete vtkGraphToPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphToPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphToPolyData
//@@Section VTKGraphics
//@@Usage
// Converts a vtkGraph to a vtkPolyData.  This assumes that the points
// of the graph have already been filled (perhaps by vtkGraphLayout),
// and coverts all the edge of the graph into lines in the polydata.
// The vertex data is passed along to the point data, and the edge data
// is passed along to the cell data.
//
// Only the owned graph edges (i.e. edges with ghost level 0) are copied
// into the vtkPolyData.
//
//To create an instance of class vtkGraphToPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphToPolyData
//@]
//@@Methods
//The class vtkGraphToPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphToPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphToPolyData = obj.NewInstance ()|
// \item @|vtkGraphToPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEdgeGlyphOutput (bool )| -  Create a second output containing points and orientation vectors
// for drawing arrows or other glyphs on edges.  This output should be
// set as the first input to vtkGlyph3D to place glyphs on the edges.
// vtkGlyphSource2D's VTK_EDGEARROW_GLYPH provides a good glyph for 
// drawing arrows.
// Default value is off.
//// \item @|bool = obj.GetEdgeGlyphOutput ()| -  Create a second output containing points and orientation vectors
// for drawing arrows or other glyphs on edges.  This output should be
// set as the first input to vtkGlyph3D to place glyphs on the edges.
// vtkGlyphSource2D's VTK_EDGEARROW_GLYPH provides a good glyph for 
// drawing arrows.
// Default value is off.
//// \item @|obj.EdgeGlyphOutputOn ()| -  Create a second output containing points and orientation vectors
// for drawing arrows or other glyphs on edges.  This output should be
// set as the first input to vtkGlyph3D to place glyphs on the edges.
// vtkGlyphSource2D's VTK_EDGEARROW_GLYPH provides a good glyph for 
// drawing arrows.
// Default value is off.
//// \item @|obj.EdgeGlyphOutputOff ()| -  Create a second output containing points and orientation vectors
// for drawing arrows or other glyphs on edges.  This output should be
// set as the first input to vtkGlyph3D to place glyphs on the edges.
// vtkGlyphSource2D's VTK_EDGEARROW_GLYPH provides a good glyph for 
// drawing arrows.
// Default value is off.
//// \item @|obj.SetEdgeGlyphPosition (double )| -  The position of the glyph point along the edge.
// 0 puts a glyph point at the source of each edge.
// 1 puts a glyph point at the target of each edge.
// An intermediate value will place the glyph point between the source and target.
// The default value is 1.
//// \item @|double = obj.GetEdgeGlyphPosition ()| -  The position of the glyph point along the edge.
// 0 puts a glyph point at the source of each edge.
// 1 puts a glyph point at the target of each edge.
// An intermediate value will place the glyph point between the source and target.
// The default value is 1.
////\end{itemize}
//!
