#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHedgeHog object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHedgeHog.h"

//@@Signature
//sfunction @vtkHedgeHog:vtkHedgeHog vtkHedgeHogConstructorFunction
//input a
//output p
//@@Parents vtkHedgeHog vtkPolyDataAlgorithm 
ArrayVector vtkHedgeHogConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHedgeHog::New(),"vtkHedgeHog",eval);
  } else if (arg[0].className() == "vtkHedgeHog") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHedgeHog"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHedgeHog");
    vtkHedgeHog*q = reinterpret_cast<vtkHedgeHog*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHedgeHog");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHedgeHog:GetClassName vtkHedgeHogGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHedgeHogGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHedgeHog requires 1 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:IsA vtkHedgeHogIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHedgeHogIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHedgeHog requires 2 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:NewInstance vtkHedgeHogNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHedgeHogNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHedgeHog *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHedgeHog requires 1 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  vtkHedgeHog  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHedgeHog",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:SafeDownCast vtkHedgeHogSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHedgeHogSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHedgeHog *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHedgeHog requires 2 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHedgeHog  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHedgeHog",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:SetScaleFactor vtkHedgeHogSetScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkHedgeHogSetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleFactor for class vtkHedgeHog requires 2 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:GetScaleFactor vtkHedgeHogGetScaleFactorFunction
//input a0 
//output y
ArrayVector vtkHedgeHogGetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactor for class vtkHedgeHog requires 1 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:SetVectorMode vtkHedgeHogSetVectorModeFunction
//input a0 a1 
//output none
ArrayVector vtkHedgeHogSetVectorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorMode for class vtkHedgeHog requires 2 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVectorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:GetVectorMode vtkHedgeHogGetVectorModeFunction
//input a0 
//output y
ArrayVector vtkHedgeHogGetVectorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorMode for class vtkHedgeHog requires 1 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVectorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:SetVectorModeToUseVector vtkHedgeHogSetVectorModeToUseVectorFunction
//input a0 
//output none
ArrayVector vtkHedgeHogSetVectorModeToUseVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorModeToUseVector ();this SetVectorMode VTK_USE_VECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetVectorModeToUseVector for class vtkHedgeHog requires 1 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  vtk_pointer->SetVectorModeToUseVector();
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:SetVectorModeToUseNormal vtkHedgeHogSetVectorModeToUseNormalFunction
//input a0 
//output none
ArrayVector vtkHedgeHogSetVectorModeToUseNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorModeToUseNormal ();this SetVectorMode VTK_USE_NORMAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetVectorModeToUseNormal for class vtkHedgeHog requires 1 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  vtk_pointer->SetVectorModeToUseNormal();
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:GetVectorModeAsString vtkHedgeHogGetVectorModeAsStringFunction
//input a0 
//output y
ArrayVector vtkHedgeHogGetVectorModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVectorModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorModeAsString for class vtkHedgeHog requires 1 argument(s)");
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVectorModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHedgeHog:display vtkHedgeHogDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHedgeHogDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHedgeHog* vtk_pointer = GetVTKPointer<vtkHedgeHog>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHedgeHog:delete vtkHedgeHogDeleteFunction
//input varargin
//output none
ArrayVector vtkHedgeHogDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHedgeHog
//@@Section VTKGraphics
//@@Usage
// vtkHedgeHog creates oriented lines from the input data set. Line
// length is controlled by vector (or normal) magnitude times scale
// factor. If VectorMode is UseNormal, normals determine the orientation
// of the lines. Lines are colored by scalar data, if available.
//
//To create an instance of class vtkHedgeHog, simply
//invoke its constructor as follows
//@[
//  obj = vtkHedgeHog
//@]
//@@Methods
//The class vtkHedgeHog has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHedgeHog class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHedgeHog = obj.NewInstance ()|
// \item @|vtkHedgeHog = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScaleFactor (double )| -  Set scale factor to control size of oriented lines.
//// \item @|double = obj.GetScaleFactor ()| -  Set scale factor to control size of oriented lines.
//// \item @|obj.SetVectorMode (int )| -  Specify whether to use vector or normal to perform vector operations.
//// \item @|int = obj.GetVectorMode ()| -  Specify whether to use vector or normal to perform vector operations.
//// \item @|obj.SetVectorModeToUseVector ()| -  Specify whether to use vector or normal to perform vector operations.
//// \item @|obj.SetVectorModeToUseNormal ()| -  Specify whether to use vector or normal to perform vector operations.
//// \item @|string = obj.GetVectorModeAsString ()| -  Specify whether to use vector or normal to perform vector operations.
////\end{itemize}
//!
