#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHierarchicalDataExtractDataSets object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHierarchicalDataExtractDataSets.h"

//@@Signature
//sfunction @vtkHierarchicalDataExtractDataSets:vtkHierarchicalDataExtractDataSets vtkHierarchicalDataExtractDataSetsConstructorFunction
//input a
//output p
//@@Parents vtkHierarchicalDataExtractDataSets vtkExtractDataSets 
ArrayVector vtkHierarchicalDataExtractDataSetsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHierarchicalDataExtractDataSets::New(),"vtkHierarchicalDataExtractDataSets",eval);
  } else if (arg[0].className() == "vtkHierarchicalDataExtractDataSets") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHierarchicalDataExtractDataSets"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHierarchicalDataExtractDataSets");
    vtkHierarchicalDataExtractDataSets*q = reinterpret_cast<vtkHierarchicalDataExtractDataSets*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHierarchicalDataExtractDataSets");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHierarchicalDataExtractDataSets:GetClassName vtkHierarchicalDataExtractDataSetsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalDataExtractDataSetsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHierarchicalDataExtractDataSets requires 1 argument(s)");
  vtkHierarchicalDataExtractDataSets* vtk_pointer = GetVTKPointer<vtkHierarchicalDataExtractDataSets>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataExtractDataSets:IsA vtkHierarchicalDataExtractDataSetsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalDataExtractDataSetsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHierarchicalDataExtractDataSets requires 2 argument(s)");
  vtkHierarchicalDataExtractDataSets* vtk_pointer = GetVTKPointer<vtkHierarchicalDataExtractDataSets>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataExtractDataSets:NewInstance vtkHierarchicalDataExtractDataSetsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHierarchicalDataExtractDataSetsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalDataExtractDataSets *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHierarchicalDataExtractDataSets requires 1 argument(s)");
  vtkHierarchicalDataExtractDataSets* vtk_pointer = GetVTKPointer<vtkHierarchicalDataExtractDataSets>(arg[0]);
  Array retval;
  vtkHierarchicalDataExtractDataSets  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalDataExtractDataSets",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataExtractDataSets:SafeDownCast vtkHierarchicalDataExtractDataSetsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalDataExtractDataSetsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalDataExtractDataSets *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHierarchicalDataExtractDataSets requires 2 argument(s)");
  vtkHierarchicalDataExtractDataSets* vtk_pointer = GetVTKPointer<vtkHierarchicalDataExtractDataSets>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHierarchicalDataExtractDataSets  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalDataExtractDataSets",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataExtractDataSets:display vtkHierarchicalDataExtractDataSetsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalDataExtractDataSetsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHierarchicalDataExtractDataSets* vtk_pointer = GetVTKPointer<vtkHierarchicalDataExtractDataSets>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHierarchicalDataExtractDataSets:delete vtkHierarchicalDataExtractDataSetsDeleteFunction
//input varargin
//output none
ArrayVector vtkHierarchicalDataExtractDataSetsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHierarchicalDataExtractDataSets
//@@Section VTKGraphics
//@@Usage
// Legacy class. Use vtkExtractDataSets instead.
//
//
//To create an instance of class vtkHierarchicalDataExtractDataSets, simply
//invoke its constructor as follows
//@[
//  obj = vtkHierarchicalDataExtractDataSets
//@]
//@@Methods
//The class vtkHierarchicalDataExtractDataSets has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHierarchicalDataExtractDataSets class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHierarchicalDataExtractDataSets = obj.NewInstance ()|
// \item @|vtkHierarchicalDataExtractDataSets = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
