#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHierarchicalDataExtractLevel object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHierarchicalDataExtractLevel.h"

//@@Signature
//sfunction @vtkHierarchicalDataExtractLevel:vtkHierarchicalDataExtractLevel vtkHierarchicalDataExtractLevelConstructorFunction
//input a
//output p
//@@Parents vtkHierarchicalDataExtractLevel vtkExtractLevel 
ArrayVector vtkHierarchicalDataExtractLevelConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHierarchicalDataExtractLevel::New(),"vtkHierarchicalDataExtractLevel",eval);
  } else if (arg[0].className() == "vtkHierarchicalDataExtractLevel") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHierarchicalDataExtractLevel"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHierarchicalDataExtractLevel");
    vtkHierarchicalDataExtractLevel*q = reinterpret_cast<vtkHierarchicalDataExtractLevel*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHierarchicalDataExtractLevel");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHierarchicalDataExtractLevel:GetClassName vtkHierarchicalDataExtractLevelGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalDataExtractLevelGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHierarchicalDataExtractLevel requires 1 argument(s)");
  vtkHierarchicalDataExtractLevel* vtk_pointer = GetVTKPointer<vtkHierarchicalDataExtractLevel>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataExtractLevel:IsA vtkHierarchicalDataExtractLevelIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalDataExtractLevelIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHierarchicalDataExtractLevel requires 2 argument(s)");
  vtkHierarchicalDataExtractLevel* vtk_pointer = GetVTKPointer<vtkHierarchicalDataExtractLevel>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataExtractLevel:NewInstance vtkHierarchicalDataExtractLevelNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHierarchicalDataExtractLevelNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalDataExtractLevel *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHierarchicalDataExtractLevel requires 1 argument(s)");
  vtkHierarchicalDataExtractLevel* vtk_pointer = GetVTKPointer<vtkHierarchicalDataExtractLevel>(arg[0]);
  Array retval;
  vtkHierarchicalDataExtractLevel  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalDataExtractLevel",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataExtractLevel:SafeDownCast vtkHierarchicalDataExtractLevelSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalDataExtractLevelSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalDataExtractLevel *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHierarchicalDataExtractLevel requires 2 argument(s)");
  vtkHierarchicalDataExtractLevel* vtk_pointer = GetVTKPointer<vtkHierarchicalDataExtractLevel>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHierarchicalDataExtractLevel  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalDataExtractLevel",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataExtractLevel:display vtkHierarchicalDataExtractLevelDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalDataExtractLevelDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHierarchicalDataExtractLevel* vtk_pointer = GetVTKPointer<vtkHierarchicalDataExtractLevel>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHierarchicalDataExtractLevel:delete vtkHierarchicalDataExtractLevelDeleteFunction
//input varargin
//output none
ArrayVector vtkHierarchicalDataExtractLevelDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHierarchicalDataExtractLevel
//@@Section VTKGraphics
//@@Usage
// Legacy class. Use vtkExtractLevel instead.
//
//To create an instance of class vtkHierarchicalDataExtractLevel, simply
//invoke its constructor as follows
//@[
//  obj = vtkHierarchicalDataExtractLevel
//@]
//@@Methods
//The class vtkHierarchicalDataExtractLevel has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHierarchicalDataExtractLevel class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHierarchicalDataExtractLevel = obj.NewInstance ()|
// \item @|vtkHierarchicalDataExtractLevel = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
