#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHierarchicalDataLevelFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHierarchicalDataLevelFilter.h"

//@@Signature
//sfunction @vtkHierarchicalDataLevelFilter:vtkHierarchicalDataLevelFilter vtkHierarchicalDataLevelFilterConstructorFunction
//input a
//output p
//@@Parents vtkHierarchicalDataLevelFilter vtkLevelIdScalars 
ArrayVector vtkHierarchicalDataLevelFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHierarchicalDataLevelFilter::New(),"vtkHierarchicalDataLevelFilter",eval);
  } else if (arg[0].className() == "vtkHierarchicalDataLevelFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHierarchicalDataLevelFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHierarchicalDataLevelFilter");
    vtkHierarchicalDataLevelFilter*q = reinterpret_cast<vtkHierarchicalDataLevelFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHierarchicalDataLevelFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHierarchicalDataLevelFilter:GetClassName vtkHierarchicalDataLevelFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalDataLevelFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHierarchicalDataLevelFilter requires 1 argument(s)");
  vtkHierarchicalDataLevelFilter* vtk_pointer = GetVTKPointer<vtkHierarchicalDataLevelFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataLevelFilter:IsA vtkHierarchicalDataLevelFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalDataLevelFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHierarchicalDataLevelFilter requires 2 argument(s)");
  vtkHierarchicalDataLevelFilter* vtk_pointer = GetVTKPointer<vtkHierarchicalDataLevelFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataLevelFilter:NewInstance vtkHierarchicalDataLevelFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHierarchicalDataLevelFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalDataLevelFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHierarchicalDataLevelFilter requires 1 argument(s)");
  vtkHierarchicalDataLevelFilter* vtk_pointer = GetVTKPointer<vtkHierarchicalDataLevelFilter>(arg[0]);
  Array retval;
  vtkHierarchicalDataLevelFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalDataLevelFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataLevelFilter:SafeDownCast vtkHierarchicalDataLevelFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalDataLevelFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalDataLevelFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHierarchicalDataLevelFilter requires 2 argument(s)");
  vtkHierarchicalDataLevelFilter* vtk_pointer = GetVTKPointer<vtkHierarchicalDataLevelFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHierarchicalDataLevelFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalDataLevelFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataLevelFilter:display vtkHierarchicalDataLevelFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalDataLevelFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHierarchicalDataLevelFilter* vtk_pointer = GetVTKPointer<vtkHierarchicalDataLevelFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHierarchicalDataLevelFilter:delete vtkHierarchicalDataLevelFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkHierarchicalDataLevelFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHierarchicalDataLevelFilter
//@@Section VTKGraphics
//@@Usage
// Legacy class. Use vtkLevelIdScalars instead.
//
//
//To create an instance of class vtkHierarchicalDataLevelFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkHierarchicalDataLevelFilter
//@]
//@@Methods
//The class vtkHierarchicalDataLevelFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHierarchicalDataLevelFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHierarchicalDataLevelFilter = obj.NewInstance ()|
// \item @|vtkHierarchicalDataLevelFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
