#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHierarchicalDataSetGeometryFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHierarchicalDataSetGeometryFilter.h"

//@@Signature
//sfunction @vtkHierarchicalDataSetGeometryFilter:vtkHierarchicalDataSetGeometryFilter vtkHierarchicalDataSetGeometryFilterConstructorFunction
//input a
//output p
//@@Parents vtkHierarchicalDataSetGeometryFilter vtkCompositeDataGeometryFilter 
ArrayVector vtkHierarchicalDataSetGeometryFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHierarchicalDataSetGeometryFilter::New(),"vtkHierarchicalDataSetGeometryFilter",eval);
  } else if (arg[0].className() == "vtkHierarchicalDataSetGeometryFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHierarchicalDataSetGeometryFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHierarchicalDataSetGeometryFilter");
    vtkHierarchicalDataSetGeometryFilter*q = reinterpret_cast<vtkHierarchicalDataSetGeometryFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHierarchicalDataSetGeometryFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHierarchicalDataSetGeometryFilter:GetClassName vtkHierarchicalDataSetGeometryFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalDataSetGeometryFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHierarchicalDataSetGeometryFilter requires 1 argument(s)");
  vtkHierarchicalDataSetGeometryFilter* vtk_pointer = GetVTKPointer<vtkHierarchicalDataSetGeometryFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataSetGeometryFilter:IsA vtkHierarchicalDataSetGeometryFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalDataSetGeometryFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHierarchicalDataSetGeometryFilter requires 2 argument(s)");
  vtkHierarchicalDataSetGeometryFilter* vtk_pointer = GetVTKPointer<vtkHierarchicalDataSetGeometryFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataSetGeometryFilter:NewInstance vtkHierarchicalDataSetGeometryFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHierarchicalDataSetGeometryFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalDataSetGeometryFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHierarchicalDataSetGeometryFilter requires 1 argument(s)");
  vtkHierarchicalDataSetGeometryFilter* vtk_pointer = GetVTKPointer<vtkHierarchicalDataSetGeometryFilter>(arg[0]);
  Array retval;
  vtkHierarchicalDataSetGeometryFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalDataSetGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataSetGeometryFilter:SafeDownCast vtkHierarchicalDataSetGeometryFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalDataSetGeometryFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalDataSetGeometryFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHierarchicalDataSetGeometryFilter requires 2 argument(s)");
  vtkHierarchicalDataSetGeometryFilter* vtk_pointer = GetVTKPointer<vtkHierarchicalDataSetGeometryFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHierarchicalDataSetGeometryFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalDataSetGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalDataSetGeometryFilter:display vtkHierarchicalDataSetGeometryFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalDataSetGeometryFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHierarchicalDataSetGeometryFilter* vtk_pointer = GetVTKPointer<vtkHierarchicalDataSetGeometryFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHierarchicalDataSetGeometryFilter:delete vtkHierarchicalDataSetGeometryFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkHierarchicalDataSetGeometryFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHierarchicalDataSetGeometryFilter
//@@Section VTKGraphics
//@@Usage
// Legacy class. Use vtkCompositeDataGeometryFilter instead.
//
//
//To create an instance of class vtkHierarchicalDataSetGeometryFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkHierarchicalDataSetGeometryFilter
//@]
//@@Methods
//The class vtkHierarchicalDataSetGeometryFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHierarchicalDataSetGeometryFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHierarchicalDataSetGeometryFilter = obj.NewInstance ()|
// \item @|vtkHierarchicalDataSetGeometryFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
