#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHull object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHull.h"

//@@Signature
//sfunction @vtkHull:vtkHull vtkHullConstructorFunction
//input a
//output p
//@@Parents vtkHull vtkPolyDataAlgorithm 
ArrayVector vtkHullConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHull::New(),"vtkHull",eval);
  } else if (arg[0].className() == "vtkHull") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHull"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHull");
    vtkHull*q = reinterpret_cast<vtkHull*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHull");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHull:GetClassName vtkHullGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHullGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHull requires 1 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHull:IsA vtkHullIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHullIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHull requires 2 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHull:NewInstance vtkHullNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHullNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHull *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHull requires 1 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  vtkHull  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHull",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHull:SafeDownCast vtkHullSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHullSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHull *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHull requires 2 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHull  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHull",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHull:RemoveAllPlanes vtkHullRemoveAllPlanesFunction
//input a0 
//output none
ArrayVector vtkHullRemoveAllPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllPlanes (void ); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllPlanes for class vtkHull requires 1 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllPlanes();
  return retval;
}

//@@Signature
//sfunction @vtkHull:AddPlane__1 vtkHullAddPlane__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkHullAddPlane__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddPlane (double A, double B, double C); */
  if (arg.size() < 4) 
    throw Exception("Function AddPlane__1 for class vtkHull requires 4 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->AddPlane(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHull:AddPlane__2 vtkHullAddPlane__2Function
//input a0 a1 
//output y
ArrayVector vtkHullAddPlane__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddPlane (double plane[3]); */
  if (arg.size() < 2) 
    throw Exception("Function AddPlane__2 for class vtkHull requires 2 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->AddPlane(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHull:SetPlane__1 vtkHullSetPlane__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkHullSetPlane__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlane (int i, double A, double B, double C); */
  if (arg.size() < 5) 
    throw Exception("Function SetPlane__1 for class vtkHull requires 5 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetPlane(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkHull:SetPlane__2 vtkHullSetPlane__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkHullSetPlane__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlane (int i, double plane[3]); */
  if (arg.size() < 3) 
    throw Exception("Function SetPlane__2 for class vtkHull requires 3 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetPlane(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHull:AddPlane__3 vtkHullAddPlane__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkHullAddPlane__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddPlane (double A, double B, double C, double D); */
  if (arg.size() < 5) 
    throw Exception("Function AddPlane__3 for class vtkHull requires 5 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->AddPlane(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHull:AddPlane__4 vtkHullAddPlane__4Function
//input a0 a1 a2 
//output y
ArrayVector vtkHullAddPlane__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddPlane (double plane[3], double D); */
  if (arg.size() < 3) 
    throw Exception("Function AddPlane__4 for class vtkHull requires 3 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  double temp0[3];
  double   temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->AddPlane(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHull:SetPlane__3 vtkHullSetPlane__3Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkHullSetPlane__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlane (int i, double A, double B, double C, double D); */
  if (arg.size() < 6) 
    throw Exception("Function SetPlane__3 for class vtkHull requires 6 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->SetPlane(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkHull:SetPlane__4 vtkHullSetPlane__4Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkHullSetPlane__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlane (int i, double plane[3], double D); */
  if (arg.size() < 4) 
    throw Exception("Function SetPlane__4 for class vtkHull requires 4 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[5].asDouble();
  vtk_pointer->SetPlane(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkHull:SetPlanes vtkHullSetPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkHullSetPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlanes (vtkPlanes *planes); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlanes for class vtkHull requires 2 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  vtkPlanes  *temp0;
  temp0 = GetVTKPointer<vtkPlanes>(arg[1]);
  vtk_pointer->SetPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHull:GetNumberOfPlanes vtkHullGetNumberOfPlanesFunction
//input a0 
//output y
ArrayVector vtkHullGetNumberOfPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPlanes for class vtkHull requires 1 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPlanes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHull:AddCubeVertexPlanes vtkHullAddCubeVertexPlanesFunction
//input a0 
//output none
ArrayVector vtkHullAddCubeVertexPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCubeVertexPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function AddCubeVertexPlanes for class vtkHull requires 1 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  vtk_pointer->AddCubeVertexPlanes();
  return retval;
}

//@@Signature
//sfunction @vtkHull:AddCubeEdgePlanes vtkHullAddCubeEdgePlanesFunction
//input a0 
//output none
ArrayVector vtkHullAddCubeEdgePlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCubeEdgePlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function AddCubeEdgePlanes for class vtkHull requires 1 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  vtk_pointer->AddCubeEdgePlanes();
  return retval;
}

//@@Signature
//sfunction @vtkHull:AddCubeFacePlanes vtkHullAddCubeFacePlanesFunction
//input a0 
//output none
ArrayVector vtkHullAddCubeFacePlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCubeFacePlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function AddCubeFacePlanes for class vtkHull requires 1 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  vtk_pointer->AddCubeFacePlanes();
  return retval;
}

//@@Signature
//sfunction @vtkHull:AddRecursiveSpherePlanes vtkHullAddRecursiveSpherePlanesFunction
//input a0 a1 
//output none
ArrayVector vtkHullAddRecursiveSpherePlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddRecursiveSpherePlanes (int level); */
  if (arg.size() < 2) 
    throw Exception("Function AddRecursiveSpherePlanes for class vtkHull requires 2 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AddRecursiveSpherePlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHull:GenerateHull__1 vtkHullGenerateHull__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkHullGenerateHull__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateHull (vtkPolyData *pd, double *bounds); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateHull__1 for class vtkHull requires 3 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  double  *temp1;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->GenerateHull(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHull:GenerateHull__2 vtkHullGenerateHull__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkHullGenerateHull__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateHull (vtkPolyData *pd, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 8) 
    throw Exception("Function GenerateHull__2 for class vtkHull requires 8 argument(s)");
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  vtk_pointer->GenerateHull(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkHull:AddPlane vtkHullAddPlaneFunction
//input varargin
//output varargout
ArrayVector vtkHullAddPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkHullAddPlane__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHullAddPlane__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkHullAddPlane__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkHullAddPlane__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHullAddPlane");
}

//@@Signature
//sfunction @vtkHull:SetPlane vtkHullSetPlaneFunction
//input varargin
//output varargout
ArrayVector vtkHullSetPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkHullSetPlane__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkHullSetPlane__2Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkHullSetPlane__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkHullSetPlane__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHullSetPlane");
}

//@@Signature
//sfunction @vtkHull:GenerateHull vtkHullGenerateHullFunction
//input varargin
//output varargout
ArrayVector vtkHullGenerateHullFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkPolyData") && VTKIsVectorArg(arg[2]))
    return vtkHullGenerateHull__1Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsClass(arg[1],"vtkPolyData") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkHullGenerateHull__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHullGenerateHull");
}

//@@Signature
//sfunction @vtkHull:display vtkHullDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHullDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHull* vtk_pointer = GetVTKPointer<vtkHull>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHull:delete vtkHullDeleteFunction
//input varargin
//output none
ArrayVector vtkHullDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHull
//@@Section VTKGraphics
//@@Usage
// vtkHull is a filter which will produce an n-sided convex hull given a
// set of n planes. (The convex hull bounds the input polygonal data.)
// The hull is generated by squeezing the planes towards the input
// vtkPolyData, until the planes just touch the vtkPolyData. Then,
// the resulting planes are used to generate a polyhedron (i.e., hull)
// that is represented by triangles.
//
// The n planes can be defined in a number of ways including 1) manually 
// specifying each plane; 2) choosing the six face planes of the input's
// bounding box; 3) choosing the eight vertex planes of the input's
// bounding box; 4) choosing the twelve edge planes of the input's
// bounding box; and/or 5) using a recursively subdivided octahedron.
// Note that when specifying planes, the plane normals should point
// outside of the convex region.
//
// The output of this filter can be used in combination with vtkLODActor 
// to represent a levels-of-detail in the LOD hierarchy. Another use of
// this class is to manually specify the planes, and then generate the
// polyhedron from the planes (without squeezing the planes towards the
// input). The method GenerateHull() is used to do this.
//
//To create an instance of class vtkHull, simply
//invoke its constructor as follows
//@[
//  obj = vtkHull
//@]
//@@Methods
//The class vtkHull has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHull class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHull = obj.NewInstance ()|
// \item @|vtkHull = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RemoveAllPlanes (void )| -  Remove all planes from the current set of planes.  
//// \item @|int = obj.AddPlane (double A, double B, double C)| -  Add a plane to the current set of planes. It will be added at the
// end of the list, and an index that can later be used to set this
// plane's normal will be returned. The values A, B, C are from the
// plane equation Ax + By + Cz + D = 0. This vector does not have to
// have unit length (but it must have a non-zero length!). If a value
// 0 > i >= -NumberOfPlanes is returned, then the plane is parallel
// with a previously inserted plane, and |-i-1| is the index of the
// plane that was previously inserted. If a value i < -NumberOfPlanes
// is returned, then the plane normal is zero length.
//// \item @|int = obj.AddPlane (double plane[3])| -  Add a plane to the current set of planes. It will be added at the
// end of the list, and an index that can later be used to set this
// plane's normal will be returned. The values A, B, C are from the
// plane equation Ax + By + Cz + D = 0. This vector does not have to
// have unit length (but it must have a non-zero length!). If a value
// 0 > i >= -NumberOfPlanes is returned, then the plane is parallel
// with a previously inserted plane, and |-i-1| is the index of the
// plane that was previously inserted. If a value i < -NumberOfPlanes
// is returned, then the plane normal is zero length.
//// \item @|obj.SetPlane (int i, double A, double B, double C)| -  Set the normal values for plane i. This is a plane that was already
// added to the current set of planes with AddPlane(), and is now being
// modified. The values A, B, C are from the plane equation 
// Ax + By + Cz + D = 0. This vector does not have to have unit length.
// Note that D is set to zero, except in the case of the method taking
// a vtkPlanes* argument, where it is set to the D value defined there.
//// \item @|obj.SetPlane (int i, double plane[3])| -  Set the normal values for plane i. This is a plane that was already
// added to the current set of planes with AddPlane(), and is now being
// modified. The values A, B, C are from the plane equation 
// Ax + By + Cz + D = 0. This vector does not have to have unit length.
// Note that D is set to zero, except in the case of the method taking
// a vtkPlanes* argument, where it is set to the D value defined there.
//// \item @|int = obj.AddPlane (double A, double B, double C, double D)| -  Variations of AddPlane()/SetPlane() that allow D to be set. These 
// methods are used when GenerateHull() is used.
//// \item @|int = obj.AddPlane (double plane[3], double D)| -  Variations of AddPlane()/SetPlane() that allow D to be set. These 
// methods are used when GenerateHull() is used.
//// \item @|obj.SetPlane (int i, double A, double B, double C, double D)| -  Variations of AddPlane()/SetPlane() that allow D to be set. These 
// methods are used when GenerateHull() is used.
//// \item @|obj.SetPlane (int i, double plane[3], double D)| -  Variations of AddPlane()/SetPlane() that allow D to be set. These 
// methods are used when GenerateHull() is used.
//// \item @|obj.SetPlanes (vtkPlanes planes)| -  Set all the planes at once using a vtkPlanes implicit function.
// This also sets the D value, so it can be used with GenerateHull().
//// \item @|int = obj.GetNumberOfPlanes ()| -  Get the number of planes in the current set of planes.
//// \item @|obj.AddCubeVertexPlanes ()| -  Add the 8 planes that represent the vertices of a cube - the combination
// of the three face planes connecting to a vertex - (1,1,1), (1,1,-1),
// (1,-1,1), (1,-1,1), (-1,1,1), (-1,1,-1), (-1,-1,1), (-1,-1-1).
//// \item @|obj.AddCubeEdgePlanes ()| -  Add the 12 planes that represent the edges of a cube - halfway between
// the two connecting face planes - (1,1,0), (-1,-1,0), (-1,1,0), (1,-1,0),
// (0,1,1), (0,-1,-1), (0,1,-1), (0,-1,1), (1,0,1), (-1,0,-1),
// (1,0,-1), (-1,0,1)
//// \item @|obj.AddCubeFacePlanes ()| -  Add the six planes that make up the faces of a cube - (1,0,0),
// (-1, 0, 0), (0,1,0), (0,-1,0), (0,0,1), (0,0,-1)
//// \item @|obj.AddRecursiveSpherePlanes (int level)| -  Add the planes that represent the normals of the vertices of a
// polygonal sphere formed by recursively subdividing the triangles
// in an octahedron.  Each triangle is subdivided by connecting the
// midpoints of the edges thus forming 4 smaller triangles. The
// level indicates how many subdivisions to do with a level of 0
// used to add the 6 planes from the original octahedron, level 1
// will add 18 planes, and so on.
//// \item @|obj.GenerateHull (vtkPolyData pd, double bounds)| -  A special method that is used to generate a polyhedron directly
// from a set of n planes. The planes that are supplied by the user
// are not squeezed towards the input data (in fact the user need
// not specify an input). To use this method, you must provide an
// instance of vtkPolyData into which the points and cells defining
// the polyhedron are placed. You must also provide a bounding box
// where you expect the resulting polyhedron to lie. This can be
// a very generous fit, it's only used to create the initial polygons
// that are eventually clipped.
//// \item @|obj.GenerateHull (vtkPolyData pd, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  A special method that is used to generate a polyhedron directly
// from a set of n planes. The planes that are supplied by the user
// are not squeezed towards the input data (in fact the user need
// not specify an input). To use this method, you must provide an
// instance of vtkPolyData into which the points and cells defining
// the polyhedron are placed. You must also provide a bounding box
// where you expect the resulting polyhedron to lie. This can be
// a very generous fit, it's only used to create the initial polygons
// that are eventually clipped.
////\end{itemize}
//!
