#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHyperOctreeContourFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHyperOctreeContourFilter.h"

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:vtkHyperOctreeContourFilter vtkHyperOctreeContourFilterConstructorFunction
//input a
//output p
//@@Parents vtkHyperOctreeContourFilter vtkPolyDataAlgorithm 
ArrayVector vtkHyperOctreeContourFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHyperOctreeContourFilter::New(),"vtkHyperOctreeContourFilter",eval);
  } else if (arg[0].className() == "vtkHyperOctreeContourFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHyperOctreeContourFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHyperOctreeContourFilter");
    vtkHyperOctreeContourFilter*q = reinterpret_cast<vtkHyperOctreeContourFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHyperOctreeContourFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHyperOctreeContourFilter:GetClassName vtkHyperOctreeContourFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeContourFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHyperOctreeContourFilter requires 1 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:IsA vtkHyperOctreeContourFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeContourFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHyperOctreeContourFilter requires 2 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:NewInstance vtkHyperOctreeContourFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeContourFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeContourFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHyperOctreeContourFilter requires 1 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  vtkHyperOctreeContourFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeContourFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:SafeDownCast vtkHyperOctreeContourFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeContourFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeContourFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHyperOctreeContourFilter requires 2 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHyperOctreeContourFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeContourFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:SetValue vtkHyperOctreeContourFilterSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkHyperOctreeContourFilterSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value);this ContourValues SetValue i value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkHyperOctreeContourFilter requires 3 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:GetValue vtkHyperOctreeContourFilterGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeContourFilterGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i);return this ContourValues GetValue i  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkHyperOctreeContourFilter requires 2 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:GetValues__2 vtkHyperOctreeContourFilterGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeContourFilterGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues);this ContourValues GetValues contourValues  */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkHyperOctreeContourFilter requires 2 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:SetNumberOfContours vtkHyperOctreeContourFilterSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeContourFilterSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number);this ContourValues SetNumberOfContours number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkHyperOctreeContourFilter requires 2 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:GetNumberOfContours vtkHyperOctreeContourFilterGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeContourFilterGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours ();return this ContourValues GetNumberOfContours  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkHyperOctreeContourFilter requires 1 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:GenerateValues__1 vtkHyperOctreeContourFilterGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkHyperOctreeContourFilterGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]);this ContourValues GenerateValues numContours range  */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkHyperOctreeContourFilter requires 3 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:GenerateValues__2 vtkHyperOctreeContourFilterGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkHyperOctreeContourFilterGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd);this ContourValues GenerateValues numContours rangeStart rangeEnd  */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkHyperOctreeContourFilter requires 4 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:GetMTime vtkHyperOctreeContourFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeContourFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkHyperOctreeContourFilter requires 1 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:SetLocator vtkHyperOctreeContourFilterSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeContourFilterSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkHyperOctreeContourFilter requires 2 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:GetLocator vtkHyperOctreeContourFilterGetLocatorFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeContourFilterGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkHyperOctreeContourFilter requires 1 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:CreateDefaultLocator vtkHyperOctreeContourFilterCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeContourFilterCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkHyperOctreeContourFilter requires 1 argument(s)");
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:GetValues vtkHyperOctreeContourFilterGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeContourFilterGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHyperOctreeContourFilterGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeContourFilterGetValues");
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:GenerateValues vtkHyperOctreeContourFilterGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeContourFilterGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkHyperOctreeContourFilterGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkHyperOctreeContourFilterGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeContourFilterGenerateValues");
}

//@@Signature
//sfunction @vtkHyperOctreeContourFilter:display vtkHyperOctreeContourFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeContourFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHyperOctreeContourFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeContourFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHyperOctreeContourFilter:delete vtkHyperOctreeContourFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkHyperOctreeContourFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHyperOctreeContourFilter
//@@Section VTKGraphics
//@@Usage
// vtkContourFilter is a filter that takes as input any dataset and 
// generates on output isosurfaces and/or isolines. The exact form 
// of the output depends upon the dimensionality of the input data. 
// Data consisting of 3D cells will generate isosurfaces, data 
// consisting of 2D cells will generate isolines, and data with 1D 
// or 0D cells will generate isopoints. Combinations of output type 
// are possible if the input dimension is mixed.
//
// To use this filter you must specify one or more contour values.
// You can either use the method SetValue() to specify each contour
// value, or use GenerateValues() to generate a series of evenly
// spaced contours. It is also possible to accelerate the operation of
// this filter (at the cost of extra memory) by using a
// vtkScalarTree. A scalar tree is used to quickly locate cells that
// contain a contour surface. This is especially effective if multiple
// contours are being extracted. If you want to use a scalar tree,
// invoke the method UseScalarTreeOn().
//
//To create an instance of class vtkHyperOctreeContourFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkHyperOctreeContourFilter
//@]
//@@Methods
//The class vtkHyperOctreeContourFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHyperOctreeContourFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHyperOctreeContourFilter = obj.NewInstance ()|
// \item @|vtkHyperOctreeContourFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (int i, double value)| -  Get the ith contour value.
//// \item @|double = obj.GetValue (int i)| -  Get a pointer to an array of contour values. There will be
// GetNumberOfContours() values in the list.
//// \item @|obj.GetValues (double contourValues)| -  Set the number of contours to place into the list. You only really
// need to use this method to reduce list size. The method SetValue()
// will automatically increase list size as needed.
//// \item @|obj.SetNumberOfContours (int number)| -  Get the number of contours in the list of contour values.
//// \item @|int = obj.GetNumberOfContours ()| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Modified GetMTime Because we delegate to vtkContourValues
//// \item @|long = obj.GetMTime ()| -  Modified GetMTime Because we delegate to vtkContourValues
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is
// specified. The locator is used to merge coincident points.
////\end{itemize}
//!
