#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHyperOctreeCutter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHyperOctreeCutter.h"

//@@Signature
//sfunction @vtkHyperOctreeCutter:vtkHyperOctreeCutter vtkHyperOctreeCutterConstructorFunction
//input a
//output p
//@@Parents vtkHyperOctreeCutter vtkPolyDataAlgorithm 
ArrayVector vtkHyperOctreeCutterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHyperOctreeCutter::New(),"vtkHyperOctreeCutter",eval);
  } else if (arg[0].className() == "vtkHyperOctreeCutter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHyperOctreeCutter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHyperOctreeCutter");
    vtkHyperOctreeCutter*q = reinterpret_cast<vtkHyperOctreeCutter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHyperOctreeCutter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHyperOctreeCutter:GetClassName vtkHyperOctreeCutterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:IsA vtkHyperOctreeCutterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeCutterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHyperOctreeCutter requires 2 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:NewInstance vtkHyperOctreeCutterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeCutter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtkHyperOctreeCutter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeCutter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:SafeDownCast vtkHyperOctreeCutterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeCutterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeCutter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHyperOctreeCutter requires 2 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHyperOctreeCutter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeCutter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:SetValue vtkHyperOctreeCutterSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkHyperOctreeCutterSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value);this ContourValues SetValue i value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkHyperOctreeCutter requires 3 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetValue vtkHyperOctreeCutterGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeCutterGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i);return this ContourValues GetValue i  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkHyperOctreeCutter requires 2 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetValues__2 vtkHyperOctreeCutterGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeCutterGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues);this ContourValues GetValues contourValues  */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkHyperOctreeCutter requires 2 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:SetNumberOfContours vtkHyperOctreeCutterSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeCutterSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number);this ContourValues SetNumberOfContours number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkHyperOctreeCutter requires 2 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetNumberOfContours vtkHyperOctreeCutterGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours ();return this ContourValues GetNumberOfContours  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GenerateValues__1 vtkHyperOctreeCutterGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkHyperOctreeCutterGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]);this ContourValues GenerateValues numContours range  */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkHyperOctreeCutter requires 3 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GenerateValues__2 vtkHyperOctreeCutterGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkHyperOctreeCutterGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd);this ContourValues GenerateValues numContours rangeStart rangeEnd  */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkHyperOctreeCutter requires 4 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetMTime vtkHyperOctreeCutterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:SetCutFunction vtkHyperOctreeCutterSetCutFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeCutterSetCutFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCutFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutFunction for class vtkHyperOctreeCutter requires 2 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetCutFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetCutFunction vtkHyperOctreeCutterGetCutFunctionFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterGetCutFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetCutFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutFunction for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetCutFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:SetGenerateCutScalars vtkHyperOctreeCutterSetGenerateCutScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeCutterSetGenerateCutScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateCutScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateCutScalars for class vtkHyperOctreeCutter requires 2 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateCutScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetGenerateCutScalars vtkHyperOctreeCutterGetGenerateCutScalarsFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterGetGenerateCutScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateCutScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateCutScalars for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateCutScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GenerateCutScalarsOn vtkHyperOctreeCutterGenerateCutScalarsOnFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeCutterGenerateCutScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCutScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCutScalarsOn for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCutScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GenerateCutScalarsOff vtkHyperOctreeCutterGenerateCutScalarsOffFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeCutterGenerateCutScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCutScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCutScalarsOff for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCutScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:SetLocator vtkHyperOctreeCutterSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeCutterSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkHyperOctreeCutter requires 2 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetLocator vtkHyperOctreeCutterGetLocatorFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:SetSortBy vtkHyperOctreeCutterSetSortByFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeCutterSetSortByFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortBy (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSortBy for class vtkHyperOctreeCutter requires 2 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSortBy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetSortByMinValue vtkHyperOctreeCutterGetSortByMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterGetSortByMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortByMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortByMinValue for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortByMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetSortByMaxValue vtkHyperOctreeCutterGetSortByMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterGetSortByMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortByMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortByMaxValue for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortByMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetSortBy vtkHyperOctreeCutterGetSortByFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterGetSortByFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortBy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortBy for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortBy();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:SetSortByToSortByValue vtkHyperOctreeCutterSetSortByToSortByValueFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeCutterSetSortByToSortByValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortByToSortByValue ();this SetSortBy VTK_SORT_BY_VALUE  */
  if (arg.size() < 1) 
    throw Exception("Function SetSortByToSortByValue for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtk_pointer->SetSortByToSortByValue();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:SetSortByToSortByCell vtkHyperOctreeCutterSetSortByToSortByCellFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeCutterSetSortByToSortByCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortByToSortByCell ();this SetSortBy VTK_SORT_BY_CELL  */
  if (arg.size() < 1) 
    throw Exception("Function SetSortByToSortByCell for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtk_pointer->SetSortByToSortByCell();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetSortByAsString vtkHyperOctreeCutterGetSortByAsStringFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeCutterGetSortByAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetSortByAsString ();if this SortBy VTK_SORT_BY_VALUE return else return  */
  if (arg.size() < 1) 
    throw Exception("Function GetSortByAsString for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetSortByAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:CreateDefaultLocator vtkHyperOctreeCutterCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeCutterCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkHyperOctreeCutter requires 1 argument(s)");
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GetValues vtkHyperOctreeCutterGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeCutterGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHyperOctreeCutterGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeCutterGetValues");
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:GenerateValues vtkHyperOctreeCutterGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeCutterGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkHyperOctreeCutterGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkHyperOctreeCutterGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeCutterGenerateValues");
}

//@@Signature
//sfunction @vtkHyperOctreeCutter:display vtkHyperOctreeCutterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeCutterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHyperOctreeCutter* vtk_pointer = GetVTKPointer<vtkHyperOctreeCutter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHyperOctreeCutter:delete vtkHyperOctreeCutterDeleteFunction
//input varargin
//output none
ArrayVector vtkHyperOctreeCutterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHyperOctreeCutter
//@@Section VTKGraphics
//@@Usage
// vtkHyperOctreeCutter is a filter to cut through data using any subclass of 
// vtkImplicitFunction. That is, a polygonal surface is created
// corresponding to the implicit function F(x,y,z) = value(s), where
// you can specify one or more values used to cut with.
//
// In VTK, cutting means reducing a cell of dimension N to a cut surface
// of dimension N-1. For example, a tetrahedron when cut by a plane (i.e.,
// vtkPlane implicit function) will generate triangles. (In comparison,
// clipping takes a N dimensional cell and creates N dimension primitives.)
//
// vtkHyperOctreeCutter is generally used to "slice-through" a dataset,
// generating a surface that can be visualized. It is also possible to use
// vtkHyperOctreeCutter to do a form of volume rendering. vtkHyperOctreeCutter
// does this by generating multiple cut surfaces (usually planes) which are
// ordered (and rendered) from back-to-front. The surfaces are set translucent
// to give a volumetric rendering effect.
//
// Note that data can be cut using either 1) the scalar values associated
// with the dataset or 2) an implicit function associated with this class.
// By default, if an implicit function is set it is used to cut the data
// set, otherwise the dataset scalars are used to perform the cut.
//
//To create an instance of class vtkHyperOctreeCutter, simply
//invoke its constructor as follows
//@[
//  obj = vtkHyperOctreeCutter
//@]
//@@Methods
//The class vtkHyperOctreeCutter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHyperOctreeCutter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHyperOctreeCutter = obj.NewInstance ()|
// \item @|vtkHyperOctreeCutter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (int i, double value)| -  Get the ith contour value.
//// \item @|double = obj.GetValue (int i)| -  Get a pointer to an array of contour values. There will be
// GetNumberOfContours() values in the list.
//// \item @|obj.GetValues (double contourValues)| -  Set the number of contours to place into the list. You only really
// need to use this method to reduce list size. The method SetValue()
// will automatically increase list size as needed.
//// \item @|obj.SetNumberOfContours (int number)| -  Get the number of contours in the list of contour values.
//// \item @|int = obj.GetNumberOfContours ()| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Override GetMTime because we delegate to vtkContourValues and refer to
// vtkImplicitFunction.
//// \item @|long = obj.GetMTime ()| -  Override GetMTime because we delegate to vtkContourValues and refer to
// vtkImplicitFunction.
//// \item @|obj.SetCutFunction (vtkImplicitFunction )|
// \item @|vtkImplicitFunction = obj.GetCutFunction ()|
// \item @|obj.SetGenerateCutScalars (int )| -  If this flag is enabled, then the output scalar values will be
// interpolated from the implicit function values, and not the input scalar
// data.
//// \item @|int = obj.GetGenerateCutScalars ()| -  If this flag is enabled, then the output scalar values will be
// interpolated from the implicit function values, and not the input scalar
// data.
//// \item @|obj.GenerateCutScalarsOn ()| -  If this flag is enabled, then the output scalar values will be
// interpolated from the implicit function values, and not the input scalar
// data.
//// \item @|obj.GenerateCutScalarsOff ()| -  If this flag is enabled, then the output scalar values will be
// interpolated from the implicit function values, and not the input scalar
// data.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Specify a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Specify a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|obj.SetSortBy (int )| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|int = obj.GetSortByMinValue ()| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|int = obj.GetSortByMaxValue ()| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|int = obj.GetSortBy ()| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|obj.SetSortByToSortByValue ()| -  Set the sorting order for the generated polydata. There are two
// possibilities:
//   Sort by value = 0 - This is the most efficient sort. For each cell,
//      all contour values are processed. This is the default.
//   Sort by cell = 1 - For each contour value, all cells are processed.
//      This order should be used if the extracted polygons must be rendered
//      in a back-to-front or front-to-back order. This is very problem 
//      dependent.
// For most applications, the default order is fine (and faster).
//
// Sort by cell is going to have a problem if the input has 2D and 3D cells.
// Cell data will be scrambled becauses with 
// vtkPolyData output, verts and lines have lower cell ids than triangles.
//// \item @|obj.SetSortByToSortByCell ()| -  Return the sorting procedure as a descriptive character string.
//// \item @|string = obj.GetSortByAsString ()| -  Create default locator. Used to create one when none is specified. The 
// locator is used to merge coincident points.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified. The 
// locator is used to merge coincident points.
////\end{itemize}
//!
