#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHyperOctreeDepth object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHyperOctreeDepth.h"

//@@Signature
//sfunction @vtkHyperOctreeDepth:vtkHyperOctreeDepth vtkHyperOctreeDepthConstructorFunction
//input a
//output p
//@@Parents vtkHyperOctreeDepth vtkDataSetAlgorithm 
ArrayVector vtkHyperOctreeDepthConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHyperOctreeDepth::New(),"vtkHyperOctreeDepth",eval);
  } else if (arg[0].className() == "vtkHyperOctreeDepth") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHyperOctreeDepth"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHyperOctreeDepth");
    vtkHyperOctreeDepth*q = reinterpret_cast<vtkHyperOctreeDepth*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHyperOctreeDepth");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHyperOctreeDepth:GetClassName vtkHyperOctreeDepthGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeDepthGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHyperOctreeDepth requires 1 argument(s)");
  vtkHyperOctreeDepth* vtk_pointer = GetVTKPointer<vtkHyperOctreeDepth>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeDepth:IsA vtkHyperOctreeDepthIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeDepthIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHyperOctreeDepth requires 2 argument(s)");
  vtkHyperOctreeDepth* vtk_pointer = GetVTKPointer<vtkHyperOctreeDepth>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeDepth:NewInstance vtkHyperOctreeDepthNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeDepthNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeDepth *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHyperOctreeDepth requires 1 argument(s)");
  vtkHyperOctreeDepth* vtk_pointer = GetVTKPointer<vtkHyperOctreeDepth>(arg[0]);
  Array retval;
  vtkHyperOctreeDepth  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeDepth",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeDepth:SafeDownCast vtkHyperOctreeDepthSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeDepthSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeDepth *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHyperOctreeDepth requires 2 argument(s)");
  vtkHyperOctreeDepth* vtk_pointer = GetVTKPointer<vtkHyperOctreeDepth>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHyperOctreeDepth  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeDepth",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeDepth:display vtkHyperOctreeDepthDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeDepthDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHyperOctreeDepth* vtk_pointer = GetVTKPointer<vtkHyperOctreeDepth>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHyperOctreeDepth:delete vtkHyperOctreeDepthDeleteFunction
//input varargin
//output none
ArrayVector vtkHyperOctreeDepthDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHyperOctreeDepth
//@@Section VTKGraphics
//@@Usage
// This filter returns a shallow copy of its input HyperOctree with a new
// data attribute field containing the depth of each cell.
//
//To create an instance of class vtkHyperOctreeDepth, simply
//invoke its constructor as follows
//@[
//  obj = vtkHyperOctreeDepth
//@]
//@@Methods
//The class vtkHyperOctreeDepth has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHyperOctreeDepth class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHyperOctreeDepth = obj.NewInstance ()|
// \item @|vtkHyperOctreeDepth = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
