#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHyperOctreeFractalSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHyperOctreeFractalSource.h"

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:vtkHyperOctreeFractalSource vtkHyperOctreeFractalSourceConstructorFunction
//input a
//output p
//@@Parents vtkHyperOctreeFractalSource vtkHyperOctreeAlgorithm 
ArrayVector vtkHyperOctreeFractalSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHyperOctreeFractalSource::New(),"vtkHyperOctreeFractalSource",eval);
  } else if (arg[0].className() == "vtkHyperOctreeFractalSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHyperOctreeFractalSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHyperOctreeFractalSource");
    vtkHyperOctreeFractalSource*q = reinterpret_cast<vtkHyperOctreeFractalSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHyperOctreeFractalSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetClassName vtkHyperOctreeFractalSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:IsA vtkHyperOctreeFractalSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeFractalSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHyperOctreeFractalSource requires 2 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:NewInstance vtkHyperOctreeFractalSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeFractalSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  vtkHyperOctreeFractalSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeFractalSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SafeDownCast vtkHyperOctreeFractalSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeFractalSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeFractalSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHyperOctreeFractalSource requires 2 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHyperOctreeFractalSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeFractalSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetMaximumLevel vtkHyperOctreeFractalSourceGetMaximumLevelFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetMaximumLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLevel for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetMaximumLevel vtkHyperOctreeFractalSourceSetMaximumLevelFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetMaximumLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumLevel (int levels); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumLevel for class vtkHyperOctreeFractalSource requires 2 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetMinimumLevel vtkHyperOctreeFractalSourceSetMinimumLevelFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetMinimumLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumLevel (int level); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumLevel for class vtkHyperOctreeFractalSource requires 2 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinimumLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetMinimumLevel vtkHyperOctreeFractalSourceGetMinimumLevelFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetMinimumLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinimumLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumLevel for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinimumLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetProjectionAxes__1 vtkHyperOctreeFractalSourceSetProjectionAxes__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetProjectionAxes__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionAxes (int x, int y, int z); */
  if (arg.size() < 4) 
    throw Exception("Function SetProjectionAxes__1 for class vtkHyperOctreeFractalSource requires 4 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetProjectionAxes(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetProjectionAxes__2 vtkHyperOctreeFractalSourceSetProjectionAxes__2Function
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetProjectionAxes__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionAxes (int a[3]);this SetProjectionAxes a a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionAxes__2 for class vtkHyperOctreeFractalSource requires 2 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetProjectionAxes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetProjectionAxes vtkHyperOctreeFractalSourceGetProjectionAxesFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetProjectionAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetProjectionAxes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionAxes for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetProjectionAxes();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetOriginCX__1 vtkHyperOctreeFractalSourceSetOriginCX__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetOriginCX__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginCX (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetOriginCX__1 for class vtkHyperOctreeFractalSource requires 5 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetOriginCX(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetOriginCX__2 vtkHyperOctreeFractalSourceSetOriginCX__2Function
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetOriginCX__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginCX (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOriginCX__2 for class vtkHyperOctreeFractalSource requires 2 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOriginCX(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetOriginCX vtkHyperOctreeFractalSourceGetOriginCXFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetOriginCXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOriginCX (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOriginCX for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOriginCX();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetSizeCX__1 vtkHyperOctreeFractalSourceSetSizeCX__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetSizeCX__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSizeCX (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetSizeCX__1 for class vtkHyperOctreeFractalSource requires 5 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetSizeCX(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetSizeCX__2 vtkHyperOctreeFractalSourceSetSizeCX__2Function
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetSizeCX__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSizeCX (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSizeCX__2 for class vtkHyperOctreeFractalSource requires 2 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSizeCX(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetSizeCX vtkHyperOctreeFractalSourceGetSizeCXFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetSizeCXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSizeCX (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSizeCX for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSizeCX();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetMaximumNumberOfIterations vtkHyperOctreeFractalSourceSetMaximumNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetMaximumNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfIterations (unsigned short ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfIterations for class vtkHyperOctreeFractalSource requires 2 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  unsigned short    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned short) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetMaximumNumberOfIterationsMinValue vtkHyperOctreeFractalSourceGetMaximumNumberOfIterationsMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetMaximumNumberOfIterationsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned GetMaximumNumberOfIterationsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfIterationsMinValue for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  unsigned short    temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfIterationsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetMaximumNumberOfIterationsMaxValue vtkHyperOctreeFractalSourceGetMaximumNumberOfIterationsMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetMaximumNumberOfIterationsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned GetMaximumNumberOfIterationsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfIterationsMaxValue for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  unsigned short    temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfIterationsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetMaximumNumberOfIterations vtkHyperOctreeFractalSourceGetMaximumNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetMaximumNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char unsigned GetMaximumNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfIterations for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  unsigned char     temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetDimension vtkHyperOctreeFractalSourceSetDimensionFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimension (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimension for class vtkHyperOctreeFractalSource requires 2 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetDimensionMinValue vtkHyperOctreeFractalSourceGetDimensionMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetDimensionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionMinValue for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetDimensionMaxValue vtkHyperOctreeFractalSourceGetDimensionMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetDimensionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionMaxValue for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetDimension vtkHyperOctreeFractalSourceGetDimensionFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetSpanThreshold vtkHyperOctreeFractalSourceSetSpanThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeFractalSourceSetSpanThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpanThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpanThreshold for class vtkHyperOctreeFractalSource requires 2 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSpanThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:GetSpanThreshold vtkHyperOctreeFractalSourceGetSpanThresholdFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeFractalSourceGetSpanThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpanThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpanThreshold for class vtkHyperOctreeFractalSource requires 1 argument(s)");
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpanThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetProjectionAxes vtkHyperOctreeFractalSourceSetProjectionAxesFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeFractalSourceSetProjectionAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkHyperOctreeFractalSourceSetProjectionAxes__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHyperOctreeFractalSourceSetProjectionAxes__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeFractalSourceSetProjectionAxes");
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetOriginCX vtkHyperOctreeFractalSourceSetOriginCXFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeFractalSourceSetOriginCXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkHyperOctreeFractalSourceSetOriginCX__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHyperOctreeFractalSourceSetOriginCX__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeFractalSourceSetOriginCX");
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:SetSizeCX vtkHyperOctreeFractalSourceSetSizeCXFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeFractalSourceSetSizeCXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkHyperOctreeFractalSourceSetSizeCX__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHyperOctreeFractalSourceSetSizeCX__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperOctreeFractalSourceSetSizeCX");
}

//@@Signature
//sfunction @vtkHyperOctreeFractalSource:display vtkHyperOctreeFractalSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeFractalSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHyperOctreeFractalSource* vtk_pointer = GetVTKPointer<vtkHyperOctreeFractalSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHyperOctreeFractalSource:delete vtkHyperOctreeFractalSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkHyperOctreeFractalSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHyperOctreeFractalSource
//@@Section VTKGraphics
//@@Usage
//
//
//To create an instance of class vtkHyperOctreeFractalSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkHyperOctreeFractalSource
//@]
//@@Methods
//The class vtkHyperOctreeFractalSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHyperOctreeFractalSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHyperOctreeFractalSource = obj.NewInstance ()|
// \item @|vtkHyperOctreeFractalSource = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetMaximumLevel ()| -  Return the maximum number of levels of the hyperoctree.
// \post positive_result: result>=1
//// \item @|obj.SetMaximumLevel (int levels)| -  Set the maximum number of levels of the hyperoctree. If
// GetMinLevels()>=levels, GetMinLevels() is changed to levels-1.
// \pre positive_levels: levels>=1
// \post is_set: this->GetLevels()==levels
// \post min_is_valid: this->GetMinLevels()<this->GetLevels()
//// \item @|obj.SetMinimumLevel (int level)| -  Return the minimal number of levels of systematic subdivision.
// \post positive_result: result>=0
//// \item @|int = obj.GetMinimumLevel ()| -  Return the minimal number of levels of systematic subdivision.
// \post positive_result: result>=0
//// \item @|obj.SetProjectionAxes (int x, int y, int z)| -  Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)
// to the axes of the 3D Volume. 
// 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary
//// \item @|obj.SetProjectionAxes (int a[3])| -  Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)
// to the axes of the 3D Volume. 
// 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary
//// \item @|int = obj. GetProjectionAxes ()| -  Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)
// to the axes of the 3D Volume. 
// 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary
//// \item @|obj.SetOriginCX (double , double , double , double )| -  Imaginary and real value for C (constant in equation) 
// and X (initial value).
//// \item @|obj.SetOriginCX (double  a[4])| -  Imaginary and real value for C (constant in equation) 
// and X (initial value).
//// \item @|double = obj. GetOriginCX ()| -  Imaginary and real value for C (constant in equation) 
// and X (initial value).
//// \item @|obj.SetSizeCX (double , double , double , double )| -  Just a different way of setting the sample.  
// This sets the size of the 4D volume. 
// SampleCX is computed from size and extent.
// Size is ignored when a dimension i 0 (collapsed).
//// \item @|obj.SetSizeCX (double  a[4])| -  Just a different way of setting the sample.  
// This sets the size of the 4D volume. 
// SampleCX is computed from size and extent.
// Size is ignored when a dimension i 0 (collapsed).
//// \item @|double = obj. GetSizeCX ()| -  Just a different way of setting the sample.  
// This sets the size of the 4D volume. 
// SampleCX is computed from size and extent.
// Size is ignored when a dimension i 0 (collapsed).
//// \item @|obj.SetMaximumNumberOfIterations (short )| -  The maximum number of cycles run to see if the value goes over 2
//// \item @|GetMaximumNumberOfIterationsMinValue = obj.()| -  The maximum number of cycles run to see if the value goes over 2
//// \item @|GetMaximumNumberOfIterationsMaxValue = obj.()| -  The maximum number of cycles run to see if the value goes over 2
//// \item @|char = obj.GetMaximumNumberOfIterations ()| -  The maximum number of cycles run to see if the value goes over 2
//// \item @|obj.SetDimension (int )| -  Create a 2D or 3D fractal.
//// \item @|int = obj.GetDimensionMinValue ()| -  Create a 2D or 3D fractal.
//// \item @|int = obj.GetDimensionMaxValue ()| -  Create a 2D or 3D fractal.
//// \item @|int = obj.GetDimension ()| -  Create a 2D or 3D fractal.
//// \item @|obj.SetSpanThreshold (double )| -  Controls when a leaf gets subdivided.  If the corner values span 
// a larger range than this value, the leaf is subdivided.  This
// defaults to 2.
//// \item @|double = obj.GetSpanThreshold ()| -  Controls when a leaf gets subdivided.  If the corner values span 
// a larger range than this value, the leaf is subdivided.  This
// defaults to 2.
////\end{itemize}
//!
