#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHyperOctreeSurfaceFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHyperOctreeSurfaceFilter.h"

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:vtkHyperOctreeSurfaceFilter vtkHyperOctreeSurfaceFilterConstructorFunction
//input a
//output p
//@@Parents vtkHyperOctreeSurfaceFilter vtkPolyDataAlgorithm 
ArrayVector vtkHyperOctreeSurfaceFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHyperOctreeSurfaceFilter::New(),"vtkHyperOctreeSurfaceFilter",eval);
  } else if (arg[0].className() == "vtkHyperOctreeSurfaceFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHyperOctreeSurfaceFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHyperOctreeSurfaceFilter");
    vtkHyperOctreeSurfaceFilter*q = reinterpret_cast<vtkHyperOctreeSurfaceFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHyperOctreeSurfaceFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:GetClassName vtkHyperOctreeSurfaceFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeSurfaceFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHyperOctreeSurfaceFilter requires 1 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:IsA vtkHyperOctreeSurfaceFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeSurfaceFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHyperOctreeSurfaceFilter requires 2 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:NewInstance vtkHyperOctreeSurfaceFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeSurfaceFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeSurfaceFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHyperOctreeSurfaceFilter requires 1 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  vtkHyperOctreeSurfaceFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeSurfaceFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:SafeDownCast vtkHyperOctreeSurfaceFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeSurfaceFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeSurfaceFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHyperOctreeSurfaceFilter requires 2 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHyperOctreeSurfaceFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeSurfaceFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:SetMerging vtkHyperOctreeSurfaceFilterSetMergingFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeSurfaceFilterSetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMerging (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMerging for class vtkHyperOctreeSurfaceFilter requires 2 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMerging(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:GetMerging vtkHyperOctreeSurfaceFilterGetMergingFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeSurfaceFilterGetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMerging (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMerging for class vtkHyperOctreeSurfaceFilter requires 1 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMerging();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:MergingOn vtkHyperOctreeSurfaceFilterMergingOnFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeSurfaceFilterMergingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOn for class vtkHyperOctreeSurfaceFilter requires 1 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->MergingOn();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:MergingOff vtkHyperOctreeSurfaceFilterMergingOffFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeSurfaceFilterMergingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOff for class vtkHyperOctreeSurfaceFilter requires 1 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->MergingOff();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:SetLocator vtkHyperOctreeSurfaceFilterSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeSurfaceFilterSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkHyperOctreeSurfaceFilter requires 2 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:GetLocator vtkHyperOctreeSurfaceFilterGetLocatorFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeSurfaceFilterGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkHyperOctreeSurfaceFilter requires 1 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:GetMTime vtkHyperOctreeSurfaceFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeSurfaceFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkHyperOctreeSurfaceFilter requires 1 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:SetPassThroughCellIds vtkHyperOctreeSurfaceFilterSetPassThroughCellIdsFunction
//input a0 a1 
//output none
ArrayVector vtkHyperOctreeSurfaceFilterSetPassThroughCellIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassThroughCellIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassThroughCellIds for class vtkHyperOctreeSurfaceFilter requires 2 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassThroughCellIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:GetPassThroughCellIds vtkHyperOctreeSurfaceFilterGetPassThroughCellIdsFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeSurfaceFilterGetPassThroughCellIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassThroughCellIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassThroughCellIds for class vtkHyperOctreeSurfaceFilter requires 1 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassThroughCellIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:PassThroughCellIdsOn vtkHyperOctreeSurfaceFilterPassThroughCellIdsOnFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeSurfaceFilterPassThroughCellIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughCellIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughCellIdsOn for class vtkHyperOctreeSurfaceFilter requires 1 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughCellIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:PassThroughCellIdsOff vtkHyperOctreeSurfaceFilterPassThroughCellIdsOffFunction
//input a0 
//output none
ArrayVector vtkHyperOctreeSurfaceFilterPassThroughCellIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughCellIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughCellIdsOff for class vtkHyperOctreeSurfaceFilter requires 1 argument(s)");
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughCellIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeSurfaceFilter:display vtkHyperOctreeSurfaceFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeSurfaceFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHyperOctreeSurfaceFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeSurfaceFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHyperOctreeSurfaceFilter:delete vtkHyperOctreeSurfaceFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkHyperOctreeSurfaceFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHyperOctreeSurfaceFilter
//@@Section VTKGraphics
//@@Usage
// vtkHyperOctreeSurfaceFilter extracts the surface of an hyperoctree.
//
//To create an instance of class vtkHyperOctreeSurfaceFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkHyperOctreeSurfaceFilter
//@]
//@@Methods
//The class vtkHyperOctreeSurfaceFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHyperOctreeSurfaceFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHyperOctreeSurfaceFilter = obj.NewInstance ()|
// \item @|vtkHyperOctreeSurfaceFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMerging (int )| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|int = obj.GetMerging ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.MergingOn ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.MergingOff ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the locator.
//// \item @|obj.SetPassThroughCellIds (int )| -  If on, the output polygonal dataset will have a celldata array that
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve
// memory.
//// \item @|int = obj.GetPassThroughCellIds ()| -  If on, the output polygonal dataset will have a celldata array that
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve
// memory.
//// \item @|obj.PassThroughCellIdsOn ()| -  If on, the output polygonal dataset will have a celldata array that
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve
// memory.
//// \item @|obj.PassThroughCellIdsOff ()| -  If on, the output polygonal dataset will have a celldata array that
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for cell picking. The default is off to conserve
// memory.
////\end{itemize}
//!
