#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHyperOctreeToUniformGridFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHyperOctreeToUniformGridFilter.h"

//@@Signature
//sfunction @vtkHyperOctreeToUniformGridFilter:vtkHyperOctreeToUniformGridFilter vtkHyperOctreeToUniformGridFilterConstructorFunction
//input a
//output p
//@@Parents vtkHyperOctreeToUniformGridFilter vtkImageAlgorithm 
ArrayVector vtkHyperOctreeToUniformGridFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHyperOctreeToUniformGridFilter::New(),"vtkHyperOctreeToUniformGridFilter",eval);
  } else if (arg[0].className() == "vtkHyperOctreeToUniformGridFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHyperOctreeToUniformGridFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHyperOctreeToUniformGridFilter");
    vtkHyperOctreeToUniformGridFilter*q = reinterpret_cast<vtkHyperOctreeToUniformGridFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHyperOctreeToUniformGridFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHyperOctreeToUniformGridFilter:GetClassName vtkHyperOctreeToUniformGridFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeToUniformGridFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHyperOctreeToUniformGridFilter requires 1 argument(s)");
  vtkHyperOctreeToUniformGridFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeToUniformGridFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeToUniformGridFilter:IsA vtkHyperOctreeToUniformGridFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeToUniformGridFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHyperOctreeToUniformGridFilter requires 2 argument(s)");
  vtkHyperOctreeToUniformGridFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeToUniformGridFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeToUniformGridFilter:NewInstance vtkHyperOctreeToUniformGridFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHyperOctreeToUniformGridFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeToUniformGridFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHyperOctreeToUniformGridFilter requires 1 argument(s)");
  vtkHyperOctreeToUniformGridFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeToUniformGridFilter>(arg[0]);
  Array retval;
  vtkHyperOctreeToUniformGridFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeToUniformGridFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeToUniformGridFilter:SafeDownCast vtkHyperOctreeToUniformGridFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHyperOctreeToUniformGridFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctreeToUniformGridFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHyperOctreeToUniformGridFilter requires 2 argument(s)");
  vtkHyperOctreeToUniformGridFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeToUniformGridFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHyperOctreeToUniformGridFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctreeToUniformGridFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperOctreeToUniformGridFilter:display vtkHyperOctreeToUniformGridFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHyperOctreeToUniformGridFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHyperOctreeToUniformGridFilter* vtk_pointer = GetVTKPointer<vtkHyperOctreeToUniformGridFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHyperOctreeToUniformGridFilter:delete vtkHyperOctreeToUniformGridFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkHyperOctreeToUniformGridFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHyperOctreeToUniformGridFilter
//@@Section VTKGraphics
//@@Usage
// vtkHyperOctreeToUniformGridFilter creates a uniform grid with a resolution
// based on the number of levels of the hyperoctree. Then, it copies celldata
// in each cell of the uniform grid that belongs to an actual leaf of the
// hyperoctree.
//
//
//To create an instance of class vtkHyperOctreeToUniformGridFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkHyperOctreeToUniformGridFilter
//@]
//@@Methods
//The class vtkHyperOctreeToUniformGridFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHyperOctreeToUniformGridFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHyperOctreeToUniformGridFilter = obj.NewInstance ()|
// \item @|vtkHyperOctreeToUniformGridFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
