#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHyperStreamline object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHyperStreamline.h"

//@@Signature
//sfunction @vtkHyperStreamline:vtkHyperStreamline vtkHyperStreamlineConstructorFunction
//input a
//output p
//@@Parents vtkHyperStreamline vtkPolyDataAlgorithm 
ArrayVector vtkHyperStreamlineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHyperStreamline::New(),"vtkHyperStreamline",eval);
  } else if (arg[0].className() == "vtkHyperStreamline") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHyperStreamline"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHyperStreamline");
    vtkHyperStreamline*q = reinterpret_cast<vtkHyperStreamline*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHyperStreamline");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHyperStreamline:GetClassName vtkHyperStreamlineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:IsA vtkHyperStreamlineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHyperStreamlineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:NewInstance vtkHyperStreamlineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperStreamline *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtkHyperStreamline  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperStreamline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SafeDownCast vtkHyperStreamlineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHyperStreamlineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperStreamline *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHyperStreamline  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperStreamline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetStartLocation__1 vtkHyperStreamlineSetStartLocation__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkHyperStreamlineSetStartLocation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartLocation (vtkIdType cellId, int subId, double pcoords[3]); */
  if (arg.size() < 4) 
    throw Exception("Function SetStartLocation__1 for class vtkHyperStreamline requires 4 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double temp2[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->SetStartLocation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetStartLocation__2 vtkHyperStreamlineSetStartLocation__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkHyperStreamlineSetStartLocation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartLocation (vtkIdType cellId, int subId, double r, double s, double t); */
  if (arg.size() < 6) 
    throw Exception("Function SetStartLocation__2 for class vtkHyperStreamline requires 6 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->SetStartLocation(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetStartPosition__1 vtkHyperStreamlineSetStartPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkHyperStreamlineSetStartPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartPosition (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartPosition__1 for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetStartPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetStartPosition__2 vtkHyperStreamlineSetStartPosition__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkHyperStreamlineSetStartPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartPosition (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetStartPosition__2 for class vtkHyperStreamline requires 4 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetStartPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetStartPosition vtkHyperStreamlineGetStartPositionFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetStartPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetStartPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartPosition for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetStartPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetMaximumPropagationDistance vtkHyperStreamlineSetMaximumPropagationDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkHyperStreamlineSetMaximumPropagationDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumPropagationDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumPropagationDistance for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumPropagationDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetMaximumPropagationDistanceMinValue vtkHyperStreamlineGetMaximumPropagationDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetMaximumPropagationDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumPropagationDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumPropagationDistanceMinValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumPropagationDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetMaximumPropagationDistanceMaxValue vtkHyperStreamlineGetMaximumPropagationDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetMaximumPropagationDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumPropagationDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumPropagationDistanceMaxValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumPropagationDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetMaximumPropagationDistance vtkHyperStreamlineGetMaximumPropagationDistanceFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetMaximumPropagationDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumPropagationDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumPropagationDistance for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumPropagationDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetIntegrationEigenvector vtkHyperStreamlineSetIntegrationEigenvectorFunction
//input a0 a1 
//output none
ArrayVector vtkHyperStreamlineSetIntegrationEigenvectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationEigenvector (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrationEigenvector for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntegrationEigenvector(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetIntegrationEigenvectorMinValue vtkHyperStreamlineGetIntegrationEigenvectorMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetIntegrationEigenvectorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationEigenvectorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationEigenvectorMinValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationEigenvectorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetIntegrationEigenvectorMaxValue vtkHyperStreamlineGetIntegrationEigenvectorMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetIntegrationEigenvectorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationEigenvectorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationEigenvectorMaxValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationEigenvectorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetIntegrationEigenvector vtkHyperStreamlineGetIntegrationEigenvectorFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetIntegrationEigenvectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationEigenvector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationEigenvector for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationEigenvector();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetIntegrationEigenvectorToMajor vtkHyperStreamlineSetIntegrationEigenvectorToMajorFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineSetIntegrationEigenvectorToMajorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationEigenvectorToMajor ();this SetIntegrationEigenvector VTK_INTEGRATE_MAJOR_EIGENVECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationEigenvectorToMajor for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationEigenvectorToMajor();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetIntegrationEigenvectorToMedium vtkHyperStreamlineSetIntegrationEigenvectorToMediumFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineSetIntegrationEigenvectorToMediumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationEigenvectorToMedium ();this SetIntegrationEigenvector VTK_INTEGRATE_MEDIUM_EIGENVECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationEigenvectorToMedium for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationEigenvectorToMedium();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetIntegrationEigenvectorToMinor vtkHyperStreamlineSetIntegrationEigenvectorToMinorFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineSetIntegrationEigenvectorToMinorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationEigenvectorToMinor ();this SetIntegrationEigenvector VTK_INTEGRATE_MINOR_EIGENVECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationEigenvectorToMinor for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationEigenvectorToMinor();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:IntegrateMajorEigenvector vtkHyperStreamlineIntegrateMajorEigenvectorFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineIntegrateMajorEigenvectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntegrateMajorEigenvector ();this SetIntegrationEigenvectorToMajor  */
  if (arg.size() < 1) 
    throw Exception("Function IntegrateMajorEigenvector for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->IntegrateMajorEigenvector();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:IntegrateMediumEigenvector vtkHyperStreamlineIntegrateMediumEigenvectorFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineIntegrateMediumEigenvectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntegrateMediumEigenvector ();this SetIntegrationEigenvectorToMedium  */
  if (arg.size() < 1) 
    throw Exception("Function IntegrateMediumEigenvector for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->IntegrateMediumEigenvector();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:IntegrateMinorEigenvector vtkHyperStreamlineIntegrateMinorEigenvectorFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineIntegrateMinorEigenvectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntegrateMinorEigenvector ();this SetIntegrationEigenvectorToMinor  */
  if (arg.size() < 1) 
    throw Exception("Function IntegrateMinorEigenvector for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->IntegrateMinorEigenvector();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetIntegrationStepLength vtkHyperStreamlineSetIntegrationStepLengthFunction
//input a0 a1 
//output none
ArrayVector vtkHyperStreamlineSetIntegrationStepLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationStepLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrationStepLength for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetIntegrationStepLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetIntegrationStepLengthMinValue vtkHyperStreamlineGetIntegrationStepLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetIntegrationStepLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetIntegrationStepLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationStepLengthMinValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetIntegrationStepLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetIntegrationStepLengthMaxValue vtkHyperStreamlineGetIntegrationStepLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetIntegrationStepLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetIntegrationStepLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationStepLengthMaxValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetIntegrationStepLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetIntegrationStepLength vtkHyperStreamlineGetIntegrationStepLengthFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetIntegrationStepLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetIntegrationStepLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationStepLength for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetIntegrationStepLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetStepLength vtkHyperStreamlineSetStepLengthFunction
//input a0 a1 
//output none
ArrayVector vtkHyperStreamlineSetStepLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStepLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStepLength for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStepLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetStepLengthMinValue vtkHyperStreamlineGetStepLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetStepLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStepLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStepLengthMinValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStepLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetStepLengthMaxValue vtkHyperStreamlineGetStepLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetStepLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStepLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStepLengthMaxValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStepLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetStepLength vtkHyperStreamlineGetStepLengthFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetStepLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStepLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStepLength for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStepLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetIntegrationDirection vtkHyperStreamlineSetIntegrationDirectionFunction
//input a0 a1 
//output none
ArrayVector vtkHyperStreamlineSetIntegrationDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirection (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrationDirection for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntegrationDirection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetIntegrationDirectionMinValue vtkHyperStreamlineGetIntegrationDirectionMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetIntegrationDirectionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationDirectionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationDirectionMinValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationDirectionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetIntegrationDirectionMaxValue vtkHyperStreamlineGetIntegrationDirectionMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetIntegrationDirectionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationDirectionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationDirectionMaxValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationDirectionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetIntegrationDirection vtkHyperStreamlineGetIntegrationDirectionFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetIntegrationDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationDirection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationDirection for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationDirection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetIntegrationDirectionToForward vtkHyperStreamlineSetIntegrationDirectionToForwardFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineSetIntegrationDirectionToForwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirectionToForward ();this SetIntegrationDirection VTK_INTEGRATE_FORWARD  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationDirectionToForward for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationDirectionToForward();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetIntegrationDirectionToBackward vtkHyperStreamlineSetIntegrationDirectionToBackwardFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineSetIntegrationDirectionToBackwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirectionToBackward ();this SetIntegrationDirection VTK_INTEGRATE_BACKWARD  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationDirectionToBackward for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationDirectionToBackward();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetIntegrationDirectionToIntegrateBothDirections vtkHyperStreamlineSetIntegrationDirectionToIntegrateBothDirectionsFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineSetIntegrationDirectionToIntegrateBothDirectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirectionToIntegrateBothDirections ();this SetIntegrationDirection VTK_INTEGRATE_BOTH_DIRECTIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationDirectionToIntegrateBothDirections for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationDirectionToIntegrateBothDirections();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetTerminalEigenvalue vtkHyperStreamlineSetTerminalEigenvalueFunction
//input a0 a1 
//output none
ArrayVector vtkHyperStreamlineSetTerminalEigenvalueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTerminalEigenvalue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTerminalEigenvalue for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTerminalEigenvalue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetTerminalEigenvalueMinValue vtkHyperStreamlineGetTerminalEigenvalueMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetTerminalEigenvalueMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTerminalEigenvalueMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTerminalEigenvalueMinValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTerminalEigenvalueMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetTerminalEigenvalueMaxValue vtkHyperStreamlineGetTerminalEigenvalueMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetTerminalEigenvalueMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTerminalEigenvalueMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTerminalEigenvalueMaxValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTerminalEigenvalueMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetTerminalEigenvalue vtkHyperStreamlineGetTerminalEigenvalueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetTerminalEigenvalueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTerminalEigenvalue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTerminalEigenvalue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTerminalEigenvalue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetNumberOfSides vtkHyperStreamlineSetNumberOfSidesFunction
//input a0 a1 
//output none
ArrayVector vtkHyperStreamlineSetNumberOfSidesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSides (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSides for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSides(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetNumberOfSidesMinValue vtkHyperStreamlineGetNumberOfSidesMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetNumberOfSidesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSidesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSidesMinValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSidesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetNumberOfSidesMaxValue vtkHyperStreamlineGetNumberOfSidesMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetNumberOfSidesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSidesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSidesMaxValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSidesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetNumberOfSides vtkHyperStreamlineGetNumberOfSidesFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetNumberOfSidesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSides (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSides for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSides();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetRadius vtkHyperStreamlineSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkHyperStreamlineSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetRadiusMinValue vtkHyperStreamlineGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetRadiusMaxValue vtkHyperStreamlineGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetRadius vtkHyperStreamlineGetRadiusFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetLogScaling vtkHyperStreamlineSetLogScalingFunction
//input a0 a1 
//output none
ArrayVector vtkHyperStreamlineSetLogScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLogScaling (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLogScaling for class vtkHyperStreamline requires 2 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLogScaling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:GetLogScaling vtkHyperStreamlineGetLogScalingFunction
//input a0 
//output y
ArrayVector vtkHyperStreamlineGetLogScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLogScaling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLogScaling for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLogScaling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:LogScalingOn vtkHyperStreamlineLogScalingOnFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineLogScalingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LogScalingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LogScalingOn for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->LogScalingOn();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:LogScalingOff vtkHyperStreamlineLogScalingOffFunction
//input a0 
//output none
ArrayVector vtkHyperStreamlineLogScalingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LogScalingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LogScalingOff for class vtkHyperStreamline requires 1 argument(s)");
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  Array retval;
  vtk_pointer->LogScalingOff();
  return retval;
}

//@@Signature
//sfunction @vtkHyperStreamline:SetStartLocation vtkHyperStreamlineSetStartLocationFunction
//input varargin
//output varargout
ArrayVector vtkHyperStreamlineSetStartLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkHyperStreamlineSetStartLocation__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkHyperStreamlineSetStartLocation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperStreamlineSetStartLocation");
}

//@@Signature
//sfunction @vtkHyperStreamline:SetStartPosition vtkHyperStreamlineSetStartPositionFunction
//input varargin
//output varargout
ArrayVector vtkHyperStreamlineSetStartPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHyperStreamlineSetStartPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkHyperStreamlineSetStartPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHyperStreamlineSetStartPosition");
}

//@@Signature
//sfunction @vtkHyperStreamline:display vtkHyperStreamlineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHyperStreamlineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHyperStreamline* vtk_pointer = GetVTKPointer<vtkHyperStreamline>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHyperStreamline:delete vtkHyperStreamlineDeleteFunction
//input varargin
//output none
ArrayVector vtkHyperStreamlineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHyperStreamline
//@@Section VTKGraphics
//@@Usage
// vtkHyperStreamline is a filter that integrates through a tensor field to 
// generate a hyperstreamline. The integration is along the maximum eigenvector
// and the cross section of the hyperstreamline is defined by the two other
// eigenvectors. Thus the shape of the hyperstreamline is "tube-like", with 
// the cross section being elliptical. Hyperstreamlines are used to visualize
// tensor fields.
//
// The starting point of a hyperstreamline can be defined in one of two ways. 
// First, you may specify an initial position. This is a x-y-z global 
// coordinate. The second option is to specify a starting location. This is 
// cellId, subId, and  cell parametric coordinates.
//
// The integration of the hyperstreamline occurs through the major eigenvector 
// field. IntegrationStepLength controls the step length within each cell 
// (i.e., this is the fraction of the cell length). The length of the 
// hyperstreamline is controlled by MaximumPropagationDistance. This parameter
// is the length of the hyperstreamline in units of distance. The tube itself 
// is composed of many small sub-tubes - NumberOfSides controls the number of 
// sides in the tube, and StepLength controls the length of the sub-tubes.
//
// Because hyperstreamlines are often created near regions of singularities, it
// is possible to control the scaling of the tube cross section by using a 
// logarithmic scale. Use LogScalingOn to turn this capability on. The Radius 
// value controls the initial radius of the tube.
//
//To create an instance of class vtkHyperStreamline, simply
//invoke its constructor as follows
//@[
//  obj = vtkHyperStreamline
//@]
//@@Methods
//The class vtkHyperStreamline has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHyperStreamline class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHyperStreamline = obj.NewInstance ()|
// \item @|vtkHyperStreamline = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetStartLocation (vtkIdType cellId, int subId, double pcoords[3])| -  Specify the start of the hyperstreamline in the cell coordinate system. 
// That is, cellId and subId (if composite cell), and parametric coordinates.
//// \item @|obj.SetStartLocation (vtkIdType cellId, int subId, double r, double s, double t)| -  Specify the start of the hyperstreamline in the cell coordinate system. 
// That is, cellId and subId (if composite cell), and parametric coordinates.
//// \item @|obj.SetStartPosition (double x[3])| -  Specify the start of the hyperstreamline in the global coordinate system. 
// Starting from position implies that a search must be performed to find 
// initial cell to start integration from.
//// \item @|obj.SetStartPosition (double x, double y, double z)| -  Specify the start of the hyperstreamline in the global coordinate system. 
// Starting from position implies that a search must be performed to find 
// initial cell to start integration from.
//// \item @|double = obj.GetStartPosition ()| -  Get the start position of the hyperstreamline in global x-y-z coordinates.
//// \item @|obj.SetMaximumPropagationDistance (double )| -  Set / get the maximum length of the hyperstreamline expressed as absolute
// distance (i.e., arc length) value.
//// \item @|double = obj.GetMaximumPropagationDistanceMinValue ()| -  Set / get the maximum length of the hyperstreamline expressed as absolute
// distance (i.e., arc length) value.
//// \item @|double = obj.GetMaximumPropagationDistanceMaxValue ()| -  Set / get the maximum length of the hyperstreamline expressed as absolute
// distance (i.e., arc length) value.
//// \item @|double = obj.GetMaximumPropagationDistance ()| -  Set / get the maximum length of the hyperstreamline expressed as absolute
// distance (i.e., arc length) value.
//// \item @|obj.SetIntegrationEigenvector (int )| -  Set / get the eigenvector field through which to ingrate. It is
// possible to integrate using the major, medium or minor
// eigenvector field.  The major eigenvector is the eigenvector
// whose corresponding eigenvalue is closest to positive infinity.
// The minor eigenvector is the eigenvector whose corresponding
// eigenvalue is closest to negative infinity.  The medium
// eigenvector is the eigenvector whose corresponding eigenvalue is
// between the major and minor eigenvalues.
//// \item @|int = obj.GetIntegrationEigenvectorMinValue ()| -  Set / get the eigenvector field through which to ingrate. It is
// possible to integrate using the major, medium or minor
// eigenvector field.  The major eigenvector is the eigenvector
// whose corresponding eigenvalue is closest to positive infinity.
// The minor eigenvector is the eigenvector whose corresponding
// eigenvalue is closest to negative infinity.  The medium
// eigenvector is the eigenvector whose corresponding eigenvalue is
// between the major and minor eigenvalues.
//// \item @|int = obj.GetIntegrationEigenvectorMaxValue ()| -  Set / get the eigenvector field through which to ingrate. It is
// possible to integrate using the major, medium or minor
// eigenvector field.  The major eigenvector is the eigenvector
// whose corresponding eigenvalue is closest to positive infinity.
// The minor eigenvector is the eigenvector whose corresponding
// eigenvalue is closest to negative infinity.  The medium
// eigenvector is the eigenvector whose corresponding eigenvalue is
// between the major and minor eigenvalues.
//// \item @|int = obj.GetIntegrationEigenvector ()| -  Set / get the eigenvector field through which to ingrate. It is
// possible to integrate using the major, medium or minor
// eigenvector field.  The major eigenvector is the eigenvector
// whose corresponding eigenvalue is closest to positive infinity.
// The minor eigenvector is the eigenvector whose corresponding
// eigenvalue is closest to negative infinity.  The medium
// eigenvector is the eigenvector whose corresponding eigenvalue is
// between the major and minor eigenvalues.
//// \item @|obj.SetIntegrationEigenvectorToMajor ()| -  Set / get the eigenvector field through which to ingrate. It is
// possible to integrate using the major, medium or minor
// eigenvector field.  The major eigenvector is the eigenvector
// whose corresponding eigenvalue is closest to positive infinity.
// The minor eigenvector is the eigenvector whose corresponding
// eigenvalue is closest to negative infinity.  The medium
// eigenvector is the eigenvector whose corresponding eigenvalue is
// between the major and minor eigenvalues.
//// \item @|obj.SetIntegrationEigenvectorToMedium ()| -  Set / get the eigenvector field through which to ingrate. It is
// possible to integrate using the major, medium or minor
// eigenvector field.  The major eigenvector is the eigenvector
// whose corresponding eigenvalue is closest to positive infinity.
// The minor eigenvector is the eigenvector whose corresponding
// eigenvalue is closest to negative infinity.  The medium
// eigenvector is the eigenvector whose corresponding eigenvalue is
// between the major and minor eigenvalues.
//// \item @|obj.SetIntegrationEigenvectorToMinor ()| -  Set / get the eigenvector field through which to ingrate. It is
// possible to integrate using the major, medium or minor
// eigenvector field.  The major eigenvector is the eigenvector
// whose corresponding eigenvalue is closest to positive infinity.
// The minor eigenvector is the eigenvector whose corresponding
// eigenvalue is closest to negative infinity.  The medium
// eigenvector is the eigenvector whose corresponding eigenvalue is
// between the major and minor eigenvalues.
//// \item @|obj.IntegrateMajorEigenvector ()| -  Use the major eigenvector field as the vector field through which
// to integrate.  The major eigenvector is the eigenvector whose
// corresponding eigenvalue is closest to positive infinity.  
//// \item @|obj.IntegrateMediumEigenvector ()| -  Use the medium eigenvector field as the vector field through which
// to integrate. The medium eigenvector is the eigenvector whose
// corresponding eigenvalue is between the major and minor
// eigenvalues.
//// \item @|obj.IntegrateMinorEigenvector ()| -  Use the minor eigenvector field as the vector field through which
// to integrate. The minor eigenvector is the eigenvector whose
// corresponding eigenvalue is closest to negative infinity.
//// \item @|obj.SetIntegrationStepLength (double )| -  Set / get a nominal integration step size (expressed as a fraction of
// the size of each cell).
//// \item @|double = obj.GetIntegrationStepLengthMinValue ()| -  Set / get a nominal integration step size (expressed as a fraction of
// the size of each cell).
//// \item @|double = obj.GetIntegrationStepLengthMaxValue ()| -  Set / get a nominal integration step size (expressed as a fraction of
// the size of each cell).
//// \item @|double = obj.GetIntegrationStepLength ()| -  Set / get a nominal integration step size (expressed as a fraction of
// the size of each cell).
//// \item @|obj.SetStepLength (double )| -  Set / get the length of a tube segment composing the
// hyperstreamline. The length is specified as a fraction of the
// diagonal length of the input bounding box.
//// \item @|double = obj.GetStepLengthMinValue ()| -  Set / get the length of a tube segment composing the
// hyperstreamline. The length is specified as a fraction of the
// diagonal length of the input bounding box.
//// \item @|double = obj.GetStepLengthMaxValue ()| -  Set / get the length of a tube segment composing the
// hyperstreamline. The length is specified as a fraction of the
// diagonal length of the input bounding box.
//// \item @|double = obj.GetStepLength ()| -  Set / get the length of a tube segment composing the
// hyperstreamline. The length is specified as a fraction of the
// diagonal length of the input bounding box.
//// \item @|obj.SetIntegrationDirection (int )| -  Specify the direction in which to integrate the hyperstreamline.
//// \item @|int = obj.GetIntegrationDirectionMinValue ()| -  Specify the direction in which to integrate the hyperstreamline.
//// \item @|int = obj.GetIntegrationDirectionMaxValue ()| -  Specify the direction in which to integrate the hyperstreamline.
//// \item @|int = obj.GetIntegrationDirection ()| -  Specify the direction in which to integrate the hyperstreamline.
//// \item @|obj.SetIntegrationDirectionToForward ()| -  Specify the direction in which to integrate the hyperstreamline.
//// \item @|obj.SetIntegrationDirectionToBackward ()| -  Specify the direction in which to integrate the hyperstreamline.
//// \item @|obj.SetIntegrationDirectionToIntegrateBothDirections ()| -  Specify the direction in which to integrate the hyperstreamline.
//// \item @|obj.SetTerminalEigenvalue (double )| -  Set/get terminal eigenvalue.  If major eigenvalue falls below this
// value, hyperstreamline terminates propagation.
//// \item @|double = obj.GetTerminalEigenvalueMinValue ()| -  Set/get terminal eigenvalue.  If major eigenvalue falls below this
// value, hyperstreamline terminates propagation.
//// \item @|double = obj.GetTerminalEigenvalueMaxValue ()| -  Set/get terminal eigenvalue.  If major eigenvalue falls below this
// value, hyperstreamline terminates propagation.
//// \item @|double = obj.GetTerminalEigenvalue ()| -  Set/get terminal eigenvalue.  If major eigenvalue falls below this
// value, hyperstreamline terminates propagation.
//// \item @|obj.SetNumberOfSides (int )| -  Set / get the number of sides for the hyperstreamlines. At a minimum,
// number of sides is 3.
//// \item @|int = obj.GetNumberOfSidesMinValue ()| -  Set / get the number of sides for the hyperstreamlines. At a minimum,
// number of sides is 3.
//// \item @|int = obj.GetNumberOfSidesMaxValue ()| -  Set / get the number of sides for the hyperstreamlines. At a minimum,
// number of sides is 3.
//// \item @|int = obj.GetNumberOfSides ()| -  Set / get the number of sides for the hyperstreamlines. At a minimum,
// number of sides is 3.
//// \item @|obj.SetRadius (double )| -  Set / get the initial tube radius. This is the maximum "elliptical"
// radius at the beginning of the tube. Radius varies based on ratio of
// eigenvalues.  Note that tube section is actually elliptical and may
// become a point or line in cross section in some cases.
//// \item @|double = obj.GetRadiusMinValue ()| -  Set / get the initial tube radius. This is the maximum "elliptical"
// radius at the beginning of the tube. Radius varies based on ratio of
// eigenvalues.  Note that tube section is actually elliptical and may
// become a point or line in cross section in some cases.
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set / get the initial tube radius. This is the maximum "elliptical"
// radius at the beginning of the tube. Radius varies based on ratio of
// eigenvalues.  Note that tube section is actually elliptical and may
// become a point or line in cross section in some cases.
//// \item @|double = obj.GetRadius ()| -  Set / get the initial tube radius. This is the maximum "elliptical"
// radius at the beginning of the tube. Radius varies based on ratio of
// eigenvalues.  Note that tube section is actually elliptical and may
// become a point or line in cross section in some cases.
//// \item @|obj.SetLogScaling (int )| -  Turn on/off logarithmic scaling. If scaling is on, the log base 10
// of the computed eigenvalues are used to scale the cross section radii.
//// \item @|int = obj.GetLogScaling ()| -  Turn on/off logarithmic scaling. If scaling is on, the log base 10
// of the computed eigenvalues are used to scale the cross section radii.
//// \item @|obj.LogScalingOn ()| -  Turn on/off logarithmic scaling. If scaling is on, the log base 10
// of the computed eigenvalues are used to scale the cross section radii.
//// \item @|obj.LogScalingOff ()| -  Turn on/off logarithmic scaling. If scaling is on, the log base 10
// of the computed eigenvalues are used to scale the cross section radii.
////\end{itemize}
//!
