#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIconGlyphFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIconGlyphFilter.h"

//@@Signature
//sfunction @vtkIconGlyphFilter:vtkIconGlyphFilter vtkIconGlyphFilterConstructorFunction
//input a
//output p
//@@Parents vtkIconGlyphFilter vtkPolyDataAlgorithm 
ArrayVector vtkIconGlyphFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIconGlyphFilter::New(),"vtkIconGlyphFilter",eval);
  } else if (arg[0].className() == "vtkIconGlyphFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIconGlyphFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIconGlyphFilter");
    vtkIconGlyphFilter*q = reinterpret_cast<vtkIconGlyphFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIconGlyphFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIconGlyphFilter:GetClassName vtkIconGlyphFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIconGlyphFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:IsA vtkIconGlyphFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIconGlyphFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIconGlyphFilter requires 2 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:NewInstance vtkIconGlyphFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIconGlyphFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIconGlyphFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtkIconGlyphFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIconGlyphFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SafeDownCast vtkIconGlyphFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIconGlyphFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIconGlyphFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIconGlyphFilter requires 2 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIconGlyphFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIconGlyphFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetIconSize__1 vtkIconGlyphFilterSetIconSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkIconGlyphFilterSetIconSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetIconSize__1 for class vtkIconGlyphFilter requires 3 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetIconSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetIconSize__2 vtkIconGlyphFilterSetIconSize__2Function
//input a0 a1 
//output none
ArrayVector vtkIconGlyphFilterSetIconSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconSize__2 for class vtkIconGlyphFilter requires 2 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetIconSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:GetIconSize vtkIconGlyphFilterGetIconSizeFunction
//input a0 
//output y
ArrayVector vtkIconGlyphFilterGetIconSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetIconSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconSize for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetIconSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetIconSheetSize__1 vtkIconGlyphFilterSetIconSheetSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkIconGlyphFilterSetIconSheetSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconSheetSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetIconSheetSize__1 for class vtkIconGlyphFilter requires 3 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetIconSheetSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetIconSheetSize__2 vtkIconGlyphFilterSetIconSheetSize__2Function
//input a0 a1 
//output none
ArrayVector vtkIconGlyphFilterSetIconSheetSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconSheetSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconSheetSize__2 for class vtkIconGlyphFilter requires 2 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetIconSheetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:GetIconSheetSize vtkIconGlyphFilterGetIconSheetSizeFunction
//input a0 
//output y
ArrayVector vtkIconGlyphFilterGetIconSheetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetIconSheetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconSheetSize for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetIconSheetSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetUseIconSize vtkIconGlyphFilterSetUseIconSizeFunction
//input a0 a1 
//output none
ArrayVector vtkIconGlyphFilterSetUseIconSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseIconSize (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseIconSize for class vtkIconGlyphFilter requires 2 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseIconSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:GetUseIconSize vtkIconGlyphFilterGetUseIconSizeFunction
//input a0 
//output y
ArrayVector vtkIconGlyphFilterGetUseIconSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseIconSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseIconSize for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseIconSize();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:UseIconSizeOn vtkIconGlyphFilterUseIconSizeOnFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterUseIconSizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseIconSizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseIconSizeOn for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseIconSizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:UseIconSizeOff vtkIconGlyphFilterUseIconSizeOffFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterUseIconSizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseIconSizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseIconSizeOff for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseIconSizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetGravity vtkIconGlyphFilterSetGravityFunction
//input a0 a1 
//output none
ArrayVector vtkIconGlyphFilterSetGravityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGravity (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGravity for class vtkIconGlyphFilter requires 2 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGravity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:GetGravity vtkIconGlyphFilterGetGravityFunction
//input a0 
//output y
ArrayVector vtkIconGlyphFilterGetGravityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGravity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGravity for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGravity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetGravityToTopRight vtkIconGlyphFilterSetGravityToTopRightFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterSetGravityToTopRightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGravityToTopRight ();this SetGravity VTK_ICON_GRAVITY_TOP_RIGHT  */
  if (arg.size() < 1) 
    throw Exception("Function SetGravityToTopRight for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGravityToTopRight();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetGravityToTopCenter vtkIconGlyphFilterSetGravityToTopCenterFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterSetGravityToTopCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGravityToTopCenter ();this SetGravity VTK_ICON_GRAVITY_TOP_CENTER  */
  if (arg.size() < 1) 
    throw Exception("Function SetGravityToTopCenter for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGravityToTopCenter();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetGravityToTopLeft vtkIconGlyphFilterSetGravityToTopLeftFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterSetGravityToTopLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGravityToTopLeft ();this SetGravity VTK_ICON_GRAVITY_TOP_LEFT  */
  if (arg.size() < 1) 
    throw Exception("Function SetGravityToTopLeft for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGravityToTopLeft();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetGravityToCenterRight vtkIconGlyphFilterSetGravityToCenterRightFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterSetGravityToCenterRightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGravityToCenterRight ();this SetGravity VTK_ICON_GRAVITY_CENTER_RIGHT  */
  if (arg.size() < 1) 
    throw Exception("Function SetGravityToCenterRight for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGravityToCenterRight();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetGravityToCenterCenter vtkIconGlyphFilterSetGravityToCenterCenterFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterSetGravityToCenterCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGravityToCenterCenter ();this SetGravity VTK_ICON_GRAVITY_CENTER_CENTER  */
  if (arg.size() < 1) 
    throw Exception("Function SetGravityToCenterCenter for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGravityToCenterCenter();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetGravityToCenterLeft vtkIconGlyphFilterSetGravityToCenterLeftFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterSetGravityToCenterLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGravityToCenterLeft ();this SetGravity VTK_ICON_GRAVITY_CENTER_LEFT  */
  if (arg.size() < 1) 
    throw Exception("Function SetGravityToCenterLeft for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGravityToCenterLeft();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetGravityToBottomRight vtkIconGlyphFilterSetGravityToBottomRightFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterSetGravityToBottomRightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGravityToBottomRight ();this SetGravity VTK_ICON_GRAVITY_BOTTOM_RIGHT  */
  if (arg.size() < 1) 
    throw Exception("Function SetGravityToBottomRight for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGravityToBottomRight();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetGravityToBottomCenter vtkIconGlyphFilterSetGravityToBottomCenterFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterSetGravityToBottomCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGravityToBottomCenter ();this SetGravity VTK_ICON_GRAVITY_BOTTOM_CENTER  */
  if (arg.size() < 1) 
    throw Exception("Function SetGravityToBottomCenter for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGravityToBottomCenter();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetGravityToBottomLeft vtkIconGlyphFilterSetGravityToBottomLeftFunction
//input a0 
//output none
ArrayVector vtkIconGlyphFilterSetGravityToBottomLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGravityToBottomLeft ();this SetGravity VTK_ICON_GRAVITY_BOTTOM_LEFT  */
  if (arg.size() < 1) 
    throw Exception("Function SetGravityToBottomLeft for class vtkIconGlyphFilter requires 1 argument(s)");
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGravityToBottomLeft();
  return retval;
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetIconSize vtkIconGlyphFilterSetIconSizeFunction
//input varargin
//output varargout
ArrayVector vtkIconGlyphFilterSetIconSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkIconGlyphFilterSetIconSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkIconGlyphFilterSetIconSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIconGlyphFilterSetIconSize");
}

//@@Signature
//sfunction @vtkIconGlyphFilter:SetIconSheetSize vtkIconGlyphFilterSetIconSheetSizeFunction
//input varargin
//output varargout
ArrayVector vtkIconGlyphFilterSetIconSheetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkIconGlyphFilterSetIconSheetSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkIconGlyphFilterSetIconSheetSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkIconGlyphFilterSetIconSheetSize");
}

//@@Signature
//sfunction @vtkIconGlyphFilter:display vtkIconGlyphFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIconGlyphFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIconGlyphFilter* vtk_pointer = GetVTKPointer<vtkIconGlyphFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIconGlyphFilter:delete vtkIconGlyphFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkIconGlyphFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIconGlyphFilter
//@@Section VTKGraphics
//@@Usage
// vtkIconGlyphFilter takes in a vtkPointSet where each point corresponds to
// the center of an icon. Scalar integer data must also be set to give each
// point an icon index. This index is a zero based row major index into an
// image that contains a grid of icons. You must also set pixel Size of the 
// icon image and the size of a particular icon.
//
//To create an instance of class vtkIconGlyphFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkIconGlyphFilter
//@]
//@@Methods
//The class vtkIconGlyphFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIconGlyphFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIconGlyphFilter = obj.NewInstance ()|
// \item @|vtkIconGlyphFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetIconSize (int , int )| -  Specify the Width and Height, in pixels, of an icon in the icon sheet
//// \item @|obj.SetIconSize (int  a[2])| -  Specify the Width and Height, in pixels, of an icon in the icon sheet
//// \item @|int = obj. GetIconSize ()| -  Specify the Width and Height, in pixels, of an icon in the icon sheet
//// \item @|obj.SetIconSheetSize (int , int )| -  Specify the Width and Height, in pixels, of an icon in the icon sheet
//// \item @|obj.SetIconSheetSize (int  a[2])| -  Specify the Width and Height, in pixels, of an icon in the icon sheet
//// \item @|int = obj. GetIconSheetSize ()| -  Specify the Width and Height, in pixels, of an icon in the icon sheet
//// \item @|obj.SetUseIconSize (bool b)| -  Specify whether the Quad generated to place the icon on will be either
// 1 x 1 or the dimensions specified by IconSize.
//// \item @|bool = obj.GetUseIconSize ()| -  Specify whether the Quad generated to place the icon on will be either
// 1 x 1 or the dimensions specified by IconSize.
//// \item @|obj.UseIconSizeOn ()| -  Specify whether the Quad generated to place the icon on will be either
// 1 x 1 or the dimensions specified by IconSize.
//// \item @|obj.UseIconSizeOff ()| -  Specify whether the Quad generated to place the icon on will be either
// 1 x 1 or the dimensions specified by IconSize.
//// \item @|obj.SetGravity (int )| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
//// \item @|int = obj.GetGravity ()| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
//// \item @|obj.SetGravityToTopRight ()| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
//// \item @|obj.SetGravityToTopCenter ()| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
//// \item @|obj.SetGravityToTopLeft ()| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
//// \item @|obj.SetGravityToCenterRight ()| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
//// \item @|obj.SetGravityToCenterCenter ()| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
//// \item @|obj.SetGravityToCenterLeft ()| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
//// \item @|obj.SetGravityToBottomRight ()| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
//// \item @|obj.SetGravityToBottomCenter ()| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
//// \item @|obj.SetGravityToBottomLeft ()| -  Specify if the input points define the center of the icon quad or one of
// top right corner, top center, top left corner, center right, center, center
// center left, bottom right corner, bottom center or bottom left corner.
////\end{itemize}
//!
