#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIdFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIdFilter.h"

//@@Signature
//sfunction @vtkIdFilter:vtkIdFilter vtkIdFilterConstructorFunction
//input a
//output p
//@@Parents vtkIdFilter vtkDataSetAlgorithm 
ArrayVector vtkIdFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIdFilter::New(),"vtkIdFilter",eval);
  } else if (arg[0].className() == "vtkIdFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIdFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIdFilter");
    vtkIdFilter*q = reinterpret_cast<vtkIdFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIdFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIdFilter:GetClassName vtkIdFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIdFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:IsA vtkIdFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIdFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIdFilter requires 2 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:NewInstance vtkIdFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIdFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  vtkIdFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:SafeDownCast vtkIdFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIdFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIdFilter requires 2 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIdFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:SetPointIds vtkIdFilterSetPointIdsFunction
//input a0 a1 
//output none
ArrayVector vtkIdFilterSetPointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointIds for class vtkIdFilter requires 2 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:GetPointIds vtkIdFilterGetPointIdsFunction
//input a0 
//output y
ArrayVector vtkIdFilterGetPointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointIds for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPointIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:PointIdsOn vtkIdFilterPointIdsOnFunction
//input a0 
//output none
ArrayVector vtkIdFilterPointIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PointIdsOn for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  vtk_pointer->PointIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:PointIdsOff vtkIdFilterPointIdsOffFunction
//input a0 
//output none
ArrayVector vtkIdFilterPointIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PointIdsOff for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  vtk_pointer->PointIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:SetCellIds vtkIdFilterSetCellIdsFunction
//input a0 a1 
//output none
ArrayVector vtkIdFilterSetCellIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellIds for class vtkIdFilter requires 2 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:GetCellIds vtkIdFilterGetCellIdsFunction
//input a0 
//output y
ArrayVector vtkIdFilterGetCellIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellIds for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:CellIdsOn vtkIdFilterCellIdsOnFunction
//input a0 
//output none
ArrayVector vtkIdFilterCellIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CellIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CellIdsOn for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  vtk_pointer->CellIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:CellIdsOff vtkIdFilterCellIdsOffFunction
//input a0 
//output none
ArrayVector vtkIdFilterCellIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CellIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CellIdsOff for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  vtk_pointer->CellIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:SetFieldData vtkIdFilterSetFieldDataFunction
//input a0 a1 
//output none
ArrayVector vtkIdFilterSetFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldData for class vtkIdFilter requires 2 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:GetFieldData vtkIdFilterGetFieldDataFunction
//input a0 
//output y
ArrayVector vtkIdFilterGetFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldData for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:FieldDataOn vtkIdFilterFieldDataOnFunction
//input a0 
//output none
ArrayVector vtkIdFilterFieldDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FieldDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FieldDataOn for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  vtk_pointer->FieldDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:FieldDataOff vtkIdFilterFieldDataOffFunction
//input a0 
//output none
ArrayVector vtkIdFilterFieldDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FieldDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FieldDataOff for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  vtk_pointer->FieldDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:SetIdsArrayName vtkIdFilterSetIdsArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkIdFilterSetIdsArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIdsArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetIdsArrayName for class vtkIdFilter requires 2 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetIdsArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:GetIdsArrayName vtkIdFilterGetIdsArrayNameFunction
//input a0 
//output y
ArrayVector vtkIdFilterGetIdsArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetIdsArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIdsArrayName for class vtkIdFilter requires 1 argument(s)");
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetIdsArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdFilter:display vtkIdFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIdFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIdFilter* vtk_pointer = GetVTKPointer<vtkIdFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIdFilter:delete vtkIdFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkIdFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIdFilter
//@@Section VTKGraphics
//@@Usage
// vtkIdFilter is a filter to that generates scalars or field data
// using cell and point ids. That is, the point attribute data scalars
// or field data are generated from the point ids, and the cell
// attribute data scalars or field data are generated from the the
// cell ids.
//
// Typically this filter is used with vtkLabeledDataMapper (and possibly
// vtkSelectVisiblePoints) to create labels for points and cells, or labels
// for the point or cell data scalar values.
//
//To create an instance of class vtkIdFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkIdFilter
//@]
//@@Methods
//The class vtkIdFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIdFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIdFilter = obj.NewInstance ()|
// \item @|vtkIdFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPointIds (int )| -  Enable/disable the generation of point ids. Default is on.
//// \item @|int = obj.GetPointIds ()| -  Enable/disable the generation of point ids. Default is on.
//// \item @|obj.PointIdsOn ()| -  Enable/disable the generation of point ids. Default is on.
//// \item @|obj.PointIdsOff ()| -  Enable/disable the generation of point ids. Default is on.
//// \item @|obj.SetCellIds (int )| -  Enable/disable the generation of point ids. Default is on.
//// \item @|int = obj.GetCellIds ()| -  Enable/disable the generation of point ids. Default is on.
//// \item @|obj.CellIdsOn ()| -  Enable/disable the generation of point ids. Default is on.
//// \item @|obj.CellIdsOff ()| -  Enable/disable the generation of point ids. Default is on.
//// \item @|obj.SetFieldData (int )| -  Set/Get the flag which controls whether to generate scalar data
// or field data. If this flag is off, scalar data is generated.
// Otherwise, field data is generated. Default is off.
//// \item @|int = obj.GetFieldData ()| -  Set/Get the flag which controls whether to generate scalar data
// or field data. If this flag is off, scalar data is generated.
// Otherwise, field data is generated. Default is off.
//// \item @|obj.FieldDataOn ()| -  Set/Get the flag which controls whether to generate scalar data
// or field data. If this flag is off, scalar data is generated.
// Otherwise, field data is generated. Default is off.
//// \item @|obj.FieldDataOff ()| -  Set/Get the flag which controls whether to generate scalar data
// or field data. If this flag is off, scalar data is generated.
// Otherwise, field data is generated. Default is off.
//// \item @|obj.SetIdsArrayName (string )| -  Set/Get the name of the Ids array if generated. By default the Ids
// are named "vtkIdFilter_Ids", but this can be changed with this function.
//// \item @|string = obj.GetIdsArrayName ()| -  Set/Get the name of the Ids array if generated. By default the Ids
// are named "vtkIdFilter_Ids", but this can be changed with this function.
////\end{itemize}
//!
