#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageDataGeometryFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageDataGeometryFilter.h"

//@@Signature
//sfunction @vtkImageDataGeometryFilter:vtkImageDataGeometryFilter vtkImageDataGeometryFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageDataGeometryFilter vtkPolyDataAlgorithm 
ArrayVector vtkImageDataGeometryFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageDataGeometryFilter::New(),"vtkImageDataGeometryFilter",eval);
  } else if (arg[0].className() == "vtkImageDataGeometryFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageDataGeometryFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageDataGeometryFilter");
    vtkImageDataGeometryFilter*q = reinterpret_cast<vtkImageDataGeometryFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageDataGeometryFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageDataGeometryFilter:GetClassName vtkImageDataGeometryFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageDataGeometryFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:IsA vtkImageDataGeometryFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataGeometryFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageDataGeometryFilter requires 2 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:NewInstance vtkImageDataGeometryFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageDataGeometryFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDataGeometryFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  vtkImageDataGeometryFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDataGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:SafeDownCast vtkImageDataGeometryFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataGeometryFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDataGeometryFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageDataGeometryFilter requires 2 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageDataGeometryFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDataGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:SetExtent__1 vtkImageDataGeometryFilterSetExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageDataGeometryFilterSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__1 for class vtkImageDataGeometryFilter requires 2 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:SetExtent__2 vtkImageDataGeometryFilterSetExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageDataGeometryFilterSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__2 for class vtkImageDataGeometryFilter requires 7 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:SetThresholdCells vtkImageDataGeometryFilterSetThresholdCellsFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataGeometryFilterSetThresholdCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThresholdCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThresholdCells for class vtkImageDataGeometryFilter requires 2 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThresholdCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:GetThresholdCells vtkImageDataGeometryFilterGetThresholdCellsFunction
//input a0 
//output y
ArrayVector vtkImageDataGeometryFilterGetThresholdCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThresholdCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThresholdCells for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThresholdCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:ThresholdCellsOn vtkImageDataGeometryFilterThresholdCellsOnFunction
//input a0 
//output none
ArrayVector vtkImageDataGeometryFilterThresholdCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ThresholdCellsOn for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->ThresholdCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:ThresholdCellsOff vtkImageDataGeometryFilterThresholdCellsOffFunction
//input a0 
//output none
ArrayVector vtkImageDataGeometryFilterThresholdCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ThresholdCellsOff for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->ThresholdCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:SetThresholdValue vtkImageDataGeometryFilterSetThresholdValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataGeometryFilterSetThresholdValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThresholdValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThresholdValue for class vtkImageDataGeometryFilter requires 2 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetThresholdValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:GetThresholdValue vtkImageDataGeometryFilterGetThresholdValueFunction
//input a0 
//output y
ArrayVector vtkImageDataGeometryFilterGetThresholdValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThresholdValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThresholdValue for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThresholdValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:ThresholdValueOn vtkImageDataGeometryFilterThresholdValueOnFunction
//input a0 
//output none
ArrayVector vtkImageDataGeometryFilterThresholdValueOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdValueOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ThresholdValueOn for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->ThresholdValueOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:ThresholdValueOff vtkImageDataGeometryFilterThresholdValueOffFunction
//input a0 
//output none
ArrayVector vtkImageDataGeometryFilterThresholdValueOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdValueOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ThresholdValueOff for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->ThresholdValueOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:SetOutputTriangles vtkImageDataGeometryFilterSetOutputTrianglesFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataGeometryFilterSetOutputTrianglesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputTriangles (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputTriangles for class vtkImageDataGeometryFilter requires 2 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputTriangles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:GetOutputTriangles vtkImageDataGeometryFilterGetOutputTrianglesFunction
//input a0 
//output y
ArrayVector vtkImageDataGeometryFilterGetOutputTrianglesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputTriangles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputTriangles for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputTriangles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:OutputTrianglesOn vtkImageDataGeometryFilterOutputTrianglesOnFunction
//input a0 
//output none
ArrayVector vtkImageDataGeometryFilterOutputTrianglesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutputTrianglesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutputTrianglesOn for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->OutputTrianglesOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:OutputTrianglesOff vtkImageDataGeometryFilterOutputTrianglesOffFunction
//input a0 
//output none
ArrayVector vtkImageDataGeometryFilterOutputTrianglesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutputTrianglesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutputTrianglesOff for class vtkImageDataGeometryFilter requires 1 argument(s)");
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->OutputTrianglesOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:SetExtent vtkImageDataGeometryFilterSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageDataGeometryFilterSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageDataGeometryFilterSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageDataGeometryFilterSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDataGeometryFilterSetExtent");
}

//@@Signature
//sfunction @vtkImageDataGeometryFilter:display vtkImageDataGeometryFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageDataGeometryFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageDataGeometryFilter* vtk_pointer = GetVTKPointer<vtkImageDataGeometryFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageDataGeometryFilter:delete vtkImageDataGeometryFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageDataGeometryFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageDataGeometryFilter
//@@Section VTKGraphics
//@@Usage
// vtkImageDataGeometryFilter is a filter that extracts geometry from a
// structured points dataset. By specifying appropriate i-j-k indices (via the 
// "Extent" instance variable), it is possible to extract a point, a line, a 
// plane (i.e., image), or a "volume" from dataset. (Since the output is 
// of type polydata, the volume is actually a (n x m x o) region of points.)
//
// The extent specification is zero-offset. That is, the first k-plane in
// a 50x50x50 volume is given by (0,49, 0,49, 0,0).
//
//To create an instance of class vtkImageDataGeometryFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageDataGeometryFilter
//@]
//@@Methods
//The class vtkImageDataGeometryFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageDataGeometryFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageDataGeometryFilter = obj.NewInstance ()|
// \item @|vtkImageDataGeometryFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetExtent (int extent[6])| -  Set / get the extent (imin,imax, jmin,jmax, kmin,kmax) indices.
//// \item @|obj.SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax)| -  Set / get the extent (imin,imax, jmin,jmax, kmin,kmax) indices.
//// \item @|obj.SetThresholdCells (int )| -  Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar
// values less than the specified threshold.
// Currently this functionality is only implemented for 2D imagedata
//// \item @|int = obj.GetThresholdCells ()| -  Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar
// values less than the specified threshold.
// Currently this functionality is only implemented for 2D imagedata
//// \item @|obj.ThresholdCellsOn ()| -  Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar
// values less than the specified threshold.
// Currently this functionality is only implemented for 2D imagedata
//// \item @|obj.ThresholdCellsOff ()| -  Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar
// values less than the specified threshold.
// Currently this functionality is only implemented for 2D imagedata
//// \item @|obj.SetThresholdValue (double )| -  Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry
// when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.
//// \item @|double = obj.GetThresholdValue ()| -  Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry
// when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.
//// \item @|obj.ThresholdValueOn ()| -  Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry
// when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.
//// \item @|obj.ThresholdValueOff ()| -  Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry
// when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.
//// \item @|obj.SetOutputTriangles (int )| -  Set OutputTriangles to true if you wish to generate triangles instead of quads
// when extracting cells from 2D imagedata
// Currently this functionality is only implemented for 2D imagedata
//// \item @|int = obj.GetOutputTriangles ()| -  Set OutputTriangles to true if you wish to generate triangles instead of quads
// when extracting cells from 2D imagedata
// Currently this functionality is only implemented for 2D imagedata
//// \item @|obj.OutputTrianglesOn ()| -  Set OutputTriangles to true if you wish to generate triangles instead of quads
// when extracting cells from 2D imagedata
// Currently this functionality is only implemented for 2D imagedata
//// \item @|obj.OutputTrianglesOff ()| -  Set OutputTriangles to true if you wish to generate triangles instead of quads
// when extracting cells from 2D imagedata
// Currently this functionality is only implemented for 2D imagedata
////\end{itemize}
//!
