#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMarchingCubes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMarchingCubes.h"

//@@Signature
//sfunction @vtkImageMarchingCubes:vtkImageMarchingCubes vtkImageMarchingCubesConstructorFunction
//input a
//output p
//@@Parents vtkImageMarchingCubes vtkPolyDataAlgorithm 
ArrayVector vtkImageMarchingCubesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMarchingCubes::New(),"vtkImageMarchingCubes",eval);
  } else if (arg[0].className() == "vtkImageMarchingCubes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMarchingCubes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMarchingCubes");
    vtkImageMarchingCubes*q = reinterpret_cast<vtkImageMarchingCubes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMarchingCubes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMarchingCubes:GetClassName vtkImageMarchingCubesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMarchingCubesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:IsA vtkImageMarchingCubesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMarchingCubesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMarchingCubes requires 2 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:NewInstance vtkImageMarchingCubesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMarchingCubesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMarchingCubes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  vtkImageMarchingCubes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMarchingCubes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:SafeDownCast vtkImageMarchingCubesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMarchingCubesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMarchingCubes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMarchingCubes requires 2 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMarchingCubes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMarchingCubes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:SetValue vtkImageMarchingCubesSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageMarchingCubesSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkImageMarchingCubes requires 3 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GetValue vtkImageMarchingCubesGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkImageMarchingCubesGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkImageMarchingCubes requires 2 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GetValues__2 vtkImageMarchingCubesGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkImageMarchingCubesGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues); */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkImageMarchingCubes requires 2 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:SetNumberOfContours vtkImageMarchingCubesSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkImageMarchingCubesSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkImageMarchingCubes requires 2 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GetNumberOfContours vtkImageMarchingCubesGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkImageMarchingCubesGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GenerateValues__1 vtkImageMarchingCubesGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageMarchingCubesGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkImageMarchingCubes requires 3 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GenerateValues__2 vtkImageMarchingCubesGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageMarchingCubesGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd); */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkImageMarchingCubes requires 4 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GetMTime vtkImageMarchingCubesGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImageMarchingCubesGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:SetComputeScalars vtkImageMarchingCubesSetComputeScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkImageMarchingCubesSetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeScalars for class vtkImageMarchingCubes requires 2 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GetComputeScalars vtkImageMarchingCubesGetComputeScalarsFunction
//input a0 
//output y
ArrayVector vtkImageMarchingCubesGetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeScalars for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:ComputeScalarsOn vtkImageMarchingCubesComputeScalarsOnFunction
//input a0 
//output none
ArrayVector vtkImageMarchingCubesComputeScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOn for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:ComputeScalarsOff vtkImageMarchingCubesComputeScalarsOffFunction
//input a0 
//output none
ArrayVector vtkImageMarchingCubesComputeScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOff for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:SetComputeNormals vtkImageMarchingCubesSetComputeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkImageMarchingCubesSetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeNormals for class vtkImageMarchingCubes requires 2 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GetComputeNormals vtkImageMarchingCubesGetComputeNormalsFunction
//input a0 
//output y
ArrayVector vtkImageMarchingCubesGetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeNormals for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:ComputeNormalsOn vtkImageMarchingCubesComputeNormalsOnFunction
//input a0 
//output none
ArrayVector vtkImageMarchingCubesComputeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOn for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:ComputeNormalsOff vtkImageMarchingCubesComputeNormalsOffFunction
//input a0 
//output none
ArrayVector vtkImageMarchingCubesComputeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOff for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:SetComputeGradients vtkImageMarchingCubesSetComputeGradientsFunction
//input a0 a1 
//output none
ArrayVector vtkImageMarchingCubesSetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeGradients (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeGradients for class vtkImageMarchingCubes requires 2 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeGradients(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GetComputeGradients vtkImageMarchingCubesGetComputeGradientsFunction
//input a0 
//output y
ArrayVector vtkImageMarchingCubesGetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeGradients (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeGradients for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeGradients();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:ComputeGradientsOn vtkImageMarchingCubesComputeGradientsOnFunction
//input a0 
//output none
ArrayVector vtkImageMarchingCubesComputeGradientsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOn for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:ComputeGradientsOff vtkImageMarchingCubesComputeGradientsOffFunction
//input a0 
//output none
ArrayVector vtkImageMarchingCubesComputeGradientsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOff for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GetLocatorPoint vtkImageMarchingCubesGetLocatorPointFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImageMarchingCubesGetLocatorPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLocatorPoint (int cellX, int cellY, int edge); */
  if (arg.size() < 4) 
    throw Exception("Function GetLocatorPoint for class vtkImageMarchingCubes requires 4 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetLocatorPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:AddLocatorPoint vtkImageMarchingCubesAddLocatorPointFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageMarchingCubesAddLocatorPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLocatorPoint (int cellX, int cellY, int edge, int ptId); */
  if (arg.size() < 5) 
    throw Exception("Function AddLocatorPoint for class vtkImageMarchingCubes requires 5 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->AddLocatorPoint(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:IncrementLocatorZ vtkImageMarchingCubesIncrementLocatorZFunction
//input a0 
//output none
ArrayVector vtkImageMarchingCubesIncrementLocatorZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncrementLocatorZ (); */
  if (arg.size() < 1) 
    throw Exception("Function IncrementLocatorZ for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->IncrementLocatorZ();
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:SetInputMemoryLimit vtkImageMarchingCubesSetInputMemoryLimitFunction
//input a0 a1 
//output none
ArrayVector vtkImageMarchingCubesSetInputMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputMemoryLimit (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputMemoryLimit for class vtkImageMarchingCubes requires 2 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInputMemoryLimit(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GetInputMemoryLimit vtkImageMarchingCubesGetInputMemoryLimitFunction
//input a0 
//output y
ArrayVector vtkImageMarchingCubesGetInputMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInputMemoryLimit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputMemoryLimit for class vtkImageMarchingCubes requires 1 argument(s)");
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInputMemoryLimit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GetValues vtkImageMarchingCubesGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkImageMarchingCubesGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageMarchingCubesGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMarchingCubesGetValues");
}

//@@Signature
//sfunction @vtkImageMarchingCubes:GenerateValues vtkImageMarchingCubesGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkImageMarchingCubesGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkImageMarchingCubesGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageMarchingCubesGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMarchingCubesGenerateValues");
}

//@@Signature
//sfunction @vtkImageMarchingCubes:display vtkImageMarchingCubesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMarchingCubesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMarchingCubes* vtk_pointer = GetVTKPointer<vtkImageMarchingCubes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMarchingCubes:delete vtkImageMarchingCubesDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMarchingCubesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMarchingCubes
//@@Section VTKGraphics
//@@Usage
// vtkImageMarchingCubes is a filter that takes as input images (e.g., 3D
// image region) and generates on output one or more isosurfaces.
// One or more contour values must be specified to generate the isosurfaces.
// Alternatively, you can specify a min/max scalar range and the number of
// contours to generate a series of evenly spaced contour values.
// This filter can stream, so that the entire volume need not be loaded at
// once.  Streaming is controlled using the instance variable
// InputMemoryLimit, which has units KBytes.
//
//To create an instance of class vtkImageMarchingCubes, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMarchingCubes
//@]
//@@Methods
//The class vtkImageMarchingCubes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMarchingCubes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMarchingCubes = obj.NewInstance ()|
// \item @|vtkImageMarchingCubes = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (int i, double value)| -  Methods to set contour values
//// \item @|double = obj.GetValue (int i)| -  Methods to set contour values
//// \item @|obj.GetValues (double contourValues)| -  Methods to set contour values
//// \item @|obj.SetNumberOfContours (int number)| -  Methods to set contour values
//// \item @|int = obj.GetNumberOfContours ()| -  Methods to set contour values
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Methods to set contour values
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Methods to set contour values
//// \item @|long = obj.GetMTime ()| -  Because we delegate to vtkContourValues & refer to vtkImplicitFunction
//// \item @|obj.SetComputeScalars (int )| -  Set/Get the computation of scalars.
//// \item @|int = obj.GetComputeScalars ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOn ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOff ()| -  Set/Get the computation of scalars.
//// \item @|obj.SetComputeNormals (int )| -  Set/Get the computation of normals. Normal computation is fairly expensive
// in both time and storage. If the output data will be processed by filters
// that modify topology or geometry, it may be wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeNormals ()| -  Set/Get the computation of normals. Normal computation is fairly expensive
// in both time and storage. If the output data will be processed by filters
// that modify topology or geometry, it may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOn ()| -  Set/Get the computation of normals. Normal computation is fairly expensive
// in both time and storage. If the output data will be processed by filters
// that modify topology or geometry, it may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOff ()| -  Set/Get the computation of normals. Normal computation is fairly expensive
// in both time and storage. If the output data will be processed by filters
// that modify topology or geometry, it may be wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeGradients (int )| -  Set/Get the computation of gradients. Gradient computation is fairly expensive
// in both time and storage. Note that if ComputeNormals is on, gradients will
// have to be calculated, but will not be stored in the output dataset.
// If the output data will be processed by filters that modify topology or
// geometry, it may be wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeGradients ()| -  Set/Get the computation of gradients. Gradient computation is fairly expensive
// in both time and storage. Note that if ComputeNormals is on, gradients will
// have to be calculated, but will not be stored in the output dataset.
// If the output data will be processed by filters that modify topology or
// geometry, it may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOn ()| -  Set/Get the computation of gradients. Gradient computation is fairly expensive
// in both time and storage. Note that if ComputeNormals is on, gradients will
// have to be calculated, but will not be stored in the output dataset.
// If the output data will be processed by filters that modify topology or
// geometry, it may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOff ()| -  Set/Get the computation of gradients. Gradient computation is fairly expensive
// in both time and storage. Note that if ComputeNormals is on, gradients will
// have to be calculated, but will not be stored in the output dataset.
// If the output data will be processed by filters that modify topology or
// geometry, it may be wise to turn Normals and Gradients off.
//// \item @|int = obj.GetLocatorPoint (int cellX, int cellY, int edge)|
// \item @|obj.AddLocatorPoint (int cellX, int cellY, int edge, int ptId)|
// \item @|obj.IncrementLocatorZ ()|
// \item @|obj.SetInputMemoryLimit (int )| -  The InputMemoryLimit determines the chunk size (the number of slices
// requested at each iteration).  The units of this limit is KiloBytes.
// For now, only the Z axis is split.
//// \item @|int = obj.GetInputMemoryLimit ()| -  The InputMemoryLimit determines the chunk size (the number of slices
// requested at each iteration).  The units of this limit is KiloBytes.
// For now, only the Z axis is split.
////\end{itemize}
//!
