#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInterpolateDataSetAttributes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInterpolateDataSetAttributes.h"

//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:vtkInterpolateDataSetAttributes vtkInterpolateDataSetAttributesConstructorFunction
//input a
//output p
//@@Parents vtkInterpolateDataSetAttributes vtkDataSetAlgorithm 
ArrayVector vtkInterpolateDataSetAttributesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInterpolateDataSetAttributes::New(),"vtkInterpolateDataSetAttributes",eval);
  } else if (arg[0].className() == "vtkInterpolateDataSetAttributes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInterpolateDataSetAttributes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInterpolateDataSetAttributes");
    vtkInterpolateDataSetAttributes*q = reinterpret_cast<vtkInterpolateDataSetAttributes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInterpolateDataSetAttributes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:GetClassName vtkInterpolateDataSetAttributesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInterpolateDataSetAttributesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInterpolateDataSetAttributes requires 1 argument(s)");
  vtkInterpolateDataSetAttributes* vtk_pointer = GetVTKPointer<vtkInterpolateDataSetAttributes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:IsA vtkInterpolateDataSetAttributesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInterpolateDataSetAttributesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInterpolateDataSetAttributes requires 2 argument(s)");
  vtkInterpolateDataSetAttributes* vtk_pointer = GetVTKPointer<vtkInterpolateDataSetAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:NewInstance vtkInterpolateDataSetAttributesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInterpolateDataSetAttributesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInterpolateDataSetAttributes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInterpolateDataSetAttributes requires 1 argument(s)");
  vtkInterpolateDataSetAttributes* vtk_pointer = GetVTKPointer<vtkInterpolateDataSetAttributes>(arg[0]);
  Array retval;
  vtkInterpolateDataSetAttributes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInterpolateDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:SafeDownCast vtkInterpolateDataSetAttributesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInterpolateDataSetAttributesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInterpolateDataSetAttributes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInterpolateDataSetAttributes requires 2 argument(s)");
  vtkInterpolateDataSetAttributes* vtk_pointer = GetVTKPointer<vtkInterpolateDataSetAttributes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInterpolateDataSetAttributes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInterpolateDataSetAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:GetInputList vtkInterpolateDataSetAttributesGetInputListFunction
//input a0 
//output y
ArrayVector vtkInterpolateDataSetAttributesGetInputListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetCollection *GetInputList (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputList for class vtkInterpolateDataSetAttributes requires 1 argument(s)");
  vtkInterpolateDataSetAttributes* vtk_pointer = GetVTKPointer<vtkInterpolateDataSetAttributes>(arg[0]);
  Array retval;
  vtkDataSetCollection  *temp20;
  temp20 = (vtk_pointer)->GetInputList();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:SetT vtkInterpolateDataSetAttributesSetTFunction
//input a0 a1 
//output none
ArrayVector vtkInterpolateDataSetAttributesSetTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetT (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetT for class vtkInterpolateDataSetAttributes requires 2 argument(s)");
  vtkInterpolateDataSetAttributes* vtk_pointer = GetVTKPointer<vtkInterpolateDataSetAttributes>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetT(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:GetTMinValue vtkInterpolateDataSetAttributesGetTMinValueFunction
//input a0 
//output y
ArrayVector vtkInterpolateDataSetAttributesGetTMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTMinValue for class vtkInterpolateDataSetAttributes requires 1 argument(s)");
  vtkInterpolateDataSetAttributes* vtk_pointer = GetVTKPointer<vtkInterpolateDataSetAttributes>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:GetTMaxValue vtkInterpolateDataSetAttributesGetTMaxValueFunction
//input a0 
//output y
ArrayVector vtkInterpolateDataSetAttributesGetTMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTMaxValue for class vtkInterpolateDataSetAttributes requires 1 argument(s)");
  vtkInterpolateDataSetAttributes* vtk_pointer = GetVTKPointer<vtkInterpolateDataSetAttributes>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:GetT vtkInterpolateDataSetAttributesGetTFunction
//input a0 
//output y
ArrayVector vtkInterpolateDataSetAttributesGetTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetT for class vtkInterpolateDataSetAttributes requires 1 argument(s)");
  vtkInterpolateDataSetAttributes* vtk_pointer = GetVTKPointer<vtkInterpolateDataSetAttributes>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolateDataSetAttributes:display vtkInterpolateDataSetAttributesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInterpolateDataSetAttributesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInterpolateDataSetAttributes* vtk_pointer = GetVTKPointer<vtkInterpolateDataSetAttributes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInterpolateDataSetAttributes:delete vtkInterpolateDataSetAttributesDeleteFunction
//input varargin
//output none
ArrayVector vtkInterpolateDataSetAttributesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInterpolateDataSetAttributes
//@@Section VTKGraphics
//@@Usage
// vtkInterpolateDataSetAttributes is a filter that interpolates data set
// attribute values between input data sets. The input to the filter
// must be datasets of the same type, same number of cells, and same 
// number of points. The output of the filter is a data set of the same
// type as the input dataset and whose attribute values have been 
// interpolated at the parametric value specified.
//
// The filter is used by specifying two or more input data sets (total of N),
// and a parametric value t (0 <= t <= N-1). The output will contain
// interpolated data set attributes common to all input data sets. (For
// example, if one input has scalars and vectors, and another has just
// scalars, then only scalars will be interpolated and output.)
//
//To create an instance of class vtkInterpolateDataSetAttributes, simply
//invoke its constructor as follows
//@[
//  obj = vtkInterpolateDataSetAttributes
//@]
//@@Methods
//The class vtkInterpolateDataSetAttributes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInterpolateDataSetAttributes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInterpolateDataSetAttributes = obj.NewInstance ()|
// \item @|vtkInterpolateDataSetAttributes = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataSetCollection = obj.GetInputList ()| -  Return the list of inputs to this filter.
//// \item @|obj.SetT (double )| -  Specify interpolation parameter t.
//// \item @|double = obj.GetTMinValue ()| -  Specify interpolation parameter t.
//// \item @|double = obj.GetTMaxValue ()| -  Specify interpolation parameter t.
//// \item @|double = obj.GetT ()| -  Specify interpolation parameter t.
////\end{itemize}
//!
