#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInterpolatingSubdivisionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInterpolatingSubdivisionFilter.h"

//@@Signature
//sfunction @vtkInterpolatingSubdivisionFilter:vtkInterpolatingSubdivisionFilter vtkInterpolatingSubdivisionFilterConstructorFunction
//input a
//output p
//@@Parents vtkInterpolatingSubdivisionFilter vtkPolyDataAlgorithm 
ArrayVector vtkInterpolatingSubdivisionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInterpolatingSubdivisionFilter::New(),"vtkInterpolatingSubdivisionFilter",eval);
  } else if (arg[0].className() == "vtkInterpolatingSubdivisionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInterpolatingSubdivisionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInterpolatingSubdivisionFilter");
    vtkInterpolatingSubdivisionFilter*q = reinterpret_cast<vtkInterpolatingSubdivisionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInterpolatingSubdivisionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInterpolatingSubdivisionFilter:GetClassName vtkInterpolatingSubdivisionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInterpolatingSubdivisionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInterpolatingSubdivisionFilter requires 1 argument(s)");
  vtkInterpolatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkInterpolatingSubdivisionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatingSubdivisionFilter:IsA vtkInterpolatingSubdivisionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInterpolatingSubdivisionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInterpolatingSubdivisionFilter requires 2 argument(s)");
  vtkInterpolatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkInterpolatingSubdivisionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatingSubdivisionFilter:NewInstance vtkInterpolatingSubdivisionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInterpolatingSubdivisionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInterpolatingSubdivisionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInterpolatingSubdivisionFilter requires 1 argument(s)");
  vtkInterpolatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkInterpolatingSubdivisionFilter>(arg[0]);
  Array retval;
  vtkInterpolatingSubdivisionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInterpolatingSubdivisionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatingSubdivisionFilter:SafeDownCast vtkInterpolatingSubdivisionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInterpolatingSubdivisionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInterpolatingSubdivisionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInterpolatingSubdivisionFilter requires 2 argument(s)");
  vtkInterpolatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkInterpolatingSubdivisionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInterpolatingSubdivisionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInterpolatingSubdivisionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatingSubdivisionFilter:SetNumberOfSubdivisions vtkInterpolatingSubdivisionFilterSetNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkInterpolatingSubdivisionFilterSetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSubdivisions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSubdivisions for class vtkInterpolatingSubdivisionFilter requires 2 argument(s)");
  vtkInterpolatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkInterpolatingSubdivisionFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatingSubdivisionFilter:GetNumberOfSubdivisions vtkInterpolatingSubdivisionFilterGetNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkInterpolatingSubdivisionFilterGetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubdivisions for class vtkInterpolatingSubdivisionFilter requires 1 argument(s)");
  vtkInterpolatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkInterpolatingSubdivisionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInterpolatingSubdivisionFilter:display vtkInterpolatingSubdivisionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInterpolatingSubdivisionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInterpolatingSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkInterpolatingSubdivisionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInterpolatingSubdivisionFilter:delete vtkInterpolatingSubdivisionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkInterpolatingSubdivisionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInterpolatingSubdivisionFilter
//@@Section VTKGraphics
//@@Usage
// vtkInterpolatingSubdivisionFilter is an abstract class that defines
// the protocol for interpolating subdivision surface filters.
//
//To create an instance of class vtkInterpolatingSubdivisionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkInterpolatingSubdivisionFilter
//@]
//@@Methods
//The class vtkInterpolatingSubdivisionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInterpolatingSubdivisionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInterpolatingSubdivisionFilter = obj.NewInstance ()|
// \item @|vtkInterpolatingSubdivisionFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfSubdivisions (int )| -  Set/get the number of subdivisions.
//// \item @|int = obj.GetNumberOfSubdivisions ()| -  Set/get the number of subdivisions.
////\end{itemize}
//!
