#include "VTKWrap.hpp"

// FreeMat wrapper for vtkKdTreeSelector object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkKdTreeSelector.h"

//@@Signature
//sfunction @vtkKdTreeSelector:vtkKdTreeSelector vtkKdTreeSelectorConstructorFunction
//input a
//output p
//@@Parents vtkKdTreeSelector vtkSelectionAlgorithm 
ArrayVector vtkKdTreeSelectorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkKdTreeSelector::New(),"vtkKdTreeSelector",eval);
  } else if (arg[0].className() == "vtkKdTreeSelector") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkKdTreeSelector"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkKdTreeSelector");
    vtkKdTreeSelector*q = reinterpret_cast<vtkKdTreeSelector*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkKdTreeSelector");
    return ret;
  }
}
//@@Signature
//sfunction @vtkKdTreeSelector:GetClassName vtkKdTreeSelectorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkKdTreeSelectorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:IsA vtkKdTreeSelectorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreeSelectorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkKdTreeSelector requires 2 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:NewInstance vtkKdTreeSelectorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkKdTreeSelectorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdTreeSelector *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  vtkKdTreeSelector  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdTreeSelector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SafeDownCast vtkKdTreeSelectorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkKdTreeSelectorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdTreeSelector *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkKdTreeSelector requires 2 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkKdTreeSelector  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdTreeSelector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SetKdTree vtkKdTreeSelectorSetKdTreeFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSelectorSetKdTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKdTree (vtkKdTree *tree); */
  if (arg.size() < 2) 
    throw Exception("Function SetKdTree for class vtkKdTreeSelector requires 2 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  vtkKdTree  *temp0;
  temp0 = GetVTKPointer<vtkKdTree>(arg[1]);
  vtk_pointer->SetKdTree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:GetKdTree vtkKdTreeSelectorGetKdTreeFunction
//input a0 
//output y
ArrayVector vtkKdTreeSelectorGetKdTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKdTree *GetKdTree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKdTree for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  vtkKdTree  *temp20;
  temp20 = (vtk_pointer)->GetKdTree();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKdTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SetSelectionBounds__1 vtkKdTreeSelectorSetSelectionBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkKdTreeSelectorSetSelectionBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetSelectionBounds__1 for class vtkKdTreeSelector requires 7 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetSelectionBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SetSelectionBounds__2 vtkKdTreeSelectorSetSelectionBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkKdTreeSelectorSetSelectionBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionBounds__2 for class vtkKdTreeSelector requires 2 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSelectionBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:GetSelectionBounds vtkKdTreeSelectorGetSelectionBoundsFunction
//input a0 
//output y
ArrayVector vtkKdTreeSelectorGetSelectionBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSelectionBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionBounds for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSelectionBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SetSelectionFieldName vtkKdTreeSelectorSetSelectionFieldNameFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSelectorSetSelectionFieldNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionFieldName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionFieldName for class vtkKdTreeSelector requires 2 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSelectionFieldName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:GetSelectionFieldName vtkKdTreeSelectorGetSelectionFieldNameFunction
//input a0 
//output y
ArrayVector vtkKdTreeSelectorGetSelectionFieldNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetSelectionFieldName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionFieldName for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetSelectionFieldName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SetSelectionAttribute vtkKdTreeSelectorSetSelectionAttributeFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSelectorSetSelectionAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionAttribute (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionAttribute for class vtkKdTreeSelector requires 2 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectionAttribute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:GetSelectionAttribute vtkKdTreeSelectorGetSelectionAttributeFunction
//input a0 
//output y
ArrayVector vtkKdTreeSelectorGetSelectionAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectionAttribute (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionAttribute for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectionAttribute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SetSingleSelection vtkKdTreeSelectorSetSingleSelectionFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSelectorSetSingleSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSingleSelection (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSingleSelection for class vtkKdTreeSelector requires 2 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetSingleSelection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:GetSingleSelection vtkKdTreeSelectorGetSingleSelectionFunction
//input a0 
//output y
ArrayVector vtkKdTreeSelectorGetSingleSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetSingleSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSingleSelection for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetSingleSelection();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SingleSelectionOn vtkKdTreeSelectorSingleSelectionOnFunction
//input a0 
//output none
ArrayVector vtkKdTreeSelectorSingleSelectionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SingleSelectionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SingleSelectionOn for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  vtk_pointer->SingleSelectionOn();
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SingleSelectionOff vtkKdTreeSelectorSingleSelectionOffFunction
//input a0 
//output none
ArrayVector vtkKdTreeSelectorSingleSelectionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SingleSelectionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SingleSelectionOff for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  vtk_pointer->SingleSelectionOff();
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SetSingleSelectionThreshold vtkKdTreeSelectorSetSingleSelectionThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkKdTreeSelectorSetSingleSelectionThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSingleSelectionThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSingleSelectionThreshold for class vtkKdTreeSelector requires 2 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSingleSelectionThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:GetSingleSelectionThreshold vtkKdTreeSelectorGetSingleSelectionThresholdFunction
//input a0 
//output y
ArrayVector vtkKdTreeSelectorGetSingleSelectionThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSingleSelectionThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSingleSelectionThreshold for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSingleSelectionThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:GetMTime vtkKdTreeSelectorGetMTimeFunction
//input a0 
//output y
ArrayVector vtkKdTreeSelectorGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkKdTreeSelector requires 1 argument(s)");
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKdTreeSelector:SetSelectionBounds vtkKdTreeSelectorSetSelectionBoundsFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeSelectorSetSelectionBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkKdTreeSelectorSetSelectionBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkKdTreeSelectorSetSelectionBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkKdTreeSelectorSetSelectionBounds");
}

//@@Signature
//sfunction @vtkKdTreeSelector:display vtkKdTreeSelectorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkKdTreeSelectorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkKdTreeSelector* vtk_pointer = GetVTKPointer<vtkKdTreeSelector>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkKdTreeSelector:delete vtkKdTreeSelectorDeleteFunction
//input varargin
//output none
ArrayVector vtkKdTreeSelectorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkKdTreeSelector
//@@Section VTKGraphics
//@@Usage
// If SetKdTree is used, the filter ignores the input and selects based on that
// kd-tree.  If SetKdTree is not used, the filter builds a kd-tree using the
// input point set and uses that tree for selection.  The output is a
// vtkSelection containing the ids found in the kd-tree using the specified
// bounds.
//
//To create an instance of class vtkKdTreeSelector, simply
//invoke its constructor as follows
//@[
//  obj = vtkKdTreeSelector
//@]
//@@Methods
//The class vtkKdTreeSelector has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkKdTreeSelector class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkKdTreeSelector = obj.NewInstance ()|
// \item @|vtkKdTreeSelector = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetKdTree (vtkKdTree tree)| -  The kd-tree to use to find selected ids.
// The kd-tree must be initialized with the desired set of points.
// When this is set, the optional input is ignored.
//// \item @|vtkKdTree = obj.GetKdTree ()| -  The kd-tree to use to find selected ids.
// The kd-tree must be initialized with the desired set of points.
// When this is set, the optional input is ignored.
//// \item @|obj.SetSelectionBounds (double , double , double , double , double , double )| -  The bounds of the form (xmin,xmax,ymin,ymax,zmin,zmax).
// To perform a search in 2D, use the bounds
// (xmin,xmax,ymin,ymax,VTK_DOUBLE_MIN,VTK_DOUBLE_MAX).
//// \item @|obj.SetSelectionBounds (double  a[6])| -  The bounds of the form (xmin,xmax,ymin,ymax,zmin,zmax).
// To perform a search in 2D, use the bounds
// (xmin,xmax,ymin,ymax,VTK_DOUBLE_MIN,VTK_DOUBLE_MAX).
//// \item @|double = obj. GetSelectionBounds ()| -  The bounds of the form (xmin,xmax,ymin,ymax,zmin,zmax).
// To perform a search in 2D, use the bounds
// (xmin,xmax,ymin,ymax,VTK_DOUBLE_MIN,VTK_DOUBLE_MAX).
//// \item @|obj.SetSelectionFieldName (string )| -  The field name to use when generating the selection.
// If set, creates a VALUES selection.
// If not set (or is set to NULL), creates a INDICES selection.
// By default this is not set.
//// \item @|string = obj.GetSelectionFieldName ()| -  The field name to use when generating the selection.
// If set, creates a VALUES selection.
// If not set (or is set to NULL), creates a INDICES selection.
// By default this is not set.
//// \item @|obj.SetSelectionAttribute (int )| -  The field attribute to use when generating the selection.
// If set, creates a PEDIGREEIDS or GLOBALIDS selection.
// If not set (or is set to -1), creates a INDICES selection.
// By default this is not set.
// NOTE: This should be set a constant in vtkDataSetAttributes,
// not vtkSelection.
//// \item @|int = obj.GetSelectionAttribute ()| -  The field attribute to use when generating the selection.
// If set, creates a PEDIGREEIDS or GLOBALIDS selection.
// If not set (or is set to -1), creates a INDICES selection.
// By default this is not set.
// NOTE: This should be set a constant in vtkDataSetAttributes,
// not vtkSelection.
//// \item @|obj.SetSingleSelection (bool )| -  Whether to only allow up to one value in the result.
// The item selected is closest to the center of the bounds,
// if there are any points within the selection threshold.
// Default is off.
//// \item @|bool = obj.GetSingleSelection ()| -  Whether to only allow up to one value in the result.
// The item selected is closest to the center of the bounds,
// if there are any points within the selection threshold.
// Default is off.
//// \item @|obj.SingleSelectionOn ()| -  Whether to only allow up to one value in the result.
// The item selected is closest to the center of the bounds,
// if there are any points within the selection threshold.
// Default is off.
//// \item @|obj.SingleSelectionOff ()| -  Whether to only allow up to one value in the result.
// The item selected is closest to the center of the bounds,
// if there are any points within the selection threshold.
// Default is off.
//// \item @|obj.SetSingleSelectionThreshold (double )| -  The threshold for the single selection.
// A single point is added to the selection if it is within
// this threshold from the bounds center.
// Default is 1.
//// \item @|double = obj.GetSingleSelectionThreshold ()| -  The threshold for the single selection.
// A single point is added to the selection if it is within
// this threshold from the bounds center.
// Default is 1.
//// \item @|long = obj.GetMTime ()|
//\end{itemize}
//!
