#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLevelIdScalars object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLevelIdScalars.h"

//@@Signature
//sfunction @vtkLevelIdScalars:vtkLevelIdScalars vtkLevelIdScalarsConstructorFunction
//input a
//output p
//@@Parents vtkLevelIdScalars vtkHierarchicalBoxDataSetAlgorithm 
ArrayVector vtkLevelIdScalarsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLevelIdScalars::New(),"vtkLevelIdScalars",eval);
  } else if (arg[0].className() == "vtkLevelIdScalars") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLevelIdScalars"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLevelIdScalars");
    vtkLevelIdScalars*q = reinterpret_cast<vtkLevelIdScalars*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLevelIdScalars");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLevelIdScalars:GetClassName vtkLevelIdScalarsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLevelIdScalarsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLevelIdScalars requires 1 argument(s)");
  vtkLevelIdScalars* vtk_pointer = GetVTKPointer<vtkLevelIdScalars>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLevelIdScalars:IsA vtkLevelIdScalarsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLevelIdScalarsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLevelIdScalars requires 2 argument(s)");
  vtkLevelIdScalars* vtk_pointer = GetVTKPointer<vtkLevelIdScalars>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLevelIdScalars:NewInstance vtkLevelIdScalarsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLevelIdScalarsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLevelIdScalars *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLevelIdScalars requires 1 argument(s)");
  vtkLevelIdScalars* vtk_pointer = GetVTKPointer<vtkLevelIdScalars>(arg[0]);
  Array retval;
  vtkLevelIdScalars  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLevelIdScalars",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLevelIdScalars:SafeDownCast vtkLevelIdScalarsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLevelIdScalarsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLevelIdScalars *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLevelIdScalars requires 2 argument(s)");
  vtkLevelIdScalars* vtk_pointer = GetVTKPointer<vtkLevelIdScalars>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLevelIdScalars  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLevelIdScalars",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLevelIdScalars:display vtkLevelIdScalarsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLevelIdScalarsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLevelIdScalars* vtk_pointer = GetVTKPointer<vtkLevelIdScalars>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLevelIdScalars:delete vtkLevelIdScalarsDeleteFunction
//input varargin
//output none
ArrayVector vtkLevelIdScalarsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLevelIdScalars
//@@Section VTKGraphics
//@@Usage
// vtkLevelIdScalars is a filter that generates scalars using the level number
// for each level. Note that all datasets within a level get the same scalar.
// The new scalars array is named \c LevelIdScalars.
//
//To create an instance of class vtkLevelIdScalars, simply
//invoke its constructor as follows
//@[
//  obj = vtkLevelIdScalars
//@]
//@@Methods
//The class vtkLevelIdScalars has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLevelIdScalars class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLevelIdScalars = obj.NewInstance ()|
// \item @|vtkLevelIdScalars = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
