#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLineSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLineSource.h"

//@@Signature
//sfunction @vtkLineSource:vtkLineSource vtkLineSourceConstructorFunction
//input a
//output p
//@@Parents vtkLineSource vtkPolyDataAlgorithm 
ArrayVector vtkLineSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLineSource::New(),"vtkLineSource",eval);
  } else if (arg[0].className() == "vtkLineSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLineSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLineSource");
    vtkLineSource*q = reinterpret_cast<vtkLineSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLineSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLineSource:GetClassName vtkLineSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLineSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLineSource requires 1 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:IsA vtkLineSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLineSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLineSource requires 2 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:NewInstance vtkLineSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLineSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLineSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLineSource requires 1 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  vtkLineSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLineSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:SafeDownCast vtkLineSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLineSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLineSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLineSource requires 2 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLineSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLineSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:SetPoint1__1 vtkLineSourceSetPoint1__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLineSourceSetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint1__1 for class vtkLineSource requires 4 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint1(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:SetPoint1__2 vtkLineSourceSetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkLineSourceSetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1__2 for class vtkLineSource requires 2 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:GetPoint1 vtkLineSourceGetPoint1Function
//input a0 
//output y
ArrayVector vtkLineSourceGetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1 for class vtkLineSource requires 1 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:SetPoint2__1 vtkLineSourceSetPoint2__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLineSourceSetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint2__1 for class vtkLineSource requires 4 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:SetPoint2__2 vtkLineSourceSetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkLineSourceSetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2__2 for class vtkLineSource requires 2 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:GetPoint2 vtkLineSourceGetPoint2Function
//input a0 
//output y
ArrayVector vtkLineSourceGetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2 for class vtkLineSource requires 1 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:SetResolution vtkLineSourceSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkLineSourceSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkLineSource requires 2 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:GetResolutionMinValue vtkLineSourceGetResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkLineSourceGetResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMinValue for class vtkLineSource requires 1 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:GetResolutionMaxValue vtkLineSourceGetResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkLineSourceGetResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMaxValue for class vtkLineSource requires 1 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:GetResolution vtkLineSourceGetResolutionFunction
//input a0 
//output y
ArrayVector vtkLineSourceGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkLineSource requires 1 argument(s)");
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineSource:SetPoint1 vtkLineSourceSetPoint1Function
//input varargin
//output varargout
ArrayVector vtkLineSourceSetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLineSourceSetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineSourceSetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineSourceSetPoint1");
}

//@@Signature
//sfunction @vtkLineSource:SetPoint2 vtkLineSourceSetPoint2Function
//input varargin
//output varargout
ArrayVector vtkLineSourceSetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLineSourceSetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineSourceSetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineSourceSetPoint2");
}

//@@Signature
//sfunction @vtkLineSource:display vtkLineSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLineSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLineSource* vtk_pointer = GetVTKPointer<vtkLineSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLineSource:delete vtkLineSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkLineSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLineSource
//@@Section VTKGraphics
//@@Usage
// vtkLineSource is a source object that creates a polyline defined by
// two endpoints. The number of segments composing the polyline is
// controlled by setting the object resolution.
//
//To create an instance of class vtkLineSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkLineSource
//@]
//@@Methods
//The class vtkLineSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLineSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLineSource = obj.NewInstance ()|
// \item @|vtkLineSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPoint1 (double , double , double )| -  Set position of first end point.
//// \item @|obj.SetPoint1 (double  a[3])| -  Set position of first end point.
//// \item @|double = obj. GetPoint1 ()| -  Set position of first end point.
//// \item @|obj.SetPoint2 (double , double , double )| -  Set position of other end point.
//// \item @|obj.SetPoint2 (double  a[3])| -  Set position of other end point.
//// \item @|double = obj. GetPoint2 ()| -  Set position of other end point.
//// \item @|obj.SetResolution (int )| -  Divide line into resolution number of pieces.
//// \item @|int = obj.GetResolutionMinValue ()| -  Divide line into resolution number of pieces.
//// \item @|int = obj.GetResolutionMaxValue ()| -  Divide line into resolution number of pieces.
//// \item @|int = obj.GetResolution ()| -  Divide line into resolution number of pieces.
////\end{itemize}
//!
