#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLinearExtrusionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLinearExtrusionFilter.h"

//@@Signature
//sfunction @vtkLinearExtrusionFilter:vtkLinearExtrusionFilter vtkLinearExtrusionFilterConstructorFunction
//input a
//output p
//@@Parents vtkLinearExtrusionFilter vtkPolyDataAlgorithm 
ArrayVector vtkLinearExtrusionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLinearExtrusionFilter::New(),"vtkLinearExtrusionFilter",eval);
  } else if (arg[0].className() == "vtkLinearExtrusionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLinearExtrusionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLinearExtrusionFilter");
    vtkLinearExtrusionFilter*q = reinterpret_cast<vtkLinearExtrusionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLinearExtrusionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLinearExtrusionFilter:GetClassName vtkLinearExtrusionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLinearExtrusionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:IsA vtkLinearExtrusionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLinearExtrusionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLinearExtrusionFilter requires 2 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:NewInstance vtkLinearExtrusionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLinearExtrusionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearExtrusionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtkLinearExtrusionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearExtrusionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SafeDownCast vtkLinearExtrusionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLinearExtrusionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearExtrusionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLinearExtrusionFilter requires 2 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLinearExtrusionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearExtrusionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetExtrusionType vtkLinearExtrusionFilterSetExtrusionTypeFunction
//input a0 a1 
//output none
ArrayVector vtkLinearExtrusionFilterSetExtrusionTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtrusionType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtrusionType for class vtkLinearExtrusionFilter requires 2 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtrusionType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:GetExtrusionTypeMinValue vtkLinearExtrusionFilterGetExtrusionTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkLinearExtrusionFilterGetExtrusionTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtrusionTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtrusionTypeMinValue for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtrusionTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:GetExtrusionTypeMaxValue vtkLinearExtrusionFilterGetExtrusionTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkLinearExtrusionFilterGetExtrusionTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtrusionTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtrusionTypeMaxValue for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtrusionTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:GetExtrusionType vtkLinearExtrusionFilterGetExtrusionTypeFunction
//input a0 
//output y
ArrayVector vtkLinearExtrusionFilterGetExtrusionTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtrusionType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtrusionType for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtrusionType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetExtrusionTypeToVectorExtrusion vtkLinearExtrusionFilterSetExtrusionTypeToVectorExtrusionFunction
//input a0 
//output none
ArrayVector vtkLinearExtrusionFilterSetExtrusionTypeToVectorExtrusionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtrusionTypeToVectorExtrusion ();this SetExtrusionType VTK_VECTOR_EXTRUSION  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtrusionTypeToVectorExtrusion for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtrusionTypeToVectorExtrusion();
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetExtrusionTypeToNormalExtrusion vtkLinearExtrusionFilterSetExtrusionTypeToNormalExtrusionFunction
//input a0 
//output none
ArrayVector vtkLinearExtrusionFilterSetExtrusionTypeToNormalExtrusionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtrusionTypeToNormalExtrusion ();this SetExtrusionType VTK_NORMAL_EXTRUSION  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtrusionTypeToNormalExtrusion for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtrusionTypeToNormalExtrusion();
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetExtrusionTypeToPointExtrusion vtkLinearExtrusionFilterSetExtrusionTypeToPointExtrusionFunction
//input a0 
//output none
ArrayVector vtkLinearExtrusionFilterSetExtrusionTypeToPointExtrusionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtrusionTypeToPointExtrusion ();this SetExtrusionType VTK_POINT_EXTRUSION  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtrusionTypeToPointExtrusion for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtrusionTypeToPointExtrusion();
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetCapping vtkLinearExtrusionFilterSetCappingFunction
//input a0 a1 
//output none
ArrayVector vtkLinearExtrusionFilterSetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapping for class vtkLinearExtrusionFilter requires 2 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:GetCapping vtkLinearExtrusionFilterGetCappingFunction
//input a0 
//output y
ArrayVector vtkLinearExtrusionFilterGetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapping for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCapping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:CappingOn vtkLinearExtrusionFilterCappingOnFunction
//input a0 
//output none
ArrayVector vtkLinearExtrusionFilterCappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOn for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtk_pointer->CappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:CappingOff vtkLinearExtrusionFilterCappingOffFunction
//input a0 
//output none
ArrayVector vtkLinearExtrusionFilterCappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOff for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtk_pointer->CappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetScaleFactor vtkLinearExtrusionFilterSetScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkLinearExtrusionFilterSetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleFactor for class vtkLinearExtrusionFilter requires 2 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:GetScaleFactor vtkLinearExtrusionFilterGetScaleFactorFunction
//input a0 
//output y
ArrayVector vtkLinearExtrusionFilterGetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactor for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetVector__1 vtkLinearExtrusionFilterSetVector__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLinearExtrusionFilterSetVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVector (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetVector__1 for class vtkLinearExtrusionFilter requires 4 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetVector(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetVector__2 vtkLinearExtrusionFilterSetVector__2Function
//input a0 a1 
//output none
ArrayVector vtkLinearExtrusionFilterSetVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVector (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetVector__2 for class vtkLinearExtrusionFilter requires 2 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetVector(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:GetVector vtkLinearExtrusionFilterGetVectorFunction
//input a0 
//output y
ArrayVector vtkLinearExtrusionFilterGetVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetVector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVector for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetVector();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetExtrusionPoint__1 vtkLinearExtrusionFilterSetExtrusionPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLinearExtrusionFilterSetExtrusionPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtrusionPoint (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetExtrusionPoint__1 for class vtkLinearExtrusionFilter requires 4 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetExtrusionPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetExtrusionPoint__2 vtkLinearExtrusionFilterSetExtrusionPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkLinearExtrusionFilterSetExtrusionPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtrusionPoint (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtrusionPoint__2 for class vtkLinearExtrusionFilter requires 2 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetExtrusionPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:GetExtrusionPoint vtkLinearExtrusionFilterGetExtrusionPointFunction
//input a0 
//output y
ArrayVector vtkLinearExtrusionFilterGetExtrusionPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetExtrusionPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtrusionPoint for class vtkLinearExtrusionFilter requires 1 argument(s)");
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetExtrusionPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetVector vtkLinearExtrusionFilterSetVectorFunction
//input varargin
//output varargout
ArrayVector vtkLinearExtrusionFilterSetVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLinearExtrusionFilterSetVector__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLinearExtrusionFilterSetVector__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearExtrusionFilterSetVector");
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:SetExtrusionPoint vtkLinearExtrusionFilterSetExtrusionPointFunction
//input varargin
//output varargout
ArrayVector vtkLinearExtrusionFilterSetExtrusionPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLinearExtrusionFilterSetExtrusionPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLinearExtrusionFilterSetExtrusionPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLinearExtrusionFilterSetExtrusionPoint");
}

//@@Signature
//sfunction @vtkLinearExtrusionFilter:display vtkLinearExtrusionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLinearExtrusionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkLinearExtrusionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLinearExtrusionFilter:delete vtkLinearExtrusionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkLinearExtrusionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLinearExtrusionFilter
//@@Section VTKGraphics
//@@Usage
// vtkLinearExtrusionFilter is a modeling filter. It takes polygonal data as 
// input and generates polygonal data on output. The input dataset is swept
// according to some extrusion function and creates new polygonal primitives.
// These primitives form a "skirt" or swept surface. For example, sweeping a
// line results in a quadrilateral, and sweeping a triangle creates a "wedge".
//
// There are a number of control parameters for this filter. You can 
// control whether the sweep of a 2D object (i.e., polygon or triangle strip) 
// is capped with the generating geometry via the "Capping" ivar. Also, you
// can extrude in the direction of a user specified vector, towards a point,
// or in the direction of vertex normals (normals must be provided - use 
// vtkPolyDataNormals if necessary). The amount of extrusion is controlled by
// the "ScaleFactor" instance variable.
//
// The skirt is generated by locating certain topological features. Free 
// edges (edges of polygons or triangle strips only used by one polygon or
// triangle strips) generate surfaces. This is true also of lines or 
// polylines. Vertices generate lines.
//
// This filter can be used to create 3D fonts, 3D irregular bar charts,
// or to model 2 1/2D objects like punched plates. It also can be used to 
// create solid objects from 2D polygonal meshes.
//
//To create an instance of class vtkLinearExtrusionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkLinearExtrusionFilter
//@]
//@@Methods
//The class vtkLinearExtrusionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLinearExtrusionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLinearExtrusionFilter = obj.NewInstance ()|
// \item @|vtkLinearExtrusionFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetExtrusionType (int )| -  Set/Get the type of extrusion.
//// \item @|int = obj.GetExtrusionTypeMinValue ()| -  Set/Get the type of extrusion.
//// \item @|int = obj.GetExtrusionTypeMaxValue ()| -  Set/Get the type of extrusion.
//// \item @|int = obj.GetExtrusionType ()| -  Set/Get the type of extrusion.
//// \item @|obj.SetExtrusionTypeToVectorExtrusion ()| -  Set/Get the type of extrusion.
//// \item @|obj.SetExtrusionTypeToNormalExtrusion ()| -  Set/Get the type of extrusion.
//// \item @|obj.SetExtrusionTypeToPointExtrusion ()| -  Set/Get the type of extrusion.
//// \item @|obj.SetCapping (int )| -  Turn on/off the capping of the skirt.
//// \item @|int = obj.GetCapping ()| -  Turn on/off the capping of the skirt.
//// \item @|obj.CappingOn ()| -  Turn on/off the capping of the skirt.
//// \item @|obj.CappingOff ()| -  Turn on/off the capping of the skirt.
//// \item @|obj.SetScaleFactor (double )| -  Set/Get extrusion scale factor,
//// \item @|double = obj.GetScaleFactor ()| -  Set/Get extrusion scale factor,
//// \item @|obj.SetVector (double , double , double )| -  Set/Get extrusion vector. Only needs to be set if VectorExtrusion is
// turned on.
//// \item @|obj.SetVector (double  a[3])| -  Set/Get extrusion vector. Only needs to be set if VectorExtrusion is
// turned on.
//// \item @|double = obj. GetVector ()| -  Set/Get extrusion vector. Only needs to be set if VectorExtrusion is
// turned on.
//// \item @|obj.SetExtrusionPoint (double , double , double )| -  Set/Get extrusion point. Only needs to be set if PointExtrusion is
// turned on. This is the point towards which extrusion occurs.
//// \item @|obj.SetExtrusionPoint (double  a[3])| -  Set/Get extrusion point. Only needs to be set if PointExtrusion is
// turned on. This is the point towards which extrusion occurs.
//// \item @|double = obj. GetExtrusionPoint ()| -  Set/Get extrusion point. Only needs to be set if PointExtrusion is
// turned on. This is the point towards which extrusion occurs.
////\end{itemize}
//!
