#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLinearSubdivisionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLinearSubdivisionFilter.h"

//@@Signature
//sfunction @vtkLinearSubdivisionFilter:vtkLinearSubdivisionFilter vtkLinearSubdivisionFilterConstructorFunction
//input a
//output p
//@@Parents vtkLinearSubdivisionFilter vtkInterpolatingSubdivisionFilter 
ArrayVector vtkLinearSubdivisionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLinearSubdivisionFilter::New(),"vtkLinearSubdivisionFilter",eval);
  } else if (arg[0].className() == "vtkLinearSubdivisionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLinearSubdivisionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLinearSubdivisionFilter");
    vtkLinearSubdivisionFilter*q = reinterpret_cast<vtkLinearSubdivisionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLinearSubdivisionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLinearSubdivisionFilter:GetClassName vtkLinearSubdivisionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLinearSubdivisionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLinearSubdivisionFilter requires 1 argument(s)");
  vtkLinearSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkLinearSubdivisionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearSubdivisionFilter:IsA vtkLinearSubdivisionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLinearSubdivisionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLinearSubdivisionFilter requires 2 argument(s)");
  vtkLinearSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkLinearSubdivisionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearSubdivisionFilter:NewInstance vtkLinearSubdivisionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLinearSubdivisionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearSubdivisionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLinearSubdivisionFilter requires 1 argument(s)");
  vtkLinearSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkLinearSubdivisionFilter>(arg[0]);
  Array retval;
  vtkLinearSubdivisionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearSubdivisionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinearSubdivisionFilter:SafeDownCast vtkLinearSubdivisionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLinearSubdivisionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearSubdivisionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLinearSubdivisionFilter requires 2 argument(s)");
  vtkLinearSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkLinearSubdivisionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLinearSubdivisionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearSubdivisionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinearSubdivisionFilter:display vtkLinearSubdivisionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLinearSubdivisionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLinearSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkLinearSubdivisionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLinearSubdivisionFilter:delete vtkLinearSubdivisionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkLinearSubdivisionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLinearSubdivisionFilter
//@@Section VTKGraphics
//@@Usage
// vtkLinearSubdivisionFilter is a filter that generates output by
// subdividing its input polydata. Each subdivision iteration create 4
// new triangles for each triangle in the polydata.
//
//To create an instance of class vtkLinearSubdivisionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkLinearSubdivisionFilter
//@]
//@@Methods
//The class vtkLinearSubdivisionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLinearSubdivisionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Construct object with NumberOfSubdivisions set to 1.
//// \item @|int = obj.IsA (string name)| -  Construct object with NumberOfSubdivisions set to 1.
//// \item @|vtkLinearSubdivisionFilter = obj.NewInstance ()| -  Construct object with NumberOfSubdivisions set to 1.
//// \item @|vtkLinearSubdivisionFilter = obj.SafeDownCast (vtkObject o)| -  Construct object with NumberOfSubdivisions set to 1.
////\end{itemize}
//!
