#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLinkEdgels object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLinkEdgels.h"

//@@Signature
//sfunction @vtkLinkEdgels:vtkLinkEdgels vtkLinkEdgelsConstructorFunction
//input a
//output p
//@@Parents vtkLinkEdgels vtkPolyDataAlgorithm 
ArrayVector vtkLinkEdgelsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLinkEdgels::New(),"vtkLinkEdgels",eval);
  } else if (arg[0].className() == "vtkLinkEdgels") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLinkEdgels"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLinkEdgels");
    vtkLinkEdgels*q = reinterpret_cast<vtkLinkEdgels*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLinkEdgels");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLinkEdgels:GetClassName vtkLinkEdgelsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLinkEdgelsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLinkEdgels requires 1 argument(s)");
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinkEdgels:IsA vtkLinkEdgelsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLinkEdgelsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLinkEdgels requires 2 argument(s)");
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinkEdgels:NewInstance vtkLinkEdgelsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLinkEdgelsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinkEdgels *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLinkEdgels requires 1 argument(s)");
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  Array retval;
  vtkLinkEdgels  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinkEdgels",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinkEdgels:SafeDownCast vtkLinkEdgelsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLinkEdgelsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinkEdgels *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLinkEdgels requires 2 argument(s)");
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLinkEdgels  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinkEdgels",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinkEdgels:SetLinkThreshold vtkLinkEdgelsSetLinkThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkLinkEdgelsSetLinkThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLinkThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLinkThreshold for class vtkLinkEdgels requires 2 argument(s)");
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLinkThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLinkEdgels:GetLinkThreshold vtkLinkEdgelsGetLinkThresholdFunction
//input a0 
//output y
ArrayVector vtkLinkEdgelsGetLinkThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLinkThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLinkThreshold for class vtkLinkEdgels requires 1 argument(s)");
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLinkThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinkEdgels:SetPhiThreshold vtkLinkEdgelsSetPhiThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkLinkEdgelsSetPhiThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhiThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPhiThreshold for class vtkLinkEdgels requires 2 argument(s)");
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPhiThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLinkEdgels:GetPhiThreshold vtkLinkEdgelsGetPhiThresholdFunction
//input a0 
//output y
ArrayVector vtkLinkEdgelsGetPhiThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPhiThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiThreshold for class vtkLinkEdgels requires 1 argument(s)");
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPhiThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinkEdgels:SetGradientThreshold vtkLinkEdgelsSetGradientThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkLinkEdgelsSetGradientThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGradientThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientThreshold for class vtkLinkEdgels requires 2 argument(s)");
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGradientThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLinkEdgels:GetGradientThreshold vtkLinkEdgelsGetGradientThresholdFunction
//input a0 
//output y
ArrayVector vtkLinkEdgelsGetGradientThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGradientThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientThreshold for class vtkLinkEdgels requires 1 argument(s)");
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGradientThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinkEdgels:display vtkLinkEdgelsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLinkEdgelsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLinkEdgels* vtk_pointer = GetVTKPointer<vtkLinkEdgels>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLinkEdgels:delete vtkLinkEdgelsDeleteFunction
//input varargin
//output none
ArrayVector vtkLinkEdgelsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLinkEdgels
//@@Section VTKGraphics
//@@Usage
// vtkLinkEdgels links edgels into digital curves which are then stored 
// as polylines. The algorithm works one pixel at a time only looking at
// its immediate neighbors. There is a GradientThreshold that can be set 
// that eliminates any pixels with a smaller gradient value. This can
// be used as the lower threshold of a two value edgel thresholding. 
//
// For the remaining edgels, links are first tried for the four
// connected neighbors.  A successful neighbor will satisfy three
// tests. First both edgels must be above the gradient
// threshold. Second, the difference between the orientation between
// the two edgels (Alpha) and each edgels orientation (Phi) must be
// less than LinkThreshold. Third, the difference between the two
// edgels Phi values must be less than PhiThreshold.
// The most successful link is selected. The measure is simply the 
// sum of the three angle differences (actually stored as the sum of
// the cosines). If none of the four connect neighbors succeeds, then
// the eight connect neighbors are examined using the same method.
//  
// This filter requires gradient information so you will need to use
// a vtkImageGradient at some point prior to this filter.  Typically
// a vtkNonMaximumSuppression filter is also used. vtkThresholdEdgels
// can be used to complete the two value edgel thresholding as used
// in a Canny edge detector. The vtkSubpixelPositionEdgels filter 
// can also be used after this filter to adjust the edgel locations.
//
//To create an instance of class vtkLinkEdgels, simply
//invoke its constructor as follows
//@[
//  obj = vtkLinkEdgels
//@]
//@@Methods
//The class vtkLinkEdgels has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLinkEdgels class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLinkEdgels = obj.NewInstance ()|
// \item @|vtkLinkEdgels = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLinkThreshold (double )| -  Set/Get the threshold for Phi vs. Alpha link thresholding.
//// \item @|double = obj.GetLinkThreshold ()| -  Set/Get the threshold for Phi vs. Alpha link thresholding.
//// \item @|obj.SetPhiThreshold (double )| -  Set/get the threshold for Phi vs. Phi link thresholding.
//// \item @|double = obj.GetPhiThreshold ()| -  Set/get the threshold for Phi vs. Phi link thresholding.
//// \item @|obj.SetGradientThreshold (double )| -  Set/Get the threshold for image gradient thresholding.
//// \item @|double = obj.GetGradientThreshold ()| -  Set/Get the threshold for image gradient thresholding.
////\end{itemize}
//!
