#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLoopSubdivisionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLoopSubdivisionFilter.h"

//@@Signature
//sfunction @vtkLoopSubdivisionFilter:vtkLoopSubdivisionFilter vtkLoopSubdivisionFilterConstructorFunction
//input a
//output p
//@@Parents vtkLoopSubdivisionFilter vtkApproximatingSubdivisionFilter 
ArrayVector vtkLoopSubdivisionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLoopSubdivisionFilter::New(),"vtkLoopSubdivisionFilter",eval);
  } else if (arg[0].className() == "vtkLoopSubdivisionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLoopSubdivisionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLoopSubdivisionFilter");
    vtkLoopSubdivisionFilter*q = reinterpret_cast<vtkLoopSubdivisionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLoopSubdivisionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLoopSubdivisionFilter:GetClassName vtkLoopSubdivisionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLoopSubdivisionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLoopSubdivisionFilter requires 1 argument(s)");
  vtkLoopSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkLoopSubdivisionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLoopSubdivisionFilter:IsA vtkLoopSubdivisionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLoopSubdivisionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLoopSubdivisionFilter requires 2 argument(s)");
  vtkLoopSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkLoopSubdivisionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLoopSubdivisionFilter:NewInstance vtkLoopSubdivisionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLoopSubdivisionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLoopSubdivisionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLoopSubdivisionFilter requires 1 argument(s)");
  vtkLoopSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkLoopSubdivisionFilter>(arg[0]);
  Array retval;
  vtkLoopSubdivisionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLoopSubdivisionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLoopSubdivisionFilter:SafeDownCast vtkLoopSubdivisionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLoopSubdivisionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLoopSubdivisionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLoopSubdivisionFilter requires 2 argument(s)");
  vtkLoopSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkLoopSubdivisionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLoopSubdivisionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLoopSubdivisionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLoopSubdivisionFilter:display vtkLoopSubdivisionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLoopSubdivisionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLoopSubdivisionFilter* vtk_pointer = GetVTKPointer<vtkLoopSubdivisionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLoopSubdivisionFilter:delete vtkLoopSubdivisionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkLoopSubdivisionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLoopSubdivisionFilter
//@@Section VTKGraphics
//@@Usage
// vtkLoopSubdivisionFilter is an approximating subdivision scheme that
// creates four new triangles for each triangle in the mesh. The user can
// specify the NumberOfSubdivisions. Loop's subdivision scheme is
// described in: Loop, C., "Smooth Subdivision surfaces based on
// triangles,", Masters Thesis, University of Utah, August 1987.
// For a nice summary of the technique see, Hoppe, H., et. al,
// "Piecewise Smooth Surface Reconstruction,:, Proceedings of Siggraph 94
// (Orlando, Florida, July 24-29, 1994). In COmputer Graphics
// Proceedings, Annual COnference Series, 1994, ACM SIGGRAPH,
// pp. 295-302.
// <P>
// The filter only operates on triangles. Users should use the
// vtkTriangleFilter to triangulate meshes that contain polygons or
// triangle strips.
// <P>
// The filter approximates point data using the same scheme. New
// triangles create at a subdivision step will have the cell data of
// their parent cell.
//
//To create an instance of class vtkLoopSubdivisionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkLoopSubdivisionFilter
//@]
//@@Methods
//The class vtkLoopSubdivisionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLoopSubdivisionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Construct object with NumberOfSubdivisions set to 1.
//// \item @|int = obj.IsA (string name)| -  Construct object with NumberOfSubdivisions set to 1.
//// \item @|vtkLoopSubdivisionFilter = obj.NewInstance ()| -  Construct object with NumberOfSubdivisions set to 1.
//// \item @|vtkLoopSubdivisionFilter = obj.SafeDownCast (vtkObject o)| -  Construct object with NumberOfSubdivisions set to 1.
////\end{itemize}
//!
