#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMarchingContourFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMarchingContourFilter.h"

//@@Signature
//sfunction @vtkMarchingContourFilter:vtkMarchingContourFilter vtkMarchingContourFilterConstructorFunction
//input a
//output p
//@@Parents vtkMarchingContourFilter vtkPolyDataAlgorithm 
ArrayVector vtkMarchingContourFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMarchingContourFilter::New(),"vtkMarchingContourFilter",eval);
  } else if (arg[0].className() == "vtkMarchingContourFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMarchingContourFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMarchingContourFilter");
    vtkMarchingContourFilter*q = reinterpret_cast<vtkMarchingContourFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMarchingContourFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMarchingContourFilter:GetClassName vtkMarchingContourFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMarchingContourFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:IsA vtkMarchingContourFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMarchingContourFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMarchingContourFilter requires 2 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:NewInstance vtkMarchingContourFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMarchingContourFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMarchingContourFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtkMarchingContourFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMarchingContourFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:SafeDownCast vtkMarchingContourFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMarchingContourFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMarchingContourFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMarchingContourFilter requires 2 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMarchingContourFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMarchingContourFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:SetValue vtkMarchingContourFilterSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMarchingContourFilterSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkMarchingContourFilter requires 3 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GetValue vtkMarchingContourFilterGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkMarchingContourFilterGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkMarchingContourFilter requires 2 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GetValues__2 vtkMarchingContourFilterGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkMarchingContourFilterGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues); */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkMarchingContourFilter requires 2 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:SetNumberOfContours vtkMarchingContourFilterSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingContourFilterSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkMarchingContourFilter requires 2 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GetNumberOfContours vtkMarchingContourFilterGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkMarchingContourFilterGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GenerateValues__1 vtkMarchingContourFilterGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMarchingContourFilterGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkMarchingContourFilter requires 3 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GenerateValues__2 vtkMarchingContourFilterGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMarchingContourFilterGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd); */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkMarchingContourFilter requires 4 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GetMTime vtkMarchingContourFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkMarchingContourFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:SetComputeNormals vtkMarchingContourFilterSetComputeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingContourFilterSetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeNormals for class vtkMarchingContourFilter requires 2 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GetComputeNormals vtkMarchingContourFilterGetComputeNormalsFunction
//input a0 
//output y
ArrayVector vtkMarchingContourFilterGetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeNormals for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:ComputeNormalsOn vtkMarchingContourFilterComputeNormalsOnFunction
//input a0 
//output none
ArrayVector vtkMarchingContourFilterComputeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOn for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:ComputeNormalsOff vtkMarchingContourFilterComputeNormalsOffFunction
//input a0 
//output none
ArrayVector vtkMarchingContourFilterComputeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOff for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:SetComputeGradients vtkMarchingContourFilterSetComputeGradientsFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingContourFilterSetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeGradients (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeGradients for class vtkMarchingContourFilter requires 2 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeGradients(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GetComputeGradients vtkMarchingContourFilterGetComputeGradientsFunction
//input a0 
//output y
ArrayVector vtkMarchingContourFilterGetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeGradients (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeGradients for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeGradients();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:ComputeGradientsOn vtkMarchingContourFilterComputeGradientsOnFunction
//input a0 
//output none
ArrayVector vtkMarchingContourFilterComputeGradientsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOn for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOn();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:ComputeGradientsOff vtkMarchingContourFilterComputeGradientsOffFunction
//input a0 
//output none
ArrayVector vtkMarchingContourFilterComputeGradientsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOff for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOff();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:SetComputeScalars vtkMarchingContourFilterSetComputeScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingContourFilterSetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeScalars for class vtkMarchingContourFilter requires 2 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GetComputeScalars vtkMarchingContourFilterGetComputeScalarsFunction
//input a0 
//output y
ArrayVector vtkMarchingContourFilterGetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeScalars for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:ComputeScalarsOn vtkMarchingContourFilterComputeScalarsOnFunction
//input a0 
//output none
ArrayVector vtkMarchingContourFilterComputeScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOn for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:ComputeScalarsOff vtkMarchingContourFilterComputeScalarsOffFunction
//input a0 
//output none
ArrayVector vtkMarchingContourFilterComputeScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOff for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:SetUseScalarTree vtkMarchingContourFilterSetUseScalarTreeFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingContourFilterSetUseScalarTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseScalarTree (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseScalarTree for class vtkMarchingContourFilter requires 2 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseScalarTree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GetUseScalarTree vtkMarchingContourFilterGetUseScalarTreeFunction
//input a0 
//output y
ArrayVector vtkMarchingContourFilterGetUseScalarTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseScalarTree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseScalarTree for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseScalarTree();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:UseScalarTreeOn vtkMarchingContourFilterUseScalarTreeOnFunction
//input a0 
//output none
ArrayVector vtkMarchingContourFilterUseScalarTreeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseScalarTreeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseScalarTreeOn for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseScalarTreeOn();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:UseScalarTreeOff vtkMarchingContourFilterUseScalarTreeOffFunction
//input a0 
//output none
ArrayVector vtkMarchingContourFilterUseScalarTreeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseScalarTreeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseScalarTreeOff for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseScalarTreeOff();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:SetLocator vtkMarchingContourFilterSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingContourFilterSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkMarchingContourFilter requires 2 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GetLocator vtkMarchingContourFilterGetLocatorFunction
//input a0 
//output y
ArrayVector vtkMarchingContourFilterGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:CreateDefaultLocator vtkMarchingContourFilterCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkMarchingContourFilterCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkMarchingContourFilter requires 1 argument(s)");
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GetValues vtkMarchingContourFilterGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkMarchingContourFilterGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMarchingContourFilterGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMarchingContourFilterGetValues");
}

//@@Signature
//sfunction @vtkMarchingContourFilter:GenerateValues vtkMarchingContourFilterGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkMarchingContourFilterGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMarchingContourFilterGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMarchingContourFilterGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMarchingContourFilterGenerateValues");
}

//@@Signature
//sfunction @vtkMarchingContourFilter:display vtkMarchingContourFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMarchingContourFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMarchingContourFilter* vtk_pointer = GetVTKPointer<vtkMarchingContourFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMarchingContourFilter:delete vtkMarchingContourFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkMarchingContourFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMarchingContourFilter
//@@Section VTKGraphics
//@@Usage
// vtkMarchingContourFilter is a filter that takes as input any dataset and 
// generates on output isosurfaces and/or isolines. The exact form 
// of the output depends upon the dimensionality of the input data. 
// Data consisting of 3D cells will generate isosurfaces, data 
// consisting of 2D cells will generate isolines, and data with 1D 
// or 0D cells will generate isopoints. Combinations of output type 
// are possible if the input dimension is mixed.
//
// This filter will identify special dataset types (e.g., structured
// points) and use the appropriate specialized filter to process the
// data. For examples, if the input dataset type is a volume, this
// filter will create an internal vtkMarchingCubes instance and use
// it. This gives much better performance.
// 
// To use this filter you must specify one or more contour values.
// You can either use the method SetValue() to specify each contour
// value, or use GenerateValues() to generate a series of evenly
// spaced contours. It is also possible to accelerate the operation of
// this filter (at the cost of extra memory) by using a
// vtkScalarTree. A scalar tree is used to quickly locate cells that
// contain a contour surface. This is especially effective if multiple
// contours are being extracted. If you want to use a scalar tree,
// invoke the method UseScalarTreeOn().
//
//To create an instance of class vtkMarchingContourFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkMarchingContourFilter
//@]
//@@Methods
//The class vtkMarchingContourFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMarchingContourFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMarchingContourFilter = obj.NewInstance ()|
// \item @|vtkMarchingContourFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (int i, double value)| -  Methods to set / get contour values.
//// \item @|double = obj.GetValue (int i)| -  Methods to set / get contour values.
//// \item @|obj.GetValues (double contourValues)| -  Methods to set / get contour values.
//// \item @|obj.SetNumberOfContours (int number)| -  Methods to set / get contour values.
//// \item @|int = obj.GetNumberOfContours ()| -  Methods to set / get contour values.
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Methods to set / get contour values.
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Methods to set / get contour values.
//// \item @|long = obj.GetMTime ()| -  Modified GetMTime Because we delegate to vtkContourValues
//// \item @|obj.SetComputeNormals (int )| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeNormals ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOn ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOff ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeGradients (int )| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeGradients ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOn ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOff ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeScalars (int )| -  Set/Get the computation of scalars.
//// \item @|int = obj.GetComputeScalars ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOn ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOff ()| -  Set/Get the computation of scalars.
//// \item @|obj.SetUseScalarTree (int )| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|int = obj.GetUseScalarTree ()| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|obj.UseScalarTreeOn ()| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|obj.UseScalarTreeOff ()| -  Enable the use of a scalar tree to accelerate contour extraction.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is
// specified. The locator is used to merge coincident points.
////\end{itemize}
//!
